Welcome

Welcome to Adobe FrameMaker help. Dive into the following starting points to get familiar with all details of FrameMaker:

  • Getting started

  • FrameMaker basics

  • Page layout and templates

  • Editing content

  • Tables

  • Graphics and objects

  • Projects, books, and long documents

  • Single-sourcing content

  • Review and collaboration

  • Structured authoring

  • Structured authoring using DITA

  • Print and publish

  • Translation

  • Content Management Systems

  • Scripting in FrameMaker

  • Appendix

  • Legal notices


Getting started

Get started with FrameMaker and learn more about the powerful possibilities you have with FrameMaker for content authoring and publishing.

Adobe FrameMaker is a complete content authoring solution to support complex authoring environments and publishing needs.

Before you begin working with FrameMaker, take a few moments to read an overview of its capabilities and learn how to install, activate, and register the software. In addition to the information provided in this guide, you can access instructional videos, plug-ins, templates, user communities, seminars, tutorials, RSS feeds, and much more online.

To access a wide range of FrameMaker resources, visit the FrameMaker Help resources page.

  • What is FrameMaker
    FrameMaker is a versatile solution that lets you create structured or template-based documents, review and collaborate with multiple content management systems and publish to a multitude of devices.
  • Authoring modes
    Understand the different content authoring environments in Adobe FrameMaker for unstructured and structured content (XML) editing and how to choose between them.
  • What’s new in Adobe FrameMaker
    Learn what is new in September 2022 release of Adobe FrameMaker.
  • What’s new in Update 1 of Adobe FrameMaker
    Learn what is new in Update 1 of Adobe FrameMaker (September 2022 release).
  • Other features from FrameMaker Summer 2020 release
    Learn about other features from FrameMaker Summer 2020 release that would help you author and publish your documents easily.
  • System requirements
    Learn more about the system requirements for installing Adobe FrameMaker.
  • Installation and registration
    Follow these instructions to get up and running with FrameMaker on your computer.
  • Learning resources
    Get access to the latest learning resources of Adobe FrameMaker.


What is FrameMaker

FrameMaker is a versatile solution that lets you create structured or template-based documents, review and collaborate with multiple content management systems and publish to a multitude of devices.

In this topic

  • Introduction

  • Author and enrich content

  • Manage and collaborate

  • Publish across multiple channels

  • Supported software

Introduction

If you need a versatile solution that takes care of all your authoring and publishing needs, FrameMaker is the answer:

  • Whether you want to create a document that enforces a tight structure or whether you want to take a template-based approach, FrameMaker offers its powerful tools in the most accessible ways for individuals as well as teams.

  • With the advanced review and collaboration capabilities of FrameMaker, you can seamlessly integrate and address review comments.

  • FrameMaker lets you effortlessly tie your files to Adobe Experience Manager, OpenText Documentum, Microsoft SharePoint, DitaExchange, or any content management system of your choice.

  • A large set of publishing options enables you to customize and deliver your content to multiple devices.

Author and enrich content

While the nature of some documents calls for structured authoring, you may want to use the free-flow mode of authoring for other documents. Graphics, tables, and rich-media objects are only some of the few ways in which you can enrich content. FrameMaker gives you the flexibility to choose your mode of authoring and also gives you several options to enhance content.

Structuredandunstructuredauthoring options in FrameMaker

Manage and collaborate

Speed and accuracy are paramount in keeping your content current as well as relevant. You have several options to conduct content reviews and ensure smooth collaboration with team members. Use change bars, enable tracking of text edits, or set up shared PDF reviews depending upon your need. You can also use FrameMaker to directly access and upload assets to a content management system.

Working with a CMS using FrameMaker

For details, see Structured authoring.

Publish across multiple channels

The current demands of content publishing require support for an ever-growing number of formats and devices. FrameMaker meets your complex publishing needs in the most easy-to-use and efficient ways. You can generate PDF, Responsive HTML5, or output for Kindle devices, among other output formats. You can also choose to customize your output by changing styles and themes, setting templates, enabling encoding, or setting up content search options. Generate a single output format or multiple formats at one go.

For details, see Multichannel publishing.

Supported software

FrameMaker supports the following software in its workflows:

  • Microsoft® Word 2013, 2010, or Office 365 (only document downloaded from Office 365)

  • Acrobat Desktop Application versions XI, Pro (2017 release), latest version

  • OpenText EMC Documentum

  • Microsoft® SharePoint Online or 2013

  • Microsoft SharePoint Online

  • Adobe Experience Manager 6.5, 6.4, or 6.3

  • Adobe Experience Manager Guides

Parent topic: Getting started


Authoring modes

Understand the different content authoring environments in Adobe FrameMaker for unstructured and structured content (XML) editing and how to choose between them.

In this topic

  • Introduction

  • Choose an authoring mode

  • FrameMaker mode

  • Structured FrameMaker mode

Introduction

Adobe FrameMaker offers the following authoring modes:

  • FrameMaker mode

  • Structured FrameMaker mode

  • XML Source Code Editor

Depending on whether you take the structured or unstructured approach to content authoring or if you want to edit XML source code, you can choose an appropriate authoring mode for your content.

Choose an authoring mode

The first time you launch FrameMaker, the default authoring mode is set to Structured FrameMaker. You can change the mode from the Preferences dialog:

  1. Choose Edit > Preferences to open the Preferences dialog.

  2. In the Preferences dialog, choose Global > General.

  3. In the Product Interface drop-down list, select the FrameMaker mode and click OK.

You are prompted to restart FrameMaker for the changes to take effect.

The FrameMaker user interface provides for a seamless transition between unstructured and Structured FrameMaker authoring. The menu options and other user interface elements are consistent between both the modes. The options, however, are specific to the mode in which you are authoring.

FrameMaker mode

AdobeFrameMakerunstructuredcontent authoring mode

The FrameMaker mode is ideal for authoring content that need not be tied to a rigid structure. The style-based authoring relies on a template to define the presentation of content. Paragraph, character, table, and object styles are often based on style guides, and content writing rules specified by editors. You, as an author, decide the content flow and formatting. For example, depending on the nature of your content, you may include headings followed either by paragraphs or by graphics. This means that in a unstructured authoring workflow, you create relatively free-flow documents that are largely style-based.

A typical workflow for standard authoring in FrameMaker comprises the following tasks:

  • Create single documents.

  • Compile multiple documents in a book.

  • Specify how content is presented by defining paragraph, character, table, and object styles.

  • Create templates providing predefined styles, that can be shared with multiple authors.

  • Use the Document window to author the content.

  • Work in any of the supported formats: standard documents (.fm), Maker Interchange Format documents (.mif), and books (.book).

Note: In the FrameMaker mode, you cann ot open XML and structured documents.

Structured FrameMaker mode

Adobe FrameMakerstructuredcontentauthoring mode

Use the Structured FrameMaker mode for documents that need to adhere to a structure. The structure is defined by the elements and attributes that are available as well as the valid location of these elements in the structure.

Every object of a document – for example, a paragraph, a section, a topic, or a table – is expressed as an element. When you create a structured document, you need to ensure that every element is present at a structurally valid location. Structured authoring ensures consistency of structure across similar pieces of content.

Following are some examples of structural rules:

  • A bulleted list must contain at least three items.

  • A section must start with a heading.

  • A heading must be followed by a paragraph.

  • A table must have a heading row.

  • A graphic must have a caption.

A typical workflow for structured authoring in FrameMaker comprises the following tasks:

  • Create individual structured documents or include multiple documents in a DITA map or a book.

  • Use the existing structured samples or create a custom structure based on EDDs or DTDs.

  • Include the right elements to define the flow of content. Some elements also include formatting information that you can use to specify styles.

  • The underlying structure ensures consistency across content in a multi-author environment.

  • Use the Elements catalog or keyboard shortcuts to insert new elements for text, images, tables, and other objects.

  • Use the Structure View to navigate through your document and also move elements around. The Structure View also indicates the validity of your document against the underlying structure.

  • Author in any of the supported formats: structured documents (.fm), XML documents (.xml, .dita), and books (.book, .ditamap).

See a video on Introduction to Structured FrameMaker.

Note: You can also choose to work with unstructured documents in the Structured mode. All features of the FrameMaker mode are available in the Structured mode.
Parent topic: Getting started


What’s new in Adobe FrameMaker

Learn what is new in September 2022 release of Adobe FrameMaker.

Adobe FrameMaker provides a number of new features, updates, and enhancements across all key areas, such as platform, authoring, review, content management system, and publishing. This topic gives you a quick snapshot of everything that has changed in the main release of FrameMaker. Broadly, this release of FrameMaker brings in new features and enhancements in almost all major areas of authoring, such as the introduction of last line right indent, seamless support for the total number of pages in a book, enhanced capability to work with tables, introduction of object style and marker text to the list of change options, and significant performance improvement across PDF publishing and search function (for DITA), and also for operations such as checkout, check-in, and cancel checkout specific to AEM connector, and bug fixes spanning across HTML5 and PDF output.

Tip: Check this introductory video on FrameMaker.

Let’s take a look at what has changed in the main release of FrameMaker:

Last line right indent

Now FrameMaker gives a more unified experience while aligning the headings in a Table of Contents (TOC). You might have long headings which extend to multiple lines in the TOC, and the page number does not appear distinctly. You might be unable to read or locate the page numbers for these long headings. You can now use the last line right indent feature to align the long headings and show the page numbers separately and clearly.

The following screenshots show how the last line indent can help make the long headings clear and easily readable.

Figure 1. Long headings without the last line indent
Figure 2. Long headings with the last line indent

Similar to a TOC, you can use this feature to align the items in a price list where some of them might have longer names. Using this feature, you can hang the prices on the right, and they are separate and easy to read. For information on how to use the last line indent, refer to Apply the last line right indent.

Faster PDF publishing of DITA content

PDF publishing has been enhanced and made much faster and seamless for a composite document and a book with the FrameMaker components.

You can now quickly generate a composite book with a much-improved workflow. The composite document is a basic PDF without any title, table of contents, list of figures, and other components. Composite documents generally require importing many documents and media files which is now done much more quickly. Keyspace generation and content resolution are also now done very efficiently before the PDF is generated.

With the new, improved workflow, you can also very efficiently generate the PDF through the book with the FrameMaker components route (Flat Book Hierarchy), where you get the title page, table of contents, front matter, back matter, list of figures or tables, and other book components. To generate the book with FrameMaker components, you can choose the Save PDF via Book With Components route in the DITA Options tab.
Figure 3. DITA Options tab in Publish Settings

Depending on the references used in your DITA map, the performance of PDF generation has increased by 5X compared to the earlier FrameMaker versions, so now you can generate a composite document or book with FrameMaker components very efficiently. For more information on PDF output and PDF settings, see PDF output.

DITA search performance improvement

Finding text in a DITA map is much faster now. FrameMaker has further improved the feature to search for text in your documents. Now you can much more efficiently perform a simple search or a search based on the regular expression. In comparison to the earlier versions, the search performance has improved by 15 times in the latest version.

If a custom tag has been defined in the DTD, then you need to add the tag in the .json file for an effective search. To know more about how to add a custom tag, see Define a custom tag to filter the search.
Figure 4. Find text using the Find/Change Dialog

For more details on finding a text, see Find/Change dialog.

Show the total number of pages in a book

FrameMaker now gives the feature to show the total number of pages in an unstructured document. Now you can use the variable Book Page Count to show the total number of pages in the entire book.
Figure 5. Total number of pages in a book

You can select the new check box of Book Variables in the Update Book dialog to quickly update the total page count in a book.
Figure 6. Update Book Variables from the Update Book dialog

To know more about showing the total page count in a book, refer to Total page numbers in a book.

Make variables distinctly visible in a document

Variables are useful in defining values that can then be reused across a document. While authoring, it is important to define variables in a document and change their values as per the need. FrameMaker now provides a more seamless experience in distinctly identifying the variables in a document.
Figure 7. Variables highlighted in a document

Now you can highlight the variables used in a FrameMaker document and easily separate them from the text in a document. For example, you’ve created a variable ‘Version Number’ for the current version number across your document(s). You can highlight the variable and check it before you change its value easily across the document(s). For more information on highlighting variables, refer to Highlight the variables in a document.

AEM connector performance improvement

FrameMaker has further enhanced the AEM connector performance. Now you can manage your documents much more efficiently via the AEM connector. With this enhancement, you get much-improved performance while checking in, checking out, or canceling the checkout of your documents in bulk. The performance has increased by 10X, so the bulk file operations (both at folder and file level) are much faster and smoother.
Figure 8. File operations via AEM connector

For more details on performing file operations via AEM connector, refer to Working with files.

Redefined user interface for Welcome Screen

The Welcome Screen has been enhanced and is a great place, to begin with your documentation. Now in the September 2022 release of FrameMaker, you can work seamlessly with an all-new minimalist yet robust user interface. The Welcome Screen now provides two icons on the left — Home and Learn.

The Home view provides quick access to your recently worked documents, document templates, FrameMaker presets, and much more. FrameMaker also provides two new templates and samples - 'Modern Energy' and 'Ship Guide’.

Tip: You can also access these templates using the New File from Template icon on the Welcome Screen.

Now the Recent Items panel appears and displays the recent files or projects only if you've worked on any documents recently.

Figure 9. Home view of Welcome Screen

The Learn view helps you explore webinars, tutorials, demo videos, product updates, learning course, marketing content, and more in a browser.
Figure 10. Learn view of Welcome Screen

For more information, see Welcome Screen.

Ability to change Object Style Tags

Object styles help you to keep your objects such as images, graphics, equations, and anchored frames consistent in appearance. Now FrameMaker provides an efficient and a unified process to change the object styles of multiple objects in a document. You can very easily change objects with specific object styles in structured and unstructured .fm documents in one go.

If you frequently import your Word document(s) to FrameMaker, you will find this feature quite useful. By default, no object style is applied on objects in Word, but you can use this feature to apply object styles in bulk and maintain consistency across your imported document.

For example, images across your document have the object style tag MyRed(with red fill color) applied on them. Using the Find/Change dialog, you can easily change the existing object style tag MyRed (with red fill color) to another object style tag MyGreen (with a green fill color).
Figure 11. Change Object Style Tags from Find/Change dialog

Use this new enhancement also to find those objects which don’t have any object style tag and apply a new object style to them. For example, you can find anchored frames which have no object style tag and apply the object style tag to MyGreen (with a green fill color).

For more information on object styles, see Object styles. To know more how to apply object styles in bulk, refer to Find and change the object styles.

Ability to change marker text

Markers enable you to mark or tag specific content within your document. FrameMaker provides pre- defined markers for cross-references, indexes, conditional tags, equations, glossaries, and other purposes. For more details, see Markers.

Every marker contains a description or marker text. Now FrameMaker provides the feature to easily change markers with specific marker text in .fm documents (structured and unstructured). You can change the complete or even partial marker text. The new feature is handy in changing the markers for a specific brand or product in a long document to another brand or product. For example, you can change the marker text 'Adobe FrameMaker' to 'FrameMaker'.

Figure 12. Find the marker text and change them using the Find/Change dialog

Figure 13. Markers with the changed text

To know more about how to change the marker text, refer to Change marker text.

Improved quality of graphics in PDF output

Graphics are a key component of your PDF output. Now the graphics in your PDF output of both struc- tured and unstructured documents have been significantly improvised. Various graphic objects like dashed lines, arcs, shapes, and curves are drawn very uniformly, and the edges are sharply defined. The corners and curves in the objects are crisp and clear. Unlike the previous versions, the quality isn't compromised even when you zoom the output.

The following screenshots show how the graphic objects in PDF output of the September 2022 release of FrameMaker have been improved in comparison to the previous version.

Figure 14. PDF output in FrameMaker 2020
Figure 15. PDF output in FrameMaker 2022

For more details on drawing objects in FrameMaker, see Draw objects.

Enhanced support for tables

Tables are very useful in organizing information. The latest release provides many features which will give you a very seamless authoring experience of working with tables:
  • In the earlier versions of FrameMaker, if you imported a table or created a table in your document which did not contain a header or footer row, you could not add a header or footer row later. Now with the latest release, you can easily convert any table body row(s) to header row(s) or footer row(s). This feature is handy while working with imported or created long tables where you can convert body rows (s) to header or footer row(s). For more information on how to convert body rows to header or footer rows, refer to Convert body rows to header or footer rows.
    Figure 16. Convert body rows to header or footer rows

  • Dragging the cells or rows to select them isn't a smooth experience, especially in a long table. Now in FrameMaker, you also get the feature to quickly choose the cells, rows, columns, header rows, footer rows, body rows, and even the table from the context menu.
    Figure 17. Context menu for a table

  • Another enhancement in this release is the unique color for a header or footer. You now have the feature to define two different colors for the header and the footer. For more information, see Set up ruling and shading in a table style.
    Figure 18. Option to have different color shading for header and footer rows

  • You might need to change the row height to fit the text in it. Now you can easily resize the rows in a table by dragging them. For more information, refer to Resize a row by dragging.
Parent topic: Getting started


What’s new in Update 1 of Adobe FrameMaker

Learn what is new in Update 1 of Adobe FrameMaker (September 2022 release).

Update 1 of FrameMaker (September 2022 release) has many improvements like removing system generated prefix from named destinations, better handling of SVGs, improved handling of conditional tags in faster PDF publishing route and security issues.

Note: For more details on the issues fixed in this release, see the Fixed issues article.

User-specified named destination in PDF output

PDF output is a key publishing format for FrameMaker documentation. Now FrameMaker allows you to create reliable named destinations. When you create a named destination in your FrameMaker document, you get the same text within the named destination in the PDF output. Unlike the previous versions, FrameMaker does not add any system-generated prefix to keep the named destinations unique.

For example, if you create a named destination available_hypertext_commands then earlier, the named destination in your PDF output had some additional characters and could be displayed M8.newlink.availablehypertextcommands. Now FrameMaker retains the original text in the named destination, and it is called available_hypertext_commands in the PDF output.

Important: You need to ensure the uniqueness of the named destinations inside a book.

The new feature is handy in creating hyperlinks from other documents. As the named destinations remain same and have no system generated characters, you can use these to easily hyperlink them from other documents or web pages.

Note: This is applicable only for the default PDF publishing route and not the Distiller route.
The following screenshots display named destination in the PDF output generated in FrameMaker.
Figure 1. Named destination picked in Update 1 of Frame Maker (September 2022 release)
Figure 2. Named destination picked in the earlier versions of FrameMaker

For information on how to navigate to a specific destination, see Navigate to a named destination.

Pretty Print and Preview Filter by Attribute moved to the Structured Access bar

Now FrameMaker provides a more unified authoring experience. You can easily find Pretty Print and Preview Filter by Attribute in the Structured Access bar. These buttons help you work seamlessly with structured documents.

You can use Pretty Print to beautify or indent your XML document to make it more readable. It helps you to add spaces and line breaks for better readability of the XML. For more information, see Whitespace handling for XML.

Use Preview Filter by Attribute to preview the contents filtered in a structured document based on the attributes applied to the content. For more information about attributes, refer to Filter by attribute.

Figure 3. Pretty Print and Preview Filter by Attribute moved to the Structured Access bar

A. Preview Filter by Attribute B. Pretty Print

Parent topic: Getting started


Other features from FrameMaker Summer 2020 release

Learn about other features from FrameMaker Summer 2020 release that would help you author and publish your documents easily.

Language-specific smart quotes

FrameMaker is a multi-lingual authoring and publishing solution. It is very common to see a single document getting authored and published in multiple languages. Every language has its own linguistic-specific syntax, semantics, and alphabetical systems. To give you a better control over your authoring, FrameMaker allows you to specify language-specific smart quotes.

You can define the single and double quotes that FrameMaker should use while authoring. A new set of Smart Quotes setting has been introduced in the FrameMaker Preferences dialog that allows you to specify the quotes as per your language. To access the Smart Quote settings, go to Edit > Preferences > Spelling > Smart Quotes. Once defined, FrameMaker picks up the quotes you have defined for your language from the Smart Quote settings or the language defined in the paragraph style.

Figure 1. Smart Quotes settings in the Preferences dialog box

For more information, see Smart quotes.

See a video on Using language-specific smart quotes.

Sentence case formatting

By default, FrameMaker provides many text formatting features that help you to create your FrameMaker documents quickly.

Figure 2. Sentence Casing option in the Text Formatting toolbar

You can simply select the text and apply formats of your choice in one click. Formats like bold, italics, increase or decrease the font size, change the casing to lower, upper, and others are available in the Text Formatting toolbar.

With the main release of FrameMaker, you can easily apply Sentence Casing to the selected sentences or paragraphs. The Sentence Casing and other text formatting options are available in the Text Formatting toolbar. To open the Text Formatting toolbar, select View > Toolbars > Text Formatting.

Figure 3. CSS file before and after importing into EDD

For more information, see XML with Cascading Style Sheets.

See a video on CSS3 styling support.

All-new Structure View

The Structure View is one of the most widely used features of Structured FrameMaker. With the main release of FrameMaker, this feature has been further enhanced and made much more powerful. The new Structure View is now also available while working in the XML View. This means that the Tree View is now replaced with the new, feature-rich, Structure View.

Using the new and much improved Structured View, you can do the following tasks (in the XML View of a document):

  • Search by element, attribute, or content.

  • Navigate through the XML code by clicking on any element in the Structure View.
  • Use the context menu to cut, copy, paste, and delete elements.
  • Insert an element before or after any element using the context menu.
  • View and edit attributes directly from the Structure View itself.
Figure 4. New Structure View in the XML View of a document

For more information, see XML View.

Support for 2FA/SSO in the Adobe Experience Manager connector

Adobe Experience Manager is a complete content management solution for building websites, mobile apps, and forms. Adobe FrameMaker comes with native integration with Adobe Experience Manager. Using the CMS connector in FrameMaker, you can easily connect with Adobe Experience Manager to create and deliver your technical and marketing content.

With features like automatically checking in files on close or checking out files on open, working with Adobe Experience Manager has become very easy for FrameMaker users. There are more controls such as multi-file check-in, checkout, and cancel checkout to help you work seamlessly with Adobe Experience Manager.

If your organization uses two-factor authentication (2FA) or Single Sign-On (SSO), then use the SSO option in the Connection Manager to connect to your AEM server.

Figure 5. Adobe Experience Manager connection settings with SSO option

For more information, see Set up the Adobe Experience Manager connector.

See a video on Native integration with Adobe Experience Manager.

Out-of-the-box LwDITA support

Lightweight DITA (LwDITA) is a simplified version of DITA. It consists of a much smaller set of elements, attributes, content models, and features. It is an upcoming standard for creating structured documentation. FrameMaker supports LwDITA out-of-the-box. You can directly create a LwDITA map or topic from the File > New menu.

A simple map and topic template lets create LwDITA maps and topics with ease. In addition to the authoring templates, the out-of-the-box publishing templates help you generate output for your LwDITA map/topics.

To start using the LwDITA application, switch to LW_DITA_Applications in the DITA Options settings:

Figure 6. Switch to the LwDITA Application in DITA Options

After changing the settings, you can create a LwDITA map or topic from the File menu:

Figure 7. File menu changes to show supported LwDITA documents

See a video on Out-of-the-box LwDITA support.

For more information, see Working with LwDITA in FrameMaker.

Faster file performance

With improvements in the file operations and publishing engine, you get much better experience when you perform any file operation or publishing task. Operations like opening and saving a file are much faster and smoother. The time taken to open or publish files to PDF or responsive HTML5 output is a whole lot faster.

See a video on Faster file performance.

Enhanced image handling

Inserting multiple images at once has been a challenging task in FrameMaker. However, with this release, you will be able to import hundreds of images in your document without any lag. With the new image handling process, scrolling through your image-heavy document will work seamlessly.

See a video on Enhanced image handling.

New Duden dictionary support

Support for German dictionaries has been completely revamped. From the earlier Hunspell dictionary, now FrameMaker supports the Duden dictionary for German users. The Duden dictionary is regularly updated and is one of the most widely used dictionaries by German users.

See a video on New Duden dictionary support.

More control over PDF

The new PDF generation comes with comprehensive publish settings. The PDF publish settings are bucketed under five categories—General, Marks and Bleeds, DITA Template, and DITA Options.

The General settings allow you to configure the output preset, PDF standard, compatibility, viewing options, and more. The Marks and Bleed setting can be used to set the crop, bleed, registration marks, and bleed and slug settings. The DITA Templates settings are used to configure the templates that you want to use to publish the document. Finally, if you want to save the PDF via Book route, then you can choose what to include or exclude from the published PDF in the DITA Options settings.

For more information, see PDF output.

WYSIWYG color output

While generating PDF output, you no longer have to select the RGB or CYMK color settings. The new PDF generation technology publishes the same colors of text and images as you see them while authoring. This gives you a consistent look-and-feel of your document whether you are authoring or viewing the published output.

Enhanced Packager

The package manager has been enhanced to create packages quickly with the support of new parsing engine. You can easily create a self-contained package of your documents, books or DITA maps—with all referenced files, images, and configurations included.

For more information, see Create packages.

See a video on Enhanced Packager.

Parent topic: Getting started


System requirements

Learn more about the system requirements for installing Adobe FrameMaker.

Before installing FrameMaker, make sure that you have the required hardware and software:

  • Core i5 or faster processor

  • 64-bit version of Microsoft® Windows® 11 or 10

  • 4 GB or higher RAM recommended

  • 5 GB of available hard-disk space for installation; additional free space required during installation (cannot install on a volume that uses a case-sensitive file system or on removable flash storage devices).

  • JRE 8 (is required for the publishing process)

Note: Maximum supported screen resolution: 4K (3480 × 2160, 8.3 megapixels, aspect ratio 16:9)

This software does not operate without activation. Internet connection and registration are required for software activation, validation of subscriptions, and access to Online Services.

Note: Phone activation is not available.

Available User Interface languages

FrameMaker is available in the following languages:

  • English

  • French

  • German

  • Japanese

Parent topic: Getting started
Related information
  • Detailed system requirements


Installation and registration

Follow these instructions to get up and running with FrameMaker on your computer.

The FrameMaker installer is based on Adobe’s latest installer technology. The installer requires less space and is fast.

To install FrameMaker:

  1. Download the FrameMaker installer from the product site https://www.adobe.com/products/framemaker/download-trial/try.html.

  2. Close all Adobe and Microsoft applications.

  3. In the download folder, locate and double-click on the Set-up.exe file to start the installation process.

    Follow the on-screen instructions to complete the installation process.

  4. After completing the installation process, launch FrameMaker.

During the installation process, your Adobe software contacts an Adobe server to complete the license activation process. No personal data is transmitted.

For more information on product activation, visit the Adobe website at https://helpx.adobe.com/download-install/kb/activate-deactivate-products.html

Note: For any reason, if you wish to deactivate your FrameMaker instance, click Help >Sign Out. You will be prompted to save any unsaved document(s) before closing the FrameMaker application.

You can have more than one versions of FrameMaker installed on your computer.

The default FrameMaker installation path on a 64-bit system is:

C:\Program Files\Adobe\Adobe FrameMaker 2022

In this guide, the default FrameMaker installation location is referred to as <Fm_install_location>.

Parent topic: Getting started


Learning resources

Get access to the latest learning resources of Adobe FrameMaker.

Resource | URL
Adobe FrameMaker User Guide (PDF) | https://help.adobe.com/en_US/framemaker/pdfs/framemaker_help.pdf
Adobe FrameMaker Getting Started Guide | https://helpx.adobe.com/framemaker/get-started.html
Introduction to Adobe FrameMaker | https://my.adobeconnect.com/introduction-to-framemaker
Video tutorials | https://helpx.adobe.com/framemaker/video-hub.html
Frequently Asked Questions | https://helpx.adobe.com/framemaker/help/fm-faq.html
System Requirements | https://helpx.adobe.com/framemaker/help/fm_system_requirements.html
Adobe FrameMaker User-to-User Forum | https://community.adobe.com/t5/framemaker/bd-p/framemaker
Adobe TechComm Blog | http://blogs.adobe.com/techcomm/
Adobe TechComm on Twitter | https://twitter.com/adobetcs
Adobe TechComm on Facebook | https://www.facebook.com/adobetcs/
Adobe TechComm on YouTube | https://www.youtube.com/user/AdobeTCS/
Adobe TechComm LinkedIn Group | https://www.linkedin.com/groups/2381149/
Adobe FrameMaker LinkedIn Group | https://www.linkedin.com/groups/2204291/
Adobe Training and Consulting Partners | https://partners.adobetechcomm.com
Third-party Plugins/Add-ons | https://partners.adobetechcomm.com//view_all_downloads
Parent topic: Getting started


FrameMaker basics

Get started with an introduction to the basics of Adobe FrameMaker.

Adobe FrameMaker has an extensive user interface that helps you perform all authoring and publishing tasks with ease.

Understand the various elements of the FrameMaker’s user interface, how to get started by creating a document, and learn how to work with bi-directional content.

  • User interface
    Learn how to work with the user interface of Adobe FrameMaker
  • Accessibility
    Know the features FrameMaker provides to improve access to visually impaired users.
  • Documents
    Understand the different methods to create documents in FrameMaker. Use the built-in templates to create your documents.
  • Document direction
    Get familiar with how Adobe FrameMaker allows you to author documents in both Left-To-Right (LTR) as well as Right-to-Left (RTL) scripts such as Arabic, Hebrew, and Farsi.
  • Asian language support
    FrameMaker provides advanced support for editing and publishing Asian languages. The Layout Engine can be specified at the paragraph level by specifying the Asian paragraph composer.


User interface

Learn how to work with the user interface of Adobe FrameMaker

Learn more about the user interface in the subtopics.

  • Welcome Screen
    Understand the Welcome Screen in FrameMaker, know the tasks that can be performed as per the relevant option chosen on the Welcome Screen.
  • Workspaces
    Understand the arrangement of elements and panels in FrameMaker, know the types of workspaces and their features.
  • Document window
    Get familiar with the document window and tabbed documents in Adobe FrameMaker.
  • Panels
    Know Adobe FrameMaker panels and how they can be arranged in a workspace.
  • Toolbars
    Know the types of toolbars, toolbar icons, preferences and customization of toolbars in Adobe FrameMaker.
  • Smart Catalogs
    Learn how to use a Smart Catalog in Adobe FrameMaker.
  • Command Search
    Learn how to use the Command Search feature in Adobe FrameMaker.
  • Status bar
    Learn how to use the status bar in Adobe FrameMaker.
  • View options
    Learn about the different viewing and display options in Adobe FrameMaker.
  • FrameMaker Preferences
    Learn how to use the Preferences dialog to change various Adobe FrameMaker settings.
  • Contextual Tips
    Know how Contextual Tips help you find the new features introduced in Adobe FrameMaker.
  • Manage open files
    Understand how to work through open files in FrameMaker with the Open Files panel.
  • Restore last session
    Know how FrameMaker allows you to restore the last session, steps and preferences.
  • Restore dimensions of Resource Manager views
    Understand how FrameMaker retains the dimensions of the Resource Manager Views on exit and relaunch.
  • Tips to work with the user interface
    Know some tips and shortcuts to work with user interface, brightness, document windows, panels and icons in Adobe FrameMaker.
Parent topic: FrameMaker basics


Welcome Screen

Understand the Welcome Screen in FrameMaker, know the tasks that can be performed as per the relevant option chosen on the Welcome Screen.

FrameMaker displays a Welcome Screen based on the current mode.

The Welcome Screen provides options for performing a set of commonly required tasks as relevant to the current mode of FrameMaker.

  • Open a recent project or document

  • In FrameMaker mode: Create new project, documents, books

  • In Structured FrameMaker mode: Create DITA maps, DITA files, XML files, change DITA version

  • Browse for and open files

  • Create new CMS connection, open recent connection, browse files on remote locations using their URL

  • Access FrameMaker templates

  • Access FrameMaker learning resources

  • Access support, product updates, developer center, forums, marketing content

  • Restore the last session

You can also customize the Welcome Screen by rearranging or adding information on the Welcome Screen. The Welcome Screen customization is done by updating the welcome.html file which is available at the following location:

%appdata%\Adobe\FrameMaker\17\resources\welcomeScreen\

The Welcome Screen, as shown in the following figures, is displayed on launching FrameMaker in structured mode.

Figure 1. The Welcome screen

The Home view provides quick access to your recently worked documents, document templates, FrameMaker presets, and much more. FrameMaker also provides two new templates and samples - 'Modern Energy' and 'Ship Guide’.

Tip: You can also access these templates using the New File from Template icon on the Welcome Screen.

The Recent Items panel appears and displays the recent files or projects only if you've worked on any documents recently. You can also pin your projects to add them to your favorites. The favorite projects will then appear on the top of the list.

Note: To get the best experience out of the new Welcome Screen, it is recommended to use Internet Explorer 11 or above. If you are using an earlier version of Internet Explorer, the Welcome Screen might look distorted.

Access the Welcome Screen

The Welcome Screen appears by default when you launch FrameMaker. When you create a document or open an existing document, then the document appears in a tabbed window. At this time, the Welcome Screen also changes to a tabbed window. You can access the Welcome Screen by switching to the Welcome Screen’s tab.

While working, you might end up closing the Welcome Screen. To relaunch the Welcome Screen, select Show Welcome Screen from the Workspace switcher menu.

Parent topic: User interface
  • Workspaces


Workspaces

Understand the arrangement of elements and panels in FrameMaker, know the types of workspaces and their features.

In this topic

  • Introduction

  • Standard workspaces

  • Save a custom workspace

  • Switch workspaces

  • Reset a workspace

  • Rename a custom workspace

  • Delete a custom workspace

Introduction

A particular arrangement of elements, such as panels that you use frequently while working on documents, is called a workspace. You can dock, stack, minimize, or make these elements free-floating in your workspace. You can select from several preset workspaces or create one of your own. Once you have arranged the panels, you can save the workspace settings for use later.

The FrameMaker interface has the following components.

  • The Application bar across the top contains a workspace switcher, menus, and other application controls.

  • The Document window displays the file you’re working on. Document windows can be tabbed and, in certain cases, grouped and docked.

  • Panels help you monitor and modify your work. Examples include character, paragraph, and table designers; and marker, variable, cross-reference panels. You can minimize, group, stack, or dock panels.

  • The Status bar shows text formatting and pagination information for the current document. For structured documents, the status bar also displays the exact path of the currently selected element as breadcrumb.

Standard workspaces

You can choose from standard workspaces or create custom workspaces and switch between them. The standard workspaces are designed so that you can quickly switch between workspaces according to what you want to accomplish. For example, the Review workspace has review toolbars, commonly used panels, and panels prearranged to help you review a document quickly.

  • Authoring

  • Blank

  • Design

  • Manage Graphics

  • Review

  • XML/Structured (available only in Structured FrameMaker)

Save a custom workspace

  1. Configure the workspace the way you want it and select Save Workspace from the workspace switcher on the Application bar.

  2. Type a name for the workspace. Click OK.

FrameMaker remembers the last used workspace across sessions. If you were working in the Review workspace and you close and relaunch FrameMaker, it loads the Review workspace.

Switch workspaces

To switch workspaces, select a workspace from the workspace switcher in the Application bar.

Figure 1. Use the workspace switcher to switch between workspaces designed for your workflow.
Switch to otherworkspaces using the Workspace switcher in FrameMaker

Reset a workspace

By saving the current configuration of panels as a named workspace, you can restore that workspace even if you move or close a panel. The names of saved workspaces appear in the workspace switcher in the Application bar.

Select the Reset Workspace option from the workspace switcher in the Application bar.

Rename a custom workspace

  1. Select Manage Workspace from the workspace switcher in the Application bar.

  2. Select the workspace. Click Rename.

  3. Type a new name. Click OK twice.

Delete a custom workspace

Select Manage Workspace from the workspace switcher in the Application bar, select the workspace, and then click Delete.

Parent topic: User interface


Document window

Get familiar with the document window and tabbed documents in Adobe FrameMaker.

A document window appears when you open a structured or FrameMaker document. The window shows the document text formatted, with graphics and other items in place, and everything laid out in a page design. If more than one document is open, a document window appears for each one.

The document window is the only window available in the standard FrameMaker workspace. In the Structured FrameMaker workspace, you can also view element boundaries in the document window.

Tabbed documents

When you open more than one file, the document windows are tabbed. You can open documents as floating windows by clearing the Open Documents As Tabs option in Preferences > General > Interface.

Figure 1. Documents appear as tabs in the document view
Tabbed document view in FrameMaker

However, when you add a generated file, such as a Table of Contents, the generated file appears minimized in the lower-left corner of your workspace. There are multiple ways in which you can organize floating and tabbed document windows.

  • To dock a document window in a group of document windows, drag the window into the group.

  • To rearrange the order of tabbed document windows, drag a window’s tab to a new location in the group.

  • To undock a document window from a group of windows, drag the window’s tab out of the group.

    Note: When you minimize a floating document window, it covers a part of the FrameMaker status bar. You cannot move the minimized window to a new location.

There are various other tasks that you can perform from the context-menu of a tabbed document. Right-click the tabbed document window, and you can perform the following tasks:

  • Consolidate all document windows

  • Close the selected tab or all open documents

  • Move the selected tab to a new window

  • Open Windows Explorer where the file is stored

  • Create a document

  • Open a document

Parent topic: User interface


Panels

Know Adobe FrameMaker panels and how they can be arranged in a workspace.

Panels are floating panels with an interface designed to simplify your work.

FrameMaker offers the following key panels:

  • Conditional Tags panel

  • Cross-References panel

  • Markers panel

  • Fonts panel

  • Insets panel

  • Variables panel

  • References panels

  • Open Files panel

  • Review Comments

Figure 1. Panel interface
Panel interface in FrameMaker

A. Search panel entries – as you type, FrameMaker searches through all the columns for matches and keeps displaying them. B. Panel-specific toolbar buttons. C. Filter to choose current document, all open documents, or a specific document. D. Arrow on column headers indicates sort order E. Panel list area F. Tooltip G. Details of each instance include location. You can customize the location using the Panels Location Criteria dialog box.

Note: By default, panels open up in the panel list area in the right pane. If you move the panels around, FrameMaker remembers the panel location. Th next time you launch the panel, it is displayed at the last closed location.

Close panels and tab groups

Panels have a button on the right side of the title bar that you can click to close a panel or a tab group (group of panels).

Figure 2. Close panels and tab group
Closing panels and tab group in FrameMaker

  • Close: Closes just the panel in focus (the Markers panel, in this case)

  • Close Tab Group: Closes all the panels in the tab group

Also, by double-clicking in the title of a panel, you can minimize or maximize that panel as well as the whole tab group it is a part of.

Panel list area

The Select drop-down displays a list of all open documents, including books and DITA maps.

If you select All Open Docs, the panel list area displays all the variables from all the open documents. If you select a specific open document, the panel list area displays variables from the selected document even when you switch to other open documents. The panel list area continues to display the list of instances from the selected document.

If you select the Current option, the panel list area displays the list of instances from the selected document. The list area refreshes when you switch between open documents. However, when you switch between panels, you may need to click Refresh.

If you select an open document (<filename>):

  • Single-click an instance in the panel to display the corresponding instance in the document. For example, if you select an image instance from the Insets panel, the corresponding image is also selected in the document view.

  • Double-click an instance to do the following for each panel.

The following panels are available:

Conditional Tags panel

Displays the Add/Edit Condition Tag panel for the selected condition.

Cross-references panel

Displays the Cross-Reference panel for editing the selected cross-reference.

Markers panel

Displays the Markers panel so that you can edit the selected marker definition.

Fonts panel

Displays the Replace Font panel for selecting a replacement font.

Insets panel

Displays the Object Properties panel for the selected inset.

Variables panel

Adds the selected variable at the insertion point in the current document.

Hotspots panel

Displays the Hotspots panel for editing the selected hotspot.

Open Files

Lets you manage and navigate through large number of open files.

Note: Click a column name to sort the data in the list area in ascending or descending order.
Console panel

Displays the Console panel listing warnings and error messages.

References panel

Displays the results of the search for locations where a particular element is referenced. This panel is only relevant for DITA documents.

Review Comments
Displays and lets you manage the review comments received from reviewers.
Parent topic: User interface


Toolbars

Know the types of toolbars, toolbar icons, preferences and customization of toolbars in Adobe FrameMaker.

In this topic

  • Introduction

  • Toolbar icons

  • Set toolbar icon preferences

  • Customize toolbar icons

Introduction

You can access all commonly used commands from the following toolbars for use in structured or unstructured documents. You can display a toolbar from the View > Toolbars menu.

Graphics Toolbar

Provides shortcuts for graphics creation and edits.

Quick Access Bar

Provides commands for opening and saving documents, editing text, graphics, and tables.

Structured Access Bar

Provides commands for working with the structured document, such as add an XML document, open element catalog, edit attributes, and more.

Text Formatting

Provides text formatting commands, such as font styles.

Table Formatting

Provides table editing commands, such as add rows, columns, merge cells, and text alignment options for table cells.

Paragraph Formatting

Provides commands for formatting paragraphs, such as tab stops, text alignment, spacing, as well as the paragraph style list.

Quick Element

Provides commands inserting and wrapping common structured document elements.

Object Alignment

Provides commands to change sequence, alignment, and orientation of objects.

Object Properties

Provides commands to group objects, change layer order, reshape, scale, and snap objects.

Track Text Edits

Provides commands for tracking, accepting, and rejecting text edits.

Direction Toolbar

Provides commands for working with bi-directional documents.

You also have keyboard shortcuts for all commands accessible through the toolbars and menus.

Toolbar icons

FrameMaker gives you a predefined set of grayscale and colored icons. These icons resize according to the resolution of your display device. By default, FrameMaker uses grayscale icons. You can switch to colored icons by changing the Icons setting in the Preferences dialog.

Set toolbar icon preferences

Set your toolbar icon preferences to choose colored or greayscale icons:

  1. Choose Edit > Preferences.

  2. In the Preferences dialog, select Interface and choose the preferences for Icons – Grayscale or Colored.

  3. Restart FrameMaker for the icon preferences to take effect.

Customize toolbar icons

You can also add your own custom icons in FrameMaker. You need to update the toolbar’s .xml file which is available at two location – in FrameMaker install location, and in %appdata% folder. If you want to permanently save your custom toolbar, you must update the toolbar file located within the FrameMaker’s install location. Otherwise, you can also update the toolbar files available within the %appdata% folder.

For example, if you want to update the Quick Element toolbar in WYSIWYG View, then you can update the quick_element.xml file located within the following location:

<Fm_install_location>\fminit\WorkSpaces\Structured\WYSIWYGView\toolbars

The preferred method is, to update the toolbar files in the user preference folder (%appdata%):

C:\Users\<username>\AppData\Roaming\Adobe\FrameMaker\<version>\WorkSpaces\Structured\WYSIWYGView\toolbars

Similarly, you have to specify the base path of your icon image directory in the maker.ini file. Within the maker.ini file, use the ToolbarCustomImageDir property to specify the base path of your icon directory. Again, the maker.ini file is available within the FrameMaker install location and your %appdata% folder. If you specify the base path at both locations, then FrameMaker gives precedence to the location specified in the %appdata%\Adobe\FrameMaker\<version>\maker.ini file.

Perform the following steps to customize toolbar icons in FrameMaker:

  1. Create and store all the icon files on your system. You can store icons at any location including the %appdata% folder.

  2. Specify the base path of the icon directory in the ToolbarCustomImageDir property in the maker.ini file. For example, if your icons are stored in the following folder structure:

    Figure 1. Sample folder structure to store custom icons
    Folder structure to customizetoolbariconsinAdobe FrameMaker

    Then, you need to specify the base path as C:\custom\icons\structured\toolbar.

  3. Locate the .xml file of the toolbar relevant to your view and mode and open it for editing.

  4. Locate the <ACTION> element relevant to the icon you want to customize. A sample of the <ACTION> element code is given below:

    <ACTION command="CenterPara">
<images base="Feature-B/P_TextAlignCenter_Md"/>

  5. Add the base name of the icon in the @base attribute of images element.

    Note: In our example the icons are located within the sub-directories, therefore we have to specify the relative path.

  6. Create at least six icon images for different monitor zoom levels. The supported zoom levels are 100%, 150%, and 200%. For each zoom level, you need to have two images—one for enabled mode and other for disabled mode.

    The following table lists the icons names and dimensions for using custom grayscale icons. For example, if your icon’s base name is xyz, then you can have six image files for the following possible combinations of zoom levels:

    Zoom level

    Icon names

    Recommended icons size in pixels

    Enabled

    Disabled

    100%

    xyz.png

    xyz_D.png

    18×18

    150%

    xyz_3TO2X.png

    xyz_D_3TO2X.png

    27×27

    200%

    xyz_2X.png

    xyz_D_2X.png

    36×36

    Note that for disabled icons, _D must be specified in the filename as shown the above table. Similarly, for 150% zoom level, _3TO2X is specified in the filename and _2X is specified for icons to be used at 200% zoom level.

    If you want to use colored icons, then name the files using the following syntax:

    <base-name>_C_<zoom-level>.png

    The above-mentioned syntax is for the Enabled icons. To create Disabled icons, then use the following file-naming syntax:

    <base-name>_C_D_<zoom-level>.png

Parent topic: User interface
  • Keyboard shortcuts


Smart Catalogs

Learn how to use a Smart Catalog in Adobe FrameMaker.

You can use the Smart Catalog as a convenient shortcut to the catalogs available in Adobe FrameMaker. For example, to set a paragraph style in a document, you use the Smart Catalog to quickly search for and select the required paragraph style. In a structured document, you can easily find the required elements and attributes to insert at a point in the document.

See the video Smart Catalogs.

To use the Smart Catalog:

  1. Place the cursor at the required location in the document.

    For instance, for character and paragraph styles, place the cursor inside a paragraph. For elements and attributes in a structured document, place the pointer at the element insertion location in the Structure View.

  2. Press the Smart Catalog shortcut key. See the Smart Catalog shortcut keys defined below.

    The Smart Catalog dialog displays.

    Figure 1. “Insert Element” Smart Catalog in Adobe FrameMaker
    The “Insert Element” SmartCatalogdialog in FrameMaker

    The focus of the pointer is now within the text box at the top of the dialog.

  3. To search for an item in the current catalog, start typing either the name of the item or the description. As you type, the list in the dialog is narrowed down.

    For example, if you want to insert a list element in a structured document, you can type the name of the list element: <ul>, <ol>, or <dl>. You can, however, also type the description of the element, list, and the dialog list is narrowed down to all the available list items in element catalog.
    Figure 2. Filtered elements in the “Insert Element” Smart Catalog
    Search andfilterelements in the “Insert Element” Smart Catalog

Note: The list of displayed items in the dialog is limited to ten. If the list exceeds ten, you can use the scrollbar to navigate up and down the list.
Table 1. Smart Catalog shortcut keys
Shortcut | Smart Catalog | Applies to…
F8, ctrl+8 | Character catalog | Structured and unstructured
F9, ctrl+9 | Paragraph catalog | Structured and unstructured
ctrl+1 | Element catalog | Structured
ctrl+2 | Wrap element | Structured
ctrl+3 | Change element | Structured
ctrl+4 | Apply condition | Structured and unstructured
ctrl+5 | Remove condition | Structured and unstructured
ctrl+7 | Attributes | Structured
esc+q+o | Object styles catalog | Structured and unstructured
Parent topic: User interface


Command Search

Learn how to use the Command Search feature in Adobe FrameMaker.

There are hundreds of commands in FrameMaker and each command performs a specific task. At times, it is difficult to find the desired task from the main menu. FrameMaker makes it easier for you to find a task using the Command Search feature. Click on the magnifying glass icon on the Application bar to open Command Search or you can use the F7 shortcut key:

Figure 1. Command Search in FrameMaker
Command Search in FrameMaker

As you start typing the task that you want to perform, the available commands get filtered out. For example, if you type paragraph, then only those command that allow you to work with paragraph are shown in the Command Search panels.

Figure 2. Command Search example: Search for paragraph
Command Search example: Search for paragraph

You can choose a command from the list and press Enter to execute the selected command. The Command Search panel also shows the Esc key sequence and the menu path of executing the command.

Parent topic: User interface


Status bar

Learn how to use the status bar in Adobe FrameMaker.

In this topic

  • Introduction

  • Zoom in and out

  • Turn pages and set scrolling

  • Navigate through pages in a document

Introduction

The Adobe FrameMaker status bar provides navigational controls, pagination information, and zoom controls.

Figure 1. Navigational controls on the status bar
Navigation controls on the FrameMaker statusbar

A Page flow and element breadcrumb (in Structured FrameMaker) or paragraph style (in unstructured) B First page C Previous D Go to page number E Next F Last page G Go to line number H Go to insertion point I Zoom controls

Zoom in and out

  • To magnify or decrease magnification, text, and objects, click the + (Increase Zoom) or – (Decrease Zoom) buttons on the status bar. FrameMaker zooms in or out on the area of the page containing the insertion point or selection. If the document doesn’t contain an insertion point or a selection, FrameMaker zooms in on the center of the page.

  • To display text and objects at a particular magnification, select a percentage from the Zoom drop-down list.

  • To display the entire page in the current window, select Fit Page In Window from the Zoom drop-down list.

  • To fit the page or text frame to the window, select Fit Window To Page or Fit Window To Text Frame from the Zoom drop-down list. If the view options are set to display facing pages, the window is resized to accommodate two pages side by side.

  • To change the available zoom settings, click Set from the Zoom drop-down list, select the percentage you want to change and enter the new percentage. Enter any percentage from 25% to 1600%. Click Set. To return to the default percentages, click Get Defaults.

Note: The default zoom level is set as per the resolution of your display device.

Turn pages and set scrolling

You can define how FrameMaker displays pages when you scroll up and down, left and right, or two pages at a time.

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose View > Options.

  3. Choose one of the following options from the Page Scrolling drop-down list:

    • To display pages from top to bottom (for example, page 2 below page 1), select Vertical.

    • To display pages from left to right (for example, page 2 to the right of page 1), select Horizontal.

    • To display pages two at a time, side by side, select Facing Pages.

    • To display as many pages as will fit in the window from left to right, select Variable.

  4. Click Set.

Navigate through pages in a document

You can navigate through a document window using controls in the status bar.

Do one of the following:

  • To go to the next page, click the Next Page button.

  • To go to the previous page, click the Previous Page button.

  • To go to the first page in the document, click the First Page button.

  • To go to the last page in the document, click the Last Page button.

  • To go to a specific page, click in the Page Number area and type in the page number you want to display.

  • To go to a specific line number, click in the Line Number area and type in the line number you want to display.

  • To go to the page containing the insertion point, click the Insertion Point button.

  • To move quickly through the pages, scroll vertically.

If the document you are paging through is part of an open book, FrameMaker sometimes displays an alert message prompting you to choose to open the next or previous document in the book. For example, if you click Previous Page on the first page of a document, clicking Yes in the alert message box opens the previous document in the book. The last page of that document appears.

Tip: In case of structured documents, select an element in the Structure View to display the corresponding page in the document window.
Parent topic: User interface


View options

Learn about the different viewing and display options in Adobe FrameMaker.

In this topic

  • View Options

  • Display Units

  • Font Units

  • Rulers and Grid Lines

  • Line numbers

  • Visual guides

  • Text symbols

  • Subset of menu commands

  • High-contrast workspace

  • Faster page display

View Options

Note: The Rulers, Grid Lines, Border on Objects, Text Symbols, and Graphics are session properties and not document properties. They impact all documents opened in the current session.

In Adobe FrameMaker, some text boxes in dialogs require a unit of measurement (such as points or inches) for the value you enter.

You can specify the default units for font size and line spacing (font size units) and for other measurements (display units) in the View Options dialog.

The default units of measurement appear after the values in the text boxes of dialogs.

You can enter short and long forms of units in text boxes of dialogs:

  • pc, pi, or pica for picas
  • pt or point for points
  • px for pixels
  • dd for didots
  • cc or cicero for ciceros
  • Q for Q units (refers to font size and line spacing for the Japanese language only).

If you enter a value without a unit of measurement in such text boyes, FrameMaker uses the default unit.

If you enter a value with a unit different from the default unit defined in the View Options, FrameMaker automatically recalculates the value into the default value. For example, if your document display units are picas and you want to set a paragraph indent of 1 inch, enter 1" in the First Indent box of the Paragraph Designer. When you click Apply, the measurement changes to the number of picas that corresponds to 1 inch.

Choose View > Options... to open the View Options dialog.

Figure 1. View Options dialog
ViewOptionsdialog in Adobe FrameMaker

Display Units

Choose the values for Display Units. You can select between the following default units:

  • cm (centimeters)
  • mm (millimeters)
  • Inch
  • Pica
  • Point
  • Didot
  • Cicero
  • Pixel

Click Set.

Font Units

Choose the values for Font Units. You can select between the following default units:

  • Point
  • Q (for Japanese only)

Click Set.

Rulers and Grid Lines

Select a setting from the Rulers dropdown and the Grid Lines dropdown.

Click Set.

Line numbers

Choose View > Line Numbers to display/hide line numbers.

Line numbers in FrameMaker files help you identify particular lines of content. Line numbers are set at a document level (for a .fm file) and appear before each inserted line in a FrameMaker document.

Figure 2. Line numbers and change bars displayed in a FrameMaker document
Linenumbersand changebars in a FrameMaker document

Some highlights of line numbers

  • Support for multicolumn and multiflow formats: For files with multicolumn formats, line numbers appear for text in each of the columns. For multiflow documents, the line numbers are calculated according to the text flows and continue accordingly.

  • Recalculation: When you insert text within a paragraph with line numbers are enabled, the line numbers are recalculated to accommodate the new text.

  • Document level property: Line numbers are a document level property, so you can enable/disable this feature for a document (.fm file). Line numbers can be set at a document level to continue from previous page or restart at each page.

  • Text flows: For multiflow documents, the line numbers follow the text flows and continue according to the text flows.

  • XML documents: Line numbers do not persist in XML documents. However, you can enable line numbers in the application template.

  • Printing: Line numbers are visible in the print and PDF created using Save As PDF.

While using line numbers and change bars, ensure that they do not overlap.

To display line numbers, do the following:

  1. Choose Format > Document > Line Numbers. The Line Number Properties dialog is displayed:

    Figure 3. Line Number properties dialog
    LineNumberProperties dialog in FrameMaker

  2. In the Line Number Properties dialog, select Show line numbers and specify the following:

    Width: Distance of line numbers from the column. The distance is relative to the columns that contain text.

    Font: Font of the line numbers.

    Size: Size of the line numbers.

    Color: Color of the line numbers.

    Restart at Each Page: Selecting this option restarts line numbers for each page.

    Show Line Numbers: Selecting this option displays the line numbers.

  3. Click Set.

Visual guides

You can show several of these visual guides in a document window:

  • Borders around text frames, graphic frames, and imported objects

  • Markers, paragraph mark (¶), and other symbols in running text

  • Rulers along the top and left side of the window

You can also show a grid of horizontal and vertical lines for drawing, resizing, and aligning graphics. All visual guides are non-printing, so you do not need to hide them when you print. Make the appropriate document window or book window active.

Do the following:

  • To show or hide borders, choose View > Borders.

  • To show or hide the rulers, choose View > Rulers.

  • To show or hide grid lines, choose View > Grid Lines.

  • To show the element boundaries, choose View > Element Boundaries or Element Boundaries (As Tags) in Structured FrameMaker. FrameMaker automatically toggles these two options.

Important: The visual guides affect all open documents in the current session. In earlier versions of FrameMaker, the visual guides would apply only on the selected document.

Text symbols

To show or hide the text symbols, choose View > Text Symbols.

Text symbol | Meaning
¶ | End of paragraph
§ | End of flow and end of table cell
 | Tab
 | Anchored frame and table anchor
 | Marker
 | Forced return
| | Manual equation alignment point
 | Non-breaking space
 | Discretionary hyphen
 | Suppress hyphenation

Subset of menu commands

You can display a subset of menu commands called quick menus. The quick menus do not have commands for formatting text, editing some aspects of graphics, and inserting some objects such as markers and variables.

If you do not see the full set of menu commands, the quick menus is probably displayed.

Note: If you’re using a structured document, your application developer can change the commands available in the complete menus.

  • To display quick menus, choose View > Menus > Quick.

  • To restore the complete menu, choose View > Menus > Complete.

For more information, see FDK Programmer’s Guide.

High-contrast workspace

Adobe FrameMaker uses system colors to draw window backgrounds, text, and other graphics. Users who have trouble discerning colors or variations in contrast, or who have low visual acuity, can set high-contrast color schemes and custom text and background colors. This setting makes the information in the user interface easier to view.

To configure the accessibility options in Windows, set the Accessibility options in Windows Control Panel.

Note: FrameMaker does not adjust colors of all items. Some of these include the background color, and the fill color of graphic objects.

Faster page display

To display pages faster:

  • Open the document by bypassing the update of imported graphics, cross-references, and text insets. Opening a document without updating references makes a document open faster but can slow down the display of individual pages.

  • Turn off the display of graphics by choosing View > Options. Deselecting the Graphics option. Click Set.

    Important: If you deselect the Graphics option and generate a PDF, the graphics do not appear in the PDF.

  • Display small text as gray bars by choosing File > Preferences > General. Enter a point size in the Greek Screen Text Smaller box. Click Set. Whenever text in your document is in a point size smaller than the size you specified, it appears on the screen as a gray bar.

Parent topic: User interface


FrameMaker Preferences

Learn how to use the Preferences dialog to change various Adobe FrameMaker settings.

Use the Preferences dialog (Edit > Preferences) to change FrameMaker settings. The settings are categorized under the following sections:

  • Global: This section allows you to configure settings for product interface, importing graphics, tooltips, warning and alert messages, panels, startup scripts, and Dropbox integration.

  • CMS (Content Management System): This section allows you to configure settings for working with the supported CMSs.

  • Spelling: The section allows you to configure settings for the supported dictionaries, smart quotes, and spell checking options.

  • XML: This section allows you to configure the look and feel of the XML View.

  • MathML: This section allows you to configure MathML installation path, license information, and other related options.

Figure 1. FrameMaker Preferences dialog
FrameMaker Preferences dialog

The settings in the Preferences dialog are explained below.

In this topic

  • Global > General

  • Global > Graphics

  • Global > Interface

  • Global > Alerts

  • Global > Launch

  • Global > Dropbox

  • CMS > Documentum

  • CMS > Microsoft SharePoint

  • CMS > DitaExchange

  • CMS > Adobe Experience Manager

  • Spelling > Dictionary

  • Spelling > Smart Quotes

  • Spelling > Spelling Options

  • XML

  • MathML

Global > General

The following settings are available in this section:

Setting | Description
Product Interface | By default, FrameMaker opens in Structured FrameMaker authoring mode. If you want to switch to unstructured authoring mode, choose FrameMaker from the list of options and restart FrameMaker. For more information, see Authoring modes.
Automatic Backup on Save | Select this option to create a backup file every time you save a document. For more information, see Back up and save automatically.
Auto Save Every | Select this option and specify the time in minutes to auto-save file at the specified time intervals. For more information, see Back up and save automatically.
Show File Translation Errors | Select this option to show error messages while importing a document from some other format such as Word.
Greek Screen Text Smaller Than | Select this option to show small text as gray bars. When text is in a point size smaller than the size you specify, the text appears on the screen as a gray bar. For more information, see Faster page display.
Checkout HTTP Files on Open | Select this option if you want to check out a file from a WebDAV server while opening the file.
Upload HTTP Files on Save | Select this option if you want to check in a file only once when you close the file.
Image Padding | Specify the default padding (space) value for an image and its containing anchored frame. When you insert an image, FrameMaker adds a gap (padding) between the image and the anchored frame. The default value is 6.0 pt.
Import Image by Reference | Select this option to set import images by reference as the default way of importing images.
Show Tabbed Welcome Screen | Select this option to show the Welcome Screen as a tabbed document. If you do not select this option, then you will see the Welcome Screen on launching FrameMaker. However, when you open or create a document, the Welcome Screen is closed. You can then open the Welcome Screen from the Workspace switcher menu.
Do Not Check For Updated Images & Multimedia | If you are working on a network drive, then select this option to prevent FrameMaker from checking for updated images and multimedia files on the network drive. You must deselect this option before publishing, else you might have outdated media files in your published output.
Compatibility
Save FrameImage With Imported Graphics | When you copy a graphic into a FrameMaker document, the FrameMaker document stores the graphic data in one or more facets. Each facet contains data in a specific graphic format. FrameMaker uses facets to display and print graphics. Select this option to save an image’s data in the form of facet with the imported graphic.
Lock Files on Network | Select this option to lock a file while it is open. This prevents other users from changing the file. For more information, see Open a document in use.
Remember Missing Font Names | When you select this option, FrameMaker preserves the names of unavailable fonts used in the document. The original fonts reappear when you open the document on a computer that has the fonts installed, even if you save the document with substitute fonts. For more information, see Troubleshooting unavailable fonts.
Embed in PDF
Adobe Flash File | Select this option to generate the PDF with embedded Adobe Flash files used in the document.
3-D Objects | Select this option to generate the PDF with embedded 3-D object files used in the document.
Multimedia Objects | Select this option to generate the PDF with embedded multimedia object (like MP3, MP4, AVI) files used in the document.
Cursor Movement
Logical/Visual | Select the cursor movement to be logical or visual while you are working in a right-to-left enabled document. For more information, see Caret location and movement.

Global > Graphics

The following settings are available in this section.

Setting

Description
Image Import
Anchoring Position

Select the default anchoring position to use while importing an image. By default, all images are imported in an anchored frame positioned below the current line.
Alignment Type

Select the default alignment for the anchored frame. By default, the anchored frame is center aligned.

DPI

 Specify the default DPI setting to import an image. By default, 72 DPIs are used to import an image.
Auto-Scale Image Along Width (on insertion)

Select this option when you insert an image in a text frame, table cell, heading, side head, or a column. The image automatically scales and fits in.

For example, if the image is larger than the text frame, it will automatically scale proportionally, maintain the best possible DPI, and fit to the frame.
Export Image
Raster Images DPI in HTML Output For the raster images used in your documents, you can specify the DPIs to convert those images. This setting is applicable only when you are generating Responsive HTML5 output.

Global > Interface

The following settings are available in this section.

Setting | Description
Tooltips Appearance | Select the appearance of the tooltip. The possible options are Normal, Fast, and Hidden.
Panels
Auto-Collapse Iconic Panels | Select this option to automatically collapse a panel to an icon, when the focus shifts away from the panel.
Hide Panels on Close | Select this option to hide panels when they are closed. This way, the panels remain hidden from the interface, but they remain active in the system memory. When this option is not selected, the panel is closed and removed from system memory.
Display Menu Path in Command Search | Select this option to show the menu path of a command in the Command Search. For more information, see Command Search.
Dialogs
Use Windows File Browser | Select this option to use the native Windows file browse dialog while opening or saving files.
Documents
Open Documents as Tabs | Select this option to display open documents in separate tabs. If not selected, then documents are opened in separate windows.
Hide Single Tabs in Documents | When documents are shown in separate window, then the filename is not displayed in a tab.
Prevent Document Tabbing While Dragging | Select this option to prevent document tabbing while dragging.
Open Composite Documents as Tabs | Select this option to open composite documents as tabs.
Open Documents on Drag Drop | Select this option to open documents when they are dragged and dropped onto the document window.
Icons
Grayscale/Colored | Select the Grayscale option if you want to use grayscale icons in FrameMaker's user interface, otherwise choose Colored.
Structure View
Auto-Expand Corresponding to Cursor Location in Document Window | Select this option to synchronize the cursor location in the document window with element selection in Structure View. For example, if you place your cursor anywhere in the document window, then the corresponding element in the Structure View is automatically highlighted. Similarly, if you select an element in the Structure View, the corresponding text in the document window gets selected.

Global > Alerts

The following settings are available in this section.

Setting | Description
Show Warnings While Cleaning History | Select this option to show a warning message while performing any history clearing operation. You can further limit this warning message to appear only once for each kind of operation or for all operations.
File Contains Unresolved Cross-References | Select this option if you want to show alerts when unresolved cross-references are found in the document.
Opening an Old Release Document | Select this option if you want to show alerts when opening a document from an older release of FrameMaker.
Opening an Old Release Book | Select this option if you want to show alerts when opening a book file from an older release of FrameMaker.
File Containing Unavailable Fonts | Select this option if you want to show alerts when the fonts used in the document are not available on the system where the document is being opened.
Dictionary Provider Mismatch | Select this option if you want to show alerts when the dictionary service provider in the document does not match that on the system where the document is being opened. Note: The dictionary service provider can be set from Preferences > Spelling > Dictionary.
File Unsupported in Mode | Select this option if you want to show alerts when a structured file is opened in unstructured mode.
File Unsupported in View | Select this option if you want to show alerts when a file is opened in an unsupported view.
Automatically Switch to Asian Composer | Select this option to automatically switch to Asian Composer mode. For more information, see Asian language support.
Show Alerts in Session Restore | Select this option if you want to show alerts on restoring an earlier session. This could happen when you relaunch FrameMaker after a crash.
Show Contextual Tips | Select this option to show contextual tips related to the operation that you are performing in FrameMaker. For more information, see Contextual Tips.

Global > Launch

The following settings are available in this section.

Setting | Description
Load Adobe Fonts on Startup | This option loads Adobe fonts when FrameMaker starts. Adobe fonts are stored in the <Fm_install_location>\fminit\fonts folder. If you deselect this option, then none of the Adobe fonts will be available for use.
Delay Load Clients | When you select this option, none of the clients such MathFlow and PDF import comments are loaded on startup. This option improves FrameMaker’s launch time, but some of the client applications are not available immediately after launching FrameMaker.
Delay Load Language Providers | Select this option to delay launch of all language service providers until FrameMaker is launched. When selected, this option loads only the English language dictionary services on startup. Other dictionary service providers are loaded after launching FrameMaker.
Don’t Load Startup Scripts | Specify a list of scripts that you do not want FrameMaker to launch on startup. For example, by default S1000D utilities and menu scripts are specified in this list. If you remove the S1000D scripts from this list, they are executed and you will see S1000D menu option.

Global > Dropbox

The following settings are available in this section.

Setting | Description
Currently Selected Dropbox Folder | Specify a folder location to set as the default location to store files from Dropbox.
Delete Files from Dropbox After Copying Locally | Select this option to delete files from the disk after the files are uploaded to the Dropbox folder.
Create Folder Structure for Dependencies While Uploading or Downloading | Select this option to define a folder structure to push all dependent files into Dropbox folder.

CMS > Documentum

The following settings are available in this section.

Setting | Description
On File Upload
Overwrite Existing Object and Save As | Select this option to specify the versioning mechanism. You can choose to overwrite an existing version of the file and set its version number to be same, next major, or next minor.
Show Hidden Objects | Select this option to show files that are marked as hidden in the Documentum repository. The hidden files are also shown in the Repository Manager window.
Show Private Cabinet | Select this option to show the private cabinets contained in the Documentum repository. The private cabinets are shown in the Repository Manager window.
DFS SDK Path | Browse to and select the path of the Documentum Foundation Services (DFS) SDK on your system.
Custom Attributes | Specify any custom attribute that you want to use from Documentum. For more information, see Add custom CMS attributes.

CMS > Microsoft SharePoint

The following settings are available in this section.

Setting | Description
On File Upload
Overwrite Existing Object and Save As | Select this option to specify the versioning mechanism. You can choose to overwrite an existing version of the file and set its version number to next major or next minor.
Custom Attributes | Specify any custom attribute that you want to use from Microsoft SharePoint. For more information, see Add custom CMS attributes.
Checked Dependent Files by Default | If your main document has dependent files, select this option to checkout the main document along with the dependencies. This option syncs with the Checkout all dependent files option in the confirmation dialog box. The dialog box appears when you checkout the files from SharePoint server.

CMS > DitaExchange

The following settings are available in this section.

Setting | Description
On File Upload
Overwrite Existing Object and Save As | Select this option to specify the versioning mechanism. You can choose to overwrite an existing version of the file and set its version number to next major or next minor.

CMS > Adobe Experience Manager

The following settings are available in this section.

Setting

Description
CMS

Close File on Checkin

Select this option to close a file when it is checked back into AEM.
Use UUID based referencing Select this option to download files that use the UUID (Universally Unique Identifier)/GUID (globally unique identifier) based file referencing system. You can publish these files in FrameMaker to generate the required output.

Open File on Checkout

Select this option to open a file when it is checked out from AEM.
Auto-Checkout
Enable Auto-Checkout

Select this option to automatically check-out file on opening or saving. When you select this option, the On File Save and On File Open options are enabled. The Show Prompt option can be combined with On File Save or On File Open options.

If you are using a combination of check-out On File Open and Show Prompt, then you see a prompt on opening a file from the AEM repository. If you choose to check out the file, you get an exclusive lock on the file and you can edit the file. If you choose not to check out the file, then the file is opened in read-only mode.

If you are using a combination of check-out On File Save with Show Prompt, then you see a prompt to check out the file on save. If the file is not checked out and you try to save the file, then you are prompted if you want to check out the file. If you choose not to check-out file, then the updates are not saved.
Proxy

Proxy Type

If you are behind a proxy server, you need to specify the proxy server details here to connect with your AEM server. Select the server protocol that is used by your AEM server. Possible options are HTTP and HTTPS.

Server/Port

Specify your proxy server’s IP address or domain name and the port on which it is listening.
Debugging Info
Extensive Logging

Select this option to store detailed logs that can be used for debugging any issue.

Spelling > Dictionary

Use these preferences to specify Proximity or Hunspell dictionaries for Spelling, Hyphenation, and Thesaurus for various languages. For German language variants, you can choose to use the Duden dictionary.

Spelling > Smart Quotes

Use the Smart Quotes settings to specify the single or double quotes to use for the supported languages. The quotes that you specify here are automatically picked up when you use them in your document.

Spelling > Spelling Options

The following settings are available in this section.

Setting | Description
Auto Spell Check | Spell check the words in a document as you type. If a word is misspelt, a red squiggly appears below the word.
Find
Repeat Word | Select this option if you want the Spelling Checker to find any repeated words in your document.
Unusual Hyphenation | Select this option if you want the Spelling Checker to find any unusual hyphenations in your document.
Unusual Capitalization | Select this option if you want the Spelling Checker to find any unusual capitalization (like GReen) in your document.
Two in a Row | Select this option and specify characters that should be flagged by the Spelling Checker if they are found in continuation.
Straight Quotes | Select this option if you want the Spelling Checker to find any straight quotes in your document.
Extra Spaces | Select this option if you want the Spelling Checker to find extra spaces in-between two words.
Space Before | Select this option and specify characters that should be flagged by the Spelling Checker if a space is found before them.
Space After | Select this option and specify characters that should be flagged by the Spelling Checker if a space is found after them.
Get Default | Click this button to revert the Spelling Options to its default selection.
Ignore
Single Character Words | Select this option to ignore any single character word to be flagged by the Spelling Checker.
Words That Are All Uppercase | Select this option to ignore words that are written in uppercase to be flagged by the Spelling Checker.
Words Containing | Select this option and specify characters, if found in a word, should not be flagged by the Spelling Checker.
Roman Numerals (NA for Hunspell) | Select this option to ignore any Roman Numerals be flagged by the Spelling Checker.
Words With Digits | Select this option to ignore any word containing digits be flagged by the Spelling Checker.
Smart Quotes in Space Before and After | Select this option to include the smart quotes specified under the Smart Quotes settings to be included in the space before and after rule.

XML

The following settings are available in this section.

Setting | Description
Syntax Colors | Select the colors for displaying attributes, comments, entities, element names, and other objects in XML View.
Display Line Numbers | Select this option to display the line numbers in XML View.
Word Wrap | Select this option to wrap words in the XML View.
Font Family | Select the font family to use to render XML code in the XML View.

MathML

The following settings are available in this section.

Setting | Description
MathFlow
Installation Path | Browse to and select the install path of MathFlow on your system.
License File Path | Browse to and select the path of MathFlow license file on your system.
Editor Type | Select the type of MathFlow editor you want to use. Possible options are Style editor and Structure editor. For more information, see Create equations using MathML.
MathFlow Settings
DPI | MathML equations are inserted in your document in the form of an image. Specify the DPIs for the MathML equation images.
Embed Inline | Select this option to embed the equation image inline with the enclosing paragraph.
Apply Paragraph Style | Select this option to apply the formatting of the enclosing paragraph on the MathML equation.
Export As PNG | Select this option to export the MathML equations as PNG images in the PDF output.
Font Size | Specify the font size in pixels for the MathML equation. The default font size is set to 14 px.
Alert
Show Trial License Alert | Select this option to show an alert if you are using a trial license of MathFlow.
Parent topic: User interface


Contextual Tips

Know how Contextual Tips help you find the new features introduced in Adobe FrameMaker.

The Contextual Tips feature helps you find the new features introduced in FrameMaker, or find an alternate method of performing a regular task. If there is a feature that is related to the current task that you are performing, the Contextual Tips feature would show you the related feature's information in the form of a tip. These useful tips help you perform your tasks easily and efficiently.

For example, the first time you open a new document, a tip appears at the lower-right corner of the FrameMaker workspace.

Figure 1. Contextual Tips in Adobe FrameMaker
Contextual Tips in FrameMaker

The Tips dialog box includes the following buttons:

  • ?: Hover the mouse over this button to see how to turn these tips on or off.

  • ShowMe: This button is displayed for some specific tips only. Clicking this button opens the respective panel that is being referred in the tip.

  • Details: Clicking this button takes you to the relevant Help content.

  • X: clicking this button closes the tip. To stop displaying any further messages, see Contextual Tips preferences.

Each tip appears only once for a specific workflow. For example, the next time you open a document, the tip is not displayed. The attempt is to provide you the valuable information without being intrusive. In this attempt, if you perform a workflow, FrameMaker assumes that either you have made use of the information in the tip or you do not require that information.

Contextual Tips preferences

To customize the Contextual Tips preferences, choose Edit > Preferences > Global > Alerts. The following options related to the Contextual Tips are available at the bottom of the dialog:

Show Contextual Tips

Deselect this option to stop any further messages from displaying. This means that even if you are performing a task for the first time, you will not be shown any tip or message.

Reset Contextual Tips

Click the Reset Contextual Tips button to start displaying tips again even for those workflows that have been performed earlier. For example, a tip appears while saving a document, you rest the Contextual Tips by clicking this button, next time when you save the document, the same tip is displayed again.

Parent topic: User interface


Manage open files

Understand how to work through open files in FrameMaker with the Open Files panel.

The Open Files panel lets you manage and navigate through large number of open files.

Using the Open Files panel, you can:

  1. Review and save files with unsaved changes.

  2. Search for a file with a specific name or files saved in a particular folder.

  3. Navigate across different files.

  4. Review the path of the various open files.

  5. Close specific files after saving or without saving.

Figure 1. The Open Files panel
Open Filespanelin FrameMaker

A. Save files and keep them open. B. Save the selected files and close them. C. Close the selected files – if there are unsaved changes in the files you are trying to close, the Save Files dialog appears D. Search – As you type, the panel matches the search criteria with entries in all the columns. Use the cross icon next to the Search text box to clear the entered search text E. Select All, Unsaved, or Saved to filter F. Refresh the files list G. Select all files in the list H. List of currently opened files

You can display the Open Files panel by choosing View > Panels > Open Files or View > Open Files.

Save files on file close and exit

FrameMaker displays the Save Files dialog when you attempt any of the following:

  • Exit FrameMaker by

    • Clicking the Close button

    • Selecting File > Exit

    • Using Alt+F4 on the keyboard

  • Select Shift+File and select one of the following options

    • Close All Open Files

    • Close All Files in Book

    • Close All Files in Ditamap

  • Try to close files without saving in the Open Files panel

Figure 2. The Save Files dialog
Save Filesdialogin FrameMaker

In the Save Files dialog, you can review and save unsaved changes files. You can also discard the changes by deselecting the files and clicking Save.

Save and close open files

You can see a list of currently open documents in the Open Files panel. Using the Open Files panel, you can select the files and changes to save and discard.

  1. Choose View > Panels > Open Files.

    FrameMaker displays the Open Files panel. Unsaved files and files with unsaved changes are indicated with asterisk (*). To locate files in a long list, type in the Search box. FrameMaker matches the text in the name of the file as well as the path.

  2. Select the files to be saved and do one of the following:

    • Click Save.

      FrameMaker saves the selected files. FrameMaker prompts you to specify the name and path of the files that are not saved to the disk yet.

    • Click Save and Close.

      FrameMaker saves and closes the selected files.

    • Close Files.

      FrameMaker closes the selected files. If you choose to close any files with unsaved changes, the Save Files dialog appears.

Parent topic: User interface


Restore last session

Know how FrameMaker allows you to restore the last session, steps and preferences.

In this topic

  • Introduction

  • Conditions to restore last session

  • Steps to restore the last session

  • Preferences for alerts on restore

Introduction

FrameMaker allows you to restore the last session you were working on when you last exited FrameMaker or it crashed. In case of a crash, when you launch FrameMaker again, FrameMaker displays an alert where you can choose whether or not to restore the last session. By restoring the last session, you can reinstate the following as you were working on them in the last session:

  • View: XML Code, WYSIWYG, or Author

  • Workspace

  • The document in focus

  • The files open in the last session (Except the files open through the CMS connector in the last session)

  • Page numbers in focus for different documents

  • The scroll space for the master, body and reference pages

  • Tab order of the documents

  • Palettes (such as Equation, Templates, and Thesaurus browser)

  • stuctapps.fm file: The last read structapps.fm file (On restore, the last read structapps.fm file is read again)

Conditions to restore last session

If all the following conditions are met, you can restore last session:

  1. There were files open when you exited FrameMaker or it crashed. In other words, there is something to restore in the last session. If you exit files FrameMaker after manually closing the files, there is nothing to restore.

  2. There are no open files when you try to restore the last session

  3. The current mode of FrameMaker (Structured or Unstructured) is same as FrameMaker’s last exit mode.

Steps to restore the last session

To restore FrameMaker’s last session, launch FrameMaker and do one of the following:

  • Click Restore Last Session on the Welcome Screen.

    OR

  • Choose File > Open Recent > Restore Last Session.

    OR

  • Use the keyboard shortcut esc+r+s.

  • In case FrameMaker crashes, when you relaunch FrameMaker, FrameMaker displays an alert message where you can click Yes to restore the last session.

FrameMaker restores the last session. If there are some files that could not be restored, FrameMaker displays an error message and lists the files in the Console panel.

Note: To launch the Console panel, choose View > Panels > Console or press esc+c+P.

Preferences for alerts on restore

In the Preferences dialog, you can select whether or not to display the alerts, such as missing fonts and unresolved cross references, on session restore. The alerts that require user action, such as missing graphics, appear even when you have disabled the alerts.

Parent topic: User interface


Restore dimensions of Resource Manager views

Understand how FrameMaker retains the dimensions of the Resource Manager Views on exit and relaunch.

FrameMaker retains the dimensions of the following Resource Manager Views on exit and relaunch:

  • Resource Manager View for Book

  • Resource Manager View for CMS Repository Browser

  • Resource Manager View for DITA map

FrameMaker retains the dimensions of the Resource Manager views and uses them as default dimensions of these Resource Manager views when you close and open them again.

  • For undocked Resource Manager views, FrameMaker retains the width as well as height.

  • For docked Resource Manager views, FrameMaker retains the width only.

The width that is retained for docked and undocked Resource Manager views is different. The dimensions retained for different Resource Manager Views, such as Book and DITA map, are the same.

Parent topic: User interface


Tips to work with the user interface

Know some tips and shortcuts to work with user interface, brightness, document windows, panels and icons in Adobe FrameMaker.

Combine document windows

To consolidate all document windows (floating, minimized, or docked), right-click the tab bar of the docked document window and select Consolidate All To Here from the menu.

Open file in Windows Explorer

To open a file’s location in Windows Explorer, right-click the tab bar of the docked document window and select Open Containing Folder from the menu. The document’s file is auto-selected in the Windows Explorer.

Float document windows

Click Arrange Documents icon on the top Application bar and select Float All In Windows. This arranges all the document windows as cascaded floating panels.

Tile documents

Use the Arrange Documents icon to tile document windows vertically or horizontally. This is especially useful for manually comparing documents and layering them side by side.

Bring hidden panels to the front

Sometimes while working with floating document windows or when switching workspaces, the panels may seem difficult to bring to the front.

  • Undock the panels by dragging them out using the panel title bar.

  • Dock all floating document windows. Right-click the docked tab bar and select Consolidate All To Here or drag and dock the floating document windows.

Minimize panels to icons

Right-click on the panels tab bar and select Collapse To Icons from the menu. This option is available only if the panels are floating and not docked. To collapse docked panels, click anywhere in the tab bar.

Reopen the panels

Choose View > Panels and click any panel name. The entire group of panels open at the bottom of the workspace.

Reopen a panel

Choose Windows > Panels and select the panel you want to reopen.

Collapse all open panel groups to icons

Right-click the tab bar of the panel group and select Collapse To Icons.

Exit the full screen mode

Right-click outside the text frame in the document window and select Toggle Screen Mode.

Parent topic: User interface
Related information
  • Screen modes


Accessibility

Know the features FrameMaker provides to improve access to visually impaired users.

The FrameMaker software provides a number of features that improve access for visually impaired users. In particular, it:

  • Provides support for high-contrast viewing for users with low visual acuity.

  • Creates tagged Adobe PDF files when converting FrameMaker files to tagged PDF, making it easier for people who use screen reader software to navigate a document in the proper reading order. For information on how to turn your FrameMaker documents into tagged Adobe PDF files, see Tagged PDF output.

  • Supports assistive technology, such as screen reader software for the Windows® platform.

Screen readers let visually impaired users interact with the computer by interpreting what is happening on the screen and sending that information to speech-synthesis devices. The screen reader will follow the logical structure of the document. Screen readers can read FrameMaker documents viewed in FrameMaker, or tagged PDF documents viewed in Adobe Acrobat® or Adobe Reader®. Refer to your screen reader documentation for information on installation and use with documents viewed in FrameMaker or Acrobat.

For more information on accessibility in Adobe Acrobat and Adobe PDF documents, see the Acrobat online Help and the Adobe website.

Launch the on-screen keyboard

  1. From the Start menu, choose Programs > Accessories > Accessibility > On-Screen Keyboard.

  2. Click OK. You can then start using the onscreen keyboard.

Parent topic: FrameMaker basics
Related information
  • High-contrast workspace


Documents

Understand the different methods to create documents in FrameMaker. Use the built-in templates to create your documents.

Learn more about working with documents in the subtopics.

  • Create a document
    Learn how to create a document in Adobe FrameMaker from a blank document or a template. Learn how to set the direction of the document (Left-To-Right/Right-To-Left).
  • Open a document
    Know how you can open various files and documents in FrameMaker. Understand how to troubleshoot unavailable fonts.
  • Save a document or book
    Know the various methods to save a document in FrameMaker. Understand filename extensions and formats used in FrameMaker.
  • Navigation View
    Learn how to use the Navigation View to get a quick glance of your document structure.
  • File formats you can save in
    Know about the file formats FrameMaker can save to and how to interchange FrameMaker documents between versions.
  • Save FrameMaker documents in text-only format
    Learn how to save a FrameMaker document as a text-only file, select the right encoding, and the limitations of this format.
  • Save standard FrameMaker documents as XML
    Learn how to save an standard FrameMaker document as XML.
  • Save structured FrameMaker documents as SGML or XML
    Learn how to save a structured document in SGML or XML format in FrameMaker.
  • Add metadata to a document
    Know how FrameMaker supports built-in Extensible Metadata Platform (XMP)
  • FrameMaker file extensions
    Know about the FrameMaker file extensions .fm, .mif, .book, .xml, .dita, .ditamap.
Parent topic: FrameMaker basics


Create a document

Learn how to create a document in Adobe FrameMaker from a blank document or a template. Learn how to set the direction of the document (Left-To-Right/Right-To-Left).

FrameMaker provides several templates upon which you can base your documents. Alternatively, you can choose to use a template defined by your organization or create a blank document.

By default, FrameMaker documents have a .fm extension.

  • Create a blank document
    Learn how to create a blank document with the default template in Adobe FrameMaker.
  • Use a template to create a document
    Learn how to create a new FrameMaker document based on a template.
Parent topic: Documents


Create a blank document

Learn how to create a blank document with the default template in Adobe FrameMaker.

You may want to start with a blank FrameMaker document if you’re defining a template for your organization or team.

  1. Choose File > New > Document.

  2. Specify the basic page layout:

    • To create a standard one-column document, click Portrait or Landscape.

    • To create a document with custom page size, columns, column margins, and pagination settings, click Custom and specify the required values. Click Create.

      You can also select a measurement unit for the document. FrameMaker displays measurements in dialog boxes and in the document window’s status bar in the selected unit.

  3. Add content to the document.

Parent topic: Create a document


Use a template to create a document

Learn how to create a new FrameMaker document based on a template.

In this topic

  • Introduction

  • Standard Templates

  • Structured Templates

  • Custom Templates

  • Right-To-Left Template

Introduction

You can create a document using a template. Your organization may have predefined templates for different types of documents. Choose File > New > Document to create a new document.

Do the following to create a document based upon a predefined template.

Standard Templates

To create an FrameMaker document from a standard template:

  1. Click Explore Standard Templates.

  2. In the Standard Templates dialog, select a template. For example, User Guide—Legal.

  3. Click Create to create a document based upon the selected template.

    Note: Optionally, click Show Sample to preview the document in a new document tab. This option closes the Standard Templates dialog. To return to the dialog once you’ve viewed the sample, choose File > New > Document > Explore Standard Templates again.

  4. Add content to the document.

Structured Templates

To create an structured document from a structured template:

  1. Click Explore Structured Templates.

  2. In the Structured Templates dialog, select a template. For example, Business—Memo.

  3. Click Create to create a document based upon the selected template.

    Note: Optionally, click Show Sample to preview the document in a new document tab. This option closes the Structured Templates dialog. To return to the dialog once you’ve viewed the sample, choose File > New > Document > Explore Structured Templates again.

  4. Add content to the document.

Custom Templates

To choose a custom template:

  1. Navigate to the document that you want to use as a template for the new document.

  2. Click New.

Right-To-Left Template

To create a Right-To-Left document from a Right-To-Left template:

  1. Navigate to the Templates folder ($FMHOME\Templates).

  2. Click on the RTLTemplate.fm file.

  3. Click New.

  4. Add content to the document.

Note: This creates a blank document with its direction set as right-to-left.
Parent topic: Create a document


Open a document

Know how you can open various files and documents in FrameMaker. Understand how to troubleshoot unavailable fonts.

In addition to FrameMaker documents, you can also open text files, files in MIF (Maker Interchange Format), files in MML (Maker Markup Language), and XML and SGML documents. If the required filter is installed, you can also open files created in other applications, such as Microsoft® Word. Much of the file’s formatting is retained when you open the file.

Note: To open files created using FrameMaker 7 or earlier, you must save them as MIF files.
  • Open a file
  • Open a text file
  • Open a document in use
  • Open a document without updating references
  • Reopen a file after a system crash
  • Troubleshooting unavailable fonts
Parent topic: Documents


Open a file

  1. Choose File > Open.

    Figure 1. File Open dialog

    The Open and Save Document dialogs are based the native Windows File Open/Save dialogs, which gives easy access to files on your system.

    Note: If you want to use the old Open dialog, deactivate the setting Use Windows File Browsers in the Edit > Preferences > Global > Interface dialog.

  2. Locate the document. Click Open.

Opening a document usually updates graphics imported by reference, text insets, cross-references, and system variables (if any exist). Recently opened files are listed at the bottom of the File menu.

Messages alerting you to possible issues with the file sometimes appear. You can click OK and resolve the problems later.

Note: You can also drag-and-drop files from Windows Explorer to the document window, empty UI areas, toolbars, menu bars, or panels to open the files.
Parent topic: Open a document


Open a text file

Text-only files do not contain graphics or formatting information. When you open a text-only file, you are asked to confirm that it is a text file.

  1. Choose File > Open, and open a .txt file. The Unknown File Type dialog box appears.

  2. Select the Text option.

  3. Click Convert.

  4. Select one of the following options:

    • To break the text into paragraphs only at blank lines, select Merge Lines Into Paragraphs. Use this option for a paragraph-oriented text file, such as a file containing document text.

    • To break the text into paragraphs at the end of each line, select Treat Each Line As A Paragraph. Use this option for a line-oriented text file, such as a file containing computer code.

    • To convert the text into a table, select the Convert Text To Table. Use this option if the content of your source file is tabulated.

      Select additional options in the Convert To Table dialog box, such as number of columns, cell separators, and heading rows, to obtain the data in the appropriate tabular form.

  5. Select the desired Encoding scheme. By default, the ANSI (Windows) encoding scheme is selected.

  6. Click Read. The text appears in a document that is created from a special template. You can customize the template so that documents created from text files are formatted differently.

Parent topic: Open a document


Open a document in use

A lock file (*.lck) is created every time you open a document. This lock file prevents others from changing the file while you work in it. A lock file is in the same folder as the original document and is removed when you close the document. You can turn off file locking.

If you try to open a document that’s already open and if you have write permission to the document, a dialog box displays the name of the document, who opened it last and when, and the computer on which it is open. You sometimes see this dialog box after a system crash when you open a document you were last using.

Open the file and do one of the following:

  • If you want to look at the file but not change it, click Open For Viewing Only, and then click Continue. The document appears in View Only format.

  • If you want to edit a copy of the file, click Open Copy For Editing, and then click Continue. A copy of the file is opened and when you save this file you are prompted to provide a new filename.

  • If you want to edit the file and you know that no one else is using it, click Reset Lock And Open, and then click Continue. Use this option after a system crash to edit a document that was open at the time of the crash.

Parent topic: Open a document


Open a document without updating references

A document opens more slowly if it contains many cross-references to other files, large imported graphics, or many text insets. You can open a document faster by bypassing the update of imported graphics, cross-references, and text insets. However, if you use this method to open documents, keep in mind that FrameMaker does not warn you about missing items or unresolved cross-references. For this reason, it is best to occasionally open a document in the usual way.

  1. Choose File > Open, and select the file you want to open.

  2. Control-click Open.

After the file is open, FrameMaker imports and displays graphics as needed on a page-by-page basis. You can manually update cross-references and text insets by using Edit > Update References. If the page display is too slow, reopen the document in the usual way.

SGML, XML, MIF, and MML are all text formats, so they open as text in unstructured mode.

In the case of .xml or .mif files in structured FrameMaker, control-clicking the Open button opens them as text files. You are prompted to specify the text reading options in the Reading Text File dialog box. Opening these files as text lets you view or edit the markup.

Figure 1. Markup in an SGML file
Viewand edit markup in an SGML file

Parent topic: Open a document


Reopen a file after a system crash

If your system crashes, the file is saved automatically in the following situations:

  • If you selected Automatic Save in the Preferences dialog box, autosave files (whose filename contains .auto) are created at the specified interval. This file is deleted when you save and close a file.

  • If your system becomes unstable, FrameMaker tries to create a recover file (filename contains .recover) with your most recent changes.

An automatically saved copy of the file contains recent changes to the file.

  1. Open the file you were working on last.

  2. Do one of the following:

    • If a recover file exists, open it when prompted and check whether your latest changes are there. If they are, save the recover file with the same name as the document you were originally working on and then delete the recover file.

    • If no recover file exists, open the autosave file when prompted and save it with the same name as the document you were originally working on. The autosave file contains all the changes you made until the time of the last automatic save. The amount of work lost depends on the time interval you set between saves and when your system crashed.

Parent topic: Open a document


Troubleshooting unavailable fonts

You sometimes get an alert message that indicates the document you are opening uses unavailable fonts. Fonts can become unavailable for a few reasons:

  • The document was edited on a different system using fonts that are not installed on your system.

  • A font is removed or has become damaged.

  • The default printer for your system has changed.

If the Remember Missing Font Names option in the Preferences dialog box is selected, FrameMaker preserves the names of unavailable fonts. Selecting this option causes the original fonts to reappear when you open the document on a computer that has the fonts installed, even if you save the document with substitute fonts.

To fix the problem of missing fonts, consider the following options:

Check for damaged fonts

Determine whether the fonts that are unavailable in FrameMaker are installed on your system and available in another application. If another application can use fonts that FrameMaker cannot use, the fonts may be damaged. Reinstall them using the original media. For more information on troubleshooting font problems, isolating damaged fonts or a damaged fonts folder, or reinstalling PostScript fonts, see the Adobe website.

Remap unavailable fonts

If you cannot install or reinstall the unavailable fonts, you may want to permanently remap the unavailable fonts to available fonts, so that the alert message does not appear when you open the document. You do this by deselecting the Remember Missing Font Names option in the Preferences dialog box before you open the file. However, be aware that doing this causes you to lose the original font information referenced in the document.

Switch printers

FrameMaker reads font information stored in the printer driver so that it can make fonts stored at the printer available for use within FrameMaker. In some cases, changing the default printer can change one or more fonts available in FrameMaker.

Obtain and install the missing fonts

For example, if you and a co-worker are editing the same documents, and you would like to use the same fonts as your co-worker, consider purchasing and installing copies of the fonts.

Parent topic: Open a document


Save a document or book

Know the various methods to save a document in FrameMaker. Understand filename extensions and formats used in FrameMaker.

In this topic

  • Introduction

  • Save a book

  • Save all open documents

  • Return to the saved version of your document

  • Back up and save automatically

Introduction

You can save a document using its current name and location, or save a copy of the document using a different name or location. You can save a document in several formats, including Hypertext Markup Language (HTML), Extensible Markup Language (XML), Rich Text Format (RTF), and Portable Document Format (PDF).

When a document or a book has unsaved changes, an asterisk (*) appears in the Page Status area of the status bar.

Figure 1. An asterisk indicates unsaved changes.
Showing unsaveddocument changes in the Page Status bar

To save a document, do one of the following:

  • To save changes in the current file, choose File > Save.

  • To save the file in a different folder or with a different filename, choose File > Save As.

If you choose File > Save As, or if the file has never been saved, specify the new filename and location. If you want to save the file in a different format, choose the format from the drop-down list.

Click Save. If you select Text Only format, specify how to treat the text and tables in the document.

Save a book

  1. Do one of the following:

    • To overwrite the current version on the disk, choose File > Save Book.

    • To save the file in a different folder or using a different name, choose File > Save Book As.

  2. If you choose the File > Save Book As command, or if the file has never been saved, specify the new filename and location.

Save all open documents

Hold down the shift key and choose File > Save All Open Files.

Return to the saved version of your document

Choose File > Revert To Saved. Click OK.

Back up and save automatically

FrameMaker can back up and save your work automatically.

  1. Choose Edit > Preferences.

  2. In General preferences, do the following:

    • To create a backup file every time you save, select Automatic Backup On Save. This option creates a copy of the file before your latest changes are saved. If a backup file exists, the new backup file overwrites it. The filenames of backup files contain .backup.

    • To create an autosave file at regular intervals, select Auto Save Every and enter an interval (in minutes) in the box. This causes a copy of the file to be saved periodically without your having to choose File > Save. The filenames of autosave files contain .auto. When you save manually or revert to the last saved version with the Revert To Saved command, the autosave file is deleted.

  3. Click OK.

Parent topic: Documents
Related information
  • Save as PDF
  • Import properties from a template


Navigation View

Learn how to use the Navigation View to get a quick glance of your document structure.

In this topic

  • Introduction

  • Use the Navigation View

Introduction

When you work in a long document, you can use the Navigation View panel to see the entire structure of the document. The Navigation View uses a smart algorithm to understand the headings within your document to display the structure of your document.

Use the Navigation View

To check your document's structure, launch the navigation view from the main menu View > Panels > Navigation Viewor use the shortcut keys Escnv.

Figure 1. Navigation View panel and its context menu

The following functions are available in the Navigation View panel:

  • Search for a heading by entering some keywords in the Search by Heading text box.

  • Jump to a heading in the main content by clicking on the heading text.

  • Jump to the top of the document by clicking the up-arrow bar.

The following functions area available from the context menu of the Navigation View panel:

  • Expand All: Expand and show all child headings of the currently selected heading.

  • Collapse All: Collapse and hide all child headings of the currently selected heading.

  • Select Heading and Content: Select the heading and content that is a part of the selected heading. In case the selected heading has child headings, then all such content is also selected.

  • Delete: Delete the currently selected heading and its content.

Parent topic: Documents


File formats you can save in

Know about the file formats FrameMaker can save to and how to interchange FrameMaker documents between versions.

In this topic

  • Introduction

  • FrameMaker file formats

  • File formats for a DITA map

  • Interchange documents with FrameMaker 8 and higher

  • Interchange documents with FrameMaker 7.2 or prior

  • Other file formats (Text only, SGML, HTML, XML, RTF)

Introduction

You can use the File > Save As command to save a FrameMaker document in the different file formats. You can save as a FrameMaker file that can be opened in the previous version of FrameMaker, Save to Maker Interchange Format (MIF) for older FrameMaker versions, or to Text-only, SGML, HTML, XML, and RTF.

FrameMaker file formats

Book 2022 (*.book)

Saves the FrameMaker book as a book that you can open and edit in the latest release of FrameMaker.

Book 2020 (*.book)

Saves the FrameMaker book as a book that you can open and edit in FrameMaker (2020 release).

Document 2022 (*.fm)

Saves the FrameMaker document as a document that you can open and edit in the latest release of FrameMaker.

Document 2020 (*.fm)

Saves the FrameMaker document as a document that you can open and edit in FrameMaker (2020 release).

MIF 2022 (*.mif)

Creates a text file containing FrameMaker statements that describe all text and graphics. To avoid overwriting your original document, save the MIF file under a different name. For example, add a .mif extension to the name.

For information on MIF, see the MIF Reference guide.

View Only 2022

Saves the FrameMaker document or book as a view only document or book that you can open and view in the latest release of FrameMaker.

File formats for a DITA map

XML (*.xml, .ditamap)

Saves the map file as a .xml or a .ditamap file that you can edit in any XML editor.

Composite Document 2022 (*.fm)

Saves the map file and all contained topics as a single FrameMaker document. You can open and edit this document in the latest release of FrameMaker.

Book 2022 with Fm Components (*.book)

Saves the map file as a .book file and all contained topics as FrameMaker (.fm) documents. You can open and edit these documents in the latest release of FrameMaker. It also generates other book components like the list of figures, tables, and an index.

Interchange documents with FrameMaker 8 and higher

To interchange FrameMaker files with older FrameMaker versions, save the book or document in the current version’s Maker Interchange Format (MIF) format. Open this file in the older FrameMaker version and save it in the native format of this version.

For information on MIF, see the online manual MIF Reference.

Interchange documents with FrameMaker 7.2 or prior

To interchange FrameMaker files with FrameMaker versions prior to version 7.2, save the book or document in MIF 7.0 (*.mif) format. Open this file in FrameMaker 7.2 or prior and save it in the native format of this version.

For information on MIF, see the online manual MIF Reference.

Warning: MIF 7.0 file format does not support Unicode. All characters not supported in FrameMaker 7.2 or prior will appear as question marks (“?”) or get lost. Saving FrameMaker 8 or higher documents to MIF 7.0 is not recommended due to the missing Unicode support in FrameMaker versions prior to 7.2 release.

Other file formats (Text only, SGML, HTML, XML, RTF)

Text Only

Creates a plain text file without graphics or formatting information. To avoid overwriting your original document, save the text file under a different name. For example, add a .txt extension to the name.

SGML

Creates an SGML file with the content, elements, and attributes from your document.

HTML

Creates an HTML document that can be viewed on the World Wide Web. For information on adjusting the mapping of paragraph and character styles to predefined HTML elements, see Set up and adjust HTML mappings.

Note: When you save a structured FrameMaker document as HTML, all attributes with the same name are mapped to the same value, even if the attributes have different values for different elements. To use different values for these attributes after exporting, use a text editor to edit the resulting file.
XML

Creates an XML document that can be used for data exchange and viewed on the World Wide Web.

For information on XML, see the https://www.w3.org/standards/xml/.

Microsoft RTF

Create files in Rich Text Format 1.9 (RTF), which is supported by many word processors and can be read by other applications. Most formatting is preserved as formats are usually converted to word-processing styles.

For information on RTF, see the Rich Text Format (RTF) Extensions Algorithm.

Parent topic: Documents
Related information
  • Save FrameMaker documents in text-only format
  • Save standard FrameMaker documents as XML
  • Save structured FrameMaker documents as SGML or XML
  • Set up and adjust HTML mappings


Save FrameMaker documents in text-only format

Learn how to save a FrameMaker document as a text-only file, select the right encoding, and the limitations of this format.

Important: Only ordinary text—those in text frames and tables—is saved; graphics, text in graphic callouts, footnotes, and formatting information are not saved. Reformat line lengths and hyphenation as needed before saving the file.

You can save a FrameMaker document as a text-only file. Saving a document in text-only format creates a text file with the text encoding of your choice.

If some characters are not available in the text encoding that you choose, those characters are replaced in the text file. For example, when you save a document in Text Only format using ANSI (Windows) or ASCII encoding, spaces (including thin, en, em, and numeric spaces) are converted to regular spaces.

  1. Choose File > Save As.

  2. Specify the filename and location, and select Text Only format.

  3. Click Save. The Save As Text dialog is displayed:

    Figure 1. FrameMaker Save as Text dialog
    FrameMaker Save As Text dialog

  4. Do one of the following:

    • To break each line into a separate paragraph, click At The End Of Each Line. This option maintains a file’s original line breaks and blank lines. Use this option for a line-oriented file such as computer code.

    • To merge adjacent lines into paragraphs and insert a carriage return only at blank lines, click Only Between Paragraphs. Use this option for paragraph-oriented files, such as files containing document text.

  5. If you want to save table text, select Include Text From Table Cells. Then do the following:

    • Specify the order in which you want the table cells saved (Row by Row or Column by Column).

    • Choose whether to separate cells with tabs (\t) or with carriage returns (\r) by choosing items from the drop-down lists.

  6. If the text file will be used on a platform that uses a different text encoding, choose an appropriate encoding from the Text Encoding drop-down list, and then click Save.

    You can select between the following encodings:

    • UTF-8

    • ISO Latin-1 (Unix)

    • ASCII

    • ANSI (Windows)

    • Macintosh

    • Japanese (JIS)

    • Japanese (Shift-JIS)

    • Japanese (EUC)

    • Traditional Chinese (Big5)

    • Traditional Chinese (EUC-CNS)

    • Simplified Chinese (GB)

    • Simplified Chinese (HZ)

    • Korean

    • UTF-16 (Big Endian)

    • UTF-16 (Little Endian)

    • UTF-32 (Big Endian)

    • UTF-32 (Big Endian)

Parent topic: Documents
Related information
  • File formats you can save in
  • Save unstructured FrameMaker documents as XML
  • Save structured FrameMaker documents as SGML or XML


Save standard FrameMaker documents as XML

Learn how to save an standard FrameMaker document as XML.

You can export both structured and unstructured files to XML.

For structured documents (FrameMaker files with an embedded structure), the Structured Application is used to save as XML.

For unstructured documents (FrameMaker files without an embedded structure), the mapping used to specify what element to create for each paragraph, character, cross-reverence etc. in the source FrameMaker file is defined on the reference page “XML” in the “XML Mapping Table.”

The export function creates an XML file and a corresponding cascading style sheet (CSS), which can be used with the document.

  1. Do one of the following:

    • Choose File > Save As XML or press Esc+f+w+x.

    • Choose File > Save As and choose XML from the Files save as drop-down list.

      Give the filename an extension of .xml.

  2. Specify the file location.

  3. Click Save.

Parent topic: Documents
Related information
  • File formats you can save in
  • Save FrameMaker documents in text-only format
  • Save structured FrameMaker documents as SGML or XML


Save structured FrameMaker documents as SGML or XML

Learn how to save a structured document in SGML or XML format in FrameMaker.

You can save any structured FrameMaker document as SGML or XML. The contents, elements, and attributes from the document are preserved; however, formatting is not preserved. You can save to a different structured document type than the original (such as SGML to XML), but you may encounter errors due to differences in DTDs.

When you save Unicode content as an XML file, FrameMaker specifies the encoding automatically. By default, FrameMaker uses the UTF-8 encoding format.

Before saving a document as SGML or XML, you should validate it and correct any errors in the elements and attributes (see “Validating documents”). Otherwise, the markup may be invalid.

When saving structured XML documents, make sure valid XML element names start with a letter and contain only alphanumeric characters, periods, or hyphens. Spaces, underscores, and other characters in XML element names are invalid characters, and are either converted to hyphens (-) or generate errors.

Headings, tables, and reference pages are not used in XML export, and the default element names are simply the style names.

Default encoding settings for exporting structured documents are ISO-8859-1 for SGML and UTF-8 for XML. If the structured document is an imported SGML or XML file, FrameMaker uses the encoding settings in the original file instead of the default settings.

  1. Choose File > Save As.

  2. Specify a filename and location. You may want to add the appropriate extension (such as .sgm or .xml) to the filename.

  3. Select SGML or XML from the drop-down list. Click Save. If the document has an application associated with it, the document is saved.

  4. If the Set Structured Application dialog box appears, select an application name from the Set Structured Application drop-down list. Click Continue. Then do one of the following:

    • To associate an application with the document, select the name of an application.

    • To use default mapping and no read/write rules, select <No Application>.

If FrameMaker finds any structure errors when you save a document, it lists error messages in a view-only error log. If a message refers to an error in the FrameMaker document, the message is linked to the document. For most errors, you can click the message to go to the location of the problem.

When you open the structured documents, import element definitions into them. You’ll probably need to make a few corrections to their structure.

Parent topic: Documents
Related information
  • Import element definitions into structured books


Add metadata to a document

Know how FrameMaker supports built-in Extensible Metadata Platform (XMP)

FrameMaker includes built-in support for Extensible Metadata Platform (XMP).

Metadata, or file information, is descriptive information that can be searched and processed by a computer. Use it to provide information about the contents of a document, and to preserve information about a document that will be opened in other Adobe applications. If you export the file to PDF, much of this metadata will appear in Acrobat.

Metadata tags travel with the document and describe its content. By embedding them in your documents, you make the documents easier to track, manage, and retrieve.

Note: Metadata in a book file sometimes overrides metadata in a document file. If your document is part of a book file, open the book file and select the document before you add metadata.

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose File > File Info.

  3. Enter the desired information in the box next to any or all categories.

  4. For Marked, select Yes if the document is copyrighted, or No if the document is explicitly in the public domain. Select Unknown if you’re not sure.

  5. Click Set.

You can see the information of File Info dialog in the meta data of the PDF output when you publish as a PDF. For example, enter the information in the given fields and you can see them in the metadata of the PDF output.

Table 1. File Info mapped to Metadata
File Info in FrameMaker | Mapped titles in the PDF Metadata
Author | Author
Title | Document Title
Subject | Description
Keywords | Keywords
Copyright | Copyright Notice
Web Statement | Copyright Info URL
Marked | Copyright Status
To see the metadata of a PDF, open the PDF in Adobe Acrobat and do the following:
  1. Choose File Properties.
  2. See a summary of the metadata in the Description tab.
  3. To see the full metadata, click Additional Metadata.
Parent topic: Documents


FrameMaker file extensions

Know about the FrameMaker file extensions .fm, .mif, .book, .xml, .dita, .ditamap.

When you save a file for the first time in Windows, FrameMaker automatically adds these extensions:

  • .fm for FrameMaker documents

  • .mif for FrameMaker MIF (Maker Interchange Format) documents

  • .book for FrameMaker book documents

  • .xml/.dita for XML documents

  • .ditamap for DITA map and bookmap files

With these extensions, the files are recognized as FrameMaker files by the Windows operating system.

If you don’t want these special extensions added to the filenames you assign, enclose the filenames in double quotation marks. Windows doesn’t recognize a file without one of these extensions as a FrameMaker file, but you can still open the file in FrameMaker.

If you assign an extension that’s registered by another application, such as .doc or .docx, the extension is not replaced by the FrameMaker extension and you can still open the file in FrameMaker.

Parent topic: Documents


Document direction

Get familiar with how Adobe FrameMaker allows you to author documents in both Left-To-Right (LTR) as well as Right-to-Left (RTL) scripts such as Arabic, Hebrew, and Farsi.

In this topic

  • Change the direction of the current document

  • Inheritance design

  • Caret location and movement

Introduction

FrameMaker allows you to author documents in both Left-To-Right (LTR) as well as Right-To-Left (RTL) scripts such as Arabic, Hebrew, and Farsi. You can also choose to author multi-directional documents. This means that you can author a document in a specific direction that includes parts authored in the other direction. For example, you can author a document in a LTR script such as English that includes paragraphs and tables authored in RTL scripts such as Arabic, Hebrew, and Farsi. Or you can author a multiflow document that contains one flow (text frame) in an LTR language and another flow in an RTL language.

Figure 1. Document containing text authored in LTR (English) and RTL (Arabic, Hebrew, and Farsi) scripts
Multi-direction FrameMaker document with text written LTRand RTL

Besides the text in a document, you can also change the orientation of the images in a document based on the direction of the document (see Change direction of a document containing objects). You can add multi-directional text lines to the images in your documents (see Add a text line to a graphic).

You can define a mini TOC in a FrameMaker document in which the direction either LTR or RTL. Use the directional marks in your document (Insert > Directional Marks) to insert marks of type LRT/RTL embedding, mark, or override.

You can also copy and paste such text to and from FrameMaker documents (see Import Microsoft Word files).

Note: When you import or copy text of a specific direction into a FrameMaker document, you need to ensure the text direction of the destination location (document, table, or paragraph) is set to the same direction.

FrameMaker provides out-of-the-box document direction support for both unstructured documents and DITA topics. However, for structured documents based on other Structured Applications, the application developer will need to define the dir property in the EDD. For details, see the Structured Application Developer Reference Guide.

Change the direction of the current document

To change the direction of the current document do the following:

  1. Choose Format > Document > Direction > Left-to-Right to switch the document direction to Left-to-Right.

  2. Choose Format > Document > Direction > Right-to-Left to switch the document direction to Right-to-Left.

The position of the insertion point changes based on the direction of the document.

Inheritance design

The direction authoring support in FrameMaker is based on an inheritance design. By default, the objects in a document inherit the direction of the document. For example, direction of the paragraphs or tables inserted into a RTL document will be RTL. FrameMaker uses this inheritance design to allow you to author multi-direction documents.

Caret location and movement

By default, the cursor in an RTL enabled document moves right to left as your type. FrameMaker now has system of a strong (primary) caret and a weak (secondary) caret. The strong caret indicates where an inserted character will be displayed when that character's direction is the same as the base direction of the text. The weak caret shows where an inserted character will be displayed when the character's direction is the opposite to the base direction.

To change the movement behavior of the caret:

  1. Choose Edit > Preferences.

  2. In the Caret Movement group, select Logical to ensure that the key movement remains the same as the logical order of inserted characters.

    Select Visual to ensure that the cursor movement is in the direction of the keys. For example, the left key moves the cursor in the left direction.

Parent topic: FrameMaker basics
  • Global > General
  • Right-To-Left Template
  • Set flow direction
  • Change text direction in structured documents
  • Change the direction of text in a table
  • Paragraph Designer
  • Change direction of a document containing objects


Asian language support

FrameMaker provides advanced support for editing and publishing Asian languages. The Layout Engine can be specified at the paragraph level by specifying the Asian paragraph composer.

Whenever you select a font that has double byte encoding or is a CJK language font in paragraph designer (for Chinese, Japanese, Korean), you need to check the Use Asian Composer option in the Paragraph Designer.

When a legacy document is opened, for all paragraphs containing double byte font or Rubi text this property is switched on so that the Asian layout engine will be used for those paragraphs.

Since the two layout engines have different capabilities, scenarios may arise wherein neither engine can handle the text correctly. For example, if a paragraph contains both Rubi and Arabic text, neither engine can handle both of these correctly.

You can also choose to not show this alert and instruct FrameMaker to automatically switch to Asian language support.

  1. Choose Edit > Preferences to open the Preferences dialog.

  2. Go to the Global > Alerts tab.

  3. Activate the Automatically Switch to Asian Composer checkbox.

Parent topic: FrameMaker basics


Page layout and templates

Multiple components make up a FrameMaker template. These components include paragraph styles, character styles, master page layouts, reference pages, and cross-reference formats.

Both unstructured and structured templates require careful planning and upfront design before you create a template.

  • Formats
    Learn about paragraph formatting in FrameMaker, create paragraph style.
  • Body, master, and reference pages
    Know the body, master, and reference pages in Adobe FrameMaker and their usage. Understand template text frame, background text frame and reference frame.
  • Page layouts
    Understand how to create and use reference frames on reference pages, set up boilerplate graphics on reference pages in Adobe FrameMaker
  • Multiflow documents
    Maintain separate text flows, each with its own text frame connections. Create bilingual documents in FrameMaker.
  • Templates
    Know what is a template, what are structured and unstructured templates in FrameMaker.
  • Import formatting properties
    Learn about importing formatting properties in Adobe FrameMaker.


Formats

Learn about paragraph formatting in FrameMaker, create paragraph style.

  • Paragraph styles
    Understand what paragraph styles are and how to create a paragraph styles in Adobe FrameMaker.
  • Character styles
    Understand what character styles are and how to create a character style in Adobe FrameMaker.
  • Manage styles
    Know how Adobe FrameMaker provides features to manage various paragraph, character, and table styles.
  • Style catalogs
    Understand the Style catalogs in Adobe FrameMaker.
  • Fonts
    Get familiar with fonts in FrameMaker, change bars, language and pair kern, Japanese and western fonts.
  • Background color
    Learn how to highlight sections of an Adobe FrameMaker document by setting the background color for text or entire paragraph.
  • Indentation, alignment, and spacing
    Learn about indentation, alignment, and spacing in Adobe FrameMaker. Understand tab stops, and placement in Japanese documents.
  • Lists and autonumbering
    Learn how to create lists, mark auto numbering, use symbols in Adobe FrameMaker. Understand book component numbering, Japanese numbering options, RTL numbering options.
Parent topic: Page layout and templates


Paragraph styles

Understand what paragraph styles are and how to create a paragraph styles in Adobe FrameMaker.

In this topic

  • Introduction

  • Paragraph Designer

  • Paragraph Catalog

  • Create a new paragraph style

  • Update an existing paragraph style

  • Update an existing paragraph style

  • Add graphics to paragraph styles

Introduction

In Adobe FrameMaker, paragraph styles contain settings for how the text looks and the format applies to the entire paragraph.

Paragraph styles are the basis of document formatting in unstructured FrameMaker documents though they can also be the basis of document formatting in structured FrameMaker documents.

Paragraph Designer

The Paragraph Designer is used to create paragraph styles and manage the paragraph formatting.

Choose Format > Paragraphs > Paragraph Designer… or View > Panels > Paragraph Designer… or press ctrl+m to open the Paragraph Designer.

Figure 1. Paragraph Designer
Create andmanageparagraph styles using the Paragraph Designer in Adobe FrameMaker

Basic
Paragraph properties such as indentation, spacing, alignment, tab stops, line spacing, and next paragraph style to use.
Font
Font properties such as font family, size, angle, weight, background color, and language. The Language drop-down list allows you to select LTR languages such as, English, German, Thai and RTL languages such as, Arabic, Hebrew, and Farsi.
Pagination
Pagination properties such as Keep With and format properties such as In Column, Across All Columns.
Numbering
Use the available building blocks to define a numbering format.
Advanced
Properties such as automatic hyphenation and word spacing.
Asian
Apply Asian language settings such as Asian character spacing. Includes the Use Asian Composer checkbox to choose the FrameMaker Layout Engine (see Asian language support).
Table Cell
Paragraph properties applied to a table cell.
Direction
Define the paragraph direction to Inherit (default), Left-to-Right, and Right-to-Left.

Paragraph Catalog

The Paragraph Catalog lists all the paragraph styles available for a document.

Choose Format > Paragraphs > Paragraph Catalog… or View > Panels > Paragraph Catalog… to open the Paragraph Catalog.

To apply a paragraph style, select the text and select the style in the Paragraph Catalog.

You can enter parts of a style name in the search box to reduce the list of styles to those which names contain

Figure 2. Paragraph Catalog
Apply paragraphstylesusing the Paragraph Catalog in Adobe FrameMaker

Create a new paragraph style

To create a new paragraph style, do the following:

  1. Choose Format > Paragraphs > Paragraph Designer… or View > Panels > Paragraph Designer… to open the Paragraph Designer.

  2. Click in a paragraph whose formatting is like the one you want to create. Be careful not to select multiple paragraphs.

  3. Open the Paragraph Designer and enter a name for the new format in the Style text box.

  4. Click Create Style.

The new paragraph style is created and the style is added to the document's Paragraph Catalog.

Note: The Update Style button changes to Create Style. All new paragraph styles are automatically stored in the Paragraph Catalog.

Update an existing paragraph style

To update an existing paragraph style, do the following:

  1. Choose Format > Paragraphs > Paragraph Designer… or choose View > Panels > Paragraph Designer… to open the Paragraph Designer.

  2. Click in a paragraph with the style that you want to update.

  3. In the Paragraph Designer modify any of the properties you want.

  4. Click Update Style.

Define the style for the paragraph that follows

Well-designed templates often connect styles so that FrameMaker automatically applies a style to the paragraph that follows the current one.

To define the style for the paragraph that follows the current one, do the following:

  1. Click in the paragraph.

  2. Display the Basic properties of the Paragraph Designer, and select a style from the Next Paragraph Style drop-down list. FrameMaker applies this style to the new paragraph when you press Return to create a paragraph.

  3. Click Apply.

Add graphics to paragraph styles

A paragraph style can include a line or other graphic that appears above or below a paragraph. Perhaps all top-level headings in a document rest on a long thin line.

To add graphics to a paragraph style, do the following:

  1. On the Reference page, draw or import the graphic in a reference frame, or locate one already there that you want to use.

  2. Click in the paragraph you want to change. To place a line above or below several adjacent paragraphs, select all the paragraphs.

  3. Display the Advanced properties of the Paragraph Designer, and select the name of a reference frame from the Frame Above Pgf or from the Frame Below Pgf drop-down list. All reference frames appear in the drop-down lists.

  4. Click Apply.

Tip: Because the Frame Above Pgf and the Frame Below Pgf settings can’t place graphics to the right or left of a paragraph, you can’t use these settings to place boxes around text. Box text by using a single-cell table with outside ruling.
Parent topic: Formats


Character styles

Understand what character styles are and how to create a character style in Adobe FrameMaker.

In this topic

  • Introduction

  • Character Designer

  • Character Catalog

  • Create a character style

Introduction

Character styles allow you to format one or more characters or words inside a paragraph.

By applying a character style, you can quickly format text without overriding the properties of the entire paragraph.

Creating character styles helps to maintain format consistency as well as applying format changes globally.

Character styles also serve as building blocks for other FrameMaker features, such as cross-reference formats or variables.

Character Designer

The Character Designer is used to create and manage character styles. All character styles are listed in the Character Catalog.

Figure 1. Character Designer
Create andmanagecharacter styles using the Character Designer

The Character Designer allows you to create a new character style or update an existing character style. A wide range of character formatting options are available to design character styles as per your needs.

Character Catalog

The Character Catalog lists all the character styles available for a document. To apply a character style, select the text and select the style in the Character Catalog.

Figure 2. Character Catalog
Apply character styles using the Character Catalog

Create a character style

  1. Click in a text range whose formatting is like the one you want to create. Be careful not to select multiple paragraphs.

  2. Open the Character Designer and enter a name for the new style in the Style text box.

    Note: The Update Style button changes to Create Style. All new character styles are automatically stored in the Character Catalog.

  3. Change the properties you want to include in the new character style.

  4. Click Create Style.

Parent topic: Formats


Manage styles

Know how Adobe FrameMaker provides features to manage various paragraph, character, and table styles.

In this topic

  • Apply styles

  • Update styles

  • Update a paragraph style

  • Update a character style

  • Update specific style properties or a single property group

  • Reformat all paragraphs with a new style

  • Delete a paragraph style from the document style catalog

  • Delete a character style from the document style catalog

  • Rename a style

  • Tips for creating new styles

Apply styles

Paragraph styles apply at a paragraph level, character styles at a character or word level, and table styles apply to complete tables.

  • Paragraph and table styles: Place the cursor inside the paragraph or the table, and select a style from the catalog.

  • Character styles: Select the text and click a style from the catalog.

Update styles

You can change style properties and then use them to redefine or update the stored styles and all the text in the document tagged with them.

When you update a style, you can update all properties or just one group of properties. For example, you can change the default font family for all styles in a document without changing any other properties.

  • To update one paragraph style or all paragraph styles in the document with a property group from a paragraph, click in that paragraph or select consecutive paragraphs.

  • To update more than one paragraph style but not all paragraph styles, select consecutive paragraphs that use the styles you want to update.

Importing paragraph or character font definitions is also possible through the File > Import > Formats command.

Update a paragraph style

To update a paragraph style in Adobe FrameMaker, do the following:

  1. Choose Format > Paragraphs > Paragraph Designer to open the Paragraph Designer.

  2. To display the properties of the style, including any overrides, select the text to analyze.

    To display the properties of the style as defined for the style, choose the style from the Style drop-down list again.

  3. Change any properties, and then click Update Style. FrameMaker asks whether you want to remove overrides.

Tip: If you change properties in the designer and then decide against updating the style, you can cancel the operation and reset the properties by clicking in the text.

Update a character style

To update a character style in Adobe FrameMaker, do the following:

  1. Choose Format > Paragraphs > Paragraph Designer to open the Paragraph Designer.

  2. To display the properties of the style, including any overrides, select the text to analyze.

    To display the properties of the style as defined for the style, choose the style from the Style drop-down list again.

  3. Change any properties, and then click Update Style. FrameMaker asks whether you want to remove overrides.

Tip: If you change properties in the designer and then decide against updating the style, you can cancel the operation and reset the properties by clicking in the text.

Update specific style properties or a single property group

To update a specific property of a paragraph or character style in Adobe FrameMaker, do the following:

  1. To update a specific property of a paragraph style, choose Format > Paragraphs > Paragraph Designer to open the Paragraph Designer.

    To update a specific property of a character style, choose Format > Characters > Character Designer to open the Character Designer.

  2. If you are updating specific style properties, change only the property you want to update.

    If you are updating a single property group of a style, select Set Window to As Is from the Commands drop-down list of the Designer dialog to set all formatting definitions to As Is. Change the properties as needed.

  3. Choose Global Update Options from the Commands drop-down list.

  4. If you are updating a paragraph style, choose if you want to update the style definition with all properties of all property groups (All Properties) or only with the changes made in the current property group (<Property Group Name> Properties Only).

    The Global Update Options of the Character Designer does not have this option as the Character Designer has only one property group.

  5. In section Update Paragraph Styles / Update Character Styles:

    • Select All Paragraphs And Catalog Entries or All Characters And Catalog Entries to apply the selected style to all paragraphs/characters in the current document.

    • Select All Matching Tags In Selection to apply the changed style definition to all paragraphs or characters in the current document that have the same styles applied as the selected paragraphs/characters.

    • Select All Tagged to change all paragraphs/characters in the current document from their current style to a new style. See the section Reformat all paragraphs with a new style for more details.

  6. Click Update Style in the Designer dialog box.

Reformat all paragraphs with a new style

In Adobe FrameMaker, you can change the paragraph style of all paragraphs in the current document to a new style. For example, you can change all paragraphs in the current document formatted with style “Normal” to “Body.”

To apply a different style to all paragraphs in the current document, do the following:

  1. Selected a paragraph with the new style that you want to apply to all paragraphs with the current style.

  2. Choose Format > Paragraphs > Paragraph Designer to open the Paragraph Designer.

  3. Choose Global Update Options from the Commands drop-down list in the Paragraph Designer.

  4. Select the target style from the All Tagged drop-down list.

  5. Click Update.

  6. Confirm the question “OK to change all <Current Style Name> tags to <New Style Name>?” with OK.

FrameMaker reformats all paragraphs in the current document formatted with <Current Style Name> with <New Style Name>.

Delete a paragraph style from the document style catalog

Note: Deleting a style from the document style catalog does not affect the content that has this style applied. The content simply has a style applied that isn’t in the catalog.

To delete a paragraph style from the document style catalog, do the following:

  1. Choose Format > Paragraphs > Paragraph Catalog. The Paragraph Catalog is displayed.

  2. Click the Delete button. The Delete Formats from Catalog is displayed.

  3. Select the paragraph style you want to delete.

  4. Click Delete.

  5. Click OK to close the dialog.

Delete a character style from the document style catalog

Note: Deleting a style from the document style catalog does not affect the content that has this style applied. The content simply has a style applied that isn’t in the catalog.

To delete a character style from the document style catalog, do the following:

  1. Choose Format > Characters > Character Catalog. The Character Catalog is displayed.

  2. Click the Delete button. The Delete Formats from Catalog is displayed.

  3. Select the character style you want to delete.

  4. Click Delete.

  5. Click OK to close the dialog.

Rename a style

To rename a paragraph or character style in an Adobe FrameMaker document, do the following:

  1. To rename a paragraph style, choose Format > Paragraphs > Paragraph Catalog to open the Paragraph Catalog.

    To rename a character style, choose Format > Characters > Character Catalog to open the Character Catalog.

  2. Choose the style that you want to rename from the Style drop-down list.

  3. Enter a new name in the drop-down list Style and click Rename.

Add styles missing in the style catalog

Deleting a style from the document style catalog does not affect the content that has this style applied. The content simply has a style applied that isn’t in the catalog.

To add paragraph or character styles that are applied to paragraphs or characters but missing in the style catalogs, do the following:

Choose File > Utilities > Create And Apply Formats, and then click Continue. FrameMaker adds any paragraph or character style used in the document back to the catalog.

Note: FrameMaker also creates new styles and adds them to the style catalog for any paragraph or character style override. E.g., if you have multiple paragraphs with the style “Body”, and each of them has formatting overrides, FrameMaker creates new styles like “Body1”, “Body2”, “Body3” for each override. FrameMaker also applies the new styles to these paragraphs and adds the new styles to the document style catalog.

Tips for creating new styles

If you’re designing a new template or if the template you’re using is incomplete, you may have to create new styles. The easiest way to create a style is to modify the properties of an existing style.

When you’re creating new styles, consider these suggestions:

  • Use consistent naming conventions for similar kinds of paragraphs or text items within a paragraph, such as “Head1” and “Head2”.

  • To apply styles by using the keyboard, name the styles so that often-used ones are unique or alphabetically first in their letter group, such as “H1-Head2” or “H2-Head2”.

  • Give each style a semantic name that’s easy to remember, recognize, and type. If you assign a style based on its use and not its appearance, you can later change the style properties without having to change the style name. For example, if you want to create a character style to mark up a term in bold, you could name the character style “term” rather than “bold”. You can define the font-weight “Bold” for this character style. If you later want to format all terms as italic instead of bold, you only need to change the font-weight and font-angle definitions of the character style “term”. This naming convention avoids the need to rename and redefine the style while at the same time keeping its semantic meaning.

  • Be aware of capitalization. Style names are case sensitive. Also, you sometimes want related styles to appear together in the catalog, with names such as “Body” and “Body-Indent”.

  • When creating styles for structured templates, maintaining the template often becomes more comfortable, if you give a style the name of the element that is use this style. E.g., if you have an element like <shortdesc>, you could name the paragraph style shortdesc as well.

Parent topic: Formats


Style catalogs

Understand the Style catalogs in Adobe FrameMaker.

In this topic

  • Introduction

  • Configure which styles are shown in a Style Catalog

  • Delete styles

Introduction

Adobe FrameMaker offers enhanced features to manage and apply paragraph, character, and table styles. This is possible with the respective catalogs. By default, a catalog shows all styles in the current document. You can set which styles you want to see in the catalog. Catalogs also help in applying and managing styles.

FrameMaker marks the used style in a catalog. The unused styles are unmarked. This usage information is not updated as soon as you apply the styles in the document. Clicking Refresh Catalog in the catalog, updates the usage information. The latest usage information is also updated when opening a document.

Configure which styles are shown in a Style Catalog

To configure the styles that are visible in a Style catalog and change their order, do the following:

  1. Open a (paragraph, character, or table) catalog and click Options. The Set Available Formats dialog is displayed.

  2. Select one of the following:

    • Select Show All, to see all available styles.

    • Select Show used before unused, to see used styles before unused styles in the catalog.

    • Select Show only used formats, to hide unused styles in the catalog, but retain them in the document.

    • Select Show only unused formats, to hide used styles in the catalog, but retain them in the document.

    • Select Delete all unused formats, to delete all unused styles from the current document, without warning or confirmation.

    • Select Customized List, and click Edit to customize which formats the Catalog shows and in which order.

  3. Styles being used in the current document are marked in the catalog. While editing the document, the usage status might not get updated automatically. To refresh the list click Refresh Catalog.

Note: The display options you set are workspace properties and are applicable to FrameMaker documents opened on your machine.

Delete styles

To delete styles from a document catalog, do the following:

  • Open the catalog if not already open.

    • Choose View > Panels > Paragraph Catalog to open the Paragraph Catalog.

    • Choose View > Panels > Character Catalog to open the Character Catalog.

    • Choose View > Panels > Table Catalog to open the Table Catalog.

  • Click Delete.

  • In the Delete Formats from Catalog window, select a format and delete it.

  • Click OK to delete the styles from the document or close the window to undo the operation.

Parent topic: Formats


Fonts

Get familiar with fonts in FrameMaker, change bars, language and pair kern, Japanese and western fonts.

In this topic

  • Replace fonts using the Fonts panel

  • Manual font changes

  • Font changes using the designers

  • Adjust superscripted, subscripted, and small cap text

  • Adjust superscripted, subscripted, and small cap text

  • Condense and expand characters

  • Create or change combined fonts of Japanese and Western characters

Replace fonts using the Fonts panel

You can use the Fonts panel to identify all the fonts used in an open document or all open documents. The panel list area lists all the fonts used in a document. You can replace any font used in a document using the fonts panel including missing fonts. The missing fonts are indicated by a red cross sign.

Figure 1. The Fonts panel lists all the fonts used in a document.
Identify the fonts used in a document using Fonts panel

A. Display only missing fonts or all fonts used in a document. B. Replace font to display the Replace Fonts panel. C. Select all open documents or currently open document. D. Refresh the list of fonts displayed in the panel list area. E. Missing fonts indicated by a red cross sign.

To replace a missing font:

  1. Select a font from the list and click the Replace icon.

  2. From the Replace Font panel, select the new font from the Replace With list box and click Apply.

    Figure 2. Replace fonts panel lists all the paragraphs in a document that use a selected font.
    Replace a font using the Replace Font panel

    A. Name of the selected font. B. Replace With list box lists all the fonts installed on your system. C. Locations list displays all the paragraphs in the document that use the selected font. D. Double-clicking any item in the list takes you to the location in the document that uses the selected font.

Manual font changes

Format changes you make using the Format menu commands take effect immediately.

When changing font properties, keep in mind the following:

  • To remove other formatting properties, Choose Format > Style > Plain.

  • If you change the font properties of selected text, those properties are retained when you later update the properties of the entire paragraph.

  • You can change the font properties of text created with the Text Line tool as well as paragraph text.

  • If a font has more than one weight (for example, Helvetica® Condensed Bold and Helvetica Condensed Black—) the Format > Style submenu lists only Bold. To choose other weights, use the Font properties of the Paragraph Designer or use the Character Designer instead.

Font changes using the designers

To change the default font properties of an entire paragraph, use the Paragraph Designer. The font families and styles available depend on which fonts are installed. To change specific text within a paragraph, select the text and use the Character Designer.

You’ve probably seen many of the settings in other word processors, but a few can be new to you.

Numeric Underlining

To use a single offset and thickness for an underline regardless of the character’s font or size, choose Numeric Underlining. Regular and numeric underlining does not affect tab characters. If you want the tab space to be underlined, format that tab stop so that it uses a nonbreaking space as a leader.

Figure 3. Numeric and regular underlining
Numeric and regular underlining of text

Change Bar

To display a change bar next to text, select Change Bar.

Color

To display the text in a different color, choose a color from the Color drop-down list. If you define your own colors, they appear in the drop-down list.

Spread

To add or subtract space between characters, enter a percentage for Spread. Spread—also called tracking—is expressed as a percentage of an em space. Normal spread is 0%.

Figure 4. -10% spread (top), 0% spread (center), 10% spread (bottom)
Add or subtract space between characters using Spread

Stretch

To set the width of the character shapes, enter a percentage for Stretch.

Capitalization

To display all characters in uppercase, but use slightly smaller capital letters for text that was in lowercase, select Small Caps.

Using a designer to apply a capitalization style to text changes only the appearance of the text (for example, makes lowercase text appear in uppercase letters). To permanently change the text itself, use the Capitalization dialog box to replace selected text with text that is all uppercase, all lowercase, or initial caps.

Note: You can invoke the Capitalization dialog by using the keyboard shortcuts Esc, e, Shift+c.
Language

To change the language associated with the text, choose from the Language drop-down list. The language you select affects the text in system variables as well as both spell-checking and hyphenation. Also, changing the language to None prevents the selected text from being spell-checked.

Pair Kern

To adjust the space between two characters in the same word, select Pair Kern. The kerning pairs that have been defined depend on the font.

Figure 5. Kerning pairs turned on and off
Adjust the space between two characters in the same word using Pair Kern

Tsume

To move a Japanese character closer to the characters next to it, select Tsume. The amount of space a variable-width character, such as a parenthesis, can move is determined by the metrics for that character.

Adjust superscripted, subscripted, and small cap text

Adjustments to the properties of subscript, superscript (including footnote references), and small cap text apply to all such text in the document.

  1. In the Text Options dialog box, specify a size, offset, and stretch percentage.

    When calculating the size and offset, FrameMaker multiplies the percentage you enter by the point size of the affected characters. For example, a 40% superscript offset value raises a 10-point character 4 points.

    The stretch percentage is the amount that characters are condensed or expanded.

  2. Click Apply.

Condense and expand characters

You can achieve some effects by stretching characters.

Figure 6. Text condensed (top), normal (mid) and stretched 75% (bottom)
Condensed and expanded characters

  1. Depending on whether you are changing the entire paragraph or specific text in the paragraph, choose one of the following:

    • Font from the Properties drop-down list in the Paragraph Designer.

    • Character Designer.

  2. Enter a percentage in the Stretch box. A value of 100% means that the width of characters is as defined for the font. A value less than 100% condenses the width; a value greater than 100% expands the width.

  3. Click Apply.

    Tip: In Japanese documents, use a stretch value greater than 100 to simulate heitai (horizontally stretched characters). Use a stretch value less than 100 and increase the point size of text to simulate chotai (vertically stretched characters).

You can also change the width of a text line by dragging to stretch the text.

  1. Select the text line you want to change, and then drag one of its handles until the text is stretched to the shape you want. Dragging a corner handle changes the point size as well as the character width. You can also select a grouped object that includes a text line.

Create or change combined fonts of Japanese and Western characters

In addition to containing the full Japanese syllabaria, Japanese fonts include a set of Western characters to facilitate entering non-Japanese characters and numbers. You can define your own combined font—a font that uses a specified Western font with a specified Japanese font.

If you’re working on a system that supports Japanese text and if combined fonts are included as part of a template, they are available to you automatically. (The specified fonts must be installed.) If your system supports the typing of Japanese text in documents and dialog boxes, combined fonts appear at the top of the font lists along with regular Western and Japanese ones.

FrameMaker supports Japanese single-byte, half-width katakana characters in combined fonts. Changes to the combined fonts apply to the entire document.

  1. In the Combined Fonts dialog box, do one of the following:

    • To create a new combined font, enter a name in the Combined Font Name box.

    • To change a combined font, select its name from the Combined Fonts list.

  2. Do the following:

    • To specify the Japanese font, choose from the drop-down list of font families in the Asian Text area.

    • To specify the Western font, choose from the drop-down list of font families in the Western Text area.

    • To adjust the relative size and baseline offset of the Western text, enter values for Size and Offset. The size and offset of the Western text are percentages of the Asian point size. Use a negative offset to move the text below the baseline.

  3. Click Add or Change.

  4. Click Done.

Note: You can turn off the Allow Bolded And Obliqued Styles setting in the Asian Text area of the Edit Combined Fonts dialog box so that bolding or italicizing the Western font does not automatically enbold or italicize the Asian text.

  1. To copy a set of combined fonts, choose File > Import > Formats and select Combined Fonts.

Parent topic: Formats


Background color

Learn how to highlight sections of an Adobe FrameMaker document by setting the background color for text or entire paragraph.

In this topic

  • Introduction

  • Set the background color of text within a paragraph

  • Set the background color for an entire paragraph

  • Set the background color of a paragraph box

Introduction

You can highlight sections of a document by setting the background color of the parts of the document in the following scenarios:

  • Set background color of a specific part of text within a paragraph.

    Figure 1. Text background color
    Backgroundcolor of a specific part of text within a paragraph

  • Set the background color of the entire text of a paragraph.

    Figure 2. Paragraph background color
    Background color of entire text of a paragraph

  • Set the background color of the paragraph box that encloses the paragraph.

    Figure 3. Paragraph box color
    Background color of the paragraph box that enclosesthe paragraph

Set the background color of text within a paragraph

To set the background color for some of the text in a paragraph, do the following:

  1. Select the text in a paragraph.

  2. Open the Character Designer.

  3. In the Background color drop-down list, choose a color and click Apply.

The background color is set for only the selected text in the paragraph.

Set the background color for an entire paragraph

To set the background color for an entire paragraph, do the following:

  1. Place the cursor anywhere within the paragraph.

  2. Open the Paragraph Designer and go to the Font tab.

  3. In the Background color drop-down list, choose a color and click Apply.

The background color is set for all the text in the paragraph.

Set the background color of a paragraph box

To set the background color of a paragraph box, do the following:

  1. Place the cursor anywhere within the paragraph.

  2. Open the Paragraph Designer and go to the Advanced tab.

  3. In the Pgf Box drop-down list, choose a color and click Apply.

The background color is set for the entire box that surrounds a paragraph.

When you set the background color of the text in paragraph, the color spans the text of the paragraph. However, in the case of a paragraph box, the text spans the entire real estate of the paragraph from the left margin to the right margin.

Parent topic: Formats


Indentation, alignment, and spacing

Learn about indentation, alignment, and spacing in Adobe FrameMaker. Understand tab stops, and placement in Japanese documents.

Parent topic: Formats

Change paragraph alignment

The alignment property of a paragraph determines how the paragraph is positioned between the left and right indents, not between the edges of the text column.

Do one of the following:

  • To use the ruler, drag the indent symbol to a new location on the ruler.

    Figure 1. A. First indent B. Left indent C.Right indent
    Changing the paragraph alignment using the indent symbol

  • To use an indent value, display the Basic properties of the Paragraph Designer. Enter the indents you want in the First, Left, and Right boxes, and then click Apply.

  • Choose an alignment from the Alignment drop-down list on the formatting bar or in the Basic properties of the Paragraph Designer.

Tip: To align an indent with a ruler marking, turn on the snap grid (use Graphics > Arrange > Snap). When you drag an indent symbol, it snaps to locations corresponding to the snap grid.

Apply the last line right indent

You can use the last line right indent feature to separate and clearly show some text in the last line of a paragraph. For example, the page numbers for a long heading in a table of contents or the prices for a long item in a price list.

Perform the following steps to apply the last line right indent:
  1. Select the paragraph (For example, a long heading in a TOC or item name in a list) where you want the last line to appear distinctly on the right.
  2. Choose Format > Paragraphs> Paragraph Designer.

  3. Set the Right indent.
    Note: The right indent value needs to be higher than the last line right indent to keep the last line hanging.
  4. Set the Last Line Right indent. If you want the last line to indent to the extreme right, set it to 0.0". For example, if you set the right indent to 1.0" and the last line to 0.0" then all lines of the selected heading have the right indent at 1.0" while the last line hangs till the end as it's set to 0.0".

In the given screenshot, a TOC is displayed wherein you set the value of the right indent to 1.0 " and the value of the last line to indent 0.0". So, the text in entries 1.2.1 appears to 1.0" from the right while page number 12 clearly appears in the end which is 0.0".

Using this feature, you can also create a price list and clearly show the prices or the items with longer names.

Note: The PDF output is the same as the WYSIWYG view. This feature will have no change in your responsive HTML5 output.

Change tab stops

In this topic

  • Introduction

  • Change tabs in formatting bar

  • Change tabs in Paragraph Designer

  • Define a leader or decimal tab character

Introduction

If you press Tab and the insertion point doesn’t move, a tab stop hasn’t been defined.

You can choose from four types of tab stops—left, center, right, and decimal.

A. Left tab stop B. Center tab stop C. Right tab stop D. Decimal tab stop

You can also specify a pattern of characters—a leader—to fill the space between a tab and the character following it. Typically, a leader is a series of periods. Tab leaders are useful in tables of contents that have a wide gap between columns.

Change tabs in formatting bar

  1. Choose View > Toolbars > Paragraph Formatting toolbar. Only the tab stops common to all the selected paragraphs appear on the top ruler.

  2. Do one of the following:

    • To add a tab stop, click a tab stop symbol from Paragraph Formatting toolbar and click the desired position below the top ruler.

    • To move a tab stop, drag it to a new position.

    Tip: To align tab stops with ruler markings, turn on the snap grid (Graphics > Arrange > Snap). When you drag a tab symbol, it snaps to locations corresponding to the snap grid.

    • To add multiple tab stops at regular intervals, on the top ruler, double-click the existing tab stop that you want to duplicate. The Edit Tab Stop dialog appears.

      Figure 2. Edit Tab Stop dialog
      Edit Tab Stopdialog

      Enter the interval between tabs in the Repeat Every box and click Edit.

    • To change a tab stop, double-click it, enter a new tab position in the New Position box, and choose a different alignment. The position is the distance from the left edge of the column to the tab stop. Then click Edit. You can also drag a new tab stop on top of an existing one on the ruler to replace it.

    • To delete a tab stop, drag it off the bottom of the top ruler.

    • To delete all tab stops, double-click a tab stop and click Delete All.

Change tabs in Paragraph Designer

  1. Display the Basic properties of the Paragraph Designer.

  2. In the Tab Stops area, create, edit, or delete, choosing the appropriate settings.

  3. Click Apply.

Define a leader or decimal tab character

  1. Double-click the tab stop on the ruler. The Edit Tab Stop dialog appears.

    Figure 3. Edit Tab Stop dialog
    Edit Tab Stopdialog

  2. Do one of the following:

    • In the Leader area of the dialog box, click one of the predefined tab leaders or enter your own custom leader, and then click Edit.

    • To specify a decimal character—for example, a comma when you’re working with European decimals—enter the decimal character in the Align On box in the Alignment area and click Edit.

Change paragraph and character spacing

In this topic

  • Introduction

  • Adjust vertical spacing

  • Adjust horizontal spacing

Introduction

Vertical spacing is the space between paragraphs and lines. Horizontal spacing is the space between words and characters. Spacing properties go by different names in different contexts. The space between characters is often called pair kerning; adjusting the letter spacing in a line is spread or tracking; the line spacing of a paragraph—measured from the baseline of one line to the baseline of the next—includes its leading.

Adjust vertical spacing

When adjusting vertical spacing, keep in mind the following:

  • If a paragraph falls at the top of a column, FrameMaker ignores the Space Above setting.

    If the paragraph falls at the bottom of a column, FrameMaker ignores the Space Below setting.

  • When an anchored frame is positioned below the current line and its anchor symbol appears in the last line of a paragraph, the space below the paragraph usually appears between the frame and the next paragraph. If the frame is anchored in a straddle paragraph, the space below is discarded.

    If the frame is a straddle frame but is not anchored in a straddle paragraph, the space below appears between the anchor symbol and the frame.

  • In a multicolumn layout, you can also adjust vertical spacing in columns by vertically justifying, or feathering, the text in them.

Several properties affect the vertical spacing of a paragraph: the space above the paragraph, the space below the paragraph, and the line spacing.

  1. Display the Basic properties of the Paragraph Designer and do one of the following:

    • Specify values for Space Above and Space Below. The space between paragraphs is determined by the Space Below setting of the first paragraph or the Space Above setting of the second paragraph, whichever is larger.

    • Choose a type of line spacing from the Line Spacing drop-down list, or enter a value in the box.

  2. To allow extra space between lines to accommodate superscripts, subscripts, rubi text, and larger font sizes that appear in the paragraph, turn off Fixed.

  3. Click Apply.

Adjust horizontal spacing

As FrameMaker fills a line of text, it adjusts the space between characters according to kerning and tracking properties. The spacing between words is based on the following values, which are stored as part of the paragraph style:

  • The minimum spacing is the smallest space allowed between words.

  • The maximum spacing is the largest space allowed between words before FrameMaker tries to hyphenate words or add space between letters in justified paragraphs.

  • The optimum spacing is what FrameMaker tries to achieve.

These values are expressed as a percentage of the standard space character for the default font of a paragraph. Values below 100% create tighter word spacing with a more justified look; values above 100% create looser spacing, with a more ragged right edge.

  1. To adjust the space between words, click a paragraph or select several paragraphs whose spacing you want to change.

  2. Display the Advanced properties of the Paragraph Designer and specify the minimum, optimum, and maximum space to allow between words.

  3. Click Apply.

    Note: Lines of text in a justified paragraph can have more than the maximum space between words if FrameMaker can’t fit a word on a line and can’t hyphenate it. To avoid this, add extra space between characters in justified text by choosing Allow Automatic Letter Spacing in the Word Spacing area.

  4. To apply pair kerning or spread, in the Character Designer, select Pair Kern or define a value in the Spread field.

Adjust spacing in Japanese documents

In this topic

  • Introduction

  • Adjust the space around characters and punctuation

  • Adjust rubi text size, placement, and spacing

Introduction

If your system supports the typing of Japanese text in documents and dialog boxes, you can adjust the following spacing properties:

  • Special group of properties in the Paragraph Designer that controls some aspects of Japanese character spacing.

  • Size, spacing, and alignment of rubi text throughout a document.

  • Spacing of variable-width Japanese characters through selection of the Tsume font property.

Adjust the space around characters and punctuation

To adjust the space around characters and puntuation for characters in Japanese content, open the Paragraph Designer and display the tab Asian properties. Do the following:

  • To adjust the space between Japanese characters and Western ones, use the upper group of boxes; to adjust the space between Japanese characters, use the lower group of boxes. Enter minimum, maximum, and optimum percentages.

  • To determine the space between characters and special punctuation characters (yakumono), choose from the Punctuation drop-down list.

    Squeeze As Necessary means that space around punctuation is reduced only when special punctuation handling (kinsoku shori) occurs.

    Never Squeeze means that no space adjustment is made around punctuation.

    Always Squeeze means that space is always reduced around punctuation.

  • To achieve a monospaced look in Japanese text, select Never Squeeze from the Punctuation drop-down list and turn off Tsume.

Adjust rubi text size, placement, and spacing

Rubi text is made up of small characters (usually kana) appearing above other text, called oyamoji. Your settings affect rubi text throughout a document.

  1. In the Format > Document > Rubi Properties dialog box, choose a value from the Size drop-down list or enter a value in the box. The value you enter can be a percentage of the point size of the underlying oyamoji, a point size, or any other unit of measurement, including Q units.

  2. Do the following:

    • To let rubi text overhang non-oyamoji text, select Let Rubi Overhang Surrounding Hiragana.

    • To remove preceding or trailing space when rubi text appears at the start or end of a line, click Align All Characters At Line Boundaries.

  3. Click an option in the Rubi Alignment For Japanese Oyamoji or the Rubi Alignment For Other Oyamoji area. The illustrations in the dialog box show how rubi text is spaced and aligned when it’s above Japanese or non-Japanese characters and when its length is less than or greater than the underlying text.

  4. Click Set.


Lists and autonumbering

Learn how to create lists, mark auto numbering, use symbols in Adobe FrameMaker. Understand book component numbering, Japanese numbering options, RTL numbering options.

You create numbered and bulleted lists by using paragraph styles that have an autonumber format defined. As you add autonumbered paragraphs to your document, FrameMaker numbers them appropriately and renumbers existing autonumbered paragraphs if necessary.

Autonumbered paragraphs are numbered consecutively in a text flow. If your document contains several text flows, autonumbered paragraphs in each flow are independent of the others.

You define autonumbering in the Numbering properties of the Paragraph Designer. An autonumber format does not have to specify paragraph numbering. When used without building blocks, it is handy for inserting automatic text or symbols. An autonumber format can include a series label, a counter, tabs, and any additional text you need.

Series label

Series labels identify different types of autonumber series within the same text flow. For example, to number figures independently of tables or headings, you specify a different series for each formatting item ((headings, figures, and tables).

On the other hand, table and figure numbers must all be in the same series to be based on section numbers.

Counter

A counter is a placeholder (building block) that FrameMaker replaces with a number or letter in the autonumber. For example, the counter <n+> increments the paragraph’s number by 1; if the paragraph is the second in a series, FrameMaker replaces <n+> with the number 2. You can use multiple counters in a format.

You can also add chapter <$chapnum> and volume <$volnum> building blocks in a format.

Tabs, text, and punctuation

An autonumber format can also include tabs, text, bullets, spaces, or punctuation.

Parent topic: Formats

Format text as numbered lists

Creating a numbered list sometimes involves formatting the first item in the list with a paragraph style that resets the counter to 1, and then formatting the remaining items with a different style that increments the counter. For example, perhaps you apply a Step1 format to the first item in a list and then StepNext to the rest. The template also sometimes defines formats that let you apply a single format to all items in a numbered list.

  1. Display the Numbering properties of the Paragraph Designer and enter a series label in the Format box if you need more than one autonumber series in the document.

    A series label consists of any single printable character followed by a colon (for example, S:). If you use a series label, it must appear at the beginning of the style name.

  2. Enter any text you want to have appear automatically with the autonumber format. You can enter tabs or counters from the Building Blocks scroll list. When you select an item, it appears at the insertion point in the autonumber Format box.

  3. Select a Character Style for the autonumber in the Character Style pop-up. If you don’t specify a format, the autonumber appears in the paragraph’s default font.

  4. Choose a position for the autonumber from the Position drop-down list. Autonumbers at the end of paragraphs are rare except in equation formats.

  5. Click Apply.

  6. If you inserted a tab (\t) in step 2, set a corresponding tab stop for the paragraph style in the Basic tap of the Paragraph Designer.

Format text as bulleted lists

In addition to the regular bullet symbol found in all text fonts, you can use any character in any installed font, including a dingbat font such as Zapf Dingbats®.

  1. Click in a single paragraph or select adjacent paragraphs that you want to make into a bulleted list.

  2. Display the Numbering properties of the Paragraph Designer and click the bullet and tab symbols (\b and \t) in the Building Blocks scroll list.

  3. Click Apply.

  4. If you inserted a tab (\t) in step 2, set a corresponding tab stop for the paragraph style.

Specify a special bullet symbol

Before specifying a special bullet symbol, create a character style that uses the font of the bullet symbol you want to use. For example, to use 9-point Zapf Dingbats, create a character style using that font. Give the format a descriptive name such as BulletFont.

  1. Display the Numbering properties of the Paragraph Designer and enter the character corresponding to the bullet symbol you want in the Autonumber Format box.

    For example, if you want a Zapf Dingbats square bullet, enter a lowercase n, which appears as ■ in that font. To find the character that corresponds to the bullet symbol you want, see the character set for that font.

  2. Click the tab symbol (\t) in the Building Blocks scroll list or enter spaces.

    Note: You sometimes must use special codes to enter characters such as nonbreaking spaces or em spaces.

  3. In the Character Style drop-down, click the bullet character style that you created.

  4. Click Apply.

Remove autonumbering or a bullet from a paragraph

  1. Turn off Autonumber Format in the Numbering properties of the Paragraph Designer. Click the option twice to turn off the setting; clicking it only once changes it to As Is.

  2. Click Apply.

Counters in autonumber formats

A counter consists of angle brackets (< >) that surround a display style and an increment value. The Custom Autonumbering feature supports the Unicode text encoding standard.

Counter for autonumber format

A. Display style B. Increment value

To indicate the display style, use a counter with one of the following letters.

For this numbering style | Use
Numeric (1, 2, 3, …) | n
Lowercase Roman (i, ii, iii, iv, …) | r
Uppercase Roman (I, II, III, IV, …) | R
Lowercase alphabetic (a, b, c, …, aa) | a
Uppercase alphabetic (A, B, C, …, AA) | A

To indicate how an autonumber is incremented, use a counter with an increment value, as shown in the following examples.

To | Use
Keep the value the same | <n>
Set the value to 1 or to any other number you enter after the equal sign | <n=1>
Increase the value of the counter by 1 | <n+>
Keep the value the same but not display it | < >
Reset to zero (or any other number) but not display it | < =0>

By default, each counter is initially set to zero. The counter can maintain its current value, be incremented by 1, or be reset to a different value. For example, use <n=1> in the format that resets numbering to 1 at the beginning of a new set of numbered steps.

To keep the value the same but not display it, place a blank space between the angle brackets. If you leave out the blank space, the angle brackets appear as part of the autonumber format.

Base autonumbering on book component numbers

You can insert <$volnum>, <$chapnum>, <$sectionnum>, or <$subsectionnum> building blocks in paragraph styles. The book component numbers are determined by the settings in the Numbering Properties dialog box.

Example | Autonumber format
Volume 3 Chapter 3 | Volume <$volnum> Chapter <$chapnum>

The following table illustrates how you can combine the chapter building block with other building blocks:

Example | Autonumber format
Section 1.1 Section 1.1.1 Figure 1-1 Table 1-1 | S:Section <$chapnum>.<n+><=0> S:Section <$chapnum>.<n>.<n+> F:Figure <$chapnum>-<n+> T:Table <$chapnum>-<n+>

Base autonumbering on section numbers

Table and figure numbers must all be in the same series for autonumbering in sections, as shown in the following table:

Section number | Figure number | Table number
Section 1 1.1 1.2 | Figure 1-1 Figure 1-2 | Table 1-1 Table 1-2
Section 2 2.1 2.2 | Figure 2-1 Figure 2-2 | Table 2-1 Table 2-2

To achieve this type of numbering, construct autonumber formats in a single series using the same series label for each format. The following table shows possible autonumber formats. The formats are presented in a table so that you can clearly see the position of each counter in the string. Counter position determines how the counter is incremented.

Paragraph style | Autonumber format |
SectionTitle | H:Section | <$chapnum> | < =0> | < =0> | < =0>
Head1 | H: | <$chapnum> | .<n+> | < > | < >
FigureTitle | H:Figure | <$chapnum> | < > | -<n+> | < >
TableTitle | H:Table | <$chapnum> | < > | < > | -<n+>

Whenever a paragraph with the style SectionTitle occurs, the section number is incremented by 1, and the remaining counter values are reset to zero. Each <n+> counter in the remaining formats refer to a different type of item, so they’re incremented independently.

The < > counters keep FrameMaker from resetting values back to zero.

Use multiple counters in an autonumber format

An autonumber format can contain more than one counter. For example, perhaps autonumbers for a series of section and subsection titles each contain two counters.

These counters | In this format | Would appear as
<$chapnum>.<n=0> | Head1 | 1.0
<$chapnum>.<n+> | Head2 | 1.1
<$chapnum>.<n+> | Head2 | 1.2
<$chapnum>.<n=0> | Head1 | 2.0

The counters in each format are independent of each other. The position of a counter in the string determines how it’s displayed and incremented. When incrementing a counter, FrameMaker bases its value on the corresponding counter in the previous autonumber paragraph in the same flow.

The following example shows multiple counters in section titles and subtitles. The counter before the period is incremented independently from the counter after the period.

Example | Autonumber format | Tag
1.0 Getting started 1.1 Installing 1.2 Backing up 1.2.1 Errors 1.3 Entering data | <n+>.<n=0>\t <n>.<n+>\t <n>.<n+>\t <n>.<n>.<n+>\t <n>.<n+>\t | Head1 Head2 Head2 Head3 Head2

The following example demonstrates outline style autonumber formats.

Example | Autonumber format | Tag
I Getting started A Installing B Backing up II Entering data A Opening a file B Saving a file | <R+>< =0>\t < ><A+>\t < ><A+>\t <R+>< =0>\t < ><A+>\t < ><A+>\t | Head1 Head2 Head2 Head1 Head2 Head2

The autonumber in the heading Opening a file is reset to A; the second counter in the previous paragraph’s format resets the numbering to zero without displaying it, so <A+> increments the counter to 1 or A.

The < > counter in the Head2 format keeps the value of the first counter the same but doesn’t display it. If the < > counter is not in that position, the <A+> in the Head2 format refers to the first counter (not the second), and FrameMaker produces the following result:

Figure 1. Incorrect outline style autonumber format
Example of incorrect outline style autonumber format

Reset an auto-numbering series

Some numbering series—such as a list of numbered steps—start at 1 every time they are used. You can reset such a series in two ways.

The first example shows how to restart series numbering by using the <n=1> building block for the first step in the series, and then using <n+> for subsequent steps.

Example | Autonumber format | Tag
Step 1. Unpack it. Step 2. Back it up. Step 3. Run setup. Step 1. Save your file. | S:Step <n=1>.\t S:Step <n+>.\t S:Step <n+>.\t S:Step <n=1>.\t | Step1 StepNext StepNext Step1

The second example shows another way to reset the counter so that you don’t have to use a unique format to start a numbered list. Instead, a paragraph that introduces the list uses a format that resets the counter.

Example | Autonumber format | Tag
To install the software: Step 1. Unpack it. Step 2. Back it up. Step 3. Run setup. | S:< =0> S:Step <n+>.\t S:Step <n+>.\t S:Step <n+>.\t | StepIntro Step Step Step

The < =0> counter in the StepIntro format resets the S series to zero but doesn’t display the number.

If a counter is incremented, any omitted counters in the series to the right of it are reset to zero. For example, the following autonumber formats are equivalent:

S:<n+>< =0>\t

S:<n+>\t

About Japanese numbering options

The following counters in autonumber formats are allowed in Japanese text and with Japanese fonts.

Building block | Meaning | Characters, in this order
<zenkaku a> | Fixed-width lowercase Roman alphabet | Fixed-width lowercase Roman alphabets
<zenkaku A> | Fixed-width uppercase Roman alphabet | Fixed-width uppercase Roman alphabets
<zenkaku n> | Fixed-width Arabic numbers | Fixed-width Arabic numbers
<kanji kazu> | Standard kanji numbering, where double-digit numbers are made up from the traditional kanji characters for ten, one hundred, and so on | Standard kanji numbering
<kanji n> | Numbers used for street addresses, phone numbers, postal codes, and so on, where double-digit numbers are made up from the kanji characters for zero through nine | Numbers used for street addresses, phone numbers, postalcodes, and more
<daiji> | Numbers used in financial or banking contexts made up of old-style kanji numerals | Numbers used in financial or banking contexts made up of old-style kanji numerals
<hira gojuon> | Hiragana characters in the standard order | Hiragana characters in the standard order
<kata gojuon> | Katakana characters in the standard order | Katakana characters in the standard order
<hira iroha> | Hiragana characters in the literary order (rare) | Hiragana characters in the literary order
<kata iroha> | Katakana characters in the literary order (rare) | Katakana characters in the literary order

About RTL numbering options

The following counters in autonumber formats are allowed in RTL languages such as Arabic, Hebrew, and Farsi. For details on the formats, see Counters in autonumber formats.

For the Farsi language script

  • <Farsi n>

  • <Farsi n=1>

  • <Farsi n+>

  • <Farsi a>

  • <Farsi a=1>

  • <Farsi a+>

For the Hebrew language script

  • <Hebrew n>

  • <Hebrew n=1>

  • <Hebrew n+>

  • <Hebrew a>

  • <Hebrew a=1>

  • <Hebrew a+>

For the Arabic language script

  • <Alif Ba Ta n>

  • <Alif Ba Ta n=1>

  • <Alif Ba Ta n+>

  • <Abjad n>

  • <Abjad n=1>

  • <Abjad n+>

  • <Indic n>

  • <Indic n=1>

  • <Indic n+>


Body, master, and reference pages

Know the body, master, and reference pages in Adobe FrameMaker and their usage. Understand template text frame, background text frame and reference frame.

FrameMaker documents contain three types of pages that help you set up your page layout:

Master, Body, and Reference pages in FrameMaker

A. Master pages: first and right B. Body pages: first chapter page and right page C. Reference page

  • Body pages show the background text and graphics from the corresponding master page and contain the document content.

  • Master pages specify the page layout and the background text for document pages (for example, page headers and footers).

  • Reference pages can contain frequently used graphics, formatting information, hypertext commands, mappings for HTML conversion, and boilerplate matter.

  • Master pages
    Know the master pages in Adobe FrameMaker and their usage. Understand template text frames and background text frame.
  • Reference pages
Parent topic: Page layout and templates


Master pages

Know the master pages in Adobe FrameMaker and their usage. Understand template text frames and background text frame.

FrameMaker uses master pages to keep track of a document’s page layout. A double-sided document contains at least two master pages, one for left pages and one for right pages. A single-sided document uses the right master page only. Documents can also contain custom master pages, which you can use for special types of pages. You can also create layouts directly on body pages for one-time-only use.

If your page layout is complex, or if you need to create design components such as page headers and footers, work with the components directly on the master pages. You can draw or import graphics—such as lines, boxes, or company logos—anywhere on a master page, as well as type text on them. Graphics and text appear on the corresponding body pages exactly as they appear on the master page, as part of the body page’s background.

Figure 1. Master page and body page
Masterpage and body page in FrameMaker

Master pages can contain the following types of text frames:

  • A template text frame contains a tagged text flow—a flow with a name. When you add a body page, the template text frame is copied to the new body page. You then type the document’s text in this text frame on the body page. You can type text in a template text frame on a master page, but the text does not appear on body pages.

  • A background text frame contains an untagged text flow—a flow with no name. Its contents appear on corresponding body pages, but you can edit them only on the master pages. Background text frames are typically used for page headers and footers.

Figure 2. Master page
Untagged background textframe and Template text frame in a master page

A. Untagged background text frame B. Template text frame

When you add text and illustrations to your document on body pages, FrameMaker adds body pages as necessary and automatically uses the page layout from the left or right master page.

Figure 3. On body pages, you type in a text frame copied from the template text frame.
Page layout used in the bodypage from the left or right master page

Parent topic: Body, master, and reference pages

Create custom master pages

Get familiar with how to create and add custom master pages in FrameMaker.

In this topic

  • Introduction

  • Create an empty custom master or page based on another master page’s layout

  • Create a custom master page based on a body page’s layout

Introduction

Documents may need body pages with layouts that differ from those of the left and right master pages. For example, you can create a different look for the first page of a document, or you can include a landscape page in a portrait document. For such cases, you create custom master pages. (A document can contain up to 100 master pages.)

After you create the custom master page, change its column layout, and add background text and graphics. You then assign the custom master page to one or more body pages.

Create an empty custom master or page based on another master page’s layout

  1. Display the master page that you want to use as a basis for the new master page.

  2. Choose Insert > Add Master Page and enter a name for the new master page in the Name text box.

  3. Do one of the following:

    • To create a master page with a layout that matches the layout of an existing master page, choose the master page from the Copy From Master Page drop-down list.

    • To create an empty master page, click Empty.

  4. Click Add.

Create a custom master page based on a body page’s layout

  1. Make the column layout changes you want on a body page.

  2. With the body page displayed, choose Format > Page Layout > New Master Page.

  3. Enter a name for the master page and click Create.

Related information
  • Assign master pages to body pages

Reorder custom master pages

Understand how to reorder master pages in Adobe FrameMaker.

When you reorder custom master pages, the Right and Left master pages always remain at the beginning.

  1. Open a master page, and then choose Format > Page Layout > Reorder Custom Master Pages.

  2. Select a master page in the Custom Master Pages list, and click Move Up or Move Down to move the page accordingly.

  3. Click Set. If you were previously viewing a custom master page, note that a different master page may now be visible.

Rotate a master page

Understand how to rotate master pages in Adobe FrameMaker.

You can create a custom master page that changes the orientation of a body page. For example, you can create a rotated orientation for a body page with a wide table.

Figure 4. Right page uses a rotated master page.
Custommaster page that changes the orientation of a body page

  1. On a new master page, set up any text frames and background text and graphics that you want to have the same orientation (unrotated) as headers and footers on the other master pages.

  2. Choose one of the Format > Customize Layout > Rotate Page commands. When FrameMaker rotates the page, part of the page will probably be out of view. You can adjust the window size to see as much of the page as possible.

  3. Create the text frames, background text, and background graphics that you want to display rotated.

Tip: You can type in rotated text frames, or you can unrotate the page to make typing faster. To unrotate a page, choose Format > Customize Layout > Unrotate Page. When you’re finished, you can rotate the page again.
Related information
  • Creating and modifying background text frames

Delete a custom master page

Understand how to delete a custom master page in Adobe FrameMaker.

To delete a custom master page, display the master page, and choose Format > Document > Delete Page [master page name]>.

Note: You cannot delete the master pages named Left and Right, and you cannot delete the left or right master page, or any master page currently assigned to a body page.

Assign master pages to body pages

Learn how to assign master pages to body pages in structured and unstructured FrameMaker documents.

In this topic

  • Introduction

  • Assign a different master page

  • Assign a master page to pages with specified paragraph styles

  • Assign a master page to body pages of structured documents

Introduction

You can assign a master page to a body page at any time. FrameMaker uses the template text frame from the master page and displays background text and graphics.

You can also choose to assign no master page to a body page. Because it’s not associated with a master page, this type of body page has no headers, footers, or other background text or graphics. (If the body page contains a text frame, the text frame is unaffected.) For example, if each chapter in a book must contain an even number of pages, and if the last page of a chapter contains no body text, you may not want that page to use a master page, so that it will be blank.

Assign a different master page

  1. With a body page displayed, choose Format > Page Layout > Master Page Usage.

  2. In the Use Master Page area, do one of the following:

    • To assign the left or right master page, click Right (in a single-sided document) or Right/Left (in a double‑sided document).

    • To assign a custom master page, choose the page name from the Custom drop-down list.

    • To assign no master page, select None from the Custom drop-down list.

  3. In the Apply To area, do one of the following:

    • To apply the change to the current body page, click Current.

    • To apply the change to a range of pages, enter the starting and ending page numbers in the Pages text boxes.

    • To apply the changes only to odd or even pages within a range, select Even or Odd.

    • To apply the changes only to pages within a range that currently use a particular master page, choose a page from the drop-down list in the Apply To area.

  4. Click Apply.

Note: If the master page contains a template text flow not found on the body page, FrameMaker adds the text frames that contain that flow to the body page. If the body page contains a flow not found on the master page, FrameMaker leaves the text frames that contain that flow unchanged. This action could result in overlapping text frames.

Assign a master page to pages with specified paragraph styles

You can assign master pages to body pages that contain specified paragraph styles. For example, you may want all pages that include the Title paragraph style to be formatted with a custom master page called First.

You map the paragraph styles to the master pages using the Reference Pages mapping table. When you choose the Apply Master Pages command, the master page will be applied to the body pages on which the referenced paragraph style appears.

Figure 5. In this example, the First master page will be applied to body pages containing Title paragraph styles.
Applya master page to body pages containing specified paragraph styles

  1. Choose View > Reference Pages.

  2. Click the Next Page button until the five-column UnstructMasterPageMaps table appears.

    Tip: If the mapping table does not appear in the reference pages, choose Format > Page Layout > Apply Master Pages.

  3. For Book Update (Yes or No), type Yes or No to determine whether the specified master page is applied when you choose Format > Page Layout > Apply Master Pages... from a book.

  4. Edit the mapping table by doing the following:

    • Under the Paragraph Style Name column heading, type the name of the paragraph style to which you want the master page to be applied. This column is required for master pages to be applied. Spell the paragraph style name correctly, using the same capitalization that the paragraph style uses.

    • Under the Right-Handed Master Page column heading, type the name of the master page you want to apply. This column is required for master pages to be applied. The specified master page is applied to all body pages, including left-handed pages in double-sided documents on which the paragraph styles appear, unless you specify a different master page under the Left-Handed Master Page column. Master page names are case-sensitive.

    • Under the Left-Handed Master Page column heading, type the name of the master page that you want to apply to the left-handed body pages on which the paragraph styles appear in double-sided documents. This column is optional.

    • Under the Range Indicator column heading, type Single to apply the master page only to the body page on which each paragraph style appears; type Span pages to apply the master page to the entire span of pages to which the paragraph style is applied; or type Until changed to apply the master page to all pages, until the next body page with a different paragraph style listed in the mapping table is encountered. If this cell is blank, master pages are applied to single pages.

    • Add notes to the Comments column. Text you type in this column does not affect how master pages are applied in any way.

    • To map additional master pages to paragraph styles, add and fill out additional table rows.

  5. When you are done, choose View > Body Pages.

  6. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  7. Choose Format > Page Layout > Apply Master Pages, and then click Yes to override manually applied master pages.

Adobe FrameMaker searches each body page for the first occurrence of any paragraph style specified in the Master Page Maps table. When it finds text containing the specified paragraph style, it applies the specified master page.

Assign a master page to body pages of structured documents

To assign master pages to body pages containing elements in structured documents, you map the elements to the master pages using the Reference Pages mapping table. When you choose Format > Page Layout > Apply Master Pages..., the master page is applied to the body page on which the referenced element appears.

  1. In Structured FrameMaker, choose View > Reference Pages.

  2. Click the Next Page button until the eight-column StructMasterPageMaps table appears.

    Tip: If you are working on a document created in a previous version of FrameMaker, choose Format > Page Layout > Apply Master Pages..., so that the mapping table appears in the Reference Pages.

  3. To the right of Book Update (Yes or No), type Yes or No to determine whether the specified master page is applied when you choose Apply Master Pages from a book.

  4. Edit the mapping table by doing the following:

    • Under the Element/Paragraph Style Name column heading, type a valid prefix (E: for elements, or P: for paragraphs), followed by the name of the element or paragraph style to which you want the master page to be applied. If no prefix is applied, an element is assumed. Spell the name correctly, using the same capitalization that the element or paragraph style uses. This column is required for master pages to be applied.

    • Under the Right-Handed Master Page column heading, type the name of the master page you want to apply. The specified master page is applied to all body pages, including left-handed pages in double-sided documents on which the elements or paragraph styles appear, unless you specify a different master page under the Left-Handed Master Page column. Master page names are case-sensitive. This column is required for master pages to be applied.

    • Under the Left-Handed Master Page column heading, type the name of the master page that you want to apply to the left-handed body pages on which the elements or paragraph styles appear in double-sided documents. This column is optional.

    • Under Attribute Name, type a valid attribute name to further define the mapping context.

    • Under Attribute Value, type a valid attribute value to further define the mapping context.

    • Under Context, type a value for an element’s context label to further define the mapping context.

    • Under the Range Indicator heading, type Single to apply the master page only to the body page on which each element or paragraph style appears; type Span pages to apply the master page to the entire span of pages to which the element or paragraph style is applied; or type Until changed to apply the master page to all pages until the next body page with a different element or paragraph style listed in the mapping table is encountered. If this cell is blank, master pages are applied to single pages.

    • Add notes to the Comments column. Text you type in this column does not affect how master pages are applied in any way.

    • To map additional master pages to elements or paragraph styles, add and fill out additional table rows.

  5. Choose View > Body Pages.

  6. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  7. Choose Format > Page Layout > Apply Master Pages, and then click Yes to override manually applied master pages.

FrameMaker searches each body page for the first occurrence of any element or paragraph style specified in the Master Page Maps table. When it finds text containing the specified element or paragraph style, it applies the specified master page.

Display master pages

Learn how to view and display master pages and return to body pages from a master page.

In this topic

  • Introduction

  • View other master pages when a master page is visible

  • Return to body pages while master pages are visible

Introduction

When working with master pages, you move back and forth between them and the body pages. When a master page is visible, its name and the number of master pages in the document appear in the Page Status area of the status bar.

Figure 6. Page Status area of status bar
Number of master pages inthe document appear in the Page Status area of the status bar

Choose View > Master Pages. The master page used by the current body page appears, with the text frame and column borders visible.

View other master pages when a master page is visible

  • Do one of the following:

    • Click the Next Page or Previous Page button.

    • Press the Page Up or Page Down key.

    • Use the scroll bar.

Return to body pages while master pages are visible

Choose View > Body Pages. The most recently displayed body page appears. If FrameMaker detects any layout overrides on body pages, an alert message asks how you want to handle them.

Related information
  • About layout overrides


Reference pages

You can use reference pages to store frequently used graphics that you want to position consistently throughout a document, and then use the graphics on body pages where they are needed. If you place a graphic in a reference frame—an unanchored graphic frame on a reference page—you can use the frame as a property of a paragraph style. For example, to design a heading with a line below it, draw the line in a reference frame, and then include the reference frame in the paragraph style of the heading.

Figure 1. Reference page and body page
Referencepage stores frequently used graphics that you can position consistentlythroughout a document

Reference pages can also hold boilerplate material or clip art that you can copy and paste on body pages—for example, symbols for cautions and notes. And specialized reference pages can contain hypertext commands, formatting information for generated lists and indexes, definitions of custom math elements, and mappings for converting to XML and HTML.

A document normally contains at least one reference page. You can add your own graphics to an existing reference page, and you can create additional reference pages (up to 100).

Parent topic: Body, master, and reference pages

View, create, and delete reference pages

Know how to view, display, create, and delete reference pages.

In this topic

  • Display reference pages

  • View other reference pages when a reference page is visible

  • Create a reference page

  • Return to body pages

  • Rename or delete a reference page

Display reference pages

Choose View > Reference Pages. The name of the current reference page appears in the Page Status area of the status bar.

Figure 2. Page Status area
Name of the current reference page in thePage Status area of the status bar

If the document doesn’t contain any reference pages, the Add Reference Page dialog box appears. Create the first reference page by entering a page name and clicking Add.

View other reference pages when a reference page is visible

  • Click the Next Page Next page button or Previous Page Previouspage button button.

  • Press the Page Up or Page Down key.

  • Use the scroll bar.

Create a reference page

  1. Display reference pages and choose Insert > Add Reference Page.

  2. Enter a name for the reference page and click Add.

Return to body pages

Choose View > Body Pages. The most recently displayed body page appears.

Rename or delete a reference page

You can rename a reference page—for example, to avoid overwriting the reference page when you import reference pages from a template that contains a reference page with the same name.

If you delete a reference page that contains a graphic used in a paragraph style, the graphic no longer appears in paragraphs using that style. When this happens, the Frame Above or the Frame Below drop-down list in the Advanced properties Advanced properties of the Paragraph Designer is set to As Is for the paragraphs.

  • Display the reference page and do one of the following:

    • To rename the page, click the page name in the status bar, and type the new name. Click Set.

    • To delete the page, choose Format > Document > Delete Page <reference page name>.

Use reference frames on reference pages

Understand how to create and use reference frames on reference pages, set up boilerplate graphics on reference pages.

In this topic

  • Introduction

  • Create a reference frame on a reference page

  • Rename a reference frame

  • Change other properties of a reference frame

  • Set up boilerplate graphics on reference pages

Introduction

You can use a graphic as part of a paragraph style if you have placed the graphic in a reference frame on a reference page.

Figure 3. Graphics in reference frames
Usea graphic as part of paragraph style from a reference frame of areference page

When you select a reference frame on a reference page, its name appears in the status bar after the word Frame.

Create a reference frame on a reference page

  1. Click the Graphic Frame tool Graphic Frame tool in the Tools panel on the Tools panel, and then drag to draw the frame. To draw a square frame, Shift-drag.

  2. Enter a name in the Name text box and click Set. Use a short, descriptive name you can recognize later when the name appears in the Frame Above and the Frame Below drop-down lists in the Advanced properties Advanced properties of the Paragraph Designer.

  3. Put a graphic in the frame. You can draw the graphic, import a graphic file, or combine drawn and imported graphics.

  4. Adjust the frame’s size and shape if necessary. When you use a reference frame above or below a paragraph on a body page, the whole frame—not just the graphic inside it—appears on the body page. The height of the frame affects the spacing of text above and below the frame.

  5. Use the Text Line tool to type the frame’s name above the frame. Typing the name helps you identify the frame when you view the reference page. It does not rename the reference frame.

Rename a reference frame

  1. Select the reference frame and click the frame’s name in the status bar.

  2. Enter the new name and click Set. You should also type the new name in the text line above the reference frame. If you rename a reference frame used in a paragraph style, you need to update the format so that it uses the new frame name.

Change other properties of a reference frame

Select the frame. Choose Graphics > Object Properties to change the object properties. Alternatively, use the options on the Tools panel.

Set up boilerplate graphics on reference pages

You can set up boilerplate graphics—for example, margin symbols—in anchored frames on a reference page. Then you can copy the anchored frames to body pages. When you do this, the graphics appear correctly positioned in their anchored frames.

Figure 4. You can copy and paste boilerplate graphics onto body pages.
Setting up boiler plate graphicson reference pages

You can also place graphics directly on reference pages and then copy and paste them anywhere on body pages.

  1. Create a reference page with the same column layout as the body page on which you want to display the graphic. This ensures that the graphic is positioned correctly when you copy it to body pages. To set up the column layout, you can copy the text frame from a body page and paste it on the reference page.

    On the reference page, set up the anchored frame exactly as you want it to appear on body pages.

  2. Draw the graphic in the anchored frame, or paste or import it into the frame. You may want to add some text outside the anchored frame to identify the graphic. For example, in the illustration, Caution Symbol identifies the graphic.


Page layouts

Understand how to create and use reference frames on reference pages, set up boilerplate graphics on reference pages in Adobe FrameMaker

You can make changes to a document’s basic page layout directly from a body page. FrameMaker automatically updates both the left and right master pages, and updates the layout of any body pages that use those master pages. If any of these body pages contain layout overrides, you are asked to confirm that you want to make the updates.

If your document uses another master page—for example, for the first page of the document—you must make any layout changes on that master page.

  • Change page size
    Understand how to change the size of a page in Adobe FrameMaker.
  • Change pagination
    Know how to set pagination in Adobe FrameMaker and change a single-sided document to double-sided documents or reverse.
  • Add or delete empty pages
    Understand how to add or delete empty pages in Adobe FrameMaker and specify even or odd number of pages.
  • Change page margins and number of columns
    Set page margins and number of columns, create a multicolumn layout with unequal column widths, set up asymmetrical left and right margins in Adobe FrameMaker.
  • Headers, footers, and other background text
    Set up headers, footers and background text. Create and modify background text frames, Resize or move a background text frame in Adobe FrameMaker.
  • Changing the page layout on specific pages
    Change the page layout on specific pages, create an asymmetrical layout, layout overrides, template text frame, Updating body and master page layouts. Create one-time-only page layouts in Adobe FrameMaker.
  • Align text across columns
    Learn to balance text across columns, feather text to the bottom of text frames, and synchronizing baselines in Adobe FrameMaker.
Parent topic: Page layout and templates


Change page size

Understand how to change the size of a page in Adobe FrameMaker.

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose Format > Page Layout > Page Size.

  3. Do one of the following:

    • Choose a standard size from the Page Size drop-down list. The correct dimensions appear in the Width and Height text boxes.

    • Enter dimensions in the Width and Height text boxes. Custom appears in the drop-down list. The custom page size you specify can be small, depending on the document’s margin settings, or as large as 216 inches by 216 inches (approximately 548 centimeters by 548 centimeters).

  4. Click Set.

    Note: When you generate the PDF output for a document with page size bigger than A4, some content may not fit on the page and not get published properly. To prevent the loss of content, you need to add the flag UsePDFResolution=300 in the maker.ini file under the folder <%appdata%\Adobe\FrameMaker\17>. To know more about PDF output see, Generate a PDF.
Note: If the document contains custom master pages, FrameMaker prevents change to a page size that cannot accommodate the text frames on those master pages.
Parent topic: Page layouts


Change pagination

Know how to set pagination in Adobe FrameMaker and change a single-sided document to double-sided documents or reverse.

You can change a single-sided document to double-sided documents or the reverse. When you set up a double-sided document, you specify whether the first page is a left or a right page.

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose Format > Page Layout > Pagination.

  3. Select one of the options in the Pagination area. If you select Double Sided, also define whether the first page is a left or right page. If you are applying pagination in a book, you can select Read from File to use the page side specified in the file. Select Next Available Side to avoid a blank page.

    Depending on which option you selected, a blank page may be added to the previous file in the book so that the document can start on the page you specified.

  4. Click Set. If the document contains custom master pages or page layout overrides, an alert message asks how you want to proceed.

Parent topic: Page layouts


Add or delete empty pages

Understand how to add or delete empty pages in Adobe FrameMaker and specify even or odd number of pages.

You can specify that you want a document to have an even or odd number of pages. If necessary, FrameMaker adds a blank page at the end of the document to achieve the correct pagination.

Conversely, a document may contain unwanted blank pages at the end, left there because you deleted or reworked text. You can tell FrameMaker to delete these empty pages whenever you save or print the document.

FrameMaker deletes a blank page only if it uses the left or right master page, doesn’t contain the start of a flow, and has no layout overrides. FrameMaker doesn’t delete a page if it contains an empty paragraph but is otherwise blank.

If you use the document window to change the pagination of a document that is part of a book, the settings may be overridden when you update the book. You can make sure that the book pagination is correct by changing a document’s setup from the book window.

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose Format > Page Layout > Pagination.

  3. From the Before Saving & Printing drop-down list, choose an option and click Set.

If blank pages are not added or deleted as expected, make sure that all pages in the document are auto connected.

Parent topic: Page layouts
Related information
  • About layout overrides


Change page margins and number of columns

Set page margins and number of columns, create a multicolumn layout with unequal column widths, set up asymmetrical left and right margins in Adobe FrameMaker.

The margin is the distance between the page edge and the text frame. For a single-sided document, you set margins for the top, bottom, left, and right sides of the text frame. For a double-sided document, you set the top, bottom, inside, and outside margins for a symmetrical look.

To set up asymmetrical left and right margins, you change the text frames directly on the master pages. For example, you could make the text frames on both the left and right pages appear on the right side of the page, leaving an area of white space on the left.

You can divide a text frame into two or more equally spaced columns of equal widths. To create a multicolumn layout with unequal column widths or gaps, use one text frame for each column of text and position the text frames one by one. Draw the text frames or set up one text frame the way you want it and then duplicate it.

  1. Place the insertion point in the main text flow or click in the page margin. If a book window is active, select the documents you want to affect.

  2. Choose Format > Page Layout > Column Layout.

    If the layout is asymmetrical (for example, with a different number of columns, or a different inside or outside margin on the left and right master pages), an alert message asks whether you want to proceed. To retain the asymmetry, change the layout directly on the master pages.

  3. To change the margins, enter the values in the Margins area. The margins and the gap (space) between columns determine the individual column width.

  4. To change the number of columns or the gap between columns, enter new values in the Columns area.

    All columns will be the same width and will be separated by a uniform gap.

  5. Click Update Entire Flow. If the new column width is too narrow to accommodate some anchored frames or tables in the document, an alert message asks whether you want to proceed. If you click OK, you can manually resize the tables and frames.

Parent topic: Page layouts
Related information
  • Changing the page layout on specific pages
  • Add a template text frame on a master page
  • Adding text frames on body pages


Headers, footers, and other background text

Set up headers, footers and background text. Create and modify background text frames, Resize or move a background text frame in Adobe FrameMaker.

In this topic

  • Introduction

  • Creating and modifying background text frames

  • Entering header or footer information

Introduction

You set up headers and footers by displaying master pages and typing text in background text frames. The contents of background text frames appear on body pages, but you can only edit them on master pages. The headers and footers might include the page number, date, chapter number and title, section number and title, author, revision number, and draft release (such as preliminary and final).

Figure 1. Header and footer text frames on master page

You create and edit header and footer text as you do any other paragraph text. You can apply paragraph and character styles, add and move tab stops, and add graphics such as a line above or below the text. In addition, you can add system variables for information such as the page number or the current date, and you can change the size and placement of the header and footer text frames. When you modify these text frames on a master page, FrameMaker automatically updates any body pages that use that master page.

You can also add other background text on master pages.

Creating and modifying background text frames

When you create a new, blank document, FrameMaker creates background text frames for headers and footers on the left and right master pages. To make it easy to add centered and right-aligned information in headers and footers, FrameMaker automatically adds center and right tab stops at the center of the text frame and at the right margin. You can draw background text frames for additional header and footer information or for other background text.

Note: You can create single lines of background text by using the Text Line tool, but you can’t apply paragraph styles to the text or insert variables in it.

To add a background text frame on a master page do the following:

  1. Draw the text frame by using the Text Frame tool.

  2. In the Add New Text Frame dialog box, click Background Text and click Add. The new text frame, like all text frames for background text on master pages, is untagged.

  3. Double-click in the text frame to place the insertion point, and then insert the header, footer, or other background text.

To resize or move a background text frame to the following:

  1. Select the text frame by ctrl-clicking the text frame.

  2. Do any of the following:

    • To resize the text frame, drag a handle.

    • To move the text frame, drag its border (not a handle).

Entering header or footer information

You can create simple headers and footers by typing text in the header and footer text frames on the master pages. In addition, you can specify items such as the current chapter and page numbers, the document’s total page count, and the current date. FrameMaker displays a system variable in the header or footer on the master page and replaces it with the correct value on each body page that uses that master page.

You can also create running headers and footers in which the text changes from page to page. In the following figure, the running header contains the current section heading. The footer contains the page number and some text typed directly into the background text frame.

Figure 2. Running headers and footers

To create running headers and footers, you insert running header/footer variables in background text frames on master pages.

You can insert the following variables in a header and footer on the master page:

Numbering for book components

Volume Number, Chapter Number, Section Number, or Sub Section Number

Page numbers

Current Page number or Page Count

Date information

Current Date (Long), Current Date (Short), Modification Date (Long), Modification Date (Short), Creation Date (Long), or Creation Date (Short)

Other variables

Chapter Title Name, Filename (Long), Filename (Short), Table Continuation, or Table Sheet

To insert a variable in a header and footer on a master page, do the following:

  1. On a master page, click in the header or footer where you want to add information.

    • To insert static text, type the text.

    • To insert system variables, access the Variables panel and double-click the variable name in the Variables scroll list. You can insert any system variable, such as:

    • To insert user variables, access the Variables panel and double-click the variable name (if already defined) in the Variables scroll list.

    Tip: To add centered information in headers and footers, press Tab to move the insertion point to the centered tab stop. To add right-aligned information, press Tab again to move the insertion point to the right-aligned tab stop.
Parent topic: Page layouts
Related information
  • Entering header or footer information
  • Variables


Changing the page layout on specific pages

Change the page layout on specific pages, create an asymmetrical layout, layout overrides, template text frame, Updating body and master page layouts. Create one-time-only page layouts in Adobe FrameMaker.

You can create an asymmetrical layout by adding or changing text frames directly on the master pages. For example, you may want the left margin to be wider than the right on both left and right pages. Or you may want a single-column layout on the left page and a two-column layout on the right.

You can even create a layout that contains columns with different widths or with different gaps by using several text frames on a page—one text frame for each column.

  • About layout overrides
  • Change margins and column layout on specific pages
  • Add a template text frame on a master page
  • Adding text frames on body pages
  • Updating body and master page layouts
  • Creating one-time-only page layouts
Parent topic: Page layouts


About layout overrides

When you make changes on a master page, FrameMaker automatically updates all body pages using that master page. When you make layout changes on a body page (for example, by changing the number of columns, the gap between columns, or the margins), you create an override to its master page’s layout. You can then do any of the following:

  • Update the master page and all corresponding body pages with your changes.

  • Create a master page based on the body page changes.

  • Do neither of the above, leaving the override as a one-time-only page layout.

Parent topic: Changing the page layout on specific pages
Related information
  • Updating body and master page layouts
  • Create custom master pages
  • Creating one-time-only page layouts


Change margins and column layout on specific pages

The following steps always produce either a single-column layout or a multicolumn layout with equal-width columns.

If you want to create a multicolumn layout with unequal column widths or gaps, use one text frame for each column, and position the text frames one by one.

  1. Select the text frame whose margins you want to change by Control-clicking the frame.

  2. Choose Format > Customize Layout > Customize Text Frame.

  3. Do the following:

    • To change the margins, specify the new size and position in the Unrotated Size and Offset From areas. The Offset From Top and Offset From Left options specify the top and left margins. The bottom and right margins are then determined by the text frame’s width and height.

    • To change the number of columns or the gap between columns, change the values in the Columns area.

  4. Click Set.

Tip: Another way to change the margins is to select a text frame and then drag a resize handle. When you resize a multicolumn text frame, the column widths change to fit within the text frame, but the column gap remains the same.
Parent topic: Changing the page layout on specific pages
Related information
  • Add a template text frame on a master page
  • Adding text frames on body pages


Add a template text frame on a master page

For a master page to contain unequal-width columns of text, or to set up the layout for a newsletter or other document in which the articles don’t flow continuously from the first page to the last, you use multiple text frames—one for each column. For example, for a page with two unequal-width columns, you would add a second template text frame.

You can add a template text frame by drawing it or by duplicating an existing one.

  1. To draw the text frame, use the Place a Text Frame tool on the Graphics Toolbar. To draw more than one text frame, draw them in the order you want them connected.

  2. In the Add New Text Frame dialog box, click Template For Body Page Text Frame, and choose a tag from the Flow Tag drop-down list. Choose the current flow tag, unless you’re setting up a text frame for a different flow in a multiflow document.

  3. In the Columns area, specify the number of columns in the text frame and (if it’s more than 1) the gap between adjacent columns. If you’re setting up a layout with unequal-width columns, set the number of columns to 1, because you use a separate text frame for each column.

  4. Click Add.

  5. Move the text frame as needed.

Tip: To copy an existing text frame, select the frame, choose Edit > Copy, and then choose Edit > Paste. FrameMaker copies the text frame, its contents, and its properties (including the flow tag).
Parent topic: Changing the page layout on specific pages


Adding text frames on body pages

When you draw a text frame on a body page, you are prompted for the number of columns and the gap between them. However, FrameMaker does not assign a flow tag and does not connect the text frame to existing text frames on the page.

To use the new text frame as part of the document’s text flow, connect it to the flow.

If the new text frame is the first one in the flow, also select Autoconnect so that new pages are automatically added as needed.

Parent topic: Changing the page layout on specific pages
Related information
  • Connect text frames


Updating body and master page layouts

You can change template text frames on more than one master page and then update all corresponding body pages in one step. However, if you make column layout changes on a body page, you must update the corresponding master page before you can update the other body pages that use that master page.

Before FrameMaker updates body pages, it checks whether any body pages have column layouts that override their master page. If any pages contain layout overrides, you specify whether to keep the overrides.

Update body pages with master page changes

  1. After making layout changes on master pages, display body pages.

  2. If FrameMaker displays an alert message, specify whether to keep or remove layout overrides, and then click Continue. If you keep layout overrides, FrameMaker updates those body pages with the master page’s background text and graphics, but does not update the template text frames.

Update a master page with body page changes

  1. Choose Format > Page Layout > Update Column Layout. A message asks you to confirm the master page and body pages that are to be updated.

  2. Click Update.

  3. If FrameMaker displays an alert message, specify whether to keep or remove layout overrides on the pages being updated, and then click Continue.

Parent topic: Changing the page layout on specific pages
Related information
  • About layout overrides


Creating one-time-only page layouts

You may need to change the layout of only one body page in a document. For example, you can make a text frame longer to fit one more line of text on the page, or shrink a text frame to make room for a graphic placed directly on the body page.

When you change the column layout of a body page without updating the master page, you create a layout override.

Parent topic: Changing the page layout on specific pages
Related information
  • Change margins and column layout on specific pages
  • Adding text frames on body pages


Align text across columns

Learn to balance text across columns, feather text to the bottom of text frames, and synchronizing baselines in Adobe FrameMaker.

  • Balance text across columns
    Understand how to balance text across colums in a text frame in Adobe FrameMaker.
  • Feather text to the bottom of text frames
    Understand how to feather (space-out) text in a text frame in Adobe FrameMaker.
  • Synchronizing text baselines in a text flow
    Understand how to synchronize and align the baseline of text lines across columns and and text frames in Adobe FrameMaker.
Parent topic: Page layouts


Balance text across columns

Understand how to balance text across colums in a text frame in Adobe FrameMaker.

In this topic

  • Introduction

  • Balance text across columns throughout a text flow

  • Balance text across columns in a single text frame

Introduction

In a layout that uses a multicolumn text frame, you can balance the text across columns that aren’t full of text—for example, columns on partly empty pages that precede forced page breaks, and columns on the last page of a document. You can balance text across columns throughout a text flow or in an individual text frame.

Figure 1. Balancing off and on
Examples of text balancingonandoffacrosscolumns

Balance text across columns throughout a text flow

  1. If a document window is active, place the insertion point in the main text flow or click in the page margin. If a book window is active, select the documents you want to affect.

  2. Choose Format > Page Layout > Column Layout.

  3. Select Balance Columns and click Update Entire Flow.

Balance text across columns in a single text frame

Click in the text frame and choose Format > Customize Layout > Customize Text Frame.

Select Balance Columns and click Set.

Parent topic: Align text across columns


Feather text to the bottom of text frames

Understand how to feather (space-out) text in a text frame in Adobe FrameMaker.

When FrameMaker feathers text, it first adds space between paragraphs, up to a limit that you set. If more adjustment is necessary, it adds space between lines, up to another limit that you set. FrameMaker does not feather the text in a text frame in which text runs around graphics.

Figure 1. Before and after feathering

In a multicolumn text frame that contains straddles—paragraphs, tables, or anchored frames—FrameMaker adds vertical space to align the last baselines of text in adjacent columns above each straddle.

Figure 2. Before and after feathering with straddling

  1. If a document window is active, place the insertion point in the main text flow. If a book window is active, select the documents you want to affect.

  2. Choose Format > Page Layout > Line Layout.

  3. Select Feather, and enter the maximum amount of space FrameMaker can add between lines (Maximum Interline Padding) and between paragraphs (Maximum Inter-Pgf Padding).

    FrameMaker will not exceed the padding limits you set. If it’s not possible to feather text in a column without exceeding the limits, FrameMaker does not feather text in that column.

  4. Click Update Flow.

Note: Feathering leaves room for the largest possible descender in the largest font size used in the line, even if no character with such a descender actually appears. If the last line in a column seems too high, check to see whether the column contains a nonprinting character (such as an anchor symbol) in a font that’s larger than that of the surrounding text.
Parent topic: Align text across columns


Synchronizing text baselines in a text flow

Understand how to synchronize and align the baseline of text lines across columns and and text frames in Adobe FrameMaker.

In this topic

  • Introduction

  • Synchronize baselines across columns

  • Synchronize baselines in adjacent text frames

Introduction

When you synchronize (align) text in a flow, FrameMaker creates an invisible grid in each text frame and aligns the baseline of the first line of each specified paragraph to the grid. FrameMaker also aligns the first line after an anchored frame and tries to align the first line in each column.

Note: If feathering and synchronization are both on for a flow, feathering takes precedence over synchronization. However, the first lines in the columns are synchronized with each other.
Figure 1. Before and after synchronizing text in a flow
Before and after synchronizing text in aflow

Because headings in large fonts often appear at the tops of columns, you can specify a first-line synchronization limit. This limit controls whether the baseline of a heading is placed on the first grid line when the heading falls at the top of a column, even when the heading’s default font is larger than the grid can accommodate. To place the baseline of a heading on the first grid line, FrameMaker lets the heading extend above the top of the column as shown in the illustration. FrameMaker does not synchronize font sizes larger than the limit you set.

Synchronize baselines across columns

To synchronize baselines across columns, do the following:

  1. Check the paragraph styles of the paragraph types you want to synchronize to make sure they all have the same default font size and line spacing. Fixed line spacing should be on.

  2. Click in the flow you want to synchronize (or select the documents in the book that you want to affect) and choose Format > Page Layout > Line Layout.

  3. Select Baseline Synchronization and turn off Feather.

  4. In the Synchronization area, enter the line spacing you want to use for the text frame grid in the Synchronize Pgf's With Line Spacing Of text box. Use the same line spacing as in the paragraphs you want to synchronize. Otherwise, FrameMaker will not synchronize the paragraphs with the text frame grid.

  5. In the First-Line Synchronization Limit text box, enter the largest font size to align at the top of a column. For example, suppose the line spacing for body paragraphs is 12 points, the column grid is 12 points, and the headings are 18 points. If you want the headings to be aligned when they appear at the top of a column, specify 18 as the first-line limit.

  6. Click Update Flow.

As no descenders appear above the first line in a column, the first grid line is offset from the top of the column a distance equaling two-thirds of the specified line spacing.

Synchronize baselines in adjacent text frames

If the tops of adjacent text frames start at different positions on a page, you may need to adjust their tops to line up their grids.

Line up the grids by resizing adjacent text frames so that the distance between their tops is evenly divisible by the grid. For example, if the grid is 12 points, you can start a text frame 144 points (12 times 12 points) from the top of an adjacent text frame.

Figure 2. Synchronize baselines in adjacent text frames
Synchronize baselines inadjacenttextframes

A. Grid spacing B. Distance evenly divisible by the grid

Tip: Use the snap grid to correctly position the text frames. To do so, specify a snap grid equal to the text frame grid. Then resize the text frames until their tops snap to the grid.
Parent topic: Align text across columns


Multiflow documents

Maintain separate text flows, each with its own text frame connections. Create bilingual documents in FrameMaker.

A document can have separate text flows, each with its own text frame connections. For example, a bilingual document may contain side-by-side translations of the same text.

When a text frame fills in a multiflow document, you can tell FrameMaker not to add a new page. That way, you can add pages yourself and control the connections. Because each flow’s autonumbering is independent of the numbering in other flows, you can maintain separately numbered lists, headings, and figure titles for each flow.

  • Set up a multiflow document
    Learn text flow and flow tags, set up a side-by-side flow, set up a flow for a newsletter or magazine in FrameMaker.
  • Control the flow of text
    Change a flow’s tag or autoconnect setting, modify disconnected pages or text frames in FrameMaker.
  • Set flow direction
    Specify the direction of the text in a text frame (left-to-right or right-to-left) in FrameMaker.
Parent topic: Page layout and templates


Set up a multiflow document

Learn text flow and flow tags, set up a side-by-side flow, set up a flow for a newsletter or magazine in FrameMaker.

  • About text flows and flow tags
  • Set up a side-by-side flow
  • Set up a flow for a newsletter or magazine
Parent topic: Multiflow documents


About text flows and flow tags

A text flow is a series of connected text frames through which the text flows in a document. Most documents have a single text flow, from the first page to the last, in which FrameMaker handles the text frame connections automatically. You make the text frame connections yourself only for documents in which you need to weave several text flows together—for example, with a newsletter in which you need to continue a front-page article on the back page, skipping over other articles on the intervening pages.

The current text frame’s flow tag appears in the Tag area of the status bar.

Figure 1. Tag area of status bar
Tag area of the status bar in FrameMaker

Parent topic: Set up a multiflow document


Set up a side-by-side flow

You set up a document with side-by-side text flows by laying out and connecting the text frames on the master pages. Because the text frame connections are the same throughout the document, you usually don’t need to make further changes on the body pages.

  1. Set up the flows on one of the master pages. Use a text frame for each flow and assign a different flow tag to each text frame. Make sure that Autoconnect is on for each flow so that FrameMaker adds a new body page whenever text reaches the end of one of the flows.

    Figure 1. Left and right master pages for a side-by-side flow
    Setup side-by-side text flow on right and left master pages

  2. Repeat the previous step for the remaining master pages. All master pages should have the same flow tags. Otherwise, FrameMaker will not alternate properly between the left and right master pages when adding body pages.

    Important: To create a new body page correctly when text reaches the bottom of a text frame, the appropriate left or right master page must contain all of the flow tags on the current body page. If any flow tag is missing, FrameMaker creates the new page with the current body page’s master page instead.

  3. Update the body pages with the master page changes by displaying body pages.

Parent topic: Set up a multiflow document
Related information
  • Add a template text frame on a master page
  • Change a flow’s tag or Autoconnect setting


Set up a flow for a newsletter or magazine

You set up a newsletter or magazine that requires nonparallel, multiple flows by establishing a column layout on the master pages. However, the master pages act only as the basic layout grid. You resize, delete, connect, and disconnect the text frames on the body pages until they look right. This approach gives you the greatest flexibility in determining the way text flows through the document.

Note: If you are creating a newsletter or magazine that has articles that flow consecutively from the first page to the last, you do not need to use the techniques described here. Instead, you can use a single text flow. You can create special effects by making text run around graphics, and by making paragraphs, tables, and frames straddle columns. For an example of this technique, see the newsletter template provided with FrameMaker.

  1. Decide on the number of columns, and place that number of single-column text frames on each master page. All of the text frames should be in the same flow. You can use these text frames as the layout grid within which you’ll have text flow.

    Figure 1. First master page
    Multiple columns on a master page

    Figure 2. Left and right master pages with the same flow
    Left and right master page with same flow for columns

  2. Turn off Autoconnect so that FrameMaker will not automatically add pages.

  3. Update body pages with the master page changes by displaying body pages.

  4. On each body page, resize, disconnect, and connect text frames as necessary. Don’t update the master pages as you make changes on the body pages.

  5. To synchronize text baselines in the newsletter, make sure that the text frames are placed appropriately. If the document contains several text flows, synchronize baselines for each flow.

  6. Manually create new disconnected body pages as necessary.

  7. Connect text frames between pages as necessary.

Parent topic: Set up a multiflow document
Related information
  • Add a template text frame on a master page


Control the flow of text

Change a flow’s tag or autoconnect setting, modify disconnected pages or text frames in FrameMaker.

A flow’s basic properties are its Autoconnect setting and its flow tag. In a document with one flow or parallel flows, Autoconnect is usually on to tell FrameMaker to add a new page whenever the flow’s text frames are full. The new page takes the column layout of the appropriate master page (left or right), and the text frames on the new page are automatically connected to the text frames on the original pages.

When working on a document with nonparallel, multiple flows, you usually turn off Autoconnect. This allows you to add a new, disconnected body page wherever you want, and to control the connections between it and existing pages. If Autoconnect is off, and if the flow contains more text than it can hold in its text frames, the text overflows at the end of the last text frame in the flow. The bottom border of an overflowing text frame appears as a solid line when borders are visible.

Figure 1. Overflowing text frame
Overflowing text frame with a solid border line

If you try to type in an overflowing text frame, you hear a beep. Overflowing text is not deleted; it is hidden from view. As soon as you connect the overflowing text frame to another text frame, the hidden text reappears in the next text frame.

If you need to assign a flow tag (for example, when creating side-by-side text flows), you can do so at any time. (In a new, blank document, the main flow is tagged A.) You need to assign a tag only once for a flow. After that, connecting a text frame to the flow assigns the tag to the text frame. If you change the flow tag or the Autoconnect setting in one text frame in a flow, the change is made to the entire flow.

  • Change a flow’s tag or Autoconnect setting
  • Add a new, disconnected page
  • Delete disconnected pages
  • Connect text frames
  • Disconnect text frames
  • Remove a text frame from the middle of a flow
  • Split or unsplit text frames
  • Cross-reference a disconnected text frame
  • Tracking a text flow
Parent topic: Multiflow documents


Change a flow’s tag or Autoconnect setting

You normally change flow tags and the Autoconnect setting on master pages. If two text frames are connected, you must disconnect them before you can change one of their flow tags.

  1. Click in a text frame in the flow.

  2. Choose Format > Customize Layout > Customize Text Frame.

  3. Enter a tag for the flow in the Flow Tag text box. You should keep flow tags short so that they do not obscure other information in the Tag area of the status bar. You cannot assign a tag that is already used on the current page.

    Note: If you want two text frames on a page to have the same flow tag, connect the text frames.

  4. If you want FrameMaker to add a new page when you fill the last column on a page, select Autoconnect.

  5. Click Set.

Parent topic: Control the flow of text
Related information
  • Connect text frames
  • Disconnect text frames


Add a new, disconnected page

In documents with one main flow or two parallel flows, you normally don’t add disconnected body pages; you let FrameMaker add connected pages automatically when necessary. In a multiflow document in which Auto-connect is off, or in other specialized documents, you can add new, disconnected body pages. When the text reaches the end of a text frame, you add a new page and connect the text frames.

  1. From a body page, choose Insert > Add Disconnected Pages.

  2. Choose the location and number of pages you want to add.

  3. Choose a master page from the Use Master Page drop-down list and click Add.

Parent topic: Control the flow of text


Delete disconnected pages

When you delete disconnected pages in a multiflow document, FrameMaker also deletes the pages’ contents.

  1. Click in a page you want to delete and choose Format > Document > Delete Pages.

  2. Specify the first and last disconnected pages you want to delete and click Delete. If you want to delete only one page, enter its page number in both text boxes.

Parent topic: Control the flow of text


Connect text frames

When two text frames are connected, the text flows from the end of the first text frame to the beginning of the second. You can connect a text frame on a master page to any other text frame on the same master page, and you can connect a text frame on a body page to any text frame on any body page. You can also connect a text frame in the middle of a flow.

When you connect two text frames, FrameMaker assigns the first text frame’s flow tag to the second frame. If the first text frame is untagged, the second frame’s tag is used. That way, all connected text frames belong to the same flow and have the same tag. If the first text frame contains overflowing text, the text flows into the second frame when you make the connection.

  1. Select the two text frames in the order in which you want text to flow. To select the text frames, Control-click the text frames.

    If the text frames are on different pages, the first frame is deselected when you select the second one, but FrameMaker keeps track of the first selection.

    Note: To add a text frame to the middle of a flow, first select the text frame you want to add, and then select the frame that should follow it.

  2. Choose Format > Customize Layout > Connect Text Frames. If the first text frame you selected isn’t on a page that’s currently visible, an alert message asks whether you want to connect to that frame.

Parent topic: Control the flow of text


Disconnect text frames

You disconnect text frames when you want to create separate flows—for example, to place an article in a specific location in a newsletter, or to create a pull-quote. If you need to start a new flow in the middle of a column, you can split the text frame that contains the column in two, and then disconnect the two text frames.

You can disconnect a text frame from the preceding text frame, the following one, or both. You can also remove a text frame from the middle of a flow.

Disconnecting text frames does not affect existing text in the frames. To move text to a different text frame, cut and paste it after disconnecting the frames.

Note: When you disconnect text frames on the same body page, FrameMaker creates separate flows with no flow tags. When you disconnect text frames on different body pages, FrameMaker creates separate flows with the same flow tag. In either case, if you’re creating a newsletter-type document where Autoconnect is off for each flow, the flow tags do not matter. FrameMaker does not create new pages automatically and, thus, there is no need to make text frame connections.

  1. Select the text frame you want to disconnect by Control-clicking the text frame.

  2. Choose Format > Customize Layout, and then select Disconnect Previous, Disconnect Next, or Disconnect Both.

Parent topic: Control the flow of text


Remove a text frame from the middle of a flow

  1. Select the text frame immediately preceding the one you want to remove. To do this, Control-click the text frame.

  2. Select the text frame immediately following the text frame you want to remove.

  3. Choose Format > Customize Layout > Connect Text Frames. If the first text frame you selected isn’t on a page that’s currently visible, an alert message asks whether you want to connect to that frame.

Parent topic: Control the flow of text


Split or unsplit text frames

You can split a text frame in two, and then disconnect the two text frames to start a new flow. For example, you may want a new article with its own flow to start in the middle of a text frame.

Figure 1. The second of three text frames is split, disconnected from the first text frame, and retagged.
Split text frame to disconnect the second frame from the first frame

Split text frames

  1. Click in the line above where you want to split the text frame and choose Format > Customize Layout > Split Text Frame. FrameMaker splits the text frame below the line that contains the insertion point, creating two separate but connected text frames.

  2. Select the bottom text frame by Control-clicking the text frame.

  3. Disconnect the text frame from the previous one by choosing Format > Customize Layout > Disconnect Previous. If the flow was tagged, FrameMaker removes the flow tag. If Autoconnect was on before you disconnected the text frames, it is now off for both text frames.

  4. Resize the text frames as necessary.

Unsplit text frames

  • If you haven’t made any other changes since splitting the text frame, choose Edit > Undo.

  • If you made another change but you have not yet disconnected the two text frames, delete the lower frame and then resize the remaining text frame to the size of the original unsplit frame.

  • If you have already disconnected the two frames, cut the text from the second text frame and paste it at the end of the first text frame. Then delete the second text frame and resize the first one to the size of the original unsplit frame. If you need to turn Autoconnect back on or reassign a flow tag for the text flow, use Format > Customize Layout > Customize Text Frame.

Parent topic: Control the flow of text


Cross-reference a disconnected text frame

When an article in a newsletter or magazine continues from one page to another, you can use cross-references to tell the reader where to turn to continue reading and to indicate where the end of the article is continued from.

Figure 1. Indicate where the flow continues, and where it is continued from.
Cross-references a disconnected text frame to to indicate where the end of the article is continued from

  1. Resize the two text frames to make room for the cross-references. Drag the bottom of the first text frame upward and the top of the continuation text frame downward.

  2. Draw a small text frame below the text frame on the first page, and another above the text frame on the continuation page. Don’t connect either text frame to any other text frame.

  3. Insert a cross-reference in the empty text frame on the first page, referring to the continuation page of the article.

  4. Insert a cross-reference in the empty text frame on the continuation page, referring to the first page of the article.

Parent topic: Control the flow of text


Tracking a text flow

In a document with many flows, it’s easy to lose sight of where a flow continues. You can zoom out to see more of a text flow or move from one text frame in a flow to the next.

  1. Zoom out to 25% and adjust the window size to see as many pages as necessary.

  2. Click in the flow you want to check and choose Edit > Select All In Flow. The flow is highlighted, showing how it traverses the pages of the document.

  3. To move through a flow’s text flow’s text frames, do one of the following:

    • To display the next connected text frame, click in the last line of a text frame and press the Down Arrow key.

    • To display the preceding connected text frame, click in the first line of a text frame and press the Up Arrow key.

Parent topic: Control the flow of text


Set flow direction

Specify the direction of the text in a text frame (left-to-right or right-to-left) in FrameMaker.

You can specify the direction (LTR or RTL) of the text in a text frame. This implies that you can create a document in which the direction of flows can be different. For example, you can create a document with two flows where an LTR language (such as English or German) is authored in the left flow and an RTL language (such as Arabic, Hebrew, or Farsi) is authored in the right frame.

  1. Select the text frame.

  2. From the Graphics menu, choose Object Properties.

  3. In the Text Frame tab, select the required direction from the Direction drop-down and click Apply.

Parent topic: Multiflow documents


Templates

Know what is a template, what are structured and unstructured templates in FrameMaker.

When you set up a template, you lay out master pages, define and apply formats, and define special text, such as cross-reference formats and variables.

Tip: For templates you create, set up a template folder that contains the related templates as well as a document that describes the templates and how to use them.
Unstructured templates

A template is a document that stores properties that are used in more than one place. You can create a document from a template to give it all the template properties, or you can import specific properties from the template later. Templates give your documents consistent layout and formatting.

Templates can store the following properties:

  • Paragraph, character, and table formats that work with formatting information in the element definitions

  • Page layouts that determine the number and position of columns on pages, and background items such as running headers

  • Reference pages that store repeatedly used graphics and formatting information

  • Variables you use as placeholders for text that FrameMaker updates

  • Formatting information for cross-references, equations, and conditional tags

  • Definitions for colors you can apply to text and objects

  • Document-wide settings, including footnote properties, custom marker types, and feathering options for line spacing

  • Specifications for combined Japanese and Western fonts (on Japanese-language systems)

Structured templates

Structured FrameMaker comes with Structured Templates for letters, memos, faxes, envelopes, reports, outlines, newsletters, books, FAQs, and single source books.

Structured templates can store the following properties:

  • Element definitions that specify allowable contents, attributes, and formatting for elements

  • Paragraphs and characters that work with formatting information in the element definitions

  • Variables you use as placeholders for text that FrameMaker updates

  • Formatting information for cross-references and conditional tags

  • Definitions for colors you can apply to text and objects

Note: If you’re working with structured files, an application developer can set up special documents that handle the translation to and from the Structured Application. These documents can include a template that formats the structured files in FrameMaker. This template is applied automatically when you import from the Structured Application.
  • Design the page layout
    Design the page layout, design text formats, standardizing formats, set up numbering, define special text in FrameMaker.
  • Create templates for generated files
    Create templates for generated files, update formats in a generated file, import formats, use the formatting of an existing file when generating the new one in FrameMaker.
  • Create templates to change conditional tags settings
    Know how to create templates to change conditional tags settings in FrameMaker.
  • Change templates for blank paper and text files
    Change templates for blank paper and text files, update the page layout in FrameMaker.
  • Import formats from a template or document
    Know how to import formats from a template or a document, know more about import and update settings in FrameMaker.
Parent topic: Page layout and templates


Design the page layout

Design the page layout, design text formats, standardizing formats, set up numbering, define special text in FrameMaker.

  1. Create a document. You can start with either a custom new document or a copy of an existing document you plan to modify.

    Tip: To see how facing pages look as you design the page layout, display them side by side. Choose View > Options, and then choose Facing Pages from the Page Scrolling drop-down list. Make the document window larger and zoom out, if necessary, to fit both pages in the window.

  2. Define the column layout. If you started with a custom document, you have already specified the margins and the number of columns. If you’re modifying an existing document, you may want to change the column layout.

  3. Add and name any custom master pages you will need.

  4. Enter background text and graphics on the master pages, including headers and footers.

    If a running header or footer shows the text or an autonumber of a document paragraph, such as a chapter or section title, it contains a Running H/F variable that refers to the paragraph. To set this up, determine the style for that paragraph.

  5. Define the custom document properties, such as numbering and text options, and specify the view options.

  • Designing text styles
  • Standardizing graphics, frames, and tables
  • Setting up numbering
  • Define special text and fonts
  • Set up HTML options
Parent topic: Templates


Designing text styles

After designing the page layout, define how you want the text to be formatted:

  • If your document will be opened or printed on computers other than your own, use fonts that are widely available.

  • Paragraph styles provide the foundation of text formatting, so set them up before setting up the character style.

  • When creating a character style, set all the options in the Character Designer as As Is, and then specify only the settings you want to change. This way, the style will work with any paragraph style.

  • Use tags that express the purpose rather than the appearance of the text. For example, name a format for emphasized text Emphasis rather than Bold. Then if you decide to change to italics for emphasized text, you can redefine the Emphasis format without having to retag any text.

  • Use names that are easily recognizable. For example, you might name the styles for numbered lists Step1 and StepNext rather than st1and stn. Or, if you want to use the keyboard to apply paragraph and character styles, consider naming your tags st1 Step1 and stn StepNext. That way the tags and descriptions are quickly available from the keyboard.

  • If the template uses more than one series of autonumbers, add a series label to the format for each autonumber. For example, define step autonumbers as S:<n+>, where S: is the series label.

  • In paragraph styles, use either Space Above or Space Below consistently to add space above or below the paragraph. (FrameMaker uses only the larger of the two values to determine the space between paragraphs.)

Parent topic: Design the page layout


Standardizing graphics, frames, and tables

If the documents will contain graphics, frames, or tables, follow these guidelines to maintain consistency:

  • Place standard items on a reference page. You can include graphics that users will need again and again—for example, a symbol that calls attention to notes and cautions, or an anchored frame with a standard height and width. Users can copy and paste these items as needed.

  • Create a paragraph style for anchored frames to provide consistent spacing around graphics. For example, a paragraph style named Frame could contain a Space Below setting of 20 points and a Line Spacing setting of zero. Then, each frame could be anchored to a blank paragraph with the Frame style. Alternatively, you can use single-cell tables and their titles for graphics and their captions.

  • If you will use text frames for graphic callouts, create a paragraph style for the callouts. If you will use text lines for callouts, create a character style. (You can’t apply a paragraph style to a text line.)

  • Choose a color model and redefine colors and color views if necessary.

  • Prepare standard table formats. Not all the properties you set for tables can be imported into another document. The width of text in actual tables varies greatly, as do other properties. So, regardless of how you prepare your tables, users will probably need to adjust some of these properties themselves. Think of your tables as models for users to start with.

Parent topic: Design the page layout


Setting up numbering

The page numbering for new documents is set to Restart at 1.

If you are building a template for continuous page numbering in books, you may want to set the page numbering in the template to Continue Numbering From Previous Page In Book. In addition, you may want to set the chapter numbering to Continue Numbering From Previous File In Book.

Parent topic: Design the page layout


Define special text and fonts

You may need to do the following to set up special text items:

  • Select a footnote numbering style and number format, and other footnote properties.

  • Define formats for cross-references. Standardize as much of the cross-reference format as possible. For example, if cross-references should always be introduced by see, include that word in the format definition.

  • Consider defining user variables for product names, document names, and other items that may change during the course of the project.

  • Define condition tags, condition indicators, and view settings for conditional tags.

  • Define custom marker types if you have to create specialized indexes.

  • Define equation sizes and fonts if any documents will have equations.

  • If your documents will contain Japanese-language text, define the combined fonts you want to use and set the properties of rubi text.

Parent topic: Design the page layout


Set up HTML options

If documents based on your templates will be converted to HTML, you will need to set up the mappings and conversion macros that define how documents are converted.

  • Set up the mappings from FrameMaker paragraph styles and character styles to HTML tags.

  • Create the conversion macros that convert cross-reference formats to a form suitable for online documents.

  • Create any other conversion macros you may need (for example, to place a logo at the top of every new web page, or to define the title of the HTML document).

Parent topic: Design the page layout


Create templates for generated files

Create templates for generated files, update formats in a generated file, import formats, use the formatting of an existing file when generating the new one in FrameMaker.

When you generate a table of contents, an index, or another kind of generated file, if the folder that contains the source document or book file contains a file whose name matches the generated filename, FrameMaker uses the formatting of the existing file when generating the new one. In effect, the existing file serves as the new generated file’s template, just as if you had imported formats from it. Use this feature to create generated file templates that contain page layouts, paragraph and character styles, and the formatting information that appears on the reference page.

You can also update the formats in a generated file by importing formats from a template. However, you’ll probably need to generate the file again after importing formats to see all the formatting.

  1. Open the document or book file from which you want to generate the table of contents, index, or other file.

  2. Generate the file.

  3. Format the generated file. This formatted file is your template.

  4. Save the generated file. Make sure that this generated file template is in the folder that contains the document or book file that you will use to create a new generated file.

Parent topic: Templates
Related information
  • Import formats from a template or document


Create templates to change conditional tags settings

Know how to create templates to change conditional tags settings in FrameMaker.

If you often change the view of conditional documents in a book, you may find it helpful to have a template for each view. You can then change the view of all the files in the book at the same time by importing the conditional tags settings from one of the templates into the book file.

If you want to change the view of a single document that contains conditional tags, it is easier to change the document’s Show/Hide settings.

  1. Set up a basic template for the conditional document with all conditions and condition indicators visible. You’ll import conditional tags settings from this template before editing a document.

  2. Set up a template for each combination of conditions you want to view. Use these templates to view or print one version of the document at a time. You can also use the template to change variable definitions that are unique to a view.

Parent topic: Templates


Change templates for blank paper and text files

Change templates for blank paper and text files, update the page layout in FrameMaker.

You can change the custom template for blank paper so that it contains the formats you want. The template can contain the same formats as any other template, except for the page layout. The master page layout, number of columns, and margins are determined when you create the blank paper documents.

You can also change the custom template that FrameMaker uses when you open text files.

Note: You can change the filename that FrameMaker looks for when it creates a blank paper document or opens a text file.
  • Change the template for blank paper
  • Change the template for text files
Parent topic: Templates


Change the template for blank paper

  1. Change a document so it contains the formats and settings you want. Leave existing master pages empty and do not create custom master pages.

  2. Remove all text frames from both the left and right master pages—even if a document is single-sided. If the document is single-sided, choose Format > Page Layout > Pagination, select Double Sided, and click Set. Then select and delete the text frames on the master pages.

  3. Choose Format > Document > Delete Pages and delete all body pages.

  4. Save the document, using the Custom file in the FrameMaker fminit folder. (When you choose New > Adobe FrameMaker document from the context menu in a folder or on the desktop, the Shellnew.fm file is used.)

Parent topic: Change templates for blank paper and text files


Change the template for text files

  1. Change a document so it contains the formats and settings you want. For example, you can place headers and footers, a Paragraph Catalog, and master page graphics in the template document.

  2. Delete all text on the body pages.

  3. Click in the empty text frame on page 1, and tag it with the paragraph style you want all text in the document to use. The default template uses the paragraph style “Body”.

  4. Save the document, using the txttmplt file in the FrameMaker fminit folder.

Parent topic: Change templates for blank paper and text files


Import formats from a template or document

Know how to import formats from a template or a document, know more about import and update settings in FrameMaker.

You can import paragraph styles, table styles, variable definitions, and other properties from any document.

You can also retain or remove any format overrides in the document—for example, changes that were made to a paragraph but not stored in the Paragraph Catalog.

  • Import styles
  • About import and update settings
Parent topic: Templates


Import styles

  1. Open the document that contains the formats you want to import.

  2. Make the appropriate document window or book window active. If a book window is active, select the documents you want to update.

  3. In the document or book you’re updating, choose File > Import > Formats.

  4. Do one of the following:

    • To import formats from a document, choose the document from the Import From Document drop-down list. The drop-down list lists all open, saved documents.

    • To reapply formats from the current document, choose Current from the Import From Document drop-down list.

  5. Select the Import and Update settings you want to apply to the current document. By default, all options are selected. To deselect or select all options at once, click Deselect All or Select All. If you’re updating variable definitions, cross-reference formats, or math definitions, and if any of these items use character styles, select Character Styles so that the formats are added to the document.

  6. To remove changes that you made to individual formats and didn’t save in a catalog, do the following:

    • To remove page breaks that are not a part of a Paragraph Catalog format, select Manual Page Breaks.

    • To remove paragraph, character, page layout, and table formatting overrides, select Other Format/Layout Overrides.

  7. Click Import.

Parent topic: Import formats from a template or document
Related information
  • About layout overrides


About import and update settings

When you import formatting information from a template, FrameMaker merges the information into the document rather than completely replacing the information. For example, when you import paragraph styles, FrameMaker adds the styles to the document’s Paragraph Catalog. If any styles have the same name in both documents, the imported style overwrites the original style. Any styles that are not overwritten remain in the document.

Note: Format names are case-sensitive, so Body is not the same as body.
Paragraph styles

The template’s Paragraph Catalog is merged into the document, and all styles in the catalog are reapplied in the document. The template’s PDF bookmark settings are also copied into the document.

Character styles

The template’s Character Catalog is merged into the document, and all styles in the catalog are reapplied in the document.

Page layouts

The template’s master pages are merged into the document, and body pages are updated with the master page changes. If the template and the document both have a master page with the same name, the template’s master page replaces the document’s. FrameMaker copies the change bar properties, all the settings in the Page Size and Pagination dialog boxes, and most settings in the View Options dialog box.

Table formats

The template’s Table Catalog and ruling styles are merged into the document, and all formats in the catalog are reapplied in the document.

Color definitions

The template’s color definitions and views are merged into the document.

Document properties

The template’s custom marker types and footnote properties; the volume, chapter, page, paragraph, footnote, and table footnote numbering styles in the Numbering Properties dialog box; the characters in the Allow Line Breaks After setting in the Text Options dialog box; and the Feather settings in the Line Layout dialog box are merged into the document. The PDF Setup settings (other than the bookmark settings) are also merged into the document. On Japanese-language systems, the rubi properties and kumihan rules (Japanese-language typesetting rules) are also merged into the document.

Reference pages

All the template’s reference pages (except for FrameMath reference pages) are merged into the document. If the template and the document both have a reference page with the same name, the template’s reference page replaces the document’s. To import FrameMath reference pages, select Math Definitions.

Variable definitions

The template’s variable definitions are merged into the document.

Cross-reference formats

The template’s cross-reference formats are merged into the document, and internal cross-references are updated.

Conditional tags settings

The template’s condition tags and Show/Hide settings are merged into the document and applied to conditional tags.

Math definitions

The template’s equation size and font settings, custom math element definitions, and FrameMath reference pages are copied into the document. If a custom math element in the document is deleted when the reference pages are merged, FrameMaker replaces the math element in equations with the name of the element enclosed by question marks.

Combined fonts

On Japanese-language systems, the specifications for combined Japanese and Western fonts are merged into the document and applied to text that uses combined fonts.

Parent topic: Import formats from a template or document


Import formatting properties

Learn about importing formatting properties in Adobe FrameMaker.

In this topic

  • Introduction

  • Format settings

  • Import properties from a template

Introduction

You can import a wide variety of formatting information—including page layouts, paragraph and table formats, variable and color definitions, object properties as a style, and conditional tags settings. If your source document has any conditional expressions created, they, along with their Show As Per Expression status are also imported into the target documents. Similarly, in structured documents, any Filter By Attribute settings that you defined are also imported.

  1. Open the template with the formats. The template must be named and saved.

  2. Open the document or book that you want to update. If a book window is active, select the documents you want to update.

  3. In the document or book you’re updating, choose File > Import > Formats.

  4. Choose the template from the Import from Document drop-down list. The menu lists all open, named documents.

    You can also choose the current document to reapply the formats the document already has. This is useful mainly for removing formatting changes, as described in step 6.

  5. Select the Import and Update settings you want to apply to the current document.

    • If you’re updating cross-reference formats, math definitions, or variable definitions, and if any of these items uses character styles, also select Character Styles so that any new styles are added to the document.

    • If the HTML mappings have been modified, select Reference Pages.

  6. If you want to remove formatting changes that are not saved in catalog styles, do the following:

    • To remove page breaks that are not part of a paragraph style, select Manual Page Breaks.

    • To remove paragraph, character, page layout, and table formatting overrides, select Other Format/Layout Overrides.

    Important: In most cases, do not select Other Format/Layout Overrides in a structured document because the element definitions sometimes use format overrides.

  7. Click Import.

Format settings

When you import styles, FrameMaker merges the new formatting information into the document.

For example, if you import table styles, the styles are added to the Table Catalog. If a style already in the catalog has the same name as an imported style, the imported style replaces the original one. Any styles that are not overwritten remain in the catalog.

Paragraph styles

The template’s Paragraph Catalog is merged into the document, and all styles in the catalog are reapplied in the document.

Character styles

The template’s Character Catalog is merged into the document, and all styles in the catalog are reapplied in the document.

Page layouts

The template’s master pages are merged into the document, and body pages are updated with the master page changes. If the template and the document both have a master page with the same name, the master page of the template replaces that of the document. FrameMaker copies the change bar properties, all the settings in the Page Size and Pagination dialog boxes, and most settings in the View Options dialog box.

Table formats

The template’s Table Catalog and ruling styles are merged into the document, and all formats in the catalog are reapplied in the document.

Color definitions

The template’s color definitions and views are merged into the document.

Document properties

The template’s custom marker types and footnote properties; the volume, chapter, page, paragraph, footnote, and table footnote numbering styles in the Numbering Properties dialog box; the characters in the Allow Line Breaks After setting in the Text Options dialog box; and the Feather settings in the Line Layout dialog box are merged into the document. The PDF Setup settings (other than the bookmark settings) are also merged into the document. On Japanese-language systems, the rubi properties and kumihan rules (Japanese-language typesetting rules) are also merged into the document.

Reference pages

The template’s reference pages (except for FrameMath™ reference pages) are merged into the document. If the template and the document both have a reference page with the same name, the reference page of the template replaces that of the document. To import the FrameMath reference pages, select Math Definitions.

Variable definitions

The template’s variable definitions are merged into the document.

Cross-reference formats

The template’s cross-reference formats are merged into the document, and internal cross-references are updated.

Conditional tags settings

The template’s condition tags and Show/Hide settings are merged into the document.

Math definitions

The template’s equation size and font settings, custom math element definitions, and FrameMath reference pages are copied into the document. If any custom math elements in the document are deleted when the reference pages are merged, FrameMaker replaces the math elements in equations with the name of the math element enclosed in question marks.

Note: In FrameMaker equations, the term “math element” refers to part of an expression. A math element is not a structural element.
Combined fonts

On Asian-language systems, the specifications of combined fonts are merged into the document.

Object styles
The properties of objects such as images, anchored frames, graphics, equations, and others available in the template are merged into the document.

Import properties from a template

You can import element definitions and other properties into your document from any FrameMaker document. Typically, this other document is a template that you did not use for creating the document.

If you created your document from the appropriate template, you don’t need to import properties; the document already has the properties it needs.

If your document’s template has been revised, import from the template again to update your document.

You can also import properties into all the files in a book at once.

Parent topic: Page layout and templates
Related information
  • Import styles into a book
  • Formatting overrides


Editing content

Learn how to edit content in Adobe FrameMaker.

FrameMaker provides you with a variety of options and tools to author content.

Besides text, you can add graphics, images, tables, and links to your documents.

You can also include complex mathematical equations and QR codes.

  • Text and special characters
    Know how to add text and special characters to the document in Adobe FrameMaker.
  • Importing and linking files
    Know how to import and link files in FrameMaker.
  • Import text
    Know how to use import file command to import text, import formatted and unformatted text in FrameMaker.
  • Split large documents
    Learn how to split large documents that you would have imported from Word, Excel, MIF, or any other authoring system.
  • Equations
    Know about Placing and displaying equations, inline equations in structured documents, Equations in graphic frames in FrameMaker.
  • Markers
    Know what are markers in FrameMaker.
  • Hypertext commands
    Add hypertext commands in Adobe FrameMaker and define active hyperlink areas.
  • Multiple Undo/Redo
    Know the multiple undo or redo actions in FrameMaker.
  • Spell checking, Hyphenation and Thesaurus
    Understand various ways to change spelling checker options and hyphenation in FrameMaker.
  • Search
    The Find/Change functionality allows you to search for items (not only text) in a document, book, or map.
  • Export text and graphics
    Learn how to export text and graphics in Adobe FrameMaker.
  • Unicode support
    Understand multilanguage authoring and Unicode support in FrameMaker, and the use of third-party keyboards.
  • Asian language support
    Understand Asian language support, character sets and encoding methods, typesetting rules, and exporting in other Asian languages in Adobe FrameMaker.
  • Formatting overrides
    Learn about formatting overrides in FrameMaker.


Text and special characters

Know how to add text and special characters to the document in Adobe FrameMaker.

As an authoring environment, Adobe FrameMaker provides you will the tools to easily add text (including special characters) to a document.

While text includes the standard characters such as letters and numbers, you can also enter characters such as tab, bullet symbols, mathematical symbols.

  • Add text and special characters
    Know how to add text, special characters, tabs , special spaces and smart quotes in FrameMaker.
  • Special characters
Parent topic: Editing content


Add text and special characters

Know how to add text, special characters, tabs , special spaces and smart quotes in FrameMaker.

The insertion point marks where you enter or edit text. The location of the insertion point determines the paragraph to which paragraph formatting commands are applied.

You can also insert special text items, such as cross-references, footnotes, variables, and markers from the Special menu. When you click a special text item, such as a cross-reference, variable, or text inset, you select the entire item.

If you can’t place the insertion point in or next to text, consider these possible reasons:

  • The text is background text that was typed on a master page. Display the master page that contains the text and place the insertion point in the text on that page.

  • The text was automatically generated, as with paragraph autonumbers, cross-references, or headers and footers.

Parent topic: Text and special characters
Related information
  • Change tab stops
  • Text and special characters


Special characters

In this topic

  • Introduction

  • Tabulators

  • Whitespace characters

  • Smart quotes

Introduction

In addition to standard characters, you can type bullets, dashes, fixed-width spaces, mathematical symbols, international characters, and other special characters.

Note: In FrameMaker, character (alt) sequences are not implemented for Dingbats and Symbol fonts because Unicode equivalents of codepage 1252 for these fonts are provided by default. The character (alt) sequences are implemented for the MakerRoman font family only.

For a list of characters in the Symbol and Zapf Dingbats fonts, a list of accented characters in the standard character set, and information on inserting the Euro currency symbol, see the online manual FrameMaker Character Sets.

Some special characters are entered or displayed differently in dialog boxes. In Windows, you enter a sequence of characters beginning with a backslash (\), these sequences are listed in Dialog boxes.

Tabulators

Each time you press tab ↹, a tab symbol Tab symbol is embedded in the text. The symbol does not appear in the printed document, but it is visible onscreen when text symbols are visible.

If the current paragraph has tab stops set, FrameMaker moves the insertion point and text one tab stop each time you press tab ↹. If tab stops are not set, pressing tab ↹ doesn’t move the insertion point and text. If you press tab ↹ more times than you have tab stops, the Tab symbols overlap. If you later add tab stops to the paragraph, FrameMaker positions the text correctly at the tab stops.

FrameMaker uses tab stops that are absolute rather than relative. With relative tab stops, each time you press Tab, the insertion point moves to the next available tab stop. With absolute tab stops, the nth tab on a line moves the insertion point to the nth stop. If that tab stop is to the left of the insertion point, the insertion point does not move.

Whitespace characters

When you press the space bar, you insert a proportional space (whose width depends on the characters on either side of it). You can also insert special fixed-width spaces—for example, to increase the space between two words. When you type a special space between two words, the words always remain together on one line.

You can use the following types of special spaces:

  • An em space is the same width as the point size of the font you use. For example, if you use a 10‑point font, an em space is 10 points wide.

  • An en space is half the width of an em space.

  • A numeric space is the same width as the font zero (0) character. All digits are typically the same width. This space is useful for aligning numbers in a column without using tabs.

  • A thin space is one-twelfth the width of an em space. A thin space is used to separate a number and the unit of measure that follows it, or characters that appear too close together—such as ” /)”.

  • A nonbreaking space is the same width as the default space width for the font.

When Smart Spaces is on, you can’t type more than one proportional space in a row. However, you can type multiple fixed-width spaces.

Smart quotes

When Smart Quotes is on, FrameMaker uses a curved left, right quotation mark, or the quotation marked you have defined in the Preferences dialog. Whenever you press the single or double quote ( Singlequote, Back quote, or Doublequote) key, the configured quotation mark is entered based on your preferences. As the Smart Quotes are language-dependent, the language defined for the paragraph style determines the quote to use.

Note: If you prefer straight quotation marks, turn off Smart Quotes.

Smart Quotes doesn’t apply to text in dialog boxes. For information on typing quotation marks and apostrophes in dialog boxes, see Character sets.

  1. To set smart specials in the book window, select the documents you want to affect.

  2. Choose Format > Document > Text Options.

  3. Change the Smart Spaces or Smart Quotes option and click Apply.

Tip: When you select Smart Quotes, FrameMaker doesn’t change any quotation marks that are already in the document. To find straight quotation marks and apostrophes, and change them to curved quotation marks and apostrophes, use the Spelling Checker or the Find/Change command.
Parent topic: Text and special characters


Importing and linking files

Know how to import and link files in FrameMaker.

  • Import and link methods
    Understand the import and link methods, import text, graphic, audio, video, and object. Use clipboard, drag-and-drop, import, object command in FrameMaker.
  • Using paths when importing by reference
    Understand paths when importing by reference, relative path and absolute path in Adobe FrameMaker.
  • Import graphics
    Use import file command to import graphics, learn about graphics format, locate missing graphics, add graphics to structured documents and anchored frames in FrameMaker.
  • Insert imported graphic elements into structured documents
    Use import file command to import graphics, learn about graphics format, locate missing graphics, add graphics to structured documents and anchored frames in FrameMaker.
  • Import audio, video, and 3D objects
    Learn how to import videos (including YouTube videos), audio, and 3D objects. Manage documents with 3D objects, set views and lighting schemes, poster files in FrameMaker.
  • Working with 3D objects in Adobe FrameMaker
    Learn how to import 3D objects, manage documents with 3D objects, set views and lighting schemes, and set a poster image for a 3D object in Adobe FrameMaker.
  • Import PDF files
  • Import Microsoft Excel files
    Understand how to import Microsoft Excel files (XLS and XSLX) into Adobe FrameMaker.
  • Import Microsoft Word files
    Learn how to import Microsoft Word documents into a FrameMaker document.
  • Import MIF files
    Understand how to import Maker Interchange Files (MIF) into a FrameMaker document.
  • Attach or embed files
    Learn how to insert files in your source document and publish them in PDF output.
Parent topic: Editing content


Import and link methods

Understand the import and link methods, import text, graphic, audio, video, and object. Use clipboard, drag-and-drop, import, object command in FrameMaker.

In this topic

  • Introduction

  • Import from the clipboard

  • Use drag-and-drop

  • Import By Reference

  • Copy Into Document

  • Use the File > Import > Object command

Introduction

You can import other Adobe FrameMaker documents, documents created in other applications, text files, audios, videos (including YouTube videos), and graphic files. You can also import 3D objects into FrameMaker documents.

An imported object can simply be copied into the document. It can also be linked—such as when you import by reference—so that it remains tied to its source for easy updating.

Import from the clipboard

Perhaps the easiest way to import text and graphics is by copying to and pasting from the clipboard. When using this method, keep in mind the following:

  1. Select the object or text you want to copy and choose Edit > Copy. The contents is copied to the clipboard.

  2. Place the insertion point in the document where you want to paste the content, and then choose Edit > Paste.

When using this method, keep in mind the following:

  • You can convert tab-delimited text to a table using the Table > Convert To Table command.

  • Text formatting is lost unless you’re pasting into another FrameMaker document.

  • Choosing Edit > Paste Special offers you more options. For example, you can choose to paste text in the RTF format or as an embedded Microsoft Word document. If you want to apply FrameMaker formats, then paste clipboard content as text. For graphics, you can paste clipboard content as an embedded bitmap, a device independent bitmap, or a metafile.

  • When you copy and paste text of a specific direction (LTR or RTL) into a FrameMaker document, you need to ensure the text direction of the destination location (document, table, or paragraph) is set to the same direction.

Use drag-and-drop

Import and export are greatly simplified when you can drag an object to its new location.

FrameMaker supports the following drag-and-drop operations:

  • Move a graphic from one open FrameMaker document window to another by dragging the graphic. You can also copy it by Control-dragging it or display a context (shortcut) menu when you drop it by right-dragging it.

  • Drag a graphic between a FrameMaker document window and any other application that supports drag-and-drop operations.

  • Drag a graphic file from a folder or the desktop into an open document window.

  • Drag one or more document files into the application window to open the files, or you can drag a single file into a document window to embed that file.

Import By Reference

Importing by reference keeps the imported text or graphics linked to the source file. FrameMaker stores the path to the source file in the document. Each time you open the document, FrameMaker locates the file on the disk and displays it.

If the source file changed, FrameMaker updates the document with the latest version. Importing by reference can reduce the total file size because it lets you use the same material in several places without storing the contents of imported images or text in the FrameMaker document. Text imported by reference is called a text inset.

  1. Choose File > Import > File. The Import dialog opens.

  2. Select the file you want to import, and then select Import By Reference.

  3. Click Import.

For information on how the path is stored when importing by reference, see Using paths when importing by reference.

Copy Into Document

Importing by copying makes it easy to transfer the imported material from one location to another, but it increases the document size. In addition, if you change the source material, you need to reimport it to update the document with the latest version.

  1. Choose File > Import > File. The Import dialog opens.

  2. Select the file you want to copy into the document. Select Copy Into Document.

  3. Click Import.

Use the File > Import > Object command

The main benefit of using Object Linking and Embedding (OLE) is to display visualizations of data created in programs other than FrameMaker. The File > Import > Object option associates the imported object with the program used to create it so that you can edit the object in its native software. For example, you can insert a pie-chart created using Microsoft Excel in a FrameMaker document. Each time you double-click the inserted object, FrameMaker opens it in Microsoft Excel for you to edit.

Note: You cannot embed or link an object whose native software is not installed on your computer. For example, if you open a document having a Photoshop image embedded through File > Import > Object, you need to have Photoshop installed on your computer to be able to edit this image.

Consider the following factors when deciding whether to import text and graphics by reference or to use OLE to embed or link them instead:

  • If the material you want to include comes from another FrameMaker document, use import by reference. This provides many more import options.

  • If you want to collapse a linked file to an icon instead of displaying the full contents of the file in your document, use OLE linking.

  • If the material you want to include is in a format that FrameMaker can’t open, use OLE.

  • If you edit or view your document on multiple platforms, use import by reference. OLE works only in Windows.

  • If the text or graphics you want to include comes from an application that doesn’t support OLE, use import by reference.

Parent topic: Importing and linking files
Related information
  • Import text
  • Import graphics
  • Embed objects


Using paths when importing by reference

Understand paths when importing by reference, relative path and absolute path in Adobe FrameMaker.

When you import by reference with File > Import > File, the path to the text or graphic can be either absolute or relative. A relative path begins at a current folder or one folder up the hierarchy and specifies the file’s location from there. An absolute path begins at the root of the file system (the topmost folder) and fully specifies the file’s location from there. Following are two examples of absolute paths.

  • D:\Graphics\Mountain.gif

  • \\DocServer\Graphics\Mountain.gif

FrameMaker stores relative paths whenever possible so that it can find an imported file even when you move both the document and the source file—as long as you keep the files in the same relative locations. If you save the document in a different folder, FrameMaker adjusts the paths of the imported files accordingly. However, if the path to the imported file traverses the root (the topmost folder) of the file system, FrameMaker uses absolute paths that begins at the root.

To ensure that FrameMaker uses relative paths, make sure that it does not have to traverse the root to locate the file.

Parent topic: Importing and linking files


Import graphics

Use import file command to import graphics, learn about graphics format, locate missing graphics, add graphics to structured documents and anchored frames in FrameMaker.

In this topic

  • Introduction

  • Import a graphic

  • Import JPEG 2000 files

  • Import SVG images

  • Import Adobe Photoshop files

  • Import Adobe Illustrator files

  • Locate a graphic FrameMaker can’t find

  • View an imported graphic’s filename

Introduction

You can import numerous graphic/image formats into a FrameMaker document. The following list captures some of the most commonly used image file formats that you can import in FrameMaker:

  • Adobe Illustrator (AI)

  • Adobe Photoshop (PSD)

  • Adobe PDF

  • Bitmap (BMP)

  • Device-Independent Bitmap (DIB)

  • Drawing Interchange Format/Drawing Exchange Format (DXF)

  • Computer Graphics Metafile (CGM)

  • Enhanced Metafile (EMF)

  • Encapsulated Postscript (EPS)

  • Graphic Interchange Format (GIF)

  • Joint Photographic Experts Group Graphics (JPEG, JPEG2000)

  • Portable Network Graphics (PNG)

  • Scalable Vector Graphics (SVG)

  • Tagged Image File Format (TIFF)

  • Universal 3D (U3D)

  • WebP

  • Windows Metafile (WMF)

  • Icon (ico)

  • FrameVector

  • FrameImage

Consider the following points while importing or working with image files in FrameMaker:

  • Use File > Import > File or Insert > Image to import graphics.

  • You can import a graphic into an anchored or unanchored graphic frame, into a rectangle that serves as a bounding box, or directly onto a page. If you want the graphic to move with text as you edit the document—for example, a graphic in longer documents or documents intended for HTML conversion—import the graphic into an anchored frame. If you want the graphic to stay where you place it—for example, if the graphic is the logo of a letterhead—import it onto the page and position it where you want it.

  • When you import a graphic, you can specify an import filter on the basis of the graphic’s format. When you import a bitmap image, you also specify its scale in dots per inch (dpi). The larger the dpi value, the smaller the graphic is on the page.

  • While importing image with transparent background, FrameMaker maintains the image’s transparency while authoring and when published in PDF format.

  • When you copy an image, or copy an image by reference, into a document, you can specify an HTTP path from which to import the graphic. The HTTP path is preserved in the XML roundtrip.

  • By default, FrameMaker imports images by reference. If you want to copy images into the document by default, deselect the Import Image by Reference option in the Preferences dialog in section Global, General.

  • You can also import graphics by dragging-and-dropping graphic file from Windows Explorer onto your document. The image gets added in an anchored frame. In case of structured document, the relevant image element is applied on the inserted image.

Import a graphic

  1. Specify the position of the graphic by doing one of the following:

    • To place the imported graphic in a graphic frame, select an existing frame or place an insertion point in a text frame.

    • To place the imported graphic directly on a page, click in the page margin.

    • To use a drawn rectangle to define the size of the imported bitmap graphic, select an existing rectangle or draw one (do not select an anchored or unanchored frame). The graphic replaces the rectangle if the Fit in Selected Rectangle option is selected when you import; however, the aspect ratio of the graphic remains unchanged.

    • To replace an existing graphic, select it.

  2. Choose File > Import > File to open the file Import dialog.

    Or,

    Choose Insert > Image to open the Insert image dialog.

  3. In the file Import dialog, select the graphic file you want to import, or specify the HTTP path of the graphic file to import, and the import method. Once you have selected an image or provided the URL, click Import.

  4. In the Insert image dialog, select the graphic file you want to import and click Open.

  5. If the Unknown File Type dialog box appears, select a file type in the scroll list and click Convert.

  6. If the Import Graphic Scaling dialog box appears, choose a scaling option or Fit in Selected Rectangle and click Set.

Tip: For the best printed results, choose a dpi value that divides evenly (or leaves only a small remainder) into the resolution of your printer or typesetter. For the best screen representation, choose a dpi value that divides evenly into your screen resolution. (Windows screens typically have a resolution of 96 dpi.)

Import JPEG 2000 files

FrameMaker supports JPEG 2000, a version of the JPEG image-compression format.

When importing JPEG 2000 files, the filter converts the supported color modes of RGB, CMYK, Grayscale, and LAB and discards unsupported modes such as Index. The filter does not support 16-bit-per-channel images. While importing, if the Unknown File Type dialog box appears, select JPC, J2C, JPX, JPF, J2K, or JP2, and click Convert.

The file importing procedure is same as explained in the Import a graphic section.

Import SVG images

You can import Scalable Vector Graphics (SVG) into your document.

FrameMaker prints Scalable Vector Graphic (SVG) images to PostScript printers by rendering the images as vector graphics using Encapsulated PostScript (EPS). For non-PostScript printers, FrameMaker uses the FrameImage format.

In addition, when you create a PDF file from a document containing an SVG image, the image appears as vectors, which improves its look in Acrobat and allows you to zoom in on it without pixelation.

Note: Embedded SVG image animations are not supported in FrameMaker.

Import Adobe Photoshop files

FrameMaker supports importing of Adobe Photoshop (PSD) files. FrameMaker converts PSD files to native FrameImage format and converts the color space (Photoshop RGB, CMYK, LAB, Indexed, Grayscale, or Bitmap) to RGB.

In FrameMaker (2019 release): When creating a PDF with the PDF engine of FrameMaker (2019 release), FrameMaker keeps the PSD's color space (e.g. RGB or CMYK) in the published PDF. If the Photoshop file has a color profile attached (e.g. sRGB IEC61966-2.1, Adobe RGB, image P3, Euroscale Uncoated v2 etc.), the color profile is attached to the image in PDF output.

You import PSD files the same way you import other types of graphics.

Import Adobe Illustrator files

When you import an Adobe Illustrator file into FrameMaker, the file is treated as a graphic, and only one page can be imported at a time. You can import it either by copy or by reference. Both process and spot colors can be displayed and printed.

Note: Graphics that use transparency do not always print as expected to a PostScript Level 1 or non-PostScript printer. If you run FrameMaker using the -noapi option (./maker.exe -noapi), you won’t be able to import PDF files.

  1. In FrameMaker, choose File > Import > File or Insert > Image, and specify the Illustrator file you want to import.

  2. In the file Import dialog, select the graphic file you want to import, or specify the HTTP path of the graphic file to import, and the import method. Once you have selected an image or provided the URL, click Import.

  3. In the Insert image dialog, select the graphic file you want to import and click Open.

  4. If the file has more than one page, specify the page number you want by typing the page number into the box.

  5. Click Select.

Illustrator files are imported at the page size of the file. Resize the anchored frame to crop any white space from the image.

Locate a graphic FrameMaker can’t find

When you open a document that contains graphic files imported by reference, FrameMaker looks for the referenced graphic files. If FrameMaker can’t find a referenced graphic file, it displays a dialog box.

  1. When FrameMaker displays the Missing File dialog box, do one of the following:

    • To find and display the graphic, use the scroll list to select it and click Update Document to Use New Path. FrameMaker continues to use the new path to try to find other missing files while opening the document. That way, if you move all your graphic files to a new location, you specify the new path only once.

    • To skip the graphic file, click Skip This File. The skipped graphic appears as a gray rectangle in the document. The next time you open the document, FrameMaker tries to find the file again.

    • To skip other graphic files if they can’t be found, click Ignore All Missing Files.

  2. Click Continue.

View an imported graphic’s filename

Select the graphic that has been imported by reference and choose Graphics > Object Properties. The graphic’s name and path appear in the Object Properties panel.

Parent topic: Importing and linking files
Related information
  • Using paths when importing by reference
  • Import and link methods
  • Resize imported graphics
  • Embed objects


Insert imported graphic elements into structured documents

Use import file command to import graphics, learn about graphics format, locate missing graphics, add graphics to structured documents and anchored frames in FrameMaker.

In this topic

  • Introduction

  • Insert an imported graphic element

  • Use an invalid imported graphic element

  • Add an imported graphic to an existing anchored frame

Introduction

Some graphic elements are defined for you to import a graphic along with the element. When you insert the element, FrameMaker displays an import dialog box. The graphic you import appears in an anchored frame below the line with the anchor symbol, and the frame is automatically sized large enough for the graphic.

Note: By default, the @placement attribute of <image> element is set to break. You can change this default behavior to insert images inline by setting OverrideDefaultImageRenderingToBreak=0 in the ditafm.ini.
Figure 1. Imported graphic in an anchored frame
Anchoredframewithan imported graphic in a structured document

After inserting the element, you can edit the frame by moving it, resizing it, and so on.

You can also import a graphic into an existing anchored frame—for example, if you used a graphic element that placed an empty frame in the document.

When you import a graphic element, you can make it part of your document (imported by copying) or keep it linked to its original application or document (imported by reference).

You can also import a graphic by dragging-and-dropping graphic file from Windows Explorer onto your document. The image gets added in an anchored frame.

For information on inserting an imported graphic that’s not an element (which you can do only in an unstructured flow), see Import graphics.

Insert an imported graphic element

  1. Click where you want to anchor the frame.

  2. Select an imported graphic element in the Element Catalog, and click Insert.

    You can also use File > Import > File or Insert > Image to insert an element. Select a file and click Import. If more than one imported graphic element is available, choose the one you want from the Element Tag drop-down list in the next dialog box that appears.

  3. Select the graphic file you want to import and specify whether to import by copying or by reference.

  4. Click Import.

  5. If the Unknown File Type dialog box appears, select a file type in the scroll list and click Convert.

  6. If the Import Graphic Scaling dialog box appears, choose a scaling option or Fit in Selected Rectangle and click Set. The larger the dpi (dots-per-inch) value, the smaller the graphic is on the page.

An anchored frame with the imported graphic appears in the document window, with an anchor symbol Anchor symbol at the insertion point. A bubble with the text snippet <GRAPHIC> appears in the Structure View.

If no imported graphic element is available at the location you want, you can use an invalid element. After inserting the element, talk to your developer about making the element valid at this location.

Use an invalid imported graphic element

Do one of the following:

  • To use an element that is valid in another part of the document, either insert the element in a valid location and then move it, or use the All Elements setting to make the element available everywhere and then insert the element where you want it.

  • To insert an invalid element with the default element <GRAPHIC>, use File > Import > File or Insert > Image to import a graphic. The element is the default one if no defined imported graphic elements are available.

Add an imported graphic to an existing anchored frame

Select the frame and use File > Import > File or Insert > Image to import the graphic.

Parent topic: Importing and linking files
Related information
  • Fill and edit anchored frames
  • Import and link methods
  • Copy Into Document
  • Change the scope of elements available in a structured document


Import audio, video, and 3D objects

Learn how to import videos (including YouTube videos), audio, and 3D objects. Manage documents with 3D objects, set views and lighting schemes, poster files in FrameMaker.

Inserting multimedia files into your document is very easily and simple. FrameMaker allows you to insert or import audio files (.mp3), videos files (*.mp4), and even YouTube videos into your documents.

You can also import 3D objects (U3D format) into documents by copying or by reference. You can set parameters for the 3D object, such as default view, rendering mode, background color, and lighting scheme. You can also choose to render a 3D object in an anchored or unanchored frame.

For a series of tutorials and demonstrations on using rich media in FrameMaker authoring, watch the episodes on the Technical Communications channel on Adobe TV.

Parent topic: Importing and linking files

Supported audio and video file formats

Learn about supported audio and video formats, how to import videos, and how to set a poster image for an audio or video in Adobe FrameMaker.

You can add audios or videos to documents by embedding media files. FrameMaker supports the following media formats:

  • AIF/AIFF (Audio Interchange File Format) WMV

  • ASF (Advanced Systems Format File)

  • AU (Audio File)

  • AVI (Audio Video Interleave File)

  • FLV (Flash Video File)

  • IVF (Indeo Video Format File)

  • KAR (Karaoke MIDI File)

  • M1V (MPEG-1 Video File)

  • M3U (Media Playlist File)

  • MID (MIDI File)

  • MOV (Apple QuickTime Movie)

  • MP2 (MPEG Layer II Compressed Audio File)

  • MP3 (MP3 Audio File)

  • MP4 (MPEG-4 Video file)

  • MPA (MPEG-2 Audio File)

  • MPE (MPEG Movie File)

  • MPEG (MPEG Movie)

  • MPG (MPEG Video File)

  • QT (Apple QuickTime Movie)

  • WAV (DTS-WAV File)

  • WMV (Windows Media Video File)

  • YouTube videos

For more information see Embed objects.

When you print a document containing a QuickTime movie, only the movie title appears.

Note: Don’t move or delete the original QuickTime movie file, even if you used the Copy into Document option when you imported it. Even with this option, the entire QuickTime movie is not copied into your document.

Import audio and video files

Learn how to import or insert audio and video files into your structured and unstructured FrameMaker documents.

FrameMaker supports importing audio (*.mp3) and video (*.mp4) files into your document. When you publish your document, these files are also embedded in the published output.

  1. Place the insertion point in your document where you want the media file to appear.

  2. Depending on the file type you want to insert or import, perform the following task:

    • Choose Insert > Multimedia > Audio to insert or import an audio file.

      The following screenshot displays the audio file insertion dialog for an unstructured document:

      Figure 1. Audio file insertion dialog for an unstructured document

    • Choose Insert > Multimedia > Video to insert or import a video file.

      The following screenshot displays the video file insertion dialog for a structured DITA document:

      Figure 2. Video file insertion dialog for a structured document

  3. Navigate to, and select the file you want to insert.

  4. Click Open.

    The selected file is inserted in your document. The following screenshot shows the video and audio files inserted in a document.

    Figure 3. Video and audio file inserted in a document

Insert YouTube videos

Learn how to insert YouTube videos in your structured DITA or unstructured FrameMaker documents.

Similar to how you insert an audio or video file, you can insert a YouTube video in your document.

  1. Place the insertion point in your document where you want to insert the YouTube video.

  2. Choose Insert > Multimedia > Online Video.

  3. Depending on the type of document that you are working on, you will see one of the following dialogs:

    • Unstructured document: If you are working in an unstructured document, the following Online Video dialog appears:

      Figure 4. Insert YouTube video in an unstructured document

      Enter the video’s short or complete URL or video embedding HTML code in the dialog.

      Note: For information on getting the short or complete URL of a YouTube video, check YouTube Help.

    • Structured DITA or LwDITA document: If you are working in a structured DITA 1.3 or LwDITA document, the following Insert Online Video dialog appears:

      Important: This process of inserting YouTube videos is currently not supported for Specialized or custom XML applications.
      Figure 5. Insert YouTube video in a structured document

      Enter the video’s short or complete URL in the dialog.

      Note: Embedding HTML code of a YouTube video is currently not supported for structured documents.

  4. Click Insert.

    The YouTube video is inserted into your document.

Additional notes on inserting audio, video, and YouTube video in structured DITA documents

  • When you insert an offline video or audio file, or an online YouTube video in a DITA document, FrameMaker uses the <object> element to store the file’s link. The <object> element contains the <param> element with @name and @value attributes, which define the source and path of the inserted file. In case of a YouTube video, the @value attribute contains the URL or HTML code of the YouTube video.

    The following screenshot shows the XML View of a DITA document with YouTube video, a local video file, and an audio file inserted:

    Figure 6. XML View of the inserted YouTube, video, and audio file in DITA document

  • When you are working in a Lightweight DITA (LwDITA) document, then the YouTube video and a local video file is inserted within a <video> element and the audio file is inserted within an <audio> element. The <video> and <audio> elements contain inserted file's location within the <media-source> element's @value attribute. The <media-source>@value attribute contains the URL or HTML code of the YouTube video.

    The following screenshot shows the XML View of a LwDITA document with YouTube video, a local video file, and an audio file inserted:

    Figure 7. XML View of the inserted YouTube, video, and audio file in LwDITA document

Poster file for a media file

Learn how to set a poster image for a media file in FrameMaker.

In this topic

  • Introduction

  • Set a poster image

  • Reset the poster image

Introduction

You can set a poster file to an imported media file. FrameMaker displays the relevant placeholder image.

For structured documents, if an attribute is defined in the DTD with the name posterfile for a graphic object, the attribute is automatically mapped to the poster property of the anchored frame. You can also map any attribute to a poster using a rule in the read write file. The file referred in the attribute becomes the poster.

Set a poster image

FrameMaker sets the selected image as the poster. If the image that has been set as a poster is missing, FrameMaker sets a special image as the poster.

  1. Right click the inserted media file.

  2. Select Set Poster.

  3. Select the image file (JPEG, PNG, BMP, or GIF) and click OK.

Reset the poster image

  1. Right click the inserted media file.

  2. Select Set Default Poster.


Working with 3D objects in Adobe FrameMaker

Learn how to import 3D objects, manage documents with 3D objects, set views and lighting schemes, and set a poster image for a 3D object in Adobe FrameMaker.

In this topic

  • Import a 3D object

  • Save a document containing 3D objects as PDF and XML

  • Save documents containing 3D objects as XML

  • Print a FrameMaker file with 3D objects

  • Set the background color for a 3D object

  • Set lighting schemes for a 3D object

  • Set views for 3D objects in FrameMaker

  • Set rendering mode for a 3D object in FrameMaker

Import a 3D object

  1. Place the insertion point in your document where you want the 3D object to appear.

  2. Choose File > Import > File or Insert > Image.

  3. Navigate to and select the U3D file you want to import.

  4. Select the Copy Into Document or Import By Reference option.

  5. Click Import.

  6. If prompted, select the desired DPI and click Set.

When you click Set, the bitmap of the 3D object appears in the document. If you imported the 3D object by copying it, the U3D file is embedded in the document as a device-independent bitmap (DIB) in the document. If you imported the 3D object by reference, a bitmap image linked to the source U3D file is inserted in the document. Regardless of the method of importing the 3D file, the file is rendered in the DIB facet in the document.

When you import the 3D object into a document and save it in PDF or XML format, all information about the 3D object is preserved.

Save a document containing 3D objects as PDF and XML

You can save a document containing 3D objects in PDF and XML formats.

  1. Choose File > Open, and then open the FrameMaker book or file containing 3D objects.

  2. Choose File > Save As PDF.

  3. You can change the save location and the filename if you want, and then click Save.

  4. Click Set in the PDF Setup dialog box to generate PDF with the default settings. Or, set additional options, and then click Set. The U3D file imported into the book or file is saved along with all its views. When you open the PDF, the view you last selected for the 3D object in the document displays in the PDF.

Note: By default, FrameMaker is configured to embed 3D objects in PDFs. However, you can disable this option.

In the PDF, click the 3D object to view the 3D toolbar and to activate the interactive features of the 3D object. The Adobe Acrobat 3D toolbar, which is displayed above every 3D object in a PDF, lets you zoom, pan, rotate, and analyze 3D designs.

Save documents containing 3D objects as XML

You can save a FrameMaker file containing a 3D object as XML. When you open the XML file in FrameMaker, the 3D object is preserved through XML roundtrip. The 3D object is extracted and saved as an independent U3D file, along with the XML file. When the file is opened again in FrameMaker, the 3D object appears at the location where it was inserted.

To preserve changes made to a 3D object during a roundtrip in an XML file, add a new attribute called insetdata with the following properties in the Graphic section of the DTD file, along with other attributes such as Offset and DPI:

    insetdata CDATA #IMPLIED

Similarly, you must add the following lines in the XSD file:

    <xsd:attribute name="insetdata" type="xsd:string" use="optional"/>
Note: The @insetdata attribute does not support read/write rules.

If you don’t modify the DTD and XSD files, U3D files can still be exported to XML. However, changes made to the U3D file in FrameMaker are not preserved during a roundtrip.

  1. Choose File > Open, and open the FrameMaker file containing 3D objects.

  2. Choose File > Save As XML or press Esc+f+w+x.

  3. You can change the save location and the filename, and then click Save.

Note: When you open the XML file in a 3D compatible XML Editor, the relevant graphic element contains a reference to the U3D file, with the filename and location of the U3D file. If you open the XML file in FrameMaker, the 3D object appears as a bitmap image.

Print a FrameMaker file with 3D objects

You can print a document with 3D objects. The 3D objects are printed as bitmap images.

  1. Open the document containing 3D objects.

  2. Choose File > Print.

  3. Set the remaining print options as necessary, and then click Print.

Set the background color for a 3D object

You can change the color that appears behind a 3D object. The default background color is white.

  1. Select a 3D object.

  2. Choose Graphics > 3D Menu option > Background Color.

  3. Select the desired color and click OK.

Set lighting schemes for a 3D object

You can select from a wide range of 3D lighting schemes to cast a 3D object using different light sources. The default lighting scheme for all 3D objects is Lights From File.

  1. Select a 3D object.

  2. Choose Graphics > 3D Menu option > Lighting, and choose one of the following light sources: Lights From File, No Lights, White Lights, Day Lights, Bright Lights, Primary Color Lights, Night Lights, Blue Lights, Red Lights, Cube Lights, CAD Optimized Lights, or Headlamp.

Set views for 3D objects in FrameMaker

The 3D object you import into a document can contain predefined views. You can change the view set for the object; the selected view is rendered when the document is saved. When you convert this FrameMaker document to a PDF, all predefined views of the 3D object are available in the PDF. The last view that you selected in the document before saving becomes the default view in the PDF.

  1. Select a 3D object.

  2. Choose Graphics > 3D Menu option > Show Existing Views, choose a view from the list that appears in the dialog box, and click OK.

Note: If you save the document as a PDF, all views of the U3D objects are available in the converted document.

Set rendering mode for a 3D object in FrameMaker

The rendering modes for 3D objects vary from the Wireframe, Solid, to Transparent Bounding box. The default rendering mode is Solid.

  1. Select a 3D object.

  2. Choose Graphics > 3D Menu option > Rendering Mode, and then choose one of the following rendering modes: Bounding Box, Transparent Bounding Box, Transparent Bounding Box Outline, Vertices, Shaded Vertices, Wireframe, Shaded Wireframe, Solid, Transparent, Solid Wireframe, Transparent Wireframe, Illustration, Solid Outline, Shaded Illustration, or Hidden Wireframe.

Parent topic: Importing and linking files


Import PDF files

When you import a PDF file into a FrameMaker document, the PDF file is treated as a graphic. Only one page of the PDF file can be imported into the FrameMaker document at a time. Both process and spot colors can be displayed and printed.

Graphics that use transparency do not always print as expected on a PostScript Level 1 or non-PostScript printer.

  1. Specify the position of the graphic.

  2. Choose File > Import > File.

  3. Select the PDF file you want to import and click Import.

  4. If the PDF file has more than one page, specify the page number in the Select PDF Page dialog box. Use the slider to display a thumbnail image of the page you want, and then click Select.

Parent topic: Importing and linking files


Import Microsoft Excel files

Understand how to import Microsoft Excel files (XLS and XSLX) into Adobe FrameMaker.

You can import Microsoft Excel documents with XLS or XSLX extensions into FrameMaker documents.

If you saved your Microsoft Excel document in the Excel 97-2003 Workbook format, you can import it using the Microsoft Excel or the Microsoft Excel 2016 filter. However, if you want to import a Microsoft Excel 2016 document, you must use the Microsoft Excel 2016 filter.

  1. Click where you want to insert the file, and choose File > Import > File.

  2. Specify the file you want to import, select Import by Reference or Copy Into Document option, and click Import.

    Depending on the document you are importing, the Microsoft Excel or Microsoft Excel 2016 filter is selected in the Unknown File Type dialog box.

  3. Click Convert. The Import Text Flow By Copy or the Import Text Flow By Reference dialog box appears.

  4. In the Flow To Import area, select Body Page Flow or Reference Page Flow.

  5. In the Formatting Of Imported Flow area, select one of these options:

    • To select the Remove Manual Page Breaks option and the Other Format Overrides option, click Reformat Using Current Document's Formats.

    • To convert the imported content to plain text and then insert it in the document, click Reformat As Plain Text.

    • To retain the imported content in its original format and then insert it in the document, click Retain Source's Formatting.

  6. In the Import Text Flow By Reference dialog box, select one of the following options displayed in the Updating Of Imported Flow area:

    • To update the imported flow area automatically, click Automatic.

    • To update the imported flow area manually, click Manual.

  7. Click Import.

Parent topic: Importing and linking files


Import Microsoft Word files

Learn how to import Microsoft Word documents into a FrameMaker document.

You can import Microsoft Word (.doc or .docx) documents into FrameMaker documents.

If you saved your Microsoft Word document in the Word 97-2003 format, you can import it using the Microsoft Word or the Microsoft Word 2016 filter. However, if you want to import a Microsoft Word 2016 document, you must use the Microsoft Word 2016 filter. You can import RTF files using the Microsoft RTF 1.9 filter in the Unknown File Type dialog box.

Note: If you are using the 64-bit version of FrameMaker, ensure that you use 64-bit of Microsoft Word application. Using 32-bit Microsoft Word with 64-bit FrameMaker might not work as expected.
Note: When you import a Word document of a specific direction (LTR or RTL) into a FrameMaker document, you need to ensure the text direction of the destination location (document, table, or paragraph) is set to the same direction.

You can follow the given procedure and you can also watch this video on Importing Word Documents into FrameMaker.

  1. Place the insertion point in the document where you want to insert the text, and then choose File > Import > File.

  2. Specify the file you want to import, select the Import by Reference or Copy Into Document option, and then select Import.

    Depending on the document you are importing, the Microsoft Word or Microsoft Word 2016 filter is selected in the Unknown File Type dialog box.

  3. Click Convert. The Import Text Flow by Copy or the Import Text Flow by Reference dialog box appears.

Note: Bookmarks within Word documents become cross-reference markers; annotations in Word documents become conditional tags with the condition “Comment” when imported by reference; hidden text in Word documents becomes conditional tags with the condition “Hidden” when imported.

Depending on if you choose Import by Reference or Copy Into Document, you need to follow the steps in one of the following procedures:

Import by Reference

If you choose Import by Reference in step 2 above:

  1. In the Flow to Import area, select a Body Page Flow or a Reference Page Flow.

  2. In the Formatting of Imported Flow area, select one of the following options:

    • To select the Remove Manual Page Breaks option and the Other Format Overrides option, click Reformat Using Current Document's Formats.

    • To convert the imported content to plain text and then insert it in the document, click Reformat as Plain Text.

    • To retain the imported content in its original format and then insert it in the document, click Retain Source's Formatting.

  3. In the Import Text Flow by Reference dialog box, select one of the following options in the Updating of Imported Flow area:

    • To update the imported flow area automatically, click Automatic.

    • To update the imported flow area manually, click Manual.

  4. Click Import.

Copy Into Document

If you choose Copy Into Document in step 2 above:

  1. If you choose to import a .docx document, you are prompted with a warning that importing a Word document of type .docx can cause loss of data. You can still choose to import the .docx document or you can cancel the procedure and first convert the document to .doc in Word.

    FrameMaker analyses the paragraph and character styles in the Word document and maps these to the paragraph and character styles defined in the current FrameMaker template.

    The Word Import dialog displays a message indicating (green indicator) the styles in the source Word document that matched the styles in the destination FrameMaker template. If a matching FrameMaker style is not found, the FrameMaker document formats defaults to the source Word style.

    Important: The style mapping is performed based on the names of the styles found in the Word and FrameMaker documents. The mapping is not based on the formatting definition of the styles.

    In the FrameMaker document formats list, for each Word style, you have the option to select an alternative FrameMaker style.

  2. In the drop-down list, choose a FrameMaker style that you want FrameMaker to apply to the corresponding Word styles in the imported document.

    If the FrameMaker template contains a mapping style, the FrameMaker style is displayed, by default, in the drop-down. You can use this style or choose any other template style from the drop-down.

  3. If no mapping FrameMaker style was found for the Word style, by default, FrameMaker will apply the Word style formatting. However, you can still choose an alternate FrameMaker style from the drop-down.

  4. If the Word style contains a corresponding FrameMaker style, to use the Word style formatting, click the Keep Word formatting.

  5. For each style map, if you retain the default option <Add new format> or you choose the Keep Word Formatting option, the Word style definitions are imported into FrameMaker. However, if a paragraph or character style in Word contains an inline style, select Import Word document inline styles and list format to include the inline styles in the FrameMaker document.

  6. For each table in the Word document, choose to use the table style as defined in the Word document or select a FrameMaker table style from the Tables drop-down list.

  7. In the Advanced Setting dialog, you can choose to remove the manual page breaks, if any, that are included in the Word document.

    You can also choose to not include empty paragraphs, if any, that are included in the Word document.

  8. Click Save Preset File to save the current settings such as the paragraph, character, and table style mapping settings to a preset file.

    Later, if you are importing other documents that use similar styles and you need to use the same style mapping, click the Open button to use the saved preset file.

Parent topic: Importing and linking files


Import MIF files

Understand how to import Maker Interchange Files (MIF) into a FrameMaker document.

MIF is a text format that lets you exchange information between FrameMaker and other applications. All types of format and page layout information are translated to MIF commands. FrameMaker interprets the commands in the MIF file, turning them back to formatting and layout properties.

You can import the text of a specified flow of a MIF file as you do any FrameMaker file. When you import by copying, all reference and master pages are imported as well as the body pages. The body text appears on a disconnected page.

For information on MIF, see the online manual MIF Reference.

Use MIF Wash utility

FrameMaker is shipped with MIFWash Utility, which is installed by default. The MIFWash Utility allows you to:

  • Run a batch process to convert all old .fm files in a book into newer version without having to manually convert each file.

  • Run a batch process to convert all .fm files in a book into .mif format. This allows you to exchange information between FrameMaker and other applications.

  • Run a batch process to open all files in a book without showing any warning messages for missing fonts, missing images, and other issues.

  • Repair a corrupt FrameMaker file.

To use the MIFWash Utility, launch FrameMaker and open a book file (.book). You will find a new Book Utilities menu in the main menu. Use this menu to perform the following operations:

  • Book MIF Wash: This operation converts all files in a book to MIF format. Before performing this task, you should create a backup of all files in your book.

  • Open All Book Components (Suppress Warnings): This operation opens all files in your book by suppressing any warning or alert messages.

Parent topic: Importing and linking files
Related information
  • Connect text frames
  • Import formatted text


Attach or embed files

Learn how to insert files in your source document and publish them in PDF output.

At the time of authoring, you can add reference documents in your source document itself. These documents are then attached or embedded in the PDF output. Depending upon the type of preset that you are using to generate the PDF, you will have to use either the embed or attach file option. For example PDF/-A2-compliant PDFs support inserting other PDF/A-compliant files, while PDF/A-3-compliant PDFs can support any file type as an attachment.

  • To attach a file, go to Insert > Attach File in PDF.

  • To embed a file, go to Insert > Embed File in PDF.

    Browse to and select the file that you want to insert, and click Select on the Select File dialog.

    The following screenshot shows attached and embedded files in a source document:

    Figure 1. Files attached and embedded in the source document

When you generate the PDF output, the inserted files are shown in the Attachments section in Adobe Acrobat:

Figure 2. Inserted files in PDF output

Note: It is recommended to embed a file at the end of the document, as it might introduce a blank space at the insertion point in the published PDF.
Parent topic: Importing and linking files


Import text

Know how to use import file command to import text, import formatted and unformatted text in FrameMaker.

In this topic

  • Introduction

  • Import formatted text

  • Import unformatted text

Introduction

You can use the File > Import > File command to import text on all platforms. This method provides more flexibility than using the clipboard.

However, if you’re working on only one platform, you might want to use a platform-specific approach. For information, see Embed objects.

The text you import can be formatted or unformatted. Unformatted text contains only the words; it has no information on fonts, indents, spacing, autonumbering, and so on. Formatted text contains these types of information.

Import formatted text

You can import formatted text into a FrameMaker document by importing from the following sources:

  • A text flow from another part of the same document

  • A text flow from another FrameMaker document

  • A text flow from another FrameMaker document that is a Maker Interchange Format (MIF) file

  • A file created in another application, such as Microsoft Word, which has an installed filter

When you import text from another FrameMaker document, you also import cross-references, footnotes, variables, markers, tables, and anchored frames. Conditional tags in the flow is also imported. When you import text from another application, some of these special items may be imported, depending on the capabilities of the other application and the filter used.

  1. Click where you want to insert the text and choose File > Import > File.

  2. Specify the file that contains the flow you want to import and the import method.

  3. Click Import.

  4. If the Unknown File Type dialog box appears, select a file type and click Convert. The dialog box that appears next depends on the import method you chose in step 2. The Import Text Flow by Reference dialog box contains settings for specifying how to update the imported flow. Choose a body page flow or a reference page flow. Typically, the text you import will come from body pages. Reference pages can contain flows with boilerplate text or graphics for use on body pages.

  5. Specify how to format the imported text by doing one of the following:

    • To apply the current document’s formats to the imported text whenever their tags match, click Reformat Using Current Document’s Formats. If the tags don’t match, the formatting of imported text is unaffected. Usually, you would also select the options to remove manual page breaks and other format overrides (such as font properties or tab settings) so that the imported text looks like text in the current document with the same tags.

    • To remove the formatting from the imported text and apply the character and paragraph formatting used at the insertion point, click Reformat As Plain Text. (Text in tables or anchored frames retains the formatting it had in the source document.)

    • To keep the formatting from the source document, click Retain Source’s Formatting. Formats in the imported text aren’t added to the current document’s format catalogs. If you later modify the current document’s formats, the imported text formats won’t be affected—even if the tags in the current document and imported text match.

  6. If you are importing the text by reference, specify how to update the text inset by doing one of the following:

    • To update the text inset whenever you open the document, click Automatic.

    • To update only when you specify, click Manual.

  7. Click Import. If you imported the text by reference, it appears as a text inset. (A text inset is linked to the source document and can’t be edited outside that source document.)

Import unformatted text

When you import the text from an unformatted text file, you specify whether to import it by copying or by reference and how to treat lines in the text file. The imported text adopts the character and paragraph formatting used at the insertion point.

  1. Place the insertion point where you want to insert the text, and then choose File > Import > File.

  2. Specify the text file you want to import, and the import method.

  3. Click Import. The Import dialog box that appears depends on the import method (Import By Reference or Copy Into Document) you chose.

  4. Specify how to treat the imported text by doing one of the following:

    • To break the text into paragraphs only at blank lines, click Merge Lines into Paragraphs. Use this option for a paragraph-oriented text file such as a file containing document text.

    • To break the text into paragraphs at the end of each line, click Treat Each Line As A Paragraph. Use this option for a line-oriented text file such as a file containing computer code.

    • To convert the imported text to a table, click Convert To Table. Specify a table format and other settings. Use this option only if the file contains delimited text, such as text output from a database program.

  5. If you are importing the text by reference, specify how to update the text inset by doing one of the following:

    • To update the text inset whenever you open the document, click Automatic.

    • To update only when you specify, click Automatic.

  6. If necessary, choose a character encoding from the Text Encoding drop-down list. Do this only if you know that the preselected encoding is incorrect. If you force an incorrect encoding, character substitution sometimes occurs or some characters appear as question marks.

  7. Click Import. If you imported the text by reference, it appears as a text inset.

Parent topic: Editing content


Split large documents

Learn how to split large documents that you would have imported from Word, Excel, MIF, or any other authoring system.

In this topic

  • Introduction

  • Split a document

Introduction

Generally, when you import a Word or any other document, it is imported as one large document in FrameMaker. The next task in getting your document ready for use is to split the large document into smaller, manageable chunks or chapters. Use the Split Current Document functionality to split a large FrameMaker document into smaller chapters.

The Split Current Document functionality allows you to split any large document using one ore more paragraph formats or a marker. By default, when you import a document, FrameMaker creates matching paragraph formats in the imported document. You can also create a marker and apply the marker at the heading level where you want to split the document. You can also add marker text, which is used to create the file name of the split chapter. At the end of the document splitting process, FrameMaker generates a book and associated chapters that are created on the basis of the paragraph formats or split markers.

Split a document

To split a large FrameMaker document, perform the following steps:

  1. Open the document that you want to split.

  2. Choose File > Utilities > Split Current Document.

    The Split a Document dialog appears.

  3. In the Split a Document dialog, specify the following document splitting parameters:

    • Source Document: lists the name of the file being split.

    • Create in folder: choose a folder where the book file and split chapters are saved.

    • Whitespace in File Names: the document splitting process creates a file for every split chapter. The file name is created using the heading text. In case there are spaces in heading text, choose how you want those to be handled while creating file names. You can choose to handle the whitespace in file names as:

      • Keep the whitespace.

      • Delete the whitespace.

      • Replace the whitespace with an underscore.

      • Replace the whitespace with a hyphen.

    • Special Characters in File Names: Similar to whitespace, choose how to handle any special character in the file name. You can choose to:

      • Delete

      • Replace with underscore

      • Replace with hyphen

  4. Click Next.

  5. Select whether you want to use a marker, paragraph formats, or both to split the document.

    Note: You can choose multiple paragraph formats to split the document. However, to keep the document structure clean and simpler, you should not choose more than 2-3 formats.

  6. Click Analyse.

    FrameMaker shows a structure of the book and chapters that will be created based on the selected marker and/or paragraph formats.

  7. (Optional) Rename the book or chapter files.

    • The first file in the list is a book file. To rename the book file, select the book file, enter the desired file name in the text box, and click Rename Book.

    • Select any chapter file, enter the desired file name in the text box, and click Rename Document.

    Note: Double-clicking on a chapter file name takes you to the corresponding heading/topic in the source document.

  8. (Optional) If you do not want to create a separate file for any chapter in the list, you can remove it and merge its content with the preceding chapter in the list. To merge any chapter, select it and click Remove from File List. The selected chapter gets merged with the preceding chapter in the list.

    Similarly, if you want to create a separate file for a merged chapter, select the chapter file and click Convert to File.

    While merging or splitting a file, FrameMaker automatically takes care of managing the sequencing of the file and document structure as per the source document.

  9. Click Start the Split.

  10. Click Done.

The log file of the document splitting process is shown in a browser and the new book file is opened in FrameMaker.

Parent topic: Editing content


Equations

Know about Placing and displaying equations, inline equations in structured documents, Equations in graphic frames in FrameMaker.

  • Placing and displaying equations
  • Equations panel overview
    Know the equations panel and its various settings in FrameMaker.
  • Create equations
    Learn how to create equations and use them in your documents in FrameMaker.
  • Insert math elements
    Know how to insert math elements and mathematical expressions, know the scope of operations in FrameMaker.
  • Shrinkwrap or unwrap an equation
    Understand shrink-wrapping and unwrapping an equation in FrameMaker.
  • Edit equations
    Learn how to edit an equation, remove delimiters, work with element formats and matrices in FrameMaker.
  • Create and define math elements
    Know math element types, change built-in math elements, define custom math elements in FrameMaker.
  • Set line breaks and align equations
    Know how to define line breaks and align equations along a point in a frame or in a list in FrameMaker.
  • Change font settings in equations
    Learn how to change font and format settings for equations in FrameMaker.
  • Evaluating equations
    Know how to evaluate equations, equation transformation, equation matrix, addition, multiplication, division, rules pop-up and overrides in FrameMaker.
Parent topic: Editing content


Placing and displaying equations

You can place an equation inline with paragraph text or display it in a paragraph of its own. In either case, FrameMaker creates an anchored frame for the equation. You can position an equation with other objects in an existing graphic frame, to annotate a graphic, for example. The graphic frames that contain equations can be either anchored or unanchored.

Figure 1. Graphic frames with equations
Placing an equation inline, display, or in a graphic with other objects

A. Inline B. Display C. In a graphic with other objects

Inline and display equations in structured documents

An equation element provides a frame with an equation object into which you can enter mathematical expressions. Like an anchored frame for graphics, an equation frame is anchored to a specific location in text.

You can insert an equation element inline with paragraph text or in a separate display paragraph.

Figure 2. Equation element - inline and in a separate paagraph
Equation inline with text and as display

A. Inline equation B. Display equation

An equation element appears in the document structure where it is anchored to text, regardless of the equation position on the page. In the Structure View, a square-cornered bubble with the snippet <EQUATION> indicates an equation element. The equation itself is not part of the structure.

Figure 3. Equation element
Equation element in the structured view of the document

If you export to SGML or XML, FrameMaker writes the equation to a separate graphics file (CGM format). Then FrameMaker adds an entity reference to it from your SGML or XML file.

You can change the file format for equations using a read/write rule. If you change the file format to MIF, FrameMaker keeps a track of equations and their respective file names. Saving the equation multiple times, still saves it to its one file, instead of creating multiple files as in FrameMaker 9.

For example:

New behavior | Old behavior
Equation 1 is saved in file say eq1.mif Editing the FrameMaker content and subsequently saving the file, saves equation 1 to the same eq1.mif. FrameMaker does NOT create new files on every save for the same equation. | Equation 1 is saved in file say eq1.mif Editing the FrameMaker content and subsequently saving the file, creates a new file say eq2.mif for the same equation 1. FrameMaker creates new files on every save for the same equation.

Equations in graphic frames in structured documents

You can also place an equation in an anchored frame that’s already inserted for graphics. Do this to combine the equation with graphic objects. If the anchored frame is an element, the element is part of the document structure. However, the frame contents, including the equation, do not appear in the structure.

An equation in an anchored frame with graphics sometimes produces unwanted results if you export to SGML or XML. In general, if you plan to export to SGML or XML, place only one object in a frame.

Parent topic: Equations


Equations panel overview

Know the equations panel and its various settings in FrameMaker.

The Equations panel contains the commands to create and change equations. It also contains the symbols, operators, functions, and other math elements you insert in equations. To display the panel, click the Equations button Equation button at the upper-right in the document window.

Figure 1. Equations panel
Equations panel in FrameMaker

A. The Equations drop-down list appears on every page. B. This part of the panel changes from page to page. C. The names of the pages appear here, with the current page highlighted.

The Equations panel contains nine pages of math elements and commands. To display a page, click its name at the top of the panel.

Symbols

Greek characters, atomic symbols, diacritical marks, and strings.

Operators

Roots, powers, signs, subscripts, superscripts, and logic symbols.

Large

Sums, products, integrals, intersections, and unions.

Delimiters

Parentheses, brackets, curly brackets, and substitution.

Relations

Equal, less than, greater than, similar to, subset of, superset of, and proportional to.

Calculus

Integrals, derivatives, partial derivatives, gradients, and limits.

Matrices

Matrices and matrix commands.

Functions

Trigonometric, hyperbolic, and logarithmic functions; commands for evaluating expressions; and commands for creating and applying rules.

Positioning

Controls to adjust the position of an expression and the spacing around it, commands to specify alignment, and commands to set and clear manual line breaks.

Parent topic: Equations


Create equations

Learn how to create equations and use them in your documents in FrameMaker.

To create an equation, insert an equation object in the document and then insert math elements in the equation.

Tip: When working with an equation, zoom in until it’s easy to read.
  • Create an inline equation
  • Create an equation in a paragraph of its own (a display equation)
  • Create an equation in a graphic frame with other objects
Parent topic: Equations


Create an inline equation

  1. Click in text where you want to insert the equation. If the text is in a rotated text frame, unrotate the frame first by selecting the rotated text frame and pressing Esc+g+0 (zero).

  2. Choose Insert > Equations, or click the Equations button Equation button at the right side of the document window.

  3. On the Equations panel, choose one of the New Equation commands from the Equations drop-down list. Small, Medium, and Large specify the font sizes used in the new equation.

    A new equation object appears as a question mark in a frame anchored below the line with the insertion point. The first math element that you insert replaces the question mark prompt.

    Figure 1. New inline equation
    New equation object appearing as a question mark

  4. Insert the math elements in the equation by typing the elements or by clicking items on the Equations panel.

    Figure 2. Inserted elements
    Inserting math elements in an equation

  5. Choose Shrink-Wrap Equation from the Equations drop-down list. This option shrinks the frame around the equation and places the equation in the line of text at the anchor symbol.

    Figure 3. Shrink-wrapped inline equation
    Shrink an equation using Shrink-Wrap Equation option

  6. If the equation seems too close to the text on either side, insert a space before or after the frame. FrameMaker treats the frame that contains an inline equation as a character and doesn’t provide extra space around it.

  7. If the equation is too tall for the line, open up more space above or below the line. Use the Line Spacing drop-down list on the formatting bar to turn off fixed line spacing.

Parent topic: Create equations


Create an equation in a paragraph of its own (a display equation)

  1. Click in an empty paragraph.

  2. Apply a paragraph style from the Paragraph Catalog, or set up your own format. The paragraph style determines the alignment, vertical spacing, and any autonumber for the paragraph that contains the equation.

    Tip: If you created the document from a book or report template, use the Equation paragraph style. You can also copy this format to your document, but you’ll probably want to make some changes (for example, to the Default Font and Spacing properties).

  3. Click the Equations button Equation button at the right side of the document window.

  4. On the Equations panel, choose one of the New Equation commands from the Equations drop-down list. Small, Medium, and Large specify the font sizes used in the new equation.

    A new equation object appears as a question mark in a frame anchored below the empty paragraph. The first math element you insert replaces the question mark prompt.

    Figure 1. New equation in anchored frame
    New equation object appearing as a question mark in a frame anchored below the empty paragraph

  5. Insert the math elements in the equation by typing the elements or by clicking items on the Equations panel.

    Figure 2. Inserted elements
    Insert a math element in the equation

  6. Choose Shrink-Wrap Equation from the Equations drop-down list. This option shrinks the frame around the equation and places the equation in the empty paragraph.

    Figure 3. Shrink-wrapped equation in its own paragraph
    Shrink the frame around an equation

Parent topic: Create equations


Create an equation in a graphic frame with other objects

  1. Click the Equations button Equation button at the right side of the document window.

  2. Select a graphic frame or an object in a graphic frame.

  3. On the Equations panel, choose one of the New Equation commands from the Equations drop-down list. Small, Medium, and Large specify the font sizes used in the new equation.

    A new equation object appears as a question mark inside the frame. The first math element you insert replaces the question mark prompt.

    Figure 1. New equation object
    Equation in a graphic frame with other objects

  4. Insert the math elements in the equation by typing the elements or by clicking items on the Equations panel.

  5. To place the equation exactly where you want it, first select it by control-clicking the equation.

  6. Move the equation by doing one of the following:

    • Drag it with the mouse.

    • Move it with the arrow keys.

    • Position it precisely with the Graphics > Object Properties command.

Parent topic: Create equations
Related information
  • Move an object
  • Create equations using the Equations panel


Insert math elements

Know how to insert math elements and mathematical expressions, know the scope of operations in FrameMaker.

An equation contains expressions made up of math elements—characters, text strings, operators, and other mathematical elements from the Equations panel.

Figure 1. Equation containing math elements
Math elements in an equation with alphanumeric character, textstring, expression, and operator

A. Alphanumeric character B. Text string C. Expression D. Operator

After you create an equation object, insert math elements in it by typing them or by clicking them on the Equations panel. The Equations panel can be closed when you insert an item from the keyboard.

Note: Math equations support the Unicode text-encoding standard.

About the scope of operations

When you insert a math element in an equation, FrameMaker adjusts the mathematical syntax. The result depends on the scope of operation—the selection or the location of the insertion point. For example, when you insert x in a fraction, the result depends on whether the numerator, the denominator, or the entire fraction is selected.

If you multiply by x | The result is
Insertion point at the end of 7 in the numerator or 7 is selected in the numerator | Result when 7 is selected or the insertion point is after 7
The numerator is selected | Result when the numerator is selected
Insertion point after the equation or Whole equation is selected | Result when insertion point is after the equation or the whole equation is selected

In the first example, only the 7 is multiplied by x. In the second example, FrameMaker adds parentheses to show that the entire expression 2y + 7 is multiplied by x. In the last example, the entire fraction is multiplied by x. The size of the insertion point in the first and last examples indicates the scope.

Many mistakes in equations result from an incorrect scope of operation—having too little or too much selected when inserting an element. Be careful to select the range you want before inserting an element.

  • Insert a math element
  • Insert a text string
  • Insert, add, or edit a horizontal or vertical list of expressions
  • Insert symbols
  • Insert operators
  • Insert large elements
  • Insert delimiters
  • Insert relations
  • Insert calculus elements
  • Insert matrices
  • Insert functions
  • Insert a custom math element
Parent topic: Equations


Insert a math element

  1. Select an expression or place the insertion point in an equation.

  2. Do any of the following:

    • To insert a math element by using the Equations panel, click the element.

    • To insert an alphanumeric character or a symbol that appears on the keyboard, type it. You can type parentheses, brackets, plus signs, equal signs, and so on. If you type an open parenthesis, FrameMaker inserts the closing parenthesis.

    • To insert an element by typing a backslash sequence, type a backslash ( \ ) and the string that identifies the element, and then press Return. For example, to insert the symbol for infinity Infinity symbol, type\infty  and press Return.

    • Insert a custom math element.

    If an element needs one or more operands, a question mark prompt Question mark prompt appears for each operand; otherwise, an insertion point appears. To move from one operand to another, press Tab.

Parent topic: Insert math elements


Insert a text string

A text string is a series of characters that is interpreted as a unit. Unlike characters that make up an expression, the characters in a text string don’t usually appear in italics and aren’t multiplied together.

Figure 1. A. Text strings
Text string in an equation

Text strings have no mathematical meaning in FrameMaker. For example, evaluation commands can evaluate the function tan but not the string “tan”.

  1. On the Symbols page of the Equations panel, click Start String. Two double quotation marks ( " " ) appear. You can also type an apostrophe ( ' ) or a double quotation mark (") to start the string.

  2. Type the text of the string. The quotation marks disappear, and the text appears as you type. To insert a straight apostrophe or straight double quotation mark as part of the string, hold down Control while pressing the key.

  3. Click End String on the Symbols page or press Return.

Parent topic: Insert math elements


Insert, add, or edit a horizontal or vertical list of expressions

An equation object usually contains one equation or expression. You can set up a horizontal or vertical list in which several expressions are contained in the same object. When you select a list, all the expressions in the list are selected as one object.

Figure 1. (A) Horizontal list (B) Vertical list aligned on equal signs
Horizontal and vertical list aligned on equal signs

FrameMaker aligns the expressions in the list automatically. When you move the list, all the expressions maintain their relative positions.

  1. Select the expression you want to be the first item in the list or to add to a list.

  2. On the Operators page of the Equations panel, click the horizontal list element Horizontal list element or vertical list element Vertical list element. To add a math element, type the elements or click items on the Equations panel. A horizontal or vertical list appears. The selected expression appears as the first item in the list. A second item appears in the list as a question mark prompt.

    Before clicking

    After clicking

    An empty equation before clicking the horizontal list

    After clicking the horizontal list

    Selecting an expression before clicking the vertical list

    Result after clicking the vertical list with selected expression

    Selecting part of an expression before clicking the vertical list

    Result after clicking the vertical list with a part selected in the expression

In the first example, a horizontal list is inserted. In the second example, a vertical list is inserted, and the selected expression becomes the first item in the list. In the last example, a vertical list is inserted as part of a larger expression.

Parent topic: Insert math elements


Insert symbols

The Symbols page on the Equations panel contains the Greek alphabet, other symbols, and diacritical marks.

The Symbols page doesn’t include Greek letters that have Roman-alphabet equivalents, such as the uppercase alpha (A). The following examples show the result of clicking Pi symbol on the Symbols page.

Before clicking | After clicking
Clicking symbol with insertion point at the end of the expression | Symbol is added after number 7 in the expression
Clicking symbol after selecting the expression | Result of clicking symbol after selecting the expression

Diacritical marks appear on the element to the left of the insertion point or on the selected expression. Click the dot or prime button once for each dot or prime diacritical mark you want to insert.

Note: To interpret and mathematically manipulate a summation, product, or partial differential element, insert the element from the Large page or Calculus page. Do not insert from the Symbols page. Elements from the Symbols page are not evaluated.
Parent topic: Insert math elements


Insert operators

The Operators page on the Equations panel contains commonly used operators, roots, powers, signs, subscripts, superscripts, and logic symbols.

If an expression is selected when you insert the operator, the expression becomes the first operand. The following examples show the result of clicking the plus sign Plus sign or the division operator Devide sign on the Operators page.

Before clicking | After clicking
Before clicking plus sign when nothing is selected in an expression | Result after clicking plus sign when nothing is selected in an expression
Before clicking plus sign where a part of the expression is selected | Result after clicking plus sign where a part of the expression is selected
Before clicking division operator where a part of the expression is selected | Result after clicking division operator where a part of the expression is selected

You can represent the division operator as a slash (/), a horizontal bar Minus sign, or a division sign Devision sign.

FrameMaker can evaluate exponents mathematically, but not superscripts.

Figure 1. (A) Superscript (B) Exponent
Example equation with superscript and exponent in FrameMaker

Parent topic: Insert math elements


Insert large elements

The Large page on the Equations panel contains sums, products, integrals, intersections, and unions.

If an expression is selected when you insert a large element, the expression becomes the first operand. The following examples show the result of clicking the summation symbol Summation symbol on the Large page.

Before clicking | After clicking
Before clicking the summation sign when nothing is selected in an expression | Result after clicking the summation sign when nothing is selected in an expression
Before clicking the summation sign when the expression is selected | Result after clicking the summation sign when the expression is selected

You can add an operand after inserting a math element from the Large page.

Parent topic: Insert math elements


Insert delimiters

The Delimiters page contains delimiters such as parentheses, brackets, and curly brackets.

If an expression is selected when you insert a pair of delimiters, the expression is placed inside the delimiters. The following examples show the result of clicking the parentheses on the Delimiters page.

Before clicking | After clicking
Before clicking the parentheses when nothing is selected in an expression | Result after clicking the parentheses when nothing is selected in an expression
Before clicking the parentheses when the expression is selected | Result after clicking the parentheses when the expression is selected

You can also represent parentheses as brackets ([ ]) or curly brackets ({ }).

Parent topic: Insert math elements


Insert relations

The Relations page contains relation symbols such as =, <, >, approx, equivalent, is an element of, superset, and subset.

All relation symbols—except the binary equal sign equal to —apply to the character to the left or right of the insertion point or to the selection. When you insert a relation symbol between multiplied elements, it applies to the elements on either side of the insertion point.

Binary equal signs equal to appear to the right of the current expression (as shown in the second example). When the insertion point or selection is in a subscript or superscript, the equal sign appears in the subscript or superscript.

Before clicking | After clicking
Before clicking the binary equal sign in an expression | Result after clicking the binary equal sign in an expression
Before clicking the binary equal sign in an equation | Result after clicking the binary equal sign in an equation
Before clicking the binary equal sign at a subscript in an equation | Result after clicking the binary equal sign at a subscript in an equation

Insert a binary equal sign at the insertion point

  1. Press Esc+m+=

    Before clicking

    After clicking

    Before clicking the binary equal sign at an insertion point

    Result after clicking the binary equal sign at an insertion point

Parent topic: Insert math elements


Insert calculus elements

The Calculus page contains integrals, derivatives, partial derivatives, gradients, and the limit function.

If an expression is selected when you insert the calculus element, the expression becomes the first operand. The following examples show the result of clicking the integral symbol Integr symbol on the Calculus page.

Before clicking | After clicking
Before clicking the integral sign at an insertion point | Result after clicking the integral sign at an insertion point
Before clicking the integral sign in a selected equation | Result after clicking the integral sign in a selected equation

You can change the position of operands and add operands.

Parent topic: Insert math elements


Insert matrices

The Matrices page contains elements for matrices ranging in size from 1 by 1 to 3 by 3. After creating a matrix, you can add rows and columns.

If an expression is selected when you insert the matrix element, the expression becomes the first cell in the matrix.

Before clicking | After clicking
Before clicking the matrix element at an insertion point | Result after clicking the matrix element at an insertion point
Before clicking the matrix element when an expression is selected | Result after clicking the matrix element when an expression is selected
Parent topic: Insert math elements


Insert functions

The Functions page contains trigonometric, hyperbolic, and logarithmic functions, and also the sign, limit, and general functions.

FrameMaker places functions at the insertion point or at the selection. When an expression is selected, the expression becomes the argument of the function—except for the limit and general functions Limitfunction and Limit function. The following examples show the result of clicking the sin function on the Functions page.

Before clicking | After clicking
Before clicking the sin function at an insertion point | Result after clicking the sin function at an insertion point
Before clicking the sin function when an expression is selected | Result after clicking the sin function when an expression is selected
Parent topic: Insert math elements


Insert a custom math element

In addition to inserting math elements that are built in FrameMaker, you can insert custom math elements that have been defined for a document.

Custom math elements have no mathematical meaning in FrameMaker. For example, a custom math element for an operator is treated as an operator in an equation. However, FrameMaker cannot evaluate it.

  1. On the Equations panel, choose Insert Math Element from the Equations drop-down list.

  2. Select the element name and click Insert.

Parent topic: Insert math elements


Shrinkwrap or unwrap an equation

Understand shrink-wrapping and unwrapping an equation in FrameMaker.

Shrinkwrapping an equation shrinks the surrounding anchored frame so that it’s large enough for the equation. The operation changes the frame anchoring position to At Insertion Point, and places the insertion point after the frame.

Figure 1. Before shrinkwrapping
Before shrinking the surrounding anchored frame using shrinkwrapping in FrameMaker

Figure 2. After shrinkwrapping
After shrinking the surrounding anchored frame using shrinkwrapping in FrameMaker

Shrinkwrap an equation when you finish working with it so that the equation takes minimal space and aligns with the baseline of the surrounding text. Unwrap an equation to enlarge the anchored frame for easy editing.

  1. Click in the equation or select its frame.

  2. On the Equations panel, choose Shrink-Wrap Equation or Unwrap Equation from the Equations drop-down list. The edges of a shrinkwrapped equation sometimes do not appear onscreen. They do appear in the printed document.

Parent topic: Equations


Edit equations

Learn how to edit an equation, remove delimiters, work with element formats and matrices in FrameMaker.

You can edit an equation as you edit text—adding, changing, rearranging, and removing math elements, and cutting, copying, and pasting them. As you edit an equation, the syntax of the equation is adjusted as necessary.

You can change a matrix—add or delete rows and columns, delete brackets, and change row height and column width. You can also choose among several representations for some math elements such as parentheses. You can add operands to others such as integrals and summations.

If your equation is shrinkwrapped, unwrap the equation before editing it. This makes the anchored frame full-sized again, giving you more room to work.

Note: To edit a rotated equation, first restore the equation or text frame to its unrotated position by pressing Esc+g+0 (zero).
  • Extend a selection using the keyboard
  • Change the selection
  • Replace or delete a math element or equation
  • Remove delimiters
  • Toggle an element format
  • Add an operand to a math element
  • Change matrices
Parent topic: Equations


Extend a selection using the keyboard

  • Press the spacebar. The selection expands to include the next higher expression. The following example shows the result of pressing the spacebar repeatedly.

    Original selection

    Original selection for extend a selection using the keyboard

    Pressed once

    Spacebar used once to extend a selection

    Pressed twice

    Spacebar used twice to extend a selection

Parent topic: Edit equations


Change the selection

  • Do one of the following:

    • To change the selection to the next subexpression on the right, press the Right Arrow key.

    • To change the selection to the next subexpression on the left, press the Left Arrow key.

    • To change the selection to the next question mark prompt, press Tab.

Parent topic: Edit equations


Replace or delete a math element or equation

  1. Select the element you want to delete and press Delete. A question mark prompt replaces the element.

  2. Do one of the following:

    • To replace the element, click the Equations panel or type to insert the replacement.

    • To delete the element, press Delete again. FrameMaker removes any elements that are no longer necessary—for example, a plus sign or parentheses.

    • Control-click the equation to select the equation, and press Delete.

Parent topic: Edit equations


Remove delimiters

After entering or editing an equation, you sometimes end up with extra delimiters—parentheses, curly brackets, and brackets. You can remove extra delimiters. If you later use evaluation commands, FrameMaker evaluates the equation as if the delimiters are still present.

  • To remove all delimiters, select the expression. On the Delimiters page of the Equations panel, click Remove Parentheses.

    Before clicking

    After clicking

    Before clicking Remove Parentheses to remove all delimiters from a selected expression

    After clicking Remove Parentheses to remove all delimiters

  • To remove one delimiter, place the insertion point to the right of the delimiter and press Delete. If the delimiter has a mate, such as the left parenthesis between a and b in the example, the mate is also removed.

    Before

    After

    Before pressing delete key to remove a delimiter at an insertion point

    After pressing delete key to remove a delimiter at an insertion point

Parent topic: Edit equations


Toggle an element format

You can represent some math elements in more than one way. For example, delimiters can appear as Delimiter example 1, Delimiter example 2, or Delimiter example 3. Division can appear as Division example 1, Division example 2, or Division example 3.

  1. Select the entire element.

  2. On the Operators, Large, Delimiters, or Calculus page of the Equations panel, click Toggle Format. The command is the same on all four pages and operates on any element with multiple formats. Click more than once to get the format you want in some cases.

Parent topic: Edit equations


Add an operand to a math element

Radical symbols, gradient symbols, and logarithms can have one or two operands. Integrals and other symbols on the Large and Calculus pages can have one, two, or three operands.

Figure 1. Operands
Operands in an equation

You can add operands to these elements without starting over.

  1. Click or select anywhere in the expression with the element.

  2. Click Add Operand on the Large or Calculus page. A question mark prompt appears where you specify the new operand.

Parent topic: Edit equations


Change matrices

You can change the number of rows or columns in a matrix and add or remove brackets around the matrix. You can allow the column width to vary from column to column, depending on the contents, or specify that all columns are equal width. Similarly, you can allow the row height to vary from row to row.

You can also transpose a matrix and perform matrix algebra.

  • To add a row or column to a matrix, place the insertion point in the matrix. On the Matrices page of the Equations panel, choose Add Row or Add Column from the Matrix Commands drop-down list.

    Before Add Column

    After Add Column

    Before clicking Add Column to add a column in a matrix

    After clicking Add Column to add a column in a matrix

    Add Row adds a row at the bottom.

    Add Column adds a column at the far right.

  • To delete a row or column from a matrix, select the row or column and press Delete.

  • To add or remove brackets around a matrix, select the entire matrix. On the Matrices page of the Equations panel, click Add/Remove Brackets.

  • To change the row height or column width in a matrix, select the matrix. On the Matrices page of the Equations panel, choose All Equal or Proportional from the Matrix Row Height or Matrix Column Width drop-down list.

Figure 1. Equal row heights (left) and Proportional row heights (right)
Example of Equal row heights and Proportional row heights

If you choose Proportional, each row is tall enough to hold the tallest cell in the row. Each column is wide enough to hold the widest cell in the column.

If you choose All Equal, each row is tall enough to hold the tallest cell in the entire matrix. Each column is wide enough to hold the widest cell in the entire matrix.

Parent topic: Edit equations


Create and define math elements

Know math element types, change built-in math elements, define custom math elements in FrameMaker.

If you need a math element that doesn’t appear on the Equations panel, you can create a custom element—for example, a new operator such as Operator Operator. However, FrameMaker cannot evaluate custom math elements mathematically.

To display a built-in element on the panel differently in your document, you can redefine the element. For example, you can redefine the asin(inverse sine) function so it appears as sin–1. You can redefine the appearance of a built-in element, but you can’t change its type.

You can also import math element definitions from another document.

Custom math element definitions are stored on one or more reference pages whose name begins with FrameMath. Each definition is a text line in an unanchored graphic frame whose name is the element name.

Figure 1. (A) Graphic frame (B) Text line
Custom math element definition as text line in an unanchored graphic frame.

  • Math element types
  • Define a custom math element or change a built-in math element definition
  • Find the name of a math element
  • Change or delete a custom math element definition
  • Position math elements in an equation
  • Adjust the spacing values for a math element wherever it appears
Parent topic: Equations
Related information
  • Add text to graphics
  • Use reference frames on reference pages
  • Change equation fonts throughout a document


Math element types

A math element type indicates how the element behaves in relation to other elements around it. For example, a plus sign (+) has the type infix, which means that it has two operands, one to the left and one to the right.

You can define custom math elements of the following types.

Type | Example | Number of operands
Atom | Custom math element— atom | None
Delimiter | Custom math element—delimiter | One
Function | Custom math element—function | One, to the right of the element
Infix | Custom math element—Infix | Two, to the left and the right of the element
Large | Custom math element—Large | Up to three, above, below, and to the right of the element
Limit | Custom math element—Limit | Up to two, below and to the right of the element
Prefix | Custom math element—Prefix | One, to the left of the element
Postfix | Custom math element—Postfix | One, to the right of the element
Vertical list | Custom math element—Verticallist | Two, one above the other (The text line that defines a custom vertical list is used as a separator between list items.)

You cannot define custom math elements of the following types.

Type | Example
Derivative | Math element — Derivative
Diacritical mark | Math element—Diacriticalmark
Horizontal list | Math element—Horizontallist
Matrix | Math element—Matrix
Root | Math element—Root
Script | Math element—Script
Substitution | Math element—Substitution
Vertical division bar | Math element—Verticaldivisionbar
Parent topic: Create and define math elements


Define a custom math element or change a built-in math element definition

  1. Choose View > Reference Pages and display a FrameMath reference page.

    If the document doesn’t contain a FrameMath reference page, display a reference page and then choose Insert > Add Reference Page. Name the new page FrameMath1. Capitalize the letters F and M as shown.

  2. Use the Graphic Frame tool to draw an unanchored graphic frame on the page.

  3. In the Frame Name dialog box, enter a name for the math element. If you are redefining a built-in element, enter that element name.

  4. Use the Text Line tool to add a text line in the graphic frame.

  5. Create the math element in the text line using the following guidelines:

    • You can type any characters in the text line, and you can change the character formatting. You can also move the characters by using micropositioning shortcuts.

    • For all math elements except delimiters, the text line represents just the mathematical symbol, not the operands. When you later insert the element in an equation, FrameMaker places the operands in the appropriate places, based on the type of math element. For example, a large element, such as a summation or an integral sign, has up to three operands—one above, one below, and one to the right of the symbol.

    • A custom delimiter can contain only one operand, even though some built-in delimiters contain two or three. To indicate the location of the operand, insert a space in the text line. If you do not insert a space in the text line, FrameMaker places the operand between two copies of the delimiter.

      Figure 1. (A) Characters in delimiter.  (B) Space indicates the operand.
      A custom delimiter

    • FrameMaker uses the first text line in the frame for the custom math element. Make sure that only one text line exists in the frame.

  6. Select the graphic frame.

  7. On the Equations panel, choose Add Definition To Catalog from the Equations drop-down list.

  8. If you’re defining a custom math element, choose an element type from the drop-down list, and click Add.

Parent topic: Create and define math elements


Find the name of a math element

  1. Place the insertion point in an equation.

  2. On the Equations panel, choose Insert Math Element from the Equations drop-down list.

  3. Turn off Show Custom Only, and then scroll through the element names to find the one you want.

  4. Click Cancel.

Parent topic: Create and define math elements


Change or delete a custom math element definition

  1. Display the FrameMath reference page that contains the math element by doing one of the following:

    • If the custom math element appears in an equation, select the element, and choose Update Definition from the Equations drop-down list on the Equations panel. Then click Go To Frame.

    • If you haven’t inserted the custom math element into an equation, choose View > Reference Pages. Then display the FrameMath reference page you want.

  2. Do one of the following:

    • Edit the text line that defines the math element. When you display a body page again, FrameMaker uses the modified definition, and shrinkwraps the equations again.

    • Delete the graphic frame. If the element appears in an equation, FrameMaker displays the element name, surrounded by question marks, instead of the element.

Parent topic: Create and define math elements


Position math elements in an equation

FrameMaker positions math elements according to their mathematical meaning in an equation. Sometimes you want to microposition elements—reposition them so they’re closer to or farther from other elements in the equation.

Figure 1. Before and after micropositioning
Position math elements in an equation using micropositioning

You can also control the amount of white space on each side of an element.

Figure 2. (A) Default spacing (B) Space added to the left and right (C) Space removed from the left and right
Controlling the amount of white space on each side of an element

  • On the Positioning page of the Equations panel, do one of the following:

    • To position a selected expression, click a Micropositioning arrow. Click as many times as necessary. (Each click moves an expression one pixel on the screen.) Zoom in for greater precision.

      Figure 3. Micropositioning arrows
      Positioning a selected expression using a Micropositioning arrow

    • To remove micropositioning, click the button at the center of the Microposition area Microposition area.

    • To inspect the position offsets and adjust them numerically, click Position Settings. The exact offsets appear in the Microposition Offset area of the Math Element Position Settings dialog box. To adjust the position, enter values in the Microposition Offset area and click Set.

    • To adjust white space, click a plus sign (+) to add white space or a minus sign (–) to remove it. Click as many times as necessary. Each click adds or subtracts one pixel of space. Zoom in for greater precision.

    Note: To change the spacing around a math element of type infix, prefix, postfix, or delimiter, adjust the space around the adjacent math elements instead. For example, to add space on either side of the plus sign in the expression a+b, selecta. Add space to the right. Then selectb. Add space to the left.

    • To adjust spacing values, click Position Settings. The exact spacing appears in the Spacing area of the Math Element Position Settings dialog box. To adjust the spacing values, enter values in the Spacing area, and click Set. To restore the default spacing values, click the button at the center of the Spacing area Spacing area.

Parent topic: Create and define math elements


Adjust the spacing values for a math element wherever it appears

You can update some math element definitions—infix, prefix, postfix, large, scripts, and the division bar—with new spacing. When you do, FrameMaker adjusts the spacing around the element wherever it appears in the document and rewraps the equations.

You can also change the spread—the space between characters—uniformly in all small, medium, and large equations.

  1. After you adjust the spacing around the element in an equation, select the element.

  2. On the Equations panel, choose Update Definition from the Equations drop-down list.

  3. Do one of the following:

    • To update the spacing for the element throughout the document, click Update.

    • To reset the spacing to the default, click Get Default.

Parent topic: Create and define math elements


Set line breaks and align equations

Know how to define line breaks and align equations along a point in a frame or in a list in FrameMaker.

You can control equation breaks across lines and alignment of the lines in a multiline equation, or of the items in a list or matrix. You can also align several equations with one another, even if they appear in different anchored frames.

Figure 1. Aligned along left side of equal signs
Controlling equation breaks across lines and alignment of the lines in a multiline equation

You can manipulate equation objects as you do other objects. You can automatically and manually align items in a vertical list and lines in a multiline equation. Manual alignment points override automatic alignment.

Figure 2. Aligned on left side and at manual alignment point
Automatically and manually align items in a vertical list and lines in a multiline equation

You can align the items in a horizontal list along their tops, bottoms, or baselines.

Figure 3. Baseline-aligned
Align the items in a horizontal list along their baselines

You can also align the cells in each row of a matrix along their tops, bottoms, or baselines. You can align the cells in each column at the right, left, or center, or along equal signs.

Figure 4. Aligned along:
Align the cells in each row of a matrix along their center and baselines

A. Baselines B. Centers

  • Change equation line breaking
  • Align display equations
  • Set automatic alignment for a vertical list or multiline equation
  • Clear a manual alignment point
  • Align items in a horizontal list
  • Align cells in a matrix
  • Check alignment settings for a horizontal or vertical list, or for a matrix
  • Left-, center-, or right-align equations in a frame
  • Align equations along a point
Parent topic: Equations
Related information
  • Copy and arrange objects
  • Insert, add, or edit a horizontal or vertical list of expressions


Change equation line breaking

When an equation breaks across lines, the entire equation remains in a single anchored frame. You can set where an equation breaks across lines automatically. When you change the line-break width, the equation is reformatted to the new width.

Original equation
An entire equation in a single anchored frame

Figure 1. Equation set to break at specific location"
Equation set to break at 1.25"

You can also force a line break at a specific location in the equation. However, don’t use manual line breaks to create separate equations. Instead, insert a vertical list of expressions.

You can change line breaking in these ways:

  • To change the automatic line break width, click in the equation or select any part of it. Choose Graphics > Object Properties. Edit the value in the Automatic Line Break After box, and click Set. The value is preset to the width of the equation frame.

  • To insert a manual line break, click where you want the equation to break into two lines. On the Positioning page of the Equations panel, choose Set Manual from the Line Breaking drop-down list. A line-break symbol Line-break symbol appears at the insertion point when text symbols are visible.
    Figure 2. Manual line break
    Manually breaking a line

  • To remove a manual line break, select the part of the equation that contains the line-break symbol. On the Positioning page of the Equations panel, choose Clear Manual from the Line Breaking drop-down list.

Parent topic: Set line breaks and align equations


Align display equations

The format of the paragraph that contains the equation controls the alignment (left, center, or right) of a display equation.

Figure 1. Paragraph alignment set to Center
Paragraph alignment set to Center

  1. Click in the paragraph that contains the equation (not in the equation itself).

  2. Choose the alignment from the Alignment drop-down list in the formatting bar or in the Paragraph Designer.

Parent topic: Set line breaks and align equations


Set automatic alignment for a vertical list or multiline equation

  1. Click in the equation or list.

  2. On the Positioning page of the Equations panel, choose an item from the Left/Right drop-down list. When you choose Left Of = or Right Of =, the lines are aligned along one side of an equal sign. A line with no equal sign is aligned along its left side.

Set a manual alignment point for a multiline equation or for an item in a vertical list

  1. Do one of the following:

    • Click in the first line of a multiline equation where you want subsequent lines to align.

    • Click in a vertical list item where you want the item to align with the rest of the list.

  2. On the Positioning page of the Equations panel, choose Set Manual from the Left/Right drop-down list. A manual alignment symbol Manual alignment symbol appears at the insertion point when text symbols are visible. Subsequent lines of a multiline equation are left aligned with the manual alignment point. A vertical list item aligns with other items in the list at the manual alignment point.

Parent topic: Set line breaks and align equations


Clear a manual alignment point

  1. Select the part of the equation that contains the manual alignment point.

  2. On the Positioning page of Equations panel, choose Clear Manual from the Left/Right drop-down list. You can also clear a manual alignment point by setting another.

Parent topic: Set line breaks and align equations


Align items in a horizontal list

  1. Click in the list.

  2. On the Positioning page of the Equations panel, choose an item from the Up/Down drop-down list.

Parent topic: Set line breaks and align equations


Align cells in a matrix

  1. Click in the matrix.

  2. On the Positioning page of the Equations panel, choose an item from the Up/Down drop-down list or from the Left/Right drop-down list. The Left/Right and Up/Down commands affect the whole matrix. To align individual cells, use micropositioning.

Parent topic: Set line breaks and align equations


Check alignment settings for a horizontal or vertical list, or for a matrix

  1. Do one of the following to select the entire list or matrix:

    • Drag through the list or matrix.

    • Place the insertion point in the matrix and press the spacebar repeatedly.

  2. On the Positioning Page of the Equations panel, click Position Settings.

Parent topic: Set line breaks and align equations


Left-, center-, or right-align equations in a frame

You can align several equation objects with one another in a graphic frame, just as you align other objects. You can also align several equation objects along a manual alignment point, even when they’re in separate graphic frames.

Figure 1. Equations aligned at manual alignment points
Align two equation objects with one another in a graphic frame at manual alignment points

FrameMaker maintains the alignment of the equation objects as you edit the equations. For example, if two equations are left aligned, the left alignment is maintained as the equations expand or shrink.

  1. Select the equations to align by Control-clicking the first equation; Control+Shift-click the other equations.

    Make sure that the last equation you select is the one you want to align with.

  2. Choose Graphics > Arrange > Align.

    Figure 2. Alignment options
    Alignment options

  3. Select the alignment you want, and click OK.

Parent topic: Set line breaks and align equations


Align equations along a point

  1. Set the manual alignment point in one of the equations to align.

    If you don’t set a manual alignment point, FrameMaker aligns an equation on the left.

  2. Click in the equation and choose Graphics > Object Properties.

  3. Choose Manual from the Alignment drop-down list and specify the location of the alignment point within the frame in the Alignment Point Offset area. The left offset is the distance from the left edge of the frame to the manual alignment point.

    Specifying the top offset precisely is unnecessary. You can move the equation up or down later, just as you do any other object.

  4. Click Set.

  5. Repeat steps 1 through 4 for each equation you want to align. Use the same distance from the left edge for each equation, but change the top offset to position the equation vertically in the frame. If the equations you’re aligning are in different anchored frames, make sure that the left edges align with one another.

Parent topic: Set line breaks and align equations


Change font settings in equations

Learn how to change font and format settings for equations in FrameMaker.

A document contains font settings that apply to all equations in it. These settings determine the font sizes and spacing for small, medium, and large equations. They also determine the character formatting used for Greek characters and for symbols, functions, numbers, strings, and variables.

You can change the preset size of an entire equation. You can also change the character formatting of individual math elements—for example, to use color or a special font.

You can also change the font sizes and character formattings used for all equations in a document.

  • Change the character style in individual equations
  • Change equation fonts throughout a document
Parent topic: Equations


Change the character style in individual equations

You can’t change the spread, stretch, superscript, subscript, underline, overline, strikethrough, change bar, or pair kerning properties for any element. You also can’t change the font family for individual Greek characters and symbols and for some operators.

  • To change the preset size or color of an equation, click in the equation, choose Graphics > Object Properties, and do one of the following:

    • To change the equation size, choose a size from the Size drop-down list, and click Set. If the equation is shrinkwrapped, FrameMaker rewraps it.

    • To change the equation color, choose a color from the Color drop-down list, and click Set.

  • To change the character style, select the element or expression, and change as you do for text.

  • To create a superscript or subscript, insert the appropriate operator.

  • To change the spread of characters, microposition them by using the positioning page of the Equations panel.

  • To place a line over or under an expression, use the diacritical marks on the Symbols page of the Equations panel.

Parent topic: Change font settings in equations


Change equation fonts throughout a document

You can change the font size and spacing for all small, medium, and large equations in a document. When you make global font changes, FrameMaker reformats and rewraps all shrinkwrapped equations in the document.

Greek characters and symbols in equations normally appear in the Symbol font. You can use fonts such as Mathematical Pi and Universal Greek if these fonts are installed on your system.

Functions, numbers, and strings normally appear in Times New Roman or Times. Variables normally appear in italic. You can change the character formatting of each of these kinds of elements. For example, you can display all elements in Helvetica, with functions in italic and variables in bold.

Note: Don’t delete styles from the Character Catalog if you’re using them to specify the character formatting of math elements. If you delete these character styles, all equations in the document are reformatted using the default font.

Use Equation Sizes from the Equations drop-down list on the Equations panel for the following change:

  • To change equation fonts throughout the document, do one of the following:

    • Specify the font sizes and spread, and click Set. Spread is expressed as a percentage of the font size. Positive spread values cause wider spacing around elements; negative values cause narrower spacing.

    • Click Get Defaults.

  • To change the font for Greek characters and symbols, choose one of the available fonts from the Math Symbols drop-down list, and click Set.

  • To change the character style for functions, numbers, strings, and variables, first create the character style you want. Then choose the character style from the Functions, Numbers, Strings, or Variables drop-down list, and click Set. FrameMaker displays the style you created in the drop-down lists.

Parent topic: Change font settings in equations


Evaluating equations

Know how to evaluate equations, equation transformation, equation matrix, addition, multiplication, division, rules pop-up and overrides in FrameMaker.

After you create an expression or equation, you can transform it by changing its mathematical representation. For example, you can multiply polynomials, factor terms, simplify expressions, and combine fractions.

Original selection | Transform an expression or equation by changing its mathematical representation—original selection
Expanded | Transform an expression or equation by changing its mathematical representation—expanded
Multiplied out | Transform an expression or equation by changing its mathematical representation—multiplied out
Multiplied out again | Transform an expression or equation by changing its mathematical representation—multiplied out again

You can also evaluate equations by substituting values and performing computations.

Original selection | Evaluate equations by Substituting values and performing computations—original selection
Expanded | Evaluate equations bySubstituting values and performing computations—expanded
Value substituted | Evaluate equations by Substituting values and performing computations—value substituted
Result computed | Evaluate equations by Substituting values and performing computations—result computed
  • Transform or evaluate an expression
  • Matrix Commands drop-down list
  • Addition drop-down list
  • Multiplication drop-down list
  • Division drop-down list
  • Evaluation drop-down list
  • Rules drop-down list
  • Other Rewrites drop-down list
Parent topic: Equations


Transform or evaluate an expression

  1. Select the expression, or part of it.

  2. Choose a command on the Matrices or Functions page of the Equations panel. For example, select an expression and then choose Multiply Out from the Multiplication drop-down list on the Functions page.

  3. To transform or evaluate an expression, use the commands on the Matrix Commands drop-down list of the Matrices page and the commands on the six drop-down lists of the Functions page.

Parent topic: Evaluating equations
Related information
  • Change matrices


Matrix Commands drop-down list

Matrix Transpose

Transposes the rows and columns of a selected matrix.

Selected matrix

After transposing

Selected matrix

After transposing the matrix

Matrix Algebra

Performs matrix multiplication and addition, and evaluates dot and cross products in a selected matrix.

Selected matrix (or matrices)

After matrix algebra

Selected matrix 1

After performing matrix algebra on matrix 1

Selected matrix 2

After performing matrix algebra on matrix 2

Selected matrix 3

After performing matrix algebra on matrix 3

Selected matrix 4

After performing matrix algebra on matrix 4

After performing matrix algebra, you can use the Simplify command to combine like terms.

Parent topic: Evaluating equations


Addition drop-down list

Add Fractions

Adds selected fractions, expressing the result as a single fraction. This command also combines like terms.

Selected fraction

After adding

Selected fraction 1

After adding fraction 1

Selected fraction 2

After adding fraction 2

Selected fraction 3

After adding fraction 3

If the selected expression contains the sum of more than two fractions, Add Fractions adds only the first two. Use this command repeatedly to combine all the fractions.

Selected expression

Selected expression containing sum of more than two fractions

Added once

Adding the expression containing sum of more than two fractions once

Added twice

Adding the expression containing sum of more than two fractions twice

Order Sum

Arranges polynomials in decreasing powers of a selected variable.

Before ordering

After ordering

Before ordering polynomials in decreasing powers of a selected variable

After ordering polynomials in decreasing powers of a selected variable

Order Sum Reverse

Arranges polynomials in increasing powers of a selected variable. In the following example, you select an x—any x—before choosing Order Sum Reverse.

Before ordering

After ordering

Before ordering polynomials in increasing powers of a selected variable

After ordering polynomials in increasing powers of a selected variable

Parent topic: Evaluating equations


Multiplication drop-down list

Use the Multiplication drop-down list on the Functions page to factor terms, multiply out expressions, and distribute multiplication and division over addition.

Factor

Factors a selected term out of a product.

Before factoring

After factoring

Before factoring a selected term out of a product

After factoring a selected term out of a product

Before factoring a selected term out of a product

After factoring a selected term out of a product

Factor Some

Factors a selected term from only those terms that contain it.

Before factoring

After factoring

Before factoring a selected term from only those terms that contain it

After factoring a selected term from only those terms that contain it

Multiply Out

Simplifies the selected expression, distributes multiplication over addition, and expands a selected term raised to a positive integral power.

Selected expression

After multiplying

Expression 1 selected to be multiplied out

Expression 1 after it is multiplied out

Expression 2 selected to be multiplied out

Expression 2 after it is multiplied out

The Simplify command also simplifies the selected expression.

Multiply Out Once

Multiplies the first pair of factors on the left side of a selected expression.

Selected expression

After multiplying

Selecting an expression to multiply the first pair of factors on the left side

The expression after the multiplication

If you use this command several times, the results appear in a different form.

Distribute

Performs a variety of operations depending on the expression you select, as shown in the following examples:

  • Distributes division over addition.

    Selected expression

    After distributing

    Selecting an expression to distribute division over addition

    The expression after the distribution

    Use the Add Fractions command to perform the reverse operation.

  • Distributes multiplication over addition.

    Selected expression

    After distributing

    Selecting an expression to distribute multiplication over addition

    The expression after the distribution

    Use the Factor command to perform the reverse operation.

  • Transforms products and quotients involving radicals and exponents into a single expression raised to a power.

    Selected expression

    After distributing

    Transforming products and quotients involving radicals and exponents into a single expression raised to apower—example 1

    Example 1 after distributing

    Transforming products and quotients involving radicals and exponents into a single expression raised to apower—example 2

    Example 2 after distributing

    Transforming productsand quotients involving radicals and exponents into a single expression raised to apower—example 3

    Example 3 after distributing

    Use the Simplify command to perform the reverse operation.

Distribute Over Equality

Performs the same operation on both sides of an equal sign.

Selected expression

After distributing

Selected expression to distribute over equality—example 1

Example 1 after distributing

Selected expression to distribute over equality—example 2

Example 2 after distributing

Selected expression to distribute over equality—example 3

Example 3 after distributing

Parent topic: Evaluating equations


Division drop-down list

Long Division

Performs long division in a fraction that contains a polynomial numerator and denominator.

In the following example, you select an x—any x—before choosing Long Division. You select an x in the fraction of the first result and choose Long Division again to obtain the second result.

Before dividing

Before performing long division in a fraction that contains a polynomial numerator and denominator

Divided once

After performing long division once in a fraction that contains a polynomial numerator and denominator

Divided twice

After performing long division twice in a fraction that contains a polynomial numerator and denominator

Remove Division

Converts division to multiplication in a selected expression by changing positive exponents in a denominator to negative and negative exponents in a denominator to positive.

Selected expression

After removing division

Using Remove Devision to convert division to multiplication in selected expression 1

After converting division to multiplication in selected expression 1

Using Remove Devision to convert division to multiplication in selected expression 2

After converting division to multiplication in selected expression 2

To convert negative exponents to division operators, use the Remove Negative Powers command.

Remove Division 1 Level

Converts division to multiplication, as Remove Division does, but applies only to the first level of operators.

Selected expression

After removing division

Using Remove Division1 Level to convert division to multiplication in selected expression 1

After converting division to multiplication in selected expression 1

Using Remove Division 1 Level to convert division to multiplication in selected expression 2

After converting division to multiplication in selected expression 2

To convert the first level of negative exponents into division operators, use the Remove Negative Powers 1 Level command.

Remove Negative Powers

Converts negative exponents to positive in a selected expression by replacing multiplication with division and division with multiplication.

Selected expression

After removing negative powers

Using Remove Negative Powers to convert negative exponents to positive in selected expression 1

After removing negative powers from selected expression 1

Using Remove Negative Powers to convert negative exponents to positive in selected expression 2

After removing negative powers from selected expression 2

Remove Negative Powers 1 Level

Converts negative exponents to positive, as Remove Negative Powers does, but applies only to the first level. If the selected expression has no negative exponents at the first level, this command has no effect.

Selected expression

After removing negative powers

Using Remove Negative Powers 1 Level to convert negative exponents to positive in selected expression 1

After removing negative powers from selected expression 1

Using Remove Negative Powers 1 Level to convert negative exponents to positive in selected expression 2

After removing negative powers from selected expression 2 (no effect)
Parent topic: Evaluating equations


Evaluation drop-down list

Number Crunch

Changes integers to floating-point numbers in a selected expression and then evaluates the expression.

Selected expression

After number crunch

Using Number Crunch to change integers to floating-point numbers in selected expression1 and then evaluating the expression

After using Number Crunch on selected expression 1

Uusing Number Crunch to change integers to floating-point numbers in selected expression2 and then evaluating the expression

After using Number Crunch on selected expression 2

Uusing Number Crunch to change integers to floating-point numbers in selected expression3 and then evaluating the expression

After using Number Crunch on selected expression 3

Using Number Crunch to change integers to floating-point numbers in selected expression4 and then evaluating the expression

After using Number Crunch on selected expression 4

Use the Show All Digits command to show up to 15 decimal places in a floating-point number.

Number Crunch displays NaN (Not a Number) for operations that result in undefined values. It displays Infinity for operations that result in a value too large to calculate. Small numbers can sometimes be evaluated to zero.

Selected expression

After number crunch

using Number Crunch displays NaN (Notal Number) for operations that result in undefined values for expression 1

After using Number Crunch on expression 1

Using Number Crunch displays NaN (Notal Number) for operations that result in undefined values for expression 2

After using Number Crunch on expression 2

Show All Digits

Shows the full internal accuracy of a floating-point number.

Selected number

After showing all digits

Selected number to show all digits

After showing all digits

Evaluate

Evaluates the selected expression. The operations performed depend on the type of expression selected, as shown in the following examples:

  • Rewrites an expression raised to a power less than 20 as a product.

    Selected expression

    After evaluating

    Selected expression to raise to a powerless than 20 as a product

    After evaluating the expression with the raised power

  • Computes the factorial of an integer. If the result is too large to calculate, the result appears as Infinity.

    Selected expression

    After evaluating

    Selected expression to compute the factorial of an integer

    After evaluating the expression with the factorial of an integer

  • Computes the determinant of a 1-by-1 or 2-by-2 matrix.

    Selected expression

    After evaluating

    Selected expression to compute the determinant of a matrix

    After evaluating the expression with the determinant of a matrix

  • Extracts a term from a sum or product.

    Selected expression

    After evaluating

    Selected expression to extract a term from a sum or product

    After evaluating the expression with a term from a sum or product

  • Evaluates a substitution just as the Evaluate Substitution command does.

  • Rewrites an Evaluate Between operator as a difference.

    Selected expression

    After evaluating

    Selected expression to rewrite an Evaluate Between operator as a difference

    Result after evaluating the expression

  • Rewrites the logarithm of a product as a sum of logarithms and rewrites a logarithm of a power as a product.

    Selected expression

    After evaluating

    Selected expression to rewritethelogarithm of a product

    Result after evaluating the expresison

    Selected expression to rewrite the logarithm of a product

    Result after evaluating the expresison

  • Rewrites a logarithm to a base in terms of natural logarithms.

    Selected expression

    After evaluating

    Selected expression to rewrite alogarithm to a base in terms of natural logarithms

    Result after evaluating the expresison

  • Rewrites a choice function in terms of factorials.

    Selected expression

    After evaluating

    Selected expression to rewrite a choice function in terms of factorials

    Result after evaluating the expresison

Evaluate Substitution

Performs a specified substitution and then simplifies the expression. When an Evaluate Between operator is selected, this command rewrites the expression as a difference.

Selected expression

After evaluating

Selected expression to perform a specified substitution and then simplifying the expression

Result after evaluating the expresison

Selected expression to perform a specified substitution and then simplifying the expression

Result after evaluating the expresison

Evaluate Integrals

Rewrites a selected integral with a polynomial integrand. This command converts a definite integral into an indefinite integral evaluated between the upper and lower bounds. Use Evaluate Integrals several times to integrate a polynomial fully.

Selected expression

Selected expression to rewrite a selected integral with a polynomial integrand

Evaluated once

Result after evaluating the expression once

Evaluated twice

Result after evaluating the expression twice

Evaluate Derivatives

Evaluates a selected derivative, applying the chain rule to complex expressions when necessary. This command evaluates a partial derivative only when all dependencies are explicitly written.

This command treats elements in a total derivative as if they depended on the variable of differentiation. Use the Evaluate command to expand an nth derivative before using Evaluate Derivatives to evaluate it.

Before

After

Before using Evaluate Derivatives on an expression

After using Evaluate Derivatives on an expression

Before using Evaluate Derivatives on an expression

After using Evaluate Derivatives on an expression

Evaluate Derivatives 1 Level

Evaluates only the first level of a selected derivative.

Before

After

Before using Evaluate Derivatives on the first level of a selected derivative

After using Evaluate Derivatives on the first level of a selected derivative

Parent topic: Evaluating equations


Rules drop-down list

Use the Rules drop-down list on the Functions page to store and apply rules that transform expressions.

For example, use Enter Rule to store a rule such as a = a + 3. Then use Apply Rule to substitute a + 3 for a in another expression.

Enter Rule

Stores a rule for substituting one expression for another. Select the expression you want to store as a rule before you choose Enter Rule. You can store only one rule at a time.

Designate Dummy

Designates a selected term to be a dummy variable. Use a dummy variable in a rule to substitute the expression on the right side of the rule for any variable, not just the variable explicitly named on the left. A dummy variable appears in boldface. For example, if you designate x in the rule x = a 2– as a dummy variable, you can substitute a 2– or x for any variable in an expression.

Select the term you want to be a dummy variable before you choose Designate Dummy. Then use the Apply Rule command to replace a selected expression with the expression assigned to the dummy variable.

Apply Rule

Substitutes one term or set of terms for another in a selected expression, using the rule stored with the Enter Rule command.

Rule entered

Rule entered in the Enter Rule command

Selected expression

Selected expression for the Enter Rule command

After rule is applied

Result after the rule is applied

Before you apply a rule that contains a dummy variable, select the term you want the variable to replace. In the following example, x is the dummy variable in the rule.

Rule entered

Rule entered in the Enter Rule command with a dummy variable

Before rule is applied

Selected expression for the Enter Rule command with a dummy variable

After rule is applied

Result after the rule is applied with a dummy variable

Parent topic: Evaluating equations


Other Rewrites drop-down list

Simplify

Simplifies the selected expression. To evaluate fractions that involve infinity or division by zero, use the Number Crunch command instead of Simplify.

The operations performed depend on the type of expression selected, as shown in the following examples:

  • Performs integer arithmetic.

    Selected expression

    After simplifying

    Selected expression to perform integer arithmetic with Simplify command

    Result after simplifying the expression

    Selected expression to perform integer arithmetic with Simplify command

    Result after simplifying the expression

    Selected expression to perform integer arithmetic with Simplify command

    Result after simplifying the expression

    When the result is too large to calculate, it appears as Infinity.

  • Groups terms in a sum or product.

    Selected expression

    After simplifying

    Selected expression to group terms in a sum or product with Simplify command

    Result after simplifying the expression

    Selected expression to group terms in a sum or product with Simplify command

    Result after simplifying the expression

    Selected expression to group terms in a sum or product with Simplify command

    Result after simplifying the expression

  • Divides out common factors in a fraction.

    Selected expression

    After simplifying

    Selected expression to divide out common factors in a fraction with Simplify command

    Result after simplifying the expression

    Selected expression to divide out common factors in a fraction with Simplify command

    Result after simplifying the expression

    Use the Remove Negative Powers command to remove negative powers from the result.

  • Interprets the complex number i, represented by the Greek letter iota iota symbol.

    Selected expression

    After simplifying

    Selected expression to interpret the complex number i with Simplify command

    Result after simplifying the expression

  • Distributes exponentiation across multiplication and division.

    Selected expression

    After simplifying

    Selected expression to distribute exponentiation across multiplication with Simplify command

    Result after simplifying the expression

    Selected expression to distribute exponentiation across division with Simplify command

    Result after simplifying the expression

    Simplifying simplifying root of x square x produces result of simplifying root of x square rather than mod x.

Simplify Some

Simplifies the selected expression, as the Simplify command does, but does not multiply fractions.

Selected expression

After simplifying

Using Simplify Some command with selected expression to simplify the selected expression without multipling fractions

Result after simplifying the expression

Isolate Term

Isolates a selected expression on one side of the equal sign. This command does not combine terms or solve for the selected expression.

Selected expression

After isolating term

Using Isolate term command to isolate a selected expression on one side of the equal sign

Result after isolating the expression

Using Isolate term command to isolate a selected expression on one side of the equal sign

Result after isolating the expression

Using Isolate term command to isolate a selected expression on one side of the equal sign

Result after isolating the expression

Expand First Term

Expands the first term of a selected summation or product.

Selected expression

After expanding

Using Expand First Term command to expand the first term of a selected summation

Result after expanding the expression

Using Expand First Term command to expand the first term of a selected product

Result after expanding the expression

Expand All Terms

Expands all terms of a selected summation or product.

Selected expression

After expanding

Using Expand All Term command to expand terms of a selected summation

Result after expanding the expression

Using Expand All Term command to expand terms of a selected product

Result after expanding the expression

Parent topic: Evaluating equations


Markers

Know what are markers in FrameMaker.

FrameMaker markers provide you multiple ways in which you can mark your documents. You can choose from pre-defined markers, such as Author, Comment, Conditional Tags, ContextString, Cross-Ref, Equation, Glossary; or create custom markers.

The Markers panel makes it easier to work with and troubleshoot hundreds of markers in a long document or book files. You can display all the markers in the current document, all open documents, selected file, or a book.

  • Add a marker
  • Generate a list of markers
    Understand how to generate a list of markers in FrameMaker.
  • Delete a marker
    Learn how to delete a marker in FrameMaker.
  • Create a custom marker
    Learn how to create custom marker in FrameMaker.
  • Add a custom marker to your document
    Know how to add a custom marker in a document in FrameMaker.
  • Publish options
    When you use the multi-channel publishing feature of FrameMaker, you get several options that enable you to streamline online Help publishing.
Parent topic: Editing content


Add a marker

For example, to add a marker of Comment type:

  1. Place the cursor in the document where you want to insert a comment.

  2. Choose View > Panels > Markers to display the Markers panel if not already open.

  3. Click the Insert icon.

  4. Choose Comment from the Marker type box.

  5. Type your comment in the Marker Text text box and click New Marker.

  6. Save document.

Note: You can enter a tab character in marker text by typing either \t or the hexadecimal code \x08. However, if you generate a list of markers, only tabs entered as hexadecimal codes appear. If you generate an index of markers, only tabs entered as \t appear.

To add a marker to a structured document:

  1. Choose Insert > Marker.

  2. Select a marker element in the Element Catalog and click Insert.

  3. Choose a marker type from the drop-down list. You can use any predefined marker type except Conditional Tags. You can also define your own marker types.

    Note: For structured documents, consult your developer before changing a marker type. Your document may have a separate element defined for each marker type you’ll need.

  4. If the Attributes for New Element dialog box appears, enter attribute values for the marker element and click Insert Element.

    If no marker element is available at the location you want, you might use an invalid element. After inserting the element, talk to your developer about making the element valid at this location.

Parent topic: Markers


Generate a list of markers

Understand how to generate a list of markers in FrameMaker.

For example, to generate a list of all your Comment markers:

  1. Choose Insert > List Of > Markers.

  2. Choose whether you want to create a standalone list of markers or add it to book.

  3. In the Set Up List of Markers dialog box, select the Comment marker type from the right drop-down list and click the left arrow to transfer it into the Include list on the left.

  4. Check the Create Hypertext Links check-box.

  5. Click OK. All your Comment type markers are listed in a separate window.

Parent topic: Markers


Delete a marker

Learn how to delete a marker in FrameMaker.

Select the marker from the Markers panel and click the Delete icon. The marker is deleted from the document.

Parent topic: Markers


Create a custom marker

Learn how to create custom marker in FrameMaker.

You can also define custom markers for single-sourcing or automation. For example, you can use custom markers to mark text that can be extracted into a separate reference guide. You can mark graphic objects that require special processing, such as conversion from one format to another. You can then use a script to automatically extract all those graphics marked with the custom marker for further processing.

  1. Choose View > Panels > Markers.

  2. Click the Insert icon.

  3. From the Marker Type combo box, select Edit.

  4. Type a name for the custom marker in the Edit Custom Marker Type box.

  5. Click Add and click Done. The new Marker type is added to the list of markers.

Parent topic: Markers


Add a custom marker to your document

Know how to add a custom marker in a document in FrameMaker.

  1. From the Markers panel, click Insert.

  2. Select the custom marker type.

  3. Type the marker text and click New Marker. A custom marker gets added to your document.

Parent topic: Markers


Publish options

When you use the multi-channel publishing feature of FrameMaker, you get several options that enable you to streamline online Help publishing.

  • Pagination with Page Break marker
  • Context-sensitive Help marker
  • Apply index markers
  • Create Dynamic HTML effects
Parent topic: Markers


Pagination with Page Break marker

Using the options in the Publish Options menu, you can avoid the traditional ways of having to define custom markers for pagination and topic naming.

You can add Page Break markers to denote the topics that should be converted as separate Help topics, and define their topic names.

  • Add Page Break marker
  • Apply No Page Break Marker
  • Remove all Page Break markers
Parent topic: Publish options


Add Page Break marker

  1. Click the heading text, and choose Insert > Publish Markers > Apply Page Break Marker.

  2. In the Page Break Marker dialog box, enter the topic title. The file name is automatically populated based on the title text that you enter.

    For example, if you enter the topic title as FrameMaker Publish options, the file is named FrameMaker_Publish_options.htm.

    However, you have the option to change the file name in the Filename text box.

Parent topic: Pagination with Page Break marker


Apply No Page Break Marker

You can also specify a marker to enforce that a page does not break at a defined location. For example, you require to keep two closely related headings on the same page. In this case, you specify a No Page Break Marker at the top of the second heading.

  1. Click the heading text of the second heading.

  2. Choose Insert > Publish Markers > Apply No Page Break Marker.

The marker text for the newly created marker is <NoSplit>. This indicates that the selected heading will appear on the same page as the previous heading.

Parent topic: Pagination with Page Break marker


Remove all Page Break markers

You can remove all the Page Break markers in a document.

  1. Open the document from which you need to remove all the page break markers.

  2. Choose Insert > Publish Markers > Remove All Page Break Markers.

Parent topic: Pagination with Page Break marker


Context-sensitive Help marker

To create context-sensitive Help, you need to add markers in your documentation that the product developers can link to from the corresponding parts of the product. The CSH (context-sensitive help) Marker feature in FrameMaker allows you to apply TopicAlias markers in your documentation. The CSH markers are then used by the publisher to add anchors in the publish output. The publisher also creates a map file that the product developers use to link to the anchors in the documentation.

Note: For best results, ensure that you are applying the map IDs to heading styles that you identified for pagination.

Context-sensitive Help markers are used in the following publish output formats:

  • Responsive HTML5

  • Microsoft HTML Help

  • Apply a context-sensitive Help marker
  • Creating and using a Context-sensitive Help map file
Parent topic: Publish options


Apply a context-sensitive Help marker

  1. Click to place the mouse cursor at the start of a paragraph text to insert the context-sensitive Help marker.

  2. Choose Insert > Publish Markers > Apply CSH Marker.

  3. Enter the map ID and click OK.

When you create a CSH marker in a document, FrameMaker creates a TopicAlias marker with the marker text as the map ID that you specify.

Important: You cannot use whitespaces or the following special characters for the marker text of a CSH marker: ~!@#$%^&*()+-={}|[]\\:\";'<>?,./
Parent topic: Context-sensitive Help marker


Creating and using a Context-sensitive Help map file

You apply CSH markers to specify context specific help location in your FrameMaker document. Next, you need to create a Help map file (with a .h extension). Your application developers use the map file to hook the specific parts of the application (for example, dialog boxes or menu items) to the corresponding help topics.

  1. Add the CSH markers in the FrameMaker source.

  2. Create a text file in any text editor and name the file as:

    <source book or document name>.h

  3. Place the map file in the FrameMaker source folder.

  4. For each CSH marker that you apply in your document, you need to create one line item in the map file as follows:

    #define <map ID> <map number>
    map ID

    Name that you specify for the CSH marker

    map number

    Unique numeric identifier that will be provided by the application developers. However, as a placeholder, you can provide any random number.

    For reference, the FrameMaker publish procedure also creates a sample map file:

    1. Run the publish procedure for your document.

    2. In Windows Explorer, go to the output folder.

      If your source content has CSH markers defined, a <source book or document name>.h file is created at the same folder level as the output folder.

      Example: For the output of a book named framemaker-publisher.book, the map file is framemaker-publisher.h.

    You can use this .h file as a reference to create your map file.

    You need to create your map file in the same format as this .h file.

    Important: The <source book or document name>.h file is created at the same level as the output folder and not inside the output folder.

  5. After you have added all the CSH markers to your map file, provide the map file to the product development team.

    The product development team can use the unique identifiers that you have included in the file. Alternatively, the product team can change the identifiers, as required, and return the updated file.

  6. Copy the updated map file to the FrameMaker source folder.

    Ensure that the name of the file is <source book or document name>.h.

  7. Run the publish procedure.

    The CSH markers are now included as anchors in the published output. You can now test the product context-sensitive Help functionality.

To implement context-sensitive Help in an application, you need to include the CSH markers in the documentation as described above. In addition, your product team will also need to add functionality in the application. For a detailed description on context-sensitive help functionality and how to use it, see Work with context-sensitive help in the Using RoboHelp guide.

Parent topic: Context-sensitive Help marker


Apply index markers

  1. Click on the paragraph text that you want to insert the index marker.

  2. Choose Insert > Publish Markers > Apply Index Marker.

  3. Enter the index entry and click OK.

Important: You cannot use whitespaces or the following special characters for the marker text of an index marker: ~!@#$%^&*()+-={}|[]\\:\";'<>?,./
Parent topic: Publish options


Create Dynamic HTML effects

You can create dynamic HTML effects such as drop-down text and expanding text in your FrameMaker documents if you want to have the published online Help formats to have these options.

Use the drop-down text effect to provide alternative task options and basic conceptual topics, summarize the questions on an FAQ, and shorten nested procedures. Text that you mark as drop-down body is displayed in your PDF output. But the text appears online only when the user clicks the drop-down text caption on the Help page.

Similarly, you can use expanding text DHTML effect to display expanded definitions, key terms, or links to overview topics embedded in a paragraph. Expanding text requires an expanding text caption that contains the link and expanding text body that is displayed when a user clicks the expanding text link. Expanding text body is not displayed in PDF. It appears only in the Help page when a user clicks the text that contains the expanding text link.

These DHTML effects require two components: a caption and body. You apply the drop-down text effects to paragraphs and the expanding text effect to characters. When the drop-down text effect is created, two paragraph styles, DropDownCaption and DropDownBody, are added to the FrameMaker document. When the expanding text effect is created, the two character styles ”ExpandingTextCaption” and ”ExpandingTextBody” are added. These formats are imported to the RoboHelp project when you import the FrameMaker documents. The effects are visible in the created HTML topics.

If the HTML topic generated contains only the captions without the accompanying body formats, links are generated and visible in the HTML topic. If the HTML topic generated contains a text body without the corresponding captions, no links are generated. In addition, if a paragraph to which the drop-down text body format is applied is also specified for conversion to an autonumbered list, the list conversion is ignored.

  • Create drop-down text in a FrameMaker document
  • Create expanding text in a FrameMaker document
  • Customize DHTML effects for HTML5 output
Parent topic: Publish options


Create drop-down text in a FrameMaker document

  1. Select the text or paragraph on which you want to place the drop-down text caption.

  2. Choose Insert > Dynamic HTML Effects > Drop Down Caption.

  3. Select the text that should appear as drop-down text in your online Help page.

  4. Choose Insert > Dynamic HTML Effects > Drop Down Body.

Parent topic: Create Dynamic HTML effects


Create expanding text in a FrameMaker document

  1. Select the term or phrase on which you want to place the expanding text caption.

  2. Choose Insert > Dynamic HTML Effects > Expanding Text Caption.

  3. Select the text that should appear as expanding text in your online Help page.

  4. Choose Insert > Dynamic HTML Effects > Expanding Text Body.

Parent topic: Create Dynamic HTML effects


Customize DHTML effects for HTML5 output

You can customize the drop-down text and expanding text effects for an unstructured FrameMaker document that is published in HTML5 output format. To customize the output settings:
  1. Choose File > Publish to open the Publish dialog.
  2. Click Change Settings.
  3. In the Settings drop-down button, select Edit.
  4. In the Style Mapping tab, select the DHTML Effects options from the General Settings.

  • If the first option is selected, the text which has a drop-down text effect will appear as drop-down text on your online Help page.
  • Similarly, if the second option is selected, the text which has an expanding text effect will appear as expanding text on your online Help page.
  • If the DHTML options are deselected, the HTML5 output will not show the DHTML effects, and the text will appear as plain text without any dropdown or expanding effects.
You can also change the Twisties that appear as icons with the DHTML effects. From the Select Twisties Images dialog, choose the icons to appear as you open and close the dropdown or expanding text. You can also select the placement of the icons.

Parent topic: Create Dynamic HTML effects


Hypertext commands

Add hypertext commands in Adobe FrameMaker and define active hyperlink areas.

A hypertext command in an Adobe FrameMaker document defines an active area in a document. If a user clicks on the active area in a view-only FrameMaker document or an output such as PDF or HTML, the associated hypertext command is executed.

You can create a hypertext command in a document to provide inter-activity to the reader. See Add hypertext commands to documents.

You can use hypertext commands to perform tasks such as opening a web page, displaying an alert, go to a specific pages (first, last, page number) in the current document, open and close external applications. See Available hypertext commands.

You can then save your document as view-only, PDF or publish the document using the FrameMaker multi-channel publishing solution.

Note: Hypertext commands work differently in PDF and HTML output. See topic_hypertext-commands.html#topic_pdf-html-hypertext-command-support.

You can use hypertext commands in images added to a FrameMaker to topic_hypertext-commands.html#WS352b2f8e7566887c52502bf11475c673ca0-8000 that defines multiple clickable areas in a single image.

  • Add hypertext commands to documents
    Add hypertext commands in Adobe FrameMaker, learn to define active area, define an image active area, Insert hypertext command marker in FrameMaker.
  • Edit and delete hypertext commands
    Learn to edit and delete hypertext commands in FrameMaker.
  • Available hypertext commands
    Know the available hypertext commands in Adobe FrameMaker.
Parent topic: Editing content


Add hypertext commands to documents

Add hypertext commands in Adobe FrameMaker, learn to define active area, define an image active area, Insert hypertext command marker in FrameMaker.

To add hypertext commands to a document, you need to first Define an active area in a document and then Associate a hypertext command with an active area.

  • Define an active area in a document
  • Associate a hypertext command with an active area
Parent topic: Hypertext commands


Define an active area in a document

You can associate hypertext commands to text or images in a document. When a user clicks on the active area, the area is highlighted after which the command is executed.

Create a text active area in a document

You can define a word, phrase, paragraph, or multiple adjacent words as active areas. To identify a text active area, FrameMaker uses the character style of the text. This implies that the character style of the text active area must be different from that of the surrounding text. If the character style is the same as the surrounding text, the entire text in the paragraph is set as active.

Define an active area for a word or phrase

  1. Select the word or phrase.

    You need to change the character style of selected the word or phrase.

  2. Choose Format > Characters.

  3. Choose from the list of default character styles available in the current document catalog.

    Alternatively, open the Character Designer and apply a custom character style.

Note: The following character style changes cannot be used to define a text active area: pairkerning, spread, stretch, change bars, language, and case.
Tip: If you do not want the text in active area to display differently from the surrounding text, use a different character style that has the identical formats as the surrounding text. You can save the character style of the surrounding text with a different name and then apply that character style to the active area.

Define an active area for a paragraph

Ensure that the same character style is applied to the entire paragraph.

Define separate active areas for adjacent words or phrases

You can assign different hypertext commands to adjacent words or phrases in a paragraph by applying by different or the same character style to the words or phrases. However, you need to ensure that the character styles of the words or phrases are not the same as that of the surrounding paragraph text. After this you can associate a hypertext command with each of the adjacent words or phrases. For details, see Insert hypertext command marker.

Define an image active area

You can define an active area on an image in a document. When a user clicks the image, the associated hypertext command is executed.

  1. Draw a text frame to cover the image in the document.

    Make sure that the graphic is not set to have text run around it.

    To place a text frame over the image:

    1. Open the Graphics toolbar (View > Toolbars > Graphics Toolbar).

    2. Click Text Frame in the Graphics toolbar and draw the text frame to cover the image.

  2. Set the text frame fill and pen patterns to None.

    To set the text frame properties:

    1. Right-click the text frame and choose Object Properties.

      In the Anchored Frame Properties dialog:

    2. Go to the Stroke tab and uncheck the Pen Pattern option.

    3. Go to the Fill tab and uncheck the Pattern option.

  3. Ensure that the text frame is placed above the image.

    If you place the image after placing the text frame, choose Graphics > Bring To Front to place the text frame in front of the graphic.

Create an active area on multiple pages in a document

If you create an active area on the master page of a document, the area will be active on all pages of the document. For example, you can add text to the document header and create an active area in the text in the header.

Parent topic: Add hypertext commands to documents


Associate a hypertext command with an active area

After you Define an active area in a document, you need to associate a hypertext command to the area. When a reader clicks the active area in your document, the hypertext command is executed.

View-only FrameMaker documents support all FrameMaker hypertext commands, PDF and HTML outputs of hypertext documents, have limited support. For details, see topic_hypertext-commands.html#topic_pdf-html-hypertext-command-support.

  • Insert hypertext command marker
Parent topic: Add hypertext commands to documents


Insert hypertext command marker

  1. Place the insertion point in the active area.

    Word or phrase

    At the start of the word or phrase.

    Paragraph

    At the start of the paragraph.

    Multiple adjacent words or phrases

    At the start of each separate word of phase.

    Image

    In the enclosing text frame. See Define an image active area.

  2. Open the Hypertext dialog. Insert > Hypertext.

  3. Use the Hypertext dialog to:

    Element Tag

    If you are adding a hypertext command in a structured document, select the required hypertext element tag.

    Note: This will depend on the Structured Application that you are using to create your structured documents.
    Command

    Select the hypertext command to execute when a user click the active area to which the current hypertext command is associated.

    See the current set of Available hypertext commands.

    Command syntax text box

    Enter the command parameters.

    Hypertext commands must always appear in lowercase. The parameters can be uppercase or lowercase, but they are case-sensitive. The entire command can be up to 255 characters long. (Each character in a Japanese font counts as two characters.)

    Note: If you enter a filename parameter for a file that is not in the same folder as the current document, specify a path to the document.
    Note: Hypertext markers support the Unicode text encoding standard.

    See the current set of Available hypertext commands.

    Validate Command upon Insertion

    FrameMaker will validate the syntax as soon as you insert the command in the document.

    Make View-Only

    Make the current document view-only.

    You can also use this option to text the hypertext commands that you insert in a document.

  4. Click New Hypertext Marker.

A hypertext marker is inserted in the document.

Note: To insert a hypertext command in a text inset, insert the command in the text inset source document.
Note: If a cross-reference is present in the same text area as a hypertext command, the cross-reference takes precedence over the hypertext command.
Parent topic: Associate a hypertext command with an active area


Edit and delete hypertext commands

Learn to edit and delete hypertext commands in FrameMaker.

  • Editing a hypertext command
  • Deleting a hypertext command
Parent topic: Hypertext commands


Editing a hypertext command

  1. Open the Hypertext dialog and use the Find / Change dialog to find the hypertext command to edit.

    In the Find drop-down list, choose Any Marker.

    The marker will be displayed in the Hypertext dialog.

  2. Change the required options for the command and click Edit Hypertext Marker.

Parent topic: Edit and delete hypertext commands


Deleting a hypertext command

  1. Open the Hypertext dialog and use the Find/Change dialog to find the hypertext command to edit.

    In the Find drop-down list, choose Any Marker.

    The marker will be displayed in the Hypertext dialog.

  2. Press the Delete key to delete the marker.

Parent topic: Edit and delete hypertext commands


Available hypertext commands

Know the available hypertext commands in Adobe FrameMaker.

The sections covers the available hypertext commands to:

  • Display alert messages

  • Navigate to a named destination

  • Navigate to a specific page

  • Navigate back

  • Open documents

  • Button Matrix

  • Display alert messages
  • Navigate to a named destination
  • Navigate to a specific page
    You can navigate to a specific page in the current or another FrameMaker document.
  • Navigate back
  • Open documents
  • Button Matrix
Parent topic: Hypertext commands


Display alert messages

You can display alert messages on the click on an active area by using the Alert and Alert With Title commands.

Note: In PDF output, an alert message appears as a note without a title.
  • Alert
  • Alert With Title
Parent topic: Available hypertext commands


Alert

Displays an alert message.

Syntax:

alert message

Example:

alert Hello world

To display a custom title with the alert message:

  1. Open a reference page for the current document (View > Reference Pages).

  2. Place a text frame on the reference page and enter the custom title in the text frame.

  3. Right-click on the text frame and choose Object Properties to display the Text Frame Properties dialog.

  4. Go to the Text Frame tab and set the Flow > Tag to AlertTitle.

Parent topic: Display alert messages


Alert With Title

Displays an alert message with a user-defined title.

Syntax:

alerttitle title:message

Example:

alerttitle Message to the World:Hello world

Parent topic: Display alert messages


Navigate to a named destination

You can navigate to a specific destination in the current or another FrameMaker document. To do this, you need use the Specify Named Destination command. You then point to this destination when you create any of the following commands:

  • Jump To Named Destination

  • Jump To Named Destination & Fit To Page

  • Open Document

  • Open Document & Fit To Page

Note: If you omit the Specify Named Destination command, the Jump To Named Destination and Open Document commands do not work when clicked unless they reference a filename. In that case, the other file opens, showing the first page.
  • Specify Named Destination
  • Jump To Named Destination
  • Jump To Named Destination & Fit To Page
  • Open Document
  • Open Document & Fit To Page
Parent topic: Available hypertext commands


Specify Named Destination

Specify a named destination location.

Syntax:

newlink linkname

Example:

newlink available_hypertext_commands

Note: The named destination name is case-sensitive and cannot contain spaces. You also need to ensure the uniqueness of the named destinations inside a book.
You can see the same text within the named destination in the PDF output.

Parent topic: Navigate to a named destination


Jump To Named Destination

Pointer to the named destination defined by the Specify Named Destination. You can point to a named destination in the current or another FrameMaker document.

Syntax:

gotolink filename:linkname

Example to a named destination in the current document:

gotolink available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

gotolink hypertextcommands.fm:available_hypertext_commands

Important: You need to specify the destination file extension (for example .fm).
Parent topic: Navigate to a named destination


Jump To Named Destination & Fit To Page

Pointer to the named destination defined by the Specify Named Destination. You can point to a named destination in the current or another FrameMaker document. The window is then resized to fit the destination document page.

Syntax:

gotolinkfitwin filename:linkname

Example to a named destination in the current document:

gotolinkfitwin available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

gotolinkfitwin hypertextcommands.fm:available_hypertext_commands

Important: You need to specify the destination file extension (fore example .fm).
Parent topic: Navigate to a named destination


Open Document

Point to the named destination defined by the Specify Named Destination. If the destination is a different document, it opens in a new window.

Syntax:

openlink file_name:linkname

Example to a named destination in the current document:

openlink available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

openlink hypertextcommands.fm:available_hypertext_commands

Important: You need to specify the destination file extension.
Parent topic: Navigate to a named destination


Open Document & Fit To Page

Point to the named destination defined by the Specify Named Destination. If the destination is a different document, it opens in a new window. The new window is then resized to fit the document page displayed.

Syntax:

openlink file_name:linkname

Example to a named destination in the current document:

openlink available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

openlink hypertextcommands.fm:available_hypertext_commands

Important: You need to specify the destination file extension.
Parent topic: Navigate to a named destination


Navigate to a specific page

You can navigate to a specific page in the current or another FrameMaker document.

  • Jump to First Page / Last Page
  • Jump To Page Number
  • Jump To Previous Page / Next Page
Parent topic: Available hypertext commands


Jump to First Page / Last Page

Point to the first or last page of the current or a different document. The page is displayed in the active window.

Syntax:

gotolink filename:firstpage

gotolink filename:lastpage

Example to a named destination in the current document:

gotolink firstpage

Example to a named in another FrameMaker (.fm) document:

gotolink hypertextcommands.fm:lastpage

Important: You need to specify the destination file extension.
Parent topic: Navigate to a specific page


Jump To Page Number

Point to a specific page in the current or a different document. The page is displayed in the active window.

Syntax:

gotopage filename:pagenumber

Example to a named destination in the current document:

gotopage 7

Example to a named in another FrameMaker (.fm) document:

gotopage hypertextcommands.fm:7

Important: Use the actual page number in the document. For example, if the destination document MyDoc uses Roman numerals for page numbers and begins on page v, the command to display the third page is open page MyDoc.fm:vii.
Parent topic: Navigate to a specific page


Jump To Previous Page / Next Page

Point to the previous or next page of the current document. The page is displayed in the active window.

Syntax:

previouspage

nextpage

Example:

previouspage

nextpage

Tip: Add the previous and next page hypertext commands to on the master pages of a document to display these on every page of the document.
Parent topic: Navigate to a specific page


Navigate back

You can place hypertext commands on pages that a reader can click to go back to the page from which the reader reached the current page. This behavior is similar to the back button functionality on your web browser. For example, if you have create an active text area on a page to navigate the user to another page on the document. On the destination page, you can place a Jump Back or Jump Back & Fit to Page hypertext commands.

Note: If the stack is empty and if you have not provided a filename and linkname, FrameMaker leaves the current page displayed.
  • Jump Back
  • Jump Back & Fit to Page
Parent topic: Available hypertext commands


Jump Back

Navigate back to the previous page. The page is displayed in the active window.

Syntax:

previouslink filename:linkname

Example to a named destination in the current document:

previouslink available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

previouslink hypertextcommands.fm:available_hypertext_commands

Important: You need to specify the destination file extension.
Parent topic: Navigate back


Jump Back & Fit to Page

Navigate back to the previous page. The page is displayed in the active window. The new window is then resized to fit the document page displayed.

Syntax:

previouslinkfitwin filename:linkname

Example to a named destination in the current document:

previouslinkfitwin available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

previouslinkfitwin hypertextcommands.fm:available_hypertext_commands

Important: You need to specify the destination file extension.
Parent topic: Navigate back


Open documents

You can open documents as new FrameMaker documents (Open Document As New), open the document on the first or last page(Open Document At First/Last Page), or open a document on a specific page number (Open Document At Page Number).

  • Open Document As New
  • Open Document At First/Last Page
  • Open Document At Page Number
Parent topic: Available hypertext commands


Open Document As New

Opens a document (defined in the file name argument) as a new, unnamed document. The document displays in a new window, leaving the active window open.

Syntax:

opennew filename

Example:

oopennew hypertextcommands.fm

Important: You need to specify the destination file extension.
Parent topic: Open documents


Open Document At First/Last Page

Opens a document at the first or last page of the document. The page appears in a new window (leaving the active window open) only if the page is in a different document.

Syntax:

openlink filename:firstpage

openlink filename:lastpage

Example:

oopenlink hypertextcommands.fm:firstpage

Important: You need to specify the destination file extension.
Parent topic: Open documents


Open Document At Page Number

Opens a document at a specific page. The page appears in a new window (leaving the active window open) only if the page is in a different document.

Syntax:

openpage filename:pagenumber

Example:

oopenpage hypertextcommands.fm:7

Important: You need to specify the destination file extension.
Parent topic: Open documents


Button Matrix

Defines a contiguous set of clickable areas in an image and associates one hypertext command with each area.

For example, you can take a screen capture of a toolbar in an application and then assign one hypertext command to each button on the toolbar. The hypertext command then navigates the reader to the corresponding help for the associated button on the toolbar image.

Syntax:

matrix rows columns ReferencePageFlowName

Example:

matrix 1 3 button_matrix_flow

rows

Number of rows of buttons

columns

Number of buttons in a row

ReferencePageFlowName

Text frame created on the document reference page that defined the hypertext command for each button in the matrix.

  • Define a button matrix
Parent topic: Available hypertext commands


Define a button matrix

Define a button matrix to the map the three icons in the following image to three corresponding hypertext commands:

Parent topic: Button Matrix


Multiple Undo/Redo

Know the multiple undo or redo actions in FrameMaker.

You can undo or redo multiple actions in FrameMaker. For example, saving a .fm file as a .mif file does not clear the history. However some actions cannot be undone and you are prompted to confirm the action. For example, deleting a blank page from a document cannot be undone.

  • Undo and Redo commands
    Know the undo and redo commands in FrameMaker.
  • Document-level command history
    See the document-level command history in FrameMaker.
  • Repeat Last Operation
    Know how to repeat last operation in FrameMaker.
  • Undo History panel
    Know about the History panel in FrameMaker.
Parent topic: Editing content


Undo and Redo commands

Know the undo and redo commands in FrameMaker.

A Redo icon Redo button appears in the toolbar, next to the Undo icon Undo button. Click this button to redo the most recently undone action in the current document.

A Redo command also appears in the Edit menu and in context menus, under the Undo command, showing the most recent redoable command in the current document.

Figure 1. The Edit menu displays the last command as well as the last command that has been undone.
Edit menu in FrameMaker

If no action is available for Undo or Redo in the current document, the corresponding menu options and toolbar buttons are unavailable (dimmed).

Choosing View > Undo History or pressing ctrl+K opens the command Undo History panel, which allows you to undo or redo an action other than the most recent one, along with all of the subsequent actions.

Parent topic: Multiple Undo/Redo


Document-level command history

See the document-level command history in FrameMaker.

FrameMaker maintains a history of undoable commands, so that you can select one or more recent commands to undo or redo.

The command history is available through the Edit menu and context menus. The command history is kept separately for each document, so undoing or redoing an operation in one document does not change the undo capability of another open document.

Cursor movement and object selection actions are not undoable, but when a previous state is restored, it includes the original cursor location and object selection state.

Commands that affect an external file (such as Spelling Checker commands that update the user dictionary) cannot be undone.

Parent topic: Multiple Undo/Redo


Repeat Last Operation

Know how to repeat last operation in FrameMaker.

FrameMaker features a powerful Repeat Last Operation feature that makes it easy for you to repeat the previous operation, when working on a FrameMaker document.

Repeat Last Operation can be performed on a document at the following locations:

  • The current insertion point

  • The current text selection

  • The current object selection

To perform the Repeat operation, choose Edit > Repeat [operation/object name] from the FrameMaker menu.

In addition, you can view the history buffer by selecting View > Undo History from the FrameMaker menu.

Click once on an entry in the buffer to perform it. Click once more on the entry to undo the operation.

Repeat Last Operation can be performed for the following actions on the document:

  • Typing: Repeat Last Operation history buffer remembers the last chunk of characters that were typed. The typing sequence is broken when:

    • The user clicks in the document.

    • The user switches between tabbed documents.

  • Paste: Repeat Last Operation can repeat the last paste operation at the current cursor location for both text and graphic objects in the clipboard. The list of graphic objects that can be pasted with Repeat Last Operation, are as follows: Aframe, Arc, Ellipse, Group, Inset, Line, Math, Polygon, Polyline, Rectangle, Rounded Rectangle, TextFrame, TextLine, Unanchored Frame.

    Note: The copy operation is not repeatable.

  • Delete: Repeat Last Operation can repeat deletion of both text as well as graphical objects.

    Note: If you delete multiple characters and then use Repeat Last Operation, only a single character is deleted. Character deletion and object deletion operations are interchangeable. If you delete a character and then perform a Repeat Last Operation on a graphic object, the graphic object is also deleted.

  • Apply Character Format Changes: Repeat Last Operation can reapply the properties of the last applied character formatting to the new text selection.

  • Apply Paragraph Format Changes: Repeat Last Operation can reapply the properties of the last applied paragraph formatting to the new paragraph selection.

  • Insert Graphic Objects: Repeat Last Operation can reinsert the last inserted graphic object at the current cursor location. This operation works across documents.

    The list of graphic objects that can be inserted are as follows:

    Aframe, Arc, Ellipse, Group, Inset, Line, Math, Polygon, Polyline, Rectangle, Rounded Rectangle, TextFrame, TextLine, Unanchored Frame.

  • Insert Table: You can use Repeat Last Operation to reinsert the last inserted table at the current cursor location.

  • Set Object Properties: When you apply the Repeat Last Operation command to set object properties, FrameMaker applies the last specified object properties to the new object.

  • Set Text Properties: Repeat Last Operation can repeat the last selected text property such as Plain, Bold, Italic, Underline and Justify to the currently selected text or paragraph.

  • Insert Footnote/Anchored Frame: You can use the Repeat Last Operation command to insert a previously inserted Footnote/Anchored Frame at the current cursor position.

  • Find/Change: When you apply the Repeat Last Operation command to the Find/Change procedure, FrameMaker performs the last Find/Change operation on any further occurrences of the specified text.

  • Apply Conditional Text: Repeat Last Operation can repeat the last applied conditional tag to the currently selected text.

The keyboard shortcut for the Repeat Last Operation action is F6. Repeat Last Operation is session-specific and not document specific.

Repeat Last Operation actions can be turned off by editing maker.ini. Edit the following entries:

  • RepeatTypingEnabled: By default this entry is set to ON. Set this entry to OFF to disable the repeat typing operation.

  • RepeatEnabled: By default this entry is set to ON. Set this entry to OFF to disable the repeat last operation actions.

Note: Use caution when editing the maker.ini file.
Parent topic: Multiple Undo/Redo


Undo History panel

Know about the History panel in FrameMaker.

The Edit > Undo and Redo menus show the most recent command, but a complete command history is available in the Undo History panel, available from View > Undo History or by pressing ctrl+K. This panel allows you to select an action to undo or redo. The command history is shown only for the active document.

In the Undo History panel, the most recent command is highlighted. Commands listed above the most recent are undoable. Commands listed below the most recent are redoable, and are marked with an asterisk (*).

Figure 1. The Undo History panel
Most recentcommand highlighted in the Undo History panel

You can undo and redo actions only in the order in which they were originally performed. When you select a command to undo, all later commands (which have been affected by the selected action) are also undone. FrameMaker also moves the selected command and all succeeding commands to the Redo list. Similarly, redoing a command moves it and subsequent commands back to the Undo list.

Parent topic: Multiple Undo/Redo


Spell checking, Hyphenation and Thesaurus

Understand various ways to change spelling checker options and hyphenation in FrameMaker.

Adobe FrameMaker supports editing content in virtually any language of the world and offers spell checking, hyphenation and thesaurus functionalities for a large number of languages. The following table lists, for which of the officially supported languages FrameMaker offers, spell checking, hyphenation, and thesaurus functionalities.

Language | Spell Checking | Hyphenation | Thesaurus
Arabic | yes | no | no
Bulgarian | yes | yes | no
Catalan | yes | yes | no
Chinese (Simplified) | no | no | no
Chinese (Traditional) | no | no | no
Croatian | yes | yes | no
Czech | yes | yes | no
Danish | yes | yes | yes
Dutch | yes | yes | no
Dutch (New) | yes | yes | yes
English (Canada) | yes | yes | yes
English (UK) | yes | yes | yes
English (US) | yes | yes | yes
Estonian | yes | yes | no
Farsi | no | no | no
Finnish | yes | yes | no
French | yes | yes | yes
French (Canadian) | yes | yes | yes
German (Austria) | yes | yes | no
German (Germany 1901 Old rules) | yes | yes | no
German (Germany, 1996) | yes | yes | no
German (Germany, 2006) | yes | yes | yes
German (Germany, 1901) | yes | yes | yes
German (Swiss 1996) | yes | yes | no
German (Swiss 2006) | yes | yes | yes
Greek | yes | yes | no
Hebrew | yes | yes | no
Hungarian | yes | yes | no
Italian | yes | yes | yes
Japanese | no | no | no
Korean | no | no | no
Latvian | yes | yes | no
Lithuanian | yes | yes | no
Norwegian | yes | yes | yes
Nynorsk | yes | yes | no
Polish | yes | yes | no
Portuguese (Portugal) | yes | yes | no
Portuguese (Brazilian) | yes | yes | no
Romanian | yes | yes | no
Russian | yes | yes | no
Slovak | yes | yes | no
Slovenian | yes | yes | no
Spanish | yes | yes | yes
Swedish | yes | yes | yes
Thai | no | no | no
Turkish | yes | yes | no
  • Spelling Checker
    The Spelling Checker checks for incorrect spelling, repeated words, unusual hyphenation or capitalization, punctuation errors, straight quotation marks (when curved must be used), and extra spaces.
  • Dictionaries
    Understand site, personal, and document dictionaries in Adobe FrameMaker.
  • Hyphenation
    Understand how to control hyphenation in FrameMaker.
  • Thesaurus
    Know more about thesaurus in FrameMaker.
Parent topic: Editing content


Spelling Checker

The Spelling Checker checks for incorrect spelling, repeated words, unusual hyphenation or capitalization, punctuation errors, straight quotation marks (when curved must be used), and extra spaces.

  • Run Spelling Checker
    Know how to run spelling checker in FrameMaker.
  • Set Spelling Checker to skip text
    know how to set spelling checker to skip text in FrameMaker.
  • Correct spelling errors automatically
    Know how to correct spelling errors automatically in FrameMaker.
  • Change Spelling Checker options
    Understand various ways to change spelling checker options in FrameMaker.
  • Check spelling in different languages
    Know how to check spelling in different languages in FrameMaker.
Parent topic: Spell checking, Hyphenation and Thesaurus


Run Spelling Checker

Know how to run spelling checker in FrameMaker.

You can spell-check the current page, the open document, the entire book, bookmap or DITA map, or selected files within the book.

Note: The spell check only checks on pages of the type you are viewing, for example, master pages or body pages.
Note: To check the spelling inside a text inset, open the text inset and use the Spelling Checker.

  1. Choose Edit > Spelling Checker.

    The Spelling Checker dialog is displayed:

    Figure 1. The Spelling Checker dialog

  2. Click Start Checking.

    FrameMaker begins spell-checking from the insertion point location in the active document or from the first document of the book if the book window is active.

    If an error is encountered, the word or phrase is displayed in the Misspelling? field. FrameMaker attempts to find alternative options that you can choose from. The Correction field displays the first available alternative.

  3. To correct a typing error, choose the correct alternative from the available list.

    If the correct text is not available in the list, you can enter the alternative in the Correction field.

  4. Click Correct.

  5. You can also choose to ignore the correction flagged by the checker.

    Learn
    Add the flagged text to the personal dictionary. The text will no longer be flagged by the checker. If you open another document or if you restart FrameMaker, the word is not flagged.

    If FrameMaker adds a word that contains uppercase letters to a personal or document dictionary, when Unusual Capitalization is selected in the Spelling Checker Options dialog box, it considers any other capitalization of the word a spelling mistake. For example, if FrameMaker learns Trinidad, it questions the spelling of trinidad. However, if it learns trinidad, in all lowercase letters, it does not question any type of capitalization of the word.

    Allow in Document
    Add the flagged text to the document dictionary. The text will not be flagged by the checker for the current document.

  6. To ignore the current instance of a text that is flagged by the checker, click Start Checking.

Note: FrameMaker does not spell-check superscript and subscript text or manually micropositioned text, such as text with a manual baseline shift.

If you are spell-checking a book or map, FrameMaker continues checking until all documents in the book are checked. If a document cannot be opened, the document is skipped and a message appears in the Book Error Log.

Note: When spell-checking throughout a book or map, you cannot spell-check master or reference pages.

An alert message prompts you to save the document before continuing with the next document. When the last document in the book has been checked, a Spelling OK or Finished checking spelling message appears.

To check the spelling in specific documents of a book or map, you can select them in the resource manager view, and then choose Selection to spell-check only those files, books, or maps if you decide to spell-check the entire book or map.

FrameMaker draws a red squiggly line under words, to indicate spelling mistakes—words not present in the dictionary. This squiggly line appears once you have entered the entire word and pressed the Space key. A green squiggly line under the word indicates a punctuation mistake. To correct, right click on a highlighted word and select the desired option.

Note: For the words highlighted in green, the options to add to dictionary are not applicable, and hence are not available.
Parent topic: Spelling Checker


Set Spelling Checker to skip text

know how to set spelling checker to skip text in FrameMaker.

You can prevent the Spelling Checker from checking the spellings of part of a document. For example, perhaps you don’t want to spell-check paragraphs of computer code.

To ignore certain text, change the Language property to None in the Character Designer.

Note: When you set the language of text to None, FrameMaker no longer provides hyphenation for it.
Parent topic: Spelling Checker


Correct spelling errors automatically

Know how to correct spelling errors automatically in FrameMaker.

You can have FrameMaker automatically correct future occurrences of a misspelled word or typing error. FrameMaker keeps track of the errors to correct automatically until you exit or until you instruct FrameMaker to stop making the corrections.

Before changing a particular misspelling or typing error automatically, verify the changes to make. If you use the Automatic Correction option when correcting a repeated word, FrameMaker corrects every repeated word even though some are correct (such as had had). Similarly, if thst is a misspelling of both test and that, you don’t want to change it automatically to either word.

  1. Choose Edit > Spelling Checker and click Start Checking.

  2. When FrameMaker questions a word or typing error, select and click Correct.

Parent topic: Spelling Checker


Change Spelling Checker options

Understand various ways to change spelling checker options in FrameMaker.

When you spell-check a document, FrameMaker also checks for errors that don’t involve spelling—for example, repeated words, extra or misplaced spaces, or unusual capitalization. You can specify the kinds of typing errors to check.

You can also limit the spell-check so that FrameMaker overlooks certain types of words. For example, perhaps you want to overlook words that contain numbers.

  1. Choose Edit > Spelling Checker and click Options.

    Figure 1. Spelling options in the Preferences dialog
    ChangingSpellingCheckeroptions from Preferences dialog

    Auto Spell Check
    Spell check the words in a document as you type. If a word is misspelt, a red squiggly appears below the word.
    Note: Auto spell check is session specific and not document specific. If the same document is opened on a different machine, settings for Auto spell checker might differ.
    Find group
    In the Find group, specify the types of typing errors you want to find. For example, select Unusual Capitalization if you want to find words with uppercase letters in inappropriate locations (for example, GReen).
    Ignore group
    Specify the kinds of words you want to overlook. For example, select Words With Digits if you want to ignore words that contain numbers.
    Note: The more words FrameMaker overlooks, the greater the possibility that your document contains mistakes. For example, if you choose to ignore words containing a period, you also skip over a sentence that begins without a space after the preceding period.
    Get Defaults
    If you change the Spelling Checker options and then want to reset the default options, click Get Defaults. If you exit FrameMaker without resetting the default options, your current settings become the default options.

  2. Click OK.

FrameMaker rechecks only paragraphs that have been edited since the prior check. If you change options after spell-checking a document, consider running the Spelling Checker again after instructing FrameMaker to mark all paragraphs for rechecking.

Parent topic: Spelling Checker


Check spelling in different languages

Know how to check spelling in different languages in FrameMaker.

All text in a document is assigned a language. When you spell-check a document, FrameMaker uses the main dictionary of the language assigned to the text. You can change the language used to spell-check text by changing the language assigned to the text. You can also add Unicode (UTF-8)-encoded words to user and personal dictionaries in FrameMaker.

FrameMaker contains dictionaries for all supported languages. However, the default installation contains only one dictionary in a single language.

  • To change the language of text in a document, use the Language property in the Default Font properties of the Paragraph Designer to change the language of one of the following:

    • A single paragraph, or all the paragraphs in a document.

    • A range of text within a paragraph, or the language of a text line.

For your structured documents, you can select any one of the 46 languages bundled with FrameMaker and add it as an attribute value for @xml:lang. FrameMaker automatically sets the language for spell-checking based on the language setting in the xml:lang attribute from your XML file (see Language and font settings in structured documents).

Note the following about Asian-language documents:

  • In an Asian-language document, some special characters are not displayed in the Spelling Checker as they are in a Western-language document. For example, a backslash is displayed as a yen symbol, and a nonbreaking hyphen is displayed as a blank.

  • In an Asian-language document that contains Roman text, make sure that you turn off the Straight Quotes option in the Spelling Checker dialog box so that the Spelling Checker does not stop on properly spelled words.

Parent topic: Spelling Checker


Dictionaries

Understand site, personal, and document dictionaries in Adobe FrameMaker.

Adobe FrameMaker automatically creates a personal dictionary for you and a document dictionary for each of your documents. You can use either the Spelling Checker or Auto Spell Check options, to add or delete words in these dictionaries, or you can manage the dictionaries directly. When you work with a dictionary directly, you can examine and edit its contents or merge it with another dictionary. You can create multiple personal dictionaries and then use them one at a time.

If you make changes either to a personal or to a document dictionary, mark all paragraphs for rechecking before you spell-check the document again.

You perform many of the following tasks in the Dictionary Functions dialog box.

The FrameMaker Spelling Checker uses several dictionaries to check text for spelling errors. When you spell-check a document, FrameMaker compares each word in it with the words in the following dictionaries:

Main dictionary
Contains words found in a standard dictionary. You can’t add words to or delete words from this dictionary
Default Site Dictionary
Contains some technical terms. You can add words common to your site or workgroup—for example, the company name and product names. The site dictionary is normally in the site.dict file in the FrameMaker dict folder.
Personal Dictionary
Contains words you use often. Because FrameMaker uses this dictionary whenever you spell-check any document, use this dictionary for words that are neither document-specific nor site-specific (for example, your name). You can add or delete words. You can also create several personal dictionaries and switch between them.
Document Dictionary
Contains words that are acceptable in a particular document. FrameMaker uses this dictionary regardless of who is editing the document. You can add words to or delete words from it. Unlike the other dictionaries, the document dictionary is part of the document rather than a separate file.
  • Dictionary Functions dialog
    Understand the Dictionary Functions dialog and the different types of dictionaries in Adobe FrameMaker.
  • Dictionaries for supported languages
    Understand the spellchecking support for the languages supported in Adobe FrameMaker.
  • Working with personal and site dictionaries
    Understand how to create a personal and use a site dictionary in Adobe FrameMaker.
  • Edit dictionary files
    Understand how to edit dictionary files in Adobe FrameMaker.
Parent topic: Spell checking, Hyphenation and Thesaurus


Dictionary Functions dialog

Understand the Dictionary Functions dialog and the different types of dictionaries in Adobe FrameMaker.

Choose Edit > Spelling Checker to open the Spelling Checker dialog. Click Dictionaries to open the Dictionary Functions dialog.

Figure 1. The Dictionary Functions dialog
DictionaryFunctions dialog in FrameMaker

Personal Dictionary
From the drop-down list:
Set to None: Spell check a document without using the personal dictionary
Write to File: Specify the file to which you want to copy the dictionary contents. You can edit this file and then use it as a new dictionary.
Note: If a book window is active when you choose this command, the document dictionaries are copied to a single file.
Merge from File: Choose the file to merge with the current dictionary.
Import Dictionary: Locate or specify the name of the file that contains the personal dictionary you want to use and click Use.
Document Dictionary
From the drop-down list:
Clear: Delete the contents of the document dictionary
Write to File: Specify the file to which you want to copy the dictionary contents. You can edit this file and then use it as a new dictionary.
Note: If a book window is active when you choose this command, the document dictionaries are copied to a single file.
Merge from File: Choose the file to merge with the current dictionary.
Write All Unknown Words to File
Add all the words in the current document with incorrect spelling to a dictionary.
Clear Automatic Corrections
To ensure FrameMaker does not Correct spelling errors automatically the next time you open FrameMaker.
Mark All Paragraphs for Rechecking
FrameMaker rechecks only paragraphs that have been edited since the previous check. If you change options after spell-checking a document, consider running the Spelling Checker again after instructing FrameMaker to mark all paragraphs for rechecking.
Rehyphenate Document
Rehyphenate an entire document or book.
Parent topic: Dictionaries


Dictionaries for supported languages

Understand the spellchecking support for the languages supported in Adobe FrameMaker.

In Adobe FrameMaker, the dictionaries, hyphenation, and thesaurus are Unicode enabled.

FrameMaker provides dictionary and hyphenation support for the following languages:

  • Arabic

  • Bulgarian

  • Catalan

  • Croatian

  • Czech

  • Danish

  • Dutch

  • Estonian

  • Finnish

  • Greek

  • Hebrew

  • Hungarian

  • Italian

  • Latvian

  • Lithuanian

  • Norwegian

  • Nynorsk

  • Polish

  • Portuguese

  • Romanian

  • Russian

  • Slovak

  • Slovenian

  • Spanish

  • Swedish

  • Turkish

Note: By default, dictionaries of all languages supported in FrameMaker are installed.

FrameMaker provides full authoring support (without dictionaries and hyphenation) for Japanese, Korean, Traditional Chinese, and Simplified Chinese.

In addition, full authoring support (including language rules, dictionary, hyphenation, and thesaurus) is extended for:

  • English (US)

  • English (UK)

  • English (Canada)

  • French

  • French (Canadian)

  • Danish

  • Dutch

  • German – Austria (2006 reform)

  • German – Germany (1901 Old rules)

  • German – Germany (1996 Reform)

  • German – Germany (2006 Reform)

  • German – Swiss (1901 Old rules)

  • German – Swiss (1996 reform)

  • German – Swiss (2006 Reform)

  • Italian

  • Norwegian

  • Swedish

  • Swiss German

For German language, Adobe FrameMaker supports different DUDEN spelling and hyphenation engines.

The following spelling engines are available:

  • Duden

  • Duden: Konservativ

  • Duden: Presse

  • Duden: Tolerant

The following hyphenation engines are available:

  • Duden All

  • Duden All but unaesthetic

  • Duden Aesthetic

  • Duden Preferred Aesthetic

Parent topic: Dictionaries


Working with personal and site dictionaries

Understand how to create a personal and use a site dictionary in Adobe FrameMaker.

Create a personal dictionary

To create a personal dictionary, do the following:

  1. Place words, with a hyphen at each hyphenation point, in a document. Type as the first line in the document: <MakerDictionary 3.0>

  2. Choose File > Save As. In the Save Document dialog, select a folder and define a file name. From the Save as Type dropdown, choose Text Only format and click Save.

  3. In the Save As Text dialog, select Put a Carriage Return: Only Between Paragraphs and click Save.

Change site dictionaries

You can specify a different site dictionary for each of several projects. You can also edit your site dictionary directly.

If you are using Adobe FrameMaker across a network at your site, a system administrator probably manages the site dictionary.

Specify the site dictionary in the maker.ini file in section [Files]. The default setting is:

SiteDictionary=dict\site.dct
CAUTION:
Use caution when editing the maker.ini file.
Parent topic: Dictionaries


Edit dictionary files

Understand how to edit dictionary files in Adobe FrameMaker.

Introduction

You have editorial control over your document, personal, and site dictionaries. You can choose different dictionaries, merge one dictionary into another, and edit and delete dictionaries.

  1. If you’re editing a personal or document dictionary, use FrameMaker to write the dictionary contents to a file.

  2. Edit the file. If you use FrameMaker to edit a dictionary, be sure to do the following:

    • When you open the file, select Treat Each Line As A Paragraph in the Reading Text File dialog and click Read.

    • When you save the file, choose Text Only format and click Save. Then click Only Between Paragraphs and click Save.

  3. Merge the dictionary file with another dictionary. If you removed words from the dictionary, delete the original dictionary before merging the file. Otherwise, the deleted words remain in the dictionary.

Add unknown words to a dictionary

If your document contains many correctly spelled words that FrameMaker questions, expedite spell-checking by adding the words to a dictionary in a separate operation before you begin to spell-check.

  1. Make the appropriate document window or book window active.

  2. Choose Edit > Spelling Checker.

  3. Click Dictionaries.

  4. Click Write All Unknown Words To File and click OK.

  5. Specify a filename for the dictionary file, and click OK or Save. The resulting dictionary file doesn’t include typing errors such as repeated words, capitalization errors, or extra spaces.

  6. Edit the dictionary file with a text editor or with FrameMaker. Delete any words you do not want to add to your dictionary, such as misspelled words.

  7. In the Spelling Checker dialog box, click Dictionaries.

  8. Choose Merge From File from the Personal Dictionary or Document Dictionary drop-down list, and click OK. If you expect the words to appear in several documents, merge the words with a personal dictionary, or merge them into all the files in a book.

  9. Name and save the dictionary file.

Note: To add a few words to a dictionary, you can select Learn Word from right click menu. Above method is help if you have many words highlighted by red squiggly line.

Add hyphenated compound words to personal dictionary

A document sometimes contains hyphenated compound words. By default, FrameMaker spell-checks each word in a hyphenated compound word rather than checking the hyphenated compound word as a whole. For example, when spell-checking the word heavy-duty, FrameMaker checks heavy and then checks duty. By changing the default settings, you can spell-check hyphenated compound words as single words, and you can add hyphenated compound words to your personal dictionary.

  1. Choose Edit > Spelling Checker and click Options.

  2. Select Unusual Hyphenation and click Set.

  3. In the Word box in the Spelling Checker dialog box, enter the hyphenated compound word you want to add to your personal dictionary. Include a hyphen at the beginning of the compound word, and type a backslash (\) before each hyphen that connects words.

    For example, to add the word heavy-duty, type ‑heavy\-duty.

  4. Click Learn.

Parent topic: Dictionaries


Hyphenation

Understand how to control hyphenation in FrameMaker.

When you add a word to a personal dictionary, FrameMaker suggests hyphenation points. You can change them before adding the word. You can also specify that a word is always or never hyphenated. For example, you can hyphenate heavy duty wherever it appears but never hyphenate your company name.

After making hyphenation changes, rehyphenate the document.

Tip: For strict control over hyphenation (for example, before printing the final draft of a book), consider searching your document for all hyphens that FrameMaker has inserted automatically. Choose Automatic Hyphen from the Find drop-down list in the Find/Change dialog box.

Change word hyphenation

  1. Show the hyphenation points of the word.

  2. Adjust the hyphenation and click Learn. You can add and delete hyphens as necessary.

Prevent FrameMaker from hyphenating a word

  1. Enter the word in the Correction box.

  2. Click Show Hyphenation.

  3. Remove all hyphens from the word.

  4. Insert a hyphen at the beginning of the word.

  5. Click Learn.

Rehyphenate an entire document

  1. Make the appropriate document window or book window active.

  2. Choose Edit > Spelling Checker.

  3. Click Dictionaries.

  4. Select Rehyphenate Document and click OK. This option works for an open document.

    In case of a book file, select Rehyphenate All Files In Book and then click OK.

Portuguese hyphenation

FrameMaker provides the support for Portuguese hyphenation rule. According to the Portuguese hyphenation rules, if a hyphenated word occurs at the end of a line and the hyphen is broken, another hyphen should be added to be beginning of the next line.

For example, if a hyphenated word Estado-membro occurs at the end of a line, FrameMaker adds an extra hyphen at the beginning of the new line (along with the hyphen of the word).

Note: No extra hyphen is added if the hyphenated word occurs within a line.
To apply Portuguese hyphenation to a text:
  1. Enter the Portuguese text.
  2. Choose Format > Paragraphs > Paragraph Designer and select Portuguese or Portuguese (Brazilian) from the Language drop-down list.
  3. Select Apply.
Parent topic: Spell checking, Hyphenation and Thesaurus


Thesaurus

Know more about thesaurus in FrameMaker.

Use the Thesaurus to look up synonyms, related words, and antonyms for words you specify. The Thesaurus lets you improve on a word already in a document or search for the right word to insert.

You can look up any one of the words from the first pass and display its synonyms, related words, and antonyms. FrameMaker keeps a history of the last 10 words you looked up.

If more information is available than fits, you can use the arrow buttons at the bottom of the dialog box to view the additional information. FrameMaker displays the synonyms, antonyms, and related words with capitalization that matches the capitalization of the word you looked up.

  1. To look up a word or phrase in the thesaurus:

    • To look up a word visible in the document window, select the word and choose Edit > Thesaurus.

    • To look up a word not visible in the document window, make sure that no text is selected, then choose Edit > Thesaurus. Enter the word and click Look Up.

    • To look up a phrase, make sure that no text is selected and choose Edit > Thesaurus. Enter the phrase, including any hyphens, in the Thesaurus Look Up dialog box, and click Look Up

      Note: If you try to specify a phrase by selecting it in the document window, FrameMaker looks up only the first selected word.

    • To look up a synonym, a related word, or an antonym displayed in the Thesaurus dialog box, click the word. Synonyms, related words, and antonyms are shown in bold.

    • To look up a word again, choose the word from the Word drop-down list in the Thesaurus dialog box.

  2. In the Language drop-down list, choose an alternative language.

    FrameMaker uses the language of the current text. If a word is not selected or the insertion point is not in a paragraph, FrameMaker uses the language of the interface you chose when you installed FrameMaker. You can override the default language in new documents by creating your own template for custom new documents.

    Note: The Thesaurus for a language is installed along with the dictionary for that language.

  3. To select a word to use in your document, select the word from the Synonyms or See Also lists and click Replace.

If you have selected a word when opening the Thesaurus dialog, the word is replaced by the word you selected in the dialog. If you did not select a word, the word you selected in the dialog, is placed at the current insertion point.

Parent topic: Spell checking, Hyphenation and Thesaurus


Search

The Find/Change functionality allows you to search for items (not only text) in a document, book, or map.

If you are searching in a document (Edit > Find/Change), FrameMaker begins searching at the insertion point and continues through the document. It searches only pages of the type the insertion point is on—for example, only body, master, or reference pages. When FrameMaker reaches the end of the document, it continues the search at the beginning. After searching the main text flow, it searches other text in the document. Because FrameMaker searches flow by flow rather than page by page, it sometimes appears to jump around within the document while searching.

If you are searching throughout a book, FrameMaker begins searching from the active document, or from the first document of the book if the book window is active, and continues searching until all documents in the book have been searched. If a document cannot be opened, the document is skipped and a message appears in the Book Error Log.

Note: When you are searching through a book, bookmap, or DITA map, you cannot search the master or reference pages.
  • Find / Change dialog
    Work with the find and change dialog in FrameMaker.
  • Types of search items
    Know various types of search items in FrameMaker.
  • Unicode text search
    Understand Unicode text search in FrameMaker.
  • Special character and nonprinting symbol search
    Know about searching special character and nonprinting symbol in FrameMaker.
  • Define a custom tag to filter the search
  • Regular expression configuration
    Know about regular expression configuration in FrameMaker.
Parent topic: Editing content


Find / Change dialog

Work with the find and change dialog in FrameMaker.

To open the Find/Change dialog, choose Edit > Find/Change.

Figure 1. The Find/Change dialog
Find / ChangedialoginFrameMaker

Find
Select the type of FrameMaker item to search. You can search for text and other Structured authoring.
Note: Whatever text that you search for gets stored in the Find drop-down list. The search history is maintained across FrameMaker sessions.
Simple Search
Searches as per the text entered in the Find field.
Wildcards
Searches based on the wildcard rules defined in the Find field:
Wildcard Description Sample

*

Star. Any number of characters

*orm searches for: form or inform

|

Pipe. Spaces or punctuation

.

Dot. Any one character

fo.m searches for form or foam

^

Caret. Start of a line

$

End of line

[ab]

Any one of the bracketed characters

f[ao]rm searches for farm or form

[^ab]

Any character except the bracketed characters

f[^ao]rm searches for f followed by any character except the a and o followed by rm

[a-f]

Any character in the specified range

f[b-e]rm searches for farm or form but not, for example, ferm
Note: When performing a wildcard find, use the backslash character when finding a character that has special meaning to wildcards. For example, \* searches precisely for * (the star character).
Regular Expressions
Searches based on the regular expression defined in the Find field.
Regular expression Description Sample

*

Star. Zero or more instances

*orm searches for: form or inform, or frm

.

Dot. Any one character

fo.m searches for form or foam

+

Plus. One Any one character

fo.m searches for form or foam

?

Restrict the search to the next specified character

fo.+?m searches for fo followed by one or more characters (any) followed by m

\d

A digit

\d+ Searches for a number with one or more digits

{n}

Specific number of instances

so{1}n searches for son but not soon

{n,m}

Range of instances

so{1-2}n searches for son and soon but not sooon

{n,}

Range n to m within braces.

so{1-2}n searches for son and soon but not sooon

^

Caret. Start of a line

$

End of line

[ab]

Any one of the bracketed characters

f[ao]rm searches for farm or form

[^ab]

Any character except the bracketed characters

f[^ao]rm searches for f followed by any character except the a and o followed by rm

[a-f]

Any character in the specified range

f[b-e]rm searches for farm or form but not, for example, ferm
Note: When performing a regular expression find, use the backslash character when finding a character that has special meaning to regular expressions. For example, \* searches precisely for * (the star character).
Consider Case
Case-sensitive search
Whole word
Search for a whole word. For example, the search for the whole word so, finds so but not soon.
Find Backward
By default, the Find functionality searches from the start to the end of a document or book. Choose this option to search backwards.
Change
Select the item type to change the found item.
Regular expression change includes a capture group functionality. For example, to find the dates in a document and change the format from dd-mm-yyyy to mm-dd-yyyy, use the following regular expression:
(\d{2})-(\d{2})-(\d{4})
The round brackets on the date, month, and year parts of the regular expression are capture groups. Each capture group is captured within the regular expression variables $1, $2, $3 etc.
To swap the month group with the date group:
$2-$1-$3
Note: If you choose Change or Change & Find when no text is selected in the document, FrameMaker inserts or applies the replacement item at the insertion point.
Clone Case
Ensure that the changed item follows the same casing as the found item. For example, find so and change to soon with Clone Case selected change so to soon and So to Soon.
Look in
Choose to find for items in a book, map, document, or current selection.

Find and change the object styles

To find an object with a specific object style applied, do the following:

  1. Open the .fm document in which you want to search the objects with specific object styles applied to them.
  2. Select Object Style Tag in the Find drop-down list.
  3. Select the object style that you want to search. For example, MyRed object style.
    Warning: You must search for a correct object style; else you will get an error.

    If you want to search all objects which have any or no object style applied on them, select Anchored Frame from the Find drop-down list. This will help you to search all objects present in anchored frames and apply a specific object style to all of them in one go.

  4. Select Object Style Tag To: from the Change drop-down list.
  5. Select the object style that you want to change to. For example, MyGreen object style.
    Note: If you try to apply an object style that has a property which is not valid for the selected object, you will get an error. For example, you cannot set Runaround properties for an anchored frame.
  6. Click Find.

    FrameMaker finds the object wilt the selected object style. If no objects with the select style are present, then you get an error.

  7. When FrameMaker finds the object, do one of the following:
    1. To make the change to the found object but not continue searching for other occurrences of the object, click Change.
      Warning: You must search for a correct object style in the Change dropdown list, else FrameMaker displays an error when you try to change the object style.
    2. To make the change to the found object and then continue searching for other occurrences, click Change & Find.
    3. To change all occurrences of the found objects in the document or only the occurrences in the current selection and click Change All.

FrameMaker displays the following details if some or no changes are done:

  1. Total number of changes requested: <number of objects found with the searched style>.
  2. Success: <Number of objects changed successfully>
  3. Failed: <Number of objects which have not been changed>

You can refer to the console for details about the failed changes and do a Find/Change again after fixing the issues.

FrameMaker displays a success message on changing the object style of all the objects which have the searched object style.

Parent topic: Search


Types of search items

Know various types of search items in FrameMaker.

In addition to text, you can search for any of the following items in a selection, in a document, or throughout an entire book. You can also search in a map from the Resource Manager view.

Text formats and styles

Character format properties, or specific paragraph or character styles. In structured FrameMaker, Element appears right after text, so you can search for element name, attribute name, attribute value, or simultaneously for all three.

  1. Copy the text with the character formatting you want to find. FrameMaker uses only the first 126 characters copied into the clipboard.

  2. Choose Edit > Find/Change. In the Find/Change dialog box, choose Text & Character Formats On Clipboard from the Find drop-down list. Don’t type the text you want to find in the Find box.

  3. Click Find.

To prevent FrameMaker from applying a property to found text, set the property to As Is.

Tip: After making changes in the Change To Character Style dialog box, you can reset the dialog box to match the format of the current text by pressing ctrl+Shift+F9.
Markers

FrameMaker uses markers for cross-references, indexes, and other purposes. It can find any type of marker or just the marker type you specify. When text symbols are visible, a symbol Marker symbol indicates a marker.

FrameMaker can also find markers with specific marker text.

  1. In the Find/Change dialog box:

    • To find any marker in the document, choose Marker – Any from the Find drop-down list, and leave the Find box blank.

    • To find a specific type of marker, choose Marker – Of Type from the Find drop-down list, and enter the marker type in the Find box.

    • To find a marker with specific text, choose Marker – Of Text from the Find drop-down list, and enter the marker text in the Find box.

  2. Click Find. If the Marker dialog box is open (Insert > Marker), the marker text for the found marker appears in the dialog.

Change marker text

You can also change the marker text by using the Find/Change dialog. To change marker text perform the following steps:
  1. To find a marker with specific text, choose Marker - Of Text from the Find drop-down list, and enter the marker text in the Find box. For example, if there are markers with marker text - 'Adobe FrameMaker', you can search complete text 'Adobe FrameMaker' or only 'FrameMaker'.

  2. Click Find to find the marker with the entered text.
  3. To change the marker text choose Text of a Marker To from the Change drop-down list, and in the Change box enter the marker text you want to change to. For example, enter 'FrameMaker' in the Change box.
    Note: You must choose Text of a Marker To, to change the text in the marker.
  4. Click Change to change the specific marker text found and Change All to change all occurrences of the found marker text. FrameMaker displays a success message on changing the marker text of all the markers which have the searched marker text.
    Tip: You can also use the Insert > Marker dialog box to edit the specific marker text.
Object Style Tag

Objects styles applied on any object within the document. For more information, refer to Find and change the object styles.

Cross-references

Any cross-references, regardless of their formats, cross-references that use a specific format, or unresolved cross-references—cross-references that FrameMaker is unable to update. When an unresolved cross-reference is found, the marker text of the cross-reference appears in the Find box.

Text insets

Any text imported by reference. You can also search for unresolved text insets—insets that cannot be updated from their sources. However, you can’t search for graphics subscribers or OLE linked objects. (To list OLE links, choose Edit > Links.)

Variables

Any variables, regardless of their variable names, or specific variables.

Rubi

Any rubi text, when Japanese fonts are installed on your system.

Anchored frames

Frame that contains graphics and helps you locate them. Graphics placed in non-anchored frames are not found.

Footnotes

Any text or table footnotes.

Tables

Any tables regardless of their table styles, or tables with a specific style.

Conditional text

Any conditional text, regardless of its condition tags, text with specific condition tags, or unconditional text. FrameMaker cannot find conditional table rows or hidden conditional text.

You can search for visible text that has specific condition tags. When FrameMaker finds visible conditional text, it selects all adjacent text that uses these condition tags.

FrameMaker cannot find conditional table rows.

  1. Make sure that the text with the condition tags you want to find is visible.

  2. In the Find/Change dialog box, choose Conditional Text from the Find drop-down list.

  3. Do the following:

    • To find text with a particular condition tag, move the condition tag to the In list.

    • To find text that doesn’t have a particular condition tag, move the tag to the Not In scroll list.

    • If you don’t care whether found text has a particular condition tag, move the condition tag to the As Is scroll list.

    • To find all conditional text, move all tags to the As Is scroll list.

    • To find unconditional text, select Unconditional.

    Note: To move a condition tag between scroll lists, select the tag and click an arrow, or double-click the tag. To move all tags from one scroll list to another, select a tag in the list and Shift-click an arrow.

  4. Click Set, and then click Find.

Automatic hyphen

Words that are hyphenated automatically.

Text and character formatting on the clipboard

Text that matches the clipboard text, capitalization, and character formatting.

Parent topic: Search


Unicode text search

Understand Unicode text search in FrameMaker.

FrameMaker uses the UTF-8 encoding format. Therefore, every character in a .fm or XML document containing Unicode-encoded text uses multiple bytes. As a result, only the string entered in the Find field is used to perform the search operation.

Searching in a range is applicable only to Unicode characters, and users can search for any character that belongs to the Basic Multilingual Plane (BMP). Unicode code points can also be used for performing search and replace operations. For example, you can provide \uXXXX as the input to locate a character that has code point XXXX. Thus, to search for letter “A” whose code point is u+0041, you can specify \u0041 in the Find/Change dialog box.

A code point is any value in the Unicode codespace, which is a range of integers from 0 to 10FFFF16. This particular range is defined for the codespace in the Unicode standard only. Other character-encoding standards sometimes use other codespaces.

You can also use wildcard characters while searching for Unicode text.

Note: In Asian documents with multibyte characters, the bracket characters [ ] do not work as wildcards.
Parent topic: Search


Special character and nonprinting symbol search

Know about searching special character and nonprinting symbol in FrameMaker.

You can search for any text, including single characters, phrases, and special characters that aren’t on your keyboard. You’ll need to type the backslash sequence.

For example, you could find empty paragraphs by searching for \P\p (beginning of paragraph followed by end of paragraph).

You can use most of these sequences for both searching and replacing—for example, replacing a forced return symbol with an end-of-paragraph symbol. However, you cannot replace with the end-of-flow, start-of-paragraph, start-of-word, or end-of-word sequence.

Parent topic: Search


Define a custom tag to filter the search

If a custom tag has been defined in the DTD, then you need to add the tag in the tagsAndFilters.json file.

The following three conditions on the tags can affect the search and so you need to add tags for them in the tagsAndFilters.json file:
  1. WhitespaceHandlingOff - Preserve whitespaces in WYSIWYG (For example, <codeblock>).
  2. TagsToIgnore- Ignore the tags while doing the search (For example, <metadata> and <image>).
  3. BlockElements- Separate each block element from another while doing the search (For example, <p> and <div>).

For example, if a new tag for white spacing handling off has been defined in xml:space preserve, you need to add the tag in the tagsAndFilters.json file at the following location:

C:/Program Data/Adobe/FrameMaker/17/Preferences/xmlSearch/tagsAndFilters.json.

Parent topic: Search


Regular expression configuration

Know about regular expression configuration in FrameMaker.

FrameMaker uses the boost engine for Regex. For more information on Boost, see http://www.boost.org/.

You can write the regular expressions using the following syntax:

  • Perl (default): See Perl doc – Regular expressions

  • Grep: See Grep – Regular expressions

  • Egrep: See Egrep – Regular expressions

By default, you use the Perl regular expression syntax to write regular expressions in FrameMaker. However, to use either the Grep or Egrep regular expression syntax, you need to update the Regular Expression Syntax flag in the maker.ini.

Parent topic: Search


Export text and graphics

Learn how to export text and graphics in Adobe FrameMaker.

You can use the following techniques to export text and graphics:

  • Copy and paste between files and applications.

  • Save a document in another format.

  • Use print options to create a PostScript or EPS file.

  • Create a Portable Document Format (PDF) file.

  • Save as HTML, which can convert a document’s graphics to GIF, PNG, or JPEG format.

  • Save as XML.

  • Send the document as an e-mail attachment.

  • Use drag-and-drop techniques.

Parent topic: Editing content
Related information
  • Create PostScript files
  • Import Adobe Illustrator files
  • Use drag-and-drop
  • Specifying graphics conversion


Unicode support

Understand multilanguage authoring and Unicode support in FrameMaker, and the use of third-party keyboards.

In this topic

  • About Unicode

  • Unicode in FrameMaker

  • Adding multilingual text

  • Set up input languages

  • Using third-party keyboard applications

  • Using the Character palette

  • Using the Hex Input palette

About Unicode

Unicode is an industry standard that allows computers to represent text in most of the world’s languages in a consistent way. It is implemented by different character encodings, such as UTF-8, UTF-16, and UTF-32. FrameMaker supports all three encodings but stores files in UTF-8. If you import files encoded in UTF-16 or UTF-32, FrameMaker automatically converts them to UTF-8.

In text processing, Unicode provides a unique number or code point for each character in a language. The Unicode standard does not specify the typeface or the visual rendering of each character. This is handled through Unicode fonts that may include visual renderings for thousands of Unicode characters thereby providing a single typeface across multilingual documents.

Unicode in FrameMaker

The Unicode standard is a character coding system designed to support the worldwide interchange, processing, and display of text in any language or character set. Unicode encoding allows you to create documents containing characters from any number of character sets, and allows sharing of documents between different geographic or linguistic regions.

FrameMaker supports Unicode text encoding for creating, editing, saving, and publishing documents in multiple languages and for creating multilingual documents. Unicode text is supported in FrameMaker markers, catalog entries, and dialogs. PDF export supports Unicode text, bookmarks, tags, and comments. You can import or copy Unicode content from other applications.

Unicode assigns a unique number to every single character, no matter which language or type of computer you use.

Portable

Letters and numbers do not change when you move the file from one workstation to another. Adding a foreign language to a document doesn’t cause confusion, because foreign characters have their own designations that don’t interfere with the encoding from other languages in the same projects.

Robust

Because Unicode-compliant fonts offer a larger number of potential characters, specialty type characters are readily available.

Flexible

With Unicode support, substituting a typeface in a project does not result in substituted characters. With a Unicode-compliant font, a g is a g no matter which typeface is used.

All of these things make it possible for a French company to do work for a client in Korea and hand the job off to a partner in the United States without having to struggle with the text. The writer or designer must enable the correct language in the operating system, load the foreign-language font, and continue the project.

  1. To enable your computer to author content in languages other than English, start your computer in the UTF-8 locale.

  2. To enable the dictionaries or open the thesaurus, select the desired language from the Input Method Editor (IME) Language bar.

  3. Start typing the content in the selected language.

Certain features support Unicode, such as find and change, markers, hypertext, and catalog entries. You can export to PDF with Unicode bookmarks, tags, comments, and so on. You can import or export Unicode content from other applications. Additional dictionaries help you author content in more languages.

Adding multilingual text

There are multiple ways to input characters in Unicode in a document. You could configure the regional language or locale settings on your computer to add the required languages for keyboard input. You could also configure and use a soft keyboard layout provided by third-party plug-ins.

Keyboard layouts cannot have simple key combinations for all characters and so FrameMaker provides two alternative input methods that allow access to the entire range of Unicode characters. One is the Hex palette which allows you to specify the code point in any of the three UTF encodings. The other is through a character map, which is a visual table listing all Unicode characters available in the selected font.

The Microsoft Windows XP Service Pack 2 (SP2) and Windows Vista® operating systems have regional and language settings. Use these settings to add additional languages for keyboard input. These languages and speech settings appear in the Language bar on the desktop. After you select a language and set up a localized keyboard, you can start typing the required text in the document. The keyboard layouts are defined by Microsoft.

You can type words in the selected language or input appropriate Unicode characters.

Set up input languages

  1. On your computer, open the Control Panel and double-click the Regional And Language Options icon. The Regional And Language Options dialog box appears.

  2. Click the Languages tab.

  3. Click the Details button. The Text Services And Input Languages dialog box appears.

  4. In the Settings tab, click the Add button. The Add Input Language dialog box appears.

  5. Select a language from the Input Language list.

  6. Click OK. The selected language is included in the Installed Services list.

  7. Select the desired language in the Default Input Language list.

  8. Click Apply and click OK to save the settings and close the Text Services And Input Languages dialog box.

  9. Click the Regional Options tab, and then choose the language you selected in the Default Input Language list.

  10. Click Apply and then click OK to save the settings and close the Regional And Language Options dialog box. The Language bar or the Input Method Editor (IME) appears in the system tray of your computer.

  11. Open FrameMaker, and then type the content. The text appears in the selected language.

Note: If you change the language in the Default Input Language list and the Regional Options tab, the language selected in the Language bar is also updated automatically.

Using third-party keyboard applications

Several third-party keyboard layout applications are available for different languages in Windows. When these layouts are activated, FrameMaker starts receiving input according to the keyboard mappings set by the third-party software.

FrameMaker does not alter any of the key definitions.

Using the Character palette

The character palette lists all the Unicode characters in the three character sets.

Figure 1. Character palette
Using the Character palette in FrameMaker

A. Select the font B. Scroll for the character in the selected font

  1. Place the cursor where you want to insert the character in your document.

  2. Choose File > Utilities > Character Palette.

  3. Select the font that supports the language you want to type in. The character palette displays the characters available in the selected font.

  4. Click the box containing the character that you want to insert. Use the scroll bar to scan the character palette if needed.

    Each character's code point in UTF-32, UTF-16, and UTF-8 is displayed at the bottom of the character palette.

  5. If the character inserted in your document does not match what you selected, ensure that the font in the document is the same as the font selected in the character palette.

  6. Click outside the character palette to dismiss it.

Using the Hex Input palette

The Hex Input palette allows you to add a Unicode character in your document by specifying its code point.

Figure 2. Hex Input palette
Using the Hex Input palette in FrameMaker

A. Typing area. B. View area. C. Click UTF-32 to change the default encoding. D. Click the arrows to browse the symbols.

  1. Place the cursor where you want to insert the character in your document.

  2. Choose File > Utilities > Hex Input to display the Hex Input palette.

  3. Type the Unicode number of the character you want to insert. The corresponding character is displayed on the right.

  4. To toggle between Unicode character sets, click UTF 32.

  5. If you cannot find the character you want to insert, either click the arrow keys to search sequentially or click the character to display the Character palette.

    Also, ensure that you have selected the appropriate font from the Character palette. The character for the same hex value changes depending on the font that you select.

  6. Click outside the Hex Input to dismiss it.

Parent topic: Editing content


Asian language support

Understand Asian language support, character sets and encoding methods, typesetting rules, and exporting in other Asian languages in Adobe FrameMaker.

Adobe FrameMaker supports Simplified Chinese, Traditional Chinese, and Korean. You can display, input, print, find and replace, import, and export Chinese and Korean text.

The following sections describe the Chinese and Korean features in detail.

  • Character sets and encoding methods
  • Inline input
  • Typesetting rules
  • Combined Asian and Western fonts
  • Date and time
  • Autonumbering
  • Index sorting
  • Exporting Chinese, Korean, or Japanese documents to HTML or XML
  • Structured FrameMaker
  • MIF statement and keywords
  • Other notes
Parent topic: Editing content


Character sets and encoding methods

Simplified Chinese

FrameMaker supports the GBK character set, which is a superset of the GB2312-80 character set. The Simplified Chinese versions of Windows systems support GBK. UNIX and Macintosh support the standard GB2312-80 character set. The characters in the GBK character set are encoded in the 0x8140 and 0xFEFE code range on Windows. The characters on Macintosh and UNIX are encoded within 0xA1A1 and 0xFEFE. Because the characters between 0xA1A1 and 0xFEFE are identical on all platforms, documents are cross-platform compatible. However, if you use extended characters in GBK, they will be displayed as meaningless characters on Macintosh and UNIX.

Traditional Chinese

FrameMaker supports the Big5 character set. These characters are encoded within 0xA140 and 0xFEFE on Windows and Macintosh. Chinese UNIX supports a larger character set (CNS11643-1992) in seven code planes. The first two code planes include the same characters as in the Big5 character set, although the code mapping is different. FrameMaker supports only the first two code planes on UNIX. If you enter characters in code plane 3 and above, they will appear as spaces in FrameMaker. The Traditional Chinese version of the UNIX operating system uses EUC- CNS encoding. FrameMaker provides code conversion between Big5 and EUC-CNS.

Korean

FrameMaker supports the KSC 5601-1992 character set. These characters are encoded in the 0xA1A1 and 0xFEFE code range on Windows, Macintosh, and UNIX. This encoding method is known as Wansung encoding. Most Windows versions have additional Hangul characters (Windows codepage 1361), which are called Johab characters. Because Johab characters are not commonly used and are not standard, FrameMaker products do not support these characters. If you enter a Johab character, it may become two separate, meaningless single-byte characters.

Parent topic: Asian language support


Inline input

Chinese and Korean character sets contain thousands of characters, many more than the keys on a standard keyboard. To enter these thousands of characters from a standard keyboard, you use a front-end processor (FEP), which is also known as an Input Method Editor (IME).

Roman letters are used to make up the phonetic pronunciation or make up the stroke or pictorial of Chinese characters. Korean characters are typically composed inline by combining basic Hangul building blocks called Jamo. FrameMaker supports inline (on-the-spot) input methods for all text. This means you can type Chinese or Korean text directly into documents or dialog boxes.

In the Equation Editor, the inline input method is not available. You can enter Asian text using the bottom-line or root window input methods. For information on inserting a text string in an equation, see the chapter on equations in the FrameMaker User Guide.

Parent topic: Asian language support


Typesetting rules

FrameMaker defines the typesetting rules for Chinese and Korean text in the Kumihan tables in the MIF file (see the MIF Reference online manual for details). The Kumihan specification defines the line-breaking rule and inter- character spacing rules for Japanese characters. FrameMaker has implemented similar rules for Chinese and Korean documents.

Asian hyphenation
A rule to prohibit certain characters from beginning a new line or ending a line is defined in the Kumihan table. You can customize the Kumihan table by modifying the table in MIF. See the Kumihan tables section in the MIF Reference online manual.
Spacing settings for Asian punctuation characters
The spacing settings for Asian punctuation characters, brackets, and so forth are defined in the Asian Punctuation text box in the Asian properties of the paragraph designer.
Western/Asian word spacing and Asian character spacing
These settings can be defined in the Asian properties of the paragraph designer.

For details on spacing and punctuation settings, see the FrameMaker User Guide.

Parent topic: Asian language support


Combined Asian and Western fonts

Combined fonts assign two component fonts to one combined font name. This is done to handle both an Asian font and a Western font as though they are in one font family. In a combined font, the Asian font is the base font and the Roman font is the Western font. See the FrameMaker User Guide for details.

  • If an Asian-language document with combined fonts is opened on a system that uses a different Asian language or a Western language, the Western component font is used for all text with the combined font. Text that used the Asian component font will be unreadable. If the document is then saved and reopened on a system with its original language, the Western text will appear correctly, but the information about the original Asian text will be lost.

  • If you intend to move your documents across different Asian languages, do not use Asian characters for paragraph and character style and combined font names. If you do, unexpected loss of data may occur.

  • When you create a new document, two combined fonts are predefined in the new document. The names of the combined fonts are FMMyungjo and FMGothic for Korean, FMSongTi and FMHeiTi for Simplified Chinese, and FMSungTi and FMHeiTi for Traditional Chinese. The most commonly used Roman and Asian fonts are assigned as the component fonts for each combined font.

Parent topic: Asian language support


Date and time

No specialized building blocks are provided for date and time variables. Day name and AM/PM are displayed in Chinese and Korean.

Units for year, month, day, hour, and minute are translated in the standard template. To customize units, see the chapter on variables in the FrameMaker User Guide.

Parent topic: Asian language support


Autonumbering

Full-width alphabetic characters (Western alphabets using Asian full-width fonts), Arabic numbers, and Chinese numbers are supported for paragraph autonumbers, page numbers, and footnote numbers as follows:

  • <full-width a> indicates full-width lowercase alphabetic characters.

  • <full-width A> indicates full-width uppercase alphabetic characters.

  • <full-width n> indicates full-width Arabic numerals.

  • <chinese n> indicates Chinese numerals.

Parent topic: Asian language support


Index sorting

  • Simplified Chinese
  • Traditional Chinese
  • Korean
  • Asian languages
Parent topic: Asian language support


Simplified Chinese

Index sorting for Simplified Chinese is based on the pinyin method of spelling Chinese characters using Western alphabetic characters. This phonetic method is based on Mandarin. There are nearly 400 pinyin sounds. Four tonal marks can be placed over six vowels; the tonal marks can also be represented by the numbers 1, 2, 3, and 4.

Following are examples of pinyin sorting.

Sorted Chinese word | Pinyin with accent marks | Pinyin with numbers
Example 1 of pinyin sorting of Chinese word | línbíé | lin2bie2
Example 2 of pinyin sorting of Chinese word | línzhong | lin2zhong1
Example 3 of pinyin sorting of Chinese word | lìngwaì | ling4wai4

FrameMaker products assign the most commonly used pinyin sound to each Chinese character. If the assignment is incorrect, you can specify the correct pinyin by enclosing it in brackets after the Chinese character in the index marker text. You must use numbers to represent the tonal marks, as in the following example:

[hang2lie4]
Example with use numbers to represent the tonal marks

A new index keyword, <$pinyin>, is added to the SortOrderIX paragraph on the IX reference page. You cannot redefine the sort order.

Group titles for index entries are defined in the GroupTitlesIX paragraph on the IX reference page. In Simplified Chinese documents, the default group titles are the same as in Western-language documents: Symbols, Numerics, and the letters A through Z.

Parent topic: Index sorting


Traditional Chinese

The stroke-radical sort method is used for the index sorting for Traditional Chinese in FrameMaker. With this method, the number of strokes is used as the primary criterion and the type of radical is used as the secondary sort key. The sort order of radicals is based on the Kangxi Radical chart.

A new index keyword, <$stroke>, is added to the SortOrderIX paragraph on the IX reference page. You cannot redefine the sort order.

Group titles for index entries are defined in the GroupTitlesIX paragraph on the IX reference page. In Traditional Chinese documents, the default group titles are as follows:

The default group titles in a Traditional Chinese document

Parent topic: Index sorting


Korean

The Korean language uses Hangul (phonetic) characters and Hanja (Chinese) characters. A Hangul character is a single syllable created by combining an initial consonant, a medial vowel, and sometimes a final consonant; sorting is based on these elements in the order they occur.

The sort order of Hangul consonants is as follows:

Sorting order of Hangul consonants

The sort order of Hangul vowels is as follows:

Sorting order of Hangul vowels

The sort order of Hanja characters is determined by pronunciation. To specify the sorting of Hanja characters, add Hangul characters enclosed in brackets after the Hanja characters in the index marker text, as in the following example:

Specifying the sorting of Hanja characters

Group titles for index entries are defined in the GroupTitlesIX paragraph on the IX reference page. In Korean documents, the default group titles are as follows:

The default group titles in Korean documents

A new index keyword, <$hangul>, is automatically added to the SortOrderIX paragraph on the IX reference page when the index is created. You can specify your own sort order for Hangul characters by replacing <$hangul> with actual characters in the order you want them to sort.

Parent topic: Index sorting


Asian languages

Accented European characters and symbols cannot be used with Chinese or Korean characters because the same code values are used to represent multibyte characters.

For details on index generation, see the chapter on tables of contents and indexes in the FrameMaker User Guide.

Parent topic: Index sorting


Exporting Chinese, Korean, or Japanese documents to HTML or XML

The character encoding for exporting HTML or XML is determined by the Export Encoding and CSS Export Encoding settings in the HTML Options Table on the HTML or XML reference page. For best results, both of these options should have the same settings. For information on using Asian and Western European languages in XML features, see the chapter on working with structured documents in the FrameMaker User Guide.

The default encoding settings are:

  • Japanese: Shift_JIS

  • Korean: EUC-KR

  • Simplified Chinese: EUC-CN

  • Traditional Chinese: Big5

  • Other languages: UTF-8

In addition to the default encodings, you can specify other encodings like ISO-8859-1 (for Western European language systems) or UTF-8 (for Unicode).

The HTML Options Table also allows encoding names used in FrameMaker (EUC-CNS for Traditional Chinese, GB for Simplified Chinese), Structured FrameMaker (JIS8_EUC for Japanese, GB8_EUC for Simplified Chinese, KSC8_EUC for Korean), and MIME character set attributes (EUC-JP for Japanese, EUC-TW for Traditional Chinese).

The Japanese standard templates create a CSS with Japanese element names that some older browsers might not recognize. To solve this problem, save the file with the default Shift_JIS encoding instead of UTF-8, use an English style names, and use an English font name for the Japanese font if possible. If you modify Chinese and Korean templates and use Chinese and Korean style names, the same problem will occur. To solve this problem, follow the same steps as in Japanese, using the appropriate default encoding.

In general, filenames with multibyte characters are not recommended for HTML and XML files.

Parent topic: Asian language support


Structured FrameMaker

You can import and export Chinese and Korean SGML and XML files with Structured FrameMaker. Note the following:

  • Multibyte characters are not allowed in attribute and element names.

  • Multibyte characters in variable names may not correctly convert into an entity in SGML and XML.

For more information, see the chapter on working with structured documents in the FrameMaker User Guide.

Parent topic: Asian language support


MIF statement and keywords

To specify the encoding that was used when writing MIF statements on Chinese and Korean systems, a MIFEncoding statement is added at the top of Chinese and Korean MIF files:

  • On Chinese systems, the statement indicates either traditional or simplified encodings:

    <MIFEncoding 中文> #originally written as Traditional Chinese (Big5/EUC-TW)

    or

    <MIFEncoding 中文> #originally written as Simplified Chinese

    The two Chinese characters in the statement mean “Chinese.” The hexadecimal representation for these two characters is A4A4 A4E5 in Big5, C4E3 C5F3 in EUC-TW, and D6D0 CEC4 in EUC-CN.

  • On Korean systems, the statement is:

    <MIFEncoding 한국어> #originally written as Korean

    The three Korean characters in the statement mean “Korean.” Their hexadecimal representation is C7D1 B1B9 BEEE. On Chinese and Korean systems, four MIF keywords are used to specify the numbering style of autonumber formats:

  • <FWLCAlpha> indicates full-width lowercase (Western) alphabetical characters.

  • <FWUCAlpha> indicates full-width uppercase alphabetical characters.

  • <FWArabic> indicates full-width Arabic numerals.

  • <ChineseNumeric> indicates Chinese numerals.

See Autonumbering for the corresponding building blocks.

Parent topic: Asian language support


Other notes

Note: Rubi is a Japanese system for representing the pronunciation of words as a string of phonetic characters directly above the word in question. This feature is available, although it is rarely used in Chinese and Korean text composition.
Note: When you create a new Chinese or Korean document or open a Chinese or Korean text file using the File > Open command, font and language settings are properly defined for Chinese or Korean. However, documents generated from this file (for example, Document Compare, index, TOC, SGML Error Log) will use the English settings, and may not display Asian characters correctly. To solve this problem, change the English fonts to Asian fonts if the generated document is editable.
Note: If the source document uses combined fonts, do not insert cross-references with text that includes Smart Quotes. The quotation marks become meaningless characters, and FrameMaker may crash when you use Find/Change to search for a cross-reference with Smart Quotes in a combined font.
Parent topic: Asian language support


Formatting overrides

Learn about formatting overrides in FrameMaker.

About formatting overrides

The formatting information for a document can come from format rules in element definitions and from predefined formats stored in catalogs. It is possible for a document to have overrides to both sources of information:

Format rule override

A format rule override is a deviation from a text element’s format rules. For example, if the rules specify a paragraph style for an element and you apply a different format, or if the rules specify boldface text and you change the text to italics, you are overriding the element’s format rules.

Format override

A style override is a deviation from a catalog style for text or a table. For example, a paragraph style may specify the Times font family. If you change some text that uses that format to the Palatino font (without saving the change in the format), you are overriding the format. Format rules often use a few catalog formats and specify format overrides to them to describe many different formatting variations.

Generally, avoid using either type of override in your structured document. Let the document handle the formatting automatically, and see your application developer if you’d like to change any of the formatting properties.

If your document does have overrides, you can remove them throughout the document all at once when you import and update.

Important: If you need to remove both kinds of overrides from a document, import formats and remove format overrides first, and then import element definitions and remove format rule overrides. Removing the rule overrides last ensures that the elements conform to their format rules.

Find and remove overrides

You can use the Find option to search and remove format overrides at paragraph, character, and table format levels.

  1. Choose Edit > Find.

  2. From the Find drop-down list, select Paragraph, Character, or Table style override.

  3. From the Change drop-down list, select Remove Override.

  4. Click Find.

  5. For each instance of format override, click Change to remove the override.

Parent topic: Editing content
Related information
  • Import formatting properties
  • Import formats into book files


Tables

Learn how to work with tables in Adobe FrameMaker.

Tables provide an organized and structured way to present your content.

In FrameMaker, you can create tables from the pre-defined table formats, or create your own custom formats.

  • Tables styles
    Learn about the various table styles in Adobe FrameMaker, and the properties of the Table Designer.
  • Text and graphics in tables
    Learn about inserting text and graphics in Adobe FrameMaker tables.
  • Formatting tables
    Understand how you can format tables with the Table designer and the Table Catalog in FrameMaker.
  • Sorting table rows and columns
    Know how to sort a table by rows or by columns in Adobe FrameMaker.
  • Table position and spacing
    Learn how to define table position and spacing in Adobe FrameMaker.
  • Span or un-span tables and cells
    Know how to span or un-span tables and cells in FrameMaker.
  • Rotate cells and tables
    Know how to rotate cells and tables, insert a rotated table in a page of un-rotated text in Adobe FrameMaker.
  • Insert page breaks in a table
    Learn how to insert page breaks in a table, and set the minimum number of rows in Adobe FrameMaker.
  • Insert a table in a FrameMaker document
    Learn how to insert a table and know types of table variable in Adobe FrameMaker.
  • Insert a table in a structured FrameMaker document
    Know how to insert a table element in structured documents in Adobe FrameMaker.
  • Working with tables in structured documents
    Know how to work with tables in structured documents also understand elements and formatting, and DITA support in FrameMaker.
  • Working with invalid table elements
    Understand how to work with an invalid table element in Adobe FrameMaker.
  • Nest a table in a table cell
    Learn how to nest a table in a table cell in Adobe FrameMaker.
  • Copy, move, or delete a table
    Know how to copy, move, or delete a table in Adobe FrameMaker.


Tables styles

Learn about the various table styles in Adobe FrameMaker, and the properties of the Table Designer.

Table styles contain settings for how the table looks. To create a table, the formatting of the table needs to be defined, for example, border width, shading, heading, table and title.

The format of a table determines its appearance. The format includes the following types of properties:

  • Properties set in the Table Designer, such as table position, cell margins, regular ruling and shading, and whether it has a title.

  • Three types of default properties:

    • the number of body, heading, and footing rows

    • the number of columns

    • paragraph styles for the title, heading, footing, and body cells of each column.

    All three are supplied when you first insert a table. Changing the default properties of a format does not change the appearance of tables using that format, but it changes how a new, empty table looks when you insert it.

A new table is always created starting from the styles, which exist in the document. Similar to paragraph and character styles, table styles are the starting point for new tables, as well as, building blocks for new table styles. After you insert a table, you can perform extensive custom formatting, such as straddling or rotating cells, or applying special ruling or shading to selected cells. Custom formatting is not stored as part of the table style. For this reason, custom formatting is retained when you change or reapply a table style.

Tip: Right-click a table to display a context menu for tables. Or use the QuickAccess bar to perform common tasks for tables.

When you insert a table, it’s anchored at the insertion point. A table anchor symbol Anchor symbol appears there when text symbols are visible.

Table structure in FrameMaker

A. Table title B. Table heading C. Table body D. Table footing

Parent topic: Tables
Related information
  • Toolbars


Text and graphics in tables

Learn about inserting text and graphics in Adobe FrameMaker tables.

You format text in a table cell just as you format paragraphs in a regular column of text—for example, with paragraph or character style.

Each table cell can contain text and anchored frames. Anchored frames, in turn, can contain graphics or other tables. As you type text or insert an anchored frame in a cell, the cell height expands as needed.

In addition to typing text in a table, you can also insert cross-references, table footnotes, variables, and markers. The tab character is the only character you have to enter in a special way in a table cell.

You can copy, cut, and paste the contents of cells just as you do text and graphics in any other part of a document. Special system variables let you specify continuation text in the titles or heading rows of multi-page tables.

For structured documents, you can type text in the current cell when the <TEXT> indicator appears in the Elements catalog. You can also insert footnotes, cross-references, and other text-related elements in the cell. Use the Elements catalog as a guide.

  • Select text or cells in tables
    Learn how to select text or cells in Adobe FrameMaker tables.
  • Add or remove a table title
    Know how to add or remove a table title in Adobe FrameMaker.
  • Add table continuation text
    Learn how to add continuation text to tables that run over multiple pages in FrameMaker.
  • Place graphics in table cells
    Know how to insert or place a graphic in Adobe FrameMaker table cells.
  • Convert between text and tables
    Learn how to convert between text and tables in Adobe FrameMaker.
  • Run text around a table
    Know how to adjust running text around a table in Adobe FrameMaker.
  • Position and autonumber text within table cells
    Learn how to position and autonumber text within table cells, set cell margins and direction of autonumbering in Adobe FrameMaker.
  • Change the direction of text in a table
    Learn how to change the direction of text in an Adobe FrameMaker table.
Parent topic: Tables


Select text or cells in tables

Learn how to select text or cells in Adobe FrameMaker tables.

In this topic

  • Place the insertion point in a table cell

  • Select the contents of a cell

  • Select a single cell

  • Select multiple cells

Place the insertion point in a table cell

Click in the cell, or click to the left of the cell’s text snippet in the Structure View.

Note: You can use the arrow keys to move to the required cell. You can also use the arrow keys to move in and out of a table.

Select the contents of a cell

Click in the cell and press esctha, or double-click the cell’s bubble in the Structure View. You can also triple-click a cell’s contents if it contains just one paragraph.

Select a single cell

  • Right-click a table to display a context menu for tables. Choose Table> Select > Select Cell.

  • Control-click the cell.

  • In structured documents, drag across the cell’s boundary and back, or click the cell element in the Structure View.

Select multiple cells

  • Right-click a table to display a context menu for tables. You can choose from Table > Select to select the row, column, table, header rows, body rows, or footer rows.

  • Drag across all the cells, and then Shift-double-click or Shift-click (structured documents) the last cell in the selection.

  • To select an entire row, press escthr, or drag across the cells in the row, or click the row’s bubble in the Structure View.

    Tip: If you click between table-part elements (such as between two rows) in the Structure View, the insertion point appears in the Structure View but not in the document window. A contiguous selection of cells in the document window doesn’t always appear as contiguous bubbles in the Structure View.

  • To select an entire column, press escthc, or drag from a heading cell into the first body cell.

  • To select the entire table, press esctht.

Parent topic: Text and graphics in tables
Related information
  • Navigating through tables


Add or remove a table title

Know how to add or remove a table title in Adobe FrameMaker.

A table title appears above or below a table and is repeated on all pages of a multipage table. Whether a table has a title and how it’s formatted is defined in the table style.

When you insert a table with a title, an empty text frame appears for the title. If the title paragraph style has been defined to include an autonumber, the autonumber text appears.

Figure 1. Title centered below (left), autonumbered title left-aligned above (right)
Examples of table with a title centered below the table and an autonumbered title left-aligned above the table

For structured documents, a table’s element definition sometimes specifies whether the table must have a title. You can add a title to any table, but check in the Structure view to be sure that the title is not invalid in the table. The title element is always the first child element of a structured table, regardless of whether the title appears above or below the table.

To specify the gap between the table and the table title in Adobe FrameMaker, do the following:

  1. Click in the table and choose Table > Format > Table Designer.

  2. In the Basic properties of the Table Designer, choose an option from the Title drop-down list.

  3. Specify the gap between the table and the title in the Gap box.

  4. Click Apply.

    If the title has been defined to be autonumbered, the number (such as Table 1) appears in the title cell. You enter the text of the title yourself.

Tip: To display the title only on the first page of a multipage table, set the title position to No Title and use a body paragraph as the title. To prevent the title from becoming separated from the table, make sure that the anchor symbol is in the title text and that the table’s Start property is set to Anywhere.
Parent topic: Text and graphics in tables
Related information
  • Anchored frames


Add table continuation text

Learn how to add continuation text to tables that run over multiple pages in FrameMaker.

In this topic

  • Introduction

  • Add continuation text to a selected table

  • Add continuation text to multiple tables in a document

Introduction

In a multi-page table, you can include special “continuation” text in the title or in heading or footing rows. Your document can have variable elements defined for this purpose, such as one that displays (continued) and another that tells the number of sheets in the table.

Adding continuation text inthe title or in the heading or footing rows of a table

A. and C. Table Sheet variable B. Table Continuation variable

Add continuation text to a selected table

To add continuation text to a selected multi-page table in Adobe FrameMaker, do the following:

  1. On the first page of the table, click in the title or in the heading or footing where you want to insert the variable or variable element.

  2. Do one of the following:

    • Double-click either the Table Continuation variable or the Table Sheet variable from the Variables panel.

    • In structured documents, select a variable element for continuation text in the Elements catalog, and click Insert.

    On the first page of the table, the variable appears as a non-breaking space Non-breaking space. On subsequent pages, the variable displays its text—for example, (continued).

Add continuation text to multiple tables in a document

To add continuation text to a multiple tables in Adobe FrameMaker, do the following:

  1. To include a table continuation and sheet variable to multiple tables in the current document, choose Table > Insert Table Variables.

  2. In the Table Variables dialog, choose the table variable type (continuation or sheet) to insert.

Alternatively, select a table format to insert the table variables to all tables in the current document of the selected format.

Parent topic: Text and graphics in tables


Place graphics in table cells

Know how to insert or place a graphic in Adobe FrameMaker table cells.

In this topic

  • Place a graphic

  • Place a graphic in a structured document

Place a graphic

You can adapt these instructions to position the anchored frame differently or to insert a graphic in a cell that also contains text.

Note: Avoid using cropped anchored frames in heading or footing cells of a table. Such frames are not always cropped when that cell repeats on subsequent pages.

To place a graphic in a table cell in an Adobe FrameMaker document, do the following:

  1. Click in a paragraph in the cell where you want to place the graphic.

  2. Do one of the following:

    • To create an anchored frame where you can draw, use Insert > Anchored Frame to create an anchored frame that’s anchored at the insertion point.

    • To create an anchored frame for an imported graphic, use File > Import > File or Insert > Image to import the graphic.

  3. If the anchored frame is wider than the cell, resize the column.

    Tip: To resize a column to match its contents, place the insertion point in the cell that has the desired length of text and press Esc+t+w.

  4. If necessary, choose Graphics > Arrange > Align to center the graphic in the frame.

Place a graphic in a structured document

If your table cells allow graphic elements, you can draw or import graphics in the cells. A new graphic element can be either an empty anchored frame that you can draw in or an anchored frame with an imported graphic.

To place a graphic in a table cell in a structured Adobe FrameMaker document, do the following:

  1. Click where you want to place the graphic in the cell.

  2. Select a graphic element in the Elements catalog and click Insert. The element’s definition determines which dialog box appears.

  3. Do one of the following:

    • If the Anchored Frame dialog box appears, choose At Insertion Point from the Anchoring Position drop-down list, and click New Frame.

    • If the Import File dialog box appears, select the file to import, and click Import.

    An anchored frame appears in the cell, and a bubble with the text snippet <GRAPHIC> appears in the Structure View.

  4. If the anchored frame is wider than the cell, resize the column.

    Tip: To resize a column to match its contents, select the column and press Esc+t+w.

  5. If necessary, choose Graphics > Arrange > Align to center the graphic in the frame.

Parent topic: Text and graphics in tables
Related information
  • Anchored frames
  • Table rows and columns


Convert between text and tables

Learn how to convert between text and tables in Adobe FrameMaker.

In this topic

  • Introduction

  • Convert text to a table

  • Convert a text file to a table as you open the file

  • Convert a text file to a table as you import the file

  • Touch up a table after conversion

  • Convert a table to text within FrameMaker

  • Convert all tables in a document to text

Introduction

With Adobe FrameMaker, you can convert text that’s already in your document to a table, or you can convert text in a text file as you open or import the file. In a structured document, the text is wrapped into a structure of table and table-part elements.

After converting text to a table, you can edit the table, removing blank cells or recombining text that was split into two or more cells. In most cases, you can edit the table directly in the document. However, if you converted text that was imported by reference, you must edit the text in the original file.

You can convert any table to text within FrameMaker, or you can copy the table as text to another application. You can also convert all the tables in a document at one time.

In structured documents, when you convert tables to text, all the table and table-part elements, except for the cells, are unwrapped. Change the cells to other elements or make other changes to correct the structure of the document.

Convert text to a table

To convert text to table in Adobe FrameMaker, do the following:

  1. Select the text you want to convert.

  2. Choose Table > Convert To Table.

  3. If you’re working in a structured document, choose a table element from the Element Tag drop-down list.

  4. Select a style for the table.

  5. Specify how you want to convert paragraphs by doing one of the following:

    • To convert text that uses tabs to separate information, click Tabs.

    • To convert text that uses spaces to separate information, click Spaces and then enter the minimum number of spaces that indicate a separate cell.

    • To convert text that uses other characters to separate information, click Other and then type the characters that can be used to separate cells.

    • To convert each paragraph (such as those in a bulleted list) to a cell, click A Cell and then enter the number of columns you want in the table.

  6. In the Heading Rows box, enter the number of heading rows you want in the new table. If the paragraphs you’re converting don’t include headings and you want to fill in the headings later, select Leave Heading Rows Empty.

  7. Click Convert.

Note: In a structured document, the table element may have a style preselected, but you can change the style and it is not considered a format rule override.
Note: When working with structured documents, the Structure View has bubbles for the new elements. If the Attributes for New Element dialog box appears, enter attribute values for the table element and click Insert Element.

Convert a text file to a table as you open the file

To convert a text file to a table in Adobe FrameMaker, do the following:

  1. Choose File > Open, and select the text file you want to open.

  2. If the Unknown File Type dialog box appears, select Text, and then click Convert.

  3. Click Convert To Table, and then click Read.

  4. Follow the instructions for converting text to a table, starting from step 3.

Convert a text file to a table as you import the file

To convert a text file to a table in Adobe FrameMaker, do the following:

  1. Click where you want to import the file.

  2. Choose File > Import > File, and select the text file you want to import and the import method.

  3. Click Convert To Table and then click Import.

  4. Follow the instructions for converting text to a table, starting from step 3.

Tip: If you want to merge a text file into an existing table, import the text file and convert it to a table. Then copy the rows and paste them into the existing table.

Touch up a table after conversion

To fix issues after converting text to table, do the following:

  • To combine text that is split across two or more rows, cut and paste the text from the lower cells into the upper cell, and delete the extra rows.

  • To fix half-empty columns, cut and paste the text into the correct locations, and delete the extra columns.

  • To fix major errors, you can return to the original text (choose Edit > Undo if necessary), edit the text (for example, by deleting extra tabs and forced returns), and then convert the text to a table again.

Tip: To quickly combine text in adjacent cells, select the cells, choose Table > Straddle, and then choose Table > Unstraddle. Then you can delete empty rows or columns.

Convert a table to text within FrameMaker

To convert a table to text in Adobe FrameMaker, do the following:

  1. Click in the table you want to convert to text.

  2. Choose Table > Convert To Paragraphs.

  3. Click Row By Row or Column By Column, and click Convert.

Figure 1. Table converted to text
Table convertedto text within FrameMaker

A. Row by row B. Column by column

Convert all tables in a document to text

Save the document in Text Only format, and specify how you want the tables converted.

Parent topic: Text and graphics in tables
Related information
  • Nest a table in a table cell
  • Import unformatted text


Run text around a table

Know how to adjust running text around a table in Adobe FrameMaker.

In this topic

  • Introduction

  • Run text around a table in an anchored frame

  • Run text around a table in an anchored frame (structured documents)

  • Run text around a table that remains stationary on the page

Introduction

In Adobe FrameMaker, text does not run around a table that’s anchored directly in a column of text. You can, however, run text around a table in an anchored frame or in a text frame that’s disconnected from the main flow. For structured documents, check to see if your developer has set up this application this way.

A table in an anchored frame moves with the text it’s anchored to. A table in a disconnected text frame remains in place on a page while other text flows around it. The table does not autonumber with tables in the main flow.

Important: The contents of an anchored frame or a disconnected text frame in a structured document are not part of a document’s main structured flow. They are not exported to XML by default. If you plan to export to XML, work with your application developer to avoid losing data in a table that is not part of the main flow.
Figure 1. Table in an anchored frame and a table in a disconnected text frame
Runtext around a table in an anchored frame and a disconnected textframe

Run text around a table in an anchored frame

To let text flow around a table in an anchored frame in an Adobe FrameMaker document, do the following:

  1. Use Insert > Anchored Frame to create an anchored frame with an anchoring position of Run into Paragraph.

  2. Draw a text frame in the anchored frame and then place the table in it.

Run text around a table in an anchored frame (structured documents)

To let text flow around a table in an anchored frame in a structured Adobe FrameMaker document, do the following:

  1. Click in text where you want to anchor the table.

  2. Select a graphic element for an empty anchored frame in the Elements catalog, and click Insert.

    You can also use Insert > Anchored Frame to insert an element. Choose a frame element from the Element Tag drop-down list in the Anchored Frame panel.

  3. Choose Run Into Paragraph from the Anchoring Position drop-down list, set the width and height of the frame, and click New Frame. Try to set the size of the frame to be slightly larger than the size of the table.

  4. Draw a text frame in the anchored frame. Choose View > Toolbars > Graphics Toolbar and click the Place A Text Frame Placea Text Frame tool in FrameMaker tool. Drag to draw the frame, and click Set in the dialog box that appears.

  5. Click in the text frame and use Table > Insert Table to insert an unstructured table.

Run text around a table that remains stationary on the page

To let text flow around a table with a fixed position in Adobe FrameMaker, do the following:

  1. Draw a text frame directly on a page and drag it where you want it. This type of text frame is not connected to the main flow.

  2. Choose Graphics > Runaround Properties, click Run Around Bounding Box, and click Set.

  3. Do one of the following:

    • For unstructured documents, insert a table in the text frame.

    • For structured documents, click in the text frame and choose Table > Insert Table.

Parent topic: Text and graphics in tables


Position and autonumber text within table cells

Learn how to position and autonumber text within table cells, set cell margins and direction of autonumbering in Adobe FrameMaker.

In this topic

  • Introduction

  • Set default cell margins

  • Customize cell margins or text alignment

  • Customize cell margins

  • Customize the vertical alignment of text in a cell

  • Specify the direction of autonumbering in a table

Introduction

When you insert a table, its cell margins—the distance between the cell edge and the cell text frame—are determined by the table style. The indent properties of text in the cell, which are measured from the cell margins, are part of the text’s paragraph style.

Figure 1. Cell margins defined by the table style
Cellmargins defined by the table style

A. Left cell margins B. Paragraph’s left indent

Set default cell margins

To set the default cell margins of a table in Adobe FrameMaker, do the following:

  1. Click in the table you want to change and choose Table > Format > Table Designer.

  2. In the Basic properties of the Table Designer, enter the values for the top, bottom, left, and right margins in the Default Cell Margins area.

  3. Click Apply.

Tip: If you want text to look vertically centered, make the top margin larger than the bottom margin. For example, make the top margin 5 points and the bottom margin 3 points.

Customize cell margins or text alignment

When you change cell margins or text alignment and later apply a different style to the table, the changes are not overwritten by the new table style’s default settings.

Because cell margins and text alignment are part of a paragraph style, they aren’t normally stored as part of the table style. However, the paragraph styles of the first title paragraph and the first paragraph in the heading, body, and footing rows of each column are stored. You can customize the alignment of any of these paragraphs and then store the table style in the catalog. Future tables using that table style will have the custom settings as their defaults.

Customize cell margins

To customize the cell margins of a table in Adobe FrameMaker, do the following:

  1. Click in the first paragraph of the cell whose margins you want to customize.

  2. Choose Format > Paragraphs > Paragraph Designer to display the Paragraph Designer.

  3. Choose Table Cell from the Properties drop-down list.

  4. In the Cell Margin area, specify the margins you want to customize by doing one of the following:

    • To create a margin relative to the default cell margin, choose From Table Format Plus from the drop-down list and then enter a value.

    • To create a fixed margin measured from the edge of the cell, choose Custom from the drop-down list and then enter a value.

  5. Click Apply.

Customize the vertical alignment of text in a cell

To customize the vertical alignment of text in a table cell in Adobe FrameMaker, do the following:

  1. Click in the cell you want to customize.

  2. Choose Format > Paragraphs > Paragraph Designer to display the Paragraph Designer.

  3. Choose Table Cell from the Properties drop-down list and then choose Top, Middle, or Bottom from the Cell Vertical Alignment drop-down list.

  4. Click Apply.

Note: The vertical alignment that you apply to a cell will persist even when you apply a different table format from the Table Designer.

Specify the direction of autonumbering in a table

When you insert a table, the table format determines the direction of autonumbering within cells—either across rows or down columns. This property also sets the direction of autonumbering for table footnotes.

To specify the direction of autonumbering in a table in Adobe FrameMaker, do the following:

  1. Click in the table you want to change, and choose Table > Format > Table Designer.

  2. In the Basic properties of the Table Designer, choose Row First or Column First from the Numbering drop-down list.

  3. Click Apply.

Parent topic: Text and graphics in tables


Change the direction of text in a table

Learn how to change the direction of text in an Adobe FrameMaker table.

By default, the text in a table inherits the direction (left-to-right (LTR) or right-to-left (RTL)) of the current document. However, you can change the direction of each table in a document.

To change the direction of a table in Adobe FrameMaker, do the following:

  1. Click in the table.

  2. Choose Table > Format > Table Designer and go to the Direction tab.

  3. Choose the direction in the Direction drop-down list.

  4. To change the direction of the text in the selected table, click Apply.

    Alternatively, to change the direction of the text in all the tables of the current table format, choose Update Style.

Parent topic: Text and graphics in tables


Formatting tables

Understand how you can format tables with the Table designer and the Table Catalog in FrameMaker.

The Table Designer, and the Table catalog can be accessed from Table > Format and View > Panels.

Additional commands to format and work with tables, can be accessed from the Table menu.

Learn more about formatting tables in the subtopics.

  • Table Designer
    Understand how you can format tables and know the Table Designer in Adobe FrameMaker.
  • Table catalog
    Learn how to apply or change a table format with the Table catalog in Adobe FrameMaker.
  • Create, edit, and delete table styles
    Learn how to create, edit, and delete table styles in Adobe FrameMaker.
  • Table ruling and shading
    Learn how to set ruling and shading for tables in Adobe FrameMaker.
  • Table rows and columns
    Know how to work with table rows and columns in Adobe FrameMaker.
  • Convert body rows to header or footer rows
Parent topic: Tables


Table Designer

Understand how you can format tables and know the Table Designer in Adobe FrameMaker.

You can use the Table Designer and Table menu commands to change the look of tables and create new table formats, and to change formats globally throughout a document.

In this topic

  • Introduction

  • Working with the Table Designer

  • Reset properties after changing them in the Table Designer

Introduction

Using the Table Designer, you can change the table’s indents, cell margins, spacing, alignment, ruling, and shading. You can also adjust the title position, numbering, and the start position of the table. The space above and below a table, and the table’s alignment and indentation, are determined by the table format. You can control other positioning properties—straddling and text runaround—on a table-by-table basis.

The Table Designer includes several commands for creating, changing, and overriding table formats. The designer contains several groups of properties, displaying one at a time. It’s shown here displaying the Basic group of table properties.

Working with the Table Designer

To display the Table Designer, choose Table > Format > Table Designer or View > Panels > Table Designer.

Figure 1. Table Designer
Table Designer in Adobe FrameMaker
Basic
Paragraph properties such as indentation, spacing, and alignment.
Ruling
Ruling properties for headers, footers, separators, rows.
Shading
Shading properties for headers, footers, and body.
Direction
Specify the direction of the table text to as is, inherit (default), right-to-left, and left-to-right.

From the table Style field of the Table Designer, you choose a table format and then a property group. From the lower half of the Table Designer, you change the table’s properties. After making changes, click Apply to change the table’s appearance. When you make a formatting change that doesn’t match the table’s predefined format, it’s considered a format override.

When you use the Table Designer to make a formatting change that doesn’t match the table’s predefined format, the change is a format override. Overrides are lost if you reapply the predefined format to the table. Changes made with the Table menu commands are not lost.

Click Apply All, to change the definition of the table format and globally change appearances of all tables using this format.

To remove all format overrides from a table, put the cursor in the table and click the desired table format from table catalog.

Note: You don’t need to click Update Style unless you want to make a global change to change the table format and all tables in the document with the same format. Because Update Style redefines a format, use it with caution.

Reset properties after changing them in the Table Designer

  • To reset the properties to match the current table, including any format overrides, click somewhere in the table or click Reset Window from Selection from the Commands popup in the Table Designer.

  • To reset the properties to match the stored table format, choose Set all Properties to Default from the Commands popup in the Table Designer or select the format again from the table Style drop-down list. Do this even if its element is already displayed in the table Style box.

Parent topic: Formatting tables
Related information
  • Manage formats
  • Format catalog
  • Table position and spacing


Table catalog

Learn how to apply or change a table format with the Table catalog in Adobe FrameMaker.

The Table catalog works just like the Paragraph or Character catalogs.

To apply or change a table style do the following:

  • Choose Table > Format > Table Catalog to open the Table Catalog.

  • Place the cursor inside a table or elect one or more cells of a table.

  • Click the desired style in the catalog.

The style is now applied to the table.

Parent topic: Formatting tables


Create, edit, and delete table styles

Learn how to create, edit, and delete table styles in Adobe FrameMaker.

In this topic

  • Introduction

  • Create a table style

  • Edit a table style

  • Delete a table style

  • Apply a different style to a table

  • Apply a style to several tables

  • Redefine table styles

  • Change properties in multiple table styles

Introduction

You can rename or delete a table style when designing a template. You can also rename a table style if you want to copy an entire catalog from a template and don’t want a style to be overwritten.

Deleting a style from a catalog does not affect any tables that have the same style—the tables simply have a style that isn’t stored in the catalog. If you want to change the style of these tables, you can apply a different style to them.

Create a table style

To create a table style, do the following:

  1. Click in a table that has a format like the one you want to create. The more similar it is to the format you’re defining, the fewer changes you’ll have to make.

  2. Set up the rows and columns by adding or deleting body, heading, and footing rows and adjusting columns as necessary.

  3. Use the Table Designer to modify any of the table’s properties.

    Table styles must have all properties specified. An alert message warns you if not all settings are specified so you can go back and change any As Is properties.

  4. Use the Paragraph Designer to create or change any of the following paragraph styles, which are stored as part of a table style:

    • the paragraph style of the title paragraph,

    • the first paragraph in each cell of the heading row,

    • the first paragraph in each cell in the body rows,

    • the first paragraph in each cell in the footing rows.

  5. When the table looks the way you want, type a name of this new table style in the Style box.

  6. Click Create Style.

Edit a table style

To edit a table style, do the following:

  1. Click in a table whose format you want to edit.

  2. In the Table Designer, choose the style you want to change from the table Style drop-down list.

    Make sure that you perform this step even though it means choosing the same style as the one currently displayed. Choosing a style from the drop-down list ensures that the stored format properties—not overrides—are displayed.

  3. Click Update Style.

Delete a table style

To delete a table style, do the following:

  1. In the Table Catalog, click Delete.

  2. Select the style in the scroll list and click Delete. You can delete additional styles if you want to.

  3. Click OK.

Apply a different style to a table

When you apply a different table style, only the properties associated with table styles change in the table. That is, any customizations you’ve made to the table—the column widths, the number of rows and columns, and the settings from the Table menu—are not affected.

The style for a table element suggests a particular table format, but you can apply a different style, either when you insert the table or later, and the change is not considered a format rule override. If you remove format rule overrides in the document, the table will not return to its original format. If a structured document does not have a style that meets your needs, the structured aplication developer needs to redefine a style or create a new one.

Important: If a new table style adds a title to the table and the table’s content rules do not allow a title, the title is invalid.
Figure 1. Table with old (left) and new (right) style; custom rotated cells retained
Applying a different style to a table

  1. Click in the table.

  2. Choose Table > Format > Table Designer.

  3. Choose the style from the table Style drop-down list, and click Apply.

Apply a style to several tables

You can apply a style to all tables in the document, to all tables with a different style that occur in a selection, or to all tables that have a particular style. For example, you could apply Format B to all tables currently tagged Format A.

  1. Select the tables by doing one of the following:

    • To apply a style to all tables in the document, click in any table.

    • To apply a style to several tables, but not all tables, in the document, select consecutive tables or table elements. To select multiple tables, you must select their anchor symbols.

  2. Choose Table > Format > Table Designer.

  3. Choose the style you want to apply from the table Style drop-down list, and choose Global Update Options from the Commands drop-down list.

  4. Choose the tables you want to reformat by doing one of the following:

    • To retag all tables in the document, click All Tables And Catalog Entries.

    • To retag the tables in the selection and all tables with the same style, click All Matching Tags In Selection.

    • To retag all tables with a specific style, choose a style from the All Tagged drop-down list.

  5. Click All Properties in the Use Properties in the Table Designer area, and click Update.

Redefine table styles

To change a table style, you change a table’s properties and then change the corresponding style to match the table.

The properties applied to the style include those set in the Table Designer and the defaults not set in the Table Designer—for example, the default paragraph styles.

In addition, properties set in the Table Designer (but not default properties that aren’t changed in the Table Designer) are applied to existing tables in the document that have the same style.

Tip: If you change properties in the Table Designer and then decide you don’t want to update the style, you can cancel the operation and reset the properties by simply clicking in text.

To redefine a table style, do the following:

  1. Click in a table whose style you want to redefine, and choose Table > Format > Table Designer. If the table you clicked in has format overrides, these overrides—not the style’s definition—appear in the Table Designer.

  2. If you want to base the changed format on the style, without any overrides, choose the style from the table Style drop-down list, even if the style you want is already displayed in the table Style box.

  3. Do the following:

    • Use the Table Designer to change any of the settings for the Basic, Ruling, or Shading properties.

    • Change any of the default properties, such as the number of rows and columns, widths of columns, and the paragraph style of the title and of the first paragraph of each column. These properties are supplied when you first insert a new, empty table.

  4. Click Update Style. If any of the tables being updated contain format overrides, an alert message asks whether you want to remove them.

Change properties in multiple table styles

You can change specified properties of multiple table styles at the same time. For example, you can change all table styles from centered to left-aligned.

To change properties in multiple table styles, do the following:

  1. Select the tables whose styles you want to redefine by doing one of the following:

    • To redefine one table style or all table styles in the document, click in any table.

    • To redefine several table styles, but not all styles in the document, select consecutive tables whose styles you want to redefine. (To select multiple tables, select their anchor symbols.)

  2. In the Table Designer, display the group of properties from which you want to apply one or two properties.

  3. In structured documents, delete the style name from the table Style box if the box is not empty. Deleting the style name sets the box to As Is, which keeps FrameMaker from changing the styles of the formats that you update.

  4. Change the properties as needed.

  5. Choose Global Update Options from the Commands drop-down list.

  6. Choose the table styles you want to apply the properties to.

  7. Click the current property group in the Use Properties area and click Update. If any of the tables being updated contain format overrides, an alert message asks whether you want to remove them.

FrameMaker applies the properties to the Table Catalog styles you specified and to all tables in the document with the same style.

Parent topic: Formatting tables
Related information
  • Rows and columns
  • Table position and spacing
  • Add or remove a table title
  • Ruling and shading
  • Working with tables in structured documents


Table ruling and shading

Learn how to set ruling and shading for tables in Adobe FrameMaker.

In this topic

  • Introduction

  • Set up ruling and shading in a table style

  • Manage table ruling styles

  • Create or change a table ruling style

  • Delete a table ruling style

  • Manage custom ruling and shading in tables

  • Display the current ruling and shading settings of a table row, column, or cell

Introduction

When you insert a table, its regular ruling and shading are determined by the table style. You can use the Table Designer to change a style’s ruling or shading properties for particular tables that use the style.

Custom ruling and shading are not limited to entire rows or columns and are not part of the table style. If you customize the ruling or shading of a cell, and later apply a different style to the table, the custom ruling or shading is not overwritten by the new style.

Set up ruling and shading in a table style

To set up ruling and shading in a table style, do the following:

  1. Click in the table you want to change and choose Table > Format > Table Designer.

  2. Do one or more of the following:

    • In the Ruling properties of the Table Designer, specify the ruling for columns, body rows, heading and footing rows, and outside edges.

    • In the Shading properties of the Table Designer, specify the shading for header and footer rows and for body rows or columns. You can have two different color shades for the header and footer.

  3. Click Apply.

Manage table ruling styles

You can create additional ruling styles (such as Double, Thick, or Thin line styles), and edit or delete existing ones. If you edit a ruling style, the change applies to both the regular and custom ruling that use that style.

Tip: When editing ruling styles, zooming in to a high percentage lets you see slight differences in line thickness.

Create or change a table ruling style

To create or change a table ruling style, do the following:

  1. Choose Table > Custom Ruling & Shading. The Custom Ruling and Shading panel is displayed:

    Figure 1. Custom Ruling and Shading panel
    Custom Ruling and Shadingpanel in Adobe FrameMaker

  2. Select a style in the Apply Ruling Style scroll list that you want to edit or, if you’re creating a style, select one similar to the style you want to create.

  3. Click Edit Ruling Style... The Edit Ruling Style dialog is displayed:

    Figure 2. Edit Ruling Style dialog
    Edit RulingStyle dialog in Adobe FrameMaker

  4. Choose a color, a pen pattern and enter the width for the style.

  5. Click Single or Double to specify single or double lines. If you click Double, specify a value for the gap separating the lines.

  6. If you’re creating a style, type a name in the Name box, and click Set.

Delete a table ruling style

To delete a table ruling style, do the following:

  1. Choose Table > Format > Custom Ruling & Shading.

  2. Select the style you want to delete from the Apply Ruling Style scroll list.

  3. Click Edit Ruling Style. The Edit Ruling Style dialog is displayed. Click Delete. If the style was used for a table’s regular ruling, the occurrences of the style use no ruling. If the style was used for custom ruling, the table’s regular ruling is restored.

Manage custom ruling and shading in tables

A table’s custom shading is not stored as part of the table style. Wherever the the style and customized settings are in conflict, the customized settings prevail.

  1. Select the cells, rows, or columns that you want to customize.

  2. Choose Table > Custom Ruling & Shading.

  3. Do one of the following:

    • Specify a fill percentage and color for the shading.

    • Select a custom ruling style. The scroll list shows the document’s predefined ruling styles.

    • Choose From Table to remove custom shading.

  4. To prevent inadvertent changes, turn off Custom Cell Ruling or Custom Cell Shading and click Apply.

Display the current ruling and shading settings of a table row, column, or cell

To display the current ruling and shading settings of a table row, column, or cell, do the following:

  1. Select the rows, columns, or cells you want to analyze.

  2. Choose Table > Custom Ruling & Shading, and click Show Current Settings.

  3. Review the settings, and click Done.

In the dialog box, Mixed means that the selected rows/columns/cells use more than one custom ruling style, fill, or color. From Table means that the selected cells use the default ruling or shading definied in the table style.

Parent topic: Formatting tables


Table rows and columns

Know how to work with table rows and columns in Adobe FrameMaker.

You can add, delete, copy, move, or resize rows, and columns to a table using FrameMaker's table commands, copy and paste via the clipboard or by drag and drop.

You can sort table rows and columns by numbers or letters. You can sort by date or time, as long as the information is entered in the table as text.

Note: For structured documents, adding rows or columns can make the structure of the table invalid. For example, a table set up to contain only three columns will be invalid if you add a fourth. It’s best to use the Elements catalog for adding heading or footing rows, because tables are often defined to have a specific number of these rows.
In this topic

  • Add a row or column

  • Add a row using the Element Catalog (structured documents)

  • Add a row below the current one

  • Delete a row or column

  • Copy or move rows or columns

  • Reorder rows or columns

  • Resize a column by dragging

  • Specify a precise column width

  • Copy and paste a column width

  • Resize a row by dragging

  • Adjust the height of a row

  • Make all rows the same height

Add a row or column

  1. Click in a table cell next to where you want to add the row or column.

  2. Choose Table > Add Rows Or Columns. The Add Rows or Columns dialog is displayed.

    Figure 1. Add Rows or Columns dialog
    Add Rows or Columns dialog

  3. Specify the number of rows or columns you want to add and where you want to insert them.

  4. Click Add.

The new rows or columns have the same properties as the current row or column.

Add a row using the Element Catalog (structured documents)

  • Click where you want to add the row in the Structure View, select a row element in the Elements catalog, and click Insert.

Add a row below the current one

  • Press ctrl+enter.

    The new row has the same properties as the previous row.

    If the insertion point is in the last cell of the last row, press tab to create a new row at the end of the table.

Delete a row or column

  1. Select the rows or columns you want to delete, making sure that you select entire rows or columns. If you don’t, the contents of the selected cells are deleted without a prompt for a decision.

  2. Press Delete, click Remove Cells From Table, and click Clear.

Alternatively, you can also use the following methods to remove a row or column:

  • Bring your mouse cursor on the row or column that you want to delete, and click Delete Row or Delete Column on the table toolbar (View > Toolbars > Table Formatting).

  • Right-click on the table row or column that you want to delete, and choose Table > Delete Rowor Delete Column from the context menu.

  • Bring your mouse cursor on the row or column that you want to delete, and use the escape key sequence Esc, T, R, D to delete the row or Esc, T, C, D to delete the column.

Copy or move rows or columns

Use the Edit menu:

  1. Select the rows or columns, and do one of the following:

    • If you are copying them, choose Edit > Copy.

    • If you are moving them, choose Edit > Cut, click Remove Cells from Table, and then click Cut.

  2. Click next to where you want to insert the rows or columns, and choose Edit > Paste. You can insert them next to the current row or column, or you can replace the current row or column.

If you overwrite the rows or columns in a table, the cells on the clipboard replace the current rows or columns according to the following rules:

  • If the number of rows or columns on the clipboard is equal to the number of selected rows or columns, they are replaced exactly.

  • If the number on the clipboard is greater than the number you select to replace, only the number of rows or columns that fit are pasted.

  • If the number on the clipboard is less than the number you select to replace, the clipboard contents are repeated so that they fill the rows or columns.

Tip: To split a table, cut rows or columns from a table and paste them where you want to make a new table. To combine two tables, cut the rows and columns from one table and paste them into another.

Using drag-and-drop:

  1. Select one or more rows or columns to move.

  2. Drag the rows or columns to the location where you want to move them.

    To copy the rows or columns, keep the ctrl key pressed as you drag them.

  3. Drop the rows or columns to move or copy.

    When you drag-and-drop a row, the dragged row replaces the row below. Similarly, when you drag-and-drop a column, the dragged column replaces the column to the right.

  4. To retain the row (below) or column (to the right), keep the shift key pressed as you drag-and-drop.

Tip: You can also drag a row’s bubble in the Structure view to move the row, or Alt-drag the bubble to copy the row.

Reorder rows or columns

  1. Select the rows or columns to reorder in the table.

  2. Hold down the shift key and drag-and-drop the rows or columns to the required alternate location in the table.

Resize a column by dragging

  • To change a column width, select a cell in that column and drag its handle until the column is the size you want. Select several columns to resize them together.

  • To move the border between two columns so one column grows wider and the other narrower, alt-drag a selection handle. The overall width of the table doesn’t change.

Tip: To align the column border with the snap grid, choose Graphics > Arrange > Snap before you change the width.

Specify a precise column width

  1. Select cells in the columns you want to resize (if you’re resizing a single column, just click in it), and choose Table > Format > Resize Columns or right-click and choose Resize Columns.

    Note: If you are working in Structured FrameMaker's WYSIWYG View, you can right-click the table cell and choose Table > Format > Resize Columns.

  2. Do one of the following:

    • To specify a value for the width, click To Width and enter the value.

    • To set the width to a percentage of the original width, click By Scaling and enter a percentage.

    • To make the column the same width as another column in the table, click To Width of Column Number and enter the column number.

    • To make the widths equal parts of a total, click To Equal Widths Totaling and enter the total width.

    • To specify a total width while still keeping the columns’ proportions the same, click By Scaling to Widths Totaling and enter the total width.

    • To set the width to match the widest paragraph or frame in the selected cells, click To Width Of Selected Cells’ Contents and enter a maximum width.

  3. Click Resize.

Copy and paste a column width

  1. Click in the column whose width you want to copy.

  2. Choose Edit > Copy Special > Table Column Width.

  3. Click in the column you want to change and choose Edit > Paste. Only the column width is pasted; the contents of the cells remain unchanged.

Resize a row by dragging

To change a row height, select a cell in that row and drag its handle until the row is the size you want. Select several rows to resize them together.

Adjust the height of a row

The height of a row changes automatically to fit the cell’s contents, but you can increase the height further if you want.

Note: When working with a structured document, adjusting the height of a row does not affect the structure of the table, and it is not a format rule override.

  1. Click in the row that has the height you want to increase, and choose Table > Format > Row Format.

  2. Enter values for the minimum and maximum row height and then click Set.

Make all rows the same height

  1. Determine the height of the tallest row in a table: Hold down alt+shift while drawing a selection border around the row.

  2. Note the height, which appears in the status bar.

  3. Select the entire table, and choose Table > Format > Row Format.

  4. Specify this value for the minimum row height and click Set.

Parent topic: Formatting tables


Convert body rows to header or footer rows

If you've imported a table or have an existing table without a header or footer row, you can easily convert the body rows to header or footer rows.

To convert a body row to a header or footer row, do the following:

  1. Select the body row you want to convert to a header or footer row. You can also select multiple rows and convert them.
    Note: If you've straddled a row, you can convert it to a header or footer row. But if you've done a column or vertical straddle, you cannot convert the row to a header or footer row, and FrameMaker displays an error message.
  2. Right-click to display the context menu.
  3. Choose one of the following:
    • Convert Selected Body Row to Header Row
    • Convert Selected Body Row to Footer Row

    The body row is converted to a header or footer row.

    Tip: If you want to convert a header or footer row back to the body row, select Undo <last operation> from the context menu.
Parent topic: Formatting tables


Sorting table rows and columns

Know how to sort a table by rows or by columns in Adobe FrameMaker.

When sorting by numbers, currency symbols are ignored, but negative signs are recognized. For example, -9 or (9) sorts before 9 in an ascending sort. The comma and decimal separators displayed in numbers are treated according to the Regional options set for numbers and currencies on your system.

Text always comes after numbers in a sort. Text strings in tables are sorted based on the default system locale.

Tip: You can sort by date or time as long as you enter it as text, use a consistent format, and include leading zeros. For example, if you’re using dd/mm/yy and hh:mm:ss formats, enter 22/08/2018 or 09:30:25.

To sort a table in Adobe FrameMaker, do the following:

  1. Save your document, so that you can revert to your last saved version if the sort gives unexpected results.

  2. Choose View > Panels > Conditional Tags and set all conditionals to Show. to make sure the table contains no hidden conditional rows in the table.

  3. Do one of the following:

    • To sort all columns or all rows in a table, click anywhere in the table.

    • To sort only certain rows, select cells in the rows you want to sort.

  4. Choose Table > Sort. The Sort Table dialog is displayed.

    Figure 1. Sort Table dialog
    Sort Table dialog in Adobe FrameMaker

  5. If you want to sort all rows or all columns, select All Body Rows in the Scope drop-down list.

    If you want to sort only the selected rows or all columns, select Selection in the Scope drop-down list.

  6. Do any of the following:

    • To sort the rows of the table, click Sort Rows. If the rows contain heading or footing cells as well as body cells, only the body cells are sorted.

    • To sort the columns of the table, click Sort Columns.

    • To sort uppercase letters apart from lowercase letters, select Case Sensitive.

  7. Choose a primary sort key by selecting from the Sort By box and clicking Ascending or Descending.

    You can sort straddle cells as long as they don’t extend past a row or column that you’re using as a sort key. Use Table > Unstraddle and try again.

  8. Optionally, choose a second and third sort key from the Then By areas.

  9. Click Sort.

Note: Adobe FrameMaker correctly sorts numbers preceded by the special symbols ()+-,. and $. However, combining several of these symbols in a cell sometimes adversely affects sorting. For example, a table cell containing -2 will fall correctly between -1 and -3, but a cell containing -2+3 will not (FrameMaker interprets the sequence as -23).
Note: The table sorting feature supports the Unicode text encoding standard.
Parent topic: Tables


Table position and spacing

Learn how to define table position and spacing in Adobe FrameMaker.

Usually, a table appears below the line of text containing the anchor symbol. However, you can force a table to start at the top of a page or column, or you can let the table float.

If a text column where a floating table is anchored is too small to contain the table, a floating table moves to the first text column that can contain it. However, the line of text containing the table’s anchor symbol does not move. If the table moves to the next text column, the text fills the space below the line containing the anchor symbol.

The space between a table and the paragraph above it is determined by the table’s space above setting or the paragraph’s space below setting, whichever is larger. The space between a table and the paragraph below is determined by the table’s space below setting or the paragraph’s space above setting, whichever is larger. When the table is at the top or bottom of a column, the above or below setting is ignored.

  1. Click in the table you want to change, and choose Table > Format > Table Designer.

  2. In the Basic properties of the Table Designer, do one or more of the following:

    • Enter indent values in the Left and Right boxes.

    • Enter spacing values in the Above Paragraph and Below Paragraph boxes.

    • Specify alignment from the Alignment drop-down list.

  3. Click Apply.

Tip: If you want a table to start at the top of a page with no text preceding it, anchor it on the previous page and set the table to float. If you want it always to float, make its orphan setting a large number such as 200.

If the anchor symbol for a top-of-column table appears below a paragraph that spans columns, the table appears in the next column but just below the spanning paragraph, instead of at the top of the column.

Figure 1. A top-of-column table anchored below a spanning paragraph
A top-of-column table anchored below a spanning paragraph

Parent topic: Tables
Related information
  • Set the minimum number of rows on a page or in a column


Span or un-span tables and cells

Know how to span or un-span tables and cells in FrameMaker.

Introduction

Tables can span columns in multicolumn layouts, and their positions are sometimes affected by spanning paragraphs. Spanning does not affect the structure of a table and is not a format rule override.

Span a table across columns

To span a table across columns, do one of the following:

  • Anchor the table in a spanning paragraph. A table anchored in a spanning paragraph, always spans the full width of the text frame.

  • In case of structured documents, anchor the table in a paragraph element that’s formatted to span columns. If the table is wide enough, it spans the full column width. If it is not wide enough, the plane of the table nevertheless spans the full width.

    Figure 1. A table anchored in a spanning paragraph
    Anchoring a table in a spanning paragraph

  • Extend the table width into a second column of the body area. If you want the table to span both the side-head area and the body area, extend it into the side-head area as well.

    Figure 2. Spanning all columns and spanning the side-head area
    Spanning a table to all columns or side-head area

Un-spanning a table

  • To un-span a table that’s anchored in a spanning paragraph or paragraph element, move the anchor to a non-spanning paragraph or non-spanning element.

  • To un-span a table that’s anchored in a spanning paragraph or paragraph element, resize the column widths of the table to fit in the text column.

Merge or split table cells

If you merge cells that have content, the content of those cells also merge. FrameMaker creates separate paragraphs for each merged cell.

Do one of the following:

  • Select the cells you want to merge, and choose Table > Straddle.

  • Select the merged cell you want to split, and choose Table > Unstraddle. The contents of the merged cell appear in the upper left new cell, not back in the original cells.

Parent topic: Tables
Related information
  • Table rows and columns


Rotate cells and tables

Know how to rotate cells and tables, insert a rotated table in a page of un-rotated text in Adobe FrameMaker.

Introduction

When you rotate a cell in a table in Adobe FrameMaker, you can type in it just as you do in any other cell.

You can also rotate an entire table by placing the table in an anchored frame that is rotated. A rotated table can be in an anchored frame on a page of unrotated text or on a rotated page (one that uses a rotated master page). Place the table on a rotated page instead of rotating the table itself if you want background items (such as headers or footers) or body text to be rotated with the table. You cannot edit a table in a rotated page.

Note: For structured documents, check with your Structured Application developer to see if the Structured Application is set up for rotated tables.

Rotating a cell or a page with a table does not affect the structure of a table, and it is not a format rule override.

Note: For structured documents, a rotated table in an anchored frame is not part of a document’s main structured flow and is not exported to SGML/XML. If you plan to export to SGML/XML, consider rotating the page rather than just the table. If you must rotate just the table, work with your application developer to avoid losing data in the table.
Figure 1. Table on a rotated page (left), rotated table on a regular page (right)
Table on a rotated page or rotating a table on a regular page

Figure 2. Rotated cells
Rotating cells in a table

Rotate a table cell

To rotate a table cell in Adobe FrameMaker, do the following:

  1. Select the cells you want to rotate, and choose Table > Rotate Table Cell Content.

  2. Specify the angle you want for the cells and click Rotate.

Tip: As you type in a rotated cell, the cell height increases, and the text doesn’t wrap. You can limit the height of rotated cells so that text wraps when it reaches the limit.

Insert a rotated table in a page of unrotated text

To insert a rotated table in a page of unrotated text in Adobe FrameMaker, do the following:

  1. Insert an anchored frame, and draw a text frame in it.

  2. Insert the table in the text frame.

  3. Select the text frame, choose Graphics > Rotate, and rotate the text frame counterclockwise. You can adjust the size of the text frame or the anchored frame to view the entire table.

Insert a rotated table in a page of unrotated text (structured documents)

To insert a rotated table in a page of unrotated text in structured documents in Adobe FrameMaker, do the following:

  1. Click in the text where you want to anchor the table.

  2. Select a graphic element for empty anchored frames in the Elements catalog and click Insert.

  3. Choose Below Current Line from the Anchoring Position drop-down list, set the width and height of the frame, and click New Frame. Try to set the size of the frame to be slightly larger than the size of the table.

  4. Draw a text frame in the anchored frame. Choose View > Toolbars > Graphics Toolbar and click the Place A Text Frame tool Place A Text Frame tool in FrameMaker in the Tools panel. Drag to draw the frame and click Set in the dialog box that appears.

  5. Click in the text frame and use Table > Insert Table to insert an unstructured table.

  6. Choose Graphics > Rotate and rotate the text frame. You can adjust the size of the text frame or the anchored frame to view the entire table.

Create a rotated table on a page with other rotated text

Create a rotated master page and apply it to the body page where the table appears.

If document editing causes the table to move to a different page, you’ll need to reapply master pages.

Edit a rotated table

Unrotate the text frame, edit the table and then rotate it back when you’re finished.

Parent topic: Tables
Related information
  • Rotate a master page
  • Assign master pages to bodypages
  • Table rows and columns
  • Create anchored frames
  • Add text to graphics


Insert page breaks in a table

Learn how to insert page breaks in a table, and set the minimum number of rows in Adobe FrameMaker.

Introduction

If all the rows of a table don’t fit in a text column, some of the rows move to the next page or column. You can control how the table breaks between pages or columns. For example, you can set the minimum number of rows that can appear on a page or column, or specify that two rows always appear together on the same page or column. You can also force a break at any row in a table.

When you insert a table, the minimum number of rows in a column or on a page is determined by the table format. You can change this number in the Table Designer.

Keeping two rows together and forcing a page break is not part of the table format; they are custom settings, which you make on a case-by-case basis. If you apply a different format to the table, these settings are not overwritten.

Set the minimum number of rows on a page or in a column

If a table doesn’t fit on one page or in one column, the location of the page break is based on the number of orphan rows allowed for the table. The orphan row property determines the minimum number of body rows that must be kept together on a page or in a column.

Note: When working with structured documents, changes to page breaks do not affect the structure of a table and are not format rule overrides.

To set the minimum number of rows in a table that stay together on a page or in a column, do the following:

  1. Click in the table you want to change, and choose Table > Format > Table Designer.

  2. In the Basic properties of the Table Designer, enter the number of rows in the Orphan Rows box. The number can range from 1 and 255.

  3. Click Apply.

Tip: Specifying a large orphan row setting, such as 99, prevents a table from breaking across columns or pages.

Keep rows together

To keep rows of a table together in Adobe FrameMaker, do the following:

  1. Select the row you want to keep together with the next or previous row and choose Table > Format > Row Format.

  2. In the Keep With area, select Next Row or Previous Row. Click Set.

Add or remove a page break in a table

Just as you can have a table or paragraph always start at the top of a page or column, you can do the same with a specific row in a table. Later, you can remove the page break if you want to.

To add or remove a page break in a table, do the following:

  1. Click in the row you want to change, and choose Table > Format > Row Format.

  2. Do one of the following:

    • To force the row to the top of the next column, select Top Of Column or one of the Top Of Page options from the Start Row drop-down list.

    • To remove a page break, select Anywhere from the Start Row drop-down list.

  3. Click Set.

Parent topic: Tables


Insert a table in a FrameMaker document

Learn how to insert a table and know types of table variable in Adobe FrameMaker.

When you insert a new, empty table, you select a format for the table. Table styles are stored in a catalog, as are paragraph and character styles. You can apply a different style to any paragraph in any cell, and you can modify the style of any paragraph.

  1. Click in the line of text to which you want to anchor the table. You can insert a table anywhere except in a footnote.

  2. Choose Table > Insert Table.

  3. If required, change the number of columns, rows, heading rows, or footer rows.

  4. Select a format for the table. If the format you need is not in the list, you can import the format from another document.

  5. Choose the table variable type (continuation or sheet) to insert. For more details on table variables, see Add table continuation text.

  6. Click Insert.

    An anchor symbol Anchor symbol appears at the insertion point when text symbols are visible. Deleting the symbol deletes the table.

Note: In multicolumn page layouts, the table can straddle columns, and its position is sometimes affected by straddle paragraphs.
Parent topic: Tables


Insert a table in a structured FrameMaker document

Know how to insert a table element in structured documents in Adobe FrameMaker.

A table is anchored to a specific location in text. As you edit the text, the table moves in the document along with the text. An anchor symbol Anchor symbol appears at the table’s anchor location in the document window.

When you insert a table, you specify where to anchor it. For example, you can anchor a table in a <p> element (as a child element of <p>) or you can anchor it in a <section> element (as a sibling to <p> and other elements in the section). It depends on how the elements are defined for your document type.

  1. Click where you want to insert the table.

  2. Select a table element in the Elements catalog, and click Insert.

    Note: To add other table-part elements to the table, use the Elements catalog as a guide.

  3. If required, change the number of columns, rows, heading rows, or footer rows.

  4. To change the table format, select a format in the scroll list. The table element can have a format preselected, but you can change the format and it is not considered a format rule override.

    Consult your developer before changing a table format. Your element catalog can have a separate element defined for each format you’ll need.

  5. Choose the table variable type (continuation or sheet) to insert. For more details on table variables, see Add table continuation text.

  6. Click Insert. FrameMaker inserts an anchor symbol Anchor symbol at the insertion point and a table with predefined descendant elements. The Structure View has bubbles for the new elements.

  7. If the Attributes for New Element dialog box appears, enter attribute values for the table element and click Insert Element.

    Tip: Select cells in the table and then right-click to display a context menu for working with the cells. You can also use the Quick Access Bar as a quick way to apply table commands.

If no table element is available at the location you want, you can use an invalid element. After inserting the table, talk to your developer about making it valid at this location.

Parent topic: Tables


Working with tables in structured documents

Know how to work with tables in structured documents also understand elements and formatting, and DITA support in FrameMaker.

Structured tables work in much the same way as unstructured tables. The table element definition determines the table’s structure. When you insert the table, at least some row and cell elements are inserted along with it, ready for you to provide the contents.

Elements for structured tables and table parts

A table and its parts (such as title, rows, and cells) are each represented in an element. You can see and work with these elements in the Structure view.

Figure 1. Table and table part elements
Table and its parts represented as elements in FrameMaker

When you insert a table element, some of the table parts are inserted automatically. You can use the Element Catalog as a guide for building the rest of the table. If you add more table parts, they can also have an initial structure; for example, a new row element contains cell elements. The content rules for table and table-part elements define an initial structure for that element.

A table can also have cells that are defined to remain empty. No valid elements can be inserted in these cells, and you cannot type in them. An empty cell element describes the use of the cell—look for names such as BlankHeader or SpacerCell.

How structured tables are formatted

The appearance of a structured table is determined by its table format, various settings in the Table menu, and paragraph styles for text.

Table formats

A table format controls the spacing, indentation, and alignment of a table in a column, the start position on a page, the location of the title, default margins for cells, the direction of autonumbering in cells, and default ruling and shading. A document stores table formats in a Table Catalog.

The format rules for a table element suggest a particular table format. You can apply a different format to the table at any time and the change is not considered a format rule override.

Changing the table format makes a table invalid, though, if the format adds a title and the table’s content rules don’t allow one.

Table menu commands

The Table menu has commands for rotating and straddling cells, changing cell height and page breaks, adding rows and columns, and applying custom ruling and shading to cells. These settings take precedence over the table format for particular cells.

You can use any of the Table menu commands in a structured table. The commands are not format rule overrides and, except for Add Rows And Columns, do not affect the structure of the table.

Paragraph style

Paragraph styles define fonts, line spacing, and other properties for text in the cells and the title. Table-part elements can specify paragraph styles.

DITA support for tables

DITA topics support two types of tables. The <table> element uses the OASIS Exchange Table Model (formerly known as the CALS table model). The OASIS table supports the spanning of multiple rows or columns for special layout or organizational needs, and provides a wide variety of controls over the display properties of the data and even the table structure itself.

The <table> element organizes arbitrarily complex relationships of tabular information. This standard table markup allows column or row spanning and table captions or descriptions. An optional title allowed inside the table element provides a caption to describe the table.

The DITA table is based on the OASIS Exchange Table Model, augmented with DITA attributes that enable it for specialization, content references, and other DITA processing. In addition, the table includes a <desc> element, which enables table description that is parallel with figure description.

In DITA tables, in place of the expanse attribute used by other DITA elements, the pgwide attribute is used to conform to the OASIS Exchange Table Model. This attribute has a similar semantic (1=page width; 0=resize to galley or column).

Note: The scale attribute represents a stylistic markup property that is maintained (for now) in tables for legacy purposes. External style sheets should enable less dependency on this attribute. You should use the scale attribute judiciously in your topics.

The other table structure in DITA is called <simpletable>. As the name implies, it is structurally less complex than the OASIS table, and can be used as a simple, regular table for which close control of formatting is not as important. The main advantage of simpletable is for describing lists of data with regular headings, such as telephone directory listings, display adapter configuration data, or API properties.

Parent topic: Tables


Working with invalid table elements

Understand how to work with an invalid table element in Adobe FrameMaker.

  • To use a table that is valid in another part of the document, either insert the table in a valid location and then move it, or use the All Elements setting to make the table available everywhere and then insert the table where you want it.

  • To insert an invalid table with default tags, choose Table > Insert Table and choose <TABLE> from the Element Tag drop-down list. (This option appears in the menu if the document has no defined table elements.) The table and table parts have default tags, such as <TABLE>, <HEADING>, and <ROW>. After replacing the table with a valid table, change the table parts to valid elements.

Tip: Changing an invalid table with default tags to a valid table can be a laborious process. It’s best to work with tables that are defined.
Parent topic: Tables
Related information
  • Change the scope of elements available in a structured document


Nest a table in a table cell

Learn how to nest a table in a table cell in Adobe FrameMaker.

To nest a table in a table cell, do the following:

  1. Click in the cell in which you want to nest a table.

  2. Choose Insert > Anchored Frame.

    For unstructured documents, this command creates an anchored frame that’s anchored below the current line. Try to set the width and height of the frame to be slightly larger than the width and height of the table you want to insert.

    For structured documents, this command inserts an element. Choose a frame element from the Element Tag drop-down list in the Anchored Frame panel. Select a graphic element for empty anchored frames in the Elements catalog, and click New Frame.

  3. If the anchored frame is wider than the cell, resize the column.

  4. Use the Text Frame tool on the Tools panel to draw a text frame in the anchored frame.

  5. Click in the text frame and choose Table > Insert Table.

Important: If you export a document to SGML or XML, you can lose the contents of anchored frames in it because they are not part of the main structured flow. Work with your application developer if you plan to export to SGML or XML to avoid losing data in the nested table.
Parent topic: Tables
Related information
  • Anchored frames
  • Table rows and columns


Copy, move, or delete a table

Know how to copy, move, or delete a table in Adobe FrameMaker.

If you copy or move an unstructured table to a structured flow, the table is given a basic structure with default elements named <TABLE>, <HEADING>, <ROW>, and so on. If you copy or move a structured table to an unstructured flow, the table structure may no longer be valid.

  1. Press Ctrl and triple-click a cell to select the entire table or click the table element in the Structure View.

  2. To copy the table, choose Edit > Copy.

    To move the table, choose Edit > Cut. If a dialog box appears, click Remove Cells From Table, and click Cut. Then click where you want to move the table, and choose Edit > Paste. Check the Elements catalog before pasting to ensure that you paste the table at a valid location.

    To remove the table, press Delete.

Tip: You can also drag a table element in the Structure View to move the table, or press alt and drag the element to copy the table.
Parent topic: Tables


Graphics and objects

Know how to create, link, and manage graphics in FrameMaker.

Graphics form an integral part of any content. You can create your own graphics in FrameMaker.

Add text to them, import and link images in many formats, create QR codes, and link 3D Graphics. You can also insert Adobe Photoshop images and Adobe Illustrator graphics, and even Adobe Captivate demos.

  • Create graphics
    Learn how to create graphics and objects in structured and unstructured Adobe FrameMaker. Also know how to work with illustrations.
  • Colors
  • Anchored frames
    Know what are anchored frames and how they are used in Adobe FrameMaker.
  • Embed objects
  • Hotspots
    Know what a hotspot is and how to create clickable hotspots on images and graphics in Adobe FrameMaker.
  • Object styles
    Understand object styles are and their properties and get familiar with object properties in Adobe FrameMaker.
  • 3D and multimedia objects
    Know how you can work with 3D and multimedia objects and insert links for interactive control in FrameMaker.
  • QR codes
    Understand QR codes and how you can work with them in Adobe FrameMaker.
  • Using RoboScreenCapture
    Learn what is RoboScreen capture and how to use it in FrameMaker.
  • Import and edit Adobe Illustrator images
    Understand how to import and edit images in Adobe FrameMaker using Adobe Illustrator.
  • Import and edit Adobe Photoshop images
    Understand how to import and edit images in Adobe FrameMaker usig Adobe Photoshop.
  • Change direction of a document containing objects
    See how you can change the direction of documents containing objects in Adobe FrameMaker.


Create graphics

Learn how to create graphics and objects in structured and unstructured Adobe FrameMaker. Also know how to work with illustrations.

  • About graphics and objects
  • Draw objects
    Learn how to draw various objects in FrameMaker, know about drawing properties.
  • Select objects
    Learn how to select one or multiple objects using select tool, how to deselect an object in FrameMaker.
  • Apply and change drawing properties
    Learn how to apply and change drawing properties, work with patterns, line and arrow styles in FrameMaker.
  • Add text to graphics
    Learn how to add text with graphics in FrameMaker, work with text frames and titles and running text around graphics.
  • Copy and arrange objects
    Know how to copy and arrange objects in FrameMaker, modify the stacking order, work with gravity, grid and distribution of objects.
  • Join lines and curves
    Know how to join line and curves around the objects in FrameMaker.
  • Flip and rotate objects
    Learn how to flip and rotate an object and create a symmetrical effect in FrameMaker.
  • Crop or mask graphics
    Know how to crop and mask graphics in FrameMaker, and also work with graphics frame.
  • Measure object size and position
    Understand how to measure object size and position in FrameMaker.
  • Resize and reshape objects
    Learn how to resize and reshape objects in FrameMaker, resize imported graphics, and smooth and unsmooth objects.
Parent topic: Graphics and objects


About graphics and objects

Working with illustrations

In Adobe FrameMaker, you can draw rectangles, ovals, and polygons, as well as straight and curved lines. You can create complex illustrations by combining several objects, and include text in illustrations. You can also specify object properties (such as fill pattern, line width, and color), and resize, reshape, rotate, and rearrange objects.

You can place illustrations directly on the page, in anchored graphic frames that move with the text, or in unanchored graphic frames that crop the edges of the illustration.

  • Text frames control placement of the document text.

  • Graphic frames can be anchored or unanchored and control the position and appearance of graphics.

  • Anchored frames hold graphics related to specific text and move along with the text as you edit it.

  • Unanchored frames are used to crop graphics that stay in the same place on the page. You can also use unanchored frames to hold reference art. You draw unanchored graphic frames with the Graphic Frame tool on the Tools panel.

    Note: Graphics placed in unanchored frames are not exported to HTML, Microsoft Word, or RTF.

    If you want the graphic to appear at a specific location on a page (for example, for a logo or a bleed tab), draw or import the graphic directly on the page. If you need to crop a graphic or include it as reference art on a reference page, you place it in an unanchored graphic frame.

    A. Graphic drawn on page B. Text line C. Anchored frame D. Text frame for document text

    You can use text frames along with graphics—for example, as callouts or captions. You can also use text frames in anchored frames to create effects such as sidebars. For single lines of text in graphics, you can also use the Text Line tool.

Tools palette overview

You use the dockable Tools panel to select drawing tools and to apply properties. To display the Tools panel, choose Graphics > Tools or View > Toolbars > Graphics Toolbar.

Note: Graphics created using the Graphics Toolbar are saved as SVG files in the Responsive HTML5 output.
Figure 1. Graphics toolbar
Graphics toolbar in FrameMaker

A. Selection tools B. Drawing tools C. Hotspot mode D. Drawing properties

About paths

An object’s path is an imaginary line through the center of the object’s border. The path appears as an outline when you draw an object.

Figure 2. A. Border B. Path

FrameMaker uses the path to position objects. For example, when you use the Align command to align objects, the objects are aligned along their paths, not along the outside of their borders. When the snap grid is on as you draw, FrameMaker aligns the path with the snap grid.

Figure 3. Objects are aligned along their paths.

About graphic elements in structured documents

When working with structured documents, you use special elements to place graphics. A graphic element provides an anchored frame for holding graphic objects. The frame is anchored to a specific location in text. As you edit the text, the frame and its contents move in the document along with the text. The element appears in the document’s structure, but the graphic or equation itself is not part of the structure.

A new graphic element is either an empty anchored frame or an anchored frame with an imported graphic. When you insert the element, its format rules determine whether you see a dialog box for setting up a frame or for importing a graphic file:

  • For an element that is an empty anchored frame, you specify the size of the frame, its anchoring position, and some formatting properties such as alignment. You can fill in the frame by drawing, pasting, or importing graphic objects in it.

  • For an element that is a frame with an imported graphic, you specify the file to import. The graphic appears below the line with the anchor symbol, in a frame large enough for it.

After you’ve inserted a graphic element, you can place different contents in the frame, resize the frame, change the anchoring position, and edit the frame in other ways. These changes are not considered to be format rule overrides.

To align a graphic element in a structured document, you can either define the alignment in the document, using the Attribute panel or in the EDD (the Structured Application associated with the document). If you add a graphic element to a document and do not assign the alignment, by default, FrameMaker will center align the graphic on the document.

Scaling Images in structured documents

An image can be resized by changing either the height, width, or the scaling attributes. In a DITA topic, you can access the height, width, and scaling attributes from the Object Properties or Attributes panel.

Consider the following points while changing the image size attributes in the Object Properties dialog:

  • If you change the height, width, or both, then you must click the Apply button for the changes to take effect.

  • If you change the height, width, and scaling attributes, then the values present in the height and width attributes take precedence over the scaling attribute.

  • If you specify only the scaling attribute, then the height and width of the image is proportionately adjusted. Also, the values in the height and width attributes are updated according to the scaling factor.

Consider the following points while changing the image size attributes in the Attributes dialog:

  • If you specify a value in the height or width attribute and move the focus to any other attribute, the image is resized immediately.

  • To scale an image, you must delete any value present in the height and width attributes, and then specify a value in the scale attribute.

  • If a value is present in the height or width attribute, and you change the scale attribute, then the image would not be scaled. The value present in the height or width attribute takes precedence over the value specified in the scaling attribute.

Parent topic: Create graphics
Related information
  • Create anchored frames
  • Multiple Undo/Redo
  • Anchored frames
  • Crop or mask graphics
  • Use reference frames on reference pages
  • Add text to graphics


Draw objects

Learn how to draw various objects in FrameMaker, know about drawing properties.

When you draw an object, the pointer is a cross-hair Cross-hair. After you draw, the pointer normally changes back to an arrow Arrowpointer so you can select objects, or to an I-beam I-beam so you can select or type text. To draw another object, you usually have to click a drawing tool again.

When you draw an object directly on a page, it doesn’t move with the text, although text can run around the object. If you want the object to be “anchored” to surrounding text (that is, to move as you edit the text), you can draw the object in an anchored frame, or draw it on a page and then move it into an anchored frame.

When you draw an object, it uses the drawing properties that are selected on the Tools panel. The object is also selected, to make changing these properties easier.

Draw a straight line

  1. Click the Line tool.

  2. Click at the start and end of the line. You can also drag from the beginning to the end of the line. To draw a horizontal or vertical line, or a line at a 45-degree angle, Shift-click, or Shift-drag.

Tip: To draw several lines that touch one another, use the Polyline tool to draw several connected lines as a single object. You can also use the Line tool to draw the lines and then use the Gravity feature to make sure that they touch one another.

Draw a polyline or polygon

  1. Click the Polyline tool or the Polygon tool.

  2. Click at each vertex in turn. To draw a horizontal or vertical segment, or a segment at a 45-degree angle, Shift‑click.

  3. Double-click at the last vertex.

Figure 1. Click at each vertex and then double-click to end.

Draw an arc

  1. Click the drop-down arrow on the link tool and choose the Arc tool.

  2. Put the pointer where you want to start the arc and drag along the path of the arc. To draw a circular arc, Shift‑drag.

Figure 2. Drag and then release.

If the arc isn’t the shape you want (for example, if it’s concave rather than convex), don’t release the mouse button. Drag the cross back to the starting point and draw the arc again, dragging along the path you want the arc to trace.

Initially, the angle of the arc will be 90 degrees.

Draw a freehand curve

  1. Click the drop-down arrow on the Polygon tool and choose the FreeHand Curve tool .

  2. Place the pointer where you want to start the freehand curve, and drag along the path of the curve. The snap grid is ignored for all but the first point of a freehand curve; however, you may want the snap grid to be off when you draw the curve.

Figure 3. Drag and then release.

When you release the mouse button, FrameMaker approximates a curve along the path you drew and displays reshape handles and control points so you can reshape the curve.

Tip: For more precise control over the shape of a freehand curve, create a curve by drawing polylines or polygons and then smoothing them.

Draw a rectangle, a rounded rectangle, or an oval

  1. Click the Rectangle tool  or from the drop-down arrow, choose the Oval tool , or the Rounded Rectangle tool .

  2. Drag diagonally across the area in which you want the object to appear. To draw a square or circle, Shift-drag.

Figure 4. Drag and then release.

Tip: To draw a border around a graphic, draw a rectangle with a fill pattern of None around the graphic.

Draw a regular polygon

  1. Draw a circle or square that is slightly larger than the regular polygon you want to create. If you draw a rectangle or an oval, the polygon you create won’t be regular.

  2. Select the object and choose Graphics > Reshape > Set # Sides.

  3. Specify the number of sides and the start angle of the polygon, and click Set.

Figure 5. Original object and regular polygon, with number of sides = 3 and start angle = 45°

Draw several objects of the same type without clicking the tool each time

Do one of the following:

  • For all objects except text lines, Shift-click the tool. To stop using the tool, click another drawing tool or one of the selection tools on the Tools panel.

  • For text lines, press Return at the end of a text line and continue typing.

Parent topic: Create graphics
Related information
  • Apply and change drawing properties
  • Use gravity and grids to align objects
  • Resize and reshape objects


Select objects

Learn how to select one or multiple objects using select tool, how to deselect an object in FrameMaker.

You can select objects that are on the same page or in the same graphic frame. When you select a graphic frame, any selected objects are deselected. When an object is selected, handles appear around it.

Smart Select tool

Allows you to place an insertion point or select text when the pointer is over text, and to select objects when the pointer is over an object. When the Smart Select tool is active, the pointer changes shape as you move it—to an I-beam I-beam over text or to a hollow arrow Arrow pointer over objects. In general, use the Smart Select tool as you work.

Object Select tool

Use the Select Object tool when you’re working with text lines and text frames as objects—for example, when you want to move or resize a text frame. When you click in text with the Select Object tool active, you select the text line or text frame as an object rather than put an insertion point in the text.

Note: After you draw an object, FrameMaker reverts to the Smart Select tool. If you want to keep the Select Object tool active after drawing an object, Shift-click the tool on the Tools panel.

Select an object or multiple objects

Do one of the following:

  • To select one object, click it. If the object is transparent—that is, if it has a fill pattern of None—click its border. When you click overlapping objects, FrameMaker selects the object in the foreground.

  • To select several objects, point outside the objects and drag diagonally to draw a selection border around them. All objects you want to select must be completely within the selection border.

    Figure 1. Drag to select several objects.

    Note: If you move the object rather than draw a selection border (because the pointer was over an object), immediately choose Edit > Undo. Then press Shift-drag to draw a selection border.

  • To select all objects in a graphic frame, select the frame or any object in the frame, and then choose Edit > Select All in Frame.

  • To select all objects on a page, click outside any objects or text on the page and choose Edit > Select All on Page.

Deselect objects

Do one of the following:

  • To deselect an object, click outside the object.

  • To deselect one of several selected objects, Shift-click the object (not a handle). You can also Control-click the object.

  • To deselect all selected objects, drag-and-drop the page away from any objects.

  • To deselect several objects in the same area, point outside all the objects and Shift-drag diagonally to draw a selection border around the objects. When you release the mouse button, all objects that are completely within the selection border are deselected. If any objects within the selection border were not selected when you began dragging, they are selected.

Parent topic: Create graphics


Apply and change drawing properties

Learn how to apply and change drawing properties, work with patterns, line and arrow styles in FrameMaker.

An object’s drawing properties include the fill pattern, pen pattern, line width, line ends, color, and whether the line is solid or dashed. You change drawing properties from drop-down lists on the Tools panel.

You can change drawing properties before you draw an object, or you can select objects that you’ve already drawn and then change their properties. After you change a property, it becomes the current property—that is, it will be applied to any object you draw. For example, if you choose a line width of 1 point, this is applied to all newly drawn objects until you choose another line width or exit FrameMaker.

You can make objects look alike by applying one object’s properties to another object.

You can also change the colors in the Color drop-down list and customize the following choices that appear on the Tools panel:

  • The values assigned to the line widths that appear in the Line Widths drop-down list.

  • The Line end style, which determines the appearance of any line ends that don’t have an arrowhead.

  • The pattern that FrameMaker uses when you choose the dashed line style from the Line Styles drop-down list. (The pattern that appears in the drop-down list doesn’t change, but FrameMaker uses the new pattern.)

The new line width settings remain until you change them. The other new settings remain until you change them or exit FrameMaker.

None of the changes described here are applied automatically to existing objects. However, you can apply the new settings to both new and existing objects.

Note: Dashed line pattern and polylines may appear solid on screen and in print if the lines are especially thick and contain acute angles or have round or projecting caps. To make the lines print correctly, change the Line Ends Options setting to Butt, use a smaller line width, or redraw the object using separate lines.

Apply a fill pattern or pen pattern to a selected object

Choose the pattern from the Fill Pattern drop-down list Fill Patterndrop-downlist or Pen Pattern drop-down list PenPatterndrop-downlist. You can fill any objects except lines, text lines, and equations.

Figure 1. A. Pen pattern B. Fill pattern

The eight gray fill and pen patterns have the following percentages: 100, 90, 70, 50, 30, 10, 3, and 0 (no ink, typically white).

Tip: To make an object transparent (so objects in back of it show through), choose a fill pattern of None. If you don’t want the object to have a border, choose a pen pattern of None. To see the border of an object that uses both a pen and a fill pattern of None, choose View > Borders.

Choose a line width for a line or an object’s border

Choose a width from the Set Line Widths drop-down list SetLineWidthsdrop-downlist. You can change the line width of any object except text lines.

Change the ends of an arc, a line, a polyline, or a freehand curve

Choose the line end from the Set Line End Style drop-down list SetLineEndStyledrop-downlist. You can use no arrowhead or place an arrowhead at the beginning, at the end, or at both ends.

Make a line or object’s borders solid or dashed

Choose a solid or dashed style from the Set Dashed Line Pattern drop-down list SetDashedLinePatterndrop-downlist.

Inspect an object’s drawing properties or apply them to other objects

  1. Select the object that has the properties you want to inspect or copy.

  2. Hold down Shift and choose Graphics > Pick Up Object Properties. The properties of the selected object become the current properties on the Tools panel. Any object you draw picks up those properties.

  3. To apply the properties to existing objects, select the objects you want to change. In the Tools panel, click the current drawing properties you want to apply to the selected objects.

Change line width settings

  1. From the Set Line Width drop-down list on the Tools panel.

  2. Do one of the following:

    • To change the line widths, drag the slider.

    • To change the line widths, click Set and enter the new line widths. You can enter the values in any order. When you click Set, the line widths are sorted from smallest to largest. The widths that appear in the drop-down list don’t change.

    • To revert to the line widths you had when you started FrameMaker, click Get Defaults.

Change the line end style

  1. Select Set from the Set Line End Style drop-down list on the Tools panel.

  2. Select a line end style and click Set.

    The Cap Style sets the line end style as shown in the following illustration:

Figure 2. A. Butt B. Round C. Projecting

Change the dashed line style

  1. Select Set from the Set Dashed Line Pattern drop-down list on the Tools panel.

  2. Click one of the patterns and click Set.

You can also create custom dashed line pattern.

Tip: To create a dotted line that uses round dots, use a dashed line pattern of short dashes with a round line cap.

Change the arrow style

You can choose from among several preset arrow styles. Arrow styles are determined by their base angle, tip angle, and length.

Figure 3. A. Base angle B. Tip angle C. Length

None of the changes described here are applied automatically to existing objects. However, you can apply the new arrow style to both new and existing objects.

  1. Select Set from the Set Line End Style drop-down list on the Tools panel.

  2. Do one of the following:

    • Click a preset arrow style and click Set.

    • Fill in a custom base angle, tip angle, length, and style, and then click Set. You can use the following values for the custom options.

      Option

      Values

      Base Angle

      Between 10 and 175 degrees (and at least 5 degrees greater than the tip angle)

      Tip Angle

      Between 5 and 85 degrees

      Length

      Between 0 and 255 points

      Style

      Filled  Filledarrowstyle

      Hollow  Hollowarrowstyle

      Stick  Stickarrowstyle

    FrameMaker ignores the Base Angle option when you use Stick style. The length you specify applies to objects that have a line width of 1 point. When you use a thicker line width, the arrowhead is longer.

    The following table contains sample custom arrows and their settings.

    Arrow

    Base Angle

    Tip Angle

    Length

    70 degrees

    30 degrees

    10 points

    80 degrees

    30 degrees

    10 points

    70 degrees

    15 degrees

    10 points

    70 degrees

    30 degrees

    5 points

    120 degrees

    30 degrees

    5 points
Parent topic: Create graphics
Related information
  • Change line width settings
  • Work with color in objects
  • Fonts


Add text to graphics

Learn how to add text with graphics in FrameMaker, work with text frames and titles and running text around graphics.

You can add single lines of text or text frames to a graphic.

Figure 1. A. Text line B. Text frame

A text line is a single line of text that FrameMaker treats independently from other text. Text lines grow or shrink in length as you edit them, but they don’t wrap to the next line. You typically use text lines for single-line callouts and for text you want to resize in the same way that you resize other objects.

You can assign character styles and a spell-checking language to text lines. However, text lines can’t have paragraph styles, and they can’t contain anchored frames, markers, variables, cross-references, or conditional text.

Unlike a text line, a text frame can contain more than one line of text. You use text frames for multiline callouts, paragraphs of text, and any other text you want FrameMaker to wrap automatically from line to line. When graphics overlap text in a text frame, you can run the text around the graphics.

Tip: When you resize a text frame created with the Text Frame tool, the font size remains the same. However, when you resize a text line created with the Text Line tool, the font height and width change proportionally.

Add a text line to a graphic

  1. Choose Line Text from the Place a Text Frame drop-down list on the Tools panel

    The pointer changes to a crossed I-beam I-beam when you move it to the document window. The small horizontal line across the pointer indicates the baseline position of the text.

  2. Click in the document to place an insertion point, and then type the text. FrameMaker uses the last character style you typed or selected in the document.

The text line is left aligned on its alignment point (where you clicked).

  • To create several text lines, press Return at the end of one text line to create another. You can then select the text lines independently and move them as needed.

    Tip: To change the character formatting of text in a text line, choose Format > Font or the Character Designer. To change the font of several text lines at the same time, select the text lines as objects and change their formatting.

The text direction (LTR or RTL) of a text line inherits the direction of the document. However, you can choose to change the text direction of the text line within the document. To change the direction of the text in a text line:

  1. Do one of the following:

    Graphics > Object Properties > Text Line.

    Graphics > Object Style Designer > Text Line.

  2. In the Direction drop-down list, change the direction of the text line.

Add a text frame

  1. Select Block Text from the Place a Text Frame drop-down list on the Tools panel.

  2. Drag diagonally where you want to add the text frame.

  3. In the Create New Text Frame dialog, specify the number of columns and the gap between them, and then click Set.

  4. Double-click in the text frame to place an insertion point in it, and then type the text.

Fix text frames that overflow

When the text you type overflows the text frame, the insertion point moves below the bottom of the frame and the new text doesn’t appear. The bottom border of the text frame appears as a solid line when borders are visible.

Figure 2. Overflowing text frame

You can enlarge the frame so the text fits, or you can connect the flow of the text frame to another frame (see Disconnect text frames). You can also decrease the font size of the text.

  1. Control-click the text frame to select it.

  2. Drag a handle to enlarge the frame.

Create reverse text in a text frame

You can create reverse text (text that appears in a light color on a dark background) for special emphasis. The reverse text can be in a text frame or a text line.

  1. Set the desired fill pattern and color of the text frame.

  2. Set the text frame’s pen pattern to None.

  3. Change the color of the text with the Character Designer or the Paragraph Designer.

  4. If necessary, change the indentation and alignment of the text with the Paragraph Designer.

Create a reverse text line over an object

  1. Draw an object to act as the background for the text. Generally, it’s best to use a nearly black fill pattern for the object.

  2. Outside the background object, add a text line and type its text.

  3. Control-click the text line to select it.

  4. Move the text line so part of it disappears into the background object.

    Figure 3. Draw object and text line and then move line part of the way.

  5. Choose a light color from the Color drop-down list on the Tools panel. The text appears partially cut out of the background object.

    If the text doesn’t appear in front of the object, choose Graphics > Arrange > Bring to Front. If you still have trouble, make sure that the current color view of the document shows the text line’s color as Cutout.

  6. Move the text line so all its letters appear cut out of the background object.

Figure 4. Choose a light color and then move the text line all the way.

Add a title to an illustration

You can include a text line or text frame in a graphic as a title. You can also use a paragraph above or below an anchored frame as a title for the frame’s graphic. However, you may find it easier to use table commands instead.

Figure 5. Single-cell table with table title below
Adding a single-celltablewithtabletitlebelow

You can also use multicell tables to achieve various effects with graphics and text. For example, the next example is a two-cell table. The first cell contains several autonumbered paragraphs; the second cell contains the figure.

Figure 6. One-row table containing two cells

Use the guidelines provided here for setting up the paragraph styles, table styles, and anchored frames you’ll need if you want to use single-cell tables and their titles for illustrations and their captions.

  1. Use the Table > Insert Table command to create a single-cell table wide enough for your figure.

  2. Use the Table > Table Designer command to specify the location of the title (see Add or remove a table title).

  3. Type the text of the title.

  4. Format the table title.

  5. Store the style for the table title in the Paragraph Catalog (see Create a new paragraph style).

  6. Change the cell’s paragraph style to turn off fixed line spacing so that the size of an anchored frame can affect the paragraph’s line spacing.

    test

  7. Create an anchored frame in the cell, anchored at the insertion point (see Create anchored frames). If necessary, the cell grows vertically to accommodate the frame’s height.

  8. Put the graphic in the anchored frame and resize the frame.

  9. If the frame is wider than the cell, change the column’s width. You can select the table cell and drag a handle to change the width, or you can use the Table > Resize Columns command (see Table rows and columns).

  10. Store the table format in the Table Catalog (see Create, edit, and delete table styles).

  11. The next time you add a table for a figure and its title, either use the Table > Insert Table command or copy and paste the table.

Run text around graphics

You can make the text in a text frame run around a graphic that overlaps the text. However, text will not run around a text line or an equation. When a graphic is placed directly on a page or in an unanchored frame, the text can follow the contours of the graphic, or it can align vertically at the edge of an imaginary box bounding the graphic.

Figure 7. Text run around contour and run around bounding box
Running text around contourandboundingbox

You can also run text around anchored frames—for example, to set a small graphic or a drop cap at the beginning of a paragraph.

When text in a text frame runs around a graphic, FrameMaker does not feather text in that frame.

  1. Draw or place the graphic on a page. When you place the graphic on a master page, it appears as a background graphic on all associated body pages. You can then make the text on all the associated body pages run around the graphic.

    Make sure that you click in the page margin before importing or pasting the graphic. Otherwise, the document contains an insertion point, which will cause the graphic to be placed in an anchored frame.

  2. Select the graphic. If the graphic is made up of several objects, select all the objects.

  3. If you want to run text around the contour of an imported graphic, make sure the graphic is behind the text frame. To do so, select the graphic and choose Graphics > Arrange > Send to Back.

  4. If the graphic’s runaround properties aren’t set as you want them, choose Graphics > Runaround Properties, and do one of the following:

    • To make text run around the graphic, click a runaround style and enter a gap.

    • To prevent text from running around the graphic, click Don’t Run Around.

    Note: If the Style setting is As Is when you display the Runaround Properties dialog box, you selected several graphics that have different runaround properties.

  5. Click Set.

Tip: If the settings don’t produce exactly the results you want, add an object (with a pen and fill pattern of None) near the graphic to create the desired contour for the text to run around.
Parent topic: Create graphics
Related information
  • Resize and reshape objects
  • Font changes using the designers
  • Indentation, alignment, and spacing
  • Anchored frames run into paragraph text
  • Feather text to the bottom of text frames


Copy and arrange objects

Know how to copy and arrange objects in FrameMaker, modify the stacking order, work with gravity, grid and distribution of objects.

Cut, copy, or paste an object by using the clipboard

  1. Select the object and choose Edit > Cut, or Edit > Copy.

  2. Do one of the following:

    • To paste the object on a page, click in the margin of the page.

    • To paste the object in an existing graphic frame, click the frame’s border to select the frame.

    • To paste the object in text, click in the text where you want to paste the object.

  3. Choose Edit > Paste. When you paste the object in a graphic frame or on a page that is the same size as the one from which you copied or cut the object, FrameMaker puts the object in the same relative location. Otherwise, FrameMaker centers the object.

When you paste an object into text, FrameMaker creates an anchored frame to hold the object, and centers the object in the frame. An anchor symbol Anchor symbol appears at the insertion point when text symbols are visible.

Copy an object by dragging

  1. Select the object.

  2. Point on the object (not on a handle), hold Alt and drag the duplicate of the object, or drag the object with the right mouse button and then select Copy Here from the context menu. To constrain the duplicate object’s movement to either a horizontal or vertical direction, hold down Shift while you drag.

Delete an object

Select the object and press Delete.

Move an object

  1. Select the object.

  2. Do one of the following:

    • Drag in the direction you want to move the object.

    • To move the object horizontally or vertically, Shift-drag.

    • To move an object into a graphic frame, drag it until the pointer is in the frame.

    • To move an object out of a graphic frame, drag it until the pointer is outside the frame. As you drag, the frame’s border may temporarily crop the object.

      When you drag the object, the status bar shows the distance from the upper-left corner of the object to the upper-left corner of the page (or frame, if the object is in a graphic frame). When rulers are visible, lines in the rulers show you the object’s position. If the snap grid is on, objects snap to the invisible grid as you drag them.

      Tip: If your screen does not redraw properly when moving an object, press ctrl+l (lowercase L) to redraw the screen.

    • To move an object in small increments, hold down Alt and press an arrow key to move 1 point, or hold down Alt+Shift and press an arrow key to move 6 points. However, do not use an arrow key on the numeric keypad.

      The preceding distances assume a 100% zoom setting. The actual distance moved depends on the current zoom setting, so you can do finer work when you’re zoomed in closer. For example, at 200% zoom, the distance is halved. At 50% zoom, the distance is doubled.

    • To specify the exact position of an object, select the object, choose Graphics > Object Properties, do one of the following and apply the changes:

      • For all objects except text lines and equations, specify the offset from the top and left edges of the page or graphic frame in the Offset From area.

        Figure 1. A. Offset from left B. Offset from top
        Specifying the offset from the top and leftedgesofthepageorgraphicframeintheOffsetFromarea

      • For text lines and equations, specify the offset in the Alignment Point Offset area.

        Figure 2. Left-aligned text line
        Specify the offset in the Alignment Point Offsetarea

        A. Offset from left B. Offset from top

Change the stacking order of objects

When you draw or paste an object, FrameMaker places it in front of all other objects on the page or in a graphic frame. You can control how objects overlap by putting them in front of or in back of other objects.

Figure 3. Circle in front and circle in back

  • Select one of the objects and do one of the following:

    • To put an object in front of other objects, choose Graphics > Arrange > Bring to Front.

    • To put an object in back of other objects, choose Graphics > Arrange > Send to Back.

    Tip: To create a drop shadow, stack two objects and offset them slightly.

Use gravity and grids to align objects

You can align objects (except graphic frames) with one another along either a horizontal line (by specifying top/bottom alignment) or a vertical line (by specifying left/right alignment).

  1. Select the objects and choose Graphics > Arrange > Align. To align a single object in a graphic frame or on a page—for example, along the left side of a graphic frame—select only the object you want to align.

  2. Choose the alignment you want and click Align. To align objects in only one direction, set the other direction to As Is.

FrameMaker aligns the objects—along their paths—with the last object you select. For example, Top Align aligns selected objects with the last selected object and is not necessarily the object that is currently highest in the anchored frame.

If you selected objects by dragging a selection border, FrameMaker aligns the objects with the object in the foreground.

Objects have gravity along their paths and at their corners. Rectangles and ovals also have gravity at their centers. Some points on an object exert a greater pull than others. For example, the corners of a triangle attract the pointer more than its sides do.

With Gravity on, an object attracts the pointer as you draw, resize, or reshape a nearby object. Gravity has no effect when you move objects.

Gravity extends the same distance on the screen regardless of the zoom setting. When you zoom in, objects and the space between them appear larger, so you can drag a handle or draw closer to an object without the object attracting the pointer.

Use gravity to align objects

It’s easier to make objects touch when you use the Gravity feature. If Gravity and Snap are both selected in the Graphics menu, gravity takes precedence.

  1. If Gravity isn’t already on, choose Graphics > Arrange > Gravity.

  2. Drag a handle of an object, or draw an object, close to the object to which you want to connect. As you drag, the handle jumps so the two objects touch each other.

Figure 4. Gravity ensures perfect alignment.

Align objects on a grid

The visible grid appears as horizontal and vertical lines onscreen, but not on the printed page. A graphic frame contains its own visible grid, which begins at the upper-left corner of the frame.

The invisible snap grid attracts objects to it. As you draw, rotate, resize, or drag objects (and when you drag indent and tab stop symbols on the ruler), they snap to the invisible grid.

Note: If Snap and Gravity are both selected in the Graphics menu, gravity takes precedence.

  • To show or hide the visible grid, choose View > Grid Lines. If the visible grid doesn’t appear in a text frame, change the frame’s fill pattern to None.

  • To turn the snap grid on or off, choose Graphics > Arrange > Snap.

  • To change the grid spacing, choose View > Options, and do any of the following, and then click Set:

    • To set the space between lines in the visible grid, choose the spacing from the Grid Lines drop-down list.

    • To set the interval for the snap grid, enter the interval in the Grid Spacing text box.

    • To set the snap interval for rotating objects, enter the number of degrees in the Snap Rotate text box.

Tip: If you intend to use the grids together, make the visible grid spacing a multiple of the snap grid interval. For example, if the snap grid spacing is 0.125 inch, you could make the visible grid spacing 0.125 inch, 0.25 inch, or 0.5 inch.

Align text lines

When you create a text line, it is left aligned on its alignment point (where you clicked). You can change the alignment to centered or right aligned. FrameMaker then maintains the text line’s alignment when you insert text.

  1. Select the text line and choose Graphics > Object Properties.

  2. Choose a new alignment from the Alignment drop-down list and click Align.

Distribute objects

You can move objects—distribute them—so they have an equal amount of space between them. You can distribute objects horizontally and vertically.

Figure 5. Objects before and after distributing (with zero edge gap)

Equidistant centers and equidistant edges

If you specify the exact space between the objects (the edge gap), FrameMaker moves all objects except the one at the left or top. If you specify that the objects’ centers or edges should be equidistant, FrameMaker leaves the left and right, or top and bottom, objects where they are and moves the others.

  1. Select the objects and choose Graphics > Arrange > Distribute.

  2. Choose the spacing you want and click Distribute. To distribute objects in only one direction, set the other direction to As Is.

When you specify a large edge gap, objects may move off the page and disappear from sight. If they do, immediately choose Edit > Undo.

Make lines intersect cleanly

Lines intersect cleanly when they are the same thickness, meet at right angles, and use a projecting cap; lines don’t intersect cleanly when they use a projecting cap but don’t intersect at right angles. Notice the different intersections created by using the three line cap styles.

Figure 6. A. Projecting B. Butt C. Round

Do one of the following:

  • If the lines don’t meet at a right angle, try a round cap for both lines.

  • If the lines aren’t the same thickness, try a butt cap for the thinner line when the lines meet at their endpoints and for the stem of a T when they meet in a T.

For information on changing the line cap style, see Change the line end style.

Group and ungroup objects

When several objects (except graphic frames) are part of the same graphic, you can group the objects. You can then edit and arrange them as a single object.

You can combine a group of objects with other objects to form an even larger group. Because FrameMaker groups and ungroups objects hierarchically, the first set of grouped objects is maintained as a set when you group other objects with it.

  • To group objects, select the objects and choose Graphics > Arrange > Group. One set of handles appears around the group.

    Figure 7. Objects selected and then grouped
    Selecting objetcs to groupthem

  • To ungroup objects, select the group and choose Graphics > Arrange > Ungroup. Handles appear on each object in the group. When a group has been grouped with other objects, you must choose Ungroup more than once to ungroup all objects.

Parent topic: Create graphics
Related information
  • Apply and change drawing properties


Join lines and curves

Know how to join line and curves around the objects in FrameMaker.

You can create complex outlines by joining individual lines, polylines, arcs, and smoothed polylines that were created with FrameMaker drawing tools. Joining creates a single continuous curve. You can then change the new curve’s properties, such as its line width, pen and fill patterns, and color.

Figure 1. Objects drawn, and then positioned and selected
Drawing objects, positioning them, and thenselecting

Figure 2. Objects joined, and then fill pattern added
Joiningobjectand then filling pattern

  1. Position the objects so that their endpoints touch. The ends of the lines or curves must be within 1 point of each other and the objects cannot be grouped. If necessary, choose Graphics > Arrange > Gravity and zoom in.

  2. Select the objects and choose Graphics > Arrange > Join. The new curve takes on the properties of the last object selected before joining—for example, the object’s line width, pen pattern, or color. (In the preceding illustration, the last object selected before joining was the arc.)

Note: If you join lines or curves by mistake, immediately choose Edit > Undo. Joining creates a single continuous object that cannot be “unjoined” at a later time in the way that grouped objects can be ungrouped.
Parent topic: Create graphics


Flip and rotate objects

Learn how to flip and rotate an object and create a symmetrical effect in FrameMaker.

You can create a mirror image of an object by flipping it up and down or left and right.

You can rotate all objects (except equations and graphic frames) any number of degrees. You can rotate graphic frames and equations in 90-degree increments.

All objects (except equations and text lines) rotate around their centers.

Equations and text lines rotate around their alignment points.

You may find it easier to edit objects—for example, to align and distribute them—in their unrotated position. After you edit an object, you can rerotate the object to restore it to its rotated position.

Note: If you rotate an imported PICT image or a page containing an imported PICT image, the image may print poorly. To improve printing, convert the image to TIFF or EPS and reimport the image.

Flip an object

Select the object and choose Graphics > Flip Left/Right or Graphics > Flip Up/Down. If the object contains text, the text isn’t flipped. For example, the text in a flipped text line doesn’t appear flipped, but the alignment point of the text line is flipped.

Figure 1. A. Original B. Flipped up/down C. Flipped left/right

Create a symmetrical object

  1. Draw one half of the object and copy it.

    Figure 2. Draw and then make a copy.

  2. Flip the copy and move it until it touches the original.

    Figure 3. Flip and then move.

Rather than move the duplicate to the original, you can use the Distribute command with an edge gap of zero to ensure exact alignment of the objects.

Rotate objects by dragging

  1. Select the object.

  2. Hold down Alt and drag a handle.

    When the snap grid is on, the object snaps to multiples of the angle specified in the View Options dialog box. To constrain the rotation to 45-degree increments, also hold down Shift while you drag.

Rotate an object precisely

Select an object and do one of the following:

  • To rotate from the object’s current position, choose Graphics > Rotate, specify the direction and amount of rotation, and click Rotate. If you rotate several ungrouped objects in this way, each object rotates around its center.

    Note: This method also works for equations and graphic frames.

  • To rotate the object’s by a certain degree, choose Graphics > Object Properties, enter the angle of rotation and click Set.

Parent topic: Create graphics
Related information
  • Distribute objects


Crop or mask graphics

Know how to crop and mask graphics in FrameMaker, and also work with graphics frame.

When you want to crop the edges of a graphic, place the graphic in an anchored or unanchored graphic frame. An anchored graphic frame moves with the surrounding text. An unanchored graphic frame stays wherever you place it on a page, even when the text around it moves as the result of editing.

Figure 1. Uncropped and cropped graphics in graphic frames
Uncropped and cropped graphicsingraphicframes

When you want to mask an area of a graphic, particularly if the part you want to mask is in the middle of a graphic, you can cover the area with nonbordered objects.

Crop the edges of a graphic frame

  1. Do one of the following to create a graphic frame:

    • To create an unanchored frame, click the Place a Graphic Frame tool on the Tools panel and then drag to draw the frame. To draw a square frame, Shift-drag.

    • To create an anchored frame, use Insert > Anchored Frame.

  2. Do one of the following to put the graphic in the frame:

    • Drag the graphic into the frame.

    • Select the graphic, choose Edit > Copy or Edit > Cut, select the frame border, and then choose Edit > Paste.

  3. Resize the frame around the graphic.

Mask an area within a graphic frame

Put graphic objects (such as rectangles and polygons) with a white fill and pen pattern in front of the parts you want to mask.

Parent topic: Create graphics
Related information
  • Create anchored frames


Measure object size and position

Understand how to measure object size and position in FrameMaker.

As you arrange and resize objects in an illustration, you may want to know an object’s dimensions and exact position.

The size of an object is the size of the rectangle that encloses its path. The position is the distance from the top and left edges of the page or graphic frame.

Figure 1. Object size and object position
Measuring object size andposition

Measure an object

Do one of the following:

  • Select the object and choose Graphics > Object Properties. The width and height of the object appear in the Size area of the Object Properties dialog box.

  • With Snap off, select the object, point on one of its handles, and hold down the mouse button. The dimensions appear in the status bar. If you move the mouse by mistake and resize the object, immediately choose Edit > Undo.

View the position of an object

  1. Select the object.

  2. Choose Graphics > Object Properties. For all objects except equations and text lines, the distance from the upper left corner of the page or graphic frame to the object’s topmost and left-most point appears in the Offset From area. For equations and text lines, the distance from the upper left corner of the page or graphic frame to the alignment point at the baseline of the text line or equation appears in the Alignment Point Offset From area.

View the position of an object as you move it

Look in the status bar. The distance between the object and the upper-left corner of the page or graphic frame appears in the status bar. When rulers are visible, guidelines in the rulers also show the position of the object.

Measure any distance on the page

  1. Point where you want to start measuring.

  2. Shift+Control-drag to force a selection border to appear, but don’t release the mouse button.

  3. When the selection border encompasses the area you want to measure, look in the status bar for the dimensions.

Figure 2. Dimensions appear in the status bar.

In the example, the important dimension is the height (35 points between the bases of the triangles).

Parent topic: Create graphics


Resize and reshape objects

Learn how to resize and reshape objects in FrameMaker, resize imported graphics, and smooth and unsmooth objects.

As you refine a graphic, you can change the size and shape of objects. Reshaping possibilities are unlimited. For example, you can add a corner to a polyline or polygon, move a corner to change its shape, and smooth a polyline to create a freehand curve.

Figure 1. Original polygon and then with corner added
Original polygon and addedingacornertoit

Figure 2. Corner moved and then smoothed

You can resize all objects, including text lines. When you resize a text frame created with the Text Frame tool, the text remains the same size. When you resize a text line created with the Line Text tool, the font height and width change proportionally.

Figure 3. Before and after resizing a text line (not a text frame)

You can change the shape of lines, polylines, polygons, curves, and arcs as follows:

  • Reshape a line, polyline, or polygon by moving its corners one at a time. You can also add and remove corners.

  • Reshape a curve by changing the position of its reshape handles (which define the curve and control its location) and its control points (which adjust the curvature). You can also add and remove reshape handles to change the number of points that define the curve.

Figure 4. A. Reshape handle B. Control point
Reshaping a curve by changingtheposition ofitsreshapehandlesanditscontrolpoints

  • You reshape an arc by dragging its endpoints or by changing the percentage of a circle that the arc represents.

Resize an object by dragging

Select the object and do one of the following:

  • To change either the width or the height, drag a side handle.

  • To change both the width and the height, drag a corner handle.

  • To increase or decrease the dimensions proportionally, Shift-drag a corner handle.

The object’s dimensions appear in the status bar as you drag.

Resize an object precisely

  1. Select the object and choose Graphics > Scale.

  2. Do one of the following:

    • To increase or decrease the height and width proportionally, enter a scale factor and click Scale. The scale factor is always relative to the object’s current size (100% means no change).

    • To specify the exact dimensions you want, enter the dimensions and click Scale. The dimensions shown when you display the dialog box are the object’s current (unrotated) dimensions.

Resize imported graphics

You can resize imported graphics in multiple ways. For example, you can change the width or height, DPI value, or the scaling factor from the Object Properties dialog. Or, you can use the context menu to quickly change the size of the image in proportion to the anchored frame

Note: Choose Edit > Preferences > Graphics and select the option Auto-Scale Image Along Width (on Insertion) when you insert an image in a text frame, table cell, heading, side head, or a column. The image automatically scales and fits in. See Auto-Scale an image in a graphic frame.

Do one of the following to resize an image:

  • Open the Object Properties dialog by clicking on the image and selecting Graphics > Object Properties. Or, right-click on an image and choose Object Properties from the context menu.

  • In the Object Properties panel, use any one of the following ways to resize an image:

    • Size: Set either the width or height of the image or both.

      If you have selected the Preserve Aspect Ratio option, then the aspect ratio of the image is automatically preserved. Else, the image is resized as per the specified height or width values.

    • Scaling: Specify a scale factor in percent.

    • DPI: Select an option from the DPI drop-down list. You can choose from the predefined DPIs of 72, 96, 150, 300 DPIs or you can specify a value.

    • Shift-drag a corner handle of the bitmap. Holding down Shift while you drag maintains the width/height aspect ratio of the graphic.

  • Right-click on an image and choose from the following options to resize the image:

    • Fit to Frame: resize the image to the size of its anchored frame. This does not maintain the aspect ratio of the image.

    • Fit to Frame (Proportionally): resize the image to the size of its anchored frame by maintaining its aspect ratio.

    The context menu also provides you quick ways of switching between selecting the image and its anchored frame.

When you import an image and scale it or use the Fit To Frame (Proportionally) functionality, FrameMaker maintains the image's resolution to the best possible DPI when you resize an image maintaining its original aspect ratio. This value also reflects in the DPI of the resized image.

Figure 5. DPI reflects the change in the image resolution of the resized image

Note: If the graphic is a TIFF file (or other format that uses DPI settings), scaling must be done through the Object Properties to ensure that the DPI value is not lost when scaled using the Scale dialog.

Move a corner of a polyline or polygon

  1. Select the object and choose Graphics > Reshape > Reshape. Reshape handles appear on the object, replacing the selection handles.

  2. Drag a handle. To move the handle horizontally or vertically, Shift-drag.

Add or remove a corner or reshape handle

  1. Select the line, polyline, polygon, or curve, and choose Graphics > Reshape > Reshape.

  2. Control-click where you want to add a reshape handle (or corner), or Control-click the handle you want to remove.

Reshape a curve

  1. Select the curve and choose Graphics > Reshape > Reshape. Reshape handles appear at the locations that define the curve. Control points also appear around one of the handles.

  2. If the control points aren’t the ones you want, click the handle where you want to change the curve. Control points appear around the handle that you click—the two control points that correspond to the handle and the next closest one on each side of the handle.

  3. Drag a handle to change the position of the curve at the handle, or drag or rotate a control point to change the curvature. When you begin to drag, a lever appears that touches the curve at the handle. You can achieve different effects by dragging along the lever or by rotating it.

Figure 6. Choose Reshape and drag handle.
Choosing reshape and draghandle

Figure 7. Drag a control point.

As you drag a reshape handle, the control points move as well, so the result is a smooth curve. As you drag a control point, the curvature changes on both sides of the handle, so the result is also a smooth curve.

Reshape an arc

  1. Select the arc and choose Graphics > Reshape > Reshape. Reshape handles appear on the object, replacing the selection handles.

  2. Drag a handle. As you drag, the start and end angle of the arc and the percentage of a circle that the arc represents appear in the status bar.

Figure 8. Drag to reshape an arc.
Reshaping an arc

Reshape an arc precisely

  1. Select the arc and choose Graphics > Object Properties.

  2. Enter a new Start Angle and End Angle, and click Set.

Crimp a curve

  1. Select the curve and choose Graphics > Reshape > Reshape.

  2. If the control points aren’t the ones you want, click the reshape handle where you want to change the curve.

  3. Drag a handle or control point with the right mouse button.

    Figure 9. Crimping a curve.

Change the corner radius of a rounded rectangle

You can define the curvature of the corners of a rounded rectangle by specifying the radius of an imaginary circle drawn in the corner of a rectangle. The longer the radius, the more curved the corners.

Figure 10. Radius (r) = .125" and radius (r) = .25"

When you specify a corner radius, you also change the current drawing properties. New rounded rectangles you draw have this corner radius until you change it with the Object Properties command or until you exit FrameMaker.

  1. Select a rounded rectangle and choose Graphics > Object Properties.

  2. Enter the corner radius and click Set. The largest meaningful radius is one-half the length of the shortest rectangle side. For example, if the rectangle is 2 inches by 4 inches, the largest meaningful radius is 1 inch (one-half of 2 inches).

Smooth and unsmooth objects

You can smooth polylines, polygons, rectangles, and rounded rectangles. When you smooth a polyline, polygon, or rectangle, you change its angles to smooth curves. When you unsmooth a curve, you restore its angles.

Figure 11. Before and after smoothing

Each time you smooth a rounded rectangle, you increase the curvature of its corners (its corner radius).

  • Do one of the following:

    • To smooth an object, select the object and choose Graphics > Reshape > Smooth. After smoothing a polygon or polyline, reshape handles and control points appear so you can reshape the curve.

    • To unsmooth an object, select the object and choose Graphics > Reshape > Unsmooth. If you later smooth the object, its shape is sometimes different from the original.

Parent topic: Create graphics


Colors

  • About color and color models
    Know more about colors and color models in Adobe FrameMaker like CMYK, RGB and HLS.
  • Manage color libraries
    Learn how to manage color libraries in Adobe FrameMaker like crayon, DIC, Focoltone, Grays. Also, understand how to work with color definitions.
  • Work with color in objects
    Understand how to work with color objects in Adobe FrameMaker, and assign a color or a tint on an object.
Parent topic: Graphics and objects


About color and color models

Know more about colors and color models in Adobe FrameMaker like CMYK, RGB and HLS.

  • Before you begin
  • Color models
Parent topic: Colors


Before you begin

Applying color to frames and objects is a common publishing task, whether you are publishing in print or exporting to the web. Adobe FrameMaker provides color libraries to choose from colors defined by a color vendor. You define and modify colors by adjusting the color model you’re using or by choosing a predefined ink from a color library based on the color model.

The final output of your color document can greatly affect color decisions:

  • For online output, use the RGB or HLS color models.

  • For desktop printing, use the CMYK model to define your colors and test them on the printer you’ll be using.

  • For commercial printing, use colors from a library supported by your commercial printer. Don’t rely on the onscreen versions of library colors; use a swatch book.

By default, FrameMaker publishes CMYK values when printing or saving as Adobe PDF. If you opt to use RGB values while saving as a PDF, FrameMaker converts color values to RGB. EPS graphics, however, are separated according to the color values specified within the EPS graphic itself.

FrameMaker retains the color values specified within Encapsulated PostScript (EPS) graphic objects, including CMYK colors, RGB colors, grayscale, spot colors, and device-independent colors (such as CIE L*a*b color). The graphical information within an EPS file is passed directly into the output PostScript stream, bypassing any Windows GDI processing. EPS graphic objects can be created from text, vector graphics, or images of any type supported by Adobe PostScript. This capability allows EPS graphics to be saved or exported from many Adobe applications, as well as other third-party application programs.

Parent topic: About color and color models


Color models

When you use a color model to define colors, you manually adjust its components, such as the amount of pure red or the amount of saturation.

You can choose from three color models: CMYK, RGB, and HLS.

CMYK

Use the CMYK model to create color separations for four-color process printing. Colors are created by combining cyan, magenta, yellow, and black (CMYK) inks. In color separation, each color component is printed on a separate plate, in a different concentration, depending on the desired color.

RGB

Use the RGB model to create colors that are viewed on a monitor (for example, for online documentation). Colors are created by combining red, green, and blue (RGB) light.

HLS

Use the HLS model if you are familiar with color wheels. This model is most like the one artists use to mix colors and is often used in software color pickers. Colors are created by adjusting hue, lightness, and saturation (HLS). Hue controls the amount of red, green, yellow, blue, and so on. Lightness controls the lightness or darkness of a color. Saturation controls the amount of gray in the color.

Parent topic: About color and color models


Manage color libraries

Learn how to manage color libraries in Adobe FrameMaker like crayon, DIC, Focoltone, Grays. Also, understand how to work with color definitions.

When you use a color matching system—a color library—you choose from colors defined by a color vendor. Commercial printers can precisely match the formula represented in a vendor swatch book.

Every color from a library is defined as either a spot color or a process color:

  • A spot color is printed on a printing press with premixed inks by using a single printing plate.

  • A process color is printed on a press by overlapping dots of cyan, magenta, yellow, and black (CMYK) on separate plates.

Before choosing a color from a color library, ask your commercial printer for a list of supported libraries. For best results, choose colors from a swatch book, rather than relying on the onscreen representation of the color.

FrameMaker includes these libraries:

Crayon

Adobe developed the Crayon library to provide access to common RGB colors using everyday names in alphabetical order. Do not use Crayon colors as spot colors.

DIC

The DIC Color Guide provides spot colors. It is used mostly in Japan.

FOCOLTONE

The FOCOLTONE® Color System provides 860 process (CMYK) colors.

Grays

The Grays library, developed by Adobe, provides both process and spot shades of gray in 1% increments.

MUNSELL

The Munsell System provides colors defined on the RGB model.

Online

The Online color library provides 216 “web-safe” colors that have a consistent appearance on all platforms when viewed with a web browser.

TOYO

The TOYO Color Finder provides over 1,000 colors based on the most common printing inks in Japan.

TRUMATCH

The TRUMATCH® 4-Color Selector provides over 2,000 process colors that cover the CMYK visible color spectrum in even steps.

  • View color definitions in a color library
  • Add a color library for use in FrameMaker
Parent topic: Colors


View color definitions in a color library

Choose View > Color > Definitions, choose a library from the Color Libraries drop-down list, and then click About.

Parent topic: Manage color libraries


Add a color library for use in FrameMaker

You can add any library file formatted in the ASCII Color Format (.acf), version 2.1 or earlier, or in the Binary Color Format (.bcf), version 2.0. You can’t use Adobe FrameMaker to save a .bcf library file.

Place the library file into the fminit\color folder and restart FrameMaker.

Parent topic: Manage color libraries


Work with color in objects

Understand how to work with color objects in Adobe FrameMaker, and assign a color or a tint on an object.

The method you use to apply a color or a lightened version of a color (a tint) depends on the current selection. Any entry in a Color drop-down list can be applied to Adobe FrameMaker text or objects. FrameMaker supplies a set of 16 standard colors that you can add to.

You can apply two types of tints:

  • Color-level tints are tints you define and name by using View > Color > Definitions.

  • Object-level tints are tints you apply to an object that lighten the original color of the object by a specified percentage.

Note: You can’t colorize TIFF files.
  • Apply a color or tint to text or an object using formatting features
  • Apply a tint to an object using a fill pattern
  • Define and modify colors and tints
  • Assign a color to an object
  • Set up and display color views
Parent topic: Colors
Related information
  • Font changes using the designers


Apply a color or tint to text or an object using formatting features

  1. Select the text or object to color or tint.

  2. Apply color to paragraphs, selected text, graphics, text lines, and equations using the appropriate formatting feature. Features include paragraph or character catalog or designer, or the Tint and Color drop-down lists on the Tools panel. The following table shows what features to use for tasks that vary:

    To apply color or tint to

    Use

    A text frame

    The Fill drop-down list on the Tools panel to change the frame fill pattern from None. Then use the Color drop-down list or the Tint drop-down list to assign a color

    Cells in a table

    The Color drop-down list in the Custom Ruling and Shading dialog, or in the Table Designer

    Change bars

    The Color drop-down list in the Change Bar Properties dialog

    Conditional text

    The Color drop-down list and the New Color button in the Edit Condition Tag dialog

    All drawn objects and text

    The Color drop-down list in the Tools panel (hold down Shift+Alt and choose a color).
Parent topic: Work with color in objects


Apply a tint to an object using a fill pattern

  1. Select the object you want to tint.

  2. Choose one of the first eight fill patterns from the Fill drop-down list on the Tools panel. The fill patterns apply the following percentages to the current color of the object.

    Fill Pattern

    Tint Percentage

    Fill pattern with 100% tint percentage

    100%

    Fill pattern with 90% tint percentage

    90%

    Fill pattern with 70% tint percentage

    70%

    Fill pattern with 50% tint percentage

    50%

    Fill pattern with 30% tint percentage

    30%

    Fill pattern with 10% tint percentage

    10%

    Fill pattern with 3% tint percentage

    3%

    Fill pattern with 0% tint percentage

    0% (color of paper)
Parent topic: Work with color in objects


Define and modify colors and tints

You create or modify colors and tints by adjusting the color components in the color model or by choosing a predefined ink from a color library. New colors and tints appear in all Color drop-down lists and scroll lists.

You can also use the New Color button in the Add Condition Tag and Edit Condition Tag dialog boxes to select unique colors for condition tags. Unique colors let you distinguish one tag from another.

Tip: You can’t change the 16 standard colors, except for their Print As and Overprint properties. However, you can define your own colors using lowercase versions of these names (black, blue, and so on). The Crayon library has its own versions of these colors, which you can use or redefine under another name.

All procedures to define a color require the appropriate document window or book window to be active and View > Color > Definitions selected.

  1. Do one of the following:

    • To define a new color, enter a new name in the Name box.

    • To modify an existing color (or base color), choose its name from the drop-down list to the right of the Name box. You can also type its name until the color definition appears.

  2. Specify how to print the color by choosing one of these options from the Print As drop-down list:

    Tint

    A tint is always displayed and printed in the same manner and on the same plate as its base color. The base color also determines the color components.

    Spot

    Defines a spot color.

    Process

    Defines a color printed with CMYK inks.

    Don’t Print

    Defines a color that is not printed.

  3. To change the color model, choose from the Model drop-down list. Base color determines the color model of the tint.

  4. Adjust the color components by dragging the sliders or entering values. If you’re defining a tint, choose a color from the Base Color drop-down list and set the percentage. To reset any changes you’ve made, click the Current color box.

  5. To make this color print on top of other colors when printing separations, select Overprint from the Overprint drop-down list.

  6. To create a color, click Add (or click New color).

    To modify the current color, click Change.

  7. Define or modify additional colors as needed. Click Done.

Define a color from a color library

  1. Choose a library from the Color Libraries drop-down list.

  2. Choose a color from the library of predefined colors. If you know the name, you can quickly scroll to it by starting to type its name.

  3. Click Done.

    The color you choose appears as the Ink Name in the Color Definitions dialog.

    Note: Colors from color libraries often have a preferred color model and type. When you choose a color, the color model or type sometimes changes automatically. Ordinarily, do not change these settings or the color definitions of a library color. If you do, the Ink Name disappears and the color no longer matches the formula defined by the vendor. To restore the original definition, choose the color again from the library and click Change.

  4. To make this color print on top of other colors when printing separations, choose Overprint from the Overprint drop-down list and click Add.

  5. Define additional colors as needed, and then click Done.

    Tip: If you want to use the operating system color picker to define a color, choose Common Color Picker. You use these color pickers just as you do in other applications.

Delete a color or tint

  1. Choose a color or tint from the Name drop-down list. You can’t delete the 16 basic colors.

  2. Click Delete. If the color is in use, an alert message asks whether you want to change items that use this color to black. If you delete the base color of a tint, the tint becomes a percentage of black.

  3. Repeat the process to delete more colors.

    When you’re finished, click Done.

Parent topic: Work with color in objects


Assign a color to an object

  1. Choose the color from the Color menu.

  2. To use a tint of the color, choose a tint value from the Tint menu. If the value you want doesn’t appear on the menu, choose Other from the menu, enter a tint value. Click Set.

If an object isn’t visible after you assign it a color, make sure that the color isn’t in the Invisible scroll list in the Define Color Views dialog for the current view.

You can also assign the same color to all objects in a document.

Note: To control whether an object overprints or knocks out objects beneath it, use the Overprint drop-down list. For information, see Print output.
Parent topic: Work with color in objects


Set up and display color views

A color view specifies which colors are visible. For example, if your document uses black and a spot color, one view could display both colors and another view could display only the spot color.

Figure 1. Both colors visible and only one color visible
Setting up and displaying color views

For each view you set up, specify which colors you want to display, which to display as cutouts, and which not to display at all. Cutouts display as white when overlapping different colored objects.

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose View > Color > Views.

  3. Select a view number and move the color names to the appropriate scroll lists. Tints do not appear in this dialog box; they appear along with the color they were based on.

    To move a color, select it and click an arrow, or double-click it. To move all colors, select a color and Shift-click an arrow. To reset any changes you’ve made, click Get Default.

    Tip: Leave View 1 unmodified, with all colors (except white) in the Normal scroll list. When you draw an object in a color that is invisible in the current view, FrameMaker automatically switches to View 1.

  4. Repeat step 3 for each view you want to set up, and then click Set.

    The currently selected view is displayed.

Parent topic: Work with color in objects


Anchored frames

Know what are anchored frames and how they are used in Adobe FrameMaker.

  • About anchored frames
  • Create anchored frames
    Learn how to create anchored frames in Adobe FrameMaker.
  • Inline anchored frames
    Understand how to work with inline anchored frames in FrameMaker, align anchored frames in multicolumn layouts, and know the usage of anchored frames in structured documents.
  • Fill and edit anchored frames
    Know how to fill and edit anchored frames and insert graphics or text in anchored frame in Adobe FrameMaker.
Parent topic: Graphics and objects


About anchored frames

You often want to keep an illustration with a particular document text. In FrameMaker, you do this by putting the illustration in a graphic frame anchored to the text—an anchored frame. When you edit the text, the frame and its contents move along with the text automatically.

You can use an anchored frame for an illustration in a column of text—below the line that contains the anchor symbol Anchorsymbol, or at the top or bottom of the column. You can use an anchored frame for small graphics that appear in line with paragraph text or for art that appears between columns or in the page margin.

You can also use an anchored frame to achieve special effects such as positioning an anchored frame in the top corner of a paragraph with the paragraph text running around the graphic.

Anchored frames in Adobe FrameMaker

A. Graphic in the top corner of a paragraph B. Illustration in a column of text C. Margin art D. Small graphic in a line of text

If you want an illustration to stay at a specific place on the page—for example, as a logo on letterhead stationery—don’t use an anchored frame. Instead, draw, paste, or import the illustration directly onto a body or master page without placing an insertion point in the text. Then move the illustration to the desired position.

By default, an anchored frame has no pen or fill pattern, which makes it invisible on the page unless borders are visible.

Parent topic: Anchored frames
Related information
  • Display master pages


Create anchored frames

Learn how to create anchored frames in Adobe FrameMaker.

Introduction

An anchored frame is created automatically when you paste or import a graphic at an insertion point. You can keep the properties assigned to the frame, or you can change them.

When you create an anchored frame using the Insert > Anchored Frame command, you specify the location of the frame and its size and position. You can also specify other properties that depend on the frame’s position. For example, when the frame is placed in the line at the insertion point, you can specify its distance from the baseline of the text. When the frame is placed in a column of text, you can specify its alignment. You can change any of the properties, including the frame’s position, at any time.

In Structured FrameMaker, you can use the Element Tag dropdown in the Object Properties dialog to define an element for your anchored frame.

When you tag your document, you name each document property. Using tags allows you to easily change the appearance of your document without changing the content.

Create an anchored frame automatically

Do one of the following:

  • Paste an object into text at the insertion point by cutting or copying the object, clicking in text where you want to insert the anchor symbol, and choosing Edit > Paste.

  • Import a graphic into text by clicking in text, choosing File > Import > File or Insert > Image, and selecting the graphic file you want to import. See also Import and link methods.)

The pasted or imported object appears in an anchored frame that is centered below the current line. After the frame is created, you can change its properties.

Create an anchored frame with specific options

  1. Click in text where you want to place the anchor symbol and choose Insert > Anchored Frame. You can create an anchored frame in a text frame or in a table cell, but not in a text line.

  2. Choose the frame’s anchoring position and specify its properties. The properties that appear in the Anchored Frame dialog box depend on the anchoring position.

  3. Click New Frame. An anchor symbol Anchor symbol appears at the insertion point when text symbols are visible.

Parent topic: Anchored frames


Inline anchored frames

Understand how to work with inline anchored frames in FrameMaker, align anchored frames in multicolumn layouts, and know the usage of anchored frames in structured documents.

To position an anchored frame in line with paragraph text—for example, to hold a small graphic such as a picture of a keycap—choose the At Insertion Point anchoring position in the Anchored Frame dialog box. When you put a space on either side of the anchored frame, the frame moves along from one line to another as you edit the document, as if it were a word (rather than being attached to the preceding or following word).

You can adjust the frame’s position up or down relative to the baseline of text by dragging the frame or by specifying a value for the Distance above Baseline option in the Anchored Frame dialog box. A value of zero aligns the bottom of the frame with the baseline of the text. A positive number moves the frame up; a negative number moves it down.

Figure 1. Zero distance and negative distance

If the frame obscures text in the line above or below, turn off fixed line spacing to allow the line height to change with the contents of the line.

Figure 2. Fixed line spacing on and off
Fixedlinespacingonandofffor inline anchored frames

Tip: To shrink an anchored frame to the dimensions of its contents and place it in the line at the anchor symbol, select the frame or an object in the frame and press Esc m+p. To enlarge a frame and place it below the line that contains the anchor symbol, select the frame or an object in it and press Esc+m e.
  • Anchored frames in a column of text
  • Anchored frames in multicolumn layouts
  • Anchored frames outside a column of text
  • Anchored frames in the page margins
  • Anchored frames run into paragraph text
  • Insert anchored frames in structured documents
Parent topic: Anchored frames
Related information
  • Adjust horizontal spacing


Anchored frames in a column of text

To position an anchored frame in a column of text, choose the Below Current Line, At Top of Column, or At Bottom of Column anchoring position in the Anchored Frame dialog box.

Figure 1. Below current line and at top of column
Anchoredframesbelowcurrentlineandattop of column

An anchored frame positioned at the top or bottom of the column moves only when its anchor symbol moves to another column.

Important: To place an anchored frame below a line that contains a run-in head, place the anchor symbol in the body paragraph, not in the run-in head. Otherwise, the anchored frame obscures the text below the run-in head.

When you choose the Below Current Line, At Top of Column, or At Bottom of Column anchoring position, you can set the following properties.

Horizontal alignment

Choose the frame’s horizontal alignment from the Alignment drop-down list. You can align the frame at the left, center, or right. In a double-sided document, you can also align the anchored frame closer to or farther from the binding edge.

Figure 2. Farther from binding
Horizontal alignment of ananchoredframe

Cropping

To prevent a wide frame from extending beyond the edge of the column, use the Cropped option.

Figure 3. Cropped off and on

Floating

Use the Floating option to let the frame float to the next column that can hold it if the frame and its anchor symbol won’t fit in the same column.

Figure 4. Floating off and on

When Floating is off, both the frame and anchor symbol move to the first column that can hold them. White space remains at the bottom of the column. When Floating is on, the anchor symbol doesn’t move, but the frame floats to the next column that can hold it. Text from the next column fills the space between the anchor symbol and the frame.

Parent topic: Inline anchored frames


Anchored frames in multicolumn layouts

An anchored frame in a multicolumn text frame can straddle columns, and its position may be affected by straddle paragraphs.

In a straddle paragraph

When a frame is anchored in a straddle paragraph, the frame straddles columns just as the paragraph does.

Wider than a column

An uncropped anchored frame that extends into a second column of the body area straddles columns in the body area. A frame that extends into the side-head area straddles the side-head area as well.

Figure 1. Straddling side-head area and all columns, and straddling only columns
Straddlingside-headareaandallcolumns,andstraddling only columns forananchoredframe

A cropped anchored frame straddles columns only when it’s anchored in a straddle paragraph.

At top or bottom of column

When the anchor symbol for a top-of-column anchored frame appears below a straddle paragraph, the frame appears in the column just below the straddle paragraph rather than at the top of the column.

Figure 2. Anchored at top of column and at bottom

A bottom-of-column anchored frame is positioned similarly when the anchor symbol appears above a straddle paragraph.

You can force the anchored frame to appear at the top or bottom of the column (above or below a straddle paragraph) by making the frame straddle the columns. To do so, turn off Cropped in the Anchored Frame dialog box and resize the anchored frame until it extends into another column.

Parent topic: Inline anchored frames


Anchored frames outside a column of text

To position an anchored frame outside a column of text, choose the Outside Column anchoring position in the Anchored Frame dialog box. For information on positioning an anchored frame so it always appears in the page margin, even in a multicolumn document.

When you choose the Outside Column anchoring position, you can set the following properties.

Side of column

You can position the anchored frame at the left or right side of the column, or along the side that’s closer to or farther from the edge of the page.

Figure 1. Anchored at left and at right
Anchored frame at left andatright

For a double-sided document, you can also position the frame closer to or farther from the binding edge.

Figure 2. Farther from binding

Distance above baseline

You can adjust the frame’s position up and down relative to the baseline of text by dragging the frame or by specifying a value for the Distance above Baseline option in the Anchored Frame dialog box. A value of zero aligns the bottom of the frame with the baseline of the text. A positive number moves the frame up; a negative number moves it down.

Figure 3. Zero distance and negative distance above baseline
Anchor frame with zero distanceandnegativedistanceabovebaseline

You can’t position the anchored frame above the top or below the bottom of the text frame. If the setting would place the anchored frame above or below the text frame, FrameMaker puts it as high or as low as possible. If you later edit the text so that the anchor symbol moves away from the top or bottom of the text frame, FrameMaker adjusts the anchored frame’s position.

Distance from column

You can adjust the frame’s position left and right relative to the edge of the column by dragging the frame or by specifying a value for the Distance from Column option in the Anchored Frame dialog box. A value of zero aligns the edge of the frame with the edge of the column. A positive number moves the frame away from the column; a negative number moves it into the column.

Figure 4. Zero distance and positive distance from column
Anchor framewithzerodistanceandnegativedistancefrom column

The distance is always relative to the edge of the column, so the frame may appear between columns on a multicolumn page. You can change the page margins and column layout to widen the gap between columns to make room for the frame. Or, if you’re working in a structured document, see your developer to widen the gap between columns to make room for the frame.

Parent topic: Inline anchored frames
Related information
  • Change page margins and number of columns
  • Change margins and column layout on specific pages


Anchored frames in the page margins

To position an anchored frame so it always appears in the margin (even in a multicolumn layout), choose the Outside Text Frame anchoring position in the Anchored Frame dialog box. You can then specify the options described in the previous section. However, the distances you specify are from the edge of the text frame, which may differ from the edge of the text column on multicolumn pages.

Figure 1. Closer to page edge and farther from page edge
Anchored frames closer to page edge and fartherfrompageedge

In a single-column layout, the Outside Text Frame option has the same effect as the Outside Column option.

Parent topic: Inline anchored frames


Anchored frames run into paragraph text

To position an anchored frame in the top corner of a paragraph (with the paragraph text in that column running around the frame), choose the Run into Paragraph anchoring position in the Anchored Frame dialog box. For example, you can set a small graphic or a drop cap at the beginning of a paragraph.

When the anchored frame is taller than the paragraph, the text from subsequent paragraphs runs around the frame unless the paragraph that contains the anchor symbol is a straddle paragraph.

Figure 1. Anchored Frame spanning paragraphs and in a straddle paragraph

When you choose the Run into Paragraph anchoring position, you can set the following properties:

Alignment

You can align the anchored frame on the left or right side of the paragraph. For a double-sided document, you can also select Side Closer to Binding or Side Farther from Binding.

Figure 2. Closer to binding

The frame is aligned with the paragraph’s left indent when it appears at the left side of the paragraph, and with the right indent when it appears at the right side. When the paragraph has a first-line indent, the anchored frame does not change the position of the indent.

Figure 3. Graphic extending beyond first-line indent

Figure 4. Larger first-line indent

When you want to preserve a first-line indent, make the first-line indent setting for the paragraph larger than the width of the anchored frame. Or, if you’re working with a structured document, ask your Structured Application developer about making the first-line indent setting for the paragraph larger than the width of the frame.

Gap

You can specify the gap between the anchored frame and the paragraph text that runs around it.

Parent topic: Inline anchored frames
Related information
  • Indentation, alignment, and spacing


Insert anchored frames in structured documents

Introduction

In a structured document, a graphic element provides an anchored frame for holding graphic objects. The frame is anchored to a specific location in text. As you edit the text, the frame and its contents move in the document along with the text.

When inserting a graphic element, you specify where you want to anchor the element’s frame. For example, you might anchor the frame in a <p> element (and the graphic will be a child element to the <p>), or you might anchor it in a <section> element (as a sibling to <p> and other elements in the <section>). It depends on how the elements are defined for your document. The formatting properties you set are independent of the element’s format rules, not overrides to them.

In the document window, an anchor symbol Anchor symbol appears at the anchor location in text when View > Text Symbols is turned on. The frame can appear in various positions on the page—including in-line with text, next to or below a paragraph, or in a page margin. You specify an anchoring position relative to the anchor symbol.

Figure 1. Several positions for anchored frames

A graphic element appears in the document’s structure where it is anchored to text, regardless of the frame’s position on the page. In the Structure View, the element is represented by a square-cornered bubble with the snippet <GRAPHIC>.

Figure 2. Graphic element

Insert an anchored frame element

  1. Click where you want to anchor the frame.

  2. Select an anchored frame element in the Elements catalog and click Insert.

    You can also use Insert > Anchored Frame to insert an element. If more than one frame element is available, choose the one you want from the Element Tag drop-down list in the Anchored Frame panel.

  3. Choose the frame’s anchoring position and specify its size and formatting properties. The properties that appear in the dialog box depend on the anchoring position you choose. See Inline anchored frames for details.

  4. Click New Frame. The anchored frame appears in the document window, with an anchor symbol Anchorsymbol at the insertion point when View > Text Symbols is turned on. A bubble with the text snippet <GRAPHIC> appears in the Structure View.

If no anchored frame element is available at the location you want, you might use an invalid element. After inserting the element, talk to your developer about making the element valid at this location.

Use an invalid anchored frame element

Do one of the following:

  • To use an element that is valid in another part of the document, either insert the element in a valid location and then move it, or use the All Elements setting to make the element available everywhere, and then insert the element where you want it.

  • To insert an invalid anchored frame element with a default element, choose Insert > Anchored Frame, and select GRAPHIC from the Element Tag drop-down list. (This option appears in the menu if no defined frame elements are available.)

Parent topic: Inline anchored frames


Fill and edit anchored frames

Know how to fill and edit anchored frames and insert graphics or text in anchored frame in Adobe FrameMaker.

You can draw graphics in an anchored frame, drag or paste graphics from another part of the document. Or, import or paste graphics from another document or application. Use these methods to place graphics and text in unanchored graphic frames and in anchored frames.

You can position a graphic in an anchored frame and then use a text frame or text line inside the anchored frame for the figure title. However, you might find it easier to position and number the title consistently if you put the figure in a single-cell table and then set up the table title as a figure title.

An anchored frame’s contents are clipped when they extend into or beyond the frame’s border. Display the frames border by clicking it (if the border isn’t visible, choose View > Borders).

Structure of an anchored framewithgraphic

A. Frame border B. Cropped graphic C. Cropped callout

You can change the size of an anchored frame, its anchoring position, and the properties you set when you created the frame. When working with a structured document, these changes do not affect the structure of the document and are independent of the element’s format rules.

You can also manipulate anchored frames as you do other objects. For example, you can change a frame’s drawing properties (such as pen width), and you can duplicate, delete, move, or resize it.

  • Filling anchored frames in structured documents
  • Put graphics or text in a graphic frame
  • Auto-Scale an image in a graphic frame
  • Prevent an anchored frame from clipping its contents
  • Change a frame’s anchoring position and drawing properties
  • Resize an anchored frame
  • Copy, move, or delete an anchored frame
  • Add object attributes for tagged PDF
    Know how to edit object attributes for tagged PDF in Adobe FrameMaker.
Parent topic: Anchored frames
Related information
  • Add a title to an illustration
  • Add text to graphics
  • Draw objects
  • Resize and reshape objects
  • Flip and rotate objects
  • Move an object


Filling anchored frames in structured documents

In a structured document, you can draw graphics in an anchored frame, drag, or paste graphics from another part of the document, or import or paste graphics from another document or application. Although the graphic element is part of the document’s structure, the contents you put in the frame are not.

You can even use an anchored frame to hold text, such as text in a sidebar. To do this, draw a text frame in the anchored frame. Keep in mind, though, that the text is not part of the document’s structure.

A frame’s contents are preserved when you export to XML or SGML. FrameMaker writes the contents to a separate file and adds an entity reference to it from your XML or SGML file.

Important: To prepare for export to XML or SGML, put only one graphic in each frame for the best results. If your graphics are bitmaps, do not use a display bit depth of 1 bit or 24 bits; reset your display to 8 bits. Ask your application developer for other advice to be sure your frames’ contents will be fully preserved.

After filling a frame with graphics, you can edit the graphics in many ways—for example, by changing line widths, applying fill colors, and aligning, stacking, or grouping several objects.

Parent topic: Fill and edit anchored frames


Put graphics or text in a graphic frame

Do one of the following:

  • To draw a graphic or add text, use one of the tools on the Tools panel.

    Important: Be sure to start drawing the object inside the frame. Otherwise, the object is placed on the page and not in the frame.

  • To move a graphic into a frame, drag the graphic until the pointer is within the frame’s borders. The object jumps into the frame when you drag across the frame’s border.

  • To paste a graphic into a frame from the Clipboard, select the frame and choose Edit > Paste.

  • To import a graphic into a frame, select the frame and choose File > Import > File and select the image.

Note: If a graphic looks as though it’s in the anchored frame, but it doesn’t move with the frame as you edit the surrounding text, the graphic is probably in front of the frame rather than in the frame—perhaps because you pasted it on the page rather than in the frame. Drag the graphic away from the frame and then drag it back into the frame.
Parent topic: Fill and edit anchored frames


Auto-Scale an image in a graphic frame

You can maintain the picture quality when you insert images at various positions in both structured and unstructured documents. FrameMaker maintains the image resolution even when you fit an image that is larger than the size of the anchored frame.

To scale the image automatically, do the following:

  1. Choose Edit > Preferences > Graphics.
  2. Select Auto-Scale Image Along Width (on Insertion).
Figure 1. Auto-scale images option in the Preferences dialog

This feature scales the image proportionally to fit into its parent anchored frame while maintaining the best possible DPI.

You can use this option to scale your images when you insert them both in structured (DITA 1.2 or 1.3) and unstructured documents at the following positions:

  • Text frame
  • Table cell
  • Column
  • Side Head
  • Heading
Note: The image in your PDF and Responsive HTML5 output is the same as in the WYSIWIG view. For XML and DITA, you get the output per the @height, @width, and @scale attributes defined for the image.

To support this functionality a new property AutoScaleImageAlongWidth has been added in the maker.ini file in place of the AutoScaleImageInTableCell property. To know more see, Adobe FrameMaker INI Reference.

Parent topic: Fill and edit anchored frames


Prevent an anchored frame from clipping its contents

Do one of the following:

  • If there’s room outside the anchored frame, make the frame larger.

  • If there’s room inside the anchored frame, move the object away from the edge of the frame.

  • If the contents are clipped only by the width of the border, use the Tools panel to make the anchored frame’s border narrower or to change the pen pattern to None (see Apply and change drawing properties).

  • If a frame and its contents are clipped by the edge of a column of text, choose Insert > Anchored Frame, turn off Cropped, and then click Edit Frame.

Parent topic: Fill and edit anchored frames


Change a frame’s anchoring position and drawing properties

Select the frame and do one of the following:

  • To change the frame’s anchoring position, choose Insert > Anchored Frame. Change the settings and click Edit Frame.

  • To change the drawing properties, select the frame and use the Tools panel to specify the properties you want. For example, you can change a frame’s pen pattern to make the frame’s border printable or change its fill pattern to shade the interior of the frame.

Parent topic: Fill and edit anchored frames


Resize an anchored frame

Do one of the following:

  • To resize the frame quickly but approximately, select the frame and drag one of its handles. The size appears in the status bar as you drag.

  • To resize the frame precisely, select the frame and specify its size with the Graphics > Object Properties, Graphics > Scale, or Insert > Anchored Frame command.

  • To resize an anchored frame to fit the object in the frame, press Esc+M+P.

  • To resize a graphic within an anchored frame, select the object and drag one of its handles, or choose Graphics > Scale and enter the dimensions.

  • Right-click on an anchored frame and choose Fit to Image from the context menu to resize the anchored frame to the size of the image.

Parent topic: Fill and edit anchored frames


Copy, move, or delete an anchored frame

Copy or move an anchored frame by using copy and paste

  1. Select the frame and choose Edit > Copy or Edit > Cut. You don’t need to select the anchor symbol.

  2. Click in text where you want to insert the frame and choose Edit > Paste. The anchor symbol appears at the insertion point when text symbols are visible. When working with a structured document, look at the Elements catalog before pasting to verify that the location is valid for graphic elements.

In some cases (for example, when a frame is positioned at the top or bottom of a column), the frame does not change position even though the anchor symbol moves. If you find it difficult to reposition a frame anchored to the outside of a rotated text frame or column, unrotate the text frame, position the anchored frame, and then rerotate the text frame.

Tip: If you’re working with a structured document, you can also drag a frame’s bubble in the Structure View to move the frame or Alt-drag the bubble to copy the frame.

Move an anchored frame without moving its anchor symbol

Do one of the following:

  • For quick but approximate repositioning, drag the frame.

  • For more precise repositioning, move the frame in small increments with the arrow keys.

  • For greatest precision, specify the location of the frame with the Insert > Anchored Frame command.

Some anchored frames cannot be moved without moving their anchor symbols. However, you can move a frame vertically when it’s anchored at the insertion point, outside the column of text, or outside the text frame. When a frame is anchored outside the column or text frame, you can’t move it above the top or below the bottom of the text frame.

Note: When you move a frame into a column, the text in the column doesn’t adjust to accommodate the frame. Use the Run into Paragraph anchoring position to move the frame completely inside the column and to run the text around the frame automatically. You can also change the paragraph indents to make room for the frame.

Move a frame’s anchor symbol

  1. Select the frame. You don’t need to select the anchor symbol.

  2. Choose Edit > Cut, click in text where you want to insert the anchor symbol, and choose Edit > Paste. The anchor symbol appears at the insertion point when text symbols are visible.

In some cases—for example, when the frame is positioned at the top or bottom of a column of text—the frame may not change position even though the anchor symbol moves.

Delete an anchored frame

Select the frame and press Delete.

Parent topic: Fill and edit anchored frames


Add object attributes for tagged PDF

Know how to edit object attributes for tagged PDF in Adobe FrameMaker.

If you plan to export your document to a tagged PDF or to XML, you can include object attribute information for your anchored frames.

Alt text is different from graphics or standard text. Alt text is typically used for describing an image so that screen readers can read it aloud. Actual text is for reading aloud the actual text, as in the case of a drop cap. For example, if the author is using a drop cap for the letter A in the word “Adobe” but still wants the screen readers to read the word as “Adobe” and not as “dobe,” this can be done by filling in actual text. The attribute will be saved to alt text and actual text in tagged PDF and XML.

When you provide alternate text attribute on an anchored frame, the corresponding figure elements in PDF and graphic elements in XML get an “alt” text attribute. Actual Text attribute is processed only for tagged PDF. XML export ignores this attribute.

Note: Object attributes support the Unicode text encoding standard.

  1. Select the frame and choose Insert > Anchored Frame.

    The Anchored Frame dialog is displayed.

  2. Click Object Attributes.

  3. In the Text Attributes section, add your alt text and actual text, and then click Set.

Note: Screen readers may ignore actual text when alt text is present.
Parent topic: Fill and edit anchored frames


Embed objects

  • Embed text and graphics with OLE
    Learn how to embed text and graphics with OLE in FrameMaker.
  • Link to a text or graphic object with OLE
    Learn how to link to a text or graphic object with OLE in FrameMaker.
  • Edit OLE objects
    Know how to edit OLE objects in FrameMaker.
  • Control the updating of OLE links
    See how you can control updating of OLE links in FrameMaker.
  • Import text into structured documents
    Understand how you can import text in structured documents in FrameMaker.
Parent topic: Graphics and objects


Embed text and graphics with OLE

Learn how to embed text and graphics with OLE in FrameMaker.

You can use OLE to embed text or graphics in a FrameMaker document. Embedded material retains its association with the application that created it (but does not retain a dynamic link to its source document). This lets you double-click an embedded object to open the object in the application that created it. Be sure to use an application that supports OLE as a server to create the object you want to embed.

You can also embed multimedia objects such as video or movie files (.avi or .mov files) and sound files (.wav files).

Note: If you specify an HTTP filename when importing a file as an embedded object, you get an error indicating that the file does not exist. It is recommended that you save the file to your computer before importing it as an object. Also, OLE 1.0 is not supported on 64-bit FrameMaker.

Embed only part of a file with OLE

  1. In its own application, open the file and copy the part you want to embed.

  2. In FrameMaker, click where you want to embed the text or graphics, and choose Edit > Paste Special.

  3. Click Paste, select a format for the object (look for a format that starts with “embedded”), and then click OK.

Embed an entire file with OLE

Click where you want to embed the text or graphics and choose File > Import > Object. You can then embed a new, empty file, or specify an existing one.

Embed by dragging with OLE

Do one of the following from an application that supports drag-and-drop features:

  • To move text or graphics into a FrameMaker document, drag the object.

  • To make a copy of an object instead of moving it, Control-drag the object.

  • To choose between moving or copying when you release the mouse button, right-drag the object.

Parent topic: Embed objects


Link to a text or graphic object with OLE

Learn how to link to a text or graphic object with OLE in FrameMaker.

When you link to an OLE text or graphic object in a document, FrameMaker not only maintains information about the application that created the object but also keeps a dynamic association with the source document. If the source material changes, its representation in the FrameMaker document is updated as well. Be sure to use an application that supports OLE as a server to create the object you want to link to.

You edit linked text or graphics by editing the original source document.

Link to part of a file

  1. In its own application, open the file and copy the part you want to link to.

  2. In FrameMaker, click where you want to place the linked text or graphics, and choose Edit > Paste Special.

  3. Click Paste Link, select a format for the object (look for a format that starts with “linked”), and then click OK.

Link to an entire file

  1. Click where you want to place the linked file and choose File > Import > Object. Click Create from File and then select Link.

  2. Specify the file you want to link to and click OK.

Parent topic: Embed objects


Edit OLE objects

Know how to edit OLE objects in FrameMaker.

You edit an OLE object by using the application that originally created it. When you finish editing, the changes appear in the FrameMaker window.

Edit an embedded OLE object

Double-click it. The object appears in the creating application where you can edit it.

Edit a linked OLE object

Do one of the following:

  • Double-click the OLE object. Either the object appears in a new window in the application that created it or the menus in the FrameMaker window temporarily merge with the menus of the creating application. In either case, the changes you make are reflected in the original document.

  • Edit the original document outside FrameMaker, in the application that created it.

Parent topic: Embed objects


Control the updating of OLE links

See how you can control updating of OLE links in FrameMaker.

You can control how and when OLE linked objects are updated from their source documents. For example, you can specify either automatic or manual updating, and you can manually update a single linked object or several objects in the document.

You cannot specify updating for OLE embedded objects because an embedded object is not dynamically linked with the original document.

Change the updating of a linked OLE object

  1. Select the object, and choose Edit > Links.

  2. Select the linked source from the list, click either Automatic or Manual as the update type, and then click OK.

Suppress the updating of all linked OLE objects

  1. Choose Edit > Update References.

  2. Choose Suppress Automatic Updating from the Commands drop-down list, and then choose the items you don’t want to be updated automatically.

  3. Click Set, and then click Done.

Manually update a single OLE link object

Choose Edit > Links, select the source file you want to update, and then click Update Now.

Cancel an OLE link

When you break an OLE link, the text or graphic remains in your document, but is no longer updated when the source changes. The text becomes editable.

Select the object, choose Edit > Links, and then click Break Link.

Parent topic: Embed objects


Import text into structured documents

Understand how you can import text in structured documents in FrameMaker.

You can import text into a structured FrameMaker document from the following sources:

  • A text flow from another part of the document, from another structured FrameMaker document, or from a MIF file. Any conditional tags in the flow, cross-references, tables, markers, footnotes, variables, and anchored frames are imported.

  • A file created in another application for which an import filter is installed on your system. Special items such as cross-references and tables may also be imported—depending on the application and the filter used.

If the text you import is structured, you can retain or remove the structure. If the text is formatted, you can retain or remove the formatting, or reformat the text using formatting information in the current document.

Imported text can be copied into the document, which is equivalent to using the Copy and Paste commands, or it can be imported by reference as a text inset, in which case it retains a link to its source file. When you import by reference, the text inset displays in the document window but is not editable. If the inset is structured, its structure appears in the Structure View but is not editable.

Figure 1. A text inset remains linked to its source document.
Text inset linked to its source document

  1. Click where you want to insert the text.

  2. Choose File > Import > File.

  3. Select the file with the text you want to import, and specify whether to import by copying or by reference.

  4. If the Unknown File Type dialog box appears, select a file type, and click Convert.

    The dialog box that appears next depends on the import method you chose in step 3. The Import Text Flow By Reference dialog box contains settings for updating the imported flow.

    Figure 2. Specify how you want to format and update your import text flow.
    Import Text Flow By Reference dialog box in FrameMaker

  5. Choose a body page flow or a reference page flow from a drop-down list. Most often, you import text on body pages. Reference pages can contain flows with boilerplate text for use on body pages.

  6. Specify how to handle the structure and formatting of the imported text by doing the following:

    • To retain the structure of the flow and apply the current document’s formats and element format rules to the text, select Reformat Using Current Document’s Formats. If element tags in the two documents don’t match, the formatting of the imported text is unchanged. Usually, you would select the options for removing page breaks and other format overrides so that the imported text looks like text in the current document.

    • To remove the structure and formatting from the text, and apply the formatting used at the insertion point, select Reformat as Plain Text. Text in tables or anchored frames retains the formatting it had in the source document.

    • To remove the structure but retain the formatting, select Retain Source’s Formatting. Formats used in the imported text are not added to the current document’s catalogs. If you later modify the current document’s formats, the imported formats won’t be affected—even if the tags in the current document and imported text match.

  7. If you’re importing by reference, specify how to update the text inset by doing one of the following:

    • To update the text inset whenever you open the document, select Automatic.

    • To update only when you specify, select Manual.

  8. Click Import.

Parent topic: Embed objects
Related information
  • Import text


Hotspots

Know what a hotspot is and how to create clickable hotspots on images and graphics in Adobe FrameMaker.

In this topic

  • Introduction

  • Create hotspots using hotspot properties

  • Create hotspots using graphics toolbar

  • Create hotspots in vector graphics

  • Delink a hotspot

Introduction

In Adobe FrameMaker, a hotspot is an active area in a document that you can link to different areas of the document, to another document, or to a URL. You can apply hotspots to the following objects:

  • Graphic objects

  • Images

  • Anchored frames

  • Graphics frames

  • Text frames

  • Text lines

  • Equations

FrameMaker supports the following shapes for hotspots:

  • Line

  • Arc

  • Polyline

  • Freehand curve

  • Rectangle

  • Rounded rectangle

  • Oval

  • Polygon

You can create hotspots in graphic objects and link them to textual objects in the same or other documents. You can superimpose an invisible hotspot over an image to link to any relevant text or detail in the document.

With hotspots, you can add multiple links in different parts of a graphic without having to divide the graphic into separate parts. For example, in a world map, you can create hotspots in each of the countries linking to more information about that country within a document, in other documents, or at a web address.

Hotspots are supported everywhere in the FrameMaker documents, including the master pages. A use case for hotspots on master page is a clickable logo for every page of the document that takes the user to a webpage.

Hotspots look like other graphic objects. In edit mode, you can select a hotspot and edit the properties. In view mode, when you hover the mouse over the hotspot, the cursor changes to indicate active, clickable area.

You can link a hotspot in one document to another. PDFs support only rectangular hotspots. Hotspots of any other shape are converted to rectangular hotspots when you create the PDFs. Other outputs, such as HTML support hotspots of other shapes such as oval. If you want to scale, rotate, and translate hotspots with the anchor frame, group the hotspots with the anchor frame. While saving XML, FrameMaker saves the graphic containing the hotspots in a MIF file. While opening the XML file again, FrameMaker brings back the hotspot information into the FrameMaker file from the MIF file. Some other output types that support hotspots are: HTML and Multiscreen output.

The Hotspots panel displays the available hotspots in a document or all open documents. Using the Hotspots panel, you can edit, delete, and delink the existing hotspots.

Create hotspots using hotspot properties

To create a hotspot using hotspot properties, do the following:

  1. Insert a hypertext marker of type Named Destination. Apart from a Named Destination marker, you can link hotspots to URLs.

  2. Right-click an object and in the drop-down list, select Hotspot Properties.

  3. In the Create Hotspot dialog, do one of the following:

    1. Select the target document for the link. FrameMaker displays the available markers in the selected document. Select the appropriate instance.

    2. Enter the target URL. The URL length is limited to 1011 bytes. 1011 bytes can contain 1011 single-byte characters or 506 double-byte characters.

  4. Enter the target URL. The URL length is limited to 1011 bytes. 1011 bytes can contain 1011 single-byte characters or 506 double-byte characters.

  5. Click Save.

    You can now test the link by holding ctrl+alt keys and clicking the hotspot. You can generate PDF or other outputs.

Create hotspots using graphics toolbar

To create a hotspot using the graphics toolbar, do the following:

  1. In the Graphics toolbar, click Hotspot Mode.

  2. Create any graphics object. The Hotspot dialog is displayed.

  3. In the Hotspot dialog, do one of the following:

    1. Select the target document for the link. FrameMaker displays the available markers in the selected document. Select the appropriate instance.

    2. Enter the target URL. The URL length is limited to 1011 bytes. 1011 bytes can contain 1011 single-byte characters or 506 double-byte characters.

  4. Specify a tool tip. Maximum tool tip length is 1023 bytes. 1023 bytes can contain 1023 single-byte characters or 511 double-byte characters. The Tooltip Text is optional.

  5. Click Save.

    You can now test the link by holding ctrl+alt keys and clicking the hotspot. You can generate PDF or other outputs.

Create hotspots in vector graphics

You can create multiple hotspots in vector graphics, such as a CGM file, imported in a FrameMaker document.

The various parts of the CGM graphic can be made different hotspots.

Delink a hotspot

You can delink a hotspot to remove the hotspot information from graphic object.

In the Hotspot panel, select the hotspot entry and click Delink or choose Graphics > Delink Hotspot.

Alternatively, right click a hotspot and then from the drop-down list select Delink Hotspot.

Parent topic: Graphics and objects


Object styles

Understand object styles are and their properties and get familiar with object properties in Adobe FrameMaker.

In this topic
  • Introduction
  • Object style designer
  • Object style catalog
  • Create an object style
  • Create an object style from an object’s properties
  • Apply an object style
  • Import object styles from another document

Introduction

In Adobe FrameMaker, you can save your frequently used object properties as a style. You can apply these object styles to various objects, such as images, anchored frames, and text frames for consistent size and appearance. For example, you can create and apply an object style to all the anchored frames in a document, or across documents, to make them of the same size.

Object styles include the following properties:

  • Position and size (width, height, top, left, and angle)
  • Fill (fill pattern, tint, and color)
  • Stroke (line and arrow style, line width, pen pattern)
  • Text line (alignment)
  • Text frame (flow properties and column properties)
  • Anchored frame (anchoring position and related properties)
  • Graphics (scaling and resolution)
  • Equation (alignment, size, and automatic line breaks)
  • Runaround type and width

Object styles are relevant for the following objects in FrameMaker:

  • Images
  • Anchored frame
  • Graphic objects
  • Text frame
  • Text line
  • Equations

Object style designer

Figure 1. Object style designer in Adobe FrameMaker
Object styledesignerin Adobe FrameMaker

A. List of object properties B. Reset all properties to default C. Refresh object style properties D. Select an object style name E. Update all F. Save

Object style catalog

Figure 2. Object style catalog in Adobe FrameMaker
Object stylecatalogin Adobe FrameMaker

A. Refresh the list of styles displayed in the catalog B. Options to display the styles in the catalog C. Delete a style from the document D. Object style names E. Check mark indicates that style is applied in the current document

Create an object style

To create an object style in Adobe FrameMaker, do the following:

  1. Choose Graphics > Object Style Designer. The Object Style Designer dialog is shown. All property values are blank.

  2. In the Object Style Designer dialog, type a name for the object style.

  3. Edit the property values and click Save.

Create an object style from an object’s properties

To create an object style from an object’s properties in Adobe FrameMaker, do the following:

  1. Select the object based on which you want to create an object style.

  2. Choose Graphics > Object Style Designer. The Object Style Designer dialog is shown. The values for the properties are populated from the selected object.

  3. In the Object Style Designer dialog, type a name for the object style.

  4. Edit the property values and click Save.

Apply an object style

To apply object styles on objects in Adobe FrameMaker, do the following:

  1. Choose Graphics > Object Style Designer. The Object Style Designer dialog is shown.

  2. Select one or more objects on which you want to apply the style.

  3. In the Object Style Catalog, click the name of an object style to apply.

Import object styles from another document

To import object styles from another document in Adobe FrameMaker, do the following:

  1. Choose File > Import > Formats.

  2. In the Import Formats dialog, select Object Styles.

  3. Select Import.

Parent topic: Graphics and objects


3D and multimedia objects

Know how you can work with 3D and multimedia objects and insert links for interactive control in FrameMaker.

You can insert links to interactively control embedded U3D (Universal 3D), and FLV objects in the PDF output. You can insert links to 3D and multimedia objects that control various aspects of these objects:

  • View: Calls different views of the 3D/multimedia object. (For 3D only)

  • Parts: Focuses on different parts of the 3D/multimedia object. (For 3D only)

  • Animation: Calls animation in the 3D/multimedia object. (For 3D only)

  • JavaScript™: Attach custom JavaScript™ code to the link.

You can also create a multimedia links table for the 3D/multimedia object of the type View, Parts, or Animation. For example, the multimedia links table of the type parts includes links that focus on different parts of the 3D/multimedia object.

You can also set a poster that appears for FLV and MP4 files while the video is not playing.

  • Insert a link to a 3D object
    Understand how to insert a link to a 3D object in FrameMaker.
  • 3D object part links
    Know how you can link part of 3D objects in FrameMaker.
  • Insert links to an FLV file
    See how you can Insert links to an FLV file in 3D objects in FrameMaker.
  • Set poster for a FLV or MP4 files
    Know how you can set poster for FLV or MP4 files in FrameMaker.
  • Set poster for a 3D object
    Know how you can set poster for a 3D object in FrameMaker.
  • Insert multimedia links table
    Understand how you can Insert multimedia links table in FrameMaker.
  • Edit multimedia links
    See how you can edit multimedia links in FrameMaker.
  • Attach custom JavaScript to a 3D object
    Know how to Attach custom JavaScript to a 3D object in FrameMaker.
  • Use object handle in JavaScript
    Learn to use object handle in JavaScript.
  • Activate 3D/multimedia objects by default
    See how you can, by default, activate 3D/multimedia objects in FrameMaker.
  • Display 3D/multimedia objects in pop-up windows
    Learn how you can display 3D/multimedia objects in pop-up windows in FrameMaker.
Parent topic: Graphics and objects


Insert a link to a 3D object

Understand how to insert a link to a 3D object in FrameMaker.

  1. Insert a 3D object in your document.

  2. Type text for creating the link.

  3. Choose Graphics > Multimedia > Create Link to Graphic.

  4. In the Create Multimedia Link dialog, define the following:

    1. Select Object Type: Select U3D.

    2. Select an Object: Select the name of the object for which you want to insert the links. If there is only one object of the selected object type, FrameMaker selects the object name automatically.

    3. Hypertext Element Tag: If you are working in structured FrameMaker, define the element for the hypertext for the links.

    4. Link Type: For U3D, you can select JavaScript™, View, Parts, or Animation. If you select JavaScript™, in the Details field add the JavaScript™ code that you want to execute on the click of hypertext. Otherwise, Details displays the options relevant to the selected link type. Select one of the options.

  5. Select Insert.

Parent topic: 3D and multimedia objects


3D object part links

Know how you can link part of 3D objects in FrameMaker.

To link a 3D object’s parts to textual objects in the document, use 3D object part links. A use for adding 3D object part links can be to link them to a description of each of the parts.

Linking 3D object parts

A. List of the selected 3D object’s parts B. List of the markers that you can make link destinations for the 3D object’s parts

  • Create 3D links
Parent topic: 3D and multimedia objects


Create 3D links

You can create 3D object links and link them to Specify Named Destination command or URL.

  1. Ensure that your document has Specify Named Destination hypertext. Specify Named Destination hypertext can exist either in the same document or in other documents.

  2. Right-click a 3D object and choose 3D Menu > Link to Text.

  3. In the Link to Text dialog, do the following:

    1. To insert a link, select a part of the 3D object, then select a Marker, and click Insert Link to Text.

    2. To delete a link, select a part name linked to a marker and click Delete Link to Text.

    3. To modify a link, select a part name linked to a marker, select a different marker, and click Update link to Text.

    4. To view linked parts, select Show Only Linked Parts. When you select a linked part, the linked marker is selected.

  4. Click OK.

Parent topic: 3D object part links


Insert links to an FLV file

See how you can Insert links to an FLV file in 3D objects in FrameMaker.

  1. Insert an FLV file in your document.

  2. Type text for creating the link.

  3. Choose Graphics > Multimedia > Create Link to Graphic.

  4. In the Create Multimedia Link dialog, specify the following:

    1. Select Object Type: Select FLV.

    2. Select an Object: Select the name of the object for which you want to insert the links. If there is only one object of the selected object type, FrameMaker selects the object name automatically.

    3. Hypertext Element Tag: If you are working in structured FrameMaker, specify the element for the hypertext for the links in the table.

    4. Link Type: For FLV, you can select the following:

      • Play: Plays the FLV video

      • Pause: Pauses the video

      • Rewind: Rewinds the video to the starting point

      • Nextcuepoint: Takes the video to the next cue point

      • Prevcuepoint: Takes the video to the previous cue point

      • Seek: Seek helps you select further options for creating defined points.

  5. If you have selected Seek in Link type, do one of the following:

    1. Defined Points: This option allows you to use the cue points embedded in the video itself.

    2. Create Point: This option allows you to create a seek point in the video. After selecting this option, play the video and click Create Link in the video window to insert a seek point.

  6. Select Insert.

Parent topic: 3D and multimedia objects


Set poster for a FLV or MP4 files

Know how you can set poster for FLV or MP4 files in FrameMaker.

You can set a poster that appears for FLV or MP4files while the video is not playing.

  1. Select a FLV, and MP4 file.

  2. Right-click the file and from the drop-down list, select Set Poster.

  3. For an FLV or MP4 file, the Set Poster dialog appears.

    1. Select From Media and click Play.

    2. While the video is playing, at the appropriate moment click Capture Frame for Poster.

    3. Click Save As and save the poster file (.dib) to disc.

    4. Click Apply.

Parent topic: 3D and multimedia objects


Set poster for a 3D object

Know how you can set poster for a 3D object in FrameMaker.

You can set a poster that appears for U3D files while the video is not playing.

  1. Select a 3D object.

  2. Right-click the object and from the drop-down list, select Set Poster.

    The Select Poster File dialog appears.

  3. Navigate to a poster file (.jpeg, .png, .gif, .dib, or .bmp format) and select it.

Parent topic: 3D and multimedia objects


Insert multimedia links table

Understand how you can Insert multimedia links table in FrameMaker.

You can add multimedia links table for U3D and FLV objects.

  1. Choose Graphics > Multimedia > Create Link Table to Graphic.

    Note: If the Create link table for graphic command is disabled, place your cursor in a text area in the document.

  2. In the Insert Multimedia Link Table dialog, select:

    1. Select Object Type: Select U3D or FLV.

    2. Select an Object: Name of the object for which you want to insert the links.

    3. Table Format: Select a table format for the links table.

    4. Table Element Tag: If you are working in structured FrameMaker, specify the element for the links table.

    5. Hypertext Element Tag: If you are working in structured FrameMaker, specify the element for the hypertext for the links in the table.

    6. Select Table Type: Select the type of action for the multimedia links. For U3D the options are View, Parts, or Animation. For FLV, you can choose Seek.

  3. Select Insert.

Parent topic: 3D and multimedia objects


Edit multimedia links

See how you can edit multimedia links in FrameMaker.

You can edit the multimedia links using the markers panel.

  1. Choose View > Panels > Markers.

  2. In the Markers panel, double-click a hypertext marker of type multimedia.

  3. In the Edit Multimedia Link dialog, modify the options as required and click Save.

Parent topic: 3D and multimedia objects


Attach custom JavaScript™ to a 3D object

Know how to Attach custom JavaScript to a 3D object in FrameMaker.

You can attach custom JavaScript™ to a 3D object to control it.

  1. Right-click a 3D object and in the 3D context menu, choose 3D Menu > Select JavaScript ™.

  2. In the Select JavaScript ™ file dialog, navigate to a JavaScript™ file and click Select.

    Note: If you copy-paste a 3D object, the JavaScript™ attached with it is also copied to the new instance of the object.
Parent topic: 3D and multimedia objects


Use object handle in JavaScript™

Learn to use object handle in JavaScript.

You can refer to a 3D or FLV object’s name in a JavaScript™ using the FM_ prefix.

The following JavaScript™ example uses the FM_ prefix with the object name. This example JavaScript™ code makes the relevant object transparent.

  1. Insert an object in FrameMaker and name it as my3d in properties in the 3D menu.

  2. Attach the following JavaScript™ code to the object. The object my3d is referred to in this code as FM_my3d.

    var i,count,tempObj;
count=FM_my3d.context3D.scene.meshes.count;
var selObj;
for( i=0;i<count;i++){
selObj=FM_my3d.context3D.scene.meshes.getByIndex(i);
tempObj=FM_my3d.context3D.scene.nodes.getByName(selObj.name);
tempObj.renderMode="transparent";
}

  3. Create the PDF and click the link. The 3D object turns transparent.

Parent topic: 3D and multimedia objects


Activate 3D/multimedia objects by default

See how you can, by default, activate 3D/multimedia objects in FrameMaker.

When you open a PDF, the 3D/multimedia objects in PDF are not activated by default. Click the objects to activate them. To activate the 3D/multimedia objects in the PDF by default, complete the following steps:

  • Right-click an FLV or 3D object and in the context menu, choose PDF View Options > Activate by Default.

Parent topic: 3D and multimedia objects


Display 3D/multimedia objects in pop-up windows

Learn how you can display 3D/multimedia objects in pop-up windows in FrameMaker.

You can choose to display the 3D/multimedia objects in a pop-up, when you click the relevant link. This option is useful when the links and the 3D/multimedia object are on different pages.

  • Right-click an FLV or 3D object and in the context menu, choose PDF View Options > Open in Pop up Window.

Note: You can close the pop-up by clicking the cross in the upper-right corner of the pop-up window.
Parent topic: 3D and multimedia objects


QR codes

Understand QR codes and how you can work with them in Adobe FrameMaker.

In this topic

  • Introduction

  • Generate and insert a QR code

  • Editing QR codes

Introduction

You can generate a QR code in FrameMaker and then insert the code into a FrameMaker document. A QR (Quick Response) code is an optically machine-readable two-dimensional bar code. The code can be scanned by a device, such as a smartphone, that then extracts (and accordingly uses) the information specified in the code.

FrameMaker offers a powerful QR Code Builder.

Figure 1. QR Code Builder in FrameMaker
QR Code Builder in Adobe FrameMaker

Generate and insert a QR code

  1. Choose Insert > Generate QR Code ….

    The QR Code Builder dialog displays.

  2. Specify a file name and path to create the QR code file (.png).

    The default dimensions of the image is 186 pixels.

  3. To change the dimensions of the image, select an alternative dimension from the Image Dimensions drop-down list.

  4. To specify the type of information you want to encode, select an option from the Type drop-down list.

    SMS

    Send an SMS to the encoded phone number with the encoded text

    URL

    Open the encoded URL

    Phone

    Make a phone call to the encoded phone number

    Email

    Send an email to a specified address

    Text

    Read the encoded text

  5. For each information type, enter the relevant information and click Insert.

The QR code with the specified information is generated and inserted into the document.

Editing QR codes

You can edit an existing QR code in a document by using the QR Code Builder. FrameMaker also allows you to edit the file in external applications such as Adobe Photoshop and Adobe Illustrator.

To edit the QR code in the QR Code Builder:

  1. In the document, select the QR code to edit.

  2. Choose Edit > Edit QR Code…. The QR Code Builder dialog displays.

    or

    Double-click on the QR code in the document.

    or

    Right-click on the QR code and select Edit QR Code… from the context menu.

  3. Edit the relevant code details and click Save.

The QR code with the updated information is saved to the .png file and updated in the document.

To edit the QR code in an external application:

  1. In the document, select the QR code to edit.

  2. Right-click on the QR code and choose Edit with… in the context menu. Select the application in which you want to edit the QR code:

    • Illustrator

    • Photoshop

    • RoboScreenCapture

    Important: You can only choose an application that is currently installed on your computer.

  3. The QR code file is opened in the application that you select.

  4. Make changes to the .png file in the external application and save the changes.

As soon as you save the changes to update the .png file, the changes are immediately reflected in the QR code in the FrameMaker document.

Parent topic: Graphics and objects


Using RoboScreenCapture

Learn what is RoboScreen capture and how to use it in FrameMaker.

In this topic

  • Introduction

  • Capturing and inserting images

  • Editing imported RoboScreenCapture images

Introduction

RoboScreenCapture is a screen capture tool that can be used for capturing and editing images. You can use these images in your help systems like online tutorials, manuals, training handouts, presentations, marketing materials, and web pages.

Integration of Adobe FrameMaker with Adobe RoboScreenCapture helps you do the following:

  • Open RoboScreenCapture from FrameMaker.

  • Insert images created in RoboScreenCapture into FrameMaker.

  • Edit images imported by reference into FrameMaker using RoboScreenCapture. You can use the right-click option Edit with RoboScreenCapture for an image to launch and edit the image in RoboScreenCapture.

Changes made to the image are reflected in FrameMaker after the image is saved and closed in RoboScreenCapture.

Note: This option is available only for image formats supported by RoboScreenCapture.

You can use RoboScreenCapture to perform the following tasks:

  • Capture screens in 10 modes, including freehand, virtual screen, and multi-region

  • Capture screens using a drop-down list, assign your own keyboard shortcuts, and even control RoboScreenCapture with voice commands

  • Capture difficult-to-grab screens such as DirectX, Direct3D, 3Dfx, Voodoo, and Glide mode games

  • Capture more than is visible on the screen, such as long Web pages

  • Edit images

  • Save your screen capture in over 20 image formats

  • Automatically save screen captures to image files

  • Quickly add image stamps, frames, drop shadows, and more

  • Change image colors, flip or rotate images, and crop images to a smaller size

  • Add identifying stamps to each screen capture, such as a company name or logo

  • Call-out specific areas of your capture with shapes, shadow effects, and more.

Capturing and inserting images

You can use RoboScreenCapture from FrameMaker to capture a screenshot from an application running on your computer, and save it in RoboScreenCapture. You can then import the file into an open FrameMaker document.

  1. Open the FrameMaker document into which you want to insert images.

  2. Choose File > Launch RoboScreenCapture. The RoboScreenCapture application opens.

  3. From RoboScreenCapture, capture a screenshot of the desired application using the various options in the Capture menu.

  4. Save the file, and close RoboScreenCapture.

  5. In Adobe FrameMaker, choose File > Import > File or Insert > Image.

    The Import dialog box appears.

  6. Select the file created in RoboScreenCapture.

  7. Select Import by Reference from the Import dialog box.

  8. Click Import.

Editing imported RoboScreenCapture images

You can use RoboScreenCapture to edit images inserted by reference into FrameMaker documents.

  1. Open FrameMaker.

  2. Choose File > Open, and open a document with the image you want to edit.

  3. Select the image you want to edit.

  4. Right-click the image, and select Edit With RoboScreenCapture. The RoboScreenCapture application opens with the image open for editing.

  5. Edit the image.

  6. Choose File > Save.

  7. Choose File > Exit to close the RoboScreenCapture application.

The edited image is updated in FrameMaker and is ready for use in the document.

Parent topic: Graphics and objects


Import and edit Adobe Illustrator images

Understand how to import and edit images in Adobe FrameMaker using Adobe Illustrator.

You can import Adobe Illustrator images into your Adobe FrameMaker documents. FrameMaker supports layers, and you can import graphics with multiple layers into your document.

Also, you can open Photoshop images for editing right from within FrameMaker.

The following Adobe Photoshop images can be imported into a FrameMaker document:

  • AI (Adobe Illustrator Image)

  • AIT (Adobe Illustrator Template)

  • EPS (Adobe Illustrator EPS)

  • SVG (Scalable Vector Graphics)

Choose File > Import, and then browse to the Illustrator file and insert it into your document.

You can then open the Illustrator file for editing in Adobe Illustrator from within FrameMaker.

To edit the image in Adobe Illustrator:

  1. Select the image you want to edit.

  2. Right-click the image, and select Edit With Illustrator. Adobe Illustrator opens with the image open for editing.

  3. Edit the image.

  4. Choose File > Save or File > Export (depending on the image type) to save the edited image.

  5. Choose File > Exit to close Adobe Illustrator.

The edited image is updated in your Adobe FrameMaker document.

Note: Adobe Illustrator needs to be installed on the same system as Adobe FrameMaker for this feature to work.
Parent topic: Graphics and objects
  • Import and edit Adobe Photoshop images


Import and edit Adobe Photoshop images

Understand how to import and edit images in Adobe FrameMaker usig Adobe Photoshop.

You can import Adobe Photoshop images into your Adobe FrameMaker documents. FrameMaker supports layers, and you can import graphics with multiple layers into your document. On publishing, the PSD files are rasterized.

Also, you can open Photoshop images for editing right from within FrameMaker.

The following Adobe Photoshop images can be imported into a FrameMaker document:

  • PSD (Adobe Photoshop Image)

  • PSB (Adobe Photoshop Large Document Format)

  • PSDT (Adobe Photoshop Document Template)

  • PDD (Adobe Photoshop Elements)

Choose File > Import, and then browse to the Photoshop file and insert it into your document.

You can then open the Photoshop file for editing in Adobe Photoshop from within FrameMaker.

To edit the image in Adobe Photoshop:

  1. Select the image you want to edit.

  2. Right-click the image, and select Edit With Photoshop. Adobe Photoshop opens with the image open for editing.

  3. Edit the image.

  4. Choose File > Save or File > Export (depending on the image type) to save the edited image.

  5. Choose File > Exit to close Adobe Photohop.

The edited image is updated in your Adobe FrameMaker document.

Note: Adobe Photoshop needs to be installed on the same system as Adobe FrameMaker for this feature to work.
Parent topic: Graphics and objects
  • Import and edit Adobe Illustrator images


Change direction of a document containing objects

See how you can change the direction of documents containing objects in Adobe FrameMaker.

When you change the direction (Left To Right/LTR – Left-To-Right/RTL) of a document that contains graphical objects, anchored frames, or text frames the objects are vertically flipped in the document. This implies that if an object is placed 10 px from the left margin, changing the direction will cause the object to be placed 10 px from the right margin. However, the orientation of the object remains the same.

Changing direction of document containing objects

You can choose to change the orientation of a graphical object that is flipped when the document direction is changed:

Changing the orientation of a graphical object that is flipped when the document direction is changed

To flip and change the orientation of a graphical object, ensure the following maker.ini flags are switched on:

TranslateObjectOnDirectionChange=On
FlipObjectOnDirectionChange=On

If you do not want to flip objects in a document when the direction is changed, switch off the following flag:

TranslateObjectOnDirectionChange=Off
Parent topic: Graphics and objects
  • Document direction


Projects, books, and long documents

Know how to manage your multiple documentation projects by using the Projects feature in FrameMaker.

You can use a project in FrameMaker to organize multiple deliverables of your help system. The single view of all resources within a project gives you more control and flexibility to place and move around your project resources.

Also, you can organize multiple topics or chapters in a single logical unit named book.

  • Projects
    The project management feature in Adobe FrameMaker allows you create projects and manage all resources related to a project from a single place.
  • Books and long documents
    Know what book files are and how they can be arranged in a setup as long documents in Adobe FrameMaker.
  • Create books
    Learn how to create a book in Adobe FrameMaker, add files to a book, combine several books in one, associate a Structured Application with XML files, and understand the book direction.
  • Manage books
    Learn to manage book files in FrameMaker, rename, open and close files, compare documents and apply book-wide comments.
  • Generate and update books
    Understand how to generate and update books in Adobe FrameMaker.
  • Tables of contents and other lists
    Know what is a generate file in Adobe FrameMaker and the types of lists that you can generate with FrameMaker.
  • Creating indexes
    Learn about creating index entries, inserting index markers and marker elements, create index subentries (multi-level indexes) and add cross-references and page ranges for index entries in Adobe FrameMaker.
  • Formatting lists and indexes
    See how you can format a list or index with a template in Adobe FrameMaker.
  • Glossaries
    Understand glossaries in Adobe FrameMaker. Learn how to create a glossary marker with a term definition and how to apply the glossary marker to the occurrences of the term.
  • Footnotes and endnotes
    Know how footnotes and endnotes work in Adobe FrameMaker.
  • Edit and validate book structure
    Know how to edit and validate the structure of a book in Adobe FrameMaker.
  • Troubleshooting books
    Learn to troubleshoot issues with Adobe FrameMaker books.


Projects

The project management feature in Adobe FrameMaker allows you create projects and manage all resources related to a project from a single place.

You can create a project and add all resources (such as files and folders) related to that project from different locations on your file system. You can easily drag-and-drop resources from your file system into the project window to add them to your project.

In this topic

  • Introduction

  • Create a project

  • Add a location and save a project

  • Open a Project

  • Remove a location

  • Delete a resource

  • Work with the project window

  • Additional features in the project window

Introduction

The project management feature allows you to perform the following tasks with ease and help you to enhance your productivity:

  • Single window view of all project-related files and folders

  • Drag-and-drop content from Windows Explorer to add content to your project

  • Drag-and-drop content from one location to another to organize content within your project

  • Insert and image by simply dragging it from project window and dropping it on to the document

  • Rename files and folders

Create a project

  1. Choose File > New > Project.

    The New Project dialog displays.

    Figure 1. New Project dialog
    New Project dialog in FrameMaker

  2. Enter the Name of the project.

    Note: By default, a new folder with the name of the project is created in the location that you selected to create the project. You can choose to name the project or the project folder differently.

Add a location and save a project

Once you have created a project, you need to add resources to your project. Typically, you would have stored all your project-related files at different places in you file system. You can add all those locations to your project to get a comprehensive view of the project.

Perform the following steps to add a location to your project:

  1. In the project window, click the Add Location icon.

  2. Browse to and select the location where your project resources are available.

    Note: By default, the location name is assigned the name of the destination folder. You can choose to specify a different name for the location.

  3. ( Optional) Specify the Name for the location.

  4. Click OK.

    The location gets added to your project. In the project window, you can see all resources available in the location that you added.

    Note: You can also add a location by dragging the required folder from Windows Explorer into the project window.

  5. Once you have made the required changes to your project, click the Save icon to save changes.

Open a Project

  1. Choose File > Open.

  2. Locate the project file. Click Open.

    Note: The extension of the project file is .fxpr.

Remove a location

If you would like to remove a location that is no longer required in your project, perform the following steps:

  1. Right-click the location that you want to remove.

  2. From the context menu, choose Remove.

    The location gets removed from your project. However, it is not deleted from your file system.

Delete a resource

The project window displays the resources (files and folders) from your file system. If you no longer need a resource (file), you can delete it from your project.

Important: Deleting a file from your project also deletes it from your file system. Therefore, you must use this feature with caution.

Perform the following steps to delete a resource from your project:

  1. Right-click the resource that you want to delete.

  2. From the context menu, choose Delete.

    In the confirmation dialog, click OK.

    The resource gets removed from your project and it is also deleted from your file system.

Work with the project window

The following image shows the project window:

Figure 2. Project window and its toolbar

A (Add Location)
Add a location to your project.
B (Create Folder)
Create a folder or sub-folder in a project. The folder that you create from the project window also gets created in your file system. Also, if you create a new folder or file manually in your file system, then FrameMaker updates the list automatically to reflect the changes in project window.
C (Save)
Save the currently open project.
D (Delete)
Use the delete button to delete the file or folder from the project. Note that if you choose to delete any file or folder from the project window, it gets deleted from the file system as well. However, if you choose to delete a location, it is only removed from the project and not from the file system.
E (Show File/Folder Paths)
Toggle between the Show File Path/ Show File Name to display the folder path or name of the resources within the project.

Additional features in the project window

Right-click on a project resource (location, folder, or file) to perform the following additional operations from the context menu.

Edit
Opens the selected file for editing. If the file is a valid FrameMaker file, then it is opened for editing in FrameMaker itself. Else, if the file is not recognize by FrameMaker, then the file is opened in the associated program for editing.
Explore
Opens the parent folder of the selected resource in Windows Explorer.
Rename
Allows you to rename the selected resource in the project.
Delete
Removes the selected location or deletes the selected file from the project. For more information, see Remove a location and Delete a resource.
Parent topic: Projects, books, and long documents


Books and long documents

Know what book files are and how they can be arranged in a setup as long documents in Adobe FrameMaker.

A book file contains the filenames of the documents that make up the book, such as chapters and appendixes, generated files such as a table of contents, and other books. The filename and location of each file are added to the book file and a link is established between the file and the book.

A book can also be organized into a hierarchical setup of related documents using folders and groups. Folders act as chapters, sections, or sub sections depending on their hierarchical level within a book. You can also include related books within a book to build a complex documentation set.

A book file contains pagination and numbering settings for each file in the book. During a book update, FrameMaker updates the numbering throughout the book and can create and update the generated files as well.

Although books can include non-FrameMaker documents, such as .mif or .txt files, their processing is different from .fm files.

Overview of the book building workflow in Adobe FrameMaker

  1. Create a book and add documents to it. These documents can be .fm, .xml, .mif, or even .book files.

  2. Organize your documents into folders or groups if necessary.

  3. Set up volume, chapter, page, and paragraph numbering.

  4. Add generated files, such as a TOC (Table Of Contents), list of tables or images, or an index.

  5. Update the book.

Note: A FrameMaker book references the documents included in the book. A document can therefore be included in multiple books.

Set up hierarchical books

In Adobe FrameMaker, you can create hierarchical books that can include multiple books. Files can be organized in folders or groups.

Hierarchical mixed FrameMaker book
Setting up hierarchical books in FrameMaker

A. Add a file to the book B. Add a folder in the book C. Add a group in the book D. Save the book file E. Delete a file from the book F. Update book G. Arrow keys to move book components H. Display file heading text. Icon changes to Display File Names on clicking. I. Search in a book J. Complete path of the book and book name K. Generated FrameMaker file – TOC L. .fm file M. Folder N. .xml files included in a book O. Group of files P. mif file in a group Q. Multiple sub-levels of folders R. Status bar for the book

Parent topic: Projects, books, and long documents


Create books

Learn how to create a book in Adobe FrameMaker, add files to a book, combine several books in one, associate a Structured Application with XML files, and understand the book direction.

In this topic

  • Introduction

  • Create a book

  • Add files to a book

  • Associate a Structured Application with an XML file

  • Add generated files to a book

  • Add a child book

  • Direction of a book

Introduction

With Adobe FrameMaker, you can combine multiple documents in a book file. You can also add Table of Contents, Index, and other automatically generated lists (e.g., a list of tables and list of figures). You can also create books and include other books and organize your book components in folders and groups.

Create a book

To create a book, do the following:

  1. Choose File > New > Book. If a document is active, an alert message asks if you want to include it in the book. A new book window appears:

    Figure 1. Book window
    Thescreenshot shows the book window in Adobe FrameMaker. The book hasjust been created and not yet saved (“UntitledBook1.book”).

  2. Choose File > Save Book As or click the Save Book icon icon in the menu bar of the book.

Add files to a book

To add files to a book, do the following:

  1. In the book window, choose Insert > Files or click Add File to Book button.

  2. Select the document file or files you want to add to the book, and then click Add.

You can also add files to a book by dragging them from Windows Explorer into a book window.

Note: You can also add files by specifying an HTTP path and filename in the Add Files to Book dialog box. Make sure that you specify a correct path and filename. Else you may get a message that the file is not in a recognized format, and an uneditable dummy file is added to the book.

Associate a Structured Application with an XML file

To associate a Structured Application with the .xml files included in a book, do the following:

  1. Right-click the .xml file in the book window and select Properties.

  2. Select the Structured Application name from the Use Structured Application list box. Click Continue.

Add generated files to a book

To add a generated file to a book, do the following:

  1. Open the book window and select the file next to where you want the generated file to appear.

  2. Do one of the following:

    • Choose Insert > Create Standalone TOC or choose Insert > List of, and then choose a type of list from the menu.

    • Choose Insert > Standard Index, or choose Insert > Index of, and then choose the type of specialized index you want to create.

    The following generated list types are available:

    • List of Figures (LOF)

    • List of Tables (LOT)

    • List of Elements & Paragraphs (LOP)

    • List Elements & Paragraphs (Alphabetical) (APL)

    • List of Markers (LOM)

    • List of Markers (Alphabetical) (AML)

    • List of References (LOR)

    The following List of References (LOR) types are available:

    • Condition Tags

    • External Cross-Refs

    • Fonts

    • Imported Graphics

    • Text Insets

    • Unresolved Cross-Refs

    • Unresolved Text Insets

Note: You can also create TOCs, lists, and indexes for individual files in a book. For example, choose Insert > List of Figures to create a standalone list of figures for the current document. You can also opt to create a book with a copy of the current file and its corresponding generated file. FrameMaker always creates the generated files in the same folder as the source file.

Add a child book

In Adobe FrameMaker, you can also add books within books. These can be unstructured book files or DITA maps. You can now include multiple child books at multiple levels in a book.

  1. Open the parent book in which you want to add a child book.

  2. In the book window, choose Insert > Files or click AddFile to Book button.

  3. Navigate to and select the .book file you want to add as a child book. Click Add. Double-clicking the child book opens it in a separate Resource Manager panel.

    Note: You can click the Browse URL button in the Add File dialog box to select a book residing on a WebDAV server.

FrameMaker stores numbering and pagination information at a book level and for each book separately. Child books are placeholders within the parent book. You cannot edit the content of a child book from within the parent book view. All maintenance tasks must be performed in the child book separately.

A book update on the parent book does not affect the page numbering within the child book. When updating a parent book, make sure that you update the child books first. Then update the parent book.

However, if the files from the child book are already open, then they are updated but not saved. You should always explicitly save all open files after a book update command or after applying a book-wide command.

When saving a parent book file as a PDF, FrameMaker updates information for only those files that belong to the parent book. To ensure that the information is correctly represented in the PDF for child books as well, do one of the following:

  • First, update all child books and then their parent books before saving a book file as a PDF.

  • Open all files, including the files in the child books, before saving the parent book file as a PDF. After creating the PDF, ensure that you save all the open files to preserve any updates.

Direction of a book

When you create a book and add documents to the book, the direction of the book depends on the direction of the first non-generatable chapter or component in the book. The direction can be left-to-right (LTR) or right-to-left (RTL).

For example, if a book contains some RTL documents and some LTR documents, FrameMaker takes the direction of the first non-generatable document in the book as the book direction. The direction of the generated lists and indexes in a book is based on the direction of the book.

Parent topic: Projects, books, and long documents


Manage books

Learn to manage book files in FrameMaker, rename, open and close files, compare documents and apply book-wide comments.

  • Manage book components
    Learn how to work with book components in Adobe FrameMaker.
  • Book groups and folders
    Learn how to organize book components in book groups and book folders with Adobe FrameMaker.
  • Document and page numbering
    Learn about document and page numbering in Adobe FrameMaker, set up numbering, learn about book component numbers, and include book component numbers in headers and footers.
  • Change and import formats
    Learn how to modify and import styles and element definitions in Adobe FrameMaker.
  • Master Table of Contents/Master Index
    See how you can setup a book file to create a master TOC or index in Adobe FrameMaker.
Parent topic: Projects, books, and long documents


Manage book components

Learn how to work with book components in Adobe FrameMaker.

In this topic

  • Display filenames or heading text in the book panel

  • Exclude book components from the output

  • Select book components

  • Rearrange and delete book components in a book

  • Rename book components in a book

  • Revert to a previously saved version

  • Open, save, or close book components

  • Compare documents

  • Apply book-wide commands

Display filenames or heading text in the book panel

In an Adobe FrameMaker book panel, you can display the filenames or the heading text of a book component:

  • Click the Display Heading Text icon Display Heading Text icon.

  • Click the Display File Names icon Display File Names icon.

Figure 1. Adobe FrameMaker book with option “Display File Names”
Screenshotof an Adobe FrameMaker book with option “Display File Names”

Figure 2. Adobe FrameMaker book with option “Display Heading Text”
Screenshotof an Adobe FrameMaker book with option “Display Heading Text”

Exclude book components from the output

Right-click the book component to exclude and select Exclude.

If you exclude a folder or group, Adobe FrameMaker excludes all book components within the folder or group from the output. When you update a book, the numbering is automatically updated to account for the excluded book components.

Select book components

To select certain book component types in an Adobe FrameMaker book, do one of the following:

Select all book components

Choose Edit > Select > All.

Select all generated files in a book

Choose Edit > Select > Generated Files.

Select all nongenerated files in a book

Choose Edit > Select > Nongenerated Files.

Select only FrameMaker files, such as .fm, .book, .mif files

Choose Edit > Select > FrameMaker Files.

Select all excluded book components

Choose Edit > Select > Excluded Components.

Select all the book components that are not marked as Excluded

Choose Edit > Select > Nonexcluded Components.

Select all the book components at the first hierarchical level

Choose Edit > Select > Chapter Components.

Select all book components at the second hierarchical level

Choose Edit > Select > Section Components.

Select all book components at the third hierarchical level

Choose Edit > Select > Sub-section Components.

Rearrange and delete book components in a book

When working with structured books in Adobe FrameMaker, you can rearrange and delete book components by working with element bubbles in the Structure View. After you update the book, the text snippets identify the book components.

If you delete a book component from a structured book you’ve updated, the book component may retain some structure information inherited from the book. Remove this information from the book component to make it a stand-alone document again.

In the book panel, select one or more book components. Do either of the following:

  • Drag the selected book components to the desired position in the book.

  • Choose Edit > Delete. The book components are removed from the book, but the files remain on the disk.

Rename book components in a book

When you rename a book component, Adobe FrameMaker renames the corresponding file on the disk and updates cross-references, hypertext links, and text inset links in other files in the book.

When you add a generated file (such as a table of contents or index) to a book, FrameMaker assignes a name to the file based on the book’s filename. If you leave generated files with the default filename and rename the book, then FrameMaker changes the filename in the book, but not on disk.

For example, in New.book, you have a generated file with the default name NewTOC.fm:

If you rename the book to Samples.book, FrameMaker renames the generated file to SamplesTOC.fm in the book, but not on the disk.

If you rename the generated file as Contents.fm and then rename the book, the generated TOC remains Contents.fm in the book as well as on disk.

  1. Select the book component you want to rename, and either choose Edit > Rename or right-click and choose Rename.

  2. Type the new name of the book component and press Enter. When the alert message appears, click OK to update the other book components in the same book.

Revert to a previously saved version

This procedure affects book components that you have added or deleted in Adobe FrameMaker. It also affects settings that you have applied to book components in the book, such as numbering, pagination, and color definitions. The content of the documents is not changed.

Choose File > Revert to Saved Book to revert to a previously saved version.

Note: This command clears the command history. To undo only selected commands, use the Undo History panel instead of Revert To Saved Book.

Open, save, or close book components

In Adobe FrameMaker, you can use the book panel to open, save, print, and close individual book component. You can also open, save, and close all the book components and print and update the format of several or all book components.

When you open a non-FrameMaker document from the book panel, the appropriate application, if available, is launched.

Do one of the following:

  • To open one book component, double-click the book component.

  • To open several book components, select the book component you want to open and press Enter.

  • To open all book components, hold down Shift and choose File > Open All Files in Book.

Tip: You can suspend the automatic update of cross-references or text insets by choosing Edit > Suppress Automatic Reference Updating. In the Suppress Automatic Reference Updating dialog, select Suppress Automatic Updating. Click Set. When you open an individual document that has settings for automatic updates, cross-references and text insets are still updated.

  • To close all book components in a book, hold down Shift and choose File > Close All Files In Book.

  • To save all book components in a book, hold down Shift and choose File > Save All Files in Book. This also saves the book file itself.

Compare documents

Adobe FrameMaker can compare two versions of a document to show you what has changed. FrameMaker compares not only the text in the two versions, but also the footnotes, markers, anchored frames, text insets, variables, and cross-references.

Note: For structured documents, FrameMaker additionally compares the structure of the two documents and optionally compares the attributes within those structures.

  1. Open both versions of the documents.

  2. In the document window of the newer version, choose File > Utilities > Compare Documents.

  3. Specify the older version of the document to be compared.

  4. Choose the report format. You can either have a summary document or a composite document.

    The summary document reports of the differences in the book components. Composite documents (which have a CMP suffix) show the differences in the files side by side.

  5. To set up the comparison options, click Options. The options screen is displayed as follows:
    Figure 3. Comparison Options dialog
    ComparisonOptions dialog in Adobe FrameMaker

  6. Set the options. Click Set.

  7. Click Compare.

  8. The selected reporting format displays the differences. All differences display with track changes, and you can accept or reject the changes as desired.

Apply book-wide commands

You can use many Adobe FrameMaker commands across some or all book components in the same book. For example, you can change the View options, spell-check, or change the page layout of selected book components.

If the book components of the book are open, FrameMaker applies the book-wide command to the book components. Still, the book components are not saved or closed. Therefore, in the case of open book components, you should explicitly save the files before you close them.

If the book components are closed, FrameMaker silently opens the book components, applies the book-wide commands, then saves and closes the book components. If FrameMaker is unable to open a closed file or if other problems occur when you apply the command to a selected file, a message appears in the Book Error Log.

  1. In the book panel, select the book components you want to change.

  2. Choose the desired command, such as Edit > Spelling Checker.

Tip: For .mif and .xml files, open the files before applying a book-wide command.

In structured documents, you can edit attributes, set available elements, and set new element options in the book.

Parent topic: Manage books


Book groups and folders

Learn how to organize book components in book groups and book folders with Adobe FrameMaker.

In this topic

  • Introduction

  • Book Folders

  • Book Groups

  • Rename a book group or book folder

  • Associate a template with a book folder

  • Add file information for a book folder template

Introduction

With Adobe FrameMaker, you can combine multiple documents in a book file. You can also organize your documents in book folders and groups and associate templates with folders and add custom cover pages.

Book Folders

You can add folders to your book and organize related documents in them. FrameMaker treats a folder as a logical container; it does not create a physical folder on the disk. A folder can have one or more folders, groups, or files within it.

Depending on the level at which you add a folder, it can act like a chapter, section, or subsection. You can set special numbering styles for a folder and all its contents. You can also choose to exclude files from being published by selecting Exclude from the context menu.

When you select a file in a book and add another file, the new file is added below and at the same level as the selected file. When you select a folder and add a file, the new file is added at the end of the files in the folder.

Addingfoldersto your book in Adobe FrameMaker

A. Select One.fm and add Four.fm. B. Select Folder1 and add A.fm.

Note: If a file is already present in a book, you cannot add it again within a folder.

Book Groups

You can create groups in a book file. Like folders, groups are also logical containers in a book file; they do not exist on the disk. The difference between a group and a folder is that a group does not change the hierarchy of the files within it. Also you cannot set up numbering styles for a group.

For example, the chapter number increments sequentially if the chapter is in a group. For files organized under a folder, the chapter number remains the same but the section number can increment sequentially. You cannot explicitly change the chapter number for files in a folder as the files inherit this property from the folder.

Creatinggroupsin a book file in FrameMaker

Rename a book group or book folder

To rename a book group, do the following:

  1. Right-click the book group and select Rename.

  2. Type a new group name and press Return.

To rename a book folder, do the following:

  1. Right-click the folder and select Properties.

  2. Type a new folder name in the Title box. Click Set.

Associate a template with a book folder

Associate a template with a folder to publish a cover page for the files in the folder. Any template associated with a folder is published like any other file in a book. Use the <$chaptertitlename> variable to include the folder name in the template associated with the folder. You can use this variable for a folder occurring at any level in a book.

To associate a template with a book folder, do the following:

  1. Right-click the folder and select Properties.

  2. Select the Template Path check box, browse, and select the template filename. Click Open.

  3. Click Set. The folder icon changes to indicate that a template is associated with the folder.

    Note: A template associated with a folder is published in a PDF like any other file in a book.

To open a template associated with a folder, right-click on the folder and select Open. This opens all the files under the folder including the template file.

Add file information for a book folder template

You can specify file information, such as author name, file title, keywords for a template associated with a folder.

To add file information for a book folder template, do the following:

  1. Right-click the folder that has a template associated with it and select File Info.

  2. Specify the file information.

  3. Click Set.

Parent topic: Manage books


Document and page numbering

Learn about document and page numbering in Adobe FrameMaker, set up numbering, learn about book component numbers, and include book component numbers in headers and footers.

  • About numbering
  • Set up numbering
  • Include book component numbers in cross-references
  • Include book component numbers in headers and footers
  • Include the total page count of a book in a header or footer
Parent topic: Manage books


About numbering

Each file in a book can have its numbering system. For example, you might start page numbering at i on the title page, at 1 in the first chapter, and then number continuously through subsequent chapters. You can also add volume, chapter, section, and subsection numbers to page numbers. For example, the chapter number 2 in page number 2-1. All body pages in a document have the same numbering style.

The numbering properties in the book override the numbering properties in documents that belong to the book. If you are setting up page numbering in a book, make sure to change the numbering properties by selecting documents in the book window instead of making changes in the individual documents.

You can change volume, chapter, section, subsection, page, paragraph, footnote, and table footnote numbering in your documents.

You can add Volume Number, Chapter Number, Section Number, Sub Section Number, and Current Page # variables to page headers and footers. You can also use the <$volnum>, <$chapnum>, <$sectionnum>, <$subsectionnum>, and <$pagenum> building blocks to cross-reference formats, paragraph auto numbers, or generated files.

Numbering for files in a folder

The folder level of a file in a book determines the numbering of files within a book folder. For a file inside a first-level folder, the chapter number is inherited from the parent book and cannot be edited. You can only set the section number for the files. For a file in a first-level folder, the Chapter tab is disabled in the Numbering Properties dialog box.

Similarly, a file within a second-level folder inherits the chapter and section numbers, but you can set the subsection numbers.

Numbering for files in a child book

The level at which a child book is included in a book determines the numbering settings of its documents. For example, all files in a child book at the first level inherit the chapter number from the parent book. The section numbers increment for each file in the child book.

Note: Generated files, such as the TOC or an Index file for a parent book having child books do not reflect any custom numbering settings on the child book. For example, the TOC of the parent book shows Numeric [14] page numbers even when the numbering for files in the child book is set to Roman [XIV].
Parent topic: Document and page numbering


Set up numbering

  1. If the document is part of a book, open the book and select the document in the book window.

  2. Choose Format > Document > Numbering.

  3. Select an option from the drop-down list.

  4. Set the options.

    Note: If a book window was active when you opened the dialog box, you can select Read From File, which uses the numbering value specified in the associated document. If you selected more than one file in the book window, you can select As Is to use the numbering values specified in the selected documents.

  5. Click Set.

Parent topic: Document and page numbering


Include book component numbers in cross-references

  1. Create a cross-reference format that includes the volume, chapter, section, or sub section number building block. The cross-reference format might look like this: See page <$chapnum><$sectionnum><$subsectionnum><$pagenum>.

    Tip: To keep the chapter number on the same line as the page number, use a nonbreaking hyphen in the cross-reference format.
Parent topic: Document and page numbering


Include book component numbers in headers and footers

To number pages by chapter, you can use a Chapter Number (or Volume Number) variable or a running header/footer variable for the chapter numbers. You can also use Section Number or Sub Section Number variables. The numbers are updated automatically whenever you update the book.

  1. Display the master page that contains the header or footer.

  2. Place the insertion point in the header or footer where you want to add numbering and double-click the variable you want to add from the Variables panel.

  3. Insert the appropriate punctuation, such as a hyphen or period.

  4. To add page numbering, choose Insert > Headers & Footers > Insert Page #.

The header or footer should look like this on a body page:

Adding page numbering withachapternumber[A]and the current chapter page number [B]

A. Chapter number variable (<$chapnum>) B. Current Page # variable

Parent topic: Document and page numbering


Include the total page count of a book in a header or footer

You may want a header or footer to show the total number of pages of a book—for example, 4 of 200 on page 4 of a 200-page book.

When you insert the page count in a file’s header or footer with the Page Count variable, the header or footer shows the number of pages in that file, not in the entire book. To show the number of pages in a book, you can use a cross-reference to a special paragraph you create.

  1. Set up the files in the book for continuous page numbering.

  2. Display the master page for the last page of the last file in the book, and place the insertion point in an otherwise empty paragraph of the header or footer.

  3. Insert the Page Count variable by choosing Insert > Headers & Footers > Insert Page Count.

    Figure 1. Page Count variable in a separate paragraph
    Inserting the Page Count variable

  4. Create a paragraph style for the paragraph with the page count and store it in the Paragraph Catalog. Having a unique format for this paragraph makes it easier to cross-reference it later.

  5. If you don’t want the page count to appear where you put it, either resize the text frame, so the page count is hidden or set the paragraph’s color to white.

  6. In the other files in the book, insert cross-references to the paragraph with the page count on the master pages in the header or footer. The cross-reference format should use the <$paratext> building block.

Total page numbers in a book

You also have a simple and more efficient way to quickly show the total number of pages in a book. To show the number of pages in a book, you can use the Book Page Count variable.

  1. Open the master page by choosing View > Master pages.
  2. Place the insertion point in the footer where you want the total number of pages to appear.
  3. Insert the Total Page Count variable by choosing Insert> Variable > Book Page Count.
  4. In the book window, choose Edit > Update Book, or click the Update Book icon Update Book icon.

The total number of pages is updated in the book.

Parent topic: Document and page numbering
Related information
  • Set up numbering


Change and import formats

Learn how to modify and import styles and element definitions in Adobe FrameMaker.

In this topic

  • Introduction

  • Import styles into a book

  • Import element definitions into structured books

Introduction

In Adobe FrameMaker, you can make style and element definition changes in one file and then update all the files in a book by importing the definitions from the updated file.

To change the definitions in only a subset of files in a book, you can select the files in the book window and then import the definitions to the selected files.

Important: The formatting rules in element definitions often specify overrides so that a file can use as few styles as possible. Normally, when importing styles into a structured book, you should not remove format overrides.

FrameMaker merges the new definitions into the document rather than replacing the existing information.

If a file isn’t open, it’s updated on the disk. If a file is open, it’s updated only in your computer’s memory and not on the disk. You must save the file to keep the changes.

Import styles into a book

  1. Open or create the file that contains the styles you want to use. If you have just created the file, save the file first before using it as a source for importing styles.

  2. In the book window, select the file or files you want to change and then choose File > Import > Formats.

  3. From the Import From Document drop-down list, select the file or template with the styles you want to import.

  4. Select the settings you want to import and update. If you’re updating cross-reference styles, math definitions, or variable definitions that use character styles, also select Character Styles.

  5. If you want to remove formatting changes you made but didn’t save as a style in the style catalog, do the following:

    • To remove page breaks that are not part of a paragraph style, select Manual Page Breaks.

    • To remove paragraph, character, page layout, and table formatting overrides, select Other Format/Layout Overrides.

    In most cases, you should not select Other Format/Layout Overrides in a structured book because the element definitions may use format overrides. However, you can select Other Format/Layout Overrides in an unstructured book without any repercussions.

  6. Click Import.

Import element definitions into structured books

The definitions are stored in the Elements catalog for the book and the other files. You may need to import element definitions in the following cases:

  • To add structure to an unstructured book. After importing the definitions, you can insert elements in the book file.

  • To update the element definitions in a book or its files. You need to update definitions whenever the application developer revises the definitions in your template.

  • To give a book and all its files the same element definitions. You might want to update a book if its files were created from different templates.

When you import element definitions into a book, FrameMaker replaces the definitions in the book and all its files with the new definitions and reapplies format rules from the definitions. It also validates the book file.

  1. Open the book you want to update and the template, document, or book with the definitions to import.

  2. In the book window, select the files into which you want to import element definitions, and choose File > Import > Element Definitions.

  3. Choose the template or document from the Import From Document drop-down list. The menu lists all open, saved documents and books.

  4. To remove format rule overrides in the files, select While Updating, Remove Format Rule Overrides. Use this setting if you have made text or paragraph formatting changes to elements and now want to return to the formatting described in the element definitions.

  5. Click Import. FrameMaker updates the element definitions in the book file and the files listed in the Update scroll list.

Parent topic: Manage books
Related information
  • Formatting overrides


Master Table of Contents/Master Index

See how you can setup a book file to create a master TOC or index in Adobe FrameMaker.

When you produce several related books, you may want to create a master table of contents (TOC) or index for the books.

  1. Create a book file that contains the files in all the books in order.

    If you’re adding files that were generated in the original books, add them to the new book as document files. If you need to update those generated files, do so from their original book file, not from the master book file.

  2. Add a table of contents, an index, or other generated file to the new book file. This generated file will be the master file.

  3. Using the Book panel, specify how volume, chapter, and page numbers for each document should appear in the master generated file.

    Note: When you update the book, the book’s numbering options will override the document’s numbering options, unless you select Read From File.

  4. Using the book window, specify the appropriate pagination and page layout options.

  5. Generate and update the file.

Parent topic: Manage books
Related information
  • Tables of contents and other lists
  • Document and page numbering
  • Page layouts


Generate and update books

Understand how to generate and update books in Adobe FrameMaker.

After setting up a book in Adobe FrameMaker and specifying page and paragraph numbering for each file in the book, you need to generate and update the files. Although you generate and update in one step, the two processes are different.

Generating creates the table of contents, other generated lists, and indexes in the book file. The first time you generate a list or index, it uses the page layout (master pages) and reference pages of the first non-generated document in the book file.

Updating corrects numbering, revises cross-references so they reflect the numbering, reimports text insets, and adds or deletes empty pages where required. For structured documents it also revises the book’s elements from information in the files and reapplies format rules from the book’s element definitions.

Be sure to generate and update a book whenever you make any of the following changes to a document or a book file:

  • Editing that affects pagination, such as content addition

  • Rearranging, adding, excluding, or removing files in the book

  • Changing text settings or indicators

  • Editing that affects a generated file, such as changing a chapter title or adding a Section element in a structured document

  • Changing the setup of documents or generated files

  • Changing formatting information in the special text flow on a reference page of a generated file

  • Adding a new color (so that color separations will be accurate)

  • Importing new or revised element definitions (structured documents)

  • Changing the highest-level element in one of the book’s files (structured documents)

  • Update a book
    See how to update a book in Adobe FrameMaker, update various properties.
  • Update a book with child books and XML files
    Know how to update a book with child books and XML files in Adobe FrameMaker.
  • Update a structured book
    Learn how to update a structured book in Adobe FrameMaker.
  • Remove inherited information from structured files
    Find out how you can remove inherited information from structured files in an Adobe FrameMaker book.
Parent topic: Projects, books, and long documents


Update a book

See how to update a book in Adobe FrameMaker, update various properties.

  1. In the book window, choose Edit > Update Book, or click the Update Book icon Update Book icon.

  2. Select whether you want to update numbering, cross-references, text insets, or generated files, such as tables of contents and indexes.

  3. Move the names of the files you want to generate to the Generate scroll list.

    To move a filename between scroll lists, select the filename and click an arrow or double-click the filename. To move all filenames from one scroll list to the other, Shift-click an arrow.

    Note: If no files are present, the book has no generated files. If no files appear in the lists—or if you move all the files to the Don’t Generate list—you should still continue to the next step to update the book’s pagination, numbering, text insets, and cross-references.

  4. Click Update.

  5. Save the open files to keep the changes. Open files are updated only in your computer’s memory and not on the disk. If a file isn’t open, the changes are made on the disk—even if the file is in the View Only format.

Parent topic: Generate and update books


Update a book with child books and XML files

Know how to update a book with child books and XML files in Adobe FrameMaker.

When you update a parent book, child book files are not automatically updated. To update the numbering and cross-reference information in child book files, make sure all child book files are open before you update the parent book. Updates to the child book files are not saved and you are prompted to save changes when you close them.

Similarly, if an XML file is already open, FrameMaker updates the numbering but does not save the changes. Therefore, when you close the XML file you may be prompted to save changes.

Generated files, such as table of contents or index files from the child book are not included in the published output. This is because the generated files in the parent book contain information for the child book files as well. Also run book-wide operations separately for each book.

Parent topic: Generate and update books


Update a structured book

Learn how to update a structured book in Adobe FrameMaker.

Before you update a structured book the first time, each file in the book is represented by an element called <BOOK-COMPONENT>. When you update, the element for each structured file changes to the element of the highest-level element in that file—typically an element such as <topic> or <chapter> that describes the file as a whole. If a file has more than one flow, the element comes from the highest-level element in flow A.

The elements for any unstructured files in the book are still called <BOOK-COMPONENT>. To change <BOOK-COMPONENT> to an element, add structure to the files and then generate and update again.

Parent topic: Generate and update books


Remove inherited information from structured files

Find out how you can remove inherited information from structured files in an Adobe FrameMaker book.

When you generate and update a book, the files in the book inherit structure information from the book file. A file’s Elements catalog may have inclusions and exclusions from the book, and other inherited information in the file may affect the formatting of its text elements.

If you delete a file from a book to use the file as a stand-alone document, reapply the file’s element definitions to remove any structure information that came from the book. If the file’s text formatting was affected by this structure information, reapplying the definitions also restores the file’s original formatting.

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. In the file, choose File > Import > Element Definitions.

  3. Leave the Import from Document drop-down list set to Current and select While Updating: Remove Information Inherited from Book. Click Import.

Parent topic: Generate and update books


Tables of contents and other lists

Know what is a generate file in Adobe FrameMaker and the types of lists that you can generate with FrameMaker.

Introduction

A generated file is a file Adobe FrameMaker creates by extracting paragraphs or marker text from a single source document or from several documents in a book. Each time a generated file is updated, all paragraphs and marker text is updated with the current text from the source documents. This way, FrameMaker keeps generated files, such as tables of contents and indexes current and accurate.

You can generate several types of lists and indexes in addition to a table of contents and standard index. For example, you can generate lists and indexes that contain text from paragraphs or from markers that you inserted in text. The result may be a table of contents based on heading paragraphs, a list of illustrations based on figure titles, or an index based on special author markers. Most lists and indexes fall into three categories: lists of paragraphs (or elements in structured documents), lists of markers, and indexes of markers. A fourth category, lists, and indexes of references, is used less often.

  • About tables of contents and other lists
    Learn about the table of contents and various other generated lists in Adobe FrameMaker.
  • Generate a table of contents or list
    See how to generate a table of contents or a list of book and TOC for a single Adobe FrameMaker document. Know how to generate various other lists in structured documents and add a title or other static text in Adobe FrameMaker.
  • Generate a miniature table of contents
    Know what a mini TOC is in Adobe FrameMaker. Learn how to create, update or delete a mini TOC in FrameMaker.
  • Embed TOCs in a document
    See how to embed TOC’s in a document by using cross-reference or as a text inset in Adobe FrameMaker.
  • Update and edit TOCs and lists
    Learn how to update and edit TOCs and lists in Adobe FrameMaker, see how to add or remove paragraph styles from a TOC, find and update list entries in FrameMaker.
Parent topic: Projects, books, and long documents


About tables of contents and other lists

Learn about the table of contents and various other generated lists in Adobe FrameMaker.

In this topic

  • Introduction

  • Lists of paragraphs

  • Lists of markers

  • Indexes of markers

  • Lists and indexes of references

Introduction

In Adobe FrameMaker, tables of contents (TOCs), lists of figures, and other such lists are generated from the text of specified paragraphs in a set of documents. An index is generated from markers you insert in documents.

A table of contents or other generated list is based on the content of its source. The source can be either a single document or a group of documents in a book. In most cases, you must prepare the source documents to get the results you want.

Lists of paragraphs

Lists of paragraphs contain the text of specified paragraphs (those with the styles you specify), with one entry per paragraph (or elements in structured documents). You can generate the following lists of paragraphs (or elements in structured documents):

  • Tables of contents, which contain headings of specified levels, listed in the order in which they occur in the source documents

  • Lists of figures, tables, or paragraphs (or elements), which contain figure captions, table titles, or the text of other specified paragraphs, listed in the order they occur in the source documents

  • Alphabetical lists of paragraphs (or elements), which contain the same information as the other lists but present them in alphabetical order

Note: Tables of contents and lists support the Unicode text encoding standard.

Lists of markers

Lists of markers contain entries corresponding to the markers inserted on body pages in the source document. The markers are manually inserted on body pages in the source document (normally as marker elements in structured documents), and the marker text appears in the generated list. For example, you could create a list of reviewers’ comments on a draft by generating a list of markers of type Comment. In a standard list of markers, entries appear in the order that they occur in the source document or book. You can also generate alphabetical lists of markers.

Indexes of markers

Indexes of markers include standard indexes, author and subject indexes, and indexes of other types of markers. The markers are manually inserted on body pages in the source document, and the marker text appears in the index. You can use syntax (building blocks) in the marker text to specify index levels and special page numbering, sorting, and formatting. Entries are sorted alphabetically, and entries with the same text are merged into a single entry with several page references.

Figure 1. An index of Cross-Ref markers
Anindexof Cross-Ref markers in FrameMaker

Lists and indexes of references

Lists and indexes of references help you track special categories of information. You can generate lists and indexes of condition tags, external cross-references, unresolved cross-references, fonts, text insets, unresolved text insets, and imported graphics.

Parent topic: Tables of contents and other lists


Generate a table of contents or list

See how to generate a table of contents or a list of book and TOC for a single Adobe FrameMaker document. Know how to generate various other lists in structured documents and add a title or other static text in Adobe FrameMaker.

Before you generate a table of contents or other paragraph list, do the following to avoid problems in generated lists:

  • Make sure that styles and elements are applied correctly and consistently. For example, use Heading1 for all first-level headings only.

  • Make each item you want to include in the list a single paragraph. For example, you won’t get the desired results if a heading is two lines, with each line in a separate paragraph.

  • Validate structured documents to make sure that they do not have structure errors.

Note: You usually generate a list of references—such as a list of fonts or unresolved cross-references—for your own use while working with a document. You do not need to prepare the document before generating such a list.
  • Generate a table of contents or list for a book
  • Generate a table of contents or list for a single document
  • Generating TOCs and other lists in structured documents
  • Add a title or other static text to lists and indexes
Parent topic: Tables of contents and other lists


Generate a table of contents or list for a book

  1. Open the book window and select the file below where you want the generated file to appear.

  2. Do one of the following:

    • Choose Insert > Create Standalone TOC.

    • Choose Insert > List of, and then choose a type of list from the menu

    The items you see in the dialog box depend on the type of list you’re generating.

  3. Enter a suffix or keep the default one. The suffix indicates the type of generated file. For example, TOC is the usual suffix for a table of contents.

    Note: The suffix is not the same as the filename’s extension. The suffix is used with paragraph styles in the generated lists, and appears as part of the generated file’s filename, such as UserGuideTOC.fm.

  4. In the set up dialog box, Add File drop-down list, specify whether the generated list will appear before or after the current document.

  5. Move items to the Include scroll list. To move an item between scroll lists, select the item and click an arrow, or double-click the item. To move all items from one scroll list to the other, hold down Shift and click an arrow.

  6. To have each entry in the generated list be linked to its source, select Create Hypertext Links. These links let you jump to the source of an entry by clicking the entry.

  7. Click OK and then click Update. FrameMaker generates the list. You can view the generated list by double-clicking its name in the book window.

  8. Save the generated list in the same folder as the source document or book. If you want to rename the generated file, use the book window to do so—FrameMaker will rename it on the disk and update all references.

    The first time you generate a list (if you don’t use a template), the list uses the page layout (master pages) of the first non-generated document in the book, and all entries look the same.

    If the list already exists in the source document’s folder when you save it, save it in the same folder and don’t change the filename. That way, the list’s formatting is used when you generate the list again. Otherwise, formatting changes won’t be retained when you update the list.

    Tip: To use a template or an existing generated file in a new book file, add it to the book as a generated file. Then put the existing file in the folder that contains the book file, using the name that appears in the book window.

  9. Save any open files in the book. Open files are updated only in your computer’s memory and not on the disk. If a file isn’t open, the changes are made on the disk.

Parent topic: Generate a table of contents or list
Related information
  • Formatting lists and indexes


Generate a table of contents or list for a single document

  1. Open the document wherein you want to insert the TOC or list.

  2. In the document window, do one of the following:

    • Choose Insert > Table of Contents > Create Standalone TOC.

    • Choose Insert > List of, and then choose a type of list from the menu

  3. When prompted, specify whether you want to create the generated file as a standalone document or add it to a book.

    If you select Yes to create a standalone document, FrameMaker will create a generated list in the original document’s folder.

    If you select No, FrameMaker adds the generated file to an open book, or creates a new book if necessary.

  4. The set up dialog box for the TOC or the chosen list is displayed. Specify the following details in the dialog box:

    Figure 1. Set up Table of Contents dialog box
    Setup Table ofContentsdialog box in FrameMaker

    • Enter a suffix or keep the default one. The suffix indicates the type of generated file. For example, TOC is the usual suffix for a table of contents.
    Note: The suffix is not the same as the filename’s extension. The suffix is used with paragraph styles in the generated lists, and appears as part of the generated file’s filename, such as Chapter1TOC.fm.
    • Move paragraph styles, marker types, or reference types to the Include scroll list. To move an item between scroll lists, select the item and click an arrow, or double-click the item. To move all items from one scroll list to the other, hold down Shift and click an arrow.
    • To have each entry in the generated list be linked to its source, select Create Hypertext Links. These links let you jump to the source of an entry by clicking the entry.

  5. Depending on your selection in Step 3, do one of the following:

    • If you are creating a standalone list (when the choice is Yes in Step 3), click OK. FrameMaker generates and displays the list.

    • If you are adding the list to a book (when the choice is No in Step 3), click OK, and then click Update. If a new book is created, choose File > Save Book As, and then save the book.

  6. Save the generated list in the same folder as the source document or book.

    The first time you generate a list (if you don’t use a template), the list uses the page layout (master pages) of the source document or of the first non-generated document in the book, and all entries look the same. For information on changing the format of a list—changes that won’t be lost when you regenerate the list.

  7. Save the list in the same folder as the source document or book.

Parent topic: Generate a table of contents or list
Related information
  • Formatting lists and indexes
  • Rename book components in a book


Generating TOCs and other lists in structured documents

Although the steps for generating TOCs and lists in structured documents are the same as for unstructured documents, consider the following additional points:

  • A generated list is initially unstructured, but you can add structure to it. If a generated list is structured, you’ll lose the structure every time you regenerate it. Do not add structure to a list until it is in its final version.

  • The items in the scroll lists vary depending on the type of list you’re gathering. For example, the element and paragraph styles in the source document appear for a table of contents. Paragraph styles appear after element styles and are preceded by a paragraph symbol (¶). For a list of references, the available reference types appear.

  • Some elements may have context labels that provide information about the element’s location in the structure. For example, if <Section> elements can be nested within other <Section> elements, context labels might identify whether the elements are first-, second-, or third-level sections.

Figure 1. Context labels
Context labelstoidentify the elements

  • If an element uses context labels, a <no label> entry also appears in the scroll list for occurrences not described by the labels. In the example above, Section (<no label>) represents <Section> elements that are at a fourth level or lower in the document.

  • If an element has more than one paragraph, only text from the first paragraph will appear in the generated list. For example, the first paragraph within a <Section> element—usually its Head—will appear.

  • The first time you generate a list (if you don’t use a template), it uses the page layout (master pages) of the first non-generated document in the book, and all entries look the same. The list also has element definitions from the source document.

Parent topic: Generate a table of contents or list
Related information
  • Generate indexes


Add a title or other static text to lists and indexes

If you want to add a title or other unchanging text in your list or index, add it after you generate the list or index the first time.

You can also add static text to a template and then use the template to format a list or index.

  1. Type the title before the first entry on a body page.

  2. Use the Paragraph Catalog to give the text a special paragraph style for static text; or create a new paragraph style for the title.

  3. If you create a new paragraph style, make sure it does not end with the suffix assigned when you created the generated file, such as IX for a standard index or TOC for a table of contents. When you generate the index again, FrameMaker replaces only the paragraphs that have styles ending with the suffix.

Parent topic: Generate a table of contents or list
Related information
  • Format a list or index with a template


Generate a miniature table of contents

Know what a mini TOC is in Adobe FrameMaker. Learn how to create, update or delete a mini TOC in FrameMaker.

In this topic

  • Introduction

  • Create mini TOC

  • Update mini TOC

  • Delete mini TOC

Introduction

FrameMaker allows you to add a miniature table of contents (mini TOC) at a document level. This feature is currently supported for unstructured documents only. A mini TOC improves the readability and eases the navigation in a long document. The mini TOC feature eliminates the old manual technique of adding cross-references of each heading in your document to mimic a mini TOC. With this feature you can automatically create, sort, and insert a mini TOC at a specified location in your document.

You can change the formatting and style of a mini TOC in the same way as you would do for a regular TOC. For more information about formatting the mini TOC, see Update mini TOC. Once a mini TOC is included in a document, you can publish it in all supported output formats.

If you are working in a right-to-left (RTL) document, then the direction of the mini TOC is based on the direction of the document (Format > Document > Direction). This implies that even if all the content in a document is based in a left-to-right (LTR) language, but the direction of the document is RTL, the direction of the mini TOC will also be RTL.

Create mini TOC

  1. Open the document in which you want to insert a mini TOC.

  2. Click where you want to insert the mini TOC.

  3. Choose Insert > Table of Contents > Create Mini TOC.

  4. Move paragraph styles to the Include scroll list. To move an item between scroll lists, select the item and click an arrow, or double-click the item. To move all items from one scroll list to the other, Shift-click an arrow.

  5. To have each entry in the generated list be linked to its source, select Create Hypertext Links. These links let you jump to the source of an entry by clicking the entry.

  6. Click Set.

    A new mini TOC is created and placed in your document. Once you save the document, FrameMaker creates new paragraph styles with suffix MTOC for all paragraph styles that were used to make up the mini TOC. Also, a new reference page (MTOC) is added in the document.

Update mini TOC

If you update a heading or change the formatting of the mini TOC from the reference page, the change is not reflected until you save or print the document, or manually update the mini TOC.

  1. Make changes to the headings in your document.

  2. Right-click on the mini TOC and select Update Mini TOC from the context menu.

    Note: You can also choose Insert > Table of Contents > Update Mini TOC.

  3. Click OK on the alert message.

Note: If you want to change the headings that make up your mini TOC, then delete the existing mini TOC and recreate a mini TOC.

If you want to update mini TOCs in all documents within a book, you can do so with a single click.

  1. Open the book window and select the book file.

  2. Choose Edit > Update Book.

    Figure 1. Update Book dialog
    Updating mini TOC from theUpdateBook dialog in FrameMaker

  3. Select the Mini TOC option.

  4. Click Update.

With this single book update operation, mini TOCs present in all document within the book are updated.

You can also update the look and feel of the mini TOC by changing the paragraph styles used to generate the mini TOC. You can simply open the paragraph style (with MTOC suffix) in the paragraph designer, make the required changes, and update the paragraph style definition. You can also use the reference page (MTOC) to make the required changes.

If you do not want the page numbers in the mini TOC, then you can use any one of the following two approaches:

  • Remove page numbers from all output formats

    Open the reference page and remove all occurrences of <$pagenum> variable from the MTOC page. Once you have removed the variable, save the document and update the mini TOC. The page numbers would not be shown in the source document as well as in any published output.

  • Remove page numbers from output formats supported by Publish panel

    Create a new character style and apply it on all occurrences of <$pagenum> variable in the MTOC page. Open the Publish Settings (in Publish panel > Settings > Edit Settings), open the Style Mapping tab, and select the character style from the list. Enable the Exclude From Output option for the character style that you have applied on the <$pagenum> variable. The page numbers would be visible in the source document, but they will not be published in any output format supported by the Publish panel.

For more information about the various output formats supported by Publish panel, see Multichannel publishing.

Delete mini TOC

To delete a mini TOC, right-click on the mini TOC and select Delete Mini TOC from the context menu.

Alternatively, choose Insert > Table of Contents > Delete Mini TOC to delete the mini TOC.

Parent topic: Tables of contents and other lists


Embed TOCs in a document

See how to embed TOC’s in a document by using cross-reference or as a text inset in Adobe FrameMaker.

In this topic

  • Introduction

  • Create a TOC in a document with cross-references

  • Create a TOC in a structured document with cross-references

  • Embed a TOC in a document as a text inset

  • Maintain a TOC embedded in a document

Introduction

If you want a small table of contents embedded at the beginning of the source document instead of in a file of its own, you can set up the table of contents with cross-references. A special cross-reference element should already be defined for structured documents.

Figure 1. A TOC embedded at the start of a document
EmbeddingaTOC in a document

FrameMaker does not automatically maintain this type of table of contents. If you change the order of references or delete a heading while editing the document, you’ll need to rearrange the entries or delete an entry in the table of contents yourself.

You can also generate a separate table of contents and then import the generated file by reference at the beginning of the source document. In this case, the text inset with the table of contents is automatically updated when the table of contents changes.

Create a TOC in a document with cross-references

To embed a TOC in a document with cross-references:

  1. Create a cross-reference style that formats text the way you want the table of contents entries to look. Typically, this style would contain the <$paratext> and <$pagenum> building blocks.

  2. At the start of the document, set up a cross-reference to each paragraph you want to appear in the table of contents. Use the cross-reference style you created in the previous step.

Create a TOC in a structured document with cross-references

For each item you want to appear in the table of contents, insert a cross-reference element. The document may also have paragraph elements defined for formatting. See your application developer for information.

Note: Make sure that the sequence of entries in the table of contents reflects the sequence of source elements in the document. This isn’t automatic as it is with a generated table of contents.

Embed a TOC in a document as a text inset

To embed a TOC in a document as a text inset:

  1. Generate a table of contents.

  2. Import the table of contents into a document.

Maintain a TOC embedded in a document

To maintain a TOC embedded in a document, do the following:

  • If you change the order of paragraphs or source elements while editing the document, rearrange the cross-references to be in the same order. Then update the cross-references.

  • If you delete a paragraph or source element, delete the cross-reference to it.

Parent topic: Tables of contents and other lists


Update and edit TOCs and lists

Learn how to update and edit TOCs and lists in Adobe FrameMaker, see how to add or remove paragraph styles from a TOC, find and update list entries in FrameMaker.

In this topic

  • Introduction

  • Update a TOC or list that is part of a book

  • Add or remove paragraph styles from a TOC or list that is part of a book

  • Update a TOC or list that is a stand-alone document

  • Find the source of list entries

  • Find and select a paragraph by using Find/Change

  • Edit and delete list entries

Introduction

You update entries in a list by editing their corresponding paragraphs or markers in the source document and then regenerating the list. If you edit entries by typing directly in the list, your changes will disappear when you regenerate it.

For example, if you fix a typing error directly in a table of contents, that error will reemerge the next time you generate because it still exists in the source paragraph. To permanently fix an error, you must correct it by changing the paragraph or marker text in the source document and then regenerating the list.

Important: If a generated list is structured, you’ll lose the structure every time you regenerate it. Do not add structure to a list until it is in its final version.

Update a TOC or list that is part of a book

To update a TOC or list that is part of a book:

  1. Make changes to the source documents as needed.

  2. In the book window, choose Edit > Update Book.

  3. Move the lists you want to update to the Generate scroll list, make sure Generate Table Of Contents, Lists, and Indexes is selected.

  4. Click Update.

Add or remove paragraph styles from a TOC or list that is part of a book

  1. Select the generated file (such as the table of contents) in the book window.

  2. Choose Edit > Set Up Table Of Contents or Set Up List of type.

  3. Move items between the list boxes as desired.

  4. Click Set.

  5. Click Update.

Update a TOC or list that is a stand-alone document

To update a TOC or list that is a stand-alone document:

  1. Make changes to the source document as needed.

  2. In the source document, choose Insert > Table Of Contents. When prompted to create a standalone document, select Yes.

  3. Move items between the list boxes as desired.

  4. Click Set.

Find the source of list entries

When you need to revise an entry, you trace the entry back to the corresponding paragraph or element in the source document.

  1. If you did not select Create Hypertext Links when you generated the list or index, select it now and regenerate the list.

  2. In the generated list, alt-control-click an entry in a list.

FrameMaker opens the source document to the page that contains the corresponding paragraph and selects it. If the element is a marker, the marker text appears in the Marker panel.

Find and select a paragraph by using Find/Change

To find and select a paragraph by using Find/Change:

  1. If you’re revising a marker element in a structured document, choose View > Panels > Marker so you can see the marker text.

  2. In the source document (not in the generated list), choose Edit > Find/Change.

  3. Select Paragraph Style (unstructured documents) or Element (structured documents) from the Find drop-down list. Enter the style or element you want to find, and then click Find.

Warning: When a marker element is selected, the marker text appears in the Marker panel. Don’t click Change in the Find/Change dialog box to change the marker text. If you do, FrameMaker replaces the marker itself. Instead, change the text in the Marker panel, and then click Edit Marker.

Edit and delete list entries

To edit and delete list entries:

  1. In an unstructured document, edit or delete the paragraph text.

  2. In a structured document, select the element, and do either of the following:

    • Change the text in the Marker panel. Click Edit Marker.

    • Press Delete.

Parent topic: Tables of contents and other lists


Creating indexes

Learn about creating index entries, inserting index markers and marker elements, create index subentries (multi-level indexes) and add cross-references and page ranges for index entries in Adobe FrameMaker.

  • Index entries
    Understand index markers in Adobe FrameMaker.
  • Insert an index marker in a FrameMaker document
    Know how to insert an index marker in a Adobe FrameMaker document.
  • Insert an index marker element in a structured FrameMaker document
    Know how to insert an index marker in a structured Adobe FrameMaker document.
  • Insert an index marker without typing
    Know how to create index markers fast and easy in Adobe FrameMaker.
  • Combine several index entries in one marker
    Know how to combine several index subentry in one index marker in Adobe FrameMaker.
  • Create an index subentry
    Know how to an index subentry in Adobe FrameMaker.
  • Create a cross-reference in an index entry
    Know how to create a cross-reference in an index entry in Adobe FrameMaker.
  • Use page ranges in index entries
    Know how to create page ranges for index entries in Adobe FrameMaker.
  • Format text in an index entry
    Know how to format text in an index entry in FrameMaker.
  • Work with group titles in indexes
    Learn to work with group titles in indexes. Create quick access to group titles with cross-references/hyperlinks.
  • Index sort order
    Learn how you can work with index sort order, sort by letters and characters, and specify the sort order for Japanese in FrameMaker.
  • Generate indexes
    Learn how to generate index for a book and a document. You can also display page numbers in index in FrameMaker.
  • Update and edit indexes
    Learn to update and edit indexes, being a part of a book or a standalone document in FrameMaker.
  • Find the source of index entries
    Know how to find the source of index entries, using a link for find/change in FrameMaker.
  • Add, edit, or delete markers and marker types
    Learn how to add, edit, or delete markers and marker types, copy a marker type from one document to another in FrameMaker.
Parent topic: Projects, books, and long documents


Index entries

Understand index markers in Adobe FrameMaker.

In a typical index, entries are generated from markers and are sorted alphabetically. Entries with the same text are merged into a single entry with several page references. You can add special building blocks to marker text to control the form of the index entry—for example, to specify that it’s a sub-entry or a cross-reference to another entry.

Figure 1. Index entries
Creating indexentriesin FrameMaker

A. Main entry B. Subentries C. Cross-reference to another entry D. Page range

You can also create specialized indexes by using predefined marker types such as Subject or Author, or by using other marker types that you create.

Figure 2. Index marker placed in the source document, and the formatted entry appearing in the index
Index markerplacedin the source document, and the formatted entry appearingin theindex

Parent topic: Creating indexes


Insert an index marker in a FrameMaker document

Know how to insert an index marker in a Adobe FrameMaker document.

To create an index marker in a FrameMaker document:

  1. Click where you want to insert the marker or select the word that you want to include in the Index marker.

  2. Choose Insert > Marker.

  3. Choose a marker type from the drop-down list. Typically, you’ll use the Index marker type. To create several indexes for a document—for example, a subject index and an author index—use a different marker type for each.

  4. Enter the text of the index entry in the Marker panel. You can enter up to 1,023 characters (511 Japanese double-byte characters). You can also use any of the following building blocks in marker text to control the form of the index entry and its location in the index.

    Building block

    Meaning

    : (colon)

    Separates levels in an entry

    ; (semicolon)

    Separates entries in a marker

    [ ] (brackets)

    Specifies a special sort order for the entry

    <$startrange>

    Indicates the beginning of a page range

    <$endrange>

    Indicates the end of a page range

    <$nopage>

    Suppresses the page number in the entry

    <$singlepage>

    In a marker that contains several entries, restores the page number for an entry that follows a <$nopage> building block

     < >

    Character style between angle brackets.

    Changes the character style.

    Example: <Emphasis>

    <Default Para Font>

    Restores the paragraph’s default font

    If you’re working in Japanese fonts, enter all these building blocks except the brackets ([ ]) using single-byte characters.

  5. Click Create. A marker symbol marker symbol appears when text symbols are visible.

Tip: To enter a backslash or any other reserved special character used in building blocks—colon, semicolon, bracket, or angle bracket—as regular characters, precede it with a backslash ( \ ).
Note: You can insert markers only in text frames.
Parent topic: Creating indexes


Insert an index marker element in a structured FrameMaker document

Know how to insert an index marker in a structured Adobe FrameMaker document.

To create an index marker in a structured document:

  1. Click where you want to insert the marker or select the word that you want to include in the Index marker.

  2. Select a marker element in the Elements catalog. Click Insert.

    You can also use Insert > Marker to insert an element. If more than one marker element is available, choose the one you want from the Element Tag drop-down list in the dialog box.

  3. To change the marker type, select a different one from the Marker Type drop-down list. Changing to another type is not a format rule override, even if the element has a type preselected.

    Consult your Structured Application developer before changing a marker type. Your document may have a separate element defined for each marker type you’ll need.

    You can generate an index from the predefined Index, Subject, and Author marker types. Some custom types may also be available.

  4. Type the text of the index entry. You can enter up to 1,023 characters (511 Japanese double-byte characters). You can also use any of the following building blocks in marker text to control the form of the index entry and its location in the index.

    Building block

    Meaning

    : (colon)

    Separates levels in an entry

    ; (semicolon)

    Separates entries in a marker

    [ ] (brackets)

    Specifies a special sort order for the entry

    <$startrange>

    Indicates the beginning of a page range

    <$endrange>

    Indicates the end of a page range

    <$nopage>

    Suppresses the page number in the entry

    <$singlepage>

    Restores the page number for an entry that follows a <$nopage> building block in a marker that contains several entries

    < >

    Character style between angle brackets

    Changes the character style.

    Example: <Emphasis>)

    <Default Para Font>

    Restores the paragraph’s default font
    Note: To enter a backslash or any of the special characters used in these building blocks—bracket, colon, semicolon, or angle bracket—as a regular character, precede it with a backslash ( \ ).

  5. Click New Marker. If text symbols are displayed, a marker symbol marker symbol appears in the document window. A bubble for the marker appears in the Structure View, with a text snippet that shows the beginning of the marker’s text.

  6. If the Attributes for New Element dialog box appears, enter attribute values for the marker element. Click Insert Element.

  7. If no marker element is available at the location you want, you might use an invalid element. After inserting the element, talk to your developer about making the element valid at this location.

Tip: To enter a backslash or any other reserved special character used in building blocks—colon, semicolon, bracket, or angle bracket—as regular characters, precede it with a backslash ( \ ).
Note: You can insert markers only in text frames.
Parent topic: Creating indexes


Insert an index marker without typing

Know how to create index markers fast and easy in Adobe FrameMaker.

To reduce or eliminate typing when creating index markers, do one of the following:

  • Insert an empty marker or marker element (with no text in it) at the beginning of the word. When you generate the index, the text to the right of the marker, up to the first following space, becomes the text of an entry.

  • To use text that appears in the document as the marker text, simply select the text in the document. As long as the selected word or phrase doesn’t contain a marker, it automatically appears in the Marker Text box.

Parent topic: Creating indexes


Combine several index entries in one marker

Know how to combine several index subentry in one index marker in Adobe FrameMaker.

You can combine multiple index entries in one index marker.

Type several entries in the marker, using a semicolon (;) between entries, as in the following examples.

Marker text | Result in index
Abrasion; Water erosion | Abrasion 10 Water erosion 10
<$nopage>Erosion. See Abrasion; <$singlepage>Abrasion | Abrasion 10 Erosion. See Abrasion

In the second row of the example, the <$nopage> building block affects subsequent entries in the marker. To return to a single page number, <$singlepage> is included with the next entry in the marker.

Tip: You can type any number of spaces after the semicolon to improve readability. Initial spaces are ignored when compiling the index unless they’re special ones such as nonbreaking or em spaces.
Note: If you’re working in Japanese fonts, only single-byte space characters are ignored.
Parent topic: Creating indexes


Create an index subentry

Know how to an index subentry in Adobe FrameMaker.

You can group several entries under one entry for a larger category of information by marking them as subentries. You can also create subentries to subentries.

Figure 1. Subentries
Creating indexsubentriesin FrameMaker

Separate the entry from the subentry with a colon (:). For example, to create the first subentry in the illustration, enter Continental drift:fossil evidence.

A subentry is always preceded by the entry to which it is subordinate. If you need two subentry levels, place a colon between the subentry and the sub-subentry. For example, enter Continental drift:fossil evidence:dating of.

Parent topic: Creating indexes


Create a cross-reference in an index entry

Know how to create a cross-reference in an index entry in Adobe FrameMaker.

Indexes often contain cross-reference entries to direct readers to related terms. This makes it unnecessary to duplicate the entries and page numbers for related terms that already appear in the index.

Figure 1. Cross-references
Creating across-referenceinan index entry

Cross-references can also appear as subentries (usually preceded with See also, as in the illustration). You can sort subentries so that they appear at the top or bottom of the list under the same main entry.

Note: Insert a marker and use <$nopage> at the beginning of the marker text to prevent a page number from appearing with this entry. For example, to create the first cross-reference in the illustration, enter <$nopage>Abrasion. See also Sandstone.
Parent topic: Creating indexes
Related information
  • Index sort order
  • Cross-References


Use page ranges in index entries

Know how to create page ranges for index entries in Adobe FrameMaker.

In this topic

  • Introduction

  • Manually create a page range for an index entry

  • Automatically create page ranges in an index

Introduction

You can use a page range such as 36–37 to mark information that spans several pages.

You can create a page range in an entry by manually inserting two markers to indicate the range, one at the beginning of the range and the other at the end. You can also have FrameMaker create page ranges for you automatically whenever the same marker text occurs on consecutive pages of a document. For example, instead of 3, 4, 5, the entry would automatically appear as a page range (3–5).

Manually create a page range for an index entry

  1. Insert an index marker at the beginning of the information, with <$startrange> at the beginning of the marker text. For example, to create the first page number in a range, enter <$startrange>Continental drift:fossil evidence.

  2. Add an index marker (or marker element, if working with a structured document) at the end of the information, identical to the first except that you enter <$endrange> rather than <$startrange> at the beginning of the marker text. For example, to create the second page number in a range, enter <$endrange>Continental drift:fossil evidence.

If both markers appear on the same page, the page range collapses to a single page number.

Automatically create page ranges in an index

  1. Display the reference page that contains the special text flow for indexes.

  2. Type the <$autorange> building block at the beginning of the paragraph whose style begins with the marker type.

To collapse the entries generated from markers of type Index into page ranges when possible, edit the paragraph style IndexIX to contain the following building blocks: <$autorange><$pagenum>.

Parent topic: Creating indexes
Related information
  • Edit special text flow for a list or index


Format text in an index entry

Know how to format text in an index entry in FrameMaker.

You can change the character style of specified text or of the page number in an entry. For example, you may want a book title to appear in italics, or you may want a particular page number to appear in bold. The character style must be stored in the Character Catalog of the index.

Figure 1. Character formatting
Formattingtextin an index entry in FrameMaker

Create an index entry. To format part of the entry with a character style, do one of the following:

Tip: If you’re using a special character style for many—but not all—page numbers in an index (for example, to use bold for principal entries), you may want to create a custom marker type with that formatting.

  • To format specific text in an entry, type the character style between angle brackets ( < and  > ) before the text and type <Default Para Font> after it. For example, to create the entry “Tidal Waves See Tsunami,” you might enter this marker text: Tidal Waves <Emphasis>See <Default Para Font> Tsunami.

    Character styles affect only the entry they precede. For example, <bold>fruit:strawberry would generate a two-line entry that shows “fruit” as bold and “strawberry” without bold. To format both entries in bold, enter <bold>fruit:<bold>strawberry.

  • To format only the page number, type the character style between angle brackets at the end of the marker text. For example, to create the entry “Erosion 24,” you might enter this marker text: Erosion<Bold>.

Parent topic: Creating indexes
Related information
  • Change paragraph and character styles of generated list entries
  • Add, edit, or delete markers and marker types


Work with group titles in indexes

Learn to work with group titles in indexes. Create quick access to group titles with cross-references/hyperlinks.

In this topic

  • Introduction

  • Change the groupings and group titles

  • Create an index without group titles

  • Create an index with neither a group title nor a space between entry groupings

Introduction

Index entries are initially grouped one letter at a time—all the As, all the Bs, and so on—using the uppercase letter as a group title. In a small index or when only a few entries appear under some letters such as X, Y, and Z , you may want to group letters differently and change the group titles.

FrameMaker inserts group titles as if they were index entries but uses a different paragraph style. It uses the labels and sort positions you specify in the GroupTitles paragraph in the special text flow.

Figure 1. An edited GroupTitles paragraph on the IX reference page
AneditedGroupTitles paragraph on the IX reference page in FrameMaker

A. Sorting information B. Group title

Figure 2. The result in the index

Change the groupings and group titles

  1. Choose View > Reference Pages, and display the reference page that contains the special text flow for the index.

  2. Edit the GroupTitles paragraph in the special text flow. For example, edit the group titles (the characters between semicolons, excluding bracketed text), or delete group titles you don’t want. Type text between brackets (  [ ]  ) to specify where you want the group titles sorted.

    For example, to collapse all entries that start with V through Z into a single group whose title sorts under V, edit the GroupTitles paragraph so that its last entry is V–Z[V].

Tip: The first two entries in the GroupTitles paragraph define what group titles to use for symbols and numbers and where to place these titles. You can change the titles, but changing the sorting information of these two groups might give unexpected results.

Create an index without group titles

To create an index without group titles, edit the GroupTitlesIX paragraph in the IX text flow on the IX reference page to look like this:

[\];[0];[A];[B];[C];[D];[E];[F];[G];[H];[I];[J];[K];[L];[M];[N];
[O];[P];[Q];[R];[S];[T];[U];[V];[W];[X];[Y];[Z]

Create an index with neither a group title nor a space between entry groupings

To create an index with neither a group title nor a space between entry groupings, delete all the text in the GroupTitlesIX paragraph in the IX text flow on the IX reference page, but do not delete the paragraph symbol.

Parent topic: Creating indexes


Index sort order

Learn how you can work with index sort order, sort by letters and characters, and specify the sort order for Japanese in FrameMaker.

In this topic

  • Introduction

  • Specify sort order for an index entry

  • Specify sort order for an index

  • Sort letter by letter instead of word by word

  • Specify characters to ignore

  • Sort symbols, numbers, or other characters in another location in an index

  • Specify the sort order for Japanese

Introduction

Indexes are sorted so that special symbols appear first, numbers appear second, and alphabetic characters appear last. By default, a few punctuation characters are ignored in sorting, and alphabetic characters appear in the correct sort order for the English language.

Note: When generating indexes in multilingual documents, symbols sort based on the Unicode Collation Algorithm (UCA) of the Unicode text encoding standard.

Specify sort order for an index entry

You can change where an entry appears in the index by specifying a sort order. For example, even though 486 would normally appear with other numbers in the index, you may want it to appear under F (as if it were spelled out as four eighty-six). Similarly, if you’re using a See also cross-reference in a subentry, you can ensure that it is the last one under the main entry.

Add text between brackets ([ and ]) at the end of the marker text, indicating exactly how you want the entry sorted.

Index marker text | Result in index | Explanation
1950s[Nineteen fifties] | Neap tides 47 1950s 10 North America 21 | Sorts under N (for Nineteen fifties)
Erosion:of soil [Erosion:soil] | Erosion rate 32 of soil 10 | Ignores the word of
<$nopage>Erosion: see also Wind [Erosion:aaa] | Erosion see also Wind rate 16 | Sorts as the first entry under Erosion
<$nopage>Erosion: See also Wind [Erosion:zzz] | Erosion rate 16 See also Wind | Sorts as the last entry under Erosion
Note: The sorting information, in brackets, must be the last item in the marker text.

Specify sort order for an index

You change the sort order by specifying a sort order and by editing the contents of the IgnoreCharsIX and the SortOrderIX paragraphs in the IX text flow of the IX reference page.

The SortOrderIX paragraph in the special text flow contains building blocks that control how characters are sorted in an index.

Figure 1. SortOrderIX paragraph
Specifying sort order foranindex using SortOrderIX paragraph

Each sort order building block represents several characters in a particular order. The following table shows the order for U.S. English. The alphabetic sort order differs slightly for other languages.

Building block | Characters, in this order
<$numerics> | 0 1 2 3 4 5 6 7 8 9
<$alphabetics> | A Á À Â Ä Ã Å a á à â ä ã å ª B b C Ç c ç D d E É È Ê Ë e é è ê ë F f ƒ Gg H h I Í Ì Î Ï i ì í î ï J j K k L l M m N Ñ n ñ O Ó Ò Ô Ö Õ Ø o ó ò ô ö õ ø º P p Q q R r S s T t U Ú Ù Û Ü u ú ù û ü V v W w X x Y Ÿ y ÿ Z z
<$symbols> | All other characters in ASCII order

  1. Choose View > Reference Pages, and display the reference page that contains the special text flow for the index.

  2. Replace a building block in the SortOrderIX paragraph with the specific characters in the order you want them sorted.

Follow these rules when entering a new sort order:

  • If you replace <$alphabetics> with individual characters, separate the letter groups with a space. (Letter groups—for example, F f ƒ —are characters that are sorted as if they were the same character, unless they are the only characters that differ in the sorted text. In that case, the first character in the string appears first.)

  • If you replace <$symbols> with individual characters, use a backslash before the angle bracket symbols ( < > ).

  • Don’t press Return at the end of a line. Let FrameMaker wrap the characters automatically from line to line.

  • To indicate that a letter pair should be sorted as a single character, specify the letter pair between angle brackets (< >)—for example, C Ç  c ç<CH><Ch><ch>. In this example, all the characters or letter pairs are in the same letter group (the letter C ). The letter pair CH is sorted after the letter C, and uppercase letter pairs are sorted before lowercase letter pairs.

Sort letter by letter instead of word by word

To sort an index letter by letter instead of word by word:

  1. Choose View > Reference Pages, and display the reference page that contains the IX text flow for the index.

  2. Add a space at the beginning of the IgnoreCharsIX paragraph in the IX text flow of the IX reference page.

    Sorted letter by letter

    Sorted word by word

    Seabed

    Sea level

    Seasonal change

    Sea walls

    Sea level

    Sea walls

    Seabed

    Seasonal change

Specify characters to ignore

By default, FrameMaker ignores hyphens, nonbreaking hyphens, en dashes, and em dashes when sorting index entries: -_–—

You can specify other characters to be ignored—for example, comma, period, bracket, braces, quotation and exclamation marks, currency symbols, and other characters:

-_–—,.()[]{}$?!"

To specify the characters to ignore while generating an index:

  1. Choose View > Reference Pages, and display the IX reference page that contains the IX text flow for the index.

  2. Edit the IgnoreCharsIX paragraph.

Note: If you’re working with Japanese fonts, you may want to include the Chouon character Chouoncharacter in the IgnoreCharsIX paragraph. The Chouon character is normally used in Japanese to lengthen the vowel sound that it follows, but you probably won’t want it to affect the sort order.

Sort symbols, numbers, or other characters in another location in an index

To sort symbols, numbers, or other characters in another location in an index:

  1. Choose View > Reference Pages, and display the reference page that contains the special text flow for the index.

  2. Rearrange the building blocks in the SortOrderIX paragraph in the special text flow. For example, to put symbols at the end of an English-language index instead of at the beginning, arrange the building blocks as follows: <$numerics><$alphabetics><$symbols>

Specify the sort order for Japanese

Kanji characters always need a special sort order defined.

A document that uses Japanese fonts includes the <$kana> building block, which controls sorting of Japanese kana (hiragana and katakana).

Building block | Characters, in this order
<$kana> | Specifyingthesort order for Japanese

Single-byte (half-width) katakana are converted to double-byte katakana in the generated file when sorted. The sort order of kanji is determined by its kana pronunciation (yomigana). Because of this, the <$kana> building block also controls how most kanji sort.

The sort order of kanji without yomigana and of Japanese symbols (double-byte numerics and Roman alphabetics) is not included by default in the <$kana> building block. Instead, kanji is sorted by code value and appended after characters sorted by <$kana>.

If you want to sort kanji without yomigana and Japanese symbols differently, add these characters to the <$numerics>, <$alphabetics>, or <$kana> building blocks. For example, double-byte Japanese characters could be added to the <$symbols> building block.

Enter its pronunciation (yomigana) in brackets in the marker text. (Double-byte bracket characters may be used.)

Figure 2. Sort order for kanji index entry
Sort order for kanji index entry

Parent topic: Creating indexes
Related information
  • Edit special text flow for a list or index


Generate indexes

Learn how to generate index for a book and a document. You can also display page numbers in index in FrameMaker.

After you insert index markers in your source document, you can generate a standard index or any other index of markers. When you revise your source document, you can generate the index again to update it.

You ordinarily use predefined marker types. However, you can create your own marker types for special effects in indexes, such as displaying principal entries in bold or adding custom text to some page entries but not to others. The custom text might be the word note to follow some page numbers and figure to follow others. Scholarly indexes might use abbreviations, such as ff and passim after page numbers.

You can also generate a special-use index of references, such as an index of fonts used in a document. This type of index is not generated from markers.

Note: If you are generating an index for an RTL language such as Arabic, Hebrew, or Farsi, ensure that the locale on your computer is set to the locale for that language.
  • Generate an index for a book
  • Generate an index for a document
  • Generate a standard index that displays page numbers in a variety of ways
Parent topic: Creating indexes


Generate an index for a book

To generate an index for a book:

  1. Open the book window and select the file above where you want the generated file to appear.

  2. Do one of the following:

    • Choose Insert > Standard Index.

    • Choose Insert > Index Of, and then choose the type of specialized index you want to create.

  3. Move the marker types you used for the entries to the Include scroll list.

    Figure 1. Set Up Standard Index dialog
    Generatinganindex for a book in FrameMaker

    To move an item between scroll lists, select the item and click an arrow button, or double-click the item.

    To move all items from one scroll list to the other, Shift‑click an arrow button.

  4. In the Add drop-down list, specify whether the generated list appears before or after the current document.

  5. Enter a suffix or keep the default one. The suffix indicates the type of generated file. For example, IX is the usual suffix for a standard index.

    Note: The suffix is not the same as the filename’s extension. The suffix is used with paragraph styles in the generated lists, and appears as part of the generated file’s filename, such as UserGuideIX.fm.

  6. To link each entry in the generated index to its source, select Create Hypertext Links.

  7. Click OK. FrameMaker generates the index and displays it in a separate document.

  8. Save the index in the same folder as the source document or book. If you want to rename the generated file, use the book window to do so. FrameMaker will rename the file on the disk and update all references.

    The first time you generate an index, it uses the page layout of the first nongenerated document in the book, and all entries look the same. You can avoid this unformatted look by using a template. For information on making changes to the format of an index—changes that won’t be lost when you regenerate it.

  9. Save any open files in the book. Open files are updated only in your computer’s memory and not on the disk. If a file isn’t open, the changes are made on the disk.

Parent topic: Generate indexes
Related information
  • Formatting lists and indexes


Generate an index for a document

  1. Do one of the following:

    • Choose Insert > Standard Index.

    • Choose Insert > Index Of, and then choose the type of specialized index you want to create.

  2. When prompted, specify whether you want to create the generated file as a standalone document or add it to a book.

    If you select Yes to create a stand-alone document, FrameMaker will create a generated index in the original document’s folder.

    If you select No, FrameMaker adds the index to an open book, or creates a new book if necessary.

  3. Enter a suffix or keep the default one. The suffix indicates the type of generated file. For example, IX is the usual suffix for a standard index.

    Note: The suffix is not the same as the filename’s extension. The suffix is used with paragraph styles in the generated lists, and appears as part of the generated file’s filename, such as UserGuideIX.fm.

  4. To link each entry in the generated index to its source, select Create Hypertext Links.

  5. Do one of the following:

    • If you are creating a stand-alone index, click OK. FrameMaker generates and displays the index.

    • If you are adding the index to a book, click Add, and then click Update. If a new book is created, choose File > Save Book As, and then save the book.

    The first time you generate an index, it uses the page layout of the source document or of the first nongenerated document in the book, and all entries look the same. For information on making changes to the format of an index—changes that won’t be lost when you regenerate it.

  6. Save the index in the same folder as the source document or book.

Parent topic: Generate indexes
Related information
  • Formatting lists and indexes
  • Rename book components in a book


Generate a standard index that displays page numbers in a variety of ways

To generate a standard index that displays page numbers in a variety of ways:

  1. Create one or more custom marker types, and name them in a way that indicates their intended use. For example, if you want to distinguish index entries that refer to footnotes, you might create a marker type called IndexNote.

  2. Index your source document, using the Index marker type for regular entries and your custom marker types for the others.

  3. Generate the index. Select the Index marker type along with the custom ones.

    In the index, edit the special text flow on the reference page for the custom marker (the reference page would be called IX) to add text after the page number or to change character style. For example, you might change the text for IndexNoteIX as follows to have [note] appear after the page number: <$pagenum> [note].

  4. Update the index again for your edits to take effect.

Parent topic: Generate indexes
Related information
  • Add, edit, or delete markers and marker types
  • Change page number separators
  • Change paragraph and character styles of generated list entries


Update and edit indexes

Learn to update and edit indexes, being a part of a book or a standalone document in FrameMaker.

In this topic

  • Introduction

  • Update an index that is part of a book

  • Add or remove items included in an index that is part of a book

  • Update an index that is a stand-alone document

Introduction

An index can quickly become outdated. With an index, you typically need to make changes after you review the index for the first time. For example, some entries might not use parallel phrasing, or you may decide to change the organization of some entries.

You edit entries in an index by editing their corresponding paragraphs or markers in the source document and then regenerating the index. If you revise entries by typing directly in the index, your changes will disappear when you regenerate it.

For example, if you fix a typing error directly in an index, that error will reemerge the next time you generate because it still exists in the source marker. To permanently fix an error, you must correct it by changing the marker text in the source document and then regenerating the index.

Update an index that is part of a book

To update an index that is part of a book:

  1. Make changes to the source document as needed.

  2. In the book window, choose Edit > Update Book.

  3. Move the lists you want to update to the Generate scroll list, make sure Generate Table of Contents, Lists, and Indexes is selected, and then click Update.

Add or remove items included in an index that is part of a book

To add or remove items included in an index that is part of a book:

  1. Select the generated index in the book window.

  2. Choose Edit > Set Up Standard Index (or Set Up Index of type).

  3. Move items between the list boxes as desired. Click Set.

  4. Click Update.

Update an index that is a stand-alone document

  1. Make changes to the source document as needed.

  2. In the source document, choose the command (such as Standard Index) from the Insert menu, and then select Yes when prompted to create a stand-alone document.

  3. Move items between the list boxes as desired.

  4. Click OK.

Parent topic: Creating indexes
Related information
  • Update and edit TOCs and lists


Find the source of index entries

Know how to find the source of index entries, using a link for find/change in FrameMaker.

In this topic

  • Introduction

  • Find the source of an index entry by using a link

  • Select a marker by using Find/Change

Introduction

When you need to revise an entry, you must trace the entry back to its source—the corresponding marker (or marker element, if working with a structured document) in the source document.

The quickest way to find the source of an index entry is to use the hypertext link on the entry in the generated file. This hypertext link can display and select the corresponding information in the source document. If you’re working with a structured document, you can select the element in the Structure View if you can see its bubble.

Another simple way to find and select a marker in the source document is through the Markers panel. The Markers panel displays marker text, the marker type, and document in which the marker is. You can sort the list on marker type to view all the index marker entries in a document. Selecting an entry in the Markers panel automatically highlights the marker in the document. Double-clicking an entry opens the Markers panel for quick editing.

Using the Markers panel makes it easier to select a specific marker if there are multiple markers at exactly the same location in a document.

Important: If you’re generating extremely large indexes (indexes of more than 50,000 markers), don’t use Create Hypertext Links. Generating indexes of this size with Create Hypertext Links selected takes a long time or might not succeed.

Find the source of an index entry by using a link

To find the source of an index entry by using a link:

  1. If you did not select Create Hypertext Links when you generated the index, select this option and regenerate.

  2. Choose Insert > Marker.

  3. In the generated index, Alt-Control-click a page reference in an index.

FrameMaker opens the source document to the page that contains the corresponding marker and selects it. The marker text appears in the Markers panel.

Select a marker by using Find/Change

To select a marker by using Find/Change:

  1. In the source document (not in the generated list), choose Edit > Find/Change.

  2. Do one of the following:

    • If you’re working in a FrameMaker document, select Any Marker, Marker of Type, or Marker Text from the Find drop-down list. Enter the marker type or marker text as needed.

    • If you’re working in a structured FrameMaker document, select Element from the Find drop-down list and enter the name of the element you want to find. Click Set.

  3. Click Find.

Note: When a marker is selected, the marker text appears in the Markers panel. Don’t click Change in the Find/Change dialog box to change the marker text. If you do, FrameMaker replaces the marker itself. Instead, change the text in the Markers panel and then click Edit Marker.
Parent topic: Creating indexes


Add, edit, or delete markers and marker types

Learn how to add, edit, or delete markers and marker types, copy a marker type from one document to another in FrameMaker.

In this topic

  • Introduction

  • Edit or delete a marker

  • Copy a marker type from one document to another

  • Rename a marker type

Introduction

You can create your own marker types and then use them in lists or indexes just as you would any other type of marker.

After a new marker type has been created, it can be shared with other documents and books.

Edit or delete a marker

To edit or delete a marker:

  1. Select the marker (or element) you want to delete and do one of the following:

    • Click Delete icon from the Markers panel.

    • Click Delete Marker button from the Marker panel.

  2. Select the marker (or element) you want to edit, change the text in the Markers panel, and click the Edit marker icon.

Add or delete a custom marker type

To add or delete a custom marker type, do the following:

  1. Choose Insert > Marker and select Edit from the Marker Type drop-down list.

  2. Type a new name. Click Add.

    Alternatively, select a name from the drop-down list. Click Delete.

  3. Click Done.

Tip: You can also use the book window to edit custom marker types. Select the documents you want to affect, and then press Esc+e+m+t.

Copy a marker type from one document to another

To copy a marker type from one document to another, do the following:

  • Copy a marker or text containing a marker and paste it in another document.

  • Choose File > Import > Formats and import Document Properties.

Rename a marker type

To rename a marker type, do the following:

  1. Choose Insert > Marker and select Edit from the Marker Type drop-down list.

  2. Choose the marker type you want to rename from the drop-down list. Click Change.

  3. Do one of the following:

    • To rename the specified markers with a new name, enter the new name in the To text box.

    • To rename the specified markers with the name of another marker type, choose the new marker type from the To drop-down list.

  4. Click OK.

  5. Click Done.

Parent topic: Creating indexes


Formatting lists and indexes

See how you can format a list or index with a template in Adobe FrameMaker.

  • Format a list or index with a template
    See how you can format a generated list or index with a template in Adobe FrameMaker.
  • Edit special text flow for a list or index
    Learn how you can edit a special text flow for a list or index.
  • Change paragraph and character styles of generated list entries
    See how you can change paragraph and character styles of generated list entries in Adobe FrameMaker.
  • Include book component and paragraph autonumbers
    Know how to include book component and paragraph auto numbers in a generate list in Adobe FrameMaker.
  • Change page number separators
    Find out how you can change page number separators in Adobe FrameMaker.
  • Manually add text to generated list entries
    Learn to manually add text to generated list entries in Adobe FrameMaker.
  • Use tabs and tab leaders in a list or index
    See how to use tabs and tab leaders in a list or an index in Adobe FrameMaker.
  • Rearrange information in list entries
    Learn how to rearrange information in list entries in Adobe FrameMaker.
  • Resolve cross-references
    See how to resolve cross-references in Adobe FrameMaker when a marker has been deleted or the ID and ID reference do not match.
Parent topic: Projects, books, and long documents


Format a list or index with a template

See how you can format a generated list or index with a template in Adobe FrameMaker.

The first time you generate a list or index (if you don’t use a template), it uses the page layout of the source document or the first non-generated document in the book, and all entries look the same. You can change the page design and the formats in the list or index after you generate it, just as you do in any other document. When you generate the file again, your changes are retained.

  1. Copy the template to the source document’s folder using the same filename as the list or index.

  2. Generate the list or index.

Tip: You can also use File > Import > Formats to import a template’s formats. Then generate the list or index again so any changes in the special text flow are reflected in the generated file.
Parent topic: Formatting lists and indexes


Edit special text flow for a list or index

Learn how you can edit a special text flow for a list or index.

Many formatting aspects of a list or index are controlled by a special text flow on a reference page in the generated file. The name of the reference page matches the default suffix, such as TOC for a table of contents or IX for a standard index.

For generated lists, each paragraph in the flow corresponds to a paragraph style or marker type you included in the list. These paragraphs have styles that use the default suffix. For example, a paragraph with the style Heading1TOC in the text flow for a table of contents corresponds to the entries for first-level headings (tagged Heading1 in the source document).

Figure 1. Special text flow on reference page for a table of contents
Special text flow on referencepage for a table of contents

For indexes, the paragraphs in the flow correspond to the marker types you included in the index, the levels of entries and subentries, the sort order, the separator text used, and several other index properties.

Figure 2. Special text flow for an index
Structureof the specialtext flow for an index

A. Separators placeholder B. Levels of entries C. Group titles placeholder D. Sort order E. Ignore characters placeholder

If the list or index was created with hypertext links, the special text flow also contains a paragraph that specifies the form of the hypertext commands in the generated file. The paragraph’s style name begins with the word Active.

Special text flows for lists and indexes have special paragraphs with placeholder text. This placeholder text lets you specify how your entries will look when you regenerate the file.

Building blocks placed in each paragraph of the special text flow determine the information that appears in the list or index, and the order in which the information appears. You can use the following building blocks in the special text flow.

Building block | Meaning
<$autorange> | Automatically creates index page ranges
<$numerics> <$alphabetics> <$symbols> <$kana> | Specifies the overall sort order in an index
<$pagenum> | Displays the page number on which the source paragraph or marker appears
<$volnum> | Displays the volume number of the document in which the source paragraph or marker appears
<$chapnum> | Displays the chapter number of the document in which the source paragraph or marker appears
<$paratext> | Displays the text of the paragraph, excluding any autonumber
<$paranum> | Displays the paragraph’s entire autonumber, excluding spaces and tabs at the end of the autonumber (for example, Section 2.1.1)
<$paranumonly> | Displays the paragraph’s autonumber counters and the characters between them (for example, 2.1.1)
<$paratag> | Displays the source paragraph’s style name

  1. In the list or index, choose View > Reference Pages.

  2. Display the reference page that contains the text flow you want.

  3. Edit the appropriate paragraphs in the text flow.

  4. Choose View > Body Pages.

  5. Generate the index again to see the effect of your changes.

Note: Make sure that you generate the list or index from the source document, not from the generated file.
Parent topic: Formatting lists and indexes
Related information
  • Use page ranges in index entries
  • Change paragraph and character styles of generated list entries


Change paragraph and character styles of generated list entries

See how you can change paragraph and character styles of generated list entries in Adobe FrameMaker.

In this topic

  • Introduction

  • Change the paragraph style of entries

  • Change the character style of entries

Introduction

In Adobe FrameMaker, you can change the look of entries in a generated list and index by modifying their paragraph styles.

You can also change the character style of any text appearing in a list and of all index page numbers created with the same marker type. For example, you could make all page numbers italic.

Note: If you create a new character style in the source document after you generate the list or index, you may have to use File > Import > Formats to import the character style into the generated list. This is necessary only if you use the new character style in a paragraph or marker that’s part of the list or index. If you created the character style before first generating the list or index, FrameMaker imports it for you into the generated file.

Change the paragraph style of entries

To change the paragraph style of an entry in a generated list, do the following:

  1. In the list or index, display the reference page that contains the special text flow. Usually this is TOC for a table of contents and IX for a standard index.

  2. Locate the placeholder paragraphs that have paragraph styles corresponding to the list or index entries. (For example, Level1IX is the style for the placeholder text for the first-level index entry, and Head1TOC is the style for a Head1 entry in a table of contents.)

  3. Change the properties of the paragraph styles, such as indents and font size, and update the paragraph styles, so that they are available the next time you generate the file. The placeholder paragraphs show you how the entries will look.

Figure 1. Formatted placeholder paragraphs
Formatted placeholder paragraphsshowing how the entries look

Change the character style of entries

To change the character style of an entry in a generated list, do the following:

  1. In the list or index, create a new character style and store it in the Character Catalog.

  2. Choose View > Reference Pages and display the reference page that contains the special text flow.

In the paragraph whose style corresponds to the entries you want to change, do the following:

  • In a list, enter the character style between angle brackets (< >) before the text you want to change. To change back to the paragraph’s default font, enter <Default Para Font>. For example, you could define a format tagged ChapNumFont, and then use it to format chapter numbers in a larger font in a table of contents.

    Figure 2. Reference page and resulting TOC
    Changing the character styleof entries in the reference page and the resulting TOC

  • In an index, enter the character style name, between angle brackets (< >), to the left of <$pagenum>. For example, if IndexPgNum is a character style defined for italic page numbers in a standard index, you could use it to format just the page numbers in the paragraphs tagged IndexIX.

    Figure 3. Reference page and resulting index
    Changingthe character style of entries in the reference page and the resultingTOC

Tip: You can also change the character style of text that appears in a list or index by applying a character style directly to the building block rather than preceding the building block with a character style enclosed in angle brackets. Be careful not to apply the character style to the paragraph symbol.
Parent topic: Formatting lists and indexes


Include book component and paragraph autonumbers

Know how to include book component and paragraph auto numbers in a generate list in Adobe FrameMaker.

In this topic

  • Introduction

  • Include volume and chapter autonumbers

  • Include paragraph autonumbers

Introduction

In a generated list, you can include autonumbers (text and numbers inserted automatically as part of a paragraph style) in addition to (or instead of) page numbers in entries. In an index, you can use autonumbers instead of page numbers if all paragraphs that contain index markers are also autonumbered.

Figure 1. Index using section symbols and section numbers instead of page numbers
Indexusing section symbols and section numbers instead of page numbers

You can use the following building blocks to add autonumbers:

  • <$volnum>, <$chapnum>, <$sectionnum>, <$subsectionnum> which include the volume, chapter, section, and sub section counters.

    Figure 2. Building block for volume and chapter autonumbering, and resulting index
    Building block for volumeand chapter autonumbering, and resulting index

  • <$paranumonly>, which includes the counters and the characters between them (for example, 2.2 for a paragraph whose autonumber is Section 2.2).

    Figure 3. Building block for paragraph autonumbering using section numbers, and resulting index
    Building block for paragraph autonumbering usingsection numbers, and resulting index

  • <$paranum>, which includes the counters and all text in the autonumber (except for spaces or tab characters at the end).

    Figure 4. Building block for paragraph autonumbering using “Section” text and section numbers, and resulting index
    Buildingblock for paragraph autonumbering using “Section” text and sectionnumbers, and resulting index

Include volume and chapter autonumbers

To include volume and chapter autonumbers in an entry of a generated list, do the following:

  1. Choose View > Reference Pages and display the reference page that contains the special text flow.

  2. In a list or index, type the <$volnum> or <$chapnum> building block where you want to insert the autonumber.

    For example, to include the chapter number along with the page number (such as 3-1) in entries generated from markers of type Index, type <$chapnum>- before the <$pagenum> building block in the paragraph with the style IndexIX.

Tip: To make sure numbers such as “3-1” don’t break between lines, insert a nonbreaking hyphen by pressing Esc+-+h.

Include paragraph autonumbers

To include paragraph autonumbers in an entry of a generated list, do the following:

  1. Choose View > Reference Pages and display the reference page that contains the text flow “Special”.

  2. Do one of the following:

    • In a list, type the <$paranumonly> or the <$paranum> building block where you want to insert the autonumber.

    • In an index, replace the <$pagenum> building block with <$paranum> or <$paranumonly> in the paragraph with the style that begins with the marker type. For example, to include the paragraph autonumber rather than the page number in entries generated from markers of type Index, replace the <$pagenum> building block in the paragraph with the style IndexIX.

Parent topic: Formatting lists and indexes
Related information
  • Document and page numbering


Change page number separators

Find out how you can change page number separators in Adobe FrameMaker.

A typical index entry such as Erosion 1, 23 includes a space after the entry text, a comma and a space between page numbers, an en dash to show a page range, and nothing after the last number. You can change the en dash to the word to, or change this separator text in any other way. For example, you could change the separator text so that a comma appears after the entry, such as Erosion, 1.

To edit the page number separator for index entries, do the following:

  1. Choose View > Reference Pages, and display the reference page that contains the special text flow.

  2. Edit the Separators paragraph. (Look for the paragraph containing 1, 23–.) You can change any separator, but you must use the placeholder numbers 1, 2, and 3.

Figure 1. A custom Separators paragraph on the IX reference page
A custom Separators paragraphon the IX reference page

A. En dash B. Em space

Parent topic: Formatting lists and indexes


Manually add text to generated list entries

Learn to manually add text to generated list entries in Adobe FrameMaker.

You can add text to all entries generated from paragraphs with a particular style or markers of a particular type. For example, you can enclose page numbers in brackets.

Figure 1. Brackets added in a TOC
Bracketsadded in a TOC

You can also use custom marker types with added text to display page numbers in a variety of ways in an index. For example, suppose you want to generate the following scholarly index.

Figure 2. Custom page numbers added in an index
Custompage numbers addedin an index

To do this, you need two custom markers: one for page numbers followed by ff, and one for page numbers followed by note. You might call these markers Indexff and IndexNote.

When generating the index, you include all three marker types (Index plus the two new ones). After generating the index for the first time, you can edit the special text flow for the marker types on the reference page.

Marker type | Edit to the reference page | Result
Indexff | <$pagenum> ff | 15 ff
IndexNote | <$pagenum> note | 15 note

The next time you generate the index, the changes appear in the generated index.

To add custom page numbers for index entries, do the following:

  1. Choose View > Reference Pages, and display the reference page that contains the special text flow for the list or index.

  2. Enter the text where you want it to appear. For example, to enclose all page numbers in brackets, enter brackets around the page number building blocks: <$paratext>[<$pagenum>]

Parent topic: Formatting lists and indexes


Use tabs and tab leaders in a list or index

See how to use tabs and tab leaders in a list or an index in Adobe FrameMaker.

You can use tabs to align page numbers in a list or index. You can also use tabs to add tab leaders, such as a row of dots, between entry text and page numbers.

Figure 1. Right-aligned tab stop with leader dots in a TOC
Right-aligned tab stop withleader dots in a TOC

Figure 2. Tab stops make index page numbers line up in columns.
Tab stops make index pagenumbers line up in columns

  1. Choose View > Reference Pages and display the reference page that contains the special text flow.

  2. Do one of the following:

    • For a list, select the space between the <$paratext> and <$pagenum> building blocks in the paragraph whose style matches the entries you want to change.

    • For an index, select the space before the number 1 in the Separators paragraph.

  3. Press Tab.

  4. Change the paragraph style by adding a tab stop where you want to align the page numbers. Define the format to include leader dots, if you want. Then update the paragraph styles so the changes are available the next time you generate the list or index.

Parent topic: Formatting lists and indexes


Rearrange information in list entries

Learn how to rearrange information in list entries in Adobe FrameMaker.

You can specify the order in which the parts of a list entry appear. For example, you can specify that the page number appears first, followed by the paragraph text.

  1. Choose View > Reference Pages, and display the reference page that contains the special text flow for the table of contents or list.

  2. Rearrange the building blocks. For example, to put the page number first, followed by the paragraph text, rearrange the building blocks: <$pagenum> <$paratext>.

Parent topic: Formatting lists and indexes


Resolve cross-references

See how to resolve cross-references in Adobe FrameMaker when a marker has been deleted or the ID and ID reference do not match.

In this topic

  • Resolve a cross-reference when a marker has been deleted

  • Resolve a cross-reference when the ID and ID Reference values mismatch

Resolve a cross-reference when a marker has been deleted

  1. Open the Cross-References panel, choose Filter > References > Unresolved Cross Reference. Ensure that you have the correct filename selected. The panel shows all unresolved cross-references.

  2. Do one of the following:

    • If you do not need the cross-reference, delete it.

    • If FrameMaker finds an unresolved paragraph cross-reference, double-click the cross-reference to display the cross-reference dialog box and specify a different source. Click Replace.

    • If FrameMaker finds an unresolved spot cross-reference, insert a new cross-reference marker in the source text. Select the new marker from the cross-reference dialog box. Click Replace.

Resolve a cross-reference when the ID and ID Reference values mismatch

For structured documents, edit the ID or the ID Reference value so the two values match.

ID attributes are often read-only, so you may have to edit the ID Reference.

Parent topic: Formatting lists and indexes


Glossaries

Understand glossaries in Adobe FrameMaker. Learn how to create a glossary marker with a term definition and how to apply the glossary marker to the occurrences of the term.

In this topic

  • Introduction

  • Create the glossary term definition

  • Apply the glossary marker to the occurrences of the term

Introduction

In Adobe FrameMaker, you can define glossary terms using markers. You can then publish a document that contains the glossary of the defined terms. In the published output, if a user encounters a glossary term, the user can find the definition.

To publish output that contains a glossary of terms, you need to create the glossary term definition and apply the glossary marker to the occurences of the term.

Create the glossary term definition

In your document, you need to provide definitions for the terms that you plan to include in the glossary.

  1. In the document, place the pointer in the paragraph containing the definition of the term.

    For example, you can define the term PDF as Portable Document Format. In this case, you need to place the pointer in the paragraph containing the definition of Portable Document Format in the document.

  2. Choose Insert > Marker to open the Marker dialog. In the Marker dialog, select the marker type as Glossary.

  3. Specify the marker text as the term.

Apply the glossary marker to the occurrences of the term

The glossary term is defined. Next, you need to apply this definition to occurrences of the term in the document.

  1. Select the term to which you want to apply the glossary definition. In the published output, if a user selects this term, the user is presented with the definition.

    For example, if the document contains the term PDF, you need to select the text PDF.

  2. Choose Insert > Marker to open the Marker dialog. In the Marker dialog, select the marker type as GlossaryTerm.

  3. Specify the marker text as the term.

    By default, FrameMaker displays the marker text as the text selected in the previous step.

Note: It is not necessary to specify the marker text as the term. However, you need to ensure that the marker text that you specify is the same as the first word in marker text defined when you create the glossary term definition.

When you publish the document, you can specify how to display the glossary definition when a user selects a term in a document. For details, see the General Settings options in the Style mapping table of the Publish Options.

Parent topic: Projects, books, and long documents


Footnotes and endnotes

Know how footnotes and endnotes work in Adobe FrameMaker.

In Adobe FrameMaker, Footnotes are notes placed at the bottom of a page that comments on or cites a reference for a designated part of the text.

Endnotes are notes placed at the end of a chapter or book that comments on or cites a reference for a designated part of the text.

  • Insert, edit, and delete footnotes
    Learn how to insert, edit, duplicate, move, and delete footnotes in Adobe FrameMaker.
  • Format footnotes
    Learn how to change footnote properties, change the footnote numbering style, create custom footnote numbering, and change the footnote separator in Adobe FrameMaker.
  • Create and maintain endnotes
    Learn how to create and maintain endnotes in Adobe FrameMaker
Parent topic: Projects, books, and long documents


Insert, edit, and delete footnotes

Learn how to insert, edit, duplicate, move, and delete footnotes in Adobe FrameMaker.

In this topic

  • Introduction

  • Insert a footnote in a FrameMaker document

  • Insert a footnote element in a structured FrameMaker document

  • Use an invalid footnote element

  • Edit a footnote

  • Duplicate, move or delete a footnote

  • Keeping a footnote in the same column as its reference

  • Insert multiple references to a footnote

  • Insert multiple references to a footnote (structured documents)

Introduction

When you insert a footnote reference and footnote, FrameMaker gives it a number, formats the text of the footnote, and inserts a separator if the footnote is the first one in a column.

Structure of a footnote in Adobe FrameMaker

A. Footnote B. Footnote separator C. Footnote reference

As you insert, move, and delete footnotes, FrameMaker adjusts the numbering. As you edit the surrounding text, FrameMaker moves the footnotes from page to page as needed. FrameMaker allows document footnotes to be numbered consecutively across all files in a book.

The footnote reference and the footnote itself usually appear in the same column. When you insert a footnote reference in a table, the footnote appears at the end of the table. If the table flows onto a second page, all footnotes appear on the second page.

Insert a footnote in a FrameMaker document

To insert a footnote in a FrameMaker document:

  1. Click where you want the footnote reference to appear. You can insert a footnote reference in a column of text or a table cell.

  2. Choose Insert > Footnote. FrameMaker inserts the footnote reference, displays the footnote number at the bottom of the column or below the table, places the insertion point after the footnote number, and renumbers any footnotes that follow.

    Note: Footnotes are numbered consecutively in a text flow. If your document contains multiple text flows, the footnote numbering in each flow is independent of the others.

  3. Type the text of the footnote at the insertion point. When you finish typing the footnote, return to the main text by clicking in it or by choosing Insert > Footnote again.

Tip: To place two footnote references together, place a space or a comma between them—for example, references5 6 or references5,6. Otherwise, the second footnote won’t be created. If you place a comma between the footnote references, you should manually format the comma in superscript.

Insert a footnote element in a structured FrameMaker document

To insert a footnote in a structured FrameMaker document:

  1. Click where you want the footnote reference to appear.

  2. Select a footnote element in the Elements Catalog. Click Insert.

    FrameMaker inserts the footnote reference, displays a footnote number at the bottom of the column or end of the table, and renumbers any footnotes that follow. A bubble for the footnote appears in the Structure View, with a text snippet that shows the beginning of the footnote text.

    You can also use Insert > Footnote to insert a footnote element. If more than one footnote element is available, choose one from the Element Tag drop-down list in the dialog box that appears.

  3. If the Attributes for New Element dialog box appears, enter attribute values for the element. Click Insert Element.

  4. Type the text of the footnote at the insertion point. When you finish typing the footnote, return to the main text by clicking in it or by choosing Insert > Footnote.

Use an invalid footnote element

If no footnote element is available at the location you want, you might use an invalid element. After inserting the element, talk to your developer about making it valid at this location.

To use an invalid footnote element, do one of the following:

  • To use an element that is valid in another part of the document, either insert the element in a valid location and then move it, or use the All Elements setting to make the element available everywhere and then insert the element where you want it.

  • To insert an invalid footnote with the default element <FOOTNOTE>, choose Insert > Footnote. A default footnote is created if no defined footnote elements are available.

Edit a footnote

Select the footnote text and edit it as you do other text.

You can’t change a footnote number manually, because FrameMaker maintains the numbering automatically.

Duplicate, move or delete a footnote

To duplicate, move, or delete a footnote:

  1. Select the footnote reference (not the footnote text).

    Alternatively, in Structure View, click the footnote element.

  2. Do one of the following:

    • To duplicate or move the footnote, use Edit > Copy or Edit > Cut, and then Edit > Paste.

    • To delete the footnote, press Delete.

Keeping a footnote in the same column as its reference

FrameMaker sometimes can’t keep footnotes in the same column as the corresponding footnote reference. For example, if you insert a footnote reference at the bottom of a text column, so there is no space for the footnote below it, FrameMaker moves the footnote to the bottom of the next column. In such cases, you can force a column or page break before the footnote reference to keep the reference and the footnote together in the same column.

Adding text to a footnote may cause the last footnote in a column or on a page to move to the bottom of the next column or page. To reduce the chance of a footnote not fitting in a column, allocate more space for footnotes in a column.

Insert multiple references to a footnote

You can create a single footnote that has several footnote references—for example, a table footnote with references in several cells.

Figure 1. Two references for one footnote
Inserting multiple references to a footnote

Important: A cross-reference might refer to the wrong number if you add or remove a footnote that appears before the footnote-reference. Choose Edit > Update References to update the numbering.

To insert multiple references to a footnote:

  1. Insert the first footnote reference.

  2. If necessary, create a cross-reference style for additional footnote references.

    The cross-reference style must display the footnote number correctly. For example, if footnote references are displayed in superscript, and if the document contains a “Superscript” character style, a cross-reference style defined as <Superscript><$paranumonly> displays the autonumber of a paragraph as a superscript. When you use it to refer to a paragraph that contains a footnote, it displays the footnote number in superscript.

  3. Click where you want to insert the additional footnote reference.

  4. Choose Insert > Cross-Reference to insert a cross-reference to the footnote where you clicked. Use the cross-reference format you created in step 2.

  5. Click Insert.

    FrameMaker inserts a cross-reference that is identical to the original footnote reference.

Insert multiple references to a footnote (structured documents)

You need to have a special cross-reference element already defined for the additional references. The element should display a reference number in the same way that the original footnote reference does. For example, if the number is in superscript in the original reference, the number in the cross-reference element should also be in superscript.

  1. Insert the footnote element.

  2. Where you want an additional footnote reference, insert a cross-reference element that was defined to display only a footnote reference.

Parent topic: Footnotes and endnotes
Related information
  • Format footnotes
  • Create and maintain endnotes


Format footnotes

Learn how to change footnote properties, change the footnote numbering style, create custom footnote numbering, and change the footnote separator in Adobe FrameMaker.

In this topic

  • Introduction

  • Change footnote properties

  • Change footnote numbering style

  • Create a custom footnote numbering style

  • Change the footnote separator

  • Using footnotes in multicolumn layouts

Introduction

In Adobe FrameMaker, you can change any of the footnote properties—for example, the style of numbers, the numbering format, or the paragraph style to use for footnote text.

FrameMaker uses different formats for document and table footnotes.

Change footnote properties

Changes except the paragraph style are applied to both new and existing footnotes.

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose Format > Document > Footnote Properties. To edit table footnote properties, select Table Footnote from the drop-down list.

  3. Do the following:

    • To adjust the maximum height allowed for footnotes in a column, enter a value in the Maximum Height Per Column text box.

    • To use a different paragraph style for new footnotes, enter the footnote’s Paragraph Style name in the Paragraph Format text box. The style must be available in the document’s Paragraph Catalog.

      To use a different style for an existing footnote, apply the style to it directly.

    • Specify the style of the footnote reference in the main text and the footnote number in the footnote. Either number can be in the superscript, baseline, or subscript position, and either can have a prefix and suffix.

    • To keep the footnote and its reference in the same page or column (in a multi-column layout), select the Keep Footnote With Reference option.

  4. Click Set.

Tip: By default, documents may include paragraph styles named Footnote and TableFootnote to be used for new footnotes. To change the look of footnotes, change these styles.

Change footnote numbering style

Note: If you’re working with documents that are part of a book, it’s a good idea to set the properties from the book window rather than directly from the document window. When the book is updated, the book properties override the document properties.

To change the footnote numbering style:

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose Format > Document > Numbering. The Numbering Properties dialog is displayed:

    Figure 1. Numbering Properties dialog in Adobe FrameMaker
    Numbering Properties dialog in Adobe FrameMaker

  3. Choose either Footnote or Table Footnote.

  4. Choose a numbering style from the Format drop-down list.

  5. Choose whether you want document footnote numbers to be restarted on each page, start numbering footnotes at a specific number, or be continued from the previous chapter in the book. When you number sequentially, you can start from any number. The numbering of table footnotes always starts over with each table.

  6. Click Set.

Create a custom footnote numbering style

Note: If you’re working with documents that are part of a book, it’s a good idea to set the properties from the book window rather than directly from the document window. When the book is updated, the book properties override the document properties.

Your Custom Numbering style can use any combination of numbers, letters, and symbols, which will be used in the order you enter them. If you use symbols in a custom style and your document contains more footnotes than symbols, the symbols are repeated. For example, if you use the two symbols * and †, and the document contains three footnotes, the third footnote is marked **. The footnote number will appear in the default font of the footnote’s paragraph style.

To create a footnote Custom Numbering style:

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose Format > Document > Numbering. The Numbering Properties dialog is displayed:

    Figure 2. Numbering Properties dialog in Adobe FrameMaker
    Numbering Properties dialog in Adobe FrameMaker

  3. Choose either Footnote or Table Footnote.

  4. Select Custom… from the Format drop-down list. The Custom Numbering dialog is displayed.

    Figure 3. Custom Numbering dialog in Adobe FrameMaker
    Specifying custom footnotenumbering in the Custom Numbering dialog

  5. Specify your custom numbering pattern.

  6. Click Set.

Note: Some special characters are entered or displayed differently in dialog boxes. You enter a sequence of characters beginning with a backslash (\).

Change the footnote separator

The footnote separator is a graphic frame automatically placed between the bottom of the body text or table and the first footnote. It usually contains a line or other design element to provide visual separation between the body text and footnotes. The height of the frame determines the space between the body text or table and the footnote.

Separator frames for document and table footnotes are stored on a reference page. Their names are the same as the paragraph styles used for these footnotes—by default, Footnote and TableFootnote.

Figure 4. Reference page
Reference page with the separatorframe

Figure 5. Footnote separator on body page
Footnote separator on body page

  1. Choose View > Reference Pages and navigate to the page that contains the footnote separator frame.

  2. Resize the frame or edit its contents. You can change the size or position of the line in the frame, or remove or replace the line. If you reduce the height of the frame, the first footnote is positioned closer to the bottom of the text or table. If you move the line down in the frame, the first footnote stays in the same position, but the line moves closer to it.

    Tip: To add space, but not a line, between the body text or table and the footnotes, leave the separator frame empty.

  3. Choose View > Body Pages.

Using footnotes in multicolumn layouts

The placement of footnotes in multicolumn layouts depends on the location of the footnote reference and on the presence or absence of side heads or text that spans columns.

Side heads

In a single-column document with side heads, footnotes in the body column run the width of the body column. Footnotes in a side head span the side-head area and the body column.

Figure 6. Footnotes in a side head span the body column and side-head area.
Footnotes ina side head span the body column and side-head area

If you want a footnote in a side head to be aligned with footnotes in the body column, change the indents of the footnote in the side head area by adding a distance equal to the width of the side-head area plus the gap.

Spanning Footnotes across all columns

In a multicolumn format where some text spans all columns, and other text does not, footnotes may or may not span the columns. Footnotes whose references appear in spanning text always span the columns. These footnotes appear at the bottom of the text frame. Footnotes whose references appear in non-spanning text, span the columns if the footnotes’ paragraph style is set to Across All Columns (in the Pagination properties of the Paragraph Designer).

Figure 7. Footnote spanning across all columns
using a footnoteacross all columns

If you have set the paragraph style to In Column, the footnote appears just above the next spanning paragraph (if there is one on the page). If there is no spanning paragraph on the page, the footnote appears at the bottom of the column.

Figure 8. Footnote in column
using a footnote in all column

If the footnotes appear out of order, select Across All Columns for the footnote paragraph style. This forces all footnotes to appear in numerical order at the bottom of the page.

Parent topic: Footnotes and endnotes
  • Insert, edit, and delete footnotes
  • Create and maintain endnotes


Create and maintain endnotes

Learn how to create and maintain endnotes in Adobe FrameMaker

In this topic

  • Create an endnote

  • Create an endnote in a structured document

  • Maintain endnotes

Create an endnote

To create an endnote in a Adobe FrameMaker document:

  1. Type the first endnote at the end of the document and assign the paragraph style for endnotes. The paragraph style should include an autonumber so the endnotes will be numbered consecutively.

  2. Click where you want to insert the endnote reference and cross-reference the endnote. Use the cross-reference format you created for endnotes.

    For example, if endnote references are to be displayed in superscript, and if the document contains a “Superscript” character style, the cross-reference format <Superscript><$paranumonly> displays the autonumber of the endnote paragraph as a superscript.

Create an endnote in a structured document

To create an endnote in a structured FrameMaker document:

  1. Insert the endnote element at the end of the document, and type the text of the note.

  2. Click where you want to insert the reference to the endnote.

  3. Insert a cross-reference element that was defined to display an endnote reference.

Note: Make sure that the sequence of endnotes is the same as the sequence of references in the document. FrameMaker does not automatically sequence endnotes as it does with footnotes.

Maintain endnotes

If you change the order of endnote references while editing the document, rearrange the endnotes to match the order of the references. Then update the cross-references to update the endnote reference numbers.

If you delete an endnote, delete all references to it. Otherwise, the reference will be an unresolved cross-reference.

Parent topic: Footnotes and endnotes
  • Insert, edit, and delete footnotes
  • Format footnotes
  • Cross-References


Edit and validate book structure

Know how to edit and validate the structure of a book in Adobe FrameMaker.

In this topic

  • Introduction

  • Validate the book structure

  • Clear all special cases

Introduction

In Adobe FrameMaker, a new book file that is not created based on a Structured Application has a structure with a highest-level element called <NoName> and an element called <BOOK-COMPONENT> for each document and generated file you added to the book. When you update the book, the elements for structured files change to the element of the highest-level element from the file.

In some cases, you might need to make a few corrections in the structure of a book file after updating. For example, you might need to change the <NoName> element to the highest-level element defined in your Structured Application for the book. If any file elements are still called <BOOK-COMPONENT>, add structure to those files and then generate and update again.

The book’s element definitions may also require you to group elements in higher-level elements such as FrontMatter, Body, and Appendixes.

Figure 1. Example of structure for a book file
Exampleof a book structure in FrameMaker

Tip: To open a file quickly, double-click its element bubble in the Structure View.

You can edit the structure of a book in the same ways that you edit the structure of a document—by inserting, wrapping, and changing elements or dragging and deleting bubbles in the Structure View. However, you cannot merge or split elements that represent files, and you cannot undo a cut or paste in a structured book that contains anything other than the default structure.

Validate the book structure

You can validate an entire book (including its files), only the book file, or only the current element in the book file. If you validate the entire book, the structure of the book and each file is checked against the Element Definitions for the book.

To validate the structure of a FrameMaker book based on the Element Definitions, do the following:

  1. Choose Structure > Validate. The Element Validation dialog is displayed.

    Figure 2. Element Validation dialog
    Thescreenshot shows the “Element Validation” dialog in Adobe FrameMaker.

  2. Select Entire Document, Current Flow, or Current Element to specify the scope of the validation.

  3. To exclude missing elements or attribute values from the validation, turn on Ignore Missing Elements or Ignore Missing Attribute Values.

    If these settings are on, FrameMaker does not look for places where a required child element or a required attribute value is missing. You may want to turn these on if you are not trying to build a complete book at this time.

  4. Click Start Validating.

    If FrameMaker finds an error, you can start to fix this error or click Allow as Special Case. Then click Start Validating again.

    The top part of the Element Validation dialog box shows the element name and a brief message about the problem.

  5. Repeat step 5 until FrameMaker does not find any more errors.

Clear all special cases

To clear all special cases that you have allowed during a previous validation as a special case, do the following:

  1. Choose Structure > Validate.

  2. Click Clear Special Cases. FrameMaker clears the special cases in the entire book, only the book file, or only the current element—whichever scope is selected in the dialog box.

Parent topic: Projects, books, and long documents
Related information
  • Import element definitions into structured books
  • Generate and update books


Troubleshooting books

Learn to troubleshoot issues with Adobe FrameMaker books.

Even though you can update and generate a book without error messages, the book may still have some problems that need correcting.

Generated file is empty

Make sure the name of the generated file is preceded by a generated files icon generated files icon in the book window. If it isn’t, the file was added as a document to the book file rather than as a generated file (see Create a book). When a file is added as a document file, FrameMaker won’t generate it. Also check that the setup of the generated file is correct.

Slow performance

To improve performance, open as many files in the book as possible before you use Edit > Update Book or File > Import > Formats in a book window. After using the command, save all the files in the book.

Note: In addition, if you experience slow performance while working with books, minimize or remove the Show/Hide Conditional Text panel from your workspace.
Chapter starts on wrong side

You need to correct your documents’ pagination.

  • Interpreting boook error messages
    See the interpretation of various error messages in books in Adobe FrameMaker.
  • Troubleshooting TOCs and lists
    Learn to troubleshoot TOCs and lists in Adobe FrameMaker.
  • Troubleshooting indexes
    Know how to troubleshoot indexes issues in Adobe FrameMaker.
Parent topic: Projects, books, and long documents


Interpreting boook error messages

See the interpretation of various error messages in books in Adobe FrameMaker.

The Book Error Log reports all errors that occur when you apply a command to a book. In addition, many error messages contain hypertext links so that you can click the message in the Error Log to display the location of the error.

Unresolved Cross-Refs

The Book Error Log lists all files that contain unresolved cross-references.

Inconsistent Show/Hide Settings, Inconsistent Use Condition Indicators, or Inconsistent Condition Indicator

The indicated file contains conditional text settings that differ from those in the previous file in the book. You can make the settings in each file the same (by using Insert > Conditional Tags) or you can update the settings throughout the book at once. To do this, change the settings in one file and then use File > Import > Formats to apply the settings to the entire book.

Inconsistent Numbering Properties

The numbering properties specified in the component are different from the book’s numbering properties. The book’s numbering properties override those of the document. See Document and page numbering.

Inconsistent Color Settings

The indicated file contains color separation settings or color definitions that differ from those in the previous file in the book.

Couldn’t Open File

The Book Error Log will indicate if the file was saved using an older format, if it used unavailable fonts, or if it cannot locate the file. For more information on the problem, open the file to see the alert message that appears.

Book Not Self-Consistent

The contents of generated files, the page count, or cross-references continued to change while generating and updating files in the book. For example, if a book contains both a list of markers and an alphabetical list of markers, and if both contain hypertext links, the number of markers grows each time the files are generated. If this happens, move one of the generated lists out of the Include scroll list when you use the Generate/Update command again.

Inconsistent Element Boundary Settings

In a structured book, element boundaries are showing in some files in the book but not in others. Fix the settings in individual files to make them consistent.

Parent topic: Troubleshooting books


Troubleshooting TOCs and lists

Learn to troubleshoot TOCs and lists in Adobe FrameMaker.

Minor problems in the source document may cause corresponding problems in the list. For example, an incorrectly tagged paragraph may cause an extra entry to appear in the list or to be missing from it. Or an empty paragraph may cause an extra line to appear in the list.

Extra entries or lines

Incorrect formatting in the source document can cause extra paragraphs to appear in a list such as a table of contents. To correct this, do the following:

  • If the list contains an entry that doesn’t belong there, check the corresponding paragraph style or marker type in the source document and either apply a different format to the paragraph or change the marker type.

  • If the list contains an extra line with only a page number, delete the corresponding empty paragraph in the source document. If you need extra space between paragraphs in the source document, use the spacing properties of the paragraphs’ formats rather than insert an empty paragraph.

Missing entries

To include entries that appear in the source document, but not in the list, do one of the following:

  • If all entries with a particular paragraph style or marker type are missing, make sure the Include scroll list in the Set Up dialog box contains the correct items.

  • If an occasional entry is missing, check the style of the corresponding paragraph or element, or the type of the corresponding marker in the source document. If any of these are incorrect, the information won’t be included in the list.

Split entries

A multiline heading in the source document can be a problem if the line breaks were created by pressing Return so that each line is a separate paragraph. The list will contain an entry for each paragraph in the heading. Fixing the list requires using only one paragraph for the heading in the source document.

Avoid using forced returns in a heading; forced returns appear in the generated TOC. Instead, to force a heading to break into two lines where you want, change the right indent of the heading paragraph in the source document. If the heading is centered, you may want to change both the left and right indents. You can also use nonbreaking spaces to force a heading to break acceptably.

Incomplete entries (unstructured documents)

When an element contains more than one paragraph, the list includes an entry for only the first paragraph. A multiline heading in the source document can be a problem if each line is a separate paragraph.

Avoid using forced returns in a heading; forced returns appear in the generated TOC. Instead, to break a heading into two lines (while still including all of its text in the list), use nonbreaking spaces to force a break. Or you can adjust the right indent for the heading to force a break, or the right and left indents if the heading is centered, though this will be a format rule override.

Note: Be aware that these techniques create overrides to both paragraph styles and element definitions. As such, they may not be retained when importing formats or element definitions, or when changing the context of the element by editing other parts of the structured document.
Incorrect pagination (books with XML components)

If you have a mix of structured XML and unstructured files in a book, sometimes the page numbers are incorrect when you generate a PDF. This problem could be because the pagination information for XML files is obtained from the template and the template could have a dual pagination setting.

To avoid this problem, always open the XML files and then update the book. This way all the components in the book have correct pagination information and the PDF that you then generate also has correct page numbers.

Bad line breaks

Bad line breaks in the list or its source document may separate information that belongs together in the list. To correct this, do one of the following:

  • Change the characters after which FrameMaker allows line breaks. For example, FrameMaker normally allows a line break after an en dash (–). To disallow breaks after an en dash, use Format > Document > Text Options.

  • In the special text flow on the reference page, use nonbreaking spaces between the text and page number for each entry so that a page number does not appear on a line by itself. See Edit special text flow for a list or index.

Disappearing titles

A title you entered may disappear when you regenerate, unless you give the title a paragraph style.

Disappearing formatting

If your formatting changes aren’t retained when you regenerate (see Formatting lists and indexes), do the following:

  • If you changed the filename or location of the list, change the name and location back. FrameMaker won’t find any formatting changes unless you save the list in the same folder as the source document and use the filename that FrameMaker assigns.

  • To retain paragraph and character style changes, store them in the list’s Paragraph Catalog or Character Catalog, making them available the next time you generate the list.

  • To retain other changes, make them in the special text flow, as described in Edit special text flow for a list or index.

Parent topic: Troubleshooting books


Troubleshooting indexes

Know how to troubleshoot indexes issues in Adobe FrameMaker.

Missing entries

If an entry is missing entirely from the generated index, do the following:

  • Check whether the corresponding marker (or marker element) is an incorrect marker type. You can do this by generating a list of markers that includes all marker types and then searching the list for the entry you want.

  • Check whether the corresponding marker (or marker element) is in hidden conditional text by using Insert > Conditional Tags to show all conditional text, and then generating the index again.

  • Check whether the marker (or marker element) was deleted accidentally.

Entries containing double question marks

Double question marks (??) in a page range indicate that FrameMaker can find only one of the two markers that define the range. If you see double question marks, do the following:

  • Check that neither marker (or marker element) is missing.

    Figure 1. Missing <$startrange> and the resulting page range
    Missing $startrange and the resulting page range

  • Check that the spelling, punctuation, and capitalization of the marker text match exactly.

    Figure 2. Inconsistent spelling and the resulting page range
    Inconsistent spelling and the resulting page range

  • Check that <$startrange> appears in the first marker (or marker element) and that <$endrange> appears in the second marker (or marker element).

    Figure 3. <$endrange> comes first and causes the resulting page range
    $endrange comes first and causes the resulting page range

Missorted entries

Most sorting problems are the result of incorrect marker text. If you see missorted entries, do the following:

  • Check that the colons and semicolons are used correctly. If a semicolon appears where a colon belongs, two main entries appear rather than one subentry. If a colon is missing, a subentry appears incorrectly as a main entry.

    Figure 4. Missing colon and the resulting missorted entry
    Missing colon and the resulting missorted entry

  • Check that sorting information is present and correct, and appears between brackets ([  ]) at the very end of the marker text (see Index sort order). For example, if you want to sort a cross-reference as the last subentry, the sorting information in the marker text for it should end with :zzz.

    Figure 5. Missing :zzz and the resulting missorted entry
    Missing :zzz and the resulting missorte dentry

  • If sorting errors occur in a pattern—for example, if all numeric entries appear at the end of the index rather than at the beginning—check that the sorting information in the special text flow on the reference page is correct.

Page numbers with See or See also cross-references

A cross-reference index entry may incorrectly contain a page number. Make sure that <$nopage> appears at the beginning of the marker text for the cross-reference entry.

Figure 6. Missing <$nopage> and the page number wrongly appears
Missing $nopage and the page number wrongly appears

Bad line breaks

If entries break between numbers in a page range or between the end of the entry and the first page number, do the following:

  • Change the characters after which FrameMaker allows line breaks. To disallow line breaks after certain characters, such as an en dash (–), use Format > Document > Text Options.

  • To force the end of an entry to appear on the same line as the page number, use a nonbreaking space, an en space, or an em space as the separator between them.

  • If you specified in the special text flow on the reference page that spaces or hyphens appear between page numbers in a range, make sure they are nonbreaking (see Edit special text flow for a list or index).

  • Change the volume or chapter numbering for the source document’s page numbers (see Set up numbering). If the book’s pages are numbered by chapter (11, 12, …, 21, 22, …), the volume or chapter number should be followed by a nonbreaking hyphen.

Figure 7. Bad line breaks
Bad line breaks in index entries

Disappearing titles

A title you entered may disappear the next time you generate the index, unless you follow the steps in “Add a title or other static text to lists and indexes”.

Disappearing formatting

If your formatting changes aren’t retained when you regenerate (see Formatting lists and indexes), do the following:

  • If you must rename a generated file, do so using the book window. FrameMaker will rename the file in the book window and on disk.

  • To retain paragraph and character style changes, store them in the index’s Paragraph or Character Catalog, making them available the next time you generate the index. For details, see “Redefining (updating) formats”.

  • To retain other changes, make them in the special text flow, as described in Edit special text flow for a list or index.

Parent topic: Troubleshooting books


Single-sourcing content

Know what single sourcing content is and how to work with single sourcing content in FrameMaker

When writing documentation, you often need to provide multiple different output for the same content. For example, you may need to publish the same document online or to PDF.

Also, different documents may contain common content that you can reuse. FrameMaker provides a number of different single-sourcing techniques such as conditional text, text insets, content references, and variables that allow you to easily reuse content within a document or across documents.

Single-sourcing content in FrameMaker to reuse content within a document or across documents

  • Conditional text
    Understand what conditional text is and work with conditional tags in Adobe FrameMaker.
  • Cross-References
    Understand what cross-references are and how to use the Cross-References panel in Adobe FrameMaker.
  • Text insets
    See how to use text insets and the Insets panel in Adobe FrameMaker.
  • Variables
    Know what are variables in Adobe FrameMaker, understand system and user variables, use the Variables panel to manage variables.


Conditional text

Understand what conditional text is and work with conditional tags in Adobe FrameMaker.

Sometimes you author different types of content for different output formats using the same FrameMaker document. This document can contain conditional tags and conditional graphics for each type of output. For example, to create both a PDF print version and an HTML Help version of a document, mark the different content for each using conditional tags.

You can also use conditional tags to include comments to yourself or your reviewers. You can hide the comments before you print the final copy.

Conditional tags differ from one version of a document to another. Unconditional text is common to all versions.

Conditional text is content that you can show or hide, depending on the condition or conditions applied to a book or an individual document. You can write in one document, and then use conditional text to create multiple outputs.

You can specify conditional tags in FrameMaker at the book level or an individual chapter level. If there is a condition that applies to all chapters in a book, then you can easily apply that condition to all chapters with a single click. See Applying conditional tags at the book level.

While the conditional text in a document differs from one output of the document to another, the unconditional text is common to all output.

You can make any unit of text conditional, from a single character to entire sections. Anchored frames, images, tables, cross-references, footnotes, markers, and table rows and columns can be made conditional.

Note: The conditional tag state for a table row or column overrides any conditional tags that are applied to the text in the individual cells in the column.
Two versions of a datasheet: Conditional tags can be used to create two datasheets in one document. The text and graphics common to both datasheets are unconditional. The text and graphics that appear in only one datasheet are assigned a conditional tag that identifies the datasheet.

A. The image and the first paragraph contain both conditional and unconditional information. B. Unconditional text.

Parent topic: Single-sourcing content

Manage conditional tags

Adobe FrameMaker lets you manage conditional tags with the help of several options. Understand these options to handle conditional text in your documents.

Create conditional text in FrameMaker by creating and applying conditional tags.

Use the Conditional Tags panel to work with conditional text in your documents. From this panel, you can add, modify, delete, apply, or remove conditional tags in a document.

This section covers the following topics:

  • Conditional Tags panel

  • Creating and editing conditional tags

  • Importing conditional tags and expressions

  • How to check if a tag is used in a document

  • List conditional tags in a document

  • Identifying the state of conditionalized text

Conditional Tags panel

To open the Conditional Tags panel:

  • Choose View > Panels > Conditional Tags.

  • Alternatively, choose Insert > Conditional Tags.

Figure 1. Conditional Tags panel

The Conditional Tags panel displays the list of conditional tags in the current document.

To sort the list of conditional tags, click a column header in the list. The list is sorted by the header that you click.

To resize a column:

  1. Hover the mouse between two columns until the cursor is a bi-directional arrow.

  2. Hold down the left mouse button, drag, and release the mouse button when the column is sized as required.

Use the Conditional Tags panel to:

A (Create New Tag):

Open the Add/Edit Condition Tag dialog to create a tag. See Creating and editing conditional tags.

B (Edit):

Open the Add/Edit Condition Tag dialog to edit a selected tag. See Creating and editing conditional tags.

C (Delete):

Delete a selected tag. See Deleting conditional tags.

D (Show/Hide):

Open the Show/Hide Conditional Text.

E (Uncheck All):

Remove all conditional tags applied to the selected text.

F (Apply):

Select text in a document, change the state (applied or not applied) of one or more tags, and then click Apply. See Apply conditional tags.

G (Filter):

Select from the list of open documents to display the conditional tags available in that document.

Note: You can create and use conditional tags only at a document level. However, you can import tags from one document to another. For details, see Importing conditional tags and expressions.
H (Refresh):

Refresh the list of available tags.

I (Search text):

Search for a conditional tag in the list. The SAYT (search as you type) functionality works on all the columns in the list.

J (Tooltip):

Hover the mouse over an item in the list to see details about the tag.

Creating and editing conditional tags

To apply conditions to the text in a document, you need to create conditional tags first. You then need to apply the tags to the text in the document.

To create a conditional tag:

  1. In the Conditional Tags panel, click Create New Tag.

    The Add Conditional Tag dialog opens.

    Figure 2. Add Conditional Tag dialog

  2. In the Tag Name field, enter the name of the tag.

  3. Specify conditional indicators:

    When you apply a tag to text in a document, you can use conditional indicators as visual cues. For example, when you apply a tag to a paragraph of text, you can specify that the paragraph of text displays underlined or the text color is red.

    Conditional indicators also are visual cues for other authors who have not necessarily created the document or applied the conditions to the text. With the help of these visual indicators, authors can quickly identify the conditions applied to various types of content.

    In addition to the visual cues, the Location list in the Edit Conditional Tag panel lists all pages where a condition is used.

    Note: The conditional indicators that you specify for a conditional tag displays in your PDF output. To ensure that the indicators do not display in the PDF output, uncheck the Show Condition Indicators option in the Show/Hide Conditional Text dialog.
    Style:

    Apply styles such as underline, strikethrough, or change bar to the conditionally applied text.

    Color:

    Apply text color to the conditionally applied text.

    Background

    Apply background color to the conditionally applied text.

  4. Click OK.

The newly created conditional tag in the Conditional Tags panel shows the defined style, text color, and background color. It also displays the document in which the tag is created.

Tip: If you add or edit a conditional tag and the changes are not immediately visible in the panel, click Refresh on the panel.

To edit a conditional tag:

  1. Select a tag in the Conditional Tags panel and click the Edit button.

    The Edit Condition Tag dialog displays the selected conditional tag properties. The dialog also lists the pages where the selected condition is applied.

  2. Update the properties of the tag and click OK.

Important: If you change the name of a tag and click OK, a new tag is created.

If you change the conditional indicator properties on an existing tag, these are immediately reflected in the document content. For example, if you change the Color indicator on the PrintOnly tag from blue to green, the text on which this tag is applied changes to green.

Importing conditional tags and expressions

You can import conditional tags and expressions from one document to another.

In a team of authors, you can create one document that defines all the tags and conditional expressions that the team can use. All the authors in the team can then import and use those tags and conditional expressions. For more information on conditional expressions, see Show/hide conditional text using conditional expressions.

To import conditional tags and expressions:

  1. Open the source and the target documents and go to the target document.

  2. Choose File > Import > Formats.

  3. In the Import from Document list, choose the source document.

  4. Click Deselect All and select Conditional Text Settings.

  5. To import the tags and expressions, click Import.

The conditional tags and expressions defined in the source document are imported into the target document.

Important: If the target document defines a conditional expression with the same name as an expression in the source document, the target document expression is overridden.

How to check if a tag is used in a document

The Edit Conditional Tag panel contains the locations where the selected condition has been used. You can double-click on any item in the list to open the conditionalized content.

Figure 3. Edit Conditional Tag panel

In addition to the Edit Conditional Tag panel, you can also find a conditional tag using the Find/Change dialog.

Use the Find/Change dialog to check if a tag is applied to text in the document:

  1. Open the Find/Change dialog.

  2. In the Find drop-down list, select Conditional Text.

    The Find Conditional Text dialog appears.

    Figure 4. Find Conditional Text dialog
    FindConditionalTextdialoginFrameMaker

  3. Move the condition that you want to search for in the In list.

  4. Click Set.

  5. In the Find/Change dialog, click Find.

    You will be able to search if the selected condition is used in your document.

List conditional tags in a document

To generate a report of all conditional tags applied to text in the document:

  1. Choose Insert > List Of > References.

  2. From the prompt, choose how to create the report.

  3. Add Condition Tags to the Include References list and click Set to generate the report.

Identifying the state of conditionalized text

The conditional tag State checkbox in the Conditional Tag panel has two functions:

  1. The State checkbox allows you to apply or remove conditional tags from text in a document.

  2. If you select text, the checkbox indicates the current state of the text. This implies that if you select a piece of text to which one or more tags is applied, the State checkboxes appear checked for the corresponding tags.

However, the checkboxes also have an As Is state. This state indicates that one or more tags are applied to part of the text. For example, if a tag is applied to a sentence and you select the entire paragraph, the tag displays the As Is state. Similarly, if you select two paragraphs to which two different tags are applied, both the tags display the As Is state.

Figure 5. Conditional tag intermediate state
Identifying the state of conditionalizedtextintheConditionaltag dialog

Apply conditional tags

Learn how to apply conditional tags and the various objects where you can apply conditional text in Adobe FrameMaker.

After you have created conditional tags, you apply these tags to conditionalize text in your document. For example, if an image applies only to the print output of a document, apply the PrintOnly tag.

Also, you can specify the conditional tag at a book level without the need to apply conditions or expressions to individual chapters.

Applying conditional tags to text

  1. Select the text on which to apply the tag.

    The following table details the FrameMaker elements that you need to select to apply conditional tags to the corresponding types of FrameMaker content:

    To apply a tag to the following content

    Select

    Text in a text frame, table cell, or footnote

    Text

    Anchored frame and its contents

    Frame border or anchor symbol

    Table

    Table anchor symbol

    Table row

    Whole row

    Cross-Reference or variable

    Cross-reference or variable text

    Footnote

    Footnote reference (the number in the main text)

    Marker

    Marker symbol
    Note: To make a graphic, image, or picture conditional, you need to add these in an anchored frame and then apply a conditional tag to the anchored frame.

  2. Open the Conditional Tags panel.

    The State column in the list of tags grid displays the state of the tag (applied or not applied) with respect to the current selected text.

  3. To apply a tag to the selected text, click to select the State checkbox.

    Note: As soon as you click the State checkbox, an asterisk displays to the right of the checkbox. This indicates that you have changed the tag state of the selected text but you have not applied (or saved) the changes.

  4. To apply the tag to the text, click Apply in the Conditional Tags panel.

If you have defined conditional indicators for the tag, the applied text reflects these indicators. For example, if you apply the tag to a paragraph of text and text color for the tag is defined as red, the text color of the applied text immediately changes to red.

You can apply multiple tags to a piece of text by selecting the text and selecting the tags in the Conditional Tags panel. You can also select text to which a tag is applied and then apply more tags to the text.

Some tips and details for using the Smart Catalog:

  • You can use the Smart Catalog keyboard shortcut to apply a conditional tag.

  • Press ctrl+4 to display the Smart Catalog to apply a conditional tag.

  • From the Smart Catalog select the tag to apply.

  • The state of the tag is updated in the Conditional Tags panel.

Applying conditional tags to tables

FrameMaker gives you visual indicators to identify and distinguish between the various conditional tags applied to tables.

If you choose the Color conditional indicator when you create the conditional tag, the table border is displayed with a hash of the selected color.

If you choose the Background conditional indicator when you create the conditional tag, the table border is displayed with a solid border of the selected color.

If you do not select either the Color or Background indicators, the table border is displayed with a black colored hash.

Applying conditional tags to anchored frames

FrameMaker gives you visual indicators to identify and distinguish between the various conditional tags applied to anchored frames.

If you choose the Color or Background conditional indicators when you create the conditional tag, the anchored frame border is displayed with a hash of the selected color.

If you do not select either the Color or Background indicators, the anchored frame border is displayed with a black colored border.

Applying multiple conditional tags

You can apply any number of tags to a single piece of text in structured or unstructured documents. You can also overlap tags across text.

If you apply multiple tags on the same text in a document, the following conditions hold:

Conditional indicators behavior:

If each tag has different conditional indicators, FrameMaker attempts to combine the indicators. For example, if you apply two tags with Color set to blue and yellow to a paragraph of text, the resultant text displays in green.

Show tag precedence:

The show tag takes precedence. If multiple tags are applied to a piece of text, and at least one tag is marked as show, the text will display.

If you apply multiple tags on overlapping text in a document, the following conditions hold:

Apply Show tag to a large piece of text and Hide tag to its subset:

If you apply a Show tag on a large piece of text and a Hide tag on a subset of text, all the text displays. The reason for this behavior is based on the Show tag precedence. Take the following unstructured document example:

If you apply a Show tag to a paragraph of text (a large piece of text), each sentence (subset) inherits the Show tag. So, if you apply a Hide tag on one sentence, that sentence now has a Show tag and a Hide tag applied. The paragraph displays because it has a Show tag applied. Also, based on the Show tag precedence, the sentence displays along with the paragraph.

Apply Hide tag to a large piece of text and Show tag to its subset:

If you apply a Hide tag on a large piece of text and a Show tag on a subset of text, only the subset displays. The reason for this behavior is based on the Show tag precedence. Take the following structured document example:

If you apply a Hide tag to an ordered list (<ol>), each list item (<li>) inherits the Hide tag. So, if you apply a Show tag on one list item, that item now has a Show tag and a Hide tag applied. The other list items do not display because each of them has inherited the ordered list Hide tag. However, based on the Show tag precedence, the list item on which the Show tag is applied displays.

Applying conditional tags at the book level

To apply one or more conditions that are common across chapters in your book:

Note: Your .book file can be a mix of both structured (.xml) and unstructured (.fm) files. However, you cannot apply conditions at the book level for .ditamap and .bookmap files.

  1. Select the .book file.

  2. Choose View > Show/Hide Conditional Text.

  3. Select the condition(s) that you want to apply to all files in the book.

  4. Select the Update Book After Apply option.

  5. Click Apply and click OK on the alert dialog.

  6. Click Update on the Update Book dialog.

    The selected condition(s) are applied to all files in the book.

Applying conditional tags in structured documents

In a structured FrameMaker document, elements are arranged hierarchically. FrameMaker allows you to apply conditional tags to any element in the document hierarchy. For example, you can apply a conditional tag to the definition list (<dl>) or any element contained within the list.

You need to take care not to break the structure of the document. If you apply a conditional tag to a mandatory child element and mark the tag as hidden, the document structure breaks. FrameMaker does not prevent you from doing this; however, the Structure View will indicate the break in the document.

Figure 6. Broken structure when the dt tag is marked as hidden
Broken structureintheStructureViewwhen the dt tag is marked as hidden

Apply conditional tags to elements in a structured document

To apply a conditional tag to an element, by default, you need to select the entire element (in the Structure View panel). Then apply the conditional tag with the Conditional Tags panel or by using ctrl+4. However, if you set (or add) the following maker.ini flag, you can apply a tag to an element by placing the cursor anywhere within the element:

ApplyCondTillElementBoundaries=On

Processing Instructions for Conditional Tags

When you apply conditional tags to a structured document, the processing instructions to handle the tags are defined in the Structured Application. For details, see the Specifying conditional text output section of the FrameMaker Structure Application Developer’sReference.

Processing instructions for conditional tags applied to table columns

When you apply conditional tags to the columns in a table, FrameMaker adds processing instructions to enable round-tripping in the XML.

For example, the following processing instruction indicates that the condition ConditionCol1, is applied to the first column of the table:

<?Fm TableColumnCond start=0 end=0 ConditionCol1?>

The following processing instruction indicates that the condition ConditionCol1, is applied to the first column of the table:

<?Fm TableColumnCond start=1 end=2 ConditionCol2?>

Copying conditions across text

Understand how to copy conditional tags from one piece of content to other pieces of content.

You can copy the conditions applied to one piece of text to other pieces of text. For example, say two conditional tags are applied to one paragraph of text. You can use the special Copy & Paste functionality to apply both these tags to another piece of text.

To copy conditions across text:

  1. Select the text from which to copy the condition or conditions.

    Note: To check that you have selected the text correctly, ensure that the State checkbox in the Conditional Tags panel displays as checked.

  2. Choose Edit > Copy Special > Conditional Text Settings.

  3. Select the text to which to apply the tags.

  4. Choose Edit > Paste.

Removing conditional tags

Learn how to apply conditional tags. Understand the various objects where you can apply conditional text in Adobe FrameMaker.

Removing conditional tags from text

If you need to make a specific piece of text unconditional, you can remove the conditional tags applied to that text. In this case, FrameMaker does not delete the tags from the document catalog. This implies that you can apply the tags to other text in the document. To delete conditional tags from a document, see Deleting conditional tags.

  1. Select the text from which you want to remove the applied conditional tag.

  2. Open the Conditional Tags panel and deselect the State checkbox for the required Conditional Tag.

    Note: As soon as you click the State checkbox, an asterisk displays to the right of the checkbox. This indicates that you have changed the tag state of the selected text, but you have not applied (or saved) the changes.

  3. Click Apply in the Conditional Tags panel.

If you have defined conditional indicators (such as style, color, or background) for the conditional tag, the indicators are removed from the text from which you remove the tag.

Some tips and details for using the Smart Catalog:

  • You can use the Smart Catalog keyboard shortcut to a remove conditional tag.

  • Press ctrl+5 to display the Smart Catalog to remove a conditional tag.

  • The state of the tag is updated in the Conditional Tags panel.

  • From the Smart Catalog, select the tag to remove.

Removing all conditional tags from text

You can choose to remove all conditional tags that are applied to a piece of text in a document.

  1. Select the text from which to remove all the tags.

  2. Click Uncheck All in the Conditional Tags panel.

    Note: As soon as you click Uncheck All, an asterisk displays to the right of the checkbox for each conditional tag applied to the text. This indicates that you have changed the tags state of the selected text, but you have not applied (or saved) the changes.

  3. To remove all the tags from the text, click Apply in the Conditional Tags panel.

If you have defined conditional indicators (such as style, color, or background color) for the tags, the indicators are removed from the text from which you remove the tags.

Tip: Press ctrl+6 to remove all conditional tags from the selected text. The state of the tags is updated in the Conditional Tags panel.

Deleting conditional tags

See how you can show and hide conditional text and indicators in Adobe FrameMaker through conditional text dialog.

You can delete a conditional tag if it is no longer required to be applied.

  1. Select a tag and click Delete in the Conditional Tags panel.

  2. Click OK to confirm the delete operation.

  3. If the tag is used in a document, you are prompted to choose how to resolve the content to which the tag is applied.

    You can choose to set the content as unconditional, or you can choose to delete the content.

Important: When you delete a tag, it will be deleted from the document catalog. It will no longer be available for use in the document. If you need to remove a condition from content, do not delete the applied tag or tags.

Show or hide conditional text

See how you can show and hide conditional text and indicators in Adobe FrameMaker through conditional text dialog.

Conditional text in FrameMaker allows you to apply conditions to text. Once you have applied conditions, you can then decide, based on the applied conditions, the text to show or hide.

When you apply a tag to text in a document, the text is marked as conditional. If you have defined Conditional Indicators (such as style, color, or background color), the text on which the tags are applied is conditionally formatted based on the indicators. However, all text displays in FrameMaker. You still need to specify the text to show and text to hide based on the applied tags.

To show or hide conditional text, use the Show/Hide Conditional Text dialog.

Show/Hide Conditional Text dialog

After applying conditional tags to the text in a document, you use the Show/Hide Conditional Text dialog to set up and define the text to show or hide.

Figure 7. Show/Hide Conditional Text dialog

Show All:

Default. All text in the document is displayed (unconditionally) irrespective of the conditions applied.

Note: The Show All option ensures that all text is displayed. However, the conditionalized text displays with the specified conditional indicators.
Show as per Condition:

Select this option and move conditional tags between the Show and Hide tag lists to specify the tagged text to show or hide, respectively.

Show if all Conditions Applied:

Select this option to ensure that any tagged text in the document displays only if all conditional tags selected in the Show list are applied to that text.

Show as per Expression

Select this option and choose a conditional expression that defines the show and hide conditions.

Show Conditional Indicators:

When you define conditional indicators for the conditional text in a document, by default, the text displays and outputs (PDF) with the indicators. You can choose to turn off this option.

Figure 8. Condition indicators (strikethrough and underline) identify two conditions.

Apply Show/Hide settings to Nested Books

If you have nested books in your main book file, then select this option to ensure that the conditional tags are applied to all nested books.

Update Book after Apply

Select this option to apply conditional tags to all files in your book.

Show/hide conditional text using conditional tags

  1. Open the Show/Hide Conditional Text.

  2. To show or hide text in the document using conditional tags, select Show as per Condition.

  3. Use the arrows to move tags between the Show and Hide conditional tag lists.

    For example, to show only text tagged as print; ensure the PrintOnly tag is in the Show list. Move all other tags to the Hide list.

    To show text tagged as PrintOnly and MobileOnly; ensure only these tags are in the Show list.

  4. To show and hide the conditionalized text depending on the list to which you add them, click Apply.

The conditional text is hidden or displayed.

If conditional indicators are applied to tags in the Show list, the corresponding tagged text displays with the specified indicators. You can choose to remove the indicators by unchecking the Show Conditional Indicators option in Show/Hide Conditional Text.

Important: If you plan to generate a PDF output of a document on which conditional text is applied, you need to turn off this option. If you keep the Show Conditional Indicators option on, the PDF output will display with the indicators.

Show/hide conditional text using conditional expressions

Using conditional tags, you can show or hide text depending on the tags you place in the Show and Hide tag lists, respectively. This means that any tag in the Show list causes the corresponding tagged text to display. However, consider the following example:

A document defines the Comment, PrintOnly, and MobileOnly conditional tags. Paragraphs in the document are tagged with different combinations of these tags:

  • Paragraph one is tagged as PrintOnly.

  • Paragraph two is tagged as PrintOnly and MobileOnly.

  • Paragraph three is tagged PrintOnly and Comment.

You need to set up the document to display only text tagged as PrintOnly and MobileOnly. If you move the PrintOnly and MobileOnly tags to the Show list, all three paragraphs display since all have either one of these tags associated. To handle this, you create conditional expressions that allow you to combine multiple tags with the and, or, and not operators.

In the above example, the expression “PrintOnly” and “MobileOnly” ensures that only text with both PrintOnly and MobileOnly tags is included.

To create a conditional expression:

  1. In the Show/Hide Conditional Text dialog, click Build Expression.

    In the Manage Conditional Expression dialog, you can create or edit conditional expressions.

  2. To create an expression, enter a name for the expression.

    You build an expression using the available tags in combination with the and, or, and not operators.

  3. In the above example, click the PrintOnly tag and click the arrow to add the tag to the expression box at the insertion point.

    Alternatively, you can double-click the PrintOnly tag.

  4. Click and to add the operator after the PrintOnly tag.

  5. Click the MobileOnly tag and click the arrow to add the tag to the expression.

  6. Click Save.

    The conditional expression displays in the list.

  7. On the Show/Hide Conditional Text dialog, select Show as per Expression.

  8. From the Build Expression list, choose the required expression and click Apply.

Note:

The default expression is not preserved if you generate a flat book from a DITA map. You need to build a conditional expression to show or hide text according to condition tags.

The text is displayed based on the conditional expression.

Conditional expression might require grouping of sub-expressions in brackets. Take the example of a document with the following tags:

Platforms:

Win, Mac, and Unix

Versions:

Version 1.0, Version 2.0, and Version 3.0

Output:

PDF, HTML, EPUB, and RTF

To display text tagged as Win or Mac with all versions except Version 1.0 and output PDF or HTML, create the following expression:

Figure 9. Using parentheses to simplify conditional expressions

When you create conditional expressions:

  • Tag names display in green text.

  • Tag names must be included in double-quotes.

    If you select a tag name from the Condition Tag list, the name displays in double-quotes. However, you can also enter the tag name manually. In this case, ensure that you enter the name in double-quotes.

  • Misspelled tag names are underlined with a red squiggly.

  • And, or, and not operators display in blue text.

  • Syntax errors display with a yellow background.

  • The Save button is disabled if there are errors in the expression.

Finalizing conditional documents

Learn how to finalize conditional documents in Adobe FrameMaker.

Before you produce a finished version of a conditional document, follow these guidelines:

  • Change your view of the document to include only the version you want to print, and turn off condition indicators.

  • If your document contains variables, make sure that the variable definitions are correct for the version you’re printing.

  • Spell-check the document. This feature finds double spaces and punctuation problems caused by incorrectly tagged with conditional tags.

  • Update cross-references. If the document contains unresolved cross-references, perhaps they point to cross-reference markers in hidden conditional tags. Show the version and update the cross-references again.

  • Create a copy of the document for each version before manually adjusting line and page breaks. Use the copy for each version for making the adjustments and for printing. These adjustments differ with each version. Use the original document for future edits.

  • If the document is part of a book, update the book and its generated files. If the book contains documents with different condition indicators for the same tag, FrameMaker displays an alert message. It also alerts you if some conditional tags are displayed in one document but are hidden in another. If this situation occurs, click Cancel to stop book generation. Correct the conditional tags settings of your documents.

  • After generating an index, check it for double question marks (??), which indicate missing or incorrect index markers.

FAQ and troubleshooting

Learn to troubleshoot conditional text in Adobe FrameMaker. Also, check the frequently asked questions on conditional text.

I have applied conditional tags to the text, but all of the text is being displayed.

You need to use the Show/Hide Conditional Text panel to specify the text to show or hide. For details, see Show/Hide Conditional Text dialog.

Can I apply two conditional tags to the same sentence?

You can apply any number of tags to text.

The tables cannot be tagged as conditional text.

You can apply conditional tags to a whole table, rows in a table, or columns in a table. For details, see Apply conditional tags.

I want to use the same conditional setting across all my books. How can I reuse the settings from one book to another?

You can import conditional tags and expressions from one document into another. For details, see Importing conditional tags and expressions.

Why does nothing happen when I change the state in the conditional text panel?

After you change the state of a tag in the Conditional Tag panel, you need to click Apply to apply the updates to the document text. For details, see Apply conditional tags.

How do I avoid unresolved cross-references?

Sometimes you insert a cross-reference to a paragraph, and the first word in the paragraph is conditional. The Cross-Ref marker that FrameMaker inserts is also conditional (with the conditional tag settings of the first word). The marker is hidden when you hide the conditions of the first word. As a result, the cross-reference is sometimes unresolved if the conditional tag settings of the cross-reference and of the cross-reference marker differ.

To avoid this situation, select just the Cross-Ref marker at the beginning of the source paragraph, and make it unconditional. Then the marker is always visible. The cross-reference is resolved no matter which version is visible.

I have used the same condition tags in multiple topics. What will be the state of my topics if I am publishing with FrameMaker components route (Flat Book Hierarchy)?
If you have tags with same name in multiple topics, and the Show/Hide state is different:

  • For a nested topicref, the Show state of the parent topicref is maintained. For example, the parent topicref has tag in Show state, the child topicref has the same tag in Show/Hide state, the state of parent (Show state) is maintained.

  • For a nested DITA map, the Show/Hide state of children is maintained in a top-down manner, so the state of the tag first encountered is maintained. For example, if the first child has tag in Hide state, and the second child has the same tag in Show state, the tag would show in Hide state in the final book with the FrameMaker components route.


Cross-References

Understand what cross-references are and how to use the Cross-References panel in Adobe FrameMaker.

You can provide your readers with links from one document to another or from within one part of a document to another. In Adobe FrameMaker, you can create links using cross-references. Since cross-references in FrameMaker are based on markers, if the position of a cross-reference in the document changes, the link remains intact as long as the marker remains intact. For example, say you create a cross-reference to a heading in a document and then include or remove content before the heading. The cross-reference remains intact, even though the location of the destination header has changed.

Choose View > Panels > Cross-References to open the Cross-References panel.

Figure 1. Cross-References panel
Cross-References panel in FrameMaker

The Cross-References panel displays the list of cross-references in the current document.

To sort the list, click a column header in the list. The list is sorted by the header that you click.

To resize a column:

  1. Hover the mouse between two columns until the cursor is a bi-directional arrow.

  2. Hold down the left mouse button, drag, and release the mouse button when the column is sized as required.

Use the Cross-References panel to:

A (Search text):

Search for cross-references in the list. The SAYT (Search As You Type) functionality works on all the columns in the list.

B (Insert):

Insert a cross-reference in the document.

C (Edit):

Open the Cross-Reference dialog to edit a cross-reference.

D (Delete):

Delete a selected cross-reference.

E (Go to Location):

Go to the selected cross-reference in the current document.

F (Convert To Text):

Convert the selected cross-reference to editable text.

Note: The visible text of the cross-reference is converted to editable text. For example, if you choose to include the page number in the cross reference text, this will be retained as editable text.
G (Filter):

Filter the cross-references on the basis of document or type of references. From the Document list, select from the following options:

  • Current

  • All Open Docs

  • Choose a document from the list

For the type of References, select from the following options:

  • All Cross-References

  • External Cross-References.

  • Unresolved Cross-References.

H (Refresh):

Refresh the list of available cross-references.

  • Cross-Reference dialog
    Understand the Cross-Reference dialog in Adobe FrameMaker.
  • Insert Cross-References
    Understand how to insert a cross-reference in Adobe FrameMaker.
  • Manage Cross-References
    Learn how to create, apply, redefine, and delete cross-reference formats in Adobe FrameMaker. Also, learn how to replace and delete cross-references in Adobe FrameMaker and import cross-reference formats from one document to another.
  • Cross-Reference format building blocks
    Understand cross-references building blocks in Adobe FrameMaker.
  • Updating Cross-References in a document
    Learn how to update cross-references in Adobe FrameMaker.
  • Managing unresolved Cross-References
    Learn how to identify and resolve unresolved cross-references in Adobe FrameMaker.
Parent topic: Single-sourcing content


Cross-Reference dialog

Understand the Cross-Reference dialog in Adobe FrameMaker.

In Adobe FrameMaker, you use the Cross-Reference dialog to insert a cross-reference in a document.

In the Cross-Reference dialog, you can:

  • Update the destination document and paragraph, cross-reference, or element

  • Update the element if the cross-reference is an element in a structured document

  • Change the format of the cross-reference

  • Convert the cross-references in the document to text.

Choose Insert > Cross-Reference to display the Cross-Reference dialog.

Figure 1. Cross-Reference dialog
Cross-Reference dialog in Adobe FrameMaker

Document

Select the document containing the target for the cross-reference.

Note: If the cross-reference is pointing to a location in another document, you need to open the document first.
Go to Source

Navigate to the location of the cross-reference. If the cross-reference is located in another document, open the document and navigate to the selected paragraph style.

Source Type

Choose the type of content of the destination location:

Paragraph

To insert a cross-reference to a paragraph in a document.

Cross-Reference Markers

To insert a cross-reference to a Cross-Ref marker in a document.

Elements Listed in Order / Elements Sorted by ID

To insert a cross-reference to an element in structured documents.

You can choose to list the elements in the document by the order in which the elements appear in the document. Alternatively, you can list the elements by the unique ID applied to each element.

Source Type lists

Depending on the source type selected above, the list on the left below display the paragraph styles, cross-references, or element types in the selected document.

The list box on the right displays the specific paragraphs, cross-references, or elements.

Element Tag

Choose the element (for example XRef) to use for the cross-reference.

Format

Choose a cross-reference format for the cross-reference in the current document.

Edit Format

By default, FrameMaker provides a list of cross-reference formats. Choose this option to add, edit, or delete from this list.

Convert to Text

Displays the Convert Cross-Reference to Text dialog:

Figure 2. Convert Cross-Reference to Text dialog
Convert Cross-Reference to Text dialog in Adobe FrameMaker

In this dialog, you can convert to editable text:

  • the currently selected cross-reference

  • cross-references with a specific format

  • cross-references with a specific element

  • all cross-references in the current document

Insert / Replace

Insert a cross-reference at the specific location.

If you have an existing cross-reference selected, the button Replace is active to update the cross-reference.

Parent topic: Cross-References


Insert Cross-References

Understand how to insert a cross-reference in Adobe FrameMaker.

In this topic

  • Introduction

  • Insert a cross-reference to a paragraph in a document

  • Insert a cross-reference to a paragraph in a text inset

  • Insert a cross-reference to a Cross-Ref marker in a document

  • Insert a cross-reference to an element in structured documents

Introduction

In Adobe FrameMaker, you can insert a cross-reference to point to another part of the same document or a part in another document. In structured documents, you can also insert cross-references to elements.

Insert a cross-reference to a paragraph in a document

  1. Place the insertion point at the location in the current document where you want to insert the cross-reference.

  2. Click Insert on the Cross-References panel. Alternatively, choose Insert > Cross-Reference. The Cross-Reference dialog is displayed.

  3. In the Document drop-down list, select the document containing the destination paragraph. To insert a cross-reference to another document, open the destination document in FrameMaker.

  4. Select the paragraph type and the destination paragraph.

  5. From the Format list, choose the format to display the cross-reference.

    For example, the See Heading & Page format displays as: See “Creating cross-references” on page 1

  6. Click Insert.

Tip: If you move a paragraph that is the target of a cross-reference to another position within the same document, make sure to move the Cross-Ref marker in this paragraph, too.
Important: If the destination paragraph exists in a separate document, you need to ensure that you have write permissions on that document. For example, if you are using a content management system, you might be required to check-out both the source and destination documents.

Insert a cross-reference to a paragraph in a text inset

If you have a document that includes a text inset reference to another document, you can insert a cross-reference to paragraphs in the text inset.

  1. Place the insertion point at the location in the document where you want to insert the cross-reference.

  2. Click Insert on the Cross-References panel. Alternatively, choose Insert > Cross-Reference. The Cross-Reference dialog is displayed.

  3. In the Document drop-down list, select the document that contains the destination paragraph. To insert a cross-reference to another document, you need to open the destination document in FrameMaker.

  4. Select the paragraph type and the destination paragraph.

  5. From the Format list, choose the format to display the cross-reference.

    For example, the See Heading & Page format displays as: See “Creating cross-references” on page 1

  6. Click Insert.

Note: If you insert a cross-reference to a paragraph in a text inset, the cross-reference marker is sometimes lost when the text inset is updated. To prevent the marker from being lost, first, insert a cross-reference to the paragraph in the text inset’s source document.

  1. Open the source of the inset by double-clicking the inset and then clicking Open Source from the Text Inset Properties panel.

  2. Insert a cross-reference to the paragraph anywhere in the source document.

  3. Delete the cross-reference text. The marker remains.

  4. Save the source document. In the document that contains the text inset, update the text inset by choosing Edit > Update References.

  5. Insert a spot cross-reference, this time in the document that contains the inset. The cross-reference uses the marker in the updated inset.

Insert a cross-reference to a Cross-Ref marker in a document

You can insert a cross-reference to any location in a document by using the Cross-Ref type marker. Using the Cross-Ref marker, you can link to a word or phrase in a paragraph or an anchored frame. You even can link to the text in a cell in a table. You can link to any location in a document where you can insert a Cross-Ref marker.

  1. Place the insertion point at the destination location. Choose Insert > Marker to open the Marker dialog.

  2. In the Marker dialog, choose the Cross-Ref marker type.

  3. Specify a marker text and click New Marker.

    The marker text can have any name. Select this name in the Cross-Reference dialog when you insert the cross-reference.

    FrameMaker inserts a new marker at the destination location.

  4. Place the insertion point at the location to create the cross-reference.

    Note: The cross-reference and the marker locations can be in the same or separate documents.

  5. Choose Insert > Cross-Reference to open the Cross-Reference dialog.

  6. In the Source Type drop-down list, select Cross-Reference Markers.

  7. In the Marker Type list, select Cross-Ref.

  8. In the Cross-References Markers list, select the marker (by name) that you created in Steps 1 through 3.

To insert the cross-reference, perform the remainder of the steps as per the procedure in Insert a cross-reference to a paragraph in a document.

Important: If the destination cross-reference exists in a separate document, you need to ensure that you have write permissions on that document. For example, if you are using a content management system, you might be required to check-out both the source and destination documents.

Insert a cross-reference to an element in structured documents

In a structured document, you can also insert cross-references to elements in the current document or other structured documents.

  1. Place the insertion point at the location in the current document where you want to insert the cross-reference.

  2. Click Insert on the Cross-References panel. Alternatively, choose Insert > Cross-Reference. The Cross-Reference dialog is displayed.

    Cross-Reference dialogin FrameMaker

  3. Select the DITA Element to use for inserting the cross-reference.

    Note: The items in this list depend on the cross-reference elements defined in the Structured Application.

  4. In the Target area, choose whether the File, Key, or Both contains the destination element.

    Note: If you select File, then select the file that contains the target destination. If you select Key, then select the target Key. If you select Both, then you need to select the source for your cross-reference in the Setting for drop-down list. You can also search for the required element by typing in the Filter text box.

  5. Choose the target element from the list.

    The list provides information about the element type, ID, and content where the element is used.

  6. In the Display area, either provide the text for the cross-reference or choose the format from the drop-down list.

    For example, the DITA Default Format format displays as: “Creating cross-references”

  7. Click Insert.

When you insert a cross-reference to an element in a structured document, FrameMaker uses the @ID and @IDRef attributes of the destination and source elements, respectively.

If you insert a cross-reference to an element whose @ID attribute is not currently assigned a value, FrameMaker assigns a unique value to the attribute. However, if the @ID attribute is not read-only, you can manually set the attribute value.

You need to ensure that the destination element has the @ID attribute defined. Else, you need to use another element or change the Structured Application.

Important: If the destination element exists in a separate document, you need to ensure that you have write permissions fort that document. For example, if you are using a content management system, you might be required to check-out both the source and destination documents.
Parent topic: Cross-References


Manage Cross-References

Learn how to create, apply, redefine, and delete cross-reference formats in Adobe FrameMaker. Also, learn how to replace and delete cross-references in Adobe FrameMaker and import cross-reference formats from one document to another.

In this topic

  • Introduction

  • Edit Cross-Reference Format dialog

  • Create a new Cross-Reference format

  • Apply a Cross-Reference format

  • Redefine an existing Cross-Reference format

  • Deleting a Cross-Reference format

  • Replace a Cross-Reference in a document

  • Delete a Cross-Reference in a document

  • Importing Cross-Reference formats

Introduction

In Adobe FrameMaker, you can insert, edit, change, update, and delete cross-references in a document.

You can also edit cross-reference formats to change the way the cross-reference displays in the document. For example, you can choose to only display the heading text, and not include the page number in the cross-reference.

Use the Cross-References panel to manage the cross-references in your document and the Cross-Reference dialog to insert a cross-reference. You can create, edit, and delete cross-reference formats with the Edit Cross-Reference Format dialog.

Edit Cross-Reference Format dialog

Use the Edit Cross-Reference Format dialog to create, edit, or delete cross-reference formats in the current document.

To display the Edit Cross-Reference Format dialog double-click on an existing cross-reference in a document and click on Edit Format in the Cross-Reference dialog.

Alternatively, choose View > Panels > Cross-References to open the Cross-References panel. Select a cross-reference in the panel and click Edit.

The Cross-Reference dialog is displayed:

Figure 1. Edit Cross-Reference Format dialog
EditCross-Reference Format dialog in Adobe FrameMaker

Name:

Update the name of an existing format or specify a name for a new format.

Definition:

Define the cross-reference format. A cross-reference format definiton can contain any text (letters, characters, or numbers) and Building Blocks to display contextual information.

For example, the default “Heading & Page” format is defined as:

“<$paratext>” on page\ <$pagenum>

The building blocks of the definition (<$paratext> and <$pagenum>) are included in angle brackets (<>) and preceded by a dollar ($) sign. The \ defines a non-breaking space. In the above example:

The building block <$paratext> pulls the paragraph text of the cross-referenced paragraph.

The building block <$pagenum> pulls the page number of the cross-referenced paragraph.

The resulting cross-reference might display as: “Inserting cross-references” on page 25

Add

Create a new cross-reference format and add it to the Document Catalog of available cross-reference formats.

Change

Edit an existing cross-reference format in the document.

Delete

Delete an existing cross-reference format in the document.

Create a new Cross-Reference format

To create a new cross-reference format, do the following:

  1. In the Edit Cross-Reference Format, enter a name the cross-reference in the Name field.

  2. In the Definition field, define the cross-reference format. You can enter any text (letters, characters, or numbers) and building blocks. Use the building blocks to display contextual information in the cross-reference.

    To add a building block to the definition, place the insertion point at the appropriate location and click the definition in the Building Blocks list.

  3. To create the new cross-reference format, click Add.

Apply a Cross-Reference format

When you insert a cross-reference in a document, you can select a cross-reference format that is present in the document. Cross-reference formats are specific to a FrameMaker document.

The Format drop-down in the Cross-References dialog list displays the available formats in the current document. You can choose any of the formats when you insert a cross-reference in a document.

You can edit these formats or create new formats. You can also import formats from one document into another document.

Redefine an existing Cross-Reference format

To change an existing cross-reference format, do the following:

  1. In the Edit Cross-Reference Format dialog, select an existing format from the Formats list. Click Edit Format. The Edit Cross-Reference Format dialog is displayed.

  2. In the Name field, edit the name of the cross-reference format.

  3. In the Definition field, edit the cross-reference format definition.

    You can enter any text (letters, characters, or numbers) and building blocks. Use building blocks to display contextual information in the cross-reference.

  4. Click Change to update the selected cross-reference format.

  5. Click Done.

Deleting a Cross-Reference format

You can choose to delete cross-reference formats that are not used in the document. You can also choose to delete cross-reference formats that are currently used. If you delete a cross-reference format that is used in the current document, all cross-references that use this format will be converted to editable text.

  1. In the Edit Cross-Reference Format dialog, select an existing format from the Formats list.

  2. Click Delete to remove the selected cross-reference format from the Document Catalog.

  3. Click Done. You are prompted to change all cross-references that use the deleted format to editable text.

  4. Click OK or Cancel.

Replace a Cross-Reference in a document

To edit an existing cross-reference do the following:

  1. Double-click the cross-reference in a document.

    Alternatively, choose View > Panels > Cross-References to open the Cross-References panel. Select the cross-reference in the Cross-References panel and click Edit to open the Cross-Reference dialog.

    Alternatively, choose Insert > Cross-Reference to open the Cross-Reference dialog. Select the cross-reference in the dialog. Select a new cross-reference destination and click Replace.

  2. Select a new cross-reference destination and click Replace.

Delete a Cross-Reference in a document

To delete a cross-reference in a document, do the following:

  1. Choose View > Panels > Cross-References to open the Cross-References panel.

  2. Select the cross-reference in the Cross-References panel.

  3. Click Delete.

You can also select the cross-reference in the document and press the Delete key on the keyboard.

Importing Cross-Reference formats

To import cross-reference formats from one document to another document, do the following:

  1. Open the document containing the cross-reference formats you want to import into another document.

  2. Open the document into which you need to import the formats.

  3. Choose File > Import > Formats to open the Import Formats dialog.

    Figure 2. Import Formats dialog with only the Cross-Reference Formats option selected
    ImportFormats dialog in Adobe FrameMaker with only the Cross-ReferenceFormats option selected

  4. In the Import from Document drop-down list, choose the source document and ensure that only the Cross-Reference Formats check box is checked.

    You can use the Deselect All button to uncheck all the boxes and then only acivate the Cross-Reference Formats check box.

  5. To import the cross-reference formats, click Import.

Parent topic: Cross-References


Cross-Reference format building blocks

Understand cross-references building blocks in Adobe FrameMaker.

In this topic

  • Introduction

  • Source file information building blocks

  • Source paragraph

  • Paragraph preceding the source paragraph

  • Cross-Reference building blocks in structured documents

Introduction

When you add or edit cross-reference format, you can choose to use building blocks to display contextual information in the cross-reference.

The following sections describe the building blocks that you can use to create cross-reference formats.

Source file information building blocks

The following building blocks provide information about the source file of the document containing the cross-reference:

Building block | Description
<$filename> | The file name of the source document.
<$fullfilename> | The full path and file name of the source document.
<$volnum> | The volume number of the document that includes the source paragraph.
<$chapnum> | The chapter number of the document that includes the source paragraph.

Source paragraph

The following building blocks provide information about the source paragraph referenced by the cross-reference:

Building block | Description
<$pagenum> | The page number of the source paragraph.
<$paratext> | The text of the source paragraph, excluding its autonumber. If the character style of text in the source paragraph was changed by applying a character style, the font family, superscript, and subscript properties are preserved in the text of the cross-reference.
<$paratag> | The paragraph style name (tag) of the source paragraph.
<$paranum> | The source paragraph’s entire autonumber, including any text in the autonumber format.
<$paranumonly> | The source paragraph’s autonumber counters, including any characters between them.

Paragraph preceding the source paragraph

A cross-reference to a subsection often identifies the section that contains it. For example, this cross-reference to a subheading identifies the main heading under which it is found: See “Types of Plate Boundaries” in “Plate Tectonics.” In the example, Types of Plate Boundaries is the source paragraph, and Plate Tectonics is the main heading under which the source paragraph appears.

In each of the building blocks, replace tag with the paragraph style name (tag) of the paragraph to which you want to refer, but don’t delete the brackets “[ ]”. For example, if you want to refer to the text of the preceding paragraph with the style Head1, use <$paratext[Head1]>.

Building block | Description
<$pagenum[tag]> | The page number of the preceding paragraph with the specified pargraph style name (tag).
<$paratext[tag]> | The text of the preceding paragraph with the specified pargraph style name (tag), excluding its autonumber.
<$paratag[tag]> | The paragraph style name (tag) of the preceding paragraph with the specified tag.
<$paranum[tag]> | The entire autonumber of the preceding paragraph with the specified pargraph style name (tag), including any text in the autonumber format,
<$paranumonly[tag]> | The autonumber counters of the preceding paragraph with the specified pargraph style name (tag), including any characters between them.
Important: Don’t use paragraph style names that includes brackets ([ ]).

Cross-Reference building blocks in structured documents

Use the following building blocks to create cross-reference formats that refer to structured document elements

Building block | Description
<$elempagenum> | The page number of the source element.
<$elemtext> | The text of the source element, excluding its autonumber, but including any prefix and suffix specified in the element definition.
<$elemtextonly> | The text of the source element, excluding its autonumber and any prefix and suffix specified in the element definition.
<$elemtag> | The name of the source element.
<$elemparanum> | The entire autonumber of the source element paragraph (or of the paragraph containing the source element), including any text in the autonumber format.
<$elemparanumonly> | The autonumber counters of the source element’s first paragraph (or of the paragraph containing the source element), including any characters between the counters.
<$attribute[name]> | The value of the attribute with the specified name (or, if no value is specified, the default value).
Parent topic: Cross-References


Updating Cross-References in a document

Learn how to update cross-references in Adobe FrameMaker.

In this topic

  • Introduction

  • Update the cross-references in a document

  • Suppress automatic cross-reference updating

Introduction

If the source content of cross-references is updated, you need to update the cross-references in the current document. For example, if you create a paragraph cross-reference to a heading and then change the heading text, you will need to update the cross-reference in the document containing the cross-reference.

Adobe FrameMaker updates the cross-references in a document automatically every time the document is opened. Alternatively, you can manually update the references in an already opened document. Also, you can prevent FrameMaker from updating the cross-references in a document every time it is opened.

Update the cross-references in a document

  1. Choose Edit > Update References.

  2. In the Update References dialog, check All Cross-References and click Update.

If FrameMaker cannot resolve the cross-references, the Update Unresolved Cross-References dialog box appears.

Suppress automatic cross-reference updating

By default, Adobe FrameMaker updates the cross-references in a document automatically every time the document is opened.

To stop FrameMaker from updating cross-references when opening a document:

  1. Choose Edit > Update References.

  2. In the Update References dialog, open the Commands drop-down in the upper right corner and select Suppress Automatic Updating.

  3. In the Suppress Automatic Reference Updating dialog, check Suppress Automatic Updating of All Cross-References and click Set.

Parent topic: Cross-References


Managing unresolved Cross-References

Learn how to identify and resolve unresolved cross-references in Adobe FrameMaker.

In this topic

  • Introduction

  • Identify unresolved cross-references in a document

  • Resolve unresolved cross-references in a document

Introduction

If the source of a cross-reference is changed and FrameMaker is unable to update the reference in the destination, FrameMaker reports the cross-reference as unresolved.

FrameMaker reports a cross-reference as unresolved if:

  • The marker or source of the cross-reference has been moved to a different file, or the file itself has been moved or renamed.

  • The source has been deleted, or the Cross-Ref marker indicating the source has been deleted.

  • The file containing the marker is currently open by another user.

  • The value for the source element @ID attribute or the cross-reference ID Reference attribute (@IDRef) has been changed or deleted.

Identify unresolved cross-references in a document

You can view the list of unresolved cross-references in a document in the Cross-References panel:

  1. Choose View > Panels > Cross-References to open the Cross-References panel.

  2. In the References drop-down list, select Unresolved Cross-References.

The list displays the unresolved cross-references.

You can also generate a list of unresolved cross-references in a document:

  1. Choose Insert > List Of > References.

  2. Choose to create the list as standalone index of references or include the index in a new book.

  3. Move the Unresolved Cross-Refs to the Include References list and click Set.

The generated list includes the page number of each unresolved cross-reference and indicates whether each missing source is internal (in the current document) or external (in a different document). The list includes additional information – for example, the style name and text of the source paragraph (unstructured documents), or the ID, element name, and text of the source element (structured documents). For Cross-Ref marker cross-references, the list includes the marker text.

Note: The style name and text are not always accurate because they are not updated after you initially insert the cross-reference.

Resolve unresolved cross-references in a document

To resolve unresolved external cross-references in a document:

  1. Choose Edit > Update References. The Update References dialog is displayed:

    Figure 1. Update References dialog
    Update References dialogin Adobe FrameMaker

  2. Click the Commands drop-down list and select Update Unresolved Cross-References.

    Update Unresolved Cross-References dialog is displayed.

  3. In the Total of Unresolved cross-references scroll list, select the file that previously contained the source of the unresolved cross-reference. The text below the scroll list indicates how many cross-references to the selected file are unresolved.

  4. Navigate to and select the alternate document containing the cross-reference.

  5. To resolve cross-references to any other file listed in the Total of Unresolved cross-references scroll list, repeat steps 3 and 4. Then click Done.

To resolve cross-references to Cross-Ref markers, you need to re-create the Cross-Ref marker and the cross-reference.

Similarly, to resolve cross-references to elements in structured documents, you need to re-create the cross-reference.

Parent topic: Cross-References


Text insets

See how to use text insets and the Insets panel in Adobe FrameMaker.

A text inset is used to insert content from an external source into a FrameMaker document. The text inset feature of FrameMaker allows you to easily reuse text across documents and books. You can store such reusable content in an external document (such as a text file or FrameMaker document), and then import the content across one or more documents.

You import plain text from a text file or you can import text and formatted content from a FrameMaker document (.fm or .mif).

Use the Insets panel to work with text and graphic insets in your documents. From this panel, you can import insets into a document, view inset properties, or delete insets from a document.

Choose View > Panels > Insets, to open the Insets panel.

Figure 1. Insets panel
Inserting content from an external source into a FrameMaker document using the Insets panel

The Inset panel displays the list of insets in the current document.

To sort the list of insets, click a column header in the list. For example, you can sort by the referenced file or page number.

To resize a column:

  1. Hover the mouse between two columns until the cursor is a bi-directional arrow.

  2. Hold down the left mouse button, drag, and release the mouse button when the column is sized as required.

Use the Insets panel to:

A (Search text):

Search for an inset in the list. The SAYT (search as you type) functionality works on all the columns in the inset list.

B (Import New):

Import an inset into the current document. See Insert text insets.

C (Properties):

Open the Text Inset Properties dialog. See Viewing and editing inset properties.

D (Delete):

Delete the selected inset from the current document. See Deleting text insets.

E (Delete with Anchored Frame):

Delete the selected graphic inset (along with the anchored frame) from the current document.

F (Go to Location):

Go to the location where the text inset is included in the current document.

G (Convert to Text):

Convert the selected inset to inline text. See Viewing and editing inset properties.

H (Filter):

Select from the list of Document (Current, All Open Docs, or any open document), Type (List All, Text Insets, or Graphics Insets), or Status (resolved or unresolved) to display the insets available in that document.

See Fixing unresolved text insets.

I (Refresh):

Refresh the list.

  • Insert text insets
    Learn to insert text insets, import text into document and update imported text in FrameMaker.
  • Manage text insets
    Understand how to manage text insets, update text insets properties, delete text insets in Adobe FrameMaker.
  • Insert a cross-reference to a paragraph in a text inset
    Learn how to Insert a cross-reference to a paragraph in a text inset in FrameMaker.
  • FAQ and troubleshooting
    Get updated with the FAQ and troubleshooting tips for text insets.
Parent topic: Single-sourcing content


Insert text insets

Learn to insert text insets, import text into document and update imported text in FrameMaker.

You can import the following file formats as text into a document:

Text file:

Import plain text from a text file.

FrameMaker document (.fm or .mif):

Import plain or formatted text from a FrameMaker document.

Microsoft Word:

Import plain or formatted text from a Microsoft Word document.

Microsoft Excel:

Import plain or formatted text from a Microsoft Excel book.

Note: If you import an Excel book with multiple sheets, the text from all the sheets is imported.
PDF

Import a selected page from a PDF as an image.

  • Import text into a document
  • Flow to import
  • Formatting of Imported Flow
  • Updating of Imported Flow
Parent topic: Text insets


Import text into a document

  1. In the Insets panel, click Import New.

    Alternatively, from the File menu, choose Import > File.

    The Import dialog is displayed.

  2. Select a file to import.

  3. Select the mode in which you want to import the content of the selected file.

    By Reference

    The content of the selected file is inserted into the current document as a text inset. If the source file is updated, the content in the inset is also updated.

    Copy Into Document

    The content of the selected file is inserted into the current document as FrameMaker content. This implies that you can update the content in the FrameMaker document. Any changes to the source document are not reflected in the current document.

  4. If you choose a file format other than MIF or FM, the Unknown File Type dialog is displayed.

    Select the application filter to use to convert the file before importing the content into the current document.

  5. If you choose to import a text file, the Import Text File by Reference or Import Text File by Copy dialog is displayed.

    Figure 1. Import Text Flow by Reference (or Copy) dialog
    Import Text File by Reference and Import Text File by Copy dialogs

    Merge Lines into Paragraphs

    Break the text into paragraphs only at blank lines. Use this option for a paragraph-oriented text file, such as a file containing document text.

    Treat Each Line As A Paragraph

    Break the text into paragraphs at the end of each line. Use this option for a line-oriented text file such as a file containing code.

    Convert To Table

    Convert the imported text to a table. You will be prompted to select the table format. Ensure that the text in the file contains a defined delimiter to separate columns. When you choose this option, the Convert to Table dialog display.

    Figure 2. Convert to Table
    Converting the imported text to a table using Convert to Table dialog

    Updating of Imported Text

    If you are importing the text by reference, you can choose to update the text inset every time you open the document, or only when you manually update the inset. For details, see Updating text insets.

    If you choose a Word, Excel, or MIF file format, the Import Text Flow by Reference or Import Text Flow by Copy dialog is displayed.

    Figure 3. Import Text Flow by Reference (or Copy) dialog
    Import Text Flow by Reference and Import Text Flow by Copy dialogs

Parent topic: Insert text insets


Flow to import

In this section, you can choose to import either the body page flow or the reference page flow.

Note: The body or reference pages of a document can contain multiple flows.
Body Page Flow:

Import the selected flow from the body page of the document.

By default, the body pages contain one flow: A (Main Flow). If a document contains multiple flows, you need to choose the flow to import.

Reference Page Flow

Similar to the body page import, you can choose the flow in the references page to import. By default, the reference pages contain the following flows:

  • TOC

  • IX

  • HTML

  • Heading

You can also add a user-defined flow to the reference document. You can then add this reference page flow as a text inset to your document.

Parent topic: Insert text insets


Formatting of Imported Flow

In this section, you choose the formatting option of the text inset.

Reformat Using Current Document’s Formats

Use the settings defined in the source document catalog.

When you import using the current document formats, you can also choose to remove:

Manual Page Breaks:

The inset in the container document will not include the any manual page breaks included in the source content.

Other Overrides:

If the source content includes any paragraph or character overrides, these will be ignored in the inset.

Reformat as Plain Text

Does not include any formatting from the source document.

Retain Source’s Formatting

Discard the structure of the source content but retain the formatting. If you later modify the formatting of the container document, the imported formats are not affected—even if the formatting tags in the current document and imported text match.

Parent topic: Insert text insets


Updating of Imported Flow

Automatic

The references to text insets in the document are updated every time the document is opened.

Manual

The references to text insets in the document are not updated when the document is opened. For details on how to update the references manually, see Working on an open document.

Parent topic: Insert text insets


Manage text insets

Understand how to manage text insets, update text insets properties, delete text insets in Adobe FrameMaker.

From the Insets panel, you can import text into a document. You can also manage the insets that are currently included in the document.

This section covers the following topics:

  • Viewing and editing inset properties

  • Deleting text insets

  • Updating text insets

  • Fixing unresolved text insets

  • Viewing and editing inset properties
  • Deleting text insets
  • Updating text insets
  • Fixing unresolved text insets
Parent topic: Text insets


Viewing and editing inset properties

You can view and edit the properties on a text inset included in a document.

To view the properties of a text inset:

  1. In the Insets panel, select an inset, and then click Properties.

    Alternatively, you can double-click the inset in the document.

    The Text Inset Properties dialog is displayed.

    Figure 1. Text Inset Properties dialog
    Text Inset Properties dialog

  2. In the Text Inset Properties dialog you can perform the following tasks:

    Settings:

    Open the Import Text Flow by Reference dialog.

    In this dialog, you can update the way the text from the source is imported into the document. For details on this dialog, see Insert text insets.

    Convert:

    Convert the text inset to text in the document.

    The Convert Text Insets to Text dialog is displayed.

    You can choose to convert the Selected Text Inset to text.

    Alternatively, you can choose to convert All Text Insets in the document to text. This is the same as choosing the Copy Into Document option in the Import dialog when you are Insert text insets.

    After you convert the text inset to text in the document, the reference to the source document is broken. Also, the text inset is removed from the list in the Insets panel.

    Note: To convert the text inset to text, you can also use the Convert to Text button in the Insets panel.
    Update:

    Update the selected text inset. Use this option if you have made changes to the source of the inset. For more details on updating text insets, see Updating text insets.

    Open Source:

    Open the source file of the text inset. Use this option to open inset source files that are of type MIF. If you open a text, Microsoft Word, or Microsoft Excel source file, FrameMaker will attempt to convert the file to a .fm file and then open the .fm file.

Parent topic: Manage text insets


Deleting text insets

When you delete a text inset from a document, the source file remains intact. However, the reference to the text inset is removed from the document.

To delete a text inset:

  1. Select the text inset in the Insets panel.

    You can also select the inset inside the document. However, to ensure that you have selected the inset correctly, select the inset in the Insets panel.

  2. Click Delete.

Parent topic: Manage text insets


Updating text insets

After you import text into a FrameMaker document by reference, when you update the source file, the updates are reflected in the document.

FrameMaker allows you to specify how the updates to source files are reflected in the text insets included in a document.

Opening a document

When you open a document, by default, FrameMaker updates all text insets included in the document. However, since this can cause performance issues while opening the document, you can choose to not update text insets when opening a document.

In the Import Text Flow by Reference dialog, you can choose:

Automatic:

To update all text insets in a document every time the document is opened.

Manual

To force the document author to update text insets manually.

For details on how to set these properties when importing a text inset, see Insert text insets

For details on how to update this property for text inset included in a document, see Viewing and editing inset properties.

Working on an open document

You can also update a text inset in an open document. For example, if you have included a text inset in a document and you then update the text inset. You can immediately update the document to reflect the updates in the source file.

For details on how to update a document manually, see Viewing and editing inset properties.

Parent topic: Manage text insets


Fixing unresolved text insets

If the name or location of the source file for a referenced text inset changes, the text inset is marked as unresolved in the Insets panel.

To fix unresolved text insets:

  1. If you open a document that contains unresolved insets, you are prompted to fix the errors.

  2. Choose View > Panels > Insets to the open the Insets panel. Filter the list of insets to display only the unresolved insets.

    Figure 1. Filter to view unresolved insets
    Filtering to view unresolved insets

  3. Select each unresolved inset and click Go to Location.

    The unresolved text inset in the document is selected.

  4. Check the properties of the existing (unresolved) inset from the properties displayed in the list.

    For more details on the inset click Properties to open the Text Inset Properties dialog.

  5. Re-import the text inset into the document.

Parent topic: Manage text insets


Insert a cross-reference to a paragraph in a text inset

Learn how to Insert a cross-reference to a paragraph in a text inset in FrameMaker.

If you insert a paragraph cross-reference to a text inset, the cross-reference marker is sometimes lost when the text inset is updated. To prevent the marker from being lost, first insert a cross-reference to the paragraph in the text inset’s source document.

  1. Open the source of the inset by double-clicking the inset and then clicking Open Source from the Text Inset Properties panel.

  2. Insert a cross-reference to the paragraph anywhere in the source document.

  3. Delete the cross-reference text. The marker remains.

  4. Save the source document, and then in the document that contains the text inset, update the text inset by choosing Edit > Update References.

  5. Insert a spot cross-reference, this time in the document that contains the inset. The cross-reference uses the marker in the updated inset.

Parent topic: Text insets


FAQ and troubleshooting

Get updated with the FAQ and troubleshooting tips for text insets.

Can I use the variables that are defined in a text inset source document in the container document?

Yes. If the variables are used in the source document, they will be available for use in the container document.

Can I use the formats that are defined in a text inset source document in the container document?

No. The formats defined in the source document are not available in the container document.

Does the Find / Change feature work in the text insets inserted in a document?

No. The Find / Change feature does not searching inside the text contained in the text insets.

Can I spell check the content of a text inset feature work in the text insets inserted in a document?

No. The spell check feature does not check text contained in the text insets.

Can I create a cross-reference from a text inset to the container document?

Yes. However, after you create the cross-reference, you need to update the text inset in the container document. For details, see Updating text insets.

Parent topic: Text insets


Variables

Know what are variables in Adobe FrameMaker, understand system and user variables, use the Variables panel to manage variables.

Introduction

A variable in Adobe FrameMaker allows you to define a name-value pair of data that can then be reused across a document. For example, you can create a variable author_name that defines the name of the document author. If the value of the variable is changed, this change is reflected across the occurrences of that variable in the document.

System variables

FrameMaker provides a set of pre-defined system variables. You use system variables to add information to a document that is specific to Adobe FrameMaker or your current computer environment. For example, the Chapter Number variable, if included in a page, displays the chapter number to which the page belongs. The Modification Date (Long) variable that displays the last date the document was modified.

User variables

You can also create user variables to define custom values. For example, you can create a user variable Product Name for the name of a product you are documenting. Besides the value that you assign to a user variable, you can also assign a character style to display the variable value in specific formatting.

The Variables panel in Adobe FrameMaker

The Variables panel displays the list of system and user variables that you can add to the current document.

Figure 1. Variables panel

To open the Variables panel:

  • Choose View > Panels > Variables.

  • Alternatively, choose Insert > Variables.

Use the Variables panel to:

A (red icon)

The red icon indicates a system variable.

B (blue icon)

The blue icon indicates a user variable.

C (Search text):

Search for a variable in the list. The SAYT (Search As You Type) functionality works on all the columns in the variable list.

D (Create New user Variable):

Open the Add Variable dialog to create a user variable.

E (Edit):

To edit the selected variable, open the Edit Variable dialog (for user variables) or Edit System Variables dialog (for system variables).

F (Delete user variable):

Delete a selected user variable.

Note: You cannot delete a system variable.
G (Insert):

Insert the selected variable at the insertion point in the current document.

To insert a variable, you can also double-click the variable in the panel.

H (Update System Variables):

If you edit the definition of a system variable, use this command to update the definitions of the variables used in the current document.

I (Convert to Text):

Convert the variable to text. In the Convert Variables to Text dialog, you can choose to convert the selected variable, named variables, or all variables to text.

J (Select):

Select from the list of open documents to display the variables available in that document.

Important: You can use variables at a document level. This implies that variables available in one document can be used in that document. However, you can import variables from one document to another.
K (Refresh):

Refresh the list of available variables.

To sort the list in the Variables panel, click a column header in the list. The list is sorted by the header that you click.

To resize a column:

  1. Hover the mouse between two columns until the cursor is a bi-directional arrow.

  2. Hold down the left mouse button, drag, and release the mouse button when the column is sized as required.

From the Variables panel in Adobe FrameMaker, you can create and delete user variables, edit user and system variables, and convert variables inserted in a document to editable text.

  • Creating user variables
    Understand how to create user variables in Adobe FrameMaker.
  • Inserting variables
    Learn how to insert a variable in a document in Adobe FrameMaker.
  • Inserting variables in structured documents
    Learn how to insert a variable in a structured document in Adobe FrameMaker.
  • Inserting variables in headers and footers
    Know how to add variables to headers and footers in Adobe FrameMaker.
  • Editing user and system variables
    Understand how to edit user and system variables in Adobe FrameMaker.
  • Deleting variables
    Understand how to delete variables in Adobe FrameMaker.
  • Converting variables to text
    Understand how to create user variables in Adobe FrameMaker.
  • Importing variables from one document to another
    Understand how to import variables from one document to another in Adobe FrameMaker.
Parent topic: Single-sourcing content


Creating user variables

Understand how to create user variables in Adobe FrameMaker.

Introduction

You create and add user variables to display custom information in a document. For example, you can create a variable, author_name, that specifies the name of the document author. Or, you can create a variable, product_name, to specify the name of the product.

To create a user variable:

  1. In the Variables panel, click Create New User Variable.

    The Add/Edit Variable dialog is displayed.

    Figure 1. Add Variable dialog
    Add/EditVariabledialoginFrameMaker

  2. Enter a name for the variable: Product Name.

    Important: If you enter a name that is used by an existing variable (system or user), the definition of the existing variable is overwritten.

  3. Enter a definition for the variable.

    For example, you can enter the definition as FrameMaker for the variable Product Name.

  4. To create the variable, click Add.

    If you are changing the definition of an existing variable, click Edit.

After you create a user variable, you can insert the variable into your document.

You can also use paragraph style names or element names in the variable definition.

For example, <$paratext[ChapterTitle, SectionTitle, AppendixTitle]> retrieves the text of the most recent paragraph with the paragraph style ChapterTitle, SectionTitle, or AppendixTitle.

You can also specify a character style for the variable by preceding the variable definition with the character style name. It is recommended to close the formatting with the building block <Default ¶ Font>.

To apply a character style to a variable definition:

  1. Click a character style name (e.g., <strong>) in the list. The character style name is added to the variable definition.

  2. Follow the character style by the variable text value. You can end the formatting range by adding <Default ¶ Font> (short form: </>).

    For example:

    <Emphasis>Adobe<Default ¶ Font>

    You can also add multiple character styles to the different text in the variable definition. For example:

    <Emphasis>Adobe <strong>FrameMaker<Default ¶ Font>
Parent topic: Variables


Inserting variables

Learn how to insert a variable in a document in Adobe FrameMaker.

In this topic

  • Introduction

  • How to insert a variable in a document

  • How variables display in a document

Introduction

You can insert a variable in the body or master pages of an Adobe FrameMaker document.

For example, to display the last modified date in the footer of a document, add the Modification Date variable to the footer of a master page of the document.

You can also display a variable value at a specific location of the content of a document by inserting the variable in the body page of the document.

How to insert a variable in a document

To insert a variable in a document, do the following:

  1. Place the insertion point at the point in the document to insert a variable.

  2. To insert the variable at the insertion point, select the variable in the Variables panel. Click Insert or double-click the variable in the list to insert the variable at the insertion point.

Note: The Variables panel displays only the variables that are valid in the current context. For example, the Running H/F variables are displayed in the panel only if you are on the master page of a document.

How variables display in a document

It depends on the type of a variable, and it's position in the document if the variable name or the variable value is shown. All user variables and most system variable display the value on both the master and body pages of a document.

However, the following system variables display the name on the master page and the value on the body page:

  • Current Page # variables

  • Running H/F variables

Parent topic: Variables


Inserting variables in structured documents

Learn how to insert a variable in a structured document in Adobe FrameMaker.

When you insert a variable in a structured document, Adobe FrameMaker inserts an XML variable and creates an XML entity element. FrameMaker then uses this combination of XML variable and entity to maintain the variable.

To view the XML variable and entity created in the XML, go to the XML view.

For example, if you insert the Modification Date (Long) variable in a structured document, FrameMaker inserts a &fm.lmdate; variable and a corresponding entity element.

Figure 1. fm.lmdate; variable and corresponding entity element

Parent topic: Variables


Inserting variables in headers and footers

Know how to add variables to headers and footers in Adobe FrameMaker.

In this topic

  • Introduction

  • Running H/F variables

  • Using markers to display text in a running header or footer

  • Creating a dictionary-style header or footer

Introduction

In Adobe FrameMaker, you can add a variable to a running header or footer on the master page of a document. The variable displays across all body pages of the document that have this master page applied.

Running H/F variables

The following table describes the default Running H/F (Running Header/Footer) variables available in a (new) blank document:

Default Running H/F variable | Description
Running H/F 1 | Chapter title
Running H/F 2 | First-level heading. For example, Heading 1.
Running H/F 3, H/F 4, H/F 13 through H/F 18 | Marker text defined for markers of type Header/Footer $1 through $8.
Running H/F 5 through H/F 12 | Paragraph text as defined by the paratag part of the definition.
Important: You can modify the default definition of all Running H/F variables as per your project’s requirements. For example, you can create a Running H/F variable that contains fixed text, one or more building blocks, and character styles.

Using markers to display text in a running header or footer

You can use the Running H/F variables (4, 5, and 13 through 18) to add marker text to a running header or footer. Use these variables to display text in a header or footer that is not available in the content or a system variable.

  1. Choose View > Body Pages to display the body pages of a document.

  2. Place the insertion point at any location in the document. Choose Insert > Marker to open the Marker dialog.

    Note: The location of the marker in the document is not relevant. For example, you can place all the markers to include header or footer text at one location in the document.

  3. In the Maker Type pop-up list, choose Header/Footer $1.

  4. In the Marker Text box, enter the text to display in the header or footer.

  5. Choose View > Master Pages to display the master pages of the document. Insert the Running H/F 3 variable in the header or footer.

Similarly, use the Running H/F 4 and H/F 13 through H/F 18 with the corresponding Header/Footer $2 through Header/Footer $8 marker type to add additional marker text to a running header or footer.

Creating a dictionary-style header or footer

The term displayed in the header or footer of an odd-numbered page of a dictionary is the first term described on the odd number page. Similarly, the term displayed in the header or footer of an even number page is the last term described on the even number page. To create a dictionary-style header or footer, use one of the paratext variables (Running H/F 5 through H/F 12):

  1. Choose View > Master Pages to display the master page of the document. Navigate to the odd master page.

  2. Select a paratext variable and click Edit in the Variables panel. The Add/Edit Variable dialog is displayed.

  3. In the Add/Edit Variable dialog, edit the definition of the variable to specify the paragraph style that is used by the dictionary terms in the document. For example, edit the definition of Running H/F 5 to <$paratext[Heading3]>.

  4. Insert the variable into the odd page header.

  5. Go to the even page header.

  6. In the Add/Edit Variable dialog, edit the definition of the variable to specify the paragraph style that is used by the dictionary terms in the document. For example, edit the definition of Running H/F 5 to <$paratext[+, Heading3]>.

    Important: The plus (+) sign preceding the paragraph style displays text from the last paragraph with the style specified in the variable definitions.

The odd page headers of the document display the first paragraph style defined in the Running H/F variable. The even pages display the last paragraph style.

Parent topic: Variables


Editing user and system variables

Understand how to edit user and system variables in Adobe FrameMaker.

Introduction

You can edit the definition of a system or user variable.

A user variable definition can include character styles of the document.

A system variable definition can contain FrameMaker building blocks other than character styles. For example, the default format for the Creation Date (Short) system variable is:

<$monthnum>/<$daynum>/<$shortyear>

You can edit this to any other format such as:

<$daynum>/<$monthnum>/<$shortyear>

Similarly, you can change either the definition and the character style applied to a user variable.

Editing a variable

To edit an existing variable definition, do the following:

  1. Select the variable in the Variables panel and click Edit.

    The Add/Edit Variable dialog is displayed.

    Figure 1. Add/Edit Variable dialog

  2. Edit the definition of the variable.

    User variables

    You can edit the name, definition, or the character style of a user variable.

    Example:

    <i>Adobe FrameMaker<Default ¶ Font>

    You can add additional character style information to it:

    <i>Adobe <b>FrameMaker<Default ¶ Font>

    System variables:

    You can edit the definition of a system variable using the variable definitions available in the Building Blocks list.

    You can add character styles to system variables.

    The Location list in the panel displays the page number in the current document where the variable is used.

    Note: You cannot change the name of a system variable.

  3. To save the changes to the variable definition, click Edit.

Note: When you edit a user variable, the Add/Edit Variable dialog displays the Edit button. If you change the name of the user variable and click Edit, the old variable’s name is changed. However, since you cannot change the name of system variables, the Edit button only updates the variable definition.

Highlight the variables in a document

While authoring, you can highlight the variables for files opened in the current session. This can help you segregate the variables from the text and clearly see them. You can highlight the variables both in structured and unstructured documents.

To highlight the variables, perform the following steps:
  1. Choose Edit > Preferences > Variables.
  2. Select Enable highlight. This option is not selected by default.

  3. Select the color for the variable highlight from the Color drop-down. The dropdown lists the default FrameMaker colors. By default, Light Salmon color is selected.
    Note: The variable highlight overrides any background text color.
  4. Click OK. The variables are highlighted in the selected color for the files opened in the current session.
    Note: You can see the highlighted variables only in the authoring environment. There is no impact on the published outputs.
Parent topic: Variables


Deleting variables

Understand how to delete variables in Adobe FrameMaker.

Introduction

You can delete user variables from an Adobe FrameMaker document that are no longer required.

You can also delete the occurrences of a system or user variable added in a document.

To delete a user variable

When you delete a user variable, the variable definition is removed from the document's variables catalog. After this, the variable is no longer available for use in the document.

To delete a user variable, do the following:

  1. Select the user variable in the Variables panel and click Delete.

  2. If the variable is used in the current document, you are prompted with the message that all occurrences in the document will be converted to editable text.

  3. Click OK to delete the variable and convert all its occurrences to text.

Note: If you select a system variable, the Delete button is disabled.

To delete a variable occurrence

You can choose to delete specific occurrences of a variable in a document. This retains the definition of the variable in the document catalog and other occurrences of the variable in the document.

  1. Open the Find/Change dialog.

  2. In the Find list, select Variable – of Name and enter the full or partial name of the variable you want to remove from your document.

  3. Click Find to locate the variable in the document.

  4. To remove the selected occurrence, press the Delete key or click Delete below the occurrence list.

    In this case, the variable occurrence and the associated text is removed from the document.

Parent topic: Variables


Converting variables to text

Understand how to create user variables in Adobe FrameMaker.

You can convert variables in an Adobe FrameMaker document to text. The converted variable becomes editable text.

You can convert:
  • The variable currently selected in the current document
  • All occurrences of a variable of a specific type in the current document
  • All occurrences of a variable tagged with a specific element in the current document
  • All occurrences of all variables in the current document

To convert a variable, do the following:

  1. In the Variables panel, click Convert to Text.

    The Convert Variables to Text dialog displays.

    Figure 1. Convert Variables to Text dialog
    ConvertVariablestoTextdialogin Adobe FrameMaker

  2. Choose if you want to convert only the variable currently selected in the document to editable text, all occurences of a variable of a certain type, all occurences of variables tagged wit a certain element, or all occurences of all variables.

  3. Click Convert.

Parent topic: Variables


Importing variables from one document to another

Understand how to import variables from one document to another in Adobe FrameMaker.

Introduction

The variables in a document are available for use in the document where they are created (user variables) or edited (user and system variables).

You can make these changes available to other documents by importing the variable definitions.

Import variable from one document to another

To import variables from one document to another, do the following:

  1. Open the document containing the variable definitions that you need to make available in one or more other documents.

  2. Open the document into which to import the variable definitions from the source document.

    If you are working in a FrameMaker book, you can select all documents in the book into which you want to import the definitions.

  3. Choose File > Import > Formats. The Import Formats dialog is displayed.

  4. In the Import Formats dialog, click Deselect All, check Variable Definitions, and click Import.

Important: If the destination documents contain user variables with the same names as the source document, the user variable definitions are overwritten. Also, if the definitions of system variables in the source document are updated, the definitions of the corresponding variables in the destination documents are overwritten.
Parent topic: Variables


Review and collaboration

Learn the different ways to set up review and collaboration in Adobe FrameMaker.

FrameMaker supports many ways of setting up review and collaboration. Factors such as extent of changes and type of review or collaboration help you determine the method that is most suitable for your requirements. For example, if a document requires an editorial review by a language expert and the reviewer has access to FrameMaker, Track Text Edits is likely the most preferred option for reviewing the document. Alternatively, if a document requires technical validation by more than one subject matter expert, setting up a shared PDF review is likely the most preferred option.

Besides Track Text Edits and support for PDF review (online on Adobe Document Cloud or on your shared network), FrameMaker offers features such as change bars and version comparison to help authors and reviewers track and manage changes in a document.

  • Text edit tracking
    Understand how you can track adding and deleting of text during review in FrameMaker.
  • Change bars
    Learn what are change bars and how they help in review and collaboration in Adobe FrameMaker.
  • PDF review
    Know what PDF review is and how this serves as a suitable collaboration method in Adobe FrameMaker.
  • Create packages
    Learn how to package an Adobe FrameMaker book or document with its related files into a zip archive for distribution and backup.
  • Dropbox integration
    Learn to use Dropbox with Adobe FrameMaker.
  • Compare documents
    Learn how to compare documents in Adobe FrameMaker. Understand the composite and the summary document.
  • Word and character count
    See how to find word and character count during authoring and revising a document in FrameMaker.
  • FAQ & troubleshooting
    See come common FAQs and troubleshooting tips for text edits in FrameMaker.
Related information
  • Create a document
  • Show or hide conditional text
  • Compare documents
  • PDF output


Text edit tracking

Understand how you can track adding and deleting of text during review in FrameMaker.

The Edit > Track Text Edits option lets you enable a mode in which FrameMaker highlights added and deleted text for visual distinction. Editors and reviewers can use this feature to track, display, and preview changes by showing or hiding the edits.

FrameMaker tracks the changes with a user name and timestamp of the changes. If you share the document with other writers, such as in a team environment, you can determine the author and time of edits in the document. By default, FrameMaker uses the login name of the current user as the user name.

  • Tracked and untracked text edits: Examples
    See what are the text edits that FrameMaker tracks or excludes.
  • Set scope for tracking text edits
    Know how you can set up a scope up to which the tracking can be done in FrameMaker.
  • Set color preferences for tracking text edits
    Understand how you can set color preferences for tracking text edits.
  • Display Track Text Edits toolbar
    Understand the Track Text Edits toolbar in FrameMaker.
  • Turn text edit tracking on or off
    Understand how you can turn text edit tracking on and off in FrameMaker.
  • Manage track text edits in a document
    Learn to manage track text edits in a document in FrameMaker.
  • Preview a document with track text edits
    Understand how you can preview a document with track text edits in FrameMaker.
  • Saving and publishing a document with track text edits
    Learn how you can save and publish a document with text edits in FrameMaker. You can also learn how to save a similar document as XML.
Parent topic: Review and collaboration


Tracked and untracked text edits: Examples

See what are the text edits that FrameMaker tracks or excludes.

The following table shows examples of types of text edits that FrameMaker tracks or excludes from tracking:

Tracked text edits | Untracked text edits
Adding and deleting text using the keyboard | Adding rows in tables
Adding text between deleted text | Modifying content in cross-references
Cutting, copying, and pasting text | Modifying content in markers
Inserting and deleting anchored frames | Modifying content in equations
Adding, editing, and deleting headers and footers | Adding or deleting text using APIs
Inserting and deleting footnotes | Inserting, modifying, and deleting graphics
Adding, editing, or deleting text within footnotes | Changing formatting
Modifying text using the Find/Change feature | Text within hypertext marker
Correcting spelling errors using the Spelling Checker feature | Adding and removing page breaks
Replacing text using the Thesaurus feature | Converting table to text
Inserting, deleting, and pasting cross-references | Replacing variables
Adding and deleting markers | Replacing cross-references
Importing and deleting file by reference or by copying | Adding and deleting the Conditional Tags marker
Inserting, pasting, and deleting variables | Importing by copying into MIF files
Editing text within a table cell |
Inserting, pasting, and deleting tables |
Inserting and deleting equations |
Inserting Rubi |
Changes to text in Rubi |
Parent topic: Text edit tracking


Set scope for tracking text edits

Know how you can set up a scope up to which the tracking can be done in FrameMaker.

You can set the scope for tracking edits for the current book, DITA map, the current document, or selected documents. When you open a book or DITA map, the scope is set to Book or DITA Map by default.

To set the scope explicitly, do the following:

  1. Choose Edit > Track Text Edits > Scope.

  2. Select one of the following:

    • Document

    • Book

    • DITA Map

    • Selected Documents

Note: You can set the scope to Book or DITA Map only when they are open.
Parent topic: Text edit tracking


Set color preferences for tracking text edits

Understand how you can set color preferences for tracking text edits.

You can set the color preferences for text that is added or deleted in addition to the default formatting that FrameMaker applies: text that you add is underlined; deleted text is shown with strikethrough. Avoid setting the same text color that you defined for conditional tags so that text edits are clearly visible. In addition, when you preview or view the text edits, turn off conditional tag indicators to clearly differentiate the text edits.

  1. Choose Edit > Track Text Edits > Configure Color.

  2. Select or define the colors that you want for added text and deleted text, and click Set.

Parent topic: Text edit tracking


Display Track Text Edits toolbar

Understand the Track Text Edits toolbar in FrameMaker.

The Track Text Edits toolbar provides quick access to various commands for text edit tracking.

Track Text Edits toolbar in FrameMaker

To display the Track Text Edits toolbar, do the following:

  1. Choose View > Toolbars > Track Text Edits.

Parent topic: Text edit tracking


Turn text edit tracking on or off

Understand how you can turn text edit tracking on and off in FrameMaker.

By default, the Track Text Edits feature is turned off.

Choose Edit > Track Text Edits > Enable to enable text edit tracking.

Note: It is recommended that you have the documents open when you enable text edit tracking. FrameMaker cannot enable text edit tracking if the document has errors that prevent FrameMaker from opening it.

Choose Edit > Track Text Edits > Disable to disable text edit tracking.

Parent topic: Text edit tracking


Manage track text edits in a document

Learn to manage track text edits in a document in FrameMaker.

Various options in the Track Text Edits menu or on the Track Text Edits toolbar help you manage text edits.

  • Choose Edit > Track Text Edits > Show Next to find the next change.

  • Choose Edit > Track Text Edits > Show Previous to find the previous change.

  • Choose Edit > Track Text Edits > Accept Edit to accept an individual text edit.

  • Choose Edit > Track Text Edits > Reject Edit to reject an individual text edit.

  • Choose Edit > Track Text Edits > Accept All to accept all text edits in one go.

  • Choose Edit > Track Text Edits > Reject All to reject all text edits in one go.

Once you accept a text insertion or deletion, that text edit becomes part of the file. If you accept an insertion of text, the inserted text is retained. If you accept a deletion of text, the deleted text is removed. If you reject an insertion of text, the inserted text is removed. If you reject a deletion of text, the deleted text is retained in the file. The inserted or retained text acquires the formatting of its surrounding text.

To filter edits by author or reviewer name, choose Edit > Track Text Edits > Show Reviewer Name > [user name].

After selecting the reviewer name, you can do the following operations:

  • Show Next/Previous: Displays changes made by the selected reviewer.

  • Accept/Reject All: Accept all changes or reject all changes made by the reviewer.

Note: To populate the reviewer names in a book or a DITA map, open the book or the DITA map, choose the desired scope and click Edit > Track Text Edits > Show Reviewer Name > Update User List. The reviewer names are automatically populated for a document.
Parent topic: Text edit tracking


Preview a document with track text edits

Understand how you can preview a document with track text edits in FrameMaker.

Before you accept all text edits, preview the final document to see how the text edits are incorporated in the document. You can also preview the original document without the text edits highlighted in the document.

Preview operations can also be done on all/selected documents of the book or DITA map by selecting the appropriate scope.

When you preview a document with text edits, the document display switches from the Tracking mode to the Preview mode. In the Preview mode, avoid making non-trackable changes to your document. For example, do not edit or apply conditions to text in the Preview mode. Such changes are not tracked and you may get an unexpected result in the final document.

By default, the preview of a tracked document is turned off.

Note: When you select the Preview Final or Preview Original option for the first time in your document, the Preview Off option is enabled. You can’t undo the Preview Final or Preview Original command in a document.

  • To preview the final document with text edits, choose Edit > Track Text Edits > Preview Final.

  • To preview the original document with text edits, choose Edit > Track Text Edits > Preview Original.

    FrameMaker incorporates accepted edits in the document. It deletes rejected edits and restores the document to its original state.

    If you modify the document with the Track Text Edits feature on and Preview Final or Preview Original selected, FrameMaker switches from Preview mode to Tracking mode. In this case, you can’t undo the changes you make.

  • To turn off Preview mode, choose Edit > Track Text Edits > Preview Off.

Parent topic: Text edit tracking


Saving and publishing a document with track text edits

Learn how you can save and publish a document with text edits in FrameMaker. You can also learn how to save a similar document as XML.

When you save a document after inserting text edits, the suggested edits are retained. When you print the document, FrameMaker prints the text edits as they appear in the document.

When you save a DITA map as a composite document and if the DITA map has topics with different settings of Track Text Edits applied to them, the suggested edits are all accepted in the final document, and the Preview final state is applied for all topics.

When you publish the document as a PDF, the text edits are retained and published to the output. If you publish a FrameMaker document to HTML or RTF, the text edits are accepted, and the document is published with the edited content. If the Preview mode is turned on, the document is published based on the Preview Final or Preview Original option you selected.

Saving a document with tracked text edits as XML

You can save a document with tracked text edits as XML. You can open the XML document in FrameMaker, enable tracking of text edits, and then edit the document. When you save the FrameMaker document back to XML, the edited information is preserved through the XML roundtrip.

If Conditional Tags roundtripping is disabled, all Track Text Edits information is lost during the XML roundtrip. By default, Conditional Tags roundtripping is enabled for any XML application.

Parent topic: Text edit tracking
Related information
  • Print output


Change bars

Learn what are change bars and how they help in review and collaboration in Adobe FrameMaker.

In this topic

  • Introduction

  • Apply change bars automatically

  • Apply change bars manually

  • Create a change bar character style

  • Remove all change bars in a document

  • Remove change bars from specific text

Introduction

In Adobe FrameMaker, change bars help you automatically or manually to indicate the changed lines or paragraphs in a document.

A change bar is a vertical line that visually identifies new or revised text. You can have change bars appear automatically whenever you insert, change, or delete text.

Change bar applied to the left of revised text
Changebarapplied to the left of the modified text

Sometimes, you want to flag only important changes to your document rather than flag every change. If you’re sending out the second revision of a document for review, you probably want reviewers to focus on substantive changes. In these situations, you can select specific text to mark with change bars rather than add the change bars automatically.

You can remove the change bars from the text later. For example, between drafts of a manual, you can remove the old change bars before adding new ones.

You can insert change bars in the newer of the two versions of a document by comparing the versions.

Note: Sometimes you add change bars to an entire paragraph of text and then update the paragraph styles, for example, by importing formats from another document. Don’t remove format overrides during the update if you want to retain the change bars. Adding change bars to an entire paragraph alters the paragraph style, and the alteration counts as a style override.

Apply change bars automatically

To apply change bars automatically when you change the document, do the following:

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose Format > Document > Change Bars.

  3. Specify the thickness of the change bars and the distance from the column of text to the change bars.

  4. Choose the position of the change bars from the Position drop-down list. Select Side Closer To Page Edge or Side Farther From Page Edge to vary the position of the change bars from side to side based on the page layout.

    The position is relative to the edges of the column that contains the changed text, regardless of the number of columns on the page.

  5. Choose a color for the change bars from the Color drop-down list.

  6. Select Automatic Change Bars, and click Set.

Automatic Change Bars don’t detect changes in graphics imported by reference unless the name of the imported file has been changed. Automatic change bars also don’t detect changes that affect only formatting. For example, if you only change the style of a paragraph from Body to Bullet, no change bar appears. In this case, you can add a change bar manually if necessary.

Note: If cross-references are updated when Automatic Change Bars is selected, change bars appear next to all changed cross-references.

Apply change bars manually

To manually apply change bars to selected text or multiple paragraphs, do the following:

  1. To apply change bars to selected text, choose Format > Style > Change Bar.

  2. To apply change bars to paragraphs, click in a paragraph or drag through several paragraphs.

  3. Choose Format > Paragraphs > Paragraph Designer and display the Default Font properties.

  4. Select Change Bar, and click Apply.

Create a change bar character style

You can also apply change bars to text using a change bar character style.

To create a change bar character style, do the following:

  1. Click in any paragraph and choose Format > Characters > Character Designer.

  2. In the Character Designer, set all properties to As Is.

  3. Select Change Bar.

  4. In the Style box, enter a name for the character style.

  5. Click Create.

Remove all change bars in a document

To remove all change bars in a document, do the following:

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose Format > Document > Change Bars.

  3. Select Clear All Change Bars, and click Set.

Remove change bars from specific text

To remove change bars from specific text, do one of the following:

  • Select the text and choose Format > Style > Change Bar. If some of the selected text isn’t marked with a change bar, choose Format > Style > Change Bar twice to remove the change bars.

  • To remove a change bar applied by a character style, select the text and apply Default Font from the Character Catalog.

Import shared PDF comments and annotations
Tip: To examine and change text marked with change bars, use the Find/Change command. You can search for text that has the Change Bar property set or for text that uses a character style that sets the Change Bar property.
Parent topic: Review and collaboration
Related information
  • Compare documents


PDF review

Know what PDF review is and how this serves as a suitable collaboration method in Adobe FrameMaker.

PDF review is a suitable collaboration option in environments in which reviewers are not required to make changes directly in the source document. Instead, they can use Adobe Document Cloud, Acrobat Pro DC, Adobe Acrobat Reader DC to review the PDF file created from the source document.

You can create PDFs and set up PDF review from within FrameMaker. FrameMaker supports importing comments from a reviewed PDF into the source document, which helps you speed up the process of addressing feedback.

You can send a PDF file for shared review to allow reviewers to build on one another’s comments. Acrobat lets you easily add reviewers, monitor the status of shared reviews, and send updates or reminders.

When you plan to send a document for PDF review, keep the following considerations in mind before creating the PDF:

  • Difference between a simple PDF, a review PDF, and an online review

    Any FrameMaker document that you save as a PDF using the File > Save As PDF option can be opened in Adobe Acrobat Pro DC and reviewed. However, when you import comments from such PDFs, FrameMaker does not have information about the structure of the source documents to place the comments and changes reliably.

    On the other hand, if you save a FrameMaker document using the File > Save As Review PDF option, FrameMaker creates a review PDF. A review PDF is a tagged PDF, which means that the logical structure of the document and specific metadata is maintained in the PDF. This information helps FrameMaker to import comments reliably into the document.

    If you save a FrameMaker document using the Review > Send for Online Review option, FrameMaker creates a review PDF and saves it on Adobe Document Cloud server. For using the online review service, you must have Adobe Document Cloud subscription. However, your reviewers need not have Document Cloud subscription. They can review the shared document using their Adobe ID or even as a guest.

  • Reviewing in Acrobat Pro DC and Adobe Acrobat Reader DC

    Acrobat provides a range of commenting and markup tools to review PDFs. In Adobe Acrobat Reader, which all reviewers are likely to have on their computers, only the Sticky Note and Highlight Text tools are available by default. To make all commenting and markup tools available for reviewing a PDF in Adobe Acrobat Reader, you need to enable commenting in Adobe Acrobat Reader for the PDF.

Create a Review PDF from an unstructured document

When saving an unstructured FrameMaker file as a PDF, ensure that you select the Generate PDF For Review Only option in the PDF Setup dialog. Selecting this option creates a tagged PDF.

Create a Review PDF from a structured document

To use import PDF comments feature in a structured (XML) document, do the following:

  1. Assign @IDs to all the elements in your content before you create a PDF for review. For assigning the IDs, you need to ensure that all your elements have an ID attribute.

  2. Ensure that you select the Generate PDF For Review Only option in the PDF Setup dialog.

  • Set up shared PDF review
    Understand how to set up a shared review in Adobe FrameMaker.
  • Send a review PDF through email
    See how you can send a review PDF through an email with Adobe FrameMaker and Adobe Acrobat Pro DC.
  • Set up an online PDF review
    Learn how to use FrameMaker to set up an online shared review using Adobe Document Cloud services.
  • Importing PDF comments
    Learn how to import PDF comments and annotations in Adobe FrameMaker during review and collaboration.
Parent topic: Review and collaboration
Related information
  • Tagged PDF output


Set up shared PDF review

Understand how to set up a shared review in Adobe FrameMaker.

Setting up a shared review of a PDF enables you to create a collaborative environment for reviewers.

To set up a shared PDF review with Adobe FrameMaker, do the following:

  1. Open the document and choose File > Save As Review PDF.

  2. Select Send For Shared Review.

  3. In the Save Document dialog box, specify a location and name for the PDF and click Save.

  4. Modify the PDF settings if required. For example, specify Start Page and End Page if you want to save a part of the document as PDF (and not the entire document).

    Important: Do not deselect the Generate PDF For Review Only option on the Settings page and the Generate Tagged PDF option on the Tags page. By default, these options are selected to ensure that FrameMaker saves the PDF with enough information to import comments reliably into the source document.

  5. Click Set.

    FrameMaker creates the review PDF, opens the PDF in Acrobat Pro DC, and prompts you to initiate a shared review.

  6. Choose how you want to collect comments from reviewers and click Next to proceed.

  7. To invite reviewers, specify the email address of each reviewer.

  8. Click Finish. Acrobat adds “_Review” to the filename. The reviewers receive a link to the file and instructions on how to publish their comments.

Note: For more information about setting up a shared review, see Starting a PDF review article in the Adobe Acrobat User Guide.
Parent topic: PDF review


Send a review PDF through email

See how you can send a review PDF through an email with Adobe FrameMaker and Adobe Acrobat Pro DC.

To save a FrameMaker document as a Review PDF and send it for review through email, do the following in Adobe FrameMaker:

  1. Open a document, topic, book, or DITA map.

  2. Choose File > Save As Review PDF > Send through email.

  3. In the Save Document dialog box, specify a location and name for the PDF. Click Save.

  4. Modify the PDF settings if required. For example, specify Start Page and End Page if you want to save a part of the document as PDF (and not the entire document).

    Important: Make sure that the Generate PDF For Review Only option on the Settings page and the Generate Tagged PDF option on the Tags page are selected. By default, these options are selected to ensure that FrameMaker saves the PDF with enough information to import comments reliably into the source document.

  5. Click Set.

    FrameMaker creates the review PDF and opens the PDF in Acrobat Pro DC.

Adobe Acrobat Pro DC prompts you to initiate an email-based review. To initiate an email-based review, do the following:

  1. Click Next to proceed.

  2. To invite reviewers, specify the email address of each reviewer. Click Next.

  3. A default message for the reviewers is displayed. Modify the invitation if required. Click Send Invitation.

  4. Specify whether you would like to send the invitation using your default email application (for example, Microsoft Outlook) or web mail (for example, Gmail). Click Continue.

  5. Check the outgoing message notification. Click OK.

Parent topic: PDF review


Set up an online PDF review

Learn how to use FrameMaker to set up an online shared review using Adobe Document Cloud services.

To create a review PDF and share it with your reviewers through Acrobat Document Cloud service, perform the following steps:

  1. Open a document, topic, book, or DITA map.

  2. Choose Review > Send for Online Review.

    FrameMaker starts creating a review PDF and prompts you to sign into Adobe Document Cloud service.

  3. If a Confirm Security message appears, click Yes.

    Note: You can disable this security message by enabling the Trust All Files Opened Via Acrobat Distiller option in Acrobat Distiller preferences. For more information, see this Acrobat Distiller help article.

  4. Enter your email address and click Continue.

    Follow the on-screen instructions to sign into your Document Cloud account.

  5. After successful login, FrameMaker uploads the file onto your Document Cloud server.

    The Send for Online Review dialog appears.

  6. In the Send for Online Review dialog, provide the following details:

    • Review Name: Enter a description of the document you are sharing for review. This description forms the Subject line of the email that is sent to all reviewers.

    • Reviewers: Enter the email ID of the reviewer and click Add.

      Note: You can add only one reviewer at a time. To remove a reviewer from the list, select the reviewer's email ID and click Delete.

    • Set Deadline: If you want to share a time-bound review, then choose the Set Deadline option. Once you select this option, the date field is enabled wherein you can choose a date. Your review remains active till the specified date.

  7. Click Send.

    The review task is created, and an online review sent message is displayed.

  8. Click OK.

Note: To import comments in your source document, see Import online review PDF comments and annotations.
Parent topic: PDF review


Importing PDF comments

Learn how to import PDF comments and annotations in Adobe FrameMaker during review and collaboration.

In this topic

  • Introduction

  • Import shared PDF comments and annotations

  • Import online review PDF comments and annotations

  • Import PDF comments and annotations after changing the source document

  • Restrictions for importing PDF comments and annotations into edited documents

Introduction

You can import comments and annotations from a review PDF directly into the source Adobe FrameMaker document and reduce the time taken to fix comments. You can incorporate suggestions and edits from multiple reviewers participating in a shared PDF review much faster into the source document.

FrameMaker can import the following types of PDF comments and annotations:

  • Text additions

  • Text deletions

  • Text replacements

  • Sticky notes

  • Underlined text

  • Highlighted text

Other types of comments or annotations are not imported.

When you import the PDF comments, they are inserted as tracked text edits, tracked markers, or simple text formatting at the corresponding location in the FrameMaker document. Text additions, deletions, and replacements are inserted as text edits. Sticky notes are inserted as comment type markers. FrameMaker tracks these text edits and markers irrespective of whether the feature is enabled or disabled. PDF comments of type Highlight are imported with the highlighting retained.

Note: FrameMaker does not allow insertions into objects like variables, text lines, and graphics. Also, cross-references, text insets, bullets, and numbering are locked for editing in FrameMaker. Comments on these objects are inserted as markers. If a reviewer adds a comment in response to another comment in the PDF, it is inserted as a marker.

Import shared PDF comments and annotations

To import comments and annotations from a PDF that’s shared for commenting via File > Save As Review PDFinto a FrameMaker document, do the following:

  1. Open the document, topic, book, or DITA map to import PDF comments.

  2. Choose File > Import > PDF Comments or Review > Import Comments > From Review PDF.

  3. Read the instructions in the Import Comments From Adobe Acrobat dialog box. Click Yes.

  4. In the Import Comments From PDF dialog box, choose the PDF file from which you want to import comments.

  5. Select the type of comments that you want to import.

    All comments

    Select to import all supported type of comments from the PDF.

    Only Insert, Delete, and Replace type of comments

    Select to import only text additions, deletions, and replacements.

    Apply custom filters

    Select to specify filters for the comments that you want to import. You can filter comments by parameters like type, author, status set by the author, checking state, and insertion date.

  6. If the source document was modified after you created the PDF for review, FrameMaker confirms whether you want to proceed with the import.

    If the modification date of the source file is newer than the creation date of the tagged PDF, FrameMaker confirms whether you want to proceed with the import.

  7. FrameMaker imports the comments from the PDF and displays an import summary. The summary displays the number of comments that FrameMaker imported and placed in their exact locations, imported and placed in approximate locations, and failed to import.

  8. Click OK to close the Import Summary dialog box and return to the document window.

Import online review PDF comments and annotations

To import comments and annotations from a PDF that's shared for online review, do the following:

Important: Before you initiate the comments import process, ensure that the Security setting of Internet Explorer is set to Medium-High or Medium. Setting the Security setting to High will restrict JavaScript execution, which can result in unexpected comments import experience.

  1. Open the document, topic, book, or DITA map to import PDF comments.

  2. Choose Review > Manage Online Reviews or Review > Import Comments > From Online Review.

    You will be prompted to log into Adobe Document Cloud service and FrameMaker will fetch the list active reviews from your Document Cloud account.

  3. In the Import Comments list, select the file from which you want to import review comments.

    You can also search for your file by entering any search term. FrameMaker searches for the entered term in all presented columns.

    Figure 1. Import Comments list

  4. Click Import and Open.

    FrameMaker downloads the files and imports the comments from the PDF and displays the Review panel.

  5. Use the Review panel to perform the following tasks:

    Figure 2. Review panel

    • Open the Import Comments list to choose a file from where you want to import comments in the current document.

    • Enter a search term to display comments containing the searched term.

    • Navigate to the previous or next comment in the document.

    • Accept or reject the current comment.

    • View comments from a specific reviewer by selecting the reviewer's name from the All Reviewers list.

    • In case of a book or DITA map, the list of chapters or topics is displayed in the files drop-down list. You can switch to the required document by selecting it from the list. The comments panel refreshes and displays the comments given on the selected chapter/topic only.

Import PDF comments and annotations after changing the source document

You can change the source content of a FrameMaker document while its PDF output is being reviewed and still import PDF review comments.

You can make the following changes to the source FrameMaker content and still import the PDF review comments:

  • Change in the relative position (as per the line numbers) of the paragraph in the source FrameMaker document

  • Change in the text around (before/after) the commented text in the paragraph in the source FrameMaker document

Figure 3. Change bar applied to the left of revised text
Making changes to the sourceFrameMakercontentandimportingthe PDF review comments

If the source document has changed after you sent the PDF for review, the exact insertion points for some comments can be indeterminable. FrameMaker inserts such comments as tracked markers in approximate locations. Comments applied to unnamed text flows, non-text objects, or objects locked for editing are also inserted in approximate locations as markers.

Restrictions for importing PDF comments and annotations into edited documents

  • In .fm and .mif documents, if you drag-and-drop any para anywhere in the document, the import PDF comments functionality does not work correctly.

  • If a PDF review comment spans over two paragraphs and you edit the source within the comment, the comment gets imported on the edited content as well.

  • If due to copy and pasting, duplicate IDs exist for multiple elements in the source document, the PDF comments will be imported for the first instance of the ID and the subsequent, duplicate instances are ignored.

  • In a book, if chapters are moved up and down after generating PDF for review, Import PDF comments do not work correctly.

  • If the text that is commented on in the PDF is changed in the source, the comment is imported as a marker with the type comment. You can view these markers in the Marker panel.

Parent topic: PDF review


Create packages

Learn how to package an Adobe FrameMaker book or document with its related files into a zip archive for distribution and backup.

You can package Adobe FrameMaker .book, .ditamap, .xml, .mif, or .fm files with all its related files into a zip file for distribution or backup. When you choose to create a package with a book or DITA map in focus, FrameMaker automatically picks up the related files, such as chapter files, images, text insets, conrefs, crossrefs, to a .zip file.

The packaged zip file contains:

  • The book or DITA map

  • Chapter or Topic files

  • Files referenced in the chapters/topic files, such as text insets, conrefs, and images

Attention: When packaging structured files, their application setup files, such as DTD, structapps.fm, read-write rules, and templates, are not packaged.
Attention: FrameMaker treats the topic, chapter, or dependent files that exist outside the folder (or subfolders) of the book or DITA map as missing files. To package a book or DITA map, you need to have all their topic, chapter, and dependent files in the same folder or its subfolders. Select this option to package a book or DITA map without their chapter or topic or dependent files in the same folder. Otherwise, packaging fails for such a book or DITA map.

To create a package, place all their topic, chapter, and dependent files in the same folder or its subfolders. Any files outside the folder are treated as missing files and are not copied in the zip file.

  1. With a book or DITA map in focus, choose File > Package or press Esc+F+l+p.

  2. In the Package dialog, do the following:

    1. Edit the filename and path of the zip file, if required. By default, the name and location of the package zip file is the same as the book or DITA map file.

    2. Click Settings to exclude one or more of the following types of files from the package (zip file): Multimedia, Images, and 3D files, Content References and Cross References, Text Insets, and OLE objects.

    3. Select Create Package Even If Files Are Missing to create a package even if chapter, topic, or dependent files are missing.

      Attention: FrameMaker treats the topic, chapter, or dependent files that exist outside the folder (or subfolders) of the book or DITA map as missing files. To package a book or DITA map, you need to have all their topic, chapter, and dependent files in the same folder or its subfolders. Select this option to package a book or DITA map without their chapter or topic or dependent files in the same folder. Otherwise, packaging fails for such a book or DITA map.

    4. To view the package file after it is created, select Open Containing Folder After Packaging. After the package is created, the folder containing the zip file opens in Windows Explorer.

    5. To generate an issue log about the package, select Generate Log File.

    6. Click Package.

FrameMaker processes the book file and creates a package. Now you can share the zip file with others or back it up.

Parent topic: Review and collaboration


Dropbox integration

Learn to use Dropbox with Adobe FrameMaker.

In this topic

  • Introduction

  • Configure Dropbox

  • Add files to Dropbox

  • Share Dropbox location

  • Open and save files

Introduction

Adobe FrameMaker allows you to share and maintain topics and related files using Dropbox. Using Dropbox functionality as supported in FrameMaker, you can share files for:

  • Review with Subject Matter Experts and other stakeholders

  • Shared work with technical writers while they are traveling or are located outside your network

Configure Dropbox

To use Dropbox to share files, the users need to download and set up Dropbox on the machines and create a Dropbox account:

  1. Download and install the Dropbox app on your machine.

  2. In FrameMaker, choose Edit > Preferences….

  3. Choose Global > Dropbox and set up the following:

    Currently selected Dropbox folder: The path to your Dropbox folder. Click Select to browse to your Dropbox folder if the field is empty.

    Delete files from Dropbox after copying locally: When this option is selected, on selecting save locally or save locally with dependencies, the files are deleted from the Dropbox folder on your machine.

    Create folder structure for dependencies while uploading or downloading: FrameMaker creates a folder structure in the Dropbox folder similar to the one you are uploading or downloading. When this option is not selected, FrameMaker creates the folder structure only for folders that exist at the same level or below as per the document/book/ditamap that you are uploading or downloading. When selected, FrameMaker creates a similar folder structure from the topmost component (folder/file) even for the folders that exist outside or above the file that you are uploading or downloading.

  4. Click OK.

Add files to Dropbox

Add files to Dropbox to share with other users. After you have added the files to Dropbox, you can Share Dropbox location.

  1. Open a file in FrameMaker.

  2. Choose File > Utilities > Dropbox > Save to Dropbox folder with Dependencies. When you select Save to Dropbox folder with Dependencies, the following assets are also uploaded to Dropbox:

    • Chapter files referenced in the book file

    • Book file relevant to a chapter file

    • Image files

    • Text insets

Share Dropbox location

For other users to be able to share files with you, share a Dropbox location with them. Create a shared folder in Dropbox and share it with other users who need to set up Dropbox in FrameMaker. Or, you can share link to a single file with other users through Dropbox.

Open and save files

To open a file from the Dropbox folder, choose File > Utilities > Dropbox > Open. FrameMaker opens the file from Dropbox. You can edit or save the file.

Parent topic: Review and collaboration


Compare documents

Learn how to compare documents in Adobe FrameMaker. Understand the composite and the summary document.

In Adobe FrameMaker, you can get specific information on the differences between two documents or different versions of a document by comparing the two documents or versions. When you compare two documents, FrameMaker creates a composite document and a summary document.

Composite document

The composite document is a document that combines the newer and older version. It shows the differences with track changes. You can specify the conditio tags to apply to changed, inserted, and deleted text. You can also specify whether FrameMaker marks changes with change bars.

In the composite document, FrameMaker considers differences to be insertions or deletions. For example, if the contents of a graphic frame have changed, both versions appear in the composite. The older version is marked as deleted; the newer version is marked as inserted. Variables in the composite document use the newer definitions, but they aren’t marked as changed. Only inserted and deleted variables are considered changes.

Summary document

The summary document contains a general summary and a revision list for each type of item being compared. You can create the summary as a hypertext document, with links to the actual pages where the changes occurred. By creating a hypertext summary document, you can quickly display changed pages for reading or editing.

In the summary document (named Summary.fm), differences are considered insertions, deletions, or changes. If an item has moved, it’s marked as deleted and inserted. FrameMaker displays the number of the page on which the change occurs in the newer version, the older version, and the composite document. For insertions, the page number given for the older version is the page where the item would be inserted to match the newer version. For deletions, the page number for the newer version is the page where the item would have appeared if it hadn’t been deleted

  • Types of objects compared
    Understand which objects Adobe FrameMaker checks when comparing two versions of a document in Adobe FrameMaker.
  • Compare two versions of a document
    See how you can compare two versions of a document in Adobe FrameMaker.
  • Compare documents that contain conditional tags
    Learn how to compare documents that contain conditional tags in Adobe FrameMaker.
Parent topic: Review and collaboration


Types of objects compared

Understand which objects Adobe FrameMaker checks when comparing two versions of a document in Adobe FrameMaker.

When comparing two versions of a document, Adobe FrameMaker checks the contents of flows with the same names on Body and Reference pages. FrameMaker compares the following objects:

  • text
  • anchored frames
  • footnotes
  • tables
  • variables and their definitions
  • cross-references and their formats
  • footnote text
  • marker types and marker text

FrameMaker doesn’t compare structure elements. FrameMaker does compare the element contents.

The following are some specific differences that FrameMaker can find:

Anchored frames

FrameMaker compares the objects in the frame. If the objects are different, or if they are in different positions, FrameMaker marks the entire anchored frame as changed.

Cross-references

FrameMaker checks whether a cross-reference is external or internal. FrameMaker also checks the cross-references format name, the marker text at the source, and the path of the referenced file (for external cross-references). If any of these properties are different, FrameMaker marks the cross-reference as changed.

Equations

FrameMaker compares the size of the equation, the location of the equation within its graphic frame, and the math expressions. If any of these objects are different, it marks the entire equation as changed.

Imported graphics

FrameMaker compares the contents and dpi scaling of imported graphics. For example, FrameMaker checks whether the object has been flipped or rotated, and compares the size of the bounding box. FrameMaker also compares how the graphic was imported—by reference or by copying. When you import a graphic by reference, FrameMaker compares the file paths. If any of these properties are different, it marks the line that contains the anchored frame of the imported graphic as changed.

Tables

FrameMaker checks the number of rows and columns, whether cells are straddled, and whether cells are rotated. If any of these properties is different, FrameMaker marks the line that contains the table anchor as changed. If text in cells has changed, only the new table appears in the composite document. FrameMaker marks the line in the cell that has changed as changed. If more than 75% of the cells have changed, it marks the entire table as changed.

FrameMaker doesn’t check the formatting of text or tables. Therefore, it doesn’t notice different ruling or shading in a table or a different color assigned to text.

Both the English version of FrameMaker and the Japanese version running on a Japanese OS can compare Japanese text.

Text insets

FrameMaker compares the modification date, the filename, the relative paths of text insets, and the way the text inset was imported. For example, for imported text insets, FrameMaker checks whether the lines were merged into paragraphs. If any of these objects are different, FrameMaker marks the entire text inset as changed.

FrameMaker doesn’t compare these objects:

  • Master page flows, header and footer flows, or untagged flows

  • Graphic objects or text lines not in anchored frames

  • Anchored frame positions

  • Footnote properties or numbers

  • Paragraph, character, or table tags

  • Text or table formatting

  • Tags in the Paragraph Catalog, Character Catalog, or Table Catalog

  • Contents of text insets

Parent topic: Compare documents


Compare two versions of a document

See how you can compare two versions of a document in Adobe FrameMaker.

To compare two versions of a document in Adobe FrameMaker, do the following:

  1. Open both versions of the document. If the documents contain conditional tags, all conditions must be visible.

  2. In the newer version, choose File > Utilities > Compare Documents.

  3. Choose the older version from the drop-down list, and specify the documents you want FrameMaker to create. All open, named documents, except the current document, are listed in the Older Document drop-down list.

  4. Click Options, do the following, and click Set:

    • Specify how to display inserted text in the Mark Insertions With area. Select the default condition tag (Inserted) or a different condition tag. You can choose not to mark inserted text.

    • Specify how to display deleted text in the Mark Deletions With area. Select the default condition tag (Deleted), a different condition tag, or text that you specify. To omit deleted text from the composite document, click Replacement Text and leave the box empty.

    • To mark all changes (insertions and deletions) with change bars in the composite document, select Mark Changes With Change Bars. FrameMaker uses the current change bar settings for the document.

    Tip: To add change bars to the newer version of a document, select Mark Changes With Change Bars. Select Replacement Text in the Mark Deletions With area and leave the Replacement box empty.

  5. Click Compare. When the comparison is complete, FrameMaker displays the summary and composite documents. If the two versions are the same, neither document is created.

  6. To make the summary report a hypertext document, select Create Hypertext Links In Summary. When you click the page number of a change in the summary, FrameMaker displays the page. You can display pages of the newer version, the older version, or the composite document that contains that change.

Parent topic: Compare documents


Compare documents that contain conditional tags

Learn how to compare documents that contain conditional tags in Adobe FrameMaker.

You can compare documents with multiple flows. To prevent Adobe FrameMaker from comparing the wrong flows, make sure that each flow has a unique tag.

A document can contain different flows with the same name, such as separate flows named “A” on disconnected pages. In such cases, an alert message lists the duplicate flows when you try to compare the documents. FrameMaker compares flows only if each document contains one flow of the same name.

FrameMaker ignores hidden text and graphics that are not showing.

Do one of the following:

  • To compare the full texts of two documents that contain conditional tags, show all conditions before performing the comparison.

  • To compare specific texts of two documents that contain conditional tags, show conditions based on a specific expression before performing the comparison.

  • To ignore conditional tags while comparing documents, hide all conditions before performing the comparison.

Any hidden conditional items in the newer document remain hidden in the composite document that is produced.

Parent topic: Compare documents


Word and character count

See how to find word and character count during authoring and revising a document in FrameMaker.

When authoring or revising a document, you sometimes want to find out the number of words and characters in the document. For Asian-language documents with double-width (multibyte) characters, counting the number of characters in a document is useful.

  • Choose File > Utilities > Document Reports.

  • Select Asian Character Count or WordCount, and then click Run.

    Note: The Asian Character Count report gives the number of single-width characters, double-width characters, and the total number of characters.

In addition to finding word or character count on an individual file, you can also get the total number of words in every single file in your book.

  • Select the book file, and choose File > Utilities > Book Word Count.

    The report processes all files within your main book, nested books, and even files within folders in your book. You can also save the report as a CSV file by clicking Save Report.

Parent topic: Review and collaboration


FAQ & troubleshooting

See come common FAQs and troubleshooting tips for text edits in FrameMaker.

I have selected enable Track Text Edits. The document does not open.

If the document you want to edit has errors, FrameMaker might experience problems in opening the document. It is recommended that you open the document first and then enable Track Text Edits.

Change bars have disappeared from paragraphs.

Check if you updated the paragraph styles after applying the change bars. If you need to update paragraph styles after applying change bars, make sure you don’t remove format overrides.

I forgot to turn on change bars before making changes to a document. Is there a way I can identify the changes I have made?
If you have maintained the version of the document before making changes, you can compare that version with the current version of the document and identify the changes you have made.
See Compare two versions of a document.
Parent topic: Review and collaboration


Structured authoring

Understand what structured authoring is and how the content rules are defined in Adobe FrameMaker for structured authoring.

In this topic

  • Introduction

  • Benefits

  • SGML, XML, and XHTML

  • DITA and DocBook

Introduction

In an unstructured authoring workflow, you create relatively free-flow narrative-based documents. For example, you can have headings, followed by paragraphs, or graphics with captions. In the case of structured authoring, the content rules enforce a consistent structure across similar pieces of information. For example, you can decide to enforce the following content rules:

  • A topic must always start with a title.

  • A paragraph must follow a title.

  • A table must have a heading row.

  • A graphic must have a caption.

These content rules are defined in either a DTD (Document Type Definition) or an XML Schema. Conformance to these content rules is automatically checked against the DTD or XML Schema.

For example, consider the structure of a home address. Suppose that the content rules require an address to contain an employee name, house number, street, city, and ZIP code. In unstructured authoring, an address without a house number can be discovered only through editing or review. In structured authoring, the structure is validated and automatically checked for completeness. Consistent organization and sequence are therefore enforced and assured.

Benefits

Enforces a consistent organization of information

You can create a Structured Application to ensure that a bulleted list must contain at least two items. Or an image must include a caption.

Automatically validates the organization of information

FrameMaker provides visual cues to indicate when the structure of a document is broken.

Figure 1. Here the title element is missing in a DITA Topic
Visual cuestoindicate the broken structure of a document

Consistency of content

Imposing structure results in improved consistency of content across multiple documents in a document set.

Supports content reuse

FrameMaker provides user interface based content reuse functionality such as DITAVAL, Filter by Attribute, relationship tables, to allow users to reuse content easily.

Supports metadata to add information to documents

Besides content such as text and images, you can also associate metadata with a structured document. For example, the author of a document. You can also use attributes to associate metadata with specific elements in a document. The Filter by Attribute feature in FrameMaker allows you to set attribute values and then filter the content in a structured document based on these attributes.

Separating content and formatting

The writers focus on content. The publishing workflow controls formatting and the appearance of the final output. For example, print output may use a different font from online.

However, FrameMaker supports formatting in Structured Applications. This implies that the FrameMaker structured authoring environment displays formatted content. This provides visual cues to users regarding the formatting of a document.

Figure 2. XML View
XML view of the formatted content

Figure 3. WYSIWYG View
WYSIWYG viewofthe formatted content

Reduces localization effort

Since structured documents separate content from formatting, the use of localization technologies can substantially reduce localization effort and cost.

SGML, XML, and XHTML

Using FrameMaker, you can import and export structured documents in either SGML or XML (including XHTML 1.0) format. Once you import a structured file, it is no longer an SGML or XML file; it is a structured FrameMaker document. To return it to its original format, save it as an SGML or XML file.

SGML

SGML (Standard Generalized Markup Language is the international standard for all markup languages for data exchange and storage.

SGML is a descriptive, rather than procedural, markup language, meaning different systems can process the same document. Each system applies different processing instructions to relevant sections.

SGML was the first language to implement the DTD (Document Type Definition), which formally defines the document by its components and structure. Documents of the same type can then be verified and processed uniformly.

A document that conforms to the structure of a DTD is called valid.

XML

XML (Extensible Markup Language) is a generalized format for representing structured information, especially for the web. Like HTML and SGML, XML requires the use of elements and structure.

However, XML differs from HTML in that it is extensible. You can define not only your elements but also their order, relationships among them, and the way they are processed and displayed.

Use XML to define and implement a structure that is appropriate for your content. An XML document that conforms to the structure of a DTD is called valid. An XML document that uses elements that conform to the standard XML specifications are called well-formed.

XHTML 1.0

XHTML (Extensible Hypertext Markup Language) is an extension of HTML that is based on XML and is designed to work with XML-based applications. It can be viewed, edited, and validated with standard XML tools. Using XHTML is an easy way to migrate from HTML to XML while retaining forward and backward compatibility of your content.

XML vs XHTML 1.0

Instead of style-based, paragraph-oriented word processing and desktop publishing, XML provides a foundation for structured authoring. XML describes content according to elements that are organized in a hierarchical tree.

In word-processing environments (such as unstructured FrameMaker), the relationship among the various document components is apparent through formatting on the page. The document file, however, does not capture these relationships because a word processor document is made up of a string of paragraphs. For example, unstructured FrameMaker does not capture the subordination of a Body paragraph style to its preceding Heading1 style. Structured authoring, however, does capture the hierarchical relationships among the document components.

DITA and DocBook

Two off-the-shelf Structured Applications available for technical documentation in Adobe FrameMaker are DITA and DocBook.

DITA

DITA (Darwin Information Typing Architecture) is an XML data model for authoring and publishing. It is an open standard that is defined and maintained by the OASIS DITA Technical Committee. DITA provides a set of elements and attributes and a pre-definied structure designed specifically for technical documentation.

DITA 1.3 includes five specialized topic types:

  • Task

  • Concept

  • Reference

  • Glossary Entry

  • Troubleshooting

Typical elements in DITA include, for example, <title>, <shortdesc>, <prolog>, <body>, <p>, <fig>, <image>, <table>, and <related-links>.

Following are some distinguishing DITA features:

  • DITA is topic-oriented. Each topic can be a piece of content that can be reused in multiple contexts.

  • Because DITA separates content from context, multiple architectures of information are possible in DITA. DITA can also be extended to allow for the definition of information types.

  • DITA is topic-based. It provides three basic topic types, but it allows for specialization of these topic types for individual needs.

  • DITA uses a DITA map which contains links to the XML files in the documentation set. Each XML file can be a topic or a collection of topics.

  • FrameMaker can publish DITA to PDF, Responsive HTML5, mobile Apps for iOS and Android, EPUB, Kindle, Microsoft HTML Help (CHM), and Basic HTML.

DocBook

DocBook is also an open standard, designed for technical articles and documentation. DocBook provides a DTD for writing technical books and articles, with a structure that such forms imply.

Typical elements in DocBook include, for example, <article>, <section>, <title>, <articleinfo>, and <pubdate>.

Following are some distinguishing DocBook features:

  • DocBook is book or chapter oriented.

  • DocBook is hierarchical by nature and has to be developed for true single-sourcing. The content is not independent of its context.

  • DocBook has a fixed but a large set of elements and attributes.

  • DocBook provides an XML include file that contains all the other files.

  • DocBook outputs include PDF, HTML, and HTML Help. It can be extended for other output forms with some development work.

  • Author structured content
    Learn how you can author content in structured Adobe FrameMaker.
  • Filter by attribute
    Learn how to filter elements by attribute values in a DITA topic in Adobe FrameMaker.
  • XSL Transformations
    Understand XSLT transformations in Adobe FrameMaker.
  • Structured Authoring user interface
    Understand the Adobe FrameMaker Structured Authoring user interface and the tools that it provides to help you in authoring structured documents.
  • Elements in structured documents
    Understand what elements are, what makes them valid and the two classes of elements.
  • Working with element attributes in structured documents
    Understand how you can work with element attributes in Structured FrameMaker.
  • Find/Change elements and attributes in structured documents
    Understand how you can find and change XML elements and attributes in Adobe FrameMaker.
  • Search in XML Source Code
    Understand how to search in XML source code with Adobe FrameMaker.
  • Find and correct errors in document structure
    Understand how to find and correct errors in the document structure with Adobe FrameMaker.
  • Getting started with Structured Applications
    Learn how to get started with Structured Applications, the significance of formatting in the Structured Application
  • Convert unstructured documents
    You can convert unstructured FrameMaker files into structured FrameMaker files using Conversion Tables. With Converstion Tables you can map paragraph styles, character styles, table styles, variables, cross-references, markers, and images to corresponding XML elements.
  • Convert Word documents to DITA
    Learn how to convert Microsoft Word documents into DITA documents and map.
  • Convert Markdown documents to DITA
    Learn how to convert Markdown documents into DITA documents and map.


Author structured content

Learn how you can author content in structured Adobe FrameMaker.

You can create structured document as XML documents or as binary FrameMaker (*.fm) documents.

Structured authoring is based on elements. An element in a document contains text, image, or other elements. A structured document is made up of a hierarchy of elements.

Figure 1. Element hierarchy
Hierarchy of elements in a structured document

The elements in a structured document depend on the Structured Application on which the document is based. A Structured Application defines the structural and formatting rules that are then used by the structured documents that use the application. For details, see Getting started with Structured Applications.

When you create a structured document in FrameMaker, you need to specify the Structured Application to use.

  • Create XML documents
    Learn how to create a new XML document, open an XML document, and save an XML Document with Adobe FrameMaker.
  • Elements catalog
    Understand the Elements catalog in Adobe FrameMaker.
  • Manage elements using the Elements catalog
    Understand how to merge and split elements and how to unwrap element content in Adobe FrameMaker.
  • Element banner text
    Understand element banner text in Adobe FrameMaker and how to show/hide it, and how to configure element banner text settings in the maker.ini.
  • Element boundaries
    Understand what element boundaries are and how to work with them in Adobe FrameMaker.
  • Creating output with element banner text and element boundaries
    Understant to which output formats you can publish element banner text and element boundaries with Adobe FrameMaker.
  • Working with element attributes
    Learn how to work with element attributes in structured authoring in Adobe FrameMaker.
  • Create equations using the Equations panel
    Learn how you can create equations using the Equations panel in Adobe FrameMaker.
  • Create equations using MathML
    Understand how you can create equations using MathML style editor and structure editor in Adobe FrameMaker.
  • Language and font settings in structured documents
  • Change text direction in structured documents
    Learn how you can change the direction of text in structured documents in Adobe FrameMaker.
  • Smart Paste
    Understand what Smart Paste is and how it helps to paste content from HTML, Word, Excel or Outlook as DITA content in Adobe FrameMaker.
  • Conditional text in XML
    Understand conditional text in XML in Adobe FrameMaker.
  • OLE object support in XML
    Understand how OLE object support works in Adobe FrameMaker.
  • Whitespace handling for XML
    Understand whitespace handling in Adobe FrameMaker and the whitespace normalization standard.
  • Cross-references in XML
    Understand cross-references in XML in Adobe FrameMaker.
  • Round trip table properties
    Understand XML roundtripping for table properties in Adobe FrameMaker.
  • Round trip equations and anchored frames
    Know how to round trip equations and anchored frames in XML with Adobe FrameMaker.
Parent topic: Structured authoring


Create XML documents

Learn how to create a new XML document, open an XML document, and save an XML Document with Adobe FrameMaker.

In this topic

  • Introduction

  • Create a blank XML

  • Create an XML based on a DTD

  • Create an XML based on a Structured Application

  • Save an XML document

  • Open an XML document

Introduction

With Adobe FrameMaker, you can create a blank XML document. You can also create an XML document that is based on an existing DTD (Document Type Definition) or on an existing Structured Application. You can also open existing XML documents, edit them, and save them.

Create a blank XML

You can create a blank XML document from scratch. This document only contains a single root element (<ROOT>).

  1. Open the New XML dialog (File > New > XML).

  2. In the Other XML tab, select Empty XML and click OK.

  3. Open the Elements catalog to view the list of elements in the catalog (View > Panels > Element Catalog).

    Note: The Elements catalog contains a <TEXT> and a <ROOT> element.

In the WYSIWYG view, you can only add <ROOT> elements or text to the root elements.

In the XML view, you are able to add elements to the XML structure. For example, you can add a <SECTION> and a <P> element within a <ROOT> element:

Figure 1. p element added in XML view
Adding a p element in the XML view

In the WYSIWYG view, the Elements catalog now displays the <SECTION> and the <P> element. You can now add this element in the XML document. This document is not based on any Structured Application, so FrameMaker does not enforce any structural rules on the document. FrameMaker, however, ensures that the structure of the XML is maintained.

Create an XML based on a DTD

You can create a XML document based on an existing DTD (Document Type Definition).

  1. Save the following snippet into a text file.

    <!ELEMENT BOOK (CHAPTER+)>
<!ELEMENT CHAPTER (HEADLINE,BODY)>
<!ELEMENT HEADLINE (#PCDATA)>
<!ELEMENT BODY (#PCDATA)>
<!ATTLIST CHAPTER AUTHOR CDATA #REQUIRED>

  2. Save the text file with the .dtd extension.

  3. Open the New XML dialog (File > New > XML).

  4. In the Other XML tab, select DTD based XML and click OK.

  5. In the New XML dialog:

    Root Element

    Specify the name for the root element of the XML document. This is the topmost element in the hierarchy.

    Public ID

    A public ID in an XML document makes it portable to other computers.

    System ID

    Path to the DTD. This can be a path on your file system or a URL.

    Note: If you view the document in the XML view, the public ID and the System ID are stored in the DOCTTYPE declaration at the top of the file.

  6. Click OK.

    The <BODY>, <CHAPTER>, and <HEADLINE> elements defined in the DTD are available in the Elements catalog.

  7. Insert the <CHAPTER> element into the document.

    The Attributes for New Element dialog prompts you to specify the value of the AUTHOR attribute.

Create an XML based on a Structured Application

A Structured Application defines structural rules (using EDD or DTD), content formatting (using templates), read/write rules for the documents that are based on the application. FrameMaker provides a set of out-of-the-box Structured Applications that you can use to create documents. These applications are based on the following open standards:

DITA

Darwin Information Typing Architecture (DITA) provides an off-the-shelf DTD and set of rules designed specifically for writing online documentation, such as software help files. It defines an element structure suited to authoring, producing, and delivering technical documentation. The types of elements in DITA include, for example, <topic>, <title>, <shortdesc>, <prolog>, <body>, and <concept>.

xDocBook

DocBook is also an open standard, designed for technical articles and documentation. DocBook provides a DTD for writing technical books and articles, with a structure that such forms imply. DocBook elements include <article>, <section>, <title>, <articleinfo>, and <pubdate>.

XHTML

Extensible Hypertext Markup Language (XHTML) is an extension of HTML that is based on XML and is designed to work with XML-based applications. It can be viewed, edited, and validated with standard XML tools.

S1000D

For performance considerations, FrameMaker does not run the associated S1000D scripts at startup. Before creating document based on S1000D applications, you need to:

  1. Choose Edit > Preferences to open the Preferences dialog.

  2. Go to the General > Launch tab and remove the following entries from the Don’t Load Startup Scripts field:

    S1000dUtilities and S1000Dmenu

  3. Click OK and restart FrameMaker.

Note: For more information about S1000D, see Adobe FrameMaker (2017 release) Application Pack for S1000D.

Quick access to the S1000D/ATA resources has been provided in the Help > S1000D Functionality menu.

The new menu items under S1000D Functionality are:
  • Frequently Asked Questions: Find answers to some commonly asked questions about S1000D in the S1000D Functionality section in the FrameMaker FAQ article.
  • Application Pack Guide: You get a quick access to the Application Pack for S1000D user guide.
  • Enhanced 3rd party extension for S1000D/ATA from Mekon: You can find information about Mekon, Adobe Techcomm partner, which offers expert consultation for S1000D/ATA standards.

To know more, choose Help > S1000D Functionality.

In addition, you can create your own Structured Application. You can then create documents based on this application.

  1. Choose File > New > XML to open the New XML dialog.

  2. Select a Structured Application from the Structured Applications tab or select a DITA Structured Application in the DITA tab.

    Note: The DITA Structured Applications are also available in the Structured Applications tab.

  3. Click OK.

The elements in the Elements catalog and the attributes defined for each element are based on the Structured Application on which the document is based.

Since structured documents enforce structural rules, the elements in the Elements catalog are based on the current context.

Save an XML document

When you save an XML document, if you prompted with the following dialog, you need to select the associated Structured Application.

Figure 2. Choose Structured Application
Selecting theassociatedStructuredApplicationwhile saving an XML document

If you choose an incompatible Structured Application, the errors are logged to the message console.

When you open a structured document, the FrameMaker error console displays structural and other issues in a document, if any. This console also provides the following information about document issues:

  • Exact location of the issues within the document

  • Name of invalid elements, if any

Open an XML document

When you open an XML document, if you are prompted with the following dialog, you need to select the associated Structured Application.

Figure 3. Choose Structured Application
Selecting theassociatedStructuredApplicationwhile opening an XML document

If you choose an incompatible Structured Application, the errors are logged to the error console. In addition, if the XML document hierarchy does not follow the structural rules defined in application, the document is displayed with errors in the Structure View.

Parent topic: Author structured content


Elements catalog

Understand the Elements catalog in Adobe FrameMaker.

In Adobe FrameMaker, the Elements catalog lists the elements you can use at the current location and provides commands for adding and editing elements. It also displays other information about the current location, such as whether you can type text there. The information in the Elements catalog comes from content rules in the definition for the current element.

Use the Elements catalog to do the following:

Insert

Insert an element into the document hierarchy.

Wrap

You can wrap text content, a single element or multiple consecutive elements into another element if the structure allows this.

For example, in DITA, you can wrap one or more words in a paragraph (<p>) into inline elements like <b> or <i> to mark them up for bold or italic formatting. You can also wrap multiple consecutive <p> elements into a <section> element.

Change

You can change (rename) an element to another element which is allowed in the structure.

For example, in DITA, you can change a <p> (paragraph) element to a <note> element.

Options

You can customize the display of elements in the Elements catalog based on the options in the Set Available Elements dialog.

The Elements Catalog is preset to show only the elements that are valid at the current location, though you can have it display more elements if you want greater flexibility. The catalog is empty if you click or select in an unstructured flow, if the document has no element definitions, or if no elements are possible at the current location.

To maintain the structure of the document, the Elements catalog displays only valid elements. This implies that the catalog displays only elements defined in the associated Structured Application and that are valid at the current location.

Example: A Structured Application defines a <table> element that contains <row> elements. The <row> element is displayed in the Elements catalog only if the insertion point is placed at the appropriate location in the <table> element.

Figure 1. Elements catalog displaying the only valid element at the current position (row)
Structure View and Elements catalog displaying a valid row element in Adobe FrameMaker’s Elements Catalog

Choose View > Panels > Element Catalog to display the Elements catalog:

Figure 2. Elements Catalog
Elements Catalog in Adobe FrameMaker

The Elements catalog uses the following symbols to identify whether an element is valid:

Heavy check mark

The element is valid at the current location. If you insert the element, the current (parent) element will be correct and complete up to this location.

Plus sign (+)

The element is an inclusion (SGML only) in the current element and is valid at the current location. The plus sign always appears next to a heavy check mark. Inclusions are valid only in SGML documents, so this sign does not appear in XML documents.

Tip: Although inclusions are as valid as elements identified with just a heavy check mark, you might find it helpful to list inclusions separately. If a document has many inclusions, it can be difficult to find other valid elements in the catalog.
Question mark (?)

The element is a possible replacement for the element right after the insertion point or for the selected elements. It is valid at the current location, but will make child elements after it invalid. If you insert an element with a question mark, the current (parent) element will be complete and correct up to this location, but you’ll have to correct errors after the new element.

Light check mark

The element is valid later in the current element. If you insert one of these elements, the current (parent) element will be correct but incomplete up to this location. You’ll have to go back and fill in missing child elements.

No symbol

If an element in the catalog has no symbol, it is not valid at the current location or later in the current element. It may be valid earlier in the current element or outside the element.

The Elements catalog may also include the following indicators to provide other information about the current location:

<TEXT>

You can type text at this point.

<UNDEFINED>

The current element does not have a definition in the document. The element was probably pasted from a document with different element definitions. This does not appear when the catalog is set to display all elements.

<INVALID>

The contents of the current element are invalid. This does not appear when the catalog is set to display all elements.

You can use buttons in the Elements catalog to insert an empty element, wrap an element around contents, and change the type of an existing element.

If there are many elements in the catalog you can type in an element name or part of an element name or the element’s “friendly name” in the search bar to filter the list:

Figure 3. Use the search bar in the Elements panel to filter the list of valid elements and find the right element more easy
Find elements in the Elements panel more easy with the search bar

Parent topic: Author structured content
  • Insert an element
  • Wrap an element
  • Change an element
  • Configuring the Elements catalog


Manage elements using the Elements catalog

Understand how to merge and split elements and how to unwrap element content in Adobe FrameMaker.

In this topic

  • Introduction

  • Merge elements

  • Split an element

  • Unwrap element text

Introduction

When working with elements in a document, you can use the Elements catalog to insert, wrap, and change the elements. You can also merge multiple elements in a document, you can split a single element into multiple elements, and unwrap elements in a document.

Merge elements

You can merge multiple similar and contiguous elements in a document. For example, you can merge two or more <p> elements to include the contents into one <p> element. You can merge multiple lists (ordered or unordered) to include the elements of the different lists into one list.

  1. To select multiple similar elements in the Structure View panel, click the first element then keeping the Shift key pressed, click the other elements that you want to merge.

    Note: The elements that you want to merge must be contiguous (placed next to each other in the document hierarchy).

  2. Choose Element > Merge.

    Alternatively, you can right-click the selection and choose Merge from the context menu.

The multiple elements are merged into a single element of the same type.

Split an element

You can split a single element into two elements. For example, if a list contains multiple list items, you can split the list into two lists. The list items in the two new lists depends on the item you selected to split the list. Also, if a paragraph of text contains a piece of text that is wrapped in an element, you can split the paragraph at the wrapped element.

  1. Select the element at which point you want to split the parent.

    For example, select the list item at the point where you want to split a list.

    Or select the wrapping element at the point where you want to split a paragraph.

  2. Choose Element > Split.

    Alternatively, you can right-click the selection and choose Split from the context menu.

The parent element is split at the selected child element.

Note: You cannot split the contents of a table. Also you need to ensure that the splitting of an element does not break the structure of the document.

Unwrap element text

You can wrap text into an element (Wrap an element). You can also choose to unwrap text from an element and remove the element wrapping the text.

  1. Select the element that wraps text in a document.

  2. Choose Element > Unwrap.

    Alternatively, you can right-click the selection and choose Unwrap from the context menu.

The wrapping element is removed from the text.

Parent topic: Author structured content


Element banner text

Understand element banner text in Adobe FrameMaker and how to show/hide it, and how to configure element banner text settings in the maker.ini.

In this topic

  • Introduction

  • Show or hide element banner text

  • Remove element banner text on delete

  • Element banner text settings

Introduction

Banner text in a document acts as a visual cue to working with the element in a document. For example, the following document based on the DITA topic Structured Application, displays banner text:

Figure 1. Banner text indicates what you should enter in various elements
Banner textacting as a visual cue to work with the element in a document

When you place the cursor on the banner text, the entire text is selected, you can then start typing and the banner text is replaced.

Show or hide element banner text

You can choose to display or hide the banner text in a document. By default, the banner text is displayed.

To show or hide the banner text, choose View > Element Banner Text.

Remove element banner text on delete

If you select the banner text in an element and press the Del key, the banner text is removed. However, if you do not type any text in place of the banner text, as soon as you move to another element, the deleted banner text is displayed in the element.

You can choose to override this default behavior and ensure that the banner text, if deleted, does not reappear. The banner text will not reappear even if you close and reopen the document.

To ensure that the banner text remains deleted, you need to set the RedisplayBannerTextForemptyElements flag in the maker.ini file to OFF.

Element banner text settings

Besides the RedisplayBannerTextForemptyElements flag described above, you can also configure banner text using the following settings in the maker.ini file:

Property | Description
BannerTextFontAngle | Angle of the banner text
BannerTextFontVariation | Any variation of the font width
BannerTextTextColor | Banner text font color
BannerTextBKcolor | Banner text background color
Parent topic: Author structured content


Element boundaries

Understand what element boundaries are and how to work with them in Adobe FrameMaker.

When you are working on a structured document in the WYSIWYG view, you can use the element boundaries as visual cues. An element boundary marks the beginning and end of an element in the WYSIWYG view. You can then use these boundaries as a visual cue to place the insertion point or select the text within a boundary.

If you want to insert an element before or after an element, you can place the insertion point before or after the element boundary.

To place element boundaries as square brackets around the content, choose View > Element Boundaries.

Figure 1. Document with element boundaries in WYSIWYG view
Document with element boundaries in WYSIWYG view

To display the element boundaries as tags, choose View > Element Boundaries (as Tags).

Figure 2. Document with element boundaries as tags in WYSIWYG view
Document with element boundaries as tags in WYSIWYG view

Parent topic: Author structured content


Creating output with element banner text and element boundaries

Understant to which output formats you can publish element banner text and element boundaries with Adobe FrameMaker.

Banner text and element boundaries are part of the WYSIWYG view of a FrameMaker document but are not included as part of the document content. For example, if you are working in an XML document, the banner text and element boundaries are not available in the XML View.

Save as PDF

Since banner text and element boundaries are part of the WYSIWYG view, they are included in the PDF output, if you use the Save As PDF functionality of FrameMaker and if they are activated.

Multi-Channel Publishing

Since banner text and element boundaries are not part of the document content, they are not included in any of the Multi-Channel publishing output formats.

Parent topic: Author structured content


Working with element attributes

Learn how to work with element attributes in structured authoring in Adobe FrameMaker.

In this topic

  • Introduction

  • Set attribute values for elements

  • View the attributes of an element

  • Set attributes display options on element insertion

  • Copy the attribute values from one element to another

Introduction

The elements in a structured document define the content in the document. You can also use element attributes to include additional information (metadata) to elements. An attribute is a name-value pair associated with a specific element.

For example, say the content elements in a Structured Application have an @audience attribute. You might use this attribute to single-source content. You can set the attribute of elements to e.g. admin and enduser. Your can then use these attributes to create a Responsive HTML5 output with dynamic content or, for example, two versions of a PDF: one PDF for administrators and another PDF for end users.

The same approach could be used to create outputs for different versions of your product, different versions for print and online output, or e.g. different sales regions.

Note: The elements that display in the elements catalog are defined in the Structured Application on which the document is based. Similarly, attributes for each element are also defined in the associated Structured Application.

Set attribute values for elements

To set attribute values for elements, do the following:

  1. Select an element in the document hierarchy.

  2. Choose Element > Edit Attributes to open the Attributes dialog.

  3. Click on an attribute in the dialog.

    At the bottom of the dialog, information about the attribute is displayed:

    Name

    The name of the attribute as it appears on the dialog.

    Type

    If the attribute value is optional or required. Also, the type of the value:

    String

    Enter a value for the attribute

    Choice

    Select a value from the available drop-down list.

    Default value

    Displays the default value, if any. Or specifies that no default value is required.

  4. For String type attributes, you can enter a text value.

    For Choice type attributes, you need to select a value from the value drop-down list.

View the attributes of an element

You can view the attribute values set for an element in the Attributes dialog (Element > Edit Attributes).

Alternatively, you can view the attribute values set for an element in the Structure View. To view the attribute values:

  1. Click the arrow sign to the right of the element in the Structure View.

    If one or more attribute value is set for the element, the list displays only those attributes. However, the arrow sign remains.

    Click the arrow sign again to display the complete list of attributes.

  2. If no attribute value is set for the element, the complete list of attributes is displayed.

Set attributes display options on element insertion

You can specify how the attributes display in the Structure View when an element is inserted in the document hierarchy. To specify the display options open the Attribute Display Options dialog (View > Attribute Display Options).

Required and Specified Attributes

The required and specified attributes of the element display when the element is inserted into the document.

All Attributes

All attributes of the element display when the element is inserted into the document.

No Attributes

No attributes of the element display when the element is inserted into the document.

Note: If you change the options in the Attribute Display Options dialog, the settings are applied to the currently opened document. For example, if you change the option from No Attributes to All Attributes, all the elements in the documents in the Structure View are expanded to display all the attributes.

Copy the attribute values from one element to another

You can copy all the attribute values set on one element to other elements in a document.

  1. In Structure View, right-click on the element from which you want to copy attribute values and choose Copy Attribute Values from the drop-down list.

  2. Right-click on the element to which you want to copy the attribute values and choose Paste from the drop-down list.

    To copy the attribute values to multiple elements, use shift + click to select multiple contiguous elements in the document and choose Edit > Paste.

Parent topic: Author structured content


Create equations using the Equations panel

Learn how you can create equations using the Equations panel in Adobe FrameMaker.

In this topic

  • Introduction

  • Create an inline equation using an element

  • Create a display equation using an element

  • Create an equation in an anchored frame element

Introduction

You create an equation by inserting an equation element and then entering the mathematical expressions for the equation. To insert an element, you can use the Elements catalog. You can also use a New Equation command from the Equations drop-down list in the Equations panel.

Note: The term “math element” refers to part of an expression, such as an operator. It is not a structural element.

You can use any equation element for both inline and display equations. Some documents also have a paragraph element defined that provides formatting properties for the display equations.

The format rules for an equation element suggest a set of font sizes for the equation: Small, Medium, or Large. You can change to a different set of font sizes. This change is not considered a format rule override. If you remove format rule overrides in the document, the equation does not return to its original font size.

Create an inline equation using an element

  1. Click in text where you want to insert the equation. If the text is in a rotated text frame, unrotate the frame first by pressing esc+g+0.

  2. Select an equation element in the Elements catalog and click Insert.

    The first math item that you enter replaces the question mark prompt of the new equation object.

    Figure 1. New equation object
    Creatingan inline equation using an element

  3. Enter the equation by typing numerals and other items or by clicking items on the Equations panel.

  4. Choose Shrink-Wrap Equation from the Equations drop-down list in the panel.

    Figure 2. Shrink-wrapped frame around an inline equation
    Shrink-wrappinga frame around an inline equation

  5. If the equation seems too close to the text on either side, insert a space before or after the frame. FrameMaker treats a frame that contains an inline equation as a character and doesn’t provide extra space around it.

    If an inline equation is too tall for its line, perhaps turn off fixed line spacing for that paragraph.

Create a display equation using an element

  1. If your document has a paragraph element defined for formatting display equations, click where you want the equation paragraph. Select the paragraph element in the Elements catalog, and click Insert.

    This element sometimes defines space above and below the equation, alignment in the text column, and an autonumbered caption.

  2. Click in an empty paragraph element where you want to insert the equation.

  3. Select an equation element in the Elements catalog, and click Insert.

    Figure 3. New equation object
    Inserting new equation object

  4. Enter the equation.

  5. Choose Shrink-Wrap Equation from the Equations drop-down list.

    Figure 4. Shrink-wrapped frame around a display equation
    Shrink-wrappingthe frame around a display equation

  6. If no equation element is available at the location that you want, perhaps you can use an invalid element. Do one of the following:

    • To use an element that is valid in another part of the document, insert the element in a valid location and then move it. You can also use the All Elements setting to make the element available everywhere and then insert the element where you want it.

    • To insert an invalid equation element with the default element <EQUATION>, choose a New Equation command from the Equations drop-down list in the Equations panel. The element has a default name if no defined equation elements are available.

    After inserting the element, talk to your developer about making the element valid at this location.

Create an equation in an anchored frame element

To create an equation in an anchored frame element:

  1. Select an anchored frame or a graphic object in the frame.

  2. Choose a New Equation command from the Equations drop-down list in the panel.

    The first math item you enter replaces the question mark prompt of the new equation object. The equation does not appear in the document structure.

    Figure 5. New equation object in a frame with graphic objects
    New equationobject in a frame with graphic objects

  3. Enter the equation.

Parent topic: Author structured content
Related information
  • Equations panel overview
  • Change the scope of elements available in a structured document
  • Create equations


Create equations using MathML

Understand how you can create equations using MathML style editor and structure editor in Adobe FrameMaker.

In this topic

  • Introduction

  • Create and insert a MathML equation into a document

  • Edit a MathML equation in a document

  • Configure the MathFlow settings in FrameMaker

  • Configure the installation settings

  • Format a MathML equation

  • Configure the MathFlow editor

  • Sample DITA MathML structured app

Introduction

In addition to using the FrameMaker Equation panel to add equations to your documents, you can also use the MathFlow editor from Design Science to design complex mathematical equations. You can then add these equations to your FrameMaker documents. You also have the option to later modify these equations in the same MathFlow editor and publish documents containing MathML equations.

MathML equations are available for use in FrameMaker structured and unstructured documents.

Note: You can also insert MathML equations in DITA 1.3 topics (topic, task, concept, reference, and troubleshooting.) A new element named, “mathml” is created when you insert a MathML equation.

If you generate PDF output for a document containing MathML equations, a reader can search for the contents of these equations.

FrameMaker ships with a trail version of the following MathFlow editors:

  • MathFlow™ Style Editor is for content authors and subject matter experts (SME). It provides precise control over the visual appearance of math expressions, a style toolbar for quickly adjusting fonts, and an easy to use interface for modifying a wide range of equation properties from operator spacing to matrices/table appearance.

    Figure 1. Style Editor
    MathFlow™ Style Editor in FrameMaker

  • MathFlow™ Structure Editor is for XML content professionals. It provides fine control over visual presentation and its underlying MathML structure. There is a Source View enabling the user to add processing instructions and comments directly to the MathML, a ruler for precise layout of the equation, and a tabbed toolbar for storing commonly used equations or fragments.

    Figure 2. Structure Editor

For a feature comparison of the editors, see MathFlow Editors. Also, for the procedure to upgrade to the full version of the MathFlow editor, see Configure the installation settings.

Create and insert a MathML equation into a document

  1. On the Insert menu, choose MathML Equation.

  2. Create an equation in the MathFlow Editor window.

    For details on how to create equations in the MathFlow see the MathFlow help. You can launch the MathFlow help from within the MathFlow Editor window.

  3. To add the equation to the document, click OK.

When the MathML equation is created, an image (.png) file is inserted in the document.

Note: If you get a “Font initialization failed” error message, see the KB article MathML font initialization error for resolution.
Note: FrameMaker does not support the .eps file format for MathML images.

Edit a MathML equation in a document

  1. Double-click the equation in the document or right-click on the equation and select Edit with MathFlow.

  2. Edit the equation in the MathFlow Editor window.

  3. To update the equation in the document, click OK.

FrameMaker also supports the copy-paste and undo-redo operation on equations on MathML equations in a document.

Important: For structured (DITA 1.3) and unstructured document, you can insert MathML equations at any appropriate location of the document. However, in the case of your own structured documents, you will need to first define an element in the Elements catalog that supports this type of object. FrameMaker ships with a sample structured app (for DITA 1.2) that includes a MathML element. For details how to use this element, see Sample DITA MathML structured app.

Configure the MathFlow settings in FrameMaker

To configure MathML settings in FrameMaker, choose Edit > Preferences to open the Preferences dialog and select the MathML tab.

Configure the installation settings

FrameMaker ships with a 30 day trial version of Style and Structure editor of MathFlow from Design Science. You can obtain the full version of the Style or Structure editor from Design Science and integrate that with FrameMaker.

  1. After you have installed the full version of the Style or Structure editor, go to the MathFlow section of the MathML tab.

  2. The trial version that ships with FrameMaker is installed in the Adobe FrameMaker installation path. If you have installed MathFlow in an alternative path, specify that path.

  3. In the License File Path text box, specify the path to the license file and click OK.

You need to restart FrameMaker to ensure these changes take effect.

Note: The MathFlow 30 day trial period starts from the first time to invoke the editor. Not from the day you install the version of FrameMaker that includes the editor.

Format a MathML equation

You can update the formatting of a selected MathML equation in a document or you can change the preferences for all MathML equations. By default, the font size of the equations is set to 14 px. DPI for the images that FrameMaker inserts into a document for each equation defaults to 300 dpi. Also, you can choose to place an equation inline with the enclosing paragraph and you can apply the formatting of the enclosing paragraph to the equation.

To update the formatting of the current selected MathML equation:

  1. Select the MathML equation and choose Graphic > Object Properties.

    Or choose Graphic > Object Style Designer.

    These options are also available in the context menu.

  2. Update the formatting for the currently selected MathML equation in the MathML Equation Properties dialog.

Figure 3. MathML Equation Properties dialog
FormattingaMathMLequation in MathML Equation Properties dialog

DPI and Font
Change the DPI and Font size settings.
Inline
Place the image inline with the enclosing paragraph.
Apply Paragraph Style

Apply the following formats of the enclosing paragraph to the equation:

  • Font

  • Font family

  • Background color

  • Foreground color

You can also apply these settings globally to all MathML equations created subsequently.

  1. Open the Preferences dialog (Edit > Preferences).

  2. In the MathFlow settings section of the MathML tab, change the equation settings.

These settings take effect immediately. So you do not need to restart FrameMaker.

Configure the MathFlow editor

The trial version of the MathFlow editor includes the Style and Structure editors. During this period, you can choose between either of these editors.

  1. To change the MathFlow editor, go to the Editor Type section of the MathML tab.

  2. Choose the required MathFlow editor and click OK.

You need to restart FrameMaker to ensure these changes take effect.

Note: When installing the full version of MathFlow, you need to choose between the Style and Structure editors. The MathFlow trial integration with FrameMaker includes both the editors. So you are recommended to use both these editors when trying out this feature.

Sample DITA MathML structured app

FrameMaker includes a sample DITA 1.2 MathML application named DITA_1.2_MathML_Sample. This <mathml> element has complete support for the MathML equations that are rendered by the MathFlow Style and Structure editors. To add MathML to a document, you can create a file based on this application and then use the MathML element in it.

See the video, MathML in structured documents.

To insert a MathML type element, do the following:

  1. Choose File > New > XML.

  2. In the New XML dialog, go to the Structured Applications tab and select DITA_1.2_MathML_Sample. Click OK.

    A new document is created.

  3. Go to any part of the document where you want to insert a MathML equation.

    The MathML element, mathml, is available in the Elements catalog of the sample structured app.

    Note: A mathml element is available at any point in the document where a foreign element is available.

  4. Double-click the <mathml> element to insert it at the point in the document.

  5. Go to the XML view of the current document.

    The XML of the structured document contains a MathML node at the location where you inserted the MathML element.

    Note: Each element within the mathml node has an mml prefix. This prefix is used to avoid name conflicts with other elements used in the XML either from the Elements catalog of the structured app or from elements defined in the MathML structure.

You also have the option to edit the equation within the mathml node in the XML view. The changes can then be seen in the WSIYWIG view.

Note: If you try to publish a DITA_1.2_MathML_Sample document without inserting any MathML equation, then no output is generated for such document.
Parent topic: Author structured content
Related information
  • MathML


Language and font settings in structured documents

You can author and proofread your content in different language in both structured and unstructured documents (DITA 1.2, DITA 1.3, and LwDITA). Select any one of the 46 languages bundled with FrameMaker and add it as an attribute value for @xml:lang for your structured content. To add an attribute value for @xml:lang, you should follow the BCP 47 standard defined by IETF (Internet Engineering Task Force).

< AttributeForXMLLang > = < BCP47-code> xml: lang = en-US xml: lang = zh-TW

FrameMaker sets the various properties of Paragraph Designer based on the language setting in the @xml:lang attribute from your XML file.

Figure 1. @xml:lang attribute value specified

The properties of Paragraph Designer, which are set automatically on specifying the attribute value for @xml:lang are:
  • Language
  • Text Direction
  • Font Family
  • Pair Kern
  • Use Asian Composer
Note: If the value for @xml:lang attribute is not defined for your XML file, default formatting rules are applied. If the value for @xml:lang attribute is not defined for a paragraph, the language of the parent element will be set.

To support multilingual authoring and publishing functionality, set the following language tag properties in the maker.ini file available under the FrameMaker install directory:

C:\Program Files\Adobe\Adobe FrameMaker 2022\maker.ini

In the maker.ini file, you will find the following sections that should be configured to enable this feature:

[XMLLangPreferences]
AttributeForXMLLang=xml:lang
ApplyFontSettingsBasedOnXMLLangAttribute=On

[XMLLangExclusionList]
DITA_1.3_task=codeblock
DITA_1.3_topic=codeblock, mathml, equation-block
Note: You can copy and uncomment these settings in the maker.ini file available under %appdata%\Adobe\FrameMaker\17 folder.
The settings under XMLLangPreferences section are explained below:
  • AttributeForXMLLang=xml:lang: This property is commented by default. Remove the semicolon (;) to uncomment and set it for the @xml:lang functionality to work in your XML file.
  • ApplyFontSettingsBasedOnXMLLangAttribute=On: Set this property to apply the corresponding Font Family and Pair Kern settings based on the @xml:lang functionality.

The setting under XMLLangExclusionList section is explained below:

  • StructAppName = <comma-separated list of element tags to be excluded from XML lang functionality>

    StructAppName is the name of the structured application for which the exclusion list is defined.

    Set this property to list the elements to be excluded from XML lang functionality. This is typically used to ignore elements where you do not need to run the spell check, such as a <code block>. Some examples of element tags to be excluded from XML lang functionality are:

    DITA_1.3_topic=codeblock
DITA_1.3_task=codeblock
DITA_1.3_topic=codeblock, mathml, equation-block

    The following document contains sample text written in multiple languages. The spell check happens as per the language setting in the @xml:lang attribute for each paragraph.

Figure 2. Sample document with text written in multiple languages

Parent topic: Author structured content


Change text direction in structured documents

Learn how you can change the direction of text in structured documents in Adobe FrameMaker.

The direction – Left-To-Right (LTR) or Right-To-Left (RTL) – of a structured document is defined in the associated Adobe FrameMaker Structured Application. If the Structured Application supports document direction, you can change the direction of the text in supported elements in the document.

To change the direction of the text of an element:

  1. Select the element in the Structure View.

  2. Open the Attributes editor and change the dir attribute.

FrameMaker provides out-of-the-box direction support for DITA topics (topic, task, concept, and reference). However, you can create your own Structured Application with direction support.

FrameMaker offers a direction property that you can use in your Structured Application.

For example, you can create a read-write rule such as the following to specify that the FrameMaker direction property maps to the structured document dir attribute:

attribute "dir"
{
   is fm attribute;
   is fm property direction;
}
Note: If you change the direction attribute of an element in a non-DITA XML file, the direction of the contents does not immediately change. You will need to close and open the XML file to reflect the changes.

For more details on adding direction support to your own Structured Applications, see the FDK Programmer’s Guide.

Parent topic: Author structured content


Smart Paste

Understand what Smart Paste is and how it helps to paste content from HTML, Word, Excel or Outlook as DITA content in Adobe FrameMaker.

In this topic

  • Introduction

  • Smart Paste content in a DITA file

  • Add Smart Paste XSL for a custom XML application

Introduction

FrameMaker allows you to paste HTML, Microsoft® Word, Microsoft® Excel, and Microsoft® Outlook content as DITA content. You can also create and configure XSLTs for other FrameMaker Structured Applications. Using XSLT, FrameMaker identifies the content while it is in the clipboard and structures it with the most appropriate hierarchy or sequence of elements. Then you can use the Smart Paste command to paste it to FrameMaker as DITA content.

Note: When you paste text of a specific direction (LTR or RTL) into a FrameMaker document, you need to ensure the text direction of the destination location (document, table, or paragraph) is set to the same direction.

The content you paste is structured according to an XSLT specified in the relevant Structured Application. In FrameMaker, the XSLTs are specified for the following DITA documents:

  • Topic

  • Task

  • Concept

  • Reference

The XSL filename and path are specified using the Stylesheet element (Stylesheets > XSLTPreferences > SmartPaste > Stylesheet).

The Smart Paste XSLTs for DITA are located in the following folder:

$STRUCTDIR\xml\DITA_1.2\app\technicalContent\xslt\

Smart Paste content in a DITA file

To smart paste content in a DITA file:

  1. Copy HTML, Microsoft® Word, Microsoft® Excel, or Microsoft® Outlook content.

  2. Place your cursor in one of the following types of DITA topics: topic, task, concept, or reference.

  3. Select Smart Paste from the context menu. The keyboard shortcut for Smart Paste is Esc+s+p+t.

    The pasted content is structured in appropriate elements that the structure allows.

Add Smart Paste XSL for a custom XML application

You can also create an XSLT for smart pasting content for your custom Structured Application.

  1. Create an XSLT appropriate for your EDD.

  2. Open the structapps.fm file.

  3. Under <Stylesheets>\<XSLTPreferences>, add the <SmartPaste> element and the following elements under it:

    1. <Stylesheet>: Path to the relevant XSLT file.

    2. <StylesheetParameters>: This element has two child elements: <ParameterName> and <ParameterExpression>. See a DITA application in structapps.fm for details.

  4. Save the file.

  5. Choose Structure > Application Definition > Read Application Definitions.

    Now you can use Smart Paste for an XML file based on your custom application.

Parent topic: Author structured content


Conditional text in XML

Understand conditional text in XML in Adobe FrameMaker.

Structured FrameMaker allows you to export and import all conditional text (visible and hidden), along with information about the condition tags, such as their show/hide status, color, and style.

To preserve conditional text when saving and opening XML files, the XML file that FrameMaker generates contains the following:

  • Conditional text tags corresponding to the conditional text present in the document.

  • Condition indicators—color and effect— associated with each conditional text tag.

  • The status—show or hide—for each condition tag.

  • Start and end markers for sections corresponding to each tag.

In addition to normal text, support for conditional text in XML allows an entire table or table rows to be conditional. The same applies to footnotes, markers, and anchored graphics. Also, conditional text can be inside a text inset (XML or text).

Parent topic: Author structured content


OLE object support in XML

Understand how OLE object support works in Adobe FrameMaker.

Structured FrameMaker supports round-tripping OLE objects, such as Visio objects and PowerPoint presentations. FrameMaker uses an XML Processing Instruction to handle the OLE object roundtripping.

You can control the OLE support using the DirectOLESupportInXml flag in the maker.ini file. To enable this feature, set the flag as On. The default value of this flag is Off; when this flag is Off, the OLE is saved as a .mif file.

Also, notice the following entries in the maker.ini file:
54="pptx"  OLE2 OLE2  OLE2     FMGFXImport "pptx" frame.exe ^.pptx
55="VSD"  OLE2 OLE2  OLE2      FMGFXImport "VSD" frame.exe ^.vsd
These entries assign an automatic filetype filter to a file when it is imported. If necessary, you can add more filters (with respective OLEs).

To insert an OLE object:

  1. Choose File > Import > Object. The Insert Object dialog appears.

  2. Navigate to the OLE object and select Create from File or Link.

  3. Click OK.

Note: You can also paste an OLE object using the Paste Special command and selecting Paste Link.
Parent topic: Author structured content


Whitespace handling for XML

Understand whitespace handling in Adobe FrameMaker and the whitespace normalization standard.

In this topic

  • Introduction

  • White-space normalization standard

  • Disable dropping whitespaces on import

  • Preserve whitespaces for specific elements

Introduction

When you open an XML file in FrameMaker’s WYSIWYG View, the white spaces get normalized.

White space in XML is any character from the following set: space, tab and blank line/new line (except hard return). White space serves the following purposes:

  1. Visually format the document in its source form, such as for code, to denote semantic significance for the XML document.

  2. While using a text editor to edit XML, add spaces and line breaks into the element content model for better readability of the XML. This white space is not part of the information conveyed by the document and has no semantic significance for the XML application.

    Note: Default pretty printing is enabled automatically in XML view for new and modified documents. To handle white spaces and prettify the XML content, click Pretty Print in the Structured Access Bar.

W3C has defined how white space in XML documents should White-space XML applications.

White-space normalization standard

FrameMaker uses the following rules for white space normalization according to the standard:

  1. XML ignores the first sequence of white space immediately after the opening tag and the last sequence of white space immediately before the closing tag.

  2. XML translates non-space characters (tab and new-line) into a space character and consolidates all multiple space characters into a single space.

  3. XML ignores the sequence of white space occurring between two elements if the parent element is defined to have element content.

  4. You can set the xml:space attribute of an element to preserve to retain the white spaces. For example, if we normalize the following (as appearing in the XML code view):

    Hickory[SPACE][SPACE][SPACE]dikory dock.
The mouse[TAB][SPACE]ran up the clock.

    It appears as (in WYSIWYG view):

    Hickory[SPACE]dikory dock.
The mouse[SPACE]ran up the clock.

  5. White space introduced through expansion of character references (for example Space =&#32; Tab= &#9; Newline=&#10;) is preserved on XML open. It is not considered white space per the above rules.

    For example, if FrameMaker normalizes the following (as appearing in the XML code view):

    Hickory&#32;&#32;&#32;dikory dock.
The mouse&#9;&#32;ran up the clock.

    After normalization, tt appears as the following (in WYSIWYG view):

    Hickory[SPACE][SPACE][SPACE]dikory dock.
The mouse[TAB][SPACE]ran up the clock.

Disable dropping whitespaces on import

To disable dropping whitespaces, set the property RemoveExtraWhiteSpacesOnXMLImport in maker.ini to FALSE.

Note: Use caution while editing an ini file.

Preserve whitespaces for specific elements

If the xml:space attribute is set to preserve (xml:space="preserve"), then FrameMaker preserves all whitespaces. You can use this setting to preserve whitespaces for certain elements alone. This setting lets FrameMaker drop whitespaces for all other elements in the WYSIWYG View.

Parent topic: Author structured content


Cross-references in XML

Understand cross-references in XML in Adobe FrameMaker.

Structured FrameMaker allows you to generate and retain external cross-references when saving and opening XML files.

For example, if your FrameMaker file contains a cross-reference to another file, when you save your file in XML, FrameMaker generates tags representing the cross-reference along with information about the referenced file. When opening the same XML file, FrameMaker converts the cross-reference tags and the information they contain into a FrameMaker cross-reference.

FrameMaker supports a new attribute, @srcfile, to retain external cross-reference information when generating XML documents.

When you export a file containing an external cross-reference to XML, the @srcfile attribute of the cross-reference contains the name of the referenced file and the ID of the referenced element in the file.

Note: FrameMaker converts file paths in the generated XML to URIs.
Parent topic: Author structured content


Round trip table properties

Understand XML roundtripping for table properties in Adobe FrameMaker.

Read-write rules handle the roundtripping of table formatting properties. The new R/W rule mapping for the table cell properties is as follows:

Property | Non-CALS R/W Rule | CALS R/W Rule | Attribute Value
FP_CellAngle | cell angle | rotate | Integer
FP_CellOverrideFill | fill override | NA | Integer corresponding to FDK values
FP_CellUseOverrideFill | use fill override | NA | 0 = False Nonzero value = True
FP_CellOverrideShading | shading override | NA | Tag of FO_Color
FP_CellUseOverrideShading | shading override | NA | 0 = False Nonzero value = True
FP_CellOverrideBottomRuling | bottom ruling override | NA | Tag of FO_RulingFmt
FP_CellUseOverrideBRuling | bottom ruling override | NA | 0 = False Nonzero value = True
FP_CellOverrideLeftRuling | left ruling override | NA | Tag of FO_RulingFmt
FP_CellUseOverrideLRuling | left ruling override | NA | 0 = False Nonzero value = True
FP_CellOverrideRightRuling | right ruling override | NA | Tag of FO_RulingFmt
FP_CellUseOverrideRRuling | right ruling override | NA | 0 = False Nonzero value = True
FP_CellOverrideTopRuling | top ruling override | NA | Tag of FO_RulingFmt
FP_CellUseOverrideTRuling | top ruling override | NA | 0 = False Nonzero value = True

The read-write rule mapping for the table row properties is as follows:

Property | Non-CALS R/W Rule | CALS R/W Rule | Attribute Value
FP_RowKeepWithNext | keep with next | NA | 0 = False Nonzero value = True
FP_RowKeepWithPrev | keep with next | NA | 0 = False Nonzero value = True
FP_RowStart | row placement | NA | Integer corresponding to FDK values

In the following example, the prop5 attribute controls the bottom ruling of the table.

element "tablecell"
{
   is fm table cell element;
   attribute "prop1" is fm property right ruling override;
   attribute "prop2" is fm property use right ruling override;
   attribute "prop3" is fm property top ruling override;
   attribute "prop4" is fm property use top ruling override;
   attribute "prop5" is fm property bottom ruling override;
   attribute "prop6" is fm property use bottom ruling override;
   attribute "prop7" is fm property left ruling override;
   attribute "prop8" is fm property use left ruling override;
   attribute "prop9" is fm property cell angle;
}

In the following example, the att1, att2, att3, and att4 attributes control the shading properties of the table cell:

element "tablecell2"
{
   is fm table cell element;
   attribute "att1" is fm property shading override;
   attribute "att2" is fm property use shading override;
   attribute "att3" is fm property bottom ruling override;
   attribute "att4" is fm property use bottom ruling override;
   attribute "att5" is fm property fill override;
   attribute "att6" is fm property use fill override;
}
Parent topic: Author structured content


Round trip equations and anchored frames

Know how to round trip equations and anchored frames in XML with Adobe FrameMaker.

You can roundtrip equations and anchored frames between Structured FrameMaker and XML. When you save a Structured FrameMaker document to XML, FrameMaker creates MIF files for the equations and anchored frames in the document. FrameMaker saves every anchored frame and equation in a different MIF file.

Note: To test this feature, you can use the ReportPlain XML application in the samplesStructapps.fm file at: <Fm_install_location>\Structure. This XML application has Equation and Frame elements.

You can change the type of files that are created for storing equations and anchored frames by specifying the following flag in the maker.ini file.

To specify the default vector format for XML, add the flag DefaultvectorformatforXMLexport to the maker.ini in the Windows user profile (%appdata%\Adobe\FrameMaker\xx).

For example, the following sets default vector format for XML to CGM.

DefaultvectorformatforXMLexport=CGM
Parent topic: Author structured content


Filter by attribute

Learn how to filter elements by attribute values in a DITA topic in Adobe FrameMaker.

In Adobe FrameMaker, you can filter the elements in a DITA topic by the attribute values. You can write a single topic, and set the required attributes to the conditional elements. You can then use the filter by attribute feature to filter elements based on the attribute values.

For example, in a specifications topic, you can set the @product attribute to framemaker and robohelp on elements in the topic. Also, if the topic contains conditional content based on output, set the @audience attribute to print (for PDF output) and web (for Web output). You then produce different output, based on the filters that you apply on the @product and @audience attributes.

  • Apply attribute filters
    Learn to apply filter attributes in a DITA topic in Adobe FrameMaker.
  • Create attribute filters
    Know how you can create filters in FrameMaker, understand the various guidelines to create filter rules.
  • Guidelines for creating attribute filter rules
    Guidelines for creating attribute filter rules.
  • Manage attribute filters
    Know how to manage filters in FrameMaker. Understand the manage attribute expressions dialog.
  • Set attributes
    Understand how to set attributes or conditional tags after creating filters for a topic in Adobe FrameMaker.
  • FAQ and troubleshooting
    See the common FAQ’s and troubleshooting tips for attributes and attribute filters in Adobe FrameMaker.
Parent topic: Structured authoring


Apply attribute filters

Learn to apply filter attributes in a DITA topic in Adobe FrameMaker.

In this topic

  • Introduction

  • Apply attributes to an element

  • Set attribute values for elements

  • Keyboard shortcut to apply an attribute

Introduction

You can make elements in a DITA topic conditional by applying values to the attribute of the elements. You then create a filter in which you define the rules to include and exclude content based on the element attribute values.

Before you create topics with conditional content, you need to first plan the criteria for the output. For example, say that a topic has content that is conditionally targeted at administrators and end users. In the topic, you apply attribute values based on the target audience of the content (see Create attribute filters). You then create a filter in FrameMaker in which you specify the elements to include and exclude based on the attribute value defined in the topic (see Create attribute filters). When a filter is applied to the document, elements that have filter attributes that do not meet the filter criteria are filtered out.

Apply attributes to an element

To apply attributes to an element, do the following:

  1. Select the element in the topic.

    You can select the element in the Structure View or in the Document view.

  2. Chooe Element > Edit Attributes to open the Attributes panel and enter the value for the specific element attribute.

You do not need to apply attributes to every element in your topic. You only need to apply attributes to elements that need to be conditionally filtered.

Tip: In the Attributes panel, choose the Required and Specified option to filter the attribute list to display the attributes that you have defined.

Set attribute values for elements

To allow FrameMaker to conditionally process elements in a DITA topic, you need to specify the elements to include or exclude from the output based on the attribute values.

For example, you can set the @audience attribute values for the an element to admin, enduser, and author depending on the target audience.

You can set a value to any attribute in the elements in a DITA topic. You can then filter the content based on the specified attribute values.

Important: You can apply a filter to any element in a DITA topic. This implies that if you apply a filter that hides a mandatory element (such as Title), the structure of the topic will be broken.

Keyboard shortcut to apply an attribute

You can use the Smart Catalog shortcut to apply attribute values to an element:

  1. Press ctrl+7 to display the Smart Catalog to set one or more attribute values for the current element.

  2. From the Smart Catalog select the required attribute.

    The Attributes panel displays with the attribute selected.

  3. Enter the attribute value.

    Note: With the attribute selected in the Attributes panel, you do not need to select the attribute. You can simply type to enter the attribute value.
Parent topic: Filter by attribute


Create attribute filters

Know how you can create filters in FrameMaker, understand the various guidelines to create filter rules.

After setting up your content using attribute values to create conditional content, you create filters based on the content to show and hide. For example, you can filter your content to target administrators and authors and exclude end-users by creating the following filter:

(audience="admin" or audience="author")

Create a filter

  1. Choose View > Filter by Attribute.

    The Manage Attribute Expressions dialog appears.

    Figure 1. Manage Attribute Expressions dialog
    Manage AttributeExpressionsdialogin Adobe FrameMaker

    Use this dialog to create, edit, delete and apply filters to DITA topics.

  2. To create a filter, click New.

    The Build Expression dialog appears.

    Figure 2. Build Expression dialog
    Build ExpressiondialoginAdobe FrameMaker

  3. In the Expression Tag text box, enter a name for the filter.

  4. In the Attributes list, choose an attribute to create the filter.

  5. In the New Value text box, enter a value for the selected attribute, and then click Add. Repeat this step to add the values that are assigned to the selected attribute in the topic.

  6. Select the type of rule Equal, Any, or Contains Only and click Add Rule.

    Equal:

    Filter content that is assigned the values in the Defined Values list for the selected attribute.

    Evaluates to true if any of the attribute values matches the specified value.

    For example, if the selected attribute is audience and the values in the Defined Values list are admin and enduser, the rule defined is:

    (audience="admin" OR audience="enduser")
    Any:

    Filter content for any value of the selected attribute.

    Evaluates to true if any of the attribute values contains the specified value.

    For example, if the selected attribute is audience, the rule defined is:

    (audience #ANY)
    Contains Only:

    Filter content with the only attribute values that are defined in the list.

    Evaluates to true if any of the attribute values only contains all of the specified values.

    For example, the following rule filters content that is tagged with the admin and enduser values:

    (audience # "admin", "enduser")

    This syntax is used as a shortcut to using the OR operator. The above example can also be defined using the OR operator:

    (audience = "admin" OR audience="enduser")

  7. Click OK.

  8. Click Done on the Manage Attribute Expressions dialog.

Important: The options described in the above steps are tools that enable you to create rules. However, you can enter the rule in the Expression text box.
Parent topic: Filter by attribute


Guidelines for creating attribute filter rules

Guidelines for creating attribute filter rules.

When you create a filter rule, you can choose to use the Add Rule button or you can enter the rule in the Expression box manually. When you choose to save a rule, FrameMaker checks the rule syntax. You cannot save a rule with an incorrect syntax.

Case of attribute name-value

The name of an attribute in a rule is case-sensitive. However, the value of the attribute is case-insensitive.

Correct:

(audience="ADMIN" OR audience="enduser")

The above rule will filter content that is tagged with the attribute value ADMIN, Admin, or admin.

Incorrect:

(audience="admin" OR Audience="enduser")

The attribute name must be defined with the same case as defined in the Attributes panel.

Attribute value

The value of an attribute must be enclosed within double-quote and cannot be empty.

Incorrect:

(audience="")

Do not use this rule to filter elements having any value for attribute. Instead, use the ANY operator described above.

Use of parenthesis

Each attribute name-value pair must be included within parenthesis.

Include only the same attribute within the same parenthesis.

Correct:

(audience="admin" OR audience="enduser" OR audience="author")

Incorrect:

(audience="admin" AND product="framemaker")

Only the same attributes can be included in the same parenthesis.

Incorrect:

audience="admin" OR audience="enduser" OR audience="author"

The name-value pairs must be included in parenthesis. Even a single name-value pair must be included in parenthesis.

Use of AND operator

The AND operator cannot be used to filter the same attribute. It can only be used to filter different attributes.

Incorrect:

(audience="admin" AND audience="enduser")

Correct:

(audience="admin" OR audience="enduser") AND (product="framemaker")

Use of NOT operator

The NOT operator must be included before the opening parenthesis of an attribute name-value group.

Incorrect:

(audience="admin") AND (NOT product="framemaker")

Correct:

(audience="admin") AND NOT (product="framemaker")

Correct:

NOT (product="framemaker")

Use of ANY operator

To filter the content tagged with any value of an attribute.

Correct:

(audience #ANY)

The above rule includes all content tagged with the audience attribute irrespective of the value of the attribute.

Correct:

NOT (audience #ANY)

The above rule excludes all content tagged with the audience attribute irrespective of the value of the attribute.

Parent topic: Filter by attribute


Manage attribute filters

Know how to manage filters in FrameMaker. Understand the manage attribute expressions dialog.

In this topic

  • Edit attribute filters

  • Delete attribute filters

  • Import attribute filters

Edit attribute filters

You can edit the name and definition of a filter. You can edit a filter that is currently applied to a topic. However, you will need to re-apply the filter to the topic.

To edit an attribute filter, do the following:

  1. In the Manage Attribute Expression dialog (View > Filter by Attribute), select the expression and click Edit.

    The Build Expression dialog is displayed.

  2. In the Build Expression dialog, edit the name and, or the rule of the filter.

  3. Click OK to save the changes.

Delete attribute filters

If you delete an attribute filter, the definition of the filter is removed from the topic catalog and can no longer be used in the topic. Also, if a delete filter that is currently applied to the topic, the filter is removed from the content in the topic. Since you can only apply one filter to a topic at a time, if you delete the currently applied filter, the topic displays all content.

To delete an attribute filter, do the following:

  1. In the Manage Attribute Expression dialog (View > Filter by Attribute), select the expression.

  2. Click Delete.

If the filter is not currently applied to the topic, you are prompted to confirm to delete operation.

If the filter is currently applied to the topic, you are prompted with the corresponding message. If you confirm the delete operation the filter is removed from the content.

Import attribute filters

The filters in a topic are available for use in the topic where they are created. You can make these filters available to other topics by importing the definitions into other topics.

To import an attribute filter, do the following:

  1. Open the topic containing the filters that you need to make available in one or more other topics.

  2. Open the topic into which to import the filters from the source topic.

    If you are working in a FrameMaker book, you can multi-select the topics in the book into which to import the filters from the source topic.

  3. Choose File > Import > Formats.

  4. In the Import Formats dialog, select the source document in the Import from Document drop-down.

  5. In Import and Update section, click Deselect All, check Filter by Attribute, and click Import.

When you import filters from one topic to another, besides the filters, the filter condition (Show All or Show as per Expression) is also imported.

If the destination topics contain filters with the same names as the source topic, these filters are overwritten.

After you import the filters from one topic to another, you will need to apply the filters to the destination topic content.

Parent topic: Filter by attribute


Set attributes

Understand how to set attributes or conditional tags after creating filters for a topic in Adobe FrameMaker.

After you create the filters in a topic, you can use these filters to show or hide content based on applied attributes. To filter content in a topic, you apply attribute values to the elements in the content. You then create filters based on the attributes applied to the content. To show or hide the content based on the filters, you need to apply the specific filter to the content.

Important: An element that is not tagged with any attribute is unconditional. This implies that the content within elements that are not tagged is shown irrespective of the filter applied to the topic. The benefit of this functionality is that you do not need to tag every element in a topic. Elements that are not tagged with any attribute are not effected by any filter.

For example: You have applied the @audience attribute to different elements (with the values admin, author, and enduser). You then create multiple filters:

(audience="admin" or audience="author")

Filters content targeted at administrators and authors.

(audience #ANY)

Filter content targeted at administrators, authors, and end users.

This means that you will apply a different filter depending on the required output.

At any point, you can apply only one filter to a topic. This means that you can create any number of filters and then depending on the required output, you apply the appropriate filter.

To apply a filter, do the following:

  1. Choose View > Filter by Attribute to open the Manage Attribute Expressions dialog.

  2. To filter the content, select Show as per Expression and select the required expression.

    For example, the following expression filters content that is tagged with the @audience attribute set to admin or author:

    (audience="admin" or audience="author")

    This implies that any element tagged with the @audience attribute set to any other value is excluded. However, if an element is not tagged with the @audience attribute, it is not excluded.

    In the Filtered Text group, you choose how to filter the content:

    Hide

    Hide content as per the filter expression.

    Preview with color

    Display the font color of text as per filter expression with the selected color. Use this option for review purposes.

    Note: Use this option for content that is text-based. For example, if you apply this option to a table element, the font color of text in the table is not applied.
    Apply Condition Tag

    Apply a conditional tag to the filtered content.

    From the drop-down list, choose the conditional tag. The selected conditional tag is then applied to the filtered content.

    For example, say the audience attribute of conditional elements in a topic are tagged as admin, author, and enduser. If you apply the following attribute filter to a topic: filter

    (audience="admin" or audience="author")

    The filter excludes elements tagged as enduser. If you choose the Apply Condition Tag option, the selected conditional tag is applied to the excluded elements. For details on how to apply conditional tags and show / hide content using conditional text, see Conditional text.

  3. Click Apply.

    Note: If you add any new element later and apply the attribute value, you can click Preview Filter by Attribute in the Structured Access Bar to preview the content based on the filters.
Parent topic: Filter by attribute


FAQ and troubleshooting

See the common FAQ’s and troubleshooting tips for attributes and attribute filters in Adobe FrameMaker.

I set an attribute for an element and then applied a filter that excluded the element based on the attribute. However, the element is still visible:

If you make changes in the content or the filter expression, you will need to apply the filter to the topic. For example, if you apply a filter to the topic and then define an attribute for an element that is included in the filter, the filter is not immediately applied to the updated content. You need to apply the filter to the topic.

I applied a filter to a topic and the structure of the topic is now broken:

You need to take care not to break the structure of the topic. If the filter that you apply to a topic causes a mandatory element to be hidden, the topic structure is broken. FrameMaker does not prevent you from doing this; however, the Structure View will indicate the break in the topic.

Figure 1. Broken structure caused because the dt element is hidden by the applied filter
Document structurebreaksbecausean element is hidden by the applied filter

What happens if I apply different attributes to child and parent elements in a topic?

If a filter causes a parent element to be hidden then the child elements are hidden, irrespective of the attributes applied to the child elements. However, if a filter causes a parent to be shown and a child to be hidden, the child is hidden.

Parent topic: Filter by attribute


XSL Transformations

Understand XSLT transformations in Adobe FrameMaker.

FrameMaker provides options for processing XML. FrameMaker also allows XML import and export to support XSL transformations, and the Schema language for grammar and rule definition. You can import an XML document that uses schema, automatically creating a Document Type Definition (DTD) from the referenced schema, or you can create an Element Definition Document (EDD) directly from a schema definition. You can also validate against an associated schema upon both import and export.

XSL (EXtensible Stylesheet Language) is a style sheet language for XML documents. XSLT (Extensible Stylesheet Language Transformation) is the means by which transformations defined in XSL are applied to XML documents.

XSL is a set of the following three specifications:

XSLT

A language for transforming XML documents.

XPath

A language for navigating in XML documents.

XSL-FO

A language for formatting XML documents.

FrameMaker includes an XSLT processor that allows you to associate an XSLT file with an XML Structured Application or XML document, and apply the transformations defined in that document when importing from or exporting to XML. FrameMaker supports W3C XSLT 3.0 recommendations. You can change the XSLT processor by editing the maker.ini file or from within your Structured Application.

  • New elements (SmartPaste, PreProcessing, PostProcessing) in the Structured Application (XSLTPreferences in the Stylesheets element of XMLApplication) allow you to specify an XSLT file as part of your XML Structured Application, to be used for both import and export.

  • The xml-stylesheet Processing Instruction (PI) now allows you to specify an XSL file in an XML markup document, which supersedes any XSLT specified in the Structured Application when importing that document.

Upon import, XSL transformations are applied before the default read rules or any additional read rules you have defined. That is, the result of applying an XSL transformation on import is a new file, which (if it is an XML file) is passed to the read/write rules.

Upon export, XSL transformations are applied after the default or explicit write rules. The result of applying read/write rules on export is a new XML file, which, if it is valid, is passed to the XSLT processor.

You can create a hypertext output (XML or HTML) from an XML file using an XSL. You can create and save reusable transformations in an XML file. The reusable transformations include information such as the name and path of the XSLT and the path of the input and output files.

The output is created using a parser installed on the machine and registered with FrameMaker through maker.ini settings. XALAN and SAXON are installed by default on your machine with FrameMaker. XALAN supports XSLT 1.0 and SAXON supports XSLT 3.0. Both XALAN and SAXON are JAXP compliant.

Note: FrameMaker is shipped with Saxon Enterprise Edition 9.8.3.

SAXON is the default parser used when XSL is run directly or no transformation-specific parser is specified. However, you can specify a new default processor in the maker.ini file using the following flags:

[XSLTProcessors]
; processorName=jar path(all dependent jars should be in same dir), TransformerFactory class,
; default if default processor
; (if not specified – 1st processor would become default.)
XALAN=fminit\XSLT\XSLTProcessors\xalan\xalan-j_2_7_2-bin\xalan.jar,
  org.apache.xalan.processor.TransformerFactoryImpl
SAXON=fminit\XSLT\XSLTProcessors\saxon\SaxonEE9-8-0-7J\saxon9ee.jar,
  net.sf.saxon.TransformerFactoryImpl, Default

An XSL transformation includes information such as XSL, Parser, and Output folder, to create an output from XML files. The transformation that you create are stored in an XML file. There are two types of transformations: default and application-specific. The default transformations are stored in the file as specified in the maker.ini file using the TransformationFilePath flag. The application-specific transformations are stored in an XML file that you specify for the Structured Application in the structapps.fm file.

The XSLT toolbar maintains a history of the transformations you use and lets you use Advanced Run feature to create output from multiple XML files. From the toolbar, you can also choose and run a transformation\XSL on the open file.

XSLT toolbar in FrameMaker

A. Click to select an XSL file B. Click to select a transformation C. Run the selected transformation or XSL D. Click to display the Advanced Run dialog

Switch to XALAN processor

  1. In the maker.ini file, locate the XSLTProcessors section.

  2. The entry for the SAXON processor has the suffix: Default.

    XALAN=fminit\XSLT\XSLTProcessors\xalan\xalan-j_2_7_2-bin\xalan.jar,
   org.apache.xalan.processor.TransformerFactoryImpl
SAXON=fminit\XSLT\XSLTProcessors\saxon\SaxonEE9-8-0-7J\saxon9ee.jar,
   net.sf.saxon.TransformerFactoryImpl, Default

  3. Cut and paste to shift the suffix to the XALAN processor’s entry as following:

    XALAN=fminit\XSLT\XSLTProcessors\xalan\xalan-j_2_7_2-bin\xalan.jar,
   org.apache.xalan.processor.TransformerFactoryImpl, Default
SAXON=fminit\XSLT\XSLTProcessors\saxon\SaxonEE9-8-0-7J\saxon9ee.jar,
   net.sf.saxon.TransformerFactoryImpl
  • Create XSL transformations
    Learn to create XSLT transformations in Adobe FrameMaker.
  • Edit XSL transformations
    Learn how to associate the transformation files to your XML application in FrameMaker.
  • Application-specific transformations
    See how you can work with application-specific XSLT in Adobe FrameMaker.
  • Advanced Run – Transform multiple files with XSLT
    Understand how you can use Advanced Run to transform multiple XML files with XSLT in FrameMaker.
Parent topic: Structured authoring
  • XML with Schema
  • Advanced Run – Transform multiple files with XSLT


Create XSL transformations

Learn to create XSLT transformations in Adobe FrameMaker.

Note: Ensure that you switch to the XML View before performing this procedure.

  1. Choose XSLT > Manage Transformation.

    Manage Transformation dialog in the XML View of FrameMaker

  2. In the Manage Transformations dialog:

    To use the default transformation file, select Default Transformation File and then click New.

    To create a new transformation file, select Transformation File, click New.

    Note: If you already have an existing transformation file, click Browse and select it.

  3. Click New.

  4. In the New Transformation dialog, specify the following information and click Save As to create a transformation file:

    Note: If you selected an existing transformation file in Step 1 using Browse button, save the new transformation in the selected transformation file.

    1. Transformation Name: A name for the transformation setting.

    2. Use: Either select an XSL file or choose to use the Processing Instructions (PI) inside the XML file.

    3. Processor: SAXON, XALAN, or any other parser registered with FrameMaker.

    4. Output: Settings related to the output file, such as location to save, suffix, and how to open the output file.

Parent topic: XSL Transformations


Edit XSL transformations

Learn how to associate the transformation files to your XML application in FrameMaker.

Once you have created a transformation, you can associate the transformation file to one or more XML applications in structapps.fm.

  1. In the WYSIWYG view, choose Structure > Application Definition > Edit Global Application Definitions.

  2. In a Structured Application, locate the <TransformationFile> element and specify the path and name of the transformations file.

    Locating the Transformation File element and specifying the path and name of the transformations file in the Structure View

  3. Save the StructApps.fm file and choose Structure > Application Definition > Read Application Definitions.

Now, you can choose to generate file output with the relevant application transformation.

Parent topic: XSL Transformations


Application-specific transformations

See how you can work with application-specific XSLT in Adobe FrameMaker.

  1. With an XML file in focus in XML View, in the XSLT toolbar select Transformation from the Choose drop-down.

  2. In the Choose Transformations dialog, select Structured Applications.

    Application-specific transformation in the Manage Transformation dialog

  3. The relevant application, as specified in structapps.fm, is selected from the drop-down list and the relevant transformations appear in the Transformations field.

  4. In Transformations, select the transformation using which you want to generate the output and click OK.

  5. In the XSLT toolbar, click Run.

    FrameMaker generates the hypertext output and displays the file.

Parent topic: XSL Transformations


Advanced Run – Transform multiple files with XSLT

Understand how you can use Advanced Run to transform multiple XML files with XSLT in FrameMaker.

Using the Advanced Run dialog, you can run an XSLT on multiple files.

  1. Choose XSLT > Advanced Run.

    or

    Select select Advanced Run in the XSLT toolbar.

    Advanced Run in the XSLT toolbar

  2. In the Advanced Run dialog, select a scope for running the transformation:

    1. Current File: Generate output from the XML file open in FrameMaker.

    2. Include Child Elements if the active document is a book or a map. When this option is selected, the XSLT is applied to the child elements, together with the parent element.

    3. All Open Files: Generate output from all the XML files open in FrameMaker using a transformation transformations or XSL.

    4. Folder: Generate output from all the XML files in a folder using a transformation or XSL. Select Include Sub-Folders, if necessary.

  3. Select a transformation or XSL and click Run.

The output files are launched in the associated application.

Parent topic: XSL Transformations


Structured Authoring user interface

Understand the Adobe FrameMaker Structured Authoring user interface and the tools that it provides to help you in authoring structured documents.

The Structured FrameMaker authoring interface provides the following tools to enable authoring in structured (hierarchical) documents:

Figure 1. Structure View, Elements, and Attributes panels
Structure View, Elements, and Attributes panels in Structured FrameMaker authoring interface

Structured View

Displays the hierarchical structure of the document. You can add, remove, move, cut, copy, and paste elements in this panel as you author your structured document.

Elements catalog

Displays the list of elements available for use in the current document. The elements in the list are defined in the Structured Application on which the current document is based. By default, the elements that display in the list are based on the insertion point in the document. This ensures that you do not inadvertently place elements at invalid locations in the structured hierarchy.

Attributes panel

Displays the list of attributes for the currently selected element. Set or remove values for the attributes of an element.

Note: Use the XML/Structured workspace to automatically organize all windows and panels that are most commonly used in the structured authoring environment.
  • Structured authoring mode
    Understand the Structured Authoring mode in Adobe FrameMaker, and how you can switch from unstructured to structured Adobe FrameMaker.
  • Structured authoring editing views
    This topic explains the editing views in Adobe FrameMaker: XML View and WYSIWYG View.
  • Quick Element Toolbar
    Know what a quick element toolbar is in Adobe FrameMaker and how to use it in Structured Authoring.
  • Elements catalog
    Understand how to work with the Elements catalog in Adobe FrameMaker and how to insert, wrap, and change an element.
  • Change the scope of elements available in a structured document
    Understand how to define which elements are available at the insertion point in a structured document with Adobe FrameMaker.
  • Element boundaries
    Understand what element boundaries are and how to show/hide element boundaries and tags in the authoring view of Adobe FrameMaker.
  • Error console
    Learn how to use an error console to find and rectify error in FrameMaker document
Parent topic: Structured authoring
  • Elements catalog
  • Working with element attributes


Structured authoring mode

Understand the Structured Authoring mode in Adobe FrameMaker, and how you can switch from unstructured to structured Adobe FrameMaker.

By default, Adobe FrameMaker opens in Structured FrameMaker authoring mode.

Alternatively, if you are currently working in FrameMaker mode, to change the interface:

  1. Choose Edit > Preferences and navigate to Global > General.

  2. In the Product Interface drop-down list, select Structured FrameMaker. Click OK.

You need to restart FrameMaker for the change of interface to take effect.

When you open FrameMaker in the Structured FrameMaker mode, the menu options specific to structured FrameMaker are available. The following interface options are only available in the Structured FrameMaker interface:

  • Element and Structure menus

  • File > New > XML and File > New > DITA menu options

  • New XML dialog.

Parent topic: Structured Authoring user interface


Structured authoring editing views

This topic explains the editing views in Adobe FrameMaker: XML View and WYSIWYG View.

In this topic

  • Introduction

  • XML View

  • WYSIWYG View

  • Switch between the views

Introduction

Adobe FrameMaker has three views that help you author your content:

  • XML View allows you to work with the plain XML code of your structured FrameMaker XML files.

  • WYSIWYG View is classic FrameMaker, unstructured and structured. This view displays page breaks, headers and footers, all keyboard shortcuts, and all menus.

XML View

XML View allows you to work with the plain XML code of your structured FrameMaker XML files.

Figure 1. XML View
XML View in Structured FrameMakerauthoringinterface

A. XML Code View B. Structure View C. Error console

FrameMaker indents the child elements by one tab space compared to their parent elements. Word wrap keeps the content of the elements visible in the width of the window. The XML view supports Unicode. You can edit multilingual content in XML View. You can also copy/paste content from the clipboard.

When you edit or change references, such as conrefs, links, and cross references, in XML View, FrameMaker updates them in WSIWYG View also. XML View automatically validates the XML content with the DTD and helps you ensure that the content is well-formed at all times. While you are working in XML View, FrameMaker automatically inserts attribute values and close tags for the tags you insert in the file.

A Find/Change dialog in XML View helps you search through the XML code. You can also use regular expressions, such as with ampersand and pipeline, to search through text. XML View also has support for XPath. You can build and use XPath expressions to locate XML content. For more information on XPath, see XPath.

The following features can be accessed using XML View only:

  • XPath Expressions

  • XSL Transformations

Console Panel

The Console panel in XML View describes the errors, if any, in the open XML files. The Console panel also displays the filename of the error. To go to the file and location of the error, click an error row.

Choose View > Panels > Errors to display the Console panel.

Structure View

XML View provides a Structure View that allows you to navigate and view the structure of your XML document. The Up and Down arrow keys let you move up and down in the Structure View.

To display the tree view, choose View > Structure View.

The following features are available in the Structure View when it is accessed through the XML View:

  • Search: You can search for an element by its name, attribute name/value combination, or even the content. The following example show the search performed on an attribute name:

    Figure 2. Search support in the Structure View

  • Navigation: Clicking on an element in the Structure View selects the element and its content in the XML View. This way, you can quickly navigate to the required content in your document.

  • Change attribute values: If your element contains an attribute, a three dots sign appears against it. The following example shows the elements that have attributes associated with them:

    Clicking on the dots expands and shows the attribute and its value. The first highlighted element in the example is expanded, and its attribute is visible. However, the second highlight item is in collapsed state. To change the attribute's value, click on the value and enter the new value. When you press Enter, the changes are saved, and the XML code of the element is also updated.

  • Cut, Copy, Paste, and Delete an element: Clicking on an element, selects the element and its content. You can use the context menu or the regular keyboard shortcuts to Cut (Ctrl+x), Copy (Ctrl+c), Paste (Ctrl+v), or Delete (Del) the selected element. You can also choose to paste an element before or after the currently selected element. To do so, right-click on an element and select Paste Before or Paste After. You can also drag-and-drop elements across the topic to reorganize the content. If an element is incorrectly placed, it is highlighted in red:

    Figure 3. Incorrectly placed element is highlighted in Structure View

  • Insert an element: You can insert an element before or after the currently selected element. To do so, right-click on an element and select Insert Before or Insert After. The Insert Element catalog appears from where you can choose an element that you want to insert.

WYSIWYG View

WYSIWYG View is the classic FrameMaker view, which supports structured and unstructured authoring. WYSIWYG View has all the features of FrameMaker.

The following can be managed using WYSIWYG View only:

  • Templates

  • Formats

  • Body, master, and reference pages

  • Page layouts

  • Multiflow documents

Creating your structured content in WYSIWYG View makes your authoring experience very simple. The latest release of FrameMaker has combined the authoring features from its earlier Simplified XML mode with the WYSIWYG View.

With the convergence of WYSIWYG with the Simplified XML, you do not need to know the underlying content rules or the XML structure to create or work on a structured document. The Quick Element Toolbar (QET) is also customized for authoring in WYSIWYG View, which allows you to easily insert valid objects in your structured document.

This following subsections explain the various ways to work with the most commonly used objects in the WYSIWYG View.

Work with ordered and unordered list

  • To create an ordered or unordered list in the document, choose the corresponding button in the QET.

  • To create a new list item, place the insertion point at the end of the current item and press Enter.

  • Within a list item, to insert an object (such as an image or a table), use the QET or the Insert Object pop-up.

  • To convert between ordered list and unordered lists, place the insertion point anywhere inside the list and choose the alternate list type from the QET.

  • To exit a list, place the insertion point at the end of the last list item and press the Enter key twice.

  • To insert a list item between two lists, either place the insertion point at the end of the first list item or at the start of the second list item and press Enter.

  • To split a list item into two items, place the insertion point where you want to split an item and press Enter.

  • To split a list into two, place the insertion point at the end of the first list item and press Enter twice. A new paragraph is created between the lists.

You can use the Tab, Shift tab keys or List Indent, List Outdent button in the QET to indent (nest) or outdent list items:

  • To indent a list item, place the insertion point at the start of the list item and press Tab. Or, place the insertion point anywhere in the list item and click List Indent.

    Note: The operations performed by List Indent and List Outdent buttons also work with partially selected text.

  • To reduce the indent of the list item, place the insertion point at the start of the list item and press Shift + Tab. Or, place the insertion point anywhere in the list item and click List Outdent.

  • If a list has multiple items, to nest some of the items in the list, select the items and press Tab or click List Indent.

  • To reduce the indent of any item in a nested list, place the insertion point at the start of the list item and press Shift+Tab. Or, place the insertion point anywhere in the list item and click List Outdent.

    Note: If you reduce the indent of any item in a nested list, the other items remain nested.

Work with tables

  • To insert elements after the table, click the Insert Table button in the QET.

  • To add rows or columns to the table, click in a table cell next to where you want to add the row or column, choose Table > Add Rows or Columns, and specify the number of rows or columns you want to add. You can also move rows or columns within the same or different tables, and sort the rows or columns in a table. For more information, see Table rows and columns in the Tables chapter.

  • To add a new row to the table, click Tab at the last column of the last row.

  • To move across cells in the table, you can use Tab, Shift+Tab, or arrow keys.

Work with images

  • When you are working in a DITA topic, concept, or reference document, click the Image button in the QET.

  • If you create a DITA task topic, then you are allowed to insert a graphic in the Procedure title, Short description, and Procedure steps fields. This is because in the task topics, the graphic is wrapped inside the <image> element.

  • To move the image, you need to click on the Image anchor and then drag-and-drop the image.

  • To resize an image, click to select the image object (not the Image anchor) and drag a side handle to change either the width or height.

  • To view the object properties of the imported graphic, right click the graphic and choose Object Properties. To view object properties of the anchored frame, click on the anchor and choose Graphic > Object Properties.

Switch between the views

You can switch between the three views by clicking the relevant icon in the Application bar.

Figure 4. Icons of the three views in the Application bar

A. XML View B. WYSIWYG View

XML View is support only for structured files. When you have unstructured files open and you switch from WYSIWYG View to XML View, FrameMaker keeps the unstructured files also in the view. When you quit FrameMaker from when there are unsaved files, FrameMaker alerts you.

Parent topic: Structured Authoring user interface


Quick Element Toolbar

Know what a quick element toolbar is in Adobe FrameMaker and how to use it in Structured Authoring.

In this topic

  • Introduction

  • Using the Quick Element Toolbar

  • Customization

  • Configuration XML file locations

  • Create your own Quick Element Toolbar

Introduction

The Quick Element Toolbar in Adobe FrameMaker contains commands that allow users to quickly insert (list, table, image) and wrap (bold, insert) commonly used elements in a structured authoring document.

It is specific to a structured workspace-view combination. The icons in the toolbar are enabled/disabled based on the current context (cursor position) of the application.

See the video, Quick Element Toolbar.

Using the Quick Element Toolbar

The out-of-the-box functionality provided by Adobe FrameMaker supports the DITA element structure. To use this toolbar, you will need to create a DITA document.

  1. Choose File > New > XML.

  2. In the New XML dialog, go to the DITA tab, select Topic, and click OK.

  3. To display the Quick Element Toolbar, choose View > Toolbars > Quick Element Toolbar.

    Figure 1. Quick Element Toolbar
    Quick ElementToolbarinAdobe FrameMaker

  4. As you place the document insertion point at a section in the document, the relevant options in the toolbar are enabled.

    This functionality is the same as the elements that are displayed (or hidden) in the Elements catalog.

  5. If you hover the mouse pointer over a button on the toolbar, the tooltip displays the name and description of the element as it displays in the Elements catalog.

  6. To insert an element in the document (for example, <ol>, <ul>, <table>), place the insertion point at the relevant point in the document and choose the element on the Quick Element Toolbar.

  7. To wrap an element in the document (for example, <b>, <i>), select the element and click the element on the Quick Element Toolbar.

Customization

The out-of-the-box functionality provided by FrameMaker supports the DITA element structure. However, you can customize the toolbar to associate the commands with any custom Structured Application.

You can customize the commands in the Quick Element Toolbar by adding commands associated with other elements from the Elements catalog of the Structured Application. For example, you can add a command to insert a <ph> (phrase) element in the current document.

Each FrameMaker view-workspace combination has an associated Quick Element Toolbar configuration XML file (quick_element.xml). Each configuration file contains the information that associates the toolbar with one or more Structured Applications. The file also contains information that associates toolbar commands with the corresponding elements in the Elements catalog.

Configuration XML file locations

The configuration file for the QET is available at the following location:

<Fm_install_location>\fminit\WorkSpaces\Structured\WYSIWYGView\toolbars\quick_element.xml

Important: Create a backup of the original file before making any updates.

Create your own Quick Element Toolbar

The following steps include associating a new toolbar with a custom Structured Application. It also includes associating the commands in the toolbar with elements in the Elements catalog of the Structured Application.

  1. Open the quick_element.xml file in a text or XML editor.

    Note: To include the toolbar in all the views, you will need to update the quick_element.xml files in all the above locations.

    The XML file contains one <STRUCTURED_APPLICATION> node for each Structured Application.

    This node contains one <ELEMENT> node for each command in the Quick Element Toolbar.

  2. To create a toolbar for the custom application, you can simply duplicate one of the existing <STRUCTURED_APPLICATION> nodes.

  3. Set the @app_name attribute to the name of the custom application.

    <STRUCTURED_APPLICATION  app_name="<Custom app name>">

    From the Elements catalog for the custom application, choose the elements for which you want to create commands in the custom application Quick Element Toolbar.

    For each element, create one <ELEMENT> node in the <STRUCTURED_APPLICATION> node.

  4. Set the @elemTag attribute to the new command.

    For example, to add a command to insert the ph (phrase) element:

    <ELEMENT elemTag="ph">

  5. You also need to associate each command to an icon. The steps to set the icon for a command is described in the Customize icons section.

Parent topic: Structured Authoring user interface


Elements catalog

Understand how to work with the Elements catalog in Adobe FrameMaker and how to insert, wrap, and change an element.

In this topic

  • Introduction

  • Insert an element

  • Keyboard shortcut to insert an element

  • Wrap an element

  • Keyboard shortcut to wrap an element

  • Change an element

  • Keyboard shortcut to change an element

Introduction

The elements in a structured document depend on the Structured Application on which the document is based.

When you create a structured document, the Elements catalog for the document is populated with the elements defined in the application. With the Elements Catalog, you can insert new elements, wrap elements into a new parent element, or change (rename) an element to another element. You can also use keyboard shortcuts and the Smart Catalog to do the same element manipulations.

Insert an element

To insert an element in a structured document, do the following:

  1. Place the insertion point at a location in the document hierarchy.

  2. Select the required element in the Elements catalog.

  3. Click Insert to insert the element in the document hierarchy.

  4. If the Attributes for New Element dialog is displayed, specify the required attributes and click Insert Element.

    You can also click Insert Element and specify any attributes later. For details on attributes of elements in a document, see Working with element attributes.

Note: Double-click an element in the dialog as a shortcut to insert.

If the element is text-based (paragraph or note), you can start typing into the document. FrameMaker ensures that the text is inserted within the element boundaries.

If the element is image-based, the file selection dialog box is displayed.

If the element is table-based, the Insert Table dialog box is displayed.

Note: The file selection or Insert Table dialog boxes display only if the functionality to display the dialog boxes is implemented in the Structured Application on which the current document is based.

To change how FrameMaker functions when you insert an element into the hierarchy, use the options in the New Element Options dialog (Element > New Element Options):

Always Prompt for Attribute Values

Display the Attributes for New Element dialog every time you insert an element into the document.

Prompt for Required Attribute Values

Display the dialog only if the associated Structured Application specifies mandatory attribute values for an element. If you do not specify the values, the structure of the document is broken. However, you can specify the values later.

Do Not Prompt for Attribute Values

Does not display the dialog when a new element is inserted in the hierarchy.

Allow Automatic Insertion of Children

If an element contains child elements, insert the child elements when the parent element is inserted.

The child elements inserted along with the parent depends on the rules defined in the associated Structured Application. For example, in a DITA topic, if you insert an ordered list (<ol>) element, one list item (<li>) element is also inserted. If you disable this option, an empty ordered list element is inserted.

Process AutoInsertion Rule Recursively

If an element contains descendant elements (child elements that also contain children), insert all the descendant elements when the parent element is inserted.

The descendent elements inserted along with the parent depends on the rules defined in the associated Structured Application. For example, in a DITA topic, if you insert an ordered list (<ol>) element, one list item (<li>) element is also inserted. Inside the list item element, a paragraph element is inserted. If you disable this option, an ordered list element is inserted along with the list item element.

Keyboard shortcut to insert an element

To insert an element in a structured document using the Smart Catalog, do the following:

  1. Select an element in the document or in the Structure View.

  2. Press ctrl+1 to display the Smart Catalog.

  3. From the Smart Catalog select the new element and press Enter.

Wrap an element

To wrap an element into another element, do the following:

  1. Select an element in the document or in the Structure View.

  2. Select the new parent element in the Elements panel.

  3. Click Wrap to enclose the selected element within the new parent element.

Note: If you are sure that the selected element in the dialog is a format-based element, such as bold or italic, the double-click shortcut will work. However, if the element is not format-based, FrameMaker will try to insert the element (for example a table) at the selected location. You can verify the validity of the document structured in the Structure View.

Keyboard shortcut to wrap an element

To wrap an element in a structured document using the Smart Catalog, do the following:

  1. Select an element in the document or in the Structure View.

  2. Press ctrl+2 to display the Smart Catalog.

  3. From the Smart Catalog select the new element and press Enter.

Change an element

To change an element (rename an element), do the following:

  1. Make sure the Structure View (View > Panels > Structure View) and the Elements catalog (View > Panels > Element Catalog) are open.

  2. Select the element in the Structure View panel that you want to change. You can select more than one element, even if the elements do not have the same tag. All the elements are changed to the new type of element. However, the elements’ children are not changed, but they sometimes become invalid because the parent changed.

  3. Select an element in the Elements catalog and click Change.

Keyboard shortcut to change an element

To change an element in a structured document using the Smart Catalog, do the following:

  1. Select an element in the document or in the Structure View.

  2. Press ctrl+3 to display the Smart Catalog.

  3. From the Smart Catalog select the new element and press Enter.

  • Configuring the Elements catalog
    Understand how to configure the Elements catalog in Adobe FrameMaker.
Parent topic: Structured Authoring user interface


Configuring the Elements catalog

Understand how to configure the Elements catalog in Adobe FrameMaker.

In the Elements catalog, click Options to open the dialog to perform the following tasks:

Valid Elements for Working Start to Finish

Displays only elements that are valid at the current insertion point in the hierarchy. The order of the elements in the panel is the same as they are defined in the Structured Application.

Choose this option if you plan to go through a document from start to finish and fill in the elements in their correct order and hierarchy.

Valid Elements for Working in Any Order

Displays only elements that are valid at the current insertion point in the hierarchy.

Choose this setting if you plan to build a valid document but not necessarily by working from start to finish. This is helpful if you do not have all the information you need.

Elements Allowed Anywhere in Parent

Displays all elements that are valid for the current parent.

Choose this option if you want more flexibility for filling in elements. You can insert elements that are invalid and correct the errors later.

All Elements

Displays all elements available in the Elements catalog defined in the Structured Application. However, the valid elements at any insertion point are preceded with a check mark.

Choose this option:

  • if you are not building a valid document

  • if you want flexibility and will correct errors later

  • if you are wrapping elements around contents

  • if you want to see what is available elsewhere in the document

Figure 1. Check mark against valid elements
Check mark against valid elements in the Elements panel

Customized List

Click Edit to open the Customized List of Available Element dialog. You can then choose the elements to show or hide. Use the Move Up and Move Down buttons to specify the order in which the elements display in the panel.

Choose this option to:

  • work with a pre-defined subset of the elements

  • display elements in a specific order

  • work with an element list that is static and not context specific

Important: This is a fixed list so the list does not also include elements valid at the current insertion point unless you have selected the elements when creating the list.
Show Element Description Tags

Displays the description of an element, in brackets, to the right of the element.

List After Other Valid Elements

Depending on the options selected above, the panel may contain elements that are invalid at the specified location. Choose this option to display valid elements first, followed by invalid elements.

Parent topic: Elements catalog


Change the scope of elements available in a structured document

Understand how to define which elements are available at the insertion point in a structured document with Adobe FrameMaker.

When adding elements to a structured document, insert only elements that are valid at the current location. Valid elements have bold check marks, bold check marks and a plus sign, and question marks in the Elements catalog. If you add elements this way, you can work from the beginning of a document to the end and be sure that its structure is valid at every point along the way.

Sometimes you want to work more loosely, and in these cases you can make more elements available. For example, some draft documents must adhere strictly to a predefined structure but follow the structure only as a guideline. Or, you can plan your document to conform to a structure without having all the information to complete it from start to finish.

When more elements are available, the additional elements appear in the Elements catalog and are available if you insert elements from the keyboard. You can also list inclusions after other valid elements in the catalog.

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

  2. Choose Element > Set Available Elements to open the Set Available Elements dialog. You can also click Options in the Elements catalog.

    Figure 1. Set Available Elements dialog
    Set Available Elements dialog

  3. Select one of the following options in the Show These Elements area:

    • To show only elements that are valid for the current location, select Valid Elements for Working Start to Finish. Use this option if you plan to go through a document from start to finish and fill in the elements in their correct order and hierarchy.

    • To show elements that are valid for the current location or later in the current element, select Valid Elements for Working in Any Order. Choose this setting if you plan to build a valid document but not necessarily by working from start to finish. This is helpful if you don’t have all the information you need.

    • To show elements allowed anywhere in the current element, select Elements Allowed Anywhere in Parent. Use this setting if you want more flexibility for filling in elements. You can insert elements that are invalid and correct the errors later.

    • To show all elements defined for the document, select All Elements. Use this setting if you’re not building a valid document, if you want flexibility and will correct errors later, if you’re wrapping elements around contents, or if you want to see what’s available elsewhere in the document.

    • To show a set of elements that you specify, select Customized List. Use this setting to work with a subset of the elements, to display elements in a fixed order, or to work with a list that is static instead of context sensitive.

  4. If you selected Customized List, click Edit and create or change a list of elements.

    To move element tags between the Show and Don’t Show lists, use the arrow buttons or double-click the element tags. Transfer all of the elements from one list to another by holding down Shift as you click an arrow button. Click the Move Up and Move Down buttons to arrange the elements in the Show list in the order you want them to appear in the Elements catalog. Click Set when the list is the way you want it.

    Note: A customized list of tags is always the same regardless of the location of the insertion point, so be careful to include all the tags you need. The only indication of validity is a check mark next to a tag.

  5. To list inclusions separately in the Elements catalog, turn on List after Other Valid Elements.

    This groups the inclusions right after the other valid elements. Use this setting if you have a large number of inclusions that you rarely need.

  6. Click Set.

Parent topic: Structured Authoring user interface


Element boundaries

Understand what element boundaries are and how to show/hide element boundaries and tags in the authoring view of Adobe FrameMaker.

In this topic

  • Introduction

  • Show/Hide element boundaries

  • Expand and collapse elements in document window

Introduction

Element boundaries shown in the document window mark the beginning and end of each element. Working with visible boundaries helps you see how the document content is divided into elements. Viewing the boundaries also makes it easier to place an insertion point properly or to make the right selection.

For most elements, the boundaries appear as opening and closing brackets [ ] or as two boxes with an element tag. For some elements (graphics, footnotes, markers, tables, and equations), the element location is marked only by one box with a tag.

When elements are inside other elements, their brackets or tags nest to show the hierarchy.

Note: The brackets and tags that mark element boundaries are characters that both print and occupy document space. Hide them before printing to suppress them in print output. Also hide them to see the document layout unaltered by element boundaries.

Show/Hide element boundaries

To show or hide element boundaries, do the following:

  • To surround each element with brackets, choose View > Element Boundaries.

  • To surround each element with a text label, choose View > Element Boundaries (As Tags).

  • To hide element boundaries, choose View > Element Boundaries or Element Boundaries (As Tags).

Expand and collapse elements in document window

If you are viewing element boundaries as tags in the document window, you can perform the following operations:

  • Collapse all elements, even in the document view.

  • Collapse a parent element to hide the child elements, without collapsing them.

  • Collapse child elements, when collapsing the parent element.

  • Collapse all elements to the same level, when collapsing an element.

  • Select the element, by clicking the element tag.

  • Toggle the collapsed state of an element, by double-clicking the element tag.

  • View expanded element structure, when any operation (for example, Find/Change) results in a selection, within a collapsed element structure.

  • Have the document view and Structure View synchronized with respect to the collapsed state of the elements.

Parent topic: Structured Authoring user interface


Error console

Learn how to use an error console to find and rectify error in FrameMaker document

While working on a document, the FrameMaker error console displays structural and other issues in a document, if any. This console also provides the following information about document issues:

  • Exact location of the issue within the document

  • Name of invalid elements, if any

Figure 1. Error console displaying error details
FrameMaker error console displaying structural and other issues in a document

Parent topic: Structured Authoring user interface


Elements in structured documents

Understand what elements are, what makes them valid and the two classes of elements.

In this topic

  • Introduction

  • Valid contents for elements

  • Element classes

Introduction

The basic unit of information in structured documents is called an element. Elements hold other elements, text, graphics, tables, cross-references, and markers.

You can add elements to a document to build its structure, and you can edit existing elements in many ways.

To build a document’s structure, you can either add elements to the document and then fill in the contents, or select existing contents and wrap them in elements.

A structured document has element definitions stored in its Elements catalog. These definitions describe the allowable contents for each type of element the document can have. They sometimes specify attributes and formatting for the elements. If all the elements in a document have contents and attributes that meet these specifications, the document is valid.

Valid contents for elements

An element’s definition has content rules that determine what the element can contain. For example, perhaps the definition of a <section> element specifies that a section must begin with a <title> element, and then can have any combination of <p>, <image>, and <table>. A <p> element sometimes allows text and <xref> elements, in any order.

The Elements catalog indicates valid elements for the current location with a heavy check mark. If an element can contain text, it shows that text is allowed with the <TEXT> label.

Element classes

Elements fall into two basic classes determined by their allowable contents:

  • A container element can hold text, other elements, or both. Container elements, such as heads and paragraphs, build the document’s structure.

  • An object element is a single object—a marker, cross-reference, system variable, equation, or anchored frame. You cannot type in these elements or add child elements to them.

Figure 1. Container element and object element
Containerelement and object element

A. Containers have round-cornered bubbles. B. Object elements have square-cornered bubbles.

A container element can be defined to remain empty. For example, perhaps a table cell is empty as part of a table’s design. If an element contains only spaces or non-printable characters such as tabulators, its text snippet in the Structure View is <WHITESPACE>.

  • Import element definitions
    Learn how to import element definitions into a structured document with Adobe FrameMaker.
  • Insert elements
    Learn how to insert elements in structured documents in Adobe FrameMaker by pressing Return, by using the Elements Catalog, or with the Elements Quick Catalog, and how to set options for new elements.
  • Add text in a structured document
    Learn how to add text in a structured document with Adobe FrameMaker.
  • Edit elements
    Learn how to work change, merge, split, wrap and unwrap, move, copy and nudge elements with Adobe FrameMaker.
  • Select and edit element text
    Learn how to select and edit text in elements with Adobe FrameMaker.
  • Remove elements
    Learn how to remove an element in a structured document with Adobe FrameMaker.
Parent topic: Structured authoring


Import element definitions

Learn how to import element definitions into a structured document with Adobe FrameMaker.

If you’re not sure whether an Adobe FrameMaker document has element definitions, open the Elements catalog and click in a text flow. If you see elements in the catalog, the document has definitions. You sometimes must select the All Elements option to get elements to appear (Element > Set Available Elements > All Elements).

If you are using a structured template, then element definitions are usually defined in it. However, sometimes your application developer may provide you with an EDD or DTD that you can directly import into your documents.

  1. Open the template, EDD, or DTD with the element definitions. The template, EDD, or DTD must be named and saved.

  2. Create a blank document or open the document or book that you want to update. If a book window is active, select the documents you want to update.

  3. In the document or book you’re updating, choose File > Import > Element Definitions.

  4. Select the template, EDD, or DTD from the Import From Document drop-down list. The drop-down list lists all open documents.

  5. To remove special formatting and book-related changes in the document, do the following:

    To remove format rule overrides, select While Updating, Remove Format Rule Overrides. Use this setting if you have made text or paragraph formatting changes to elements and now want to return to the formatting described in the EDD or DTD.

    To remove element information derived from a book file, select While Updating, Remove Information Inherited from Book. Use this setting if the document used to be included in a book but is now a standalone document.

  6. Click Import. FrameMaker adds the element definitions to the document’s Elements catalog, replacing existing definitions.

Parent topic: Elements in structured documents


Insert elements

Learn how to insert elements in structured documents in Adobe FrameMaker by pressing Return, by using the Elements Catalog, or with the Elements Quick Catalog, and how to set options for new elements.

In this topic

  • Introduction

  • Insert an element by pressing Return

  • Insert an element using the Elements Catalog

  • Insert an element using the Elements Quick Catalog

  • Define options for inserting new elements

Introduction

To add an element to a document, you either insert an empty element and enter contents, or wrap an element around existing contents. Before you can begin, your document must have element definitions in its Elements catalog.

If you haven’t yet fully planned your document, consider inserting just the high-level elements, such as <head>, <body>, <section>, and <title> elements, and then use this structure as an outline for developing the document content.

You can also enter all the elements in their correct order and hierarchy as you go, or concentrate on contents rather than on structure, and then validate later to correct errors.

The Elements catalog shows the elements that are available at the current location. You can change the scope of elements available at a certain position in the structure by changing the Structured Application.

If you have turned on element boundaries, then once you insert or wrap an element, a pair of element boundaries appears in the document window, and a new element bubble appears in the Structure View.

Figure 1. Empty element boundaries (left) and element bubble for the new element (right)
Emptyelement boundaries in the document view and bubble for the new elementin the Structure View in Adobe FrameMaker

Insert an element by pressing Return

In many cases, pressing Return inserts an element automatically. Whenever you press Return, FrameMaker checks the current element’s definition for the following conditions in the following order. If the EDD of the Structured Application defines automatic insertion of a child element, the child element is intserted automatically as well.

One valid element

If only one child element is valid at the current location, pressing Return adds that element. For example, after you add a <topic>, a <title> is the only element permitted as the first child element. You can also use this technique to create repeating elements, such as body paragraphs and list items.

More than one valid element

If more than one child element is valid, pressing Return highlights the Tag area to prompt you for an element. Type until the element name you want appears, and then press Return to insert the element.

End of an element

If the insertion point is at the end of an element and no more child elements are valid, pressing Return looks for valid elements in ancestors after this location. If a valid element is found, the insertion point moves to the ancestor and the element is inserted (if only one is valid) or the Tag area is highlighted (if more than one element is valid).

Other conditions

If none of the preceding conditions are true, no element is inserted.

Insert an element using the Elements Catalog

To insert an element using the Elements catalog, do the following:

  1. If the document does not have element definitions, import the definitions from a structured template, EDD, or a DTD.

  2. Specify the scope of elements available.

  3. Click where you want to insert the element. If you’re inserting it between other elements, work in the Structure View rather than the document window.

  4. Select an element in the Elements catalog, and click Insert. If only one element appears in the catalog, you can click Insert without selecting it.

    You can also double-click an element name to insert the element.

    Note: By default, the Elements catalog displays only those elements that are valid at the insertion point.

  5. If the Attributes For New Element dialog box appears, enter attribute values for the element and click Insert Element.

    This dialog box appears only if the element has attributes and if an option is set in the New Element Options dialog box to prompt for attribute values when you insert new elements.

  6. If you insert a table, a marker, a graphic, or a cross-reference, provide more information about the element in the dialog box that appears.

  7. Add content to the elements. You can add content as you insert elements, or after you build the structure of your document.

Insert an element using the Elements Quick Catalog

Using the Elements Quick Catalog, you can select and insert multiple levels of elements. When you select an element in the Elements Quick Catalog, FrameMaker displays the elements available within the selected element.

Hit enter and use the pointer or the arrow keys (or the pointer) to select a hierarchy of elements that you want to insert. When you hit enter, if there is only one valid element at the pointer’s position, FrameMaker inserts the element.

Use the following keys to navigate through the hierarchy of elements in Quick Catalogs:

Key/Key action | Type of navigation/action
Place cursor in an element and hit enter | Display the Quick Catalog
→ | Display the elements available within the selected element
← | Hide one level hierarchy of elements
tab | scroll down
shift+tab | scroll up
Alphabets/combination of alphabets | Type an alphabet or combination of alphabets to select an element. For example, press b to select <body> and type to to go to <topic>.

The list of elements in the Quick Catalog appears according to the settings in the Set Available Elements dialog. If Show Descriptive Element Names is selected, the element tool tips in the catalog display the element descriptions.

Hierarchical element insert takes care of auto insertions for the last selected element in the hierarchy, as specified in the Element Definition Document (EDD). If there are auto insertion rules in place for elements apart from the last element, they are ignored.

Figure 2. Hierarchical element insert
Selecting andinserting multiple levels of elements in a hierarchy

A. Select a hierarchy of elements B. Elements get inserted as a group

Define options for inserting new elements

To define options for inserting new elements, do the following:

  1. Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect in the book panel.

  2. Choose Element > New Element Options. The New Element Options dialog is displayed:

    Figure 3. New Element Options Dialog
    New ElementOptions Dialog in Adobe FrameMaker

  3. Specify how you want to be prompted for attribute values when you add new elements:

    • To enter all possible attribute values as you add elements, select Always Prompt for Attribute Values.

    • To enter only required attribute values as you add elements, select Prompt for Required Attribute Values.

    • To enter attribute values after adding elements, select Do Not Prompt for Attribute Values.

  4. To allow FrameMaker to insert child elements automatically for new elements, select Allow Automatic Insertion of Children.

  5. Click Set.

Tip: To speed up the process of adding new elements, select the Do Not Prompt for Attribute Values and Allow Automatic Insertion of Children options.
Parent topic: Elements in structured documents


Add text in a structured document

Learn how to add text in a structured document with Adobe FrameMaker.

Place the insertion point anywhere inside a text frame in a document window. An insertion point also appears at the corresponding place in the Structure View. To place the insertion point in the middle of text, use the document window rather than the Structure View. When placing the insertion point at the beginning or end of an element, or between elements, click in the Structure View.

The Elements catalog describes what the current element can contain. You can enter text whenever <TEXT> appears in the catalog.

  1. Place the insertion point:

    • To place at the beginning or end of text, click to the left or right in the first or second half of the text snippet. After you click, a line on the left or right side of the triangle insertion point indicates that the point is at the beginning or end of text.

    • To place between two elements, click to the right of the vertical line connecting the elements, between the two bubbles.

    Figure 1. Insertion point between two elements
    Adding text at the insertion point between two elements

  2. Begin typing. Don’t press Return unless you want to insert a new element, or begin a new paragraph in an unstructured flow.

Parent topic: Elements in structured documents


Edit elements

Learn how to work change, merge, split, wrap and unwrap, move, copy and nudge elements with Adobe FrameMaker.

In this topic

  • Introduction

  • Change elements

  • Merge elements

  • Split an element

  • Wrap elements around existing content

  • Unwrapping the contents of elements

  • Move or copy elements

  • Nudge an element one place

Introduction

In Adobe FrameMaker, you can edit the structure of a document in many ways. You can rearrange elements, change an element from one type to another, wrap and unwrap elements, and split and merge elements.

After changing the structure of a document, you sometimes need to edit the document further to correct structure violations. For example, if you split a <section> into two sections, you might need to add an additional <title> element for the new second <section>.

Use the Structure View to get an easy to understand view of your document’s structure, and as a guide for finding structure errors. In the Structure View you can rearrange elements and edit elements.

In the Elements catalog, you see all elements available at the current position in the document.

  • Choose View > Panels > Structure View to open the Structure View.

  • Choose View > Panels > Element Catalog to open the Elements catalog.

Change elements

You can change (rename) an existing element to another element of the same type. For example, you might want to convert a <p> element into a <note> element, or a series of <p> elements into <li> elements that you can include within a <ul> or <ol> element.

However, it is not possible to convert any element to any other element. For example, you cannot change a table cell element (<entry>) into a paragraph element (<p>).

To rename an element, do the following:

  1. In the Structure View, select the element that you want to change. You can select more than one element, even if the elements do not have the same tag.

  2. Select an element in the Elements catalog and click Change.

FrameMaker changes all selected elements to the new element. However, the elements’ children are not changed, but they sometimes become invalid because the parent changed.

Merge elements

You can merge two or more elements into a single element. If you do so, FrameMaker places the contents of the second element (including any child elements) at the end of the first element.

Figure 1. Merging two Sections, before and after
Beforeand after merging two elements

You sometimes must edit the document after merging elements to fix structure violations.

Note: If you want to combine table cells, use Table > Straddle rather than merging the cells. You cannot combine other table parts.

To merge the content of two elements, do the following:

  1. In the Structure View, select the elements you want to merge. The elements can be of different types, but they must be siblings and next to each other in their parent element.

  2. Choose Element > Merge.

Merging elements with attributes retains the attributes of the the first element only.

Split an element

You can split an element into two elements of the same type and at the same level. For example, you can split a long paragraph into two paragraphs, or a section element in two sections.

Figure 2. Splitting a section, before and after
Before and after splitting an element

To split the content of an element, do the following:

  1. In the Structure View, click between two elements where you want to split the parent element. All elements at the same level following the insertion point go into the new parent element.

  2. Choose Element > Split.

Splitting sometimes results in two elements with identical attributes. However, if the original attribute had a Unique ID attribute, the second element loses its ID value and you need to assign a new ID.

Wrap elements around existing content

You can add structure to content already in a document by wrapping a new element around the content. The content can be any part of a document, including other elements. The element’s content is formatted as specified in the element’s format rules.

Note: You cannot wrap content in elements that are for parts of tables (such as rows or cells). Still, you can wrap text or other elements that are within a cell or a table title element. If you want to convert text and elements to a table, use Table > Convert to Table rather than wrapping.

After wrapping an element, you sometimes must edit the document to correct structure errors. For example, if you wrap <Para> elements in a <Section> element that requires a <Head> element, you’ll need to insert the <Head> element.

To wrap an element using the Elements catalog, do the following:

  1. Select the contents you want to wrap in an element. If you’re selecting text, use the document window. If you’re selecting entire elements, use the Structure View.

  2. Select an element in the Elements catalog, and click Wrap.

  3. If the Attributes For New Element dialog box appears, enter attribute values for the element and click Insert Element.

    This dialog box appears only if the element has attributes and if an option is set in the New Element Options dialog box to prompt for attribute values when you insert elements.

To wrap elements throughout a document, do the following:

  1. In the document window, wrap text ranges, system variables, and other items that are inside paragraphs. Don’t worry about errors you see in the Structure View. You’ll correct many of these errors when you wrap the lowest levels in parent elements. You can correct the other errors when you’re finished.

  2. Wrap paragraphs, headings, and other paragraph-level items in their elements.

  3. In the Structure View, wrap the elements you have so far in parent elements, such as <section>, <ol>, <ul> etc.

Wrapping helps in manually providing a structure to an existing unstructured document. When you wrap the first element in the document, the Structure View immediately changes to show a default invalid structure, as follows:

  • A highest-level element is added with the name <NoName>, unless you begin by wrapping the contents in a valid highest-level element. <NoName> is a placeholder for your valid highest-level element.

  • All tables become structured and are given default elements, such as <TABLE> and <ROW>.

  • Objects become elements with default names such as <CROSSREF>, <GRAPHIC>, and <EQUATION>.

  • Footnotes become <FOOTNOTE>.

  • Rubi text becomes <RUBI> and <RUBIGRP> elements.

You can correct the structure of the document when you’re finished wrapping elements.

Note: Variables and markers do not become structured object elements.
Tip: If your application developer has set up a conversion table for the document, you can apply the table to wrap elements throughout the document all at one time. This is much faster than wrapping text manually.

Unwrapping the contents of elements

Unwrapping deletes an element but leaves its contents in the same place in the document. You usually unwrap elements as part of a larger editing process.

For example, if you plan to convert <ListItem> elements into <Para> elements, sometimes you must unwrap the parent <List> element first. Then use Edit > Find/Change to convert the <ListItem> elements to <Para> elements.

Figure 3. Unwrapping ListItems, before and after
Beforeand after unwrapping the contents of elements

You sometimes must edit the document after unwrapping an element. For this example, you would change the <ListItem> elements to valid elements or rewrap them.

Note: You cannot unwrap an element that is a table part (such as a row or cell).

  1. Select the element with the contents you want to unwrap.

  2. Choose Element > Unwrap.

Move or copy elements

You can move an element to another location in a document by dragging its bubble in the Structure View. When you move or copy an element, its contents, including descendants, all move along with it. This does not affect the contents of the clipboard.

Tip: If you’re moving an element that has many descendants, collapse the element first. In Structure View, shift-click an element to collapse/expand all its sibling elements. alt-click an element to expand or collapse its child elements.

You can also move or copy an element by cutting or copying it to the clipboard and pasting it in a new location, even across documents. If you paste an element from another document, sometimes the element is not defined in your document. If you don’t plan to add a definition for the element, change the element to a valid one. You cannot cut and paste elements in a book file.

  1. Do one of the following:

    • To move an element, drag the bubble to the location you want.

    • To copy an element, hold down alt and drag the bubble to the location.

    As you drag the bubble to copy, the pointer changes to a hollow, stacked up-and-down arrowhead, and a horizontal arrow moves to indicate where the copy goes if you release the mouse button.

    As you drag the bubble to move, the pointer changes to a solid up-and-down arrowhead, and an arrow moves to indicate where the bubble goes if you release the mouse button.

    If the element is valid in the location where the arrow points, a check mark or question mark appears in the bubble.

Nudge an element one place

  1. Drag the element’s bubble slightly to one side or up or down. As you drag a small distance, the pointer changes to a single arrow. (If you drag too far, the arrow changes to an up-and-down arrowhead.)

    Figure 4. Nudging a List one place, before and after
    Beforeand after Nudging an element one place

    When you release, the element moves one place in the indicated direction, as follows:

    • Moving an element up places it right above the sibling right before it.

    • Moving an element down places it below the sibling after it.

    • Moving an element to the left makes it a sibling of its parent.

    • Moving an element to the right makes it a child of the sibling before it.

Parent topic: Elements in structured documents


Select and edit element text

Learn how to select and edit text in elements with Adobe FrameMaker.

In this topic

  • Select text in flow

  • Select text in structured document window

  • Select an element or the element content in the Structure View

Select text in flow

To select all the text in a flow, click in the flow and choose Edit > Select All In Flow or press ctrl+a.

Select text in structured document window

You can select entire elements and any part of the document contents in a document window. A corresponding selection also appears in the Structure View.

If an element has contents, you can select all or part of the contents without selecting the element itself. If an element consists of a single object, such as a graphic or a cross-reference, select the entire element.

When you select an entire element, its contents are selected along with it.

To select text in an element, do one of the following:

  • To select text without selecting the whole element, drag through the range of text. Be careful not to drag across an element boundary. If you do, you select the entire element.

  • To select one element, drag from anywhere inside the element to outside one of its element boundaries.

  • To select more than one elements, drag through the elements. FrameMaker selects each element as you drag across one of its boundaries.

Tip: Work with element boundaries showing, so that you can see the beginning and end of each element. After selecting, check the status bar for the correct element name of the selection parent element. The complete path of the element appears following the “E:” text as breadcrumb.

Select an element or the element content in the Structure View

You can select entire elements or the element contents in the Structure View. A corresponding selection also appears in the document window.

If an element has contents, you can select all of the contents without selecting the element itself. If an element is a single object, such as a graphic or a cross-reference, you select the entire element. Elements that are allowed contents have round-cornered bubbles; elements that are a single object have square-cornered bubbles.

When you select an entire element, its contents are selected along with it.

To select element content, do one of the following:

  • To select an element, click the middle of its bubble.

  • To select more than one element, click the first bubble and then shift-click the other bubbles. You can also drag to the right of the vertical line connecting the elements. Start above the first element you want to select, and drag down to the last element you want to select.

  • To select contents of an element without descendants but not select the entire element, double-click the text snippet.

  • To select the contents of an element with descendants but not select the entire element, double-click to the right of the vertical line connecting the first level of descendants.

Parent topic: Elements in structured documents


Remove elements

Learn how to remove an element in a structured document with Adobe FrameMaker.

You can remove any element, with or without its contents. For example, you sometimes want to delete a <section> element and its contents, or delete the <section> but leave the contents in place, so you can place them in a different element.

For elements that are defined to contain text or other elements, you can also delete the contents and leave the empty element in the document. For elements that are single objects without contents, you must delete the entire element.

  • To remove an element and its contents, select the element and press Delete.

  • To remove an element but not its content, select the element and choose Element > Unwrap. FrameMaker reformats the contents based on the new context, if necessary.

  • To remove the contents of an element but not the element itself, select the contents and press Delete.

  • To remove an element and its contents and replace it with another element, select the element. Then select the replacement element in the Elements catalog, and click Insert. A new empty element replaces the selected element and its contents.

  • To remove all elements from a document to base it on paragraph and character styles, choose Structure > Remove Structure From Flow. If the document has additional structured flows, repeat this command for each flow.

    FrameMaker removes all elements from the current text flow. If the formatting was created or modified by format change lists in the Elements catalog, the removed elements become format overrides in the document.

Note: To create named styles for each removed element variation and save them in the Paragraph Style Catalog, choose File > Utilities > Create And Apply Formats command.
Parent topic: Elements in structured documents


Working with element attributes in structured documents

Understand how you can work with element attributes in Structured FrameMaker.

Attributes for elements

An element can have attributes, which provide information about the element that is not part of the element’s contents. Your document uses attributes for several purposes:

  • To control the formatting of an element. For example, perhaps a @type attribute in a <list> element has two possible values—bulleted and numbered.

    Figure 1. Attributes can provide formatting information.
    Element's attributes providing formatting information

  • To record descriptive information about an element, such as level of classification. An attribute value can even trigger a custom routine that hides the element when the document is displayed.

  • To store source and destination information for elements, typically for cross-referencing. A <section> element sometimes has an @ID attribute that stores a unique value. A cross-reference element that points to the section stores the same value in a @reference attribute, to maintain the connection between the elements.

    You typically enter and edit the values for attributes, unless the attributes are defined to be read-only. Cross-reference IDs are often read-only and are generated by FrameMaker.

  • XML attribute types
    Understand the different types of element attributes.
  • Assign attribute values
    Understand how you can work with attributes in structured documents in Adobe FrameMaker.
  • Auto-generate unique ID attributes for elements
    Understand how you can setup Adobe FrameMaker to automatically assign unique ID attribute values to elements and work with the Config File Maker.
  • Copy attribute values
    Learn how to copy an attribute value from one element to another.
Parent topic: Structured authoring


XML attribute types

Understand the different types of element attributes.

An attribute’s type determines the kind of values that are allowed in the attribute. For example, the value version 1 is not valid for an attribute defined as an integer, but the value 1 is valid. Numeric types (such as integer or real number) can also be limited to a predefined range by their attribute definition.

Choice

An attribute with a list of predefined values.

ID Reference

An attribute with a value that is a Unique ID value from another element. It is typically used for element-based cross-references.

ID References

An attribute with a value of one or more Unique ID values from another element. Sometimes the developer specifies this attribute if you’re exporting to a Structured Application that uses multiple values for source information.

Integer

An attribute with a whole number value (no decimal parts). Examples of valid integers are 22, -22, and +322. An integer can be defined to fall within a range.

Integers

An attribute with a value of one or more integers. Enter each number on a separate line in the Attribute Value box.

Real

An attribute with a real number value, with or without a decimal part (the value can also be expressed in scientific notation). Examples of valid real numbers are 2, 22.4, -0.22, and 2.3e-1. A real number can be defined to fall within a range.

Reals

An attribute with a value of one or more real numbers. Enter each number on a separate line in the Attribute Value box.

String

An attribute with a value of a series of characters (text).

Strings

An attribute with a value of one or more strings. Enter each string on a separate line in the Attribute Value box.

Unique ID

An attribute with a value of a unique text string. An element can have only one ID attribute (which can be of type Unique ID or Unique IDs). All ID values must be unique in the document or book. An element with a Unique ID attribute can be the source for an element-based cross-reference.

Unique IDs

An attribute with a value of one or more unique text strings. Enter each string on a separate line in the Attribute Value box. Sometimes the developer specifies this attribute if you’re exporting to a Structured Application that uses multiple values for source information.

Parent topic: Working with element attributes in structured documents


Assign attribute values

Understand how you can work with attributes in structured documents in Adobe FrameMaker.

In this topic

  • Introduction

  • Enter attribute values as you insert elements

  • Enter or edit attribute values for elements already in a document

Introduction

Attributes store supplementary information about an element that does not appear with the contents of the document. You can see attributes and their values in the Structure View.

Figure 1. Attributes in the Structure View
Attributes of an elementin the Structure View

An attribute’s definition specifies the type of values that are acceptable (such as text or numeric) and sometimes includes a list of possible values or a numeric range.

The definition also determines whether the value is optional, required, or read only. It sometimes provides a default value. You can assign values to an attribute if the attribute is not read only.

If an attribute’s current value does not conform to the specifications in its definition, the attribute is invalid.

Note: FrameMaker can provide the values for ID and ID Reference attributes used in cross-referencing. These attributes are usually defined as read-only.

Enter attribute values as you insert elements

If an element requires a specific attribute, FrameMaker asks you to provide the attribute value. If an attribute is required, the Attributes For New Element dialog appears, listing all the attributes (except read-only ones) defined for the element. For each required attribute value, select the attribute in the Attribute Name scroll list, enter the value in the Attribute Value box, and press Enter. If an attribute is required, you must enter a value for the element to be valid.

The value you can enter, such as text or a number, is determined by the attribute’s type. If an attribute has a set of predefined values, choose from the Attribute Value drop-down list rather than entering a value.

A description of the selected attribute (its type, whether a value is required, and so on) appears in the dialog box below the Attribute Value area.

If an attribute is not required but optional, you can provide the attribute value at any time after inserting the element.

Click Insert Element.

Note: In XML, attribute values names support the Unicode text-encoding standard.
Attention: When working with SGML, do not use multibyte (Asian-language) characters when entering attribute values. These characters are not exported to SGML correctly because multibyte characters are not supported in the SGML workflow.

Enter or edit attribute values for elements already in a document

To change an attribute value rather than a value, select the element with the attribute value you want to change.

You can select more than one element of the same type, and apply the change to all. The elements must be contiguous. For example, if several <p> elements in a row have a @audience attribute, you can change the value of that attribute for all the <p> elements at one time.

Double-click an attribute name or value in the Structure View to display the Attributes dialog box.

Alternatively, choose Elements > Edit Attributes to open the Attributes panel.

For each attribute value to enter or edit, select the attribute in the Attribute Name scroll list, enter the value in the Attribute Value box, and press enter.

If an attribute has a set of predefined values, choose from the Attribute Value drop-down list rather than entering a value.

Parent topic: Working with element attributes in structured documents


Auto-generate unique ID attributes for elements

Understand how you can setup Adobe FrameMaker to automatically assign unique ID attribute values to elements and work with the Config File Maker.

FrameMaker allows you to define the elements in your Structured Application for which you want it to auto-assign unique IDs.

For example, say your Structured Application includes a <section> element that has an @id attribute. You can create a rule that ensures that whenever you add the <section> element to your structured document, FrameMaker will auto-generate a unique ID. FrameMaker will then automatically assign a unique ID to the @id attribute of the <section> element.

To define the auto-generation rules for a Structured Application, do the following:

  1. Choose Element > Launch Config File Maker.

  2. In the Configuration File Settings dialog, you define the ID generation rules.

  3. Click Save or Save As to save the ID generation rules to a configuration (.xml) file.

    To load the set of rules defined in an existing configuration file, click Load Configuration File.

  4. You can then include this configuration file to your Structures Application.

The following settings can be configured in the Configuration File Settings dialog:

ID Prefix
A text and number combination that will be prefixed to the ID that FrameMaker auto-generates.
Assign ID to Attribute

The name of the attribute to which FrameMaker will assign the auto-generated ID.

Choose <auto> to allow FrameMaker to decide to which attribute the ID is assigned.

Note: You can specify any attribute to which FrameMaker will assign the ID.
For Elements

Specify the names of elements to which FrameMaker will assign an ID to the attribute specified in Assign ID to Attribute described above.

Note: The list of elements will increment as you enter an new element name. This allows you to enter any number of elements to which to assign IDs for the specified attribute.
For Elements having Attributes

You can also choose to specify elements by their attribute values.

This implies that you can define an attribute name to ensure that FrameMaker assigns an ID to any element that contains the specified attribute. For example, you can ensure that FrameMaker will assgin an ID to all elements that have the attribute @audience. However, the ID is assigned to the attribute that is specified in the Assign ID to Attribute field described above.

You can also add attribute values to the above attribute rule. For example, you can ensure that FrameMaker will assgin an ID to all elements that have the attribute @audience and the value admin.

Also, you can specify multiple values and FrameMaker will assign the ID based on any one of the values. For the @audience example, you can specify the value as admin or end-user. In this case, the ID is assigned if the element contains the @audience attribute and the value of the attribute is either admin or end-user.

Note: The attribute list will increment as you enter new attribute names.
Parent topic: Working with element attributes in structured documents


Copy attribute values

Learn how to copy an attribute value from one element to another.

You can use the clipboard to copy and paste attribute values from one element to another. If you paste values to an element that does not have corresponding attributes defined, the attributes are invalid. To preserve element-based cross-references, an ID attribute value is not pasted.

If you copy an attribute from another document, the attribute sometimes is not defined in the current document.

  1. Select the element with the attribute values you want to copy, and choose Edit > Copy Special > Attribute Values. All attribute values associated with the element are copied to the clipboard.

  2. Select a different element and choose Edit > Paste.

To delete an undefined attribute copied from another document, select the element with the undefined attribute, open the Attributes dialog, select the attribute, and click Delete Attribute. In the next dialog box that appears, remove the attribute for the current element or for all elements that have the attribute.

Parent topic: Working with element attributes in structured documents


Find/Change elements and attributes in structured documents

Understand how you can find and change XML elements and attributes in Adobe FrameMaker.

In this topic

  • Find elements and attributes

  • Change elements and attributes

Find elements and attributes

You can search for elements and attributes in a structured document to keep track of them or to make changes to the element content quickly.

You can search for an element, attribute name, and attribute value either separately or in combination. For example, you can search for an <li> element to find each <li> element, or perhaps you limit the search to find only <li> elements that have an @audience attribute set to administrator.

To search for an element, an attribute, or an attribute value, do the the following:

  1. Choose Edit > Find/Change.

  2. Select Element from the Find drop-down list.

  3. Select the options you want in the Find Element dialog box.

    The settings can be used in many combinations. These are a few examples:

    • To find any element, leave all three boxes empty.

    • To find a specific element, type an element name but leave the Attribute Name and Attribute Value boxes empty.

    • To find any element with a specific attribute, type an attribute name but leave the Element Tag and Attribute Value boxes empty.

    • To find any element with a specific attribute value, type an attribute value but leave the Element Name and Attribute Name boxes empty.

    • To find a specific combination of element and attribute, type an element name and choose an attribute name.

    • To find a specific combination of element and attribute value, type an element name and choose an attribute name and an attribute value. If the attribute type is Choice, type the value.

    • To find a specific element with an attribute that has no value, type an element name and choose an attribute name, and select No Value from the Attribute Value drop-down list.

    Leave a box empty if you do not want to restrict the search. An empty box has the same effect as searching for any element, or choosing either Any Attribute or Any Value.

  4. Click Set.

  5. In the Find/Change dialog box, select Consider Case, Whole Word, Use Wildcards, or Find Backward.

  6. Click Find.

Change elements and attributes

You can search for elements and attributes in a structured document and change them quickly with the Find/Change feature. This is especially useful when you want to apply the same change to more than one occurrence of an element or attribute.

After you find an element, attribute, or attribute value, you can change it to another element, attribute, or value. For example, you can quickly and globally change the value of a @audience attribute from administrator to enduser.

When changing items in a document, you can change each occurrence of the item as it is found or have FrameMaker automatically make the change throughout the document.

Tip: After pasting material from another document or importing new element definitions, use Find/Change to clean up your document. For example, pasting a table from an unstructured document gives the table and its parts default, invalid element tags. You can use Find/Change to change <CELL> elements, for example, to <entry> elements.

  1. Choose Edit > Find/Change.

  2. In the Find/Change dialog box, choose Element from the Find drop-down list.

  3. Select the options you want in the Find Element dialog box, and click Set. Then choose an option from the Change drop-down list in the Find/Change dialog box, and type the replacement element name or value.

    The Find Element dialog box and the Change drop-down list work together. These are a few examples of combinations you can use:

    • To change one element to another, type an element name in the Find Element dialog box but leave Attribute Name and Attribute Value empty. Then select Element Tag To in the Change drop-down list and type an element name.

    • To change one attribute to another, type an attribute name but leave Element Tag and Attribute Value empty. Then select Attribute Name To and type an attribute name that is defined for this element.

    • To change one attribute value to another, type an attribute value but leave Attribute Name and Attribute Value empty. Then select Attribute Value To and type a value.

    • To change an attribute with a specific name to a certain value, type an attribute name but leave Element Tag and Attribute Value empty. Then select Attribute Value To and type a value.

    • To change a specific element with a specific attribute value to another element, type an element name and choose an attribute name and attribute value. Then select Element Tag To in the Change drop-down list and type an element tag.

    • To remove an attribute value, type an attribute value but leave Element Tag and Attribute Name empty. Then select Attribute Value To and leave the Choose box empty.

    If you try to make a change that is not allowed—for example, if you try to remove an element tag—an alert message appears explaining the problem.

  4. Click Find.

  5. When FrameMaker finds the element or attribute, do one of the following:

    • To make the change but not continue searching for other occurrences of the item, click Change.

    • To make the change and continue searching for other occurrences, click Change & Find.

    • To change all occurrences of the item, specify all occurrences in the document or only occurrences in the current selection and click Change All.

Parent topic: Structured authoring
  • Search in XML Source Code
  • Search in XML with Complex Expressions
  • XPath Expressions


Search in XML Source Code

Understand how to search in XML source code with Adobe FrameMaker.

If you are working in the XML View, you can search through the XML source code with Complex Expressions and XPath Queries.

The XML-specific search functionalities (Complex Expressions and XPath Expressions) perform the search in the XML source code of a document in the XML View.

For example, the following sample paragraph (<p>) text contains a word marked as bold with the XML element <b>.

<p>The quick <b>brown</b> fox.</p>

The WYSIWYG View provides the functionality to search for text as it displays in the FrameMaker window. This implies that the search for “The quick brown fox” will find the text. However, in the XML view, the same search does not find any results.

In the XML view, you will need to include the <b> (opening) and </b> closing tags in the search.

  • Search in XML with Complex Expressions
    Understand how to work with Complex Expressions in XML code in Adobe FrameMaker.
  • XPath Expressions
    Understand how you can use XPath Expressions to navigate through elements in an XML document in Adobe FrameMaker.
Parent topic: Structured authoring
  • Find/Change elements and attributes in structured documents
  • Search in XML with Complex Expressions
  • XPath Expressions


Search in XML with Complex Expressions

Understand how to work with Complex Expressions in XML code in Adobe FrameMaker.

Complex expressions are similar to regular expressions. With complex expressions you can perform advanced text search operations in the XML code of a document.

To find content in the XML View using complex expressions, do the following:

  1. In the XML View for the current XML document, open the Find/Change dialog (Edit > Find/Change or ctrl+F).

    The dialog includes a Complex Expressions option.

    Figure 1. Find/Change dialog in XML View including the Complex Expressions option
    Find/Change dialog in XML View including the Complex Expressions option

  2. Check the Complex Expressions option and enter an expression in the Find Text field.

  3. Click Find.

The following table contains a list of sample complex expressions:

Complex expression sample | Locates
Licen[sc]e | License and Licence
e{2} | Words with two consecutive ‘e’s, such as in free and week
[2-3][0-2] | Numbers where 20, 21, 22, 30 , 31, or 32 exist, such as 2055, 3155, and 2255.
[a-c][a-c][a-c] | Words where a, b, and/or c occur back to back, such as in accompanying, applicable, backup, and abbreviation
Parent topic: Search in XML Source Code
  • Search in XML Source Code
  • Find/Change elements and attributes in structured documents
  • XPath Expressions


XPath Expressions

Understand how you can use XPath Expressions to navigate through elements in an XML document in Adobe FrameMaker.

In this topic

  • Introduction

  • XPath Examples

  • XPath toolbar

  • XPath Builder panel

  • XPath Auto-Suggest

Introduction

An XML document consists of a hierarchy of elements. An XPath expression is used to navigate through elements and attributes in an XML document.

XPath Examples

Given the following XML file:

<topic id="abc">
  <title>Using XPATH</title>
  <body>
    <p>Using XPATH is easy.</p>
    <fig>
      <image href="images/xpath.png"/>
    </fig>
    <section>
      <title>Examples</title>
      <p audience="novice">A simple example.</p>
      <p audience="expert">An advanced example.</p>
      <p audience="expert">Another advanced example.</p>
      <fig>
        <image href="images/xpath-axes.png">
          <alt>This screenshot shows the XPATH axes</alt>
        </image>
      </fig>
    </section>
    <p>The End.</p>
  </body>
</topic>

The following table contains a list of some XPath expressions for the XML example given above.

XPath Query | Locates
/topic | Returns the <topic> root element.
//title | Returns any <title> element.
//section/title | Returns only the <title> element that is a child of a <section> element.
//p | Returns any <p> element.
//p[@audience='expert'] | Returns any <p> element where the @audience attribute is set to expert.
//p[not(@audience)] | Returns any <p> element where the @audience attribute is missing.
//p[not(@audience='admin')] | Returns any <p> element where the @audience attribute is not of value admin OR is missing.
//p[text()='To start this process'] | Returns any <p> elements that start with the text string To start this process.
//p[contains(.,'button')] | Returns any <p> element that contain the text string button somewhere in the text.
//image[not(alt)] | Returns any <image> element that is missing the <alt> child element.

For more information on XPath, see http://www.w3.org/TR/xpath/

XPath toolbar

  1. Choose View > Toolbars > XPath to open the XPath toolbar.

    Figure 1. XPath toolbar
    XPath toolbarin FrameMaker

  2. In the XPath field, enter the XPath expression and click the Run button.

The results of the query are shown in the XPath Builder panel.

XPath Builder panel

Figure 2. XPath Builder panel
XPath Builder panel in FrameMaker

The Query Builder is also a convenient interface to build XPath expressions. In the Query Builder, you can create (using Auto-Suggest functionality) and run an XPath query.

You can also specify the Scope of the search:

  • Current File

  • All Open Files

  • Folder

  • DITA Map or Book. This option is available if you select a DITA Map or book in the Resource Manager

XPath Auto-Suggest

The Auto-Suggest feature provides suggested components that you can add to the XPath expression as you create the query.

For example, in the following XML:

<body>
<p>The quick brown fox.</p>
<p audience="admin">Jumped over the lazy dogs.</p>
</body>

  1. In the Query Builder field start with entering a forward slash (/).

    As soon as you enter the forward slash, the following suggestions display:

    Auto-Suggestions
    Auto-Suggestionsin the XPath Builder panel

  2. Use the up and down arrow keys to select the option and press Enter to insert the component into the query.

  3. To add another element to the query, enter a forward slash.

    Alternatively, to add an attribute, enter an opening square bracket ([).

The Auto-Suggest list contains the following components of an XPath query:

Element (orange indicator)

Elements at the current position in the current document.

Attribute (blue indicator)

Attributes at the current position in the current document.

Axes (green indicator)

An axis is a node definition relative to the current node. For example, parent, child, ancestor.

Click the drop-down list to the right of the Enable Auto-Suggest option and un-check the Axes option to hide the available axes in the Auto-Suggest list.

Note: You can choose to disable the Auto-Suggest feature in the Query Builder.

Click the Save icon to save the current results of the XPath query.

Parent topic: Search in XML Source Code
  • Search in XML Source Code
  • Find/Change elements and attributes in structured documents
  • Search in XML with Complex Expressions


Find and correct errors in document structure

Understand how to find and correct errors in the document structure with Adobe FrameMaker.

An error in a structured flow can be a structure problem, such as an element in an invalid location, or an invalid attribute, such as an attribute with a missing required value. In Structure View, when a collapsed element has invalid content in its structure, the arrow on the right of the element name is red.

You can also validate a document to find errors. After you know where the errors are located, use the Elements catalog and the Structure View as guides to help you correct them.

If you’ve made any formatting changes to text in elements, the elements perhaps do not conform to their format rules.

Parent topic: Structured authoring

Use the Structure View to find errors

Understand how to use the Structure View to find and correct errors in the document structure with Adobe FrameMaker.

When an element doesn’t conform to content rules and attribute descriptions in the document’s element definitions, the Structure View identifies the error for you.

Missing elements

If an element is missing one or more child elements required by the element definitions, a small red hole appears on the vertical line where the child element should be.

Figure 1. At least one required child element is missing.
A required child element missing in the StructureView

Elements at an invalid location

If an element is at a location not allowed by the content rules, the vertical line next to it is broken from the position of that element to the end of the parent element.

Figure 2. The Para element is invalid at this location.
Invalid element at a location in the Structure View

Undefined elements

If an element is not defined for the document, its bubble is red. This sometimes happens if you have pasted the element from another document.

Invalid attributes

If an attribute has an invalid value or is not defined for the document, it appears with a red x to the left of the attribute name and its value is red.

Figure 3. The DraftVersion attribute is invalid
Invalid attribute of an element in the Structure View

Attributes missing a required value

If an attribute does not have a value, no value appears to the right of the attribute name. If the attribute requires a value, no value is red and a red hole appears to the left of it.

Figure 4. The XRefLabel attribute is missing a required value.
Missing a required attribute value of an element in the Structure View

Validate a document

Understand how to validate a document and correct errors in the document structure with Adobe FrameMaker.

In this topic

  • Introduction

  • How to validate a document

  • Clear all special cases

Introduction

When FrameMaker validates a document, it searches for elements that do not conform to content and attribute rules in the document’s element definitions. If FrameMaker finds an error, it selects the element and describes the error.

You can validate an entire document, the current flow, or the current element. If you validate the current element, FrameMaker does not check the descendants of the element’s child elements. For example, if you validate the <Section> element below, FrameMaker makes sure that the <Head> element, the two <Para> elements, and the <List> element are valid, but does not check the <List Item> elements in <List>.

Figure 5. Only the section’s child elements are validated
Validated child elements of a section in the Structure View

If the document has conditional text, only the versions that are showing are validated.

You can also validate an entire book including all its files, only the book file, or only the current element in the book file.

How to validate a document

To validate a document, do the following:

  1. Choose Structure > Validate. The Element Validation dialog is displayed:

    Figure 6. Element Validation dialog
    Element Validation dialog

  2. Select Entire Document/Book, Book Elements Only, Current Flow, or Current Element to specify the scope of the validation.

  3. To exclude missing elements or attribute values from the search, select Ignore Missing Elements or Ignore Missing Attribute Values.

    If these settings are selected, FrameMaker does not look for places where a required child element or a required attribute value is missing. Consider selecting these if you are not trying to build a complete document yet.

  4. Click Start Validating.

    FrameMaker starts checking at the beginning of the current element. If you’re validating only the current element, it checks the element with the insertion point or the selected element. If more than one element is selected, it checks the first element in the selection.

  5. If FrameMaker finds an error, click Start Validating again when you’re ready to continue validating.

    The top of the Element Validation dialog box shows the name of the element and a brief message about the problem.

    You can correct the error, ignore it, or click Allow As Special Case. If you mark it as a special case, FrameMaker won’t identify the error the next time you validate the document.

  6. Repeat step 5 until FrameMaker does not find any more errors.

When FrameMaker reaches the end of the document, it returns to the beginning and continues validating. When FrameMaker reaches the end of a flow, it continues to the next one.

Note: When validating a book, FrameMaker tells you if a file in the book has invalid content, but for a more detailed evaluation, you must open and validate the file.

Validation of the elements in an EDD includes attributes in if-then clauses. For example, suppose that the possible values of an attribute are A or B or C, and a context rule says If [attrval = "D"]. This is flagged as an error and reported as an invalid structure when the element definitions are imported.

Similarly, if an element’s text formatting rules or prefix/suffix rules use attribute names in the context specifications, the attribute name and case must match the attribute definition in the element’s definition.

If an attribute’s value is changed to the same value it previously had, the action is not flagged as a change. This enhances performance by eliminating unnecessary value checking.

Clear all special cases

  1. Choose Structure > Validate.

  2. Click Clear Special Cases. FrameMaker clears the special cases in the document, the flow, or the element—whichever scope is selected in the dialog box.

Validation error messages

Understand the validation error messages when validating a structured document with Adobe FrameMaker.

The following error messages can appear at the top of the Element Validation dialog in Adobe FrameMaker.

Current flow is unstructured

The current flow does not have elements in it.

Element is undefined

The element is not defined in the document. You perhaps copied this element from another document.

Missing element before <element>

At least one required element is missing before the specified element.

More contents required at end

At least one more child element is required at the end of the current element.

No current element

There is no insertion point or selection.

This message appears when the scope is set to Current Element.

No current flow

There is no insertion point or selection.

This message appears when the scope is set to Current Flow.

Not highest-level element

The element is not permitted at the highest level in the document.

<TEXT> not permitted in this element

The element contains text, but text is not allowed.

<TEXT> not valid at this position

The element is allowed to have text but not at this location.

The @attribute refers to an undefined ID value

The attribute is an ID Reference and refers to a Unique ID value that doesn’t exist in the document (or in the book, if you’re validating a book).

The @attribute is undefined for this element

The definition of this element does not include this @attribute.

This element should be a type

The element is the wrong type, where type can be graphic, marker, cross-reference, equation, or system variable. For example, a cross-reference element sometimes consists of text instead of a cross-reference.

Value must be a type for @attribute

The attribute value is the wrong type for the attribute.

Value for @attribute must be in the range from n to n

The attribute’s numeric value is out of the specified range.

Value for @attribute is not one of the allowed choices

The attribute’s value must match a value from the drop-down list of valid choices.

Value for name attribute must be unique

A Unique ID value must be unique for all elements in the document or book.

Value required for name attribute

The attribute does not have a required value.

<element> excluded in this element

The <element> is not allowed because of an exclusion rule for the parent or one of its ancestors.

<element> not permitted in this element

The <element> is not allowed anywhere in the parent element.

<element> not valid at this position

The <element> is allowed in the parent element but not at the current location.

Correct errors in elements

Learn how to fix XML validation error messages with Adobe FrameMaker.

After you have identified errors in elements and attributes, use the Elements catalog and Structure View as guides for correcting them:

  • To correct an element in an invalid location, move the element to a valid location, or change it to an element that is valid for its current location.

    You can select an invalid element in the Structure View. If you are validating, FrameMaker selects the element for you.

    When the element is selected, the Elements catalog shows which elements are valid at that location.

    Figure 7. li (List Item) is valid at this location
    Elements Catalog showing the valid element at a location

  • To correct an element with invalid contents (with the text snippet INVALID CONTENT), change it to an element that allows those contents.

  • To correct a structure with a missing child element, insert the required element.

    You can click where an element is missing, or if you’re validating, FrameMaker places the insertion point there for you. When the insertion point is at the location of the missing element, the Elements catalog shows which elements are valid at that location.

    Figure 8. Elements Catalog showing the valid element to enter at a location
    Elements Catalog showing the valid element to enter at a location

  • To correct an invalid attribute value, change the value to one that is valid for the attribute.

  • To remove an undefined attribute, select the element with the undefined attribute, open the Attributes dialog box, select the attribute, and click Delete Attribute. In the next dialog box that appears, remove the attribute for the current element or for all elements that have the attribute.

  • To resolve a cross-reference with an invalid ID, select the cross-reference, choose Insert > Cross-Reference, and change to a source that has a valid ID.


Getting started with Structured Applications

Learn how to get started with Structured Applications, the significance of formatting in the Structured Application

In unstructured FrameMaker, setting up an authoring environment requires only a template file. The template file defines the formats and the styles and a style guide defines how to work correctly with the template. In Structured FrameMaker, you require more than just a Structured Template.

To establish a basic structured authoring environment in FrameMaker, you require an EDD or a DTD. You can create custom EDDs and DTDs or use off-the-shelf EDDs and DTDs. Additionally, you need to link the element definitions with formatting information. You can link elements in the EDD to formatting in three ways:

Formatting template

You can assign formatting based on the various tags (paragraph styles, character styles, and so on) in a template. If you already have a formatting template, you can reuse information in that template.

Format change lists

You can create named formatting definitions in the EDD. The format change lists let you provide partial formatting specifications and inherit the rest from a few base paragraph styles. You can reuse format change lists for related elements.

Embedded formatting

You can specify formatting by writing the formatting into each element definition.

After you create the EDD and the formatting, you combine the two components to create a single Structured Template. To create the Structured Template, you open the formatting template and import element definitions (File > Import > Element Definitions) from the EDD. The resulting file is your Structured Template.

Apart from the EDD and the Structured Template, you also need:

read/write rules

The read/write rules control translation from FrameMaker structure to XML and back. Specifically, read/write rules help manage table translation and other complex formatting.

Structured Application

The Structured Application lists all of the component files in your structure implementation and provides configuration information. For example, you can use the Structured Application to specify whether and how to export conditional text tagging.

Structured Templates

All FrameMaker Structured Applications require a Structured Template. Structured FrameMaker templates contain definitions of all the elements that can be used in the document as well as the document’s page layout and formatting.

Structured Templates are like unstructured templates with the most obvious difference being the Elements catalog.

The Elements catalog displays the element definitions defined in the EDD. To create a structured document as a first step, you import the definitions from either an EDD or a DTD. The element definitions in an EDD or DTD are populated in the Elements catalog. You use the Elements catalog to insert valid elements in your document and build a structure that complies with the rules in the EDD.

Content analysis

The term content analysis describes a process in which you review existing documents to understand how they are designed and what implicit structure they contain. Begin your analysis by making a list of the documents your organization produces. Your list might include user guides, reference guides, white papers, tutorials, training manuals, and online help. Make a list of the major components for each document type. For each component, list whether the item is required, optional, and how often it occurs in that document. The following table shows a high-level analysis for a book:

Component | Requirement | Occurrence
Front matter | Mandatory | 1
Table of contents | Mandatory | 1
Preface | Optional | 0 or 1
Chapter | Mandatory | 2 or more
Appendix | Optional | 0 or more
Glossary | Optional | 0 or 1
Index | Mandatory | 1

For major components, such as lessons (for training manuals) or chapters (for books), work your way down the document hierarchy into smaller and smaller chunks, until you reach the bottom level of the hierarchy.

You must do a content analysis for every document type you want to create in your structured environment. Once you have developed a content model for each document, you can look for opportunities to refine the model and reuse names. For example, suppose that a Help deliverable consists of topics and the chapters in a book also consist of topics. If you create a Topic element that is usable for both printed and online materials, you can minimize the number of elements in your structure definition and perhaps reuse information in both output formats.

Printed Topic | Online Topic | Combined Topic
Topic | Topic | Topic
Title | Title | Title
Para | Para | Para
Steps | Steps | Steps
Can contain Para, List, Table, Graphic, Note | Can contain Para, List, Table | Can contain Para, List, Table, Graphic, Note
 | RelatedTopics | RelatedTopics

It’s unlikely that your documents are perfectly consistent. You need to decide whether to create a structure that is loose (allowing many variations) or strict (very few variations are permitted). You will have problems at both ends of the spectrum:

  • A very loose structure is quite complex, and can be difficult to maintain because so many variations are permitted.

  • A very strict structure may disallow element combinations that are needed.

It’s very difficult to find the right balance between these two extremes. One approach is to allow variations only where they add value.

Note: A similar problem occurs when creating unstructured FrameMaker templates. You want to minimize the number of tags that must be maintained while providing all of the tags that are needed to create your content.

Once the analysis is complete, you can decide whether to use an existing structure or to build your own. Numerous XML implementations are available; DocBook and the Darwin Information Typing Architecture (DITA) are specifications used for technical documentation. Standard structures are also defined for military documents (mil-specs or mil-standards), aircraft maintenance manuals, and others. The following table describes some of the factors that influence whether you will use a standard specification or build your own structure.

Use a standard | Build your own
You are required to deliver content that follows the standard. For example, many U.S. military contractors are required to deliver documentation that follows a published standard | You want to create a structure that matches your content analysis precisely.
Your content requirements closely match an existing structure. You only need to make minimal changes to the standard structure. | Your content analysis indicates that your information does not match existing structures very well.
You do not want to spend a significant amount of time building a structure, and you are willing to change the organization of your content to fit it into an existing structure. | The structure needs to match the content precisely. A longer implementation period is an acceptable cost to ensure you can build exactly what you need
You do not have the technical expertise or resources available to build your own structure. | You have resources available, whether in-house or as consultants, who can build the structure.

Elements

The basic building blocks of structured documents are elements. Elements represent pieces of a document's content (its text, graphics, and so on) and together make up the document's structure. Elements can be simple elements or complex elements.

A simple element in XML contains just text. A complex element can have attributes and can:

  • be empty.

  • contain other elements.

  • contain only text.

  • contain both elements and text.

Elements can have values within a specified range of valid values.

All structured documents in FrameMaker use elements. Each element has a name, such as <section>, <title>, or <p>. The elements that are available are determined by the document element definitions.

Attributes

Attributes supply additional information about an element. For example, the DTD designer for a manual could use an attribute called version for its book element to allow the user to specify a book’s revision status. In FrameMaker, the attributes for an element are a part of the definition of the element itself. In XML or SGML, the attributes of an element occur separately in an attribute definition list declaration (ATTLIST) in the DTD.

Attributes can have a default value or a fixed value. Attributes can also be either mandatory or optional. For example, if you have a topic element, the topic ID could be a mandatory attribute for topics being cross-referenced. You can also have value ranges for attributes or enumerate the legal values for an attribute.

Element rules

Following seven rules control how the elements are used in terms of their sequence, number of occurrences, and group.

All

Indicates that child elements can appear in any sequence but must appear at least once.

Choice

Indicates one or the other child element can occur.

Sequence

Indicates the order in which the child elements appear.

minOccurs

Indicates the minimum number of times a child element can occur.

maxOccurs

Indicates the maximum number of times a child element can occur.

Element Groups

Elements can be grouped under a group declaration.

Attribute Groups

Attributes can be grouped under an attributeGroup declaration.

XML schema

An XML schema defines the legal building blocks of an XML document. Unlike the EDD, DTDs and schema files do not provide formatting information.

XML schemas define the following:

  • List of elements that can appear in a document

  • Attributes that can appear in a document for an element

  • Hierarchy of elements—which elements can appear as child elements

  • Sequence of child elements

  • Number of child elements

  • The data types for elements as well as attributes

  • Default and fixed values for elements and attributes

XML namespace

XML namespaces allow the same document to contain XML elements and attributes taken from different vocabularies, without naming collisions.

Opening or importing a schema

You can import an XML document that references a schema file, and you can specify a schema file in your Structured Application to use for validating a document upon export to XML.

To specify a schema file for use in exporting to XML, modify the structapps.fm file. The element schema, a child of the <XMLApplication> element, specifies the schema file path for export.

  • Create an EDD
    Learn how to create EDDs in FrameMaker by choosing an appropriate strategy.
  • Create a DTD from an EDD
    Learn how to create a DTD (Document Type Definition) file from an EDD (Element Definition Document) file with Adobe FrameMaker.
  • Build a Structured Application
    Learn how you can build a Structured Application in FrameMaker.
  • Build structure files
    Learn how you can build a Structured Application in FrameMaker.
  • Test XML round tripping
    Know how to test XML round tripping in FrameMaker.
  • Configuration File Settings editor
    Every Structured Application has a configuration file that defines the behavior of the Structured Application. Learn how to use the Configuration File Settings editor in FrameMaker.
  • XML with Cascading Style Sheets
    Understand the relationship between an XML document and Cascading Style Sheets (CSS) in Structured FrameMaker.
  • XML with Schema
    Understand what XML with schema is, and understand the schema workflow in Adobe FrameMaker.
Parent topic: Structured authoring


Create an EDD

Learn how to create EDDs in FrameMaker by choosing an appropriate strategy.

An EDD is a structured document. Use the structured editing features to create and edit the EDD.

The EDD contains both structural rules for the document (Document Type Definition or DTD) and styling rules, which dictate how elements of a specific type are styled. An application developer generally creates the EDD from an existing DTD file or from scratch. For more information, see the Structured Application Developer Reference guide.

Following are the basic steps to get started with structured authoring in FrameMaker.

Analyze requirements

Before building the proposal template, analyze existing proposals to identify their components. Based on this analysis, you create a content map. The proposal example results in the following sequence:

  1. Title

  2. Executive summary: Title, One paragraph

  3. Project description: Title, One or more paragraphs

  4. Cost: Title, One or more paragraphs

  5. Schedule: Title, One or more paragraphs

Note: You could probably build the EDD for this simple example without formal content analysis. For larger projects, though, content analysis is critical.

Choose an EDD strategy

You can build an EDD in multiple ways:

  • Create the entire EDD yourself.

  • Import a DTD or schema to create an EDD that contains structure definitions.

  • Use a conversion rules table to structure an existing sample document. Then create a first draft of the EDD that contains basic element definitions and formatting that matches your unstructured template.

  • Modify an existing EDD—one of the samples supplied with FrameMaker or an EDD from another source.

Build the proposal EDD

Based on the content analysis, you can now create the proposal EDD.

  1. Make sure you are in Structured FrameMaker. To switch from unstructured to Structured FrameMaker, choose File > Preferences > General. In the Product Interface drop-down list, select Structured FrameMaker. Close and restart FrameMaker.

  2. Choose Structure > EDD > New EDD to create an EDD file. Default elements are inserted in the EDD.

    Note: The EDD is itself a structured FrameMaker document. You use the same guided editing environment to create the EDD that you use to edit other structured documents.

  3. Choose Structure > Structure View to display the Structure View panel.

  4. Create the top-level <Proposal> element. Position your cursor to the right of the Tag bubble in the Structure View, and type in Proposal. As you type, the letters appear in both the Structure View and the document window.

  5. Open the Elements Catalog.

  6. In the Structure View, click to the right of the red box (which indicates that additional information is required). Notice that the contents of the Elements catalog change because of the new cursor location. In the Elements catalog, select Container and click Insert. The <Container> element and a child <GeneralRule> elements are inserted. The general rule specifies which elements are allowed inside the proposal element. During the content analysis, you identified the following: title, executive summary, project description, cost, and schedule.

  7. Type a general rule for <Proposal>: Title, ExecSummary, ProjectDescription, Cost, Schedule

    Note: Element names cannot contain spaces.

  8. Insert a <ValidHighestLevel> element as a sibling of the <GeneralRule> element. To do so, click underneath the <GeneralRule> element to position your cursor, click the <ValidHighestLevel> element in the Elements catalog, and then click Insert.

The <Proposal> element is complete. You must now provide definitions for each of the child elements: <ExecSummary>, <ProjectDescription>, <Schedule>, and <Cost>.

Define child elements

  1. Position your cursor at the bottom of the structure.

  2. Using the Elements catalog, insert an Element bubble. Name the element <ExecSummary>, make it a container, and specify the following as the general rule: Title, Para+

  3. Repeat step 2 to define the remaining elements. The general rules are shown in the following table:

    Element

    General Rule

    ProjectDescription

    Title, Para+

    Cost

    Title, Para+

    Schedule

    Title, Para+

    Title

    <TEXT>

    (Type the word TEXT with angle brackets around it.)

    Para

    <TEXT>

    (Type the word TEXT with angle brackets around it.)

  4. Save your EDD file as proposal_EDD.fm.

Add formatting to the EDD

You have now built an EDD that provides the structure for a simple proposal. However, when you type content, no formatting is applied.

The following section describes how to provide formatting, and how to automatically insert the correct text for the various titles. By default, text uses the Body paragraph style.

Change the Body element definition

  1. In structured_proposal.fm, choose Format > Paragraphs > Paragraph Designer and change the default definitions of the Body and Heading1 paragraph styles. For example, change the font or place a line above the Heading1. To make your changes obvious, you may also want to assign unique colors to the two tags.

  2. In proposal_EDD.fm, modify the <Para> element definition to include a formatting rule. To specify that <Para> should always use the Body paragraph style, click under the <GeneralRule> element, add a <TextFormatRules> element, and then add an <ElementPgfFormatTag> element. Type Body as the text for the <ElementPgfFormatTag> element.

    For the <Title> element, you need more complex formatting rules. <Title> should automatically display section titles, such as Executive Summary, Project Description, and so on. You must write a context rule that specifies what text to display for each type of heading, and specify that <Title> uses the Heading1 paragraph style.

  3. In proposal_EDD.fm, modify the <Title> element definition to use the Heading1 paragraph style. Add the same <TextFormatRules> and <ElementPgfFormatTag> elements as you did for the <Para> element.

    Note: Like the paragraph styles, the information you enter is case-sensitive and space-sensitive. For example, “Heading1” is not the same as “heading1” or “Heading 1.”

Next, add a prefix rule to the <Title> element. Prefix rules let you specify text that should appear at the beginning of the element. Based on the <Title>’s position, you’ll specify which text should be displayed.

Add a prefix rule

  1. Position your cursor in the <Title> element to insert a child of <Container> after <TextFormatRules>.

  2. Insert a <PrefixRules> element.

  3. Insert a <ContextRule> element. The <If> and <Specification> elements are inserted automatically. For the <Specification> text, type ExecSummary.

  4. Position your cursor underneath the Specification element and insert a Prefix element.

  5. For the Prefix element text, type: Executive Summary

  6. Repeat steps 3–5 for the other elements that need titles—<ProjectDescription>, <Schedule>, and <Cost>—and insert the appropriate text for each prefix.

Test the results

  1. Save the EDD.

  2. Import the element definitions into your structured_proposal.fm file to test the results. Each section should display the title text you’ve specified.

Test the EDD

To test the EDD, you import it into a document and then verify that you can create the structure you expect. At this point, the document does not have any formatting, but you can still verify the structure.

  1. Create a new, blank, portrait document by selecting File > New > Document, and then click Portrait.

  2. Make sure that the EDD and the new document file are both open. From the new document, choose File > Import > Element Definitions. In the Import from Document drop-down list, select the proposal_EDD.fm file and click Import.

    Note: If your EDD is not displayed in the list, make sure that the EDD file is open and that you have saved it. Until you save a document, it is not available in this list.

    The structure definitions in your EDD are imported into the blank document. To verify that the definitions were imported, position your cursor in the main text flow and then display the Elements catalog. You should see the <Proposal> element.

  3. Insert a <Proposal> element. The <Title> element, which is required as the first child of <Proposal>, should now appear in the Elements catalog.

  4. Insert the <Title> element. Continue inserting elements until your proposal structure is complete.

    Note: If your structure is incorrect, go back to your EDD, correct it, and then reimport the element definitions. For more information, see the Structured Application Developer Reference guide.

  5. Save your file as structured_proposal.fm.

Parent topic: Getting started with Structured Applications


Create a DTD from an EDD

Learn how to create a DTD (Document Type Definition) file from an EDD (Element Definition Document) file with Adobe FrameMaker.

DTDs or Document Type Definitions define the elements that you can include in a structured document. It defines the elements, their attributes, order of elements and what elements can contain other elements.

  1. Open the EDD.

  2. Add the <StructuredApplication> element, then type in the name of the XML application that you created in the previous section.

  3. Choose Structure > DTD > Save as DTD.

  4. Enter a filename. Ensure that you specify the .dtd file extension.

    If your EDD is valid, you should not see an error log. However, it is possible to build SGML-style general rules in FrameMaker that are not permitted in XML.

  5. A message dialog box provides you with information that FrameMaker has finished writing the DTD.

  6. Open the DTD. If you have not specified the <StructuredApplication> in step 2, you can select it from the Use Structured Application dialog that is displayed.

The DTD is now ready to be used.

Parent topic: Getting started with Structured Applications


Build a Structured Application

Learn how you can build a Structured Application in FrameMaker.

To enable XML import and export for structured proposals, you need to set up a Structured Application, which lists the components of the structured authoring environment.

First, you need to create a document type definition (DTD) that matches the EDD.

Create a DTD

  1. Open the proposal_edd.fm file in Structured FrameMaker.

  2. Choose Structure > DTD > Save As DTD. Specify the filename (proposal.dtd) and where you want to save the file, and then click Save.

  3. In the Use Structured Application dialog box, leave the default selection, <No Application>, and click Continue.

  4. In the Select Type dialog box, select XML and then click OK. The DTD file is written out to the location you specified.

You also need a Structured Template that contains formatting and EDD information.

Create a Structured Template

  1. Open the structured_proposal.fm file.

  2. Delete all content from the file. A Structured Template must be empty.

  3. Save the file as proposal_template.fm.

Now, you are ready to configure the Structured Application.

Configure the Structured Application

  1. Choose Structure > Application Definition > Edit Application Definitions. This command opens the structapps.fm file—in which application definitions are stored—from the following location:

    %appdata%\Adobe\FrameMaker\<version>\

    Note: Like the EDD, the application definition file is itself structured.

  2. Insert an <XMLApplication> element as a child of the <StructuredSetup> element.

  3. Type Proposal for the application name.

  4. Insert a DTD element and specify the following as the DTD element text:

      $STRUCTDIR/proposal/proposal.dtd

  5. Insert a Template element and specify the following as the Template element text:

      $STRUCTDIR/proposal/proposal_template.fm

  6. Choose File > Save to save the structapps.fm file.

  7. Choose Structure > Application Definition > Read Application Definitions to update FrameMaker with the new application definition.

    Note: To verify that the application is installed correctly, choose Structure > Set Structured Application to display the Set Structured Application dialog box. If you set up the applications definitions correctly, Proposal appears in the drop-down list object.

Finally, you need to copy the application files into the directory where the Structured Application definition expects them.

Copy the application files

  1. Locate your FrameMaker installation folder using the file explorer, and navigate to the Structure\xml folder.

  2. In the xml folder, create a proposal folder.

  3. Copy the proposal.dtd and proposal_template.fm files into the proposal folder.

Parent topic: Getting started with Structured Applications


Build structure files

Learn how you can build a Structured Application in FrameMaker.

Decide whether to use an existing standard or create your own structure.

Create structure files without using an existing standard

  1. In FrameMaker, create an EDD that matches your structure requirements.

  2. Test the EDD to verify that the structure definitions are correct.

  3. Add formatting to the EDD, and test the EDD to verify that the formatting works correctly.

  4. Create a DTD from the EDD.

You now have the two structure definition files you need—one for FrameMaker (EDD) and one for XML (DTD).

Use an existing standard

  1. Obtain a copy of the standard files, and modify the provided DTD or schema file to match your requirements.

  2. Open the completed structure file in FrameMaker to create an EDD, and add formatting to the EDD.

Once you have your structure definitions, you need to set up the Structured Application.

Set up the Structured Application

  1. Choose Structure > Application Definition > Edit Application Definitions to open the structapps.fm.

  2. Add a new application definition to the file with pointers to your EDD and DTD/schema files.

After setting up the application, you’ll want to fine-tune the import/export settings.

Using the Structured Application Designer

The Structured Application Designer allows you to create a Structured Application.

To launch the Structured Application Designer, click Structure > Structured Application Designer. The Structured Application Designer is displayed:

Structured Application Designer
Using the StructuredApplicationDesignerinFrameMaker

  1. Select a base Application on which the new application is based. To load a new set of base applications, click Load Applications and select the relevant Structured Application file. The list of applications is automatically populated from the selected Structured Application file.

  2. Optionally, enter the DTD, the RW Rules (Read/Write Rules) file, the EDD, and the Template file, along with the DOCTYPES specifications.

  3. Enter the new Application Name.

  4. By default, the application is saved in the structapps.fm file in your application directory. To change the filename, click Save As and select or enter a new filename.

  5. Optionally, to set advanced settings, click Advanced Settings and make your desired selections.

To create a Read/Write Rules file, based on an existing DTD, specify the DTD and click New from the RW Rules section. The Rule File Maker… is displayed.

Note: If you do not specify a DTD, an empty Read/Write Rules file is created. You can then add rules using the Rule File Maker.

  • To update an existing Read/Write Rules file, select the file and click Update. Make your changes in the Rule File Maker.

  • To generate a new EDD, select the DTD and click new from the EDD section. All elements are loaded in the EDD interface. From the EDD interface, you can select <Element Paragraph Format Tags> for every element.

  • Click Import Format settings to import format settings from another EDD.

  • Click Save to save your changes or Reset to roll back to the last saved state.

  • To update an EDD, select the EDD and click Update.

  • To generate a new template, select the corresponding EDD file and click New from the Template section.

Fine-tune the import/export settings

  1. Set up a Read/Write Rules file with the necessary mappings, and set up XSL transformation files with any additional changes.

  2. Add a reference in the Structured Application definition to the Read/Write Rules file and the XSL transformation files.

  3. Add any other required configuration settings, such as handling of conditional text and external cross-references, in the Structured Application definition.

Using the read/write Rule File Maker

FrameMaker includes a powerful read/write Rule File Maker that helps you author rules easily. This helps simplify rule generation, since you have all the settings at one place, and do not have to remember any rule syntax.

To launch the read/write Rule File Maker, choose Structure > Read/Write Rules > New Read/Write Rules. Select the Launch Rule File Maker option and click OK.

Note: Optionally, you can specify the DTD to be used when creating the rules.

The Rule File Maker dialog is displayed as follows:

Rule File Maker
Using the read/writeRuleFileMakerin FrameMaker

The Rule File Maker has two basic sections:

  • Import-Export Settings: These settings are applicable for the reading and writing operation.

  • Export-Only Settings: These settings are not covered in the Import-Export Settings and are only applicable for the writing operation.

The Import-Export Settings section is divided into four sections:

  1. Markup Elements: Allows editing of all markups present in the specified DTD. To see a list of all elements, select select from DTD from the value drop-down. FrameMaker then displays a list of elements. You can select multiple elements from the list and click OK to insert the selected elements into the read/write Rule File Maker.

  2. Global Settings: Displays the list of settings that are applied to ALL elements globally.

  3. Entities: Displays the list of all entities that are present in the DTD.

  4. Advanced Settings: Contains advanced settings for Books and Character Maps.

The Export Only Settings section is divided into three sections:

  1. FrameMaker Objects: Lists the type of FrameMaker Objects present. In addition, each FrameMaker Object category lists the markups mapped as that object. For example, if you map markup M1 to the FrameMaker table object in the Import-Export Settings section, the table list in the "Export Only Settings" section displays the markup M1.

  2. Global Settings: Displays the list of settings that are applied to ALL elements globally.

  3. Advanced Settings: Contains advanced settings for SGML, DITA, Variables, and Character Maps.

When saving the rules, FrameMaker saves only the elements and the rules that have been modified (modified elements have their values marked in bold, on the right pane). Default behaviors are not saved.

Parent topic: Getting started with Structured Applications


Test XML round tripping

Know how to test XML round tripping in FrameMaker.

Once you have configured the Structured Application, you can test the XML round tripping.

  1. Create a valid Structured Proposal in FrameMaker.

  2. Export the FrameMaker file to XML. To do so, choose File > Save As and select XML as the output format. If prompted, select the Proposal application.

  3. Open the exported XML file in a text editor or an XML editor and verify that you have a valid XML file.

  4. In an XML or a text editor, modify the file you just exported. You can also create an XML file that validates against the proposal DTD. Save the new XML file.

  5. In FrameMaker, open the XML file. Verify that the XML file imports correctly and that formatting is applied automatically.

Parent topic: Getting started with Structured Applications


Configuration File Settings editor

Every Structured Application has a configuration file that defines the behavior of the Structured Application. Learn how to use the Configuration File Settings editor in FrameMaker.

Every Structured Application may include an XML configuration file. The configuration file is optional and contains attributes and their suggested and default values. To call the editor, choose Element > Launch Config File Maker.

When opening a Structured Application, FrameMaker reads the corresponding configuration file (if it exists) and populates the attribute values automatically.

The Attributes editor allows you to change these values, when using the Structured Application.

The Configuration File Settings dialog is displayed:

Configuration File Settings
Configuration File Settings for a StructuredApplication

  • To load an existing configuration file, click Load Configuration File and select the file.

  • Set the configuration values as desired. Click the value column of the choice or default to be changed and enter the new value.

  • To insert a new choice, right click the row above which the choice is to be placed, and select Insert Above.

  • To delete a choice, right click the choice and select Delete.

  • To save the configuration, click Save.

  • To save the configuration as a new configuration file, click Save As and enter the new filename.

Parent topic: Getting started with Structured Applications


XML with Cascading Style Sheets

Understand the relationship between an XML document and Cascading Style Sheets (CSS) in Structured FrameMaker.

When an XML document is opened in Adobe FrameMaker, FrameMaker processes the Cascading Style Sheets 3 (CSS2) by mapping the CSS information to appropriate EDD rules in the EDD document.

The following scenarios describe the processing of CSS 3 in FrameMaker:

  • Open an EDD in FrameMaker. Choose Structure > Import CSS Styles. FrameMaker checks whether the current document is an EDD. If so, the Open dialog box appears and you can specify the CSS file. The CSS is then imported into the EDD. You can then import the element definitions from the EDD into a template to use when you open an XML file. If the EDD contains formatting rules, the CSS properties are appended to the existing rules if the properties are unique. Alternatively, the CSS properties you import will overwrite the existing formatting rules of the EDD. You can also export XML style information to an EDD for all elements in a document that use the CSS 3 format, using the Generate CSS2 option in the Structure menu.

  • When you open an XML file that is associated with a style sheet (using an XML Stylesheet PI), FrameMaker reads the DTD and the style sheet associated with the XML document, and then generates a temporary template to use for opening the XML file. However, if a template is already specified in the Structured Application (used to open the XML file), FrameMaker uses that template to open the XML file and will not generate any new template from the DTD and style sheets.

Note: An XML file opened in FrameMaker can contain multiple CSS files. FrameMaker supports the author’s style sheet only, and not the user’s style sheet.

Import CSS 3 element styles into an EDD file

You can import element formatting from CSS 3 into EDD to ensure consistent formatting across different XML applications. The CSS file can be referenced in the XML document or manually imported. Multiple CSS files can be imported sequentially for multi-level formatting.

When importing element styles, FrameMaker retains the context information (element property or selector) from the CSS and imports it into the appropriate EDD contexts.

Note: FrameMaker imports style information only at the element level.

You can also set CSS preferences in XML using Structured FrameMaker. For more information, see the Developing Structured Applications with Adobe FrameMaker.

  1. Open the EDD file in Structured FrameMaker.

  2. Choose Structure > Import CSS Styles. The Import CSS dialog box appears.

  3. Select a CSS file, and click Open.

  4. If the Structured Application element in the EDD file doesn’t define an application name, the Use Structured Application dialog box appears. Select the Structured Application that was used to create the EDD file. Click Continue.

The CSS file is imported into the EDD file.

Note: If the EDD already contains formatting rules, the CSS properties are appended to the existing rules. If the CSS properties overlap some of the existing rules, the CSS properties replace the existing rules in the EDD. The EDD doesn’t support all properties and selectors defined in CSS 3.0. If a property or selector in the CSS file can’t be mapped to an equivalent EDD rule, that property or selector is ignored. No error is displayed when this happens, and no error log is created.

After importing the CSS styles, you can import element definitions from the EDD into a template and use the template to open an XML file.

As an alternative to the CSS import process, you can use FrameMaker to open an XML file that already has CSS styles associated with it. When you open the XML file, FrameMaker reads the DTD and CSS files and generates a temporary template that is used to open the XML file.

Export CSS for a FrameMaker XML file

You can export XML style information available in your document for all elements using the Cascading Style Sheets 2 (CSS2) format, to an EDD file. You can then import these CSS Style definitions from the EDD file to new XML files. Cascading Style Sheets let authors attach styles, such as fonts and spacing, to structured XML files. CSS2 format is a W3C standard.

When you choose the Generate CSS2 command, styles from well-formed structured documents are generated, based on the formatting information available in the EDD associated with the source document. FrameMaker exports style information only at the element level. For example, if you apply a style to only one particular word in the Text element, that one instance of style is not exported.

You can set CSS2 preferences in the XML application. For example, you can determine whether the CSS2 file is automatically generated when you export to XML. For more information, see .

  1. Open the template or document with an associated EDD in Structured FrameMaker.

  2. Choose Structure > Generate CSS2….

Parent topic: Getting started with Structured Applications


XML with Schema

Understand what XML with schema is, and understand the schema workflow in Adobe FrameMaker.

Adobe FrameMaker allows you to import XML markup documents that are associated with W3C's XML Schema language. FrameMaker automatically creates a DTD and EDD from the schema. FrameMaker validates the document structure against the associated schema upon both import and export to XML, but does not retain all schema information upon export.

For complete details of how an XML schema is mapped to a DTD, see the Structure Application Developer Reference.

Note: XML schemas are read-only in FrameMaker, and you cannot export the EDD back to schema.
  • Schema workflow
  • Changes to the Structure Application for Schema support
  • Generate an Element Catalog (EDD) from a Schema
  • View or edit XML namespaces
Parent topic: Getting started with Structured Applications


Schema workflow

You can import an XML document that references a schema file, and you can specify a schema file in your Structured Application, to use for validating a document upon export to XML.

  1. For a specific XML document, you can include the path of the schema file in the XML using the attributes @noNamespaceSchemaLocation or @schemaLocation depending on whether your schema includes a target namespace or not.

  2. To specify a schema file for use in exporting XML, modify the structapps.fm file. Use the <Schema> element as part of the <XMLApplication> to provide the schema file path for export.

  3. Open the XML file in Adobe FrameMaker using a Structured Application. Edit it.

  4. Save the XML using a Structured Application. The <Schema> element in the structapps.fm file is output in the file and validation is performed against it.

In this workflow, a DTD is generated automatically as an intermediary file from the schema given in the XML document, and you do not modify it. However, you can also use a schema file to generate an EDD. See Generate an Element Catalog (EDD) from a Schema.

Parent topic: XML with Schema


Changes to the Structure Application for Schema support

The new element <Schema>, a child of the <XmlApplication> element, specifies the path of a Schema file in the structapps.fm Structured Application file. If instance documents use namespaces, the property <Namespace> in <XmlApplication> must be set to true.

In order for a Structured Application to be selectable in the Use Structured Application list while importing a document that is associated with a schema, the schema’s root element must be included in the application’s <DOCTYPE> in the <XmlApplication> element.

Parent topic: XML with Schema


Generate an Element Catalog (EDD) from a Schema

You can create an EDD from a schema definition, or import the elements from a schema definition into an existing EDD. FrameMaker converts the schema definition to DTD first, and then creates or imports elements to an EDD.

Use the following commands in the Structure > Schema menu:

  • Open Schema…: This command converts a specified schema to DTD, and creates an EDD from the DTD.

  • Import Schema…: This command converts a specified schema to DTD, and imports elements from the DTD into an existing EDD.

Each command opens a File Choose dialog box that allows you to specify the schema file, then a Save dialog box in which you specify where to save the resulting DTD file.

  1. In Structured FrameMaker, choose Structure > Schema > Open Schema….

  2. Choose a schema file.

  3. Choose a path for the DTD to be output.

  4. Examine the resulting DTD and make any modification you want.

  5. Create an EDD from the generated DTD, as described in the Structure Application Developer Reference.

  6. Use this EDD to create a template that can be included in the Structured Application.

  7. Provide your DTD path along with the schema location in the input XML. This will make sure that FrameMaker works correctly with your template. Validation of input and output XML is still performed against the schema.

Parent topic: XML with Schema


View or edit XML namespaces

An XML namespace is a collection of names for specific element types and attribute names within an XML document. The scope of a namespace extends beyond its containing document.

Because a single XML document can contain elements and attributes that can be used by multiple software applications, you can use namespaces to differentiate which elements and attributes are to be used by which applications. Software applications that process XML use namespaces to recognize which tags and attributes they are designed to process.

Names from XML namespaces may appear as qualified names, which contain a single colon, separating the name into a namespace prefix and a local part. The prefix, which is mapped to a Uniform Resource Identifier (URI) reference, selects a namespace. The combination of the universally managed URI namespace and the document's own namespace produces identifiers that are universally unique.

FrameMaker supports namespace usage for all elements in an XML document. When you import an XML document containing namespaces, all namespace information is preserved.

You can view, edit, add, or delete namespaces to an XML document in Structured FrameMaker using the Namespaces command. You can also use this command to view the definition of the prefix on an element and select the element that defines the prefix.

By default, namespaces in FrameMaker are handled as namespaces, appearing in the Namespaces dialog box. However, you can disable namespaces in the application and have them handled as attributes instead, appearing in the Structure View.

  1. Open the document in Structured FrameMaker.

  2. Select an element in the Structure View.

    Note: Elements that contain namespaces appear in Structure View with an asterisk (*) next to their names.

  3. Choose Element > Namespaces.

  4. In the Namespaces dialog box, click Select Defining Element to view the namespace for the selected element in the Structure View.

  5. Make any desired changes to the Declared Namespaces, Prefix, or Path and then click Add, Change, or Delete. To close without saving your changes, close the dialog box without clicking an option.

Parent topic: XML with Schema


Convert unstructured documents

You can convert unstructured FrameMaker files into structured FrameMaker files using Conversion Tables. With Converstion Tables you can map paragraph styles, character styles, table styles, variables, cross-references, markers, and images to corresponding XML elements.

FrameMaker provides a mapping feature to help you transfer your unstructured documents into structure. Your results depend on the following factors:

  • Document consistency. Documents that implement a formatting template consistently, with few or no formatting overrides, will convert better than documents that are full of overrides.

  • Similarity between unstructured and structured documents. A new document structure that is similar to the organization in the unstructured documents eases the conversion process.

  • Conversion workflow
    The conversion process creates structured elements from FrameMaker formatting components, such as paragraph styles, character styles, markers, cross-references, and table components.
  • Conversion rule examples
    Learn the conversion rule examples to convert unstructured documents into structured in FrameMaker.
Parent topic: Structured authoring


Conversion workflow

The conversion process creates structured elements from FrameMaker formatting components, such as paragraph styles, character styles, markers, cross-references, and table components.

Creating a Conversion Table from an unstructured Document

To begin the conversion process, select an unstructured document that is representative of your typical content. Ideally, this document should contain examples of all of the formatting styles that would occur in your documents. These tags should be shown in logical sequences (as they would occur in documents), so a formatting template that shows examples of each paragraph style in alphabetical order is not a good example document.

In the following example, an unstructured document with several paragraphs tagged with multiple paragraph styles is given. This document will be converted to DITA with a Conversion Table.

Figure 1. Example of an unstructured FrameMaker document tagged with paragraph styles
Unstructured FrameMaker documenttagged with paragraph styles

  1. Open an unstructured document with a similar content and formatting structure shown in the illustration above.

  2. Import element definitions from the DITA 1.3 EDD into the example document.

  3. Choose Structure > Utilities > Generate Conversion Table. The Generate Conversion Table dialog opens:

    Figure 2. Generate Conversion Table dialog
    Generate Conversion Table dialog

    Choose Generate New Conversion Table, then click Generate.

    FrameMaker scans the document and creates a list of the formatting components that occur in this document. Tags that are defined in the formatting catalogs but not used in the document are not included in the list.

    FrameMaker creates a new document with a Conversion Table. A Conversion Table can look like this:

    Note: FrameMaker assumes that the name of a formatting component will be the same as the name of the structure element.
    Wrap this object or objects In this element With this qualifier

    P:Title

    Title

    P:Heading1

    Heading1

    P:Heading2

    Heading2

    P:Body

    Body

  4. To test the Conversion Table, switch to your unstructured document again.

    Choose Structure > Utilities > Structure Current Document. Select the conversion rules table document in the drop-down list, and then click Add Structure.

    Structure Current Documentdialog

    FrameMaker creates a new, untitled, structured document with the following flat structure which is not DITA compatible yet. As neither the elements nor the hierarchical structure are DITA comliant and as there is no Root Element set, all elements are marked in red.

    Figure 3. Converting an unstructured FrameMaker document to structured FrameMaker document
    Converting an unstructured FrameMaker documentto structured FrameMaker document

  5. Modify the Conversion Table to match the elements used by DITA:

    • Map all heading paragraphs that are tagged in the unstructured FrameMaker document with the paragraph styles “Title”, “Heading1”, “Heading2” into a title element. To change this mapping, change the second column (“In this element”) to read title for all heading styles.

    • Map all paragraphs with the paragraph style “Body” to the p element. To change this mapping, change the second column (“In this element”) to read p instead of Body.

    The modified table now looks like this:

    Wrap this object or objects In this element With this qualifier

    P:Title

    title

    P:Heading1

    title

    P:Heading2

    title

    P:Body

    p

    To test the conversion rules table, switch to your unstructured document again. Choose Structure > Utilities > Structure Current Document. Select the conversion rules table document in the drop-down list, and then click Add Structure.

    Running this Conversion Table on the unstructured document will give the following flat structure. The elements are valid now, but the structure is not valid yet and no root element is set.

    Figure 4. Converting an unstructured FrameMaker document to structured FrameMaker document – Step 1
    Converting an unstructuredFrameMaker document to structured FrameMaker document – Step 1

  6. To add additional DITA compliant structural hierarchy wrap groups of elements into parent elements:

    • Wrap all p elements (E:p*) into a body element.

    • Wrap all title elements with qualifier H2 (E:title[H2]) followed by or many of the new body elements into a new topic element and mark this new topic element with qualifier L2 (to remember it as “Level 2”).

      In the unstructured document, this was the “section” beginning with a Heading2 style paragraph.

      To be able to distinguish between the three title elements during during the conversion for later wrapping into parent elements, we add the (temporary) qualifiers T, H1, and H2.

    The modified table now looks like this:

    Wrap this object or objects In this element With this qualifier

    P:Title

    title

    T

    P:Heading1

    title

    H1

    P:Heading2

    title

    H2

    P:Body

    p

    E:p*

    body

    E:title[H2], body

    topic

    L2

    To test the conversion rules table, switch to your unstructured document again. Choose Structure > Utilities > Structure Current Document. Select the conversion rules table document in the drop-down list, and then click Add Structure.

    Running this Conversion Table on the unstructured document will give the following hierachical structure. The elements are valid now, but the structure is not valid yet and no root element is set.

    Figure 5. Converting an unstructured FrameMaker document to structured FrameMaker document – Step 2
    Converting an unstructuredFrameMaker document to structured FrameMaker document – Step 2

  7. Add additional entries to the Converstion Table to create more structural hierarchy and create the root element topic:

    • Wrap all title elements with qualifier H1 (E:title[H1]) followed by an optional (?) body element, followed by zero or more (*) topic[L2] elements into a new parent topic element.

      In the unstructured document, this was the “section” beginning with a Heading1 style paragraph plus paragraphs and/or the Heading2 sections.

    • Wrap the top title element (E:title[T]) followed by one or many topic elements into a root topic element.

    Our modified table now looks like this:

    Wrap this object or objects In this element With this qualifier

    P:Title

    title

    T

    P:Heading1

    title

    H1

    P:Heading2

    title

    H2

    P:Body

    p

    E:p*

    body

    E:title[H2], body

    topic

    L2

    E:title[H1], body?, topic[L2]*

    topic

    L2

    E:title[T], topic*

    topic

    Running the this Conversion Table on the example document will give this final topic structure:

    Figure 6. Converting an unstructured FrameMaker document to structured FrameMaker document – Step 2
    Converting an unstructuredFrameMaker document to structured FrameMaker document – Final Step

Save the newly generated document as a structured FrameMaker document (*.fm) or as an XML document (*.xml).

Updating an existing Conversion Table with new rules

  1. Make sure that the Conversion Table document is open. Open the file that contains additional formatting components.

  2. Choose Structure > Utilities > Generate Conversion Table. The Generate Conversion Table dialog opens:

    Generate Conversion Tabledialog

    Select Update Conversion Table and select your Conversion Table document in the drop-down list.

  3. Click Generate. FrameMaker scans the second sample document and adds additional formatting components to the end of the conversion rules table.

  4. Refine the added rules as required and save the updated conversion table.

Parent topic: Convert unstructured documents


Conversion rule examples

Learn the conversion rule examples to convert unstructured documents into structured in FrameMaker.

The order in which conversion rules are listed is significant. You must go from lower-level elements to higher-level elements. For example, assume that you have the following mapping rules:

Wrap this object or objects | In this element | With this qualifier
G: | image |
P:alt | alt |
E:image, E:caption | fig |

The rule in which <image> and <alt> elements are wrapped into a <fig> element must occur after the rules in which <image> and <alt> are created.

If you need to map several paragraph styles to the same element and then wrap them into different parents, you use the third column for a qualifier. It’s common, for example, to have a ListItem element that’s used for both bulleted lists and numbered lists. Once the bullet and step paragraphs are wrapped in the ListItem element, you need a way to distinguish whether they belong in OrderedList or UnorderedList. To make this distinction, you use the qualifier column, as shown in the following example:

Wrap this object or objects | In this element | With this qualifier
P:Bullet | li | b
P:Step1 | li | st
P:Step2 | li | st
E:ListItem[b]+ | ul |
E:ListItem[st]+ | ol |

To specify the root element of a document, you can use the following:

Wrap this object or objects | In this element | With this qualifier
RE:RootElement | topic |

You can only specify one root element per Conversion Table.

Graphics and tables are often anchored into the preceding paragraph in the unstructured document. When you structure the document, the Graphic and Table elements end up as children of the preceding Para element.

If you want the Graphic element to be converted as a sibling of Para (shown in the preceding figure on the right) rather than a child, use the “promote” command:

Wrap this object or objects | In this element | With this qualifier
G: | image(promote) |
Parent topic: Convert unstructured documents


Convert Word documents to DITA

Learn how to convert Microsoft Word documents into DITA documents and map.

FrameMaker allows you to migrate your existing Word documents (.docx) into DITA topic type documents. You need to specify the input and output folder locations along with other parameters and the document gets converted into DITA document. Depending on the content, you could have a .dita file and a .ditamap file.

To be able to convert a Word document successfully, your document should be well structured. For example, your document should have a Title, followed by Heading 1, Heading 2, and so on. Each of the headings should have some content in it. If your document is not well structured, the process might not work as expected.

By default, FrameMaker uses the Word-to-DITA (Word2DITA) transformation framework. This transformation depends on the style-to-tag mapping configuration file. To be able to use the Word2DITA transformation successfully, you must consider the following guidelines for preparing your Word document for conversion:

Note: If you make any changes in the default style-to-tag mapping configuration file, then you must update and use the guidelines confirming to your updated style mapping.

  • Ensure that your document starts with a Title; this Title is mapped to the DITA map title. Also, the Title must be followed by some regular content.

  • After the Title, there should be Heading 1, Heading 2, and so on. Each Heading must have some content in it. The Headings are converted into new Concept type topics. The hierarchy of the generated topics is as per the Heading levels in the document, for example, Heading 1 will precede Heading 2, and Heading 2 will precede Heading 3 content.

  • The document must have at least one Heading type content.

  • Ensure that you do not have any grouped images. In case you have grouped images in your document, ungroup all such images.

  • Remove all headers and footers.

  • Inline styles such as bold, italics, and underline are converted into <b>, <i>, and <u> elements.

  • All ordered and unordered lists are converted into <ol> and <ul> elements. This also applies to nested lists, lists within tables, notes, or footnotes.

  • All hyperlinks are converted into <xref>.

  • The filename of the converted files is based on the heading text followed by a file number.

To convert a Word document to DITA, perform the following steps:

  1. Choose Structure > Utilities > Convert Word (.docx) to DITA.

    The Convert Word (.docx) to DITA dialog box appears.

    Figure 1. Word to DITA conversion dialog box

  2. In the Convert Word (.docx) to DITA dialog box, provide the following:

    • File: Path of the source Word file that you want to convert.

    • Style to Tag Map: The mapping file used for conversion. The default mapping file is available at the following location:

      C:\Users\<username>\AppData\Roaming\Adobe\FrameMaker\17\X2DITA\Word2DITA\style2tagMap.xml

      You can add your customizations to the default mapping file. If you are using a file different from the source mapping file, then update the path of the file in the Style to Tag Map location.

    • Output DITA Files > Directory: Output location to save the converted DITA document. By default, a DITA map file is created with the name of the source Word document. The topics folder contains .dita files, which are created on the basis of the mapping file’s configurations. The topics directory contains a media subdirectory, which contains all media files used in the source Word document.

Note: See a video on Import Word content to DITA.
Parent topic: Structured authoring


Convert Markdown documents to DITA

Learn how to convert Markdown documents into DITA documents and map.

FrameMaker give you a simple and straightforward method to convert your Markdown (.md) files to DITA. To do so, you need to add your Markdown files to a DITA map as <topicref>. Then, use the conversion feature on the map file to convert the Markdown files into DITA topic type documents.

To convert Markdown files to DITA, perform the following steps:

  1. Create a DITA map file on your local drive.

  2. Add your Markdown (.md) file to the map.

  3. Choose Structure > Utilities > Convert Markdown to DITA.

    The Convert Markdown to DITA dialog box appears.

    Figure 1. Markdown to DITA conversion dialog box

  4. In the Convert Markdown to DITA dialog box, provide the following:

    Important: Ensure that the input and output paths are on your local system. Specifying any network location can result in conversion failure.

    • File: Path of the source DITA map file that contains the Markdown file.

    • Output DITA Files > Directory: Output location to save the converted DITA document.

Parent topic: Structured authoring


Structured authoring using DITA

Understand how structured authoring enforces a structure to a document you are authoring in Adobe FrameMaker.

Structured authoring enforces structure to the authoring of documents. When you create a structured document in FrameMaker, you are required to select a Structured Application on which you want to base the document. The Structured Application defines the structure and formatting rules that are enforced when creating your document. The Darwin Information Typing Architecture (DITA) is an open XML standard for structured authoring. When authoring in DITA, you can also use the DITA Open Toolkit (DITA-OT) to publish output.

DITA Topics

DITA topics are the most granular units of DITA content. Each topic should be authored around a single subject.

See the DITA specifications on DITA topics.

Information typing

Information typing is the practice of identifying types of topics that contain distinct kinds of information, such as concepts, tasks, and reference information. Topics that answer different kinds of questions can be categorized as different information types. The base topic types provided by DITA (a generic topic, plus concept, task, and reference) provide a usable starter set that can be adopted for immediate authoring.

See the DITA specifications on Information typing.

DITA Maps

The DITA map is like a table of contents listing and linking the topics. DITA maps assemble topics into sequence and hierarchy. You can have multiple maps for the same topics, each one arranging the topics e.g., for different output requirements, such as a reference manual, a tutorial, or Online Help. A DITA map file has the extension .ditamap.

See the DITA specifications on DITA maps.

Bookmaps

A bookmap is a specialization of a DITA map. You can save a DITA map as a bookmap. In a bookmap, highest-level <topicref> elements in your DITA map become chapters in the FrameMaker book, containing any nested <topicref> elements. Formatting is determined according to which Structured Application you have selected for books in the DITA Options dialog box.

For details, see DITA bookmaps.

See the DITA specifications on Bookmaps.

  • Why DITA
    Understand how DITA changes the way content is created, stored, managed, and consumed in FrameMaker.
  • DITA topics
    Understand what are DITA topics in FrameMaker
  • Create a DITA topic
    Learn how to create a DITA topic in Adobe FrameMaker.
  • Add links to related content
    See how you can add links to related content using the DITA link dialog in Adobe FrameMaker.
  • ditamaps
    Know what ditamaps are and how to work with them in Adobe FrameMaker.
  • DITA bookmaps
    Know what are Bookmaps in FrameMaker and how it helps to organize and print DITA topics as books.
  • DITA referencing
    Understand DITA referencing in FrameMaker, learn to set up reference content and update DITA references.
  • DITA content references
    Understand content references in DITA and how to use them in Adobe FrameMaker.
  • DITAVAL
    Understand what is DITAVAL in FrameMaker and how it is used to generate conditional output in FrameMaker.
  • DITA Cross-References
    Understand how to work with DITA cross-references in Adobe FrameMaker.
  • DITA relationship tables
    Understand the concepts of related topics in DITA, and how relationship tables are used to create links for related topics in Adobe FrameMaker.
  • DITA publishing
    See how you can use the publishing processes to generate output for your DITA content with Adobe FrameMaker.
  • DITA Open Toolkit
    Understand what the DITA Open Toolkit is, and how you can generate output using DITA Open Toolkit in FrameMaker.
  • DITA specialization
    Learn to use DITA specialization dialog to automatically convert base files to specialized files using specialized DTD.
  • DITA Options
    Use the DITA Options dialog in FrameMaker to configure and customize various options for DITA topics.
  • DITA Open Toolkit
  • DITA topics
  • ditamaps


Why DITA

Understand how DITA changes the way content is created, stored, managed, and consumed in FrameMaker.

DITA changes the way content is created, stored, managed, and consumed. It also changes the tools that are used and the way authors have to think about content.

In this topic

  • Content reuse and modularity

  • Multichannel publishing

  • Ease of authoring and publishing

  • Minimalism in content

  • Reduced translation costs

Content reuse and modularity

You can reuse content not just for print and the web but also for multiple custom outputs. Reuse at a heading or line level can be chaotic and challenging to implement and manage, especially at an enterprise-wide level. DITA facilitates reusability at a more manageable content level: the topic. A <topic> is the smallest chunk of information that can stand alone as meaningful information. Topics are then assembled into documents using DITA maps, which are hierarchical lists of pointers or links to topics. These pointers are called <topicref> elements.

Topics can also be reused in other topics. Each topic is assigned a unique ID. From a topic, you can include a content reference (<conref>) to another topic using its unique ID. At a finer level of granularity, you can also assign property tags to individual topic elements for conditional assembly.

Multichannel publishing

Modular topics allow for dynamic assembly of content at any level of granularity. You can create multiple documents from reusable topics. Assembly can be conditional, dependent on properties or metadata tags that you attach to a topic. For example, the audience property can be “beginner” or “advanced”, and the platform property “Windows” or “Solaris”.

Ease of authoring and publishing

By segregating content from presentation, DITA allows you to reuse modular topics. You can reuse a topic by specifying it in multiple topic maps. For example, you can have the same topic appearing in multiple topic maps and set a new context by using a relationship table. This also aids publishing because the content is independent of format definitions.

Minimalism in content

Minimalism in documentation means providing users only the information they need for accomplishing a specific task. This approach requires the breakdown of sequential information into smaller, concise, and consistent chunks that can be reused.

Reduced translation costs

Modular, topic-based content with unique topic IDs allows concurrent authoring and translation of DITA map content. This approach reduces translation costs as well as time to market. In addition to topic orientation and content reuse, these DITA features also reduce translation costs.

  • All DITA topics are stored in Unicode.

  • DITA provides the ability to specify the language setting on nearly every element in a DITA topic.

  • The @translate attribute allows you to indicate items ready for translation.

Parent topic: Structured authoring using DITA


DITA topics

Understand what are DITA topics in FrameMaker

DITA uses a topic-based approach to authoring. A topic is the basic unit of DITA content. Each topic should cover a single subject. A basic topic consist of a title and body content. It should be short enough to be specific to a single subject or answer a single question, but long enough to make sense on its own and be authored as a unit.

To cover separate content such as concepts, tasks, reference, the DITA standard specifies different information types. Each information type defines structured elements that aid in authoring the relevant content. For example, the task type defines elements such as <context>, <example>, <steps>, and <result>.

Parent topic: Structured authoring using DITA


Create a DITA topic

Learn how to create a DITA topic in Adobe FrameMaker.

In this topic

  • DITA Information types

  • Create a new DITA topic

Create a new DITA topic

  1. Choose File > New > DITA and select one of the topic and map types from the sub-menu.

  2. To view the hierarchical structure of the created topic, choose Structure > Structure View.

  3. A DITA topic is a structured document. This means that in FrameMaker you work with the DITA topic structure in the same way that you work with the structured documents based on other Structured Applications.

DITA Information types

FrameMaker supports the following DITA information types:

<topic>

A generic topic. For specific content, use task, concept, reference, glossentry, glossgroup types.

See the DITA specifications on Topic elements.

<task>

For task related content such as how-to or procedures.

See the DITA specifications on Task elements.

<concept>

For content such as “what is?”. It covers conceptual information about a feature or function.

See the DITA specifications on Concept elements.

<reference>

For reference content. For example, product specifications, API reference, and equipment or part lists.

See the DITA specifications on Reference elements.

<glossentry>

For a single glossary term and definition.

See the DITA specifications on Glossentry elements.

<glossgroup>

For a group of glossentry elements.

The glossgroup can also contain other glossgroup elements to create a hierarchical glossary structure.

See the DITA specifications on <glossgroup>.

<troubleshooting>

The <troubleshooting> element is the top-level element for a troubleshooting topic. Troubleshooting topics document corrective action such as troubleshooting or alarm clearing. Troubleshooting topics begin with a description of a condition that the reader might want to correct, followed by one or more cause-remedy pairs. Each cause-remedy pair is a potential solution to the trouble described in the condition.

Troubleshooting topics represent the kind of information that users typically consult to fix a problem.

See the DITA specifications on <troubleshooting>.

dita

A top-level container element that can include the topic types described above.

See the DITA specifications on <dita> element.

Parent topic: Structured authoring using DITA
Related information
  • Structured authoring


Add links to related content

See how you can add links to related content using the DITA link dialog in Adobe FrameMaker.

In this topic

  • DITA Link dialog

  • Create a DITA link

DITA Link dialog

Use the DITA Link dialog to insert direct and indirect link to DITA content.

Figure 1. Dita Link dialog
Using the DITALink dialog to insert a direct or indirect link to DITA content

Use the DITA Link dialog to:

A (DITA Element):

Choose the link element to use.

By default, the element is <link>.

See the DITA specification on link.

B (Target > File):

Check this option to create a link using direct referencing.

C (Target > Key):

Check this option to create a link using indirect referencing and choose a key from the Key Settings drop-down list.

D (Target > Both):

Check this option to create a link using direct or indirect referencing.

E (File/Key Settings):

If the target is set to File, select a DITA topic from the list of currently opened topics for direct references. You can also browse to select a topic that is not currently opened.

If the target is set to Key, select a key for indirect reference. You can also open the DITA Keyspace Manager dialog. In this dialog, you create a keyspace and set the default keyspace for the current topic.

F (Filter Text):

Search for the required topic or key that you want to create a link to. This smart search filters the elements as you start typing in the Filter Text box. You can filter content on the basis of the element, ID, or text (content).

Once you have found the required topic, select an element to include as a link. The link element defines a relationship to another topic.

G (Display Using):

Choose the element that provides the literal label or line of text for a link.

By default, the element is <linktext>.

See the DITA specification on linktext.

H (Display Using):

Choose the element that provides the literal label or line of text for a link.

By default, the element is <linktext>.

See the DITA specifications on linktext.

H (Text)

Specify the link text to display as literal text.

I (Format)

Choose Format and select a link format from the drop-down list:

DITA Default Format

Display the title of the reference topic.

See_Title_and_Page

Display See <topic title> on <page number>.

Title_and_Page

Display <topic title> on <page>.

J (External Link)

Insert a link to an external (non-DITA) resource. In the DITA External Xref dialog, provide the source for the external link (Refer to Key or Xref Target (href)).

Optionally, you can specify a link text. Else, the link entered in the Xref Target (href) field is used for the link text. You can also insert an external link through the main menu Insert > External Reference or the context menu.

Create a DITA link

  1. If you are inserting the first link in the related-links element, place the insertion point to the right of the related-links element.

    Figure 2. Place insertion point to the right of related-links element
    Placing the insertion pointto the right of the related-links element

  2. Choose View > Panels > Element Catalog to open the Elements panel. From the Elements panel, insert the <link> element.

    The DITA Link dialog is displayed.

  3. Choose the DITA element link.

  4. Choose a link target.

    You can choose to add a link as a direct or indirect reference to the target content.

    To add a direct link, you choose the DITA topic (.xml file) to which you want to create the link:

    1. Select the File option for the Target and choose the file containing the reference topic.

      You can select a reference topic from the current topic, any currently opened topic, or use the browse button to select an unopened topic.

    2. In the element list, select the topic to reference.

    To add an indirect link, you need to use DITA key-references.

    1. Select the Key option for the Target and click Keyspace Manager.

    2. In the DITA Keyspace Manager dialog, select the key in the defined keys list and click OK.

  5. In the Display Using drop-down, choose the element to display the link text.

  6. Specify the text or format to display in the link.

  7. Click Insert.

Parent topic: Structured authoring using DITA
  • Create a DITA link
  • Create a keyspace
  • Using keyspaces to manage DITA key references
  • DITA referencing


ditamaps

Know what ditamaps are and how to work with them in Adobe FrameMaker.

A ditamap allows you to organize DITA topics in a hierarchical structure. You can then create output for your organized content using different output formats.

Figure 1. Using ditamaps to organize DITA topics in a hierarchical structure
Using ditamaps to organize DITA topics in a hierarchical structure

See the specifications on ditamaps.

  • Create a ditamap
    See how you can create a ditamap in FrameMaker.
  • Insert topicref elements in a DITA map
    Understand how you can insert topicref elements in a DITA map with Adobe FrameMaker.
  • Insert front matter, back matter, and appendix elements in a DITA map
    Understand how you can insert <frontmatter>, <backmatter>, and <appendix> elements in a DITA map with Adobe FrameMaker.
  • Display ditamap content in editor
    Understand how you can display ditamap content and show or hide the preview of topicref elements in Adobe FrameMaker.
  • Save a DITA map
    Learn how to save a DITA map in Adobe FrameMaker.
Parent topic: Structured authoring using DITA
  • DITA publishing
  • Using keyspaces to manage DITA key references


Create a ditamap

See how you can create a ditamap in FrameMaker.

  1. Choose File > New > DITA > <map>.

    Alternatively, choose File > New > XML. In the New XML dialog, go to the DITA tab and choose map.

  2. By default, a ditamap is opened in the Resource Manager.

    You can use the Resource Manager to:

    • Insert topics in the ditamap

    • Save the ditamap

    • Switch to the Document view to display the ditamap contents.

  3. You can use the available FrameMaker tools, such as the Structure View and Elements panel, to work with a ditamap.

  4. You can also include relationship tables to a ditamap.

    For details, see DITA relationship tables.

Parent topic: ditamaps


Insert topicref elements in a DITA map

Understand how you can insert topicref elements in a DITA map with Adobe FrameMaker.

You can add topics to a DITA map by using the <topicref> elements in the Elements catalog. You can also add topics using Insert Child in the Resource Manager.

FrameMaker supports the following <topicref> elements that you can insert in a DITA map:

topicref

Identifies topics such as dita, topic, concept, task, reference, glossentry, and glossgroup. A topicref element can also contain other topicref elements to create a hierarchical structure.

See the DITA specifications on the topicref element.

mapref

A convenience element that is equivalent to a <topicref> element with the format attribute set to “ditamap”.

See the DITA specifications on the mapref element.

topicset

A set of <topicref> elements that can be reused in DITA maps and other topicset elements.

See the DITA specifications on the topicset element.

keydef

A convenience element that is used to define keys without any of the other effects that occur when using a <topicref> element: no content is included in output, no title is included in the table of contents, and no linking or other relationships are defined.

See the DITA specifications on the keydef element.

topicsetref

References a <topicset> element.

See the DITA specifications on the topicsetref element.

To insert a <topicref> element in a DITA map:

  1. In the Structure View, place the insertion point after the book title and metadata elements of the <bookmap> element.

  2. Choose Structure > DITA > Insert Topicref.

  3. If you select topicref, mapref, topicset, or keydef, the Insert Element dialog appears:

    Figure 1. Inserting elements in a DITA map using the Insert Element dialog
    Inserting elements in a DITA map using the Insert Element dialog

  4. To use the inserted topicref as a key reference, enter a Key Name.

  5. In the HRef box, enter the location of the topic to reference. Or click Browse to navigate and select the topic. The topic is added as a direct reference.

    Alternatively, if you have defined a keyspace for the current topic, you can select a key reference in the KeyRef drop-down list. The topic is added as an indirect reference.

Parent topic: ditamaps


Insert front matter, back matter, and appendix elements in a DITA map

Understand how you can insert <frontmatter>, <backmatter>, and <appendix> elements in a DITA map with Adobe FrameMaker.

A traditional book includes various components, such as book title, front matter, chapter, appendix, and back matter. FrameMaker allows you to insert the frontmatter, backmatter, and appendix elements in your DITA map. In addition to having these elements in your DITA map, FrameMaker also gives you dedicated output templates for each of these components. You can export the source template, make changes as per your requirements, and import them back into your publish settings to create the desired output. For more details about the DITA publishing templates, see DITA Templates.

To insert the frontmatter, backmatter, and appendix elements in a DITA map:

  1. In the Structure View, place the insertion point where you want to insert the desired element.

  2. Open the Elements catalog (View > Panels > Element Catalog).
    Figure 1. Elements catalog with appendix, backmatter, and frontmatter elements

  3. Double-click on the element that you want to insert.

    In case of the frontmatter and backmatter elements, you need to further add the required content within these elements. For oappendices or appendix elements, the Insert Element dialog is displayed. Using the Insert Element dialog, you can choose a file that you want to include in your appendix.

    Note: The order in which the front matter, back matter, appendix, and other components of your book are published depends on the OutputFilesOrder setting in the ditafm-output.ini file. For more details, see Adobe FrameMaker INI Reference.
Parent topic: ditamaps


Display ditamap content in editor

Understand how you can display ditamap content and show or hide the preview of topicref elements in Adobe FrameMaker.

In this topic

  • Introduction

  • Show or hide the preview of topicref elements content

  • Open all topics referenced in a ditamap

Introduction

After you have inserted one or more topicref elements in a ditamap, you can choose to view the content of the referenced topics in the Document view.

You can also open the referenced DITA topics as separate documents in FrameMaker.

Show or hide the preview of topicref elements content

  1. To preview the contents on a single reference element, select the topicref element in the Structure View.

    To preview the contents of all reference elements, click anywhere in the topic but ensure that no element is selected. You are prompted to show content for all topicrefs. Also, you can choose to display referenced child maps.

  2. To preview the content, choose Structure > DITA > Resolve Topicref(s) > Show Content.

  3. To hide the preview, Structure > DITA > Resolve Topicref(s) > Hide Content.

Tip: To show or hide the preview for a single element, you can also right-click the element and choose Resolve Topicref(s) > Show Content or Resolve Topicref(s) > Hide Content.

If a ditamap includes references to child maps, the Show and Hide options in the ditamap will show or hide the topics referenced in the child maps.

In the Document view, FrameMaker displays bullets to denote the topic hierarchy in a ditamap.

Figure 1. Topic levels shown as nested bullets
Topic levelsasdenoted by >, >>, and >>> intheDocument view

When you switch to the Document View (of a DITA map), the book window also remains active from where you can open other topics.

Open all topics referenced in a ditamap

If a ditamap contains references to one or more topics, you can open all the referenced topics in FrameMaker.

  1. Ensure the ditamap is selected.

  2. Press the Shift key and choose File > Open All Files in Ditamap.

    Alternatively, in the ditamap, choose Structure > DITA > Open All Topicrefs.

    To close all topic references, press the Shift key and choose File > Close All Files in Ditamap.

Note: To open a single topic, double-click the topic in the ditamap.
Parent topic: ditamaps


Save a DITA map

Learn how to save a DITA map in Adobe FrameMaker.

The Save Ditamap As functionality in FrameMaker (File > Save Ditamap As) allows you to save the DITA map to multiple outputs. When you save a DITA map as a book, you can take advantage of the FrameMaker book hierarchical features such as folders and groups. You can use FrameMaker book functionality such as page numbering and table of contents.

The following list of outputs, provide specific functionality:

Composite Document <Version> (*.fm)

A single self-contained FrameMaker document file (.fm). The document contains all the content from the DITA map. For example, the topic references. The topic references are embedded within the document. This implies that any changes to the topic files are not reflected in the composite document. If you share this document with another author, the author does not require the referenced topic documents. However, you can continue to work on the composite document using the available structure tools in FrameMaker.

Book <Version> (*.book)

The DITA map is saved as a .book file that includes each referenced topic file as a document within the book.

Book <Version> with fm components (*.book)

The DITA map is saved as a .book file. Each referenced topic file is converted to a .fm file.

When you save a DITA map as a composite document or book with FrameMaker components, you can use the DITAVAL conditional output functionality. In the Save Document dialog, if you check the Prompt For DitaVal File option, you are prompted for a DITAVAL file that you can use to conditionally output the contents to the selected output format.

Important: You cannot round-trip the DITA map to book conversion. This implies that any changes that you make in the book cannot be cycled back to the DITA map.
Parent topic: ditamaps
  • DITAVAL


DITA bookmaps

Know what are Bookmaps in FrameMaker and how it helps to organize and print DITA topics as books.

A bookmap is a specialized DITA map that allows you to organize and print your DITA topics as a book. A bookmap defines elements such as <chapter> and <appendix>. A DITA map does not impose structural rules with regards to the sequence of the topic references. However, to maintain a book structure, the bookmap defines rules such as disallowing a chapter element after the appendix element.

See the specifications on Bookmaps in the DITA Specification.

The FrameMaker user interface elements for a bookmap are identical to the elements for a DITA map. For example, by default, the bookmap opens in the Resource Manager.

  1. Choose File > New > DITA > <bookmap>.

  2. The <chapter>, <part>, <appendix>, and <appendices> elements are referenced elements.

    To add these elements, follow the procedure used to Insert topicref elements in a DITA map.

  3. You can include relationship tables in a bookmap.

Parent topic: Structured authoring using DITA
  • DITA relationship tables
  • Insert topicref elements in a DITA map


DITA referencing

Understand DITA referencing in FrameMaker, learn to set up reference content and update DITA references.

DITA referencing (also known as DITA addressing) provides the capability to reference or link among DITA elements and between DITA elements and non-DITA resources.

You reference DITA content by Working with DITA conrefs. You create links to DITA or non-DITA resources, by using DITA cross-references to single source content. You can also use DITA links to Add links to related content.

The DITA specifications define two types of referencing:

Direct referencing (URI-based addressing)

References are established by pointing direct to the target. For example, in FrameMaker, when you create a conref using direct referencing, you navigate to and choose the DITA topic (.xml file). Similarly, you point directly to the DITA topic (.xml file) to create a DITA link or a DITA cross-reference. Direct referencing requires authors to explicitly choose the file containing the content to reference or link. This can be cumbersome and confusing if you have a large set of related content. Direct referencing is preferred if you do not have a large set of documents that reference or link to.

See the specifications on URI-based (direct) addressing.

Indirect referencing (key-based addressing)

References are established globally at the DITA map level using keys. For example, in FrameMaker, when you create a conref using indirect referencing, you do not point directly to the DITA topic. Instead, you point to a key that is defined Using keyspaces to manage DITA key references. Indirect referencing requires authors to choose user-defined keys when creating references or links. When setting up the keyspaces, a well defined nomenclature should be used to name keys. Indirect referencing is recommended if you are authoring in a large set of related content.

See the specifications on Key-based addressing.

  • Set up reference content
    Understand how to set up reference content and IDs in DITA with Adobe FrameMaker.
  • Using keyspaces to manage DITA key references
    Understand DITA keyspaces and learn how to create and manage keyspaces to manage DITA key references in Adobe FrameMaker.
  • Update DITA references
    Understand how to update DITA references in Adobe FrameMaker.
  • Find DITA references
    Understand how to find DITA references in Adobe FrameMaker.
Parent topic: Structured authoring using DITA


Set up reference content

Understand how to set up reference content and IDs in DITA with Adobe FrameMaker.

In this topic

  • Introduction

  • DITA ID attribute

  • Assign a unique ID to an element

  • Assign IDs to all instances of an element

Introduction

To create a conref in your DITA topics, you first need to create a DITA topic (direct referencing) or a DITA map (indirect referencing) that contains the content (elements) that you plan to reuse. For example, say you plan to reuse a table, an ordered list, and an image across multiple topics. You will need to add these elements to the source topic. If you are using indirect referencing, the topic is then added to the DITA map. For details, see Using keyspaces to manage DITA key references.

To make an element reusable, you need to assign a unique identifier to the element. For details, see DITA ID attribute. FrameMaker uses this unique identifier to differentiate the conref elements. For example, if you update the source element, FrameMaker uses the unique identifier to identify the elements in the container topics that need to be updated.

DITA ID attribute

The DITA ID attribute provides a method to uniquely identify content (topics or elements) to reference.

In a DITA topic, you can assign a unique ID to an element to use the element when you are creating a conrefs (Working with DITA conrefs) or cross-references (Cross-References) to the element from another topic. By default, FrameMaker assigns a unique ID to the topic, when you Create a DITA topic.

See the specifications on ID attribute.

Assign a unique ID to an element

  1. In the Structure View, select an element in the source topic.

  2. Choose Structure > Assign ID to Element.

    Alternatively, right-click on the element and select Assign ID to Element from the context menu.

To check if an element has an ID assigned to it, in the Structure View, click arrow sign to the right of the element.

Figure 1. Unique ID assigned to entry (table cell) element
Assigning aunique ID to an element

If you assign a unique ID to an element to which an ID is previously assigned, you will be prompted to replace the existing ID.

Assign IDs to all instances of an element

  1. Select an instance of the element for which you want to assign IDs.

  2. Choose Structure > Assign ID to Elements to open the Assign ID dialog.

    1. By default, the element selected before selecting Assign ID to Elements is selected in the drop-down.

    2. Select Include specializations to assign IDs to specializations of the selected element. If you are in a DITA map, select Process Topicrefs in Ditamap to assign IDs to all instances of the selected element in the topics in the DITA map.

    3. If you have multiple files open, select All open files to assign IDs to all the instances of the selected element in all the open files.

    4. Click Assign.

Parent topic: DITA referencing


Using keyspaces to manage DITA key references

Understand DITA keyspaces and learn how to create and manage keyspaces to manage DITA key references in Adobe FrameMaker.

In this topic

  • Introduction

  • Create a keyspace

  • Manage keyspaces

Introduction

In a DITA topic, you can directly reference content by specifying the DITA topic file (.xml). For example, to add links in the Related Links section of a DITA topic, you can choose the topic files to reference.

However, DITA also provides the specifications for using keys to indirectly reference content. See the DITA specification on Indirect key-based addressing.

Using keys adds a degree of indirection to the referenced content. When working with keys, the author does not reference topic files directly. The author is provided with a keyspace, a collection of user-defined keys to reference. The keyspace internally references any number of topics. The author is then concerned only with the keys in the provided keyspaces. Also, since the keys are user-defined, they can be named appropriately to allow author to easily recognize them.

The key definition elements are used to create keymaps since, by default, these elements are not generated in DITA output.

Create a keyspace

A keyspace is created using a ditamap. To create a ditamap to use as a keyspace, you need to add keydef elements to the ditamap.

  1. Create a ditamap.

  2. Add <keydef> elements to the ditamap.

    The @keys attribute is used to identify a specific <keydef> in a keyspace. Since the @keys attribute is mandatory for a <keydef> element, you can specify the attribute value in the Attributes for New Elements dialog or in the Key Name field in the Insert Element dialog.

    An author using the keyspace then will only refer to the key names and not directly to the associated DITA topics. For this reason, you should specify key values that are clearly indicative of the referenced (underlying) topic content.

  3. Save the ditamap.

Manage keyspaces

To use a key reference in your DITA topic, you need to load the keyspace in Adobe FrameMaker.

  1. Choose Structure > DITA > Manage Keyspaces top open the DITA Keyspace Manager.

    Alternatively, you can also click the Manage Keyspaces icon in the book window.

    Figure 1. Manage Keyspaces icon in the book window

    The DITA Keyspace Manager dialog appears.

    Figure 2. DITA Keyspace Manager dialog
    Manage key spacesusingtheDITA Keyspace Manager dialog

  2. From the Keyspace drop-down list, select a ditamap that is defined as a keyspace.

    By default, the first key in the list is always selected. ditamaps that are open in the current session are displayed in the Keyspace drop-down list. You can search for a keyspace by entering the first few characters of the key.

    If the required ditamap is not available in the list, click Load Keyspace and select the ditamap file. The key references defined in the keyspace are displayed in the defined keys list.

    If you want to update the references in all open documents using the (currently loaded) keyspace, then select the Update References in All Open Documents Using This Keyspace option. This way you will not have to individually load the keyspace for each open document.

    If you want to use the same keyspace for files that you will open in the current session, then select the Keep This Keyspace Loaded While Opening New Files option.

    If you make changes to the keyspace (ditamap) after loading the keyspace in the current environment, click the Refresh icon to view changes to the key references.

    Click OK to apply the selected keyspace across all open ditamaps.

    To select a different keyspace for a particular document, use the set keyspace manager. You can set keyspace from multiple paths, such as, DITA cross-references, DITA links, and insert conrefs.

Parent topic: DITA referencing
  • frm_structauth-dita_sd_related-links.xml#topic_dita-related-links
  • frm_structauth-dita_sd_insert-topicref-in-ditamap.xml#topic_insert-topicref-in-ditamap
  • #topic_dita-using-keyspaces-to-manage-key-references


Update DITA references

Understand how to update DITA references in Adobe FrameMaker.

You can create references in DITA topics or maps, by any of the following methods:

  • Content References (see Working with DITA conrefs)

  • Cross-References (see Cross-References)

  • Topic References (see Insert topicref elements in a DITA map)

If you update the referenced content, the references in the current topic are not immediately updated. For example, if a DITA map references a specific topic and the title of the topic is changed, the updated title does not immediately display in the DITA map.

To update the references in a selected topic or map, use the DITA Update References dialog:

  1. Choose Structure > DITA > Update References.

    The DITA Update References dialog is displayed:

    Figure 1. DITA Update References dialog
    Update DITA references using DITA Update References dialog

  2. To update the references in the current topic or map, check the specific options and click OK.

Parent topic: DITA referencing


Find DITA references

Understand how to find DITA references in Adobe FrameMaker.

You can search through a document or recursively through multiple files in a folder for links such as conref, topicref, link, or xref. By default, the Find References dialog box populates the ID of the current topic and element, if any is selected. Typically, you select the element which is referenced elsewhere, and then call this option.

  1. Choose Structure > DITA > Find References. Or, to find the reference of the current element, right-click within the element, and select Find References. The element ID is populated automatically.

  2. In the Find References dialog, enter the ID of the element, if necessary.

  3. Optionally, to limit the search within a keyspace, select the keyspace for the current document.

  4. Set the search scope. If you select a folder, you can recursively search for references to the element in all the files in the folder.

  5. Click Search.

Parent topic: DITA referencing


DITA content references

Understand content references in DITA and how to use them in Adobe FrameMaker.

When working with DITA in Adobe FrameMaker, you can use a content reference (<conref>) to reuse content from another DITA document. A conref is based on the DITA ID attribute assigned to the source element.

You can use direct referencing to point directly to the DITA topic (.xml file) containing the target topics or elements. Alternatively, you can use indirect referencing to point to keys defined in keyspaces. For more details, see DITA referencing.

You can create a <conref> for almost any element in the DITA element catalog. You can create a <conref> for a whole DITA <topic> to make an entire topic reusable, or just for a specific part of the topic, e.g., a single paragraph or table. You can even create a <conref> to a single <keyword>, <ph>, or <term> element to reuse and single-source even specific words like a product name. The only requirement to create a conref is that the element must have an DITA ID attribute.

  • Set up a topic to use conrefs
    Learn to set up a topic to use conref in Adobe FrameMaker.
  • DITA Conref dialog
    Learn to use DITA conref dialog to add direct and indirect conrefs to DITA content in FrameMaker.
  • Working with DITA conrefs
    See how you can work with conrefs, create and update conrefs in Adobe FrameMaker.
Parent topic: Structured authoring using DITA


Set up a topic to use conrefs

Learn to set up a topic to use conref in Adobe FrameMaker.

To create a conref in your DITA topics, you first need to create a DITA topic (direct referencing) or a DITA map (indirect referencing) that contains the content (elements) that you plan to reuse. For example, say you plan to reuse a table, an ordered list, and an image across multiple topics. You will need to add these elements to the source topic.

If you are using indirect referencing, the topic is then added to the DITA map. Also, to make an element reusable, you need to assign a unique identifier to the element.

Parent topic: DITA content references
  • Set up reference content


DITA Conref dialog

Learn to use DITA conref dialog to add direct and indirect conrefs to DITA content in FrameMaker.

Use the DITA Conref dialog to add direct and indirect conrefs to DITA content.

To open the DITA Conref dialog, choose Insert > Conref.

Figure 1. DITA conref dialog
Using the DITA Conref dialog to add direct and indirect conrefs to DITA content

A (Target > File):

Select this option to insert a conref using DITA referencing. See Create a conref.

B (Target > Key):

Select this option to insert a conref using DITA referencing. See Create a DITA link.

C (Target > Both):

Check this option to create a link using direct or indirect referencing.

D (File/Key Settings):

If the target is set to File, select a DITA topic from the list of currently opened topics for direct references. You can also browse to select a topic that is not currently opened.

If the target is set to Key, select a key for indirect reference. You can also open the DITA Keyspace Manager dialog. In this dialog, you Create a keyspace and set the default keyspace for the current topic.

E (Filter Text):

Search for the required topic or key that you want to create a link to. This smart search filters the elements as you start typing in the Filter Text box. You can filter content on the basis of the element, ID, or text (content).

Once you have found the required topic, select an element to include as a link. The link element defines a relationship to another topic.

F (Conref End Element):

Select an element as the last element in the range of elements to conref. For details, see Creating a conref to a range of elements.

Parent topic: DITA content references


Working with DITA conrefs

See how you can work with conrefs, create and update conrefs in Adobe FrameMaker.

In this topic

  • Create a conref

  • Creating a conref to a range of elements

  • Updating conrefs

Create a conref

To create a conref to a DITA topic or map in your current topic or map, you first need to set up reference content in the target topics or maps.

Next, you create a direct or indirect reference to the target DITA content.

  1. Place the insertion point at the location to insert the conref in a topic or map.

    To insert a conref at a location in the topic, you need to place the insertion point relevant to the conref element:

    An <li> (list item) conref element must be placed in an <ol> or <ul> list.

    A table <row> must be placed in a <table> or <simpletable>.

    In the case of a table <entry>, you cannot place the insertion point in the table <row>. You need to select the existing <entry> that you want to replace.

  2. Choose Insert > Conref.

    The Insert Conref dialog is displayed.

  3. You can choose to add a link as a direct or indirect reference to the target content.

    To create a direct reference to the target content:

    1. In the Insert Conref dialog, select Target: File. From the File Settings dropdown, select Current to select a reference target from the currently open file or choose any other open DITA file containing the reference target or open an existing DITA file with the Browse... button.

    2. The element list displays the elements to which unique identifiers (ID) are assigned.

      If an element is not assigned a unique ID, you can Assign a unique ID to an element.

    3. Select an element to insert as a conref in the current topic.

      The list also displays the ID and the content of the elements (in the case of text elements).

    If you make changes to a <conref> element in the source topic, you will need to save the source topic and update the container topic to view the updates.

    To create an indirect reference to the target content:

    1. Select Target: Key and click Keyspace Manager....

    2. In the DITA Keyspace Manager dialog, select the key in the defined keys list and click OK.

    3. Select an element.

      The elements in the DITA topic of the selected element that have an ID are displayed in the elements list.

    4. Select an element to insert as a conref and click OK.

  4. Click Insert.

Creating a conref to a range of elements

You can create a conref to a range of elements. For example, you have a number of <p> (paragraph) elements that you want to reference. You can create one conref to all the <p> elements.

Note: To specify a range for the content reference, the elements within the range must be of the same type. At least the start and end elements must have unique identifiers.

  1. To select the first element in the range perform the steps in section Create a conref but do not click Insert.

  2. In the Conref End Element drop-down list, choose the last element in the range to include in the conref.

  3. Click Insert.

Updating conrefs

If you update a reusable element after you reference it in another topic, you need to update the conrefs in the topic to view the updates.

To update the conrefs in a topic:

  1. Choose Structure > DITA > Update References.

    The DITA Update References dialog is displayed.

  2. Check Update All Conrefs in File.

  3. Click OK.

All the conrefs in the current topic are updated.

Parent topic: DITA content references
  • DITA Conref dialog
  • Set up reference content
  • DITA referencing
  • Using keyspaces to manage DITA key references
  • Create a keyspace
  • Assign a unique ID to an element


DITAVAL

Understand what is DITAVAL in FrameMaker and how it is used to generate conditional output in FrameMaker.

In Adobe FrameMaker, you use a DITAVAL file to generate conditional output. You write a single document with conditional content (using element attributes).

You then create a DITAVAL file in which you specify the content to create multiple outputs versions of the document based on the applied attributes.

  • Generate conditional output (PDF)
    Know how you can generate conditional output for DITA topics in Adobe FrameMaker.
  • Set up DITA topics to use DITAVAL
    See how you can setup DITA topics to use DITAVAL and apply conditional attributes to elements with Adobe FrameMaker.
Parent topic: Structured authoring using DITA


Generate conditional output (PDF)

Know how you can generate conditional output for DITA topics in Adobe FrameMaker.

This topic covers, with a sample use case, the steps to generate a PDF output containing conditional content.

Note: The sample used in this topic includes content only in paragraph (<p>) tags. You can, however, create conditional output from any DITA element in a document.

Create a sample DITA topic

Create a DITA topic with four paragraph (<p>) elements:

  1. Content ONLY for administrators.

    Set the @audience attribute to admin.

  2. Content ONLY for authors.

    Set the @audience attribute to author.

  3. Content for administrators and authors

    Set the @audience attribute to admin author.

  4. Content for end users and authors.

    Set the @audience attribute to end_user author.

Save the document.

Create a sample DITAVAL file

Create a DITAVAL file with four prop elements:

  1. @attr: audience

    @val: admin

    @action: include

  2. @attr: audience

    @val: author

    @action: exclude

  3. @attr: audience

    @val: end_user

    @action: exclude

The above DITAVAL will output all content targeted at administrators.

Save the DITAVAL file.

Save the condionalized content as a PDF

  1. Create a DITA map and include the above document and save the DITA map as a PDF (File > Save As PDF).

  2. In the Save Document dialog, check the Prompt For DitaVal File option and click Save.

    The Choose DitaVal File dialog appears.

  3. Select the DITAVAL file and click Choose.

    The Apply As Condition option will output the entire contents. However, the contents that is marked as excluded in the DITAVAL file is output with a strike-through. You choose this option for document review. For example, use this option to indicate to a reviewer the contents that is marked as excluded.

  4. In the PDF Setup dialog, click Set.

The output PDF file includes and excludes content based on the attributes that are set up in the document and the corresponding DITAVAL file.

Parent topic: DITAVAL


Set up DITA topics to use DITAVAL

See how you can setup DITA topics to use DITAVAL and apply conditional attributes to elements with Adobe FrameMaker.

In this topic

  • Introduction

  • Applying condition attributes to elements

  • To apply condition attributes to an element

  • Creating a DITAVAL file to create conditional output

Introduction

You can make elements in a DITA document conditional by applying condition attributes to the elements. You then define, in a DITAVAL file, the elements to exclude or include in the output based on the condition attributes.

Before you create documents with conditional content, you need to first plan the criteria for the output. For example, say that a document has content that is conditionally targeted at administrators and end users. In the document, you apply condition attributes based on the target audience of the content. You then create a DITAVAL file in which you specify the elements to include and exclude based on the attribute value defined in the document.

Applying condition attributes to elements

To allow FrameMaker to conditionally process elements in a DITA document, you need to specify the elements to include or exclude for the output. In the document, you apply one or more of the following conditional attributes to the elements that you need to conditionally process:

audience:

Example: administrators, authors, or end users.

platform:

Example: Windows, MAC, or Linux

product:

Example: FrameMaker, RoboHelp, or Captivate.

otherprops:

Use this attribute to define any other property that you need to use to enable conditional processing for the document. A few examples:

delivery

Example: Print, PDF, or Web

model

hatchback or sedan

You can apply multiple attributes to an element. For example, you can apply the following attributes to an element:

@audience="administrator"

@platform="windows"

You can also add multiple values to a single attribute. Multiple values are separated by a space. E.g., to target content for both Windows and MacOS, you can add both attribute values to the @platform attribute:

@platform="windows macos"

Important: The attributes listed above are recommended for use when working with DITAVAL to single-source content. However, you are not restricted to only using these attributes. You can use any attribute defined for the selected element in a document.

To apply condition attributes to an element

  1. Select an element in the Structure View of the document.

  2. Choose Element > Edit Attributes to pen the Attributes panel.

    Update one or more of the following attributes:

    • audience

    • platform

    • product

    • otherprops

  3. Specify the above condition for each of the element in the document that needs to be processed conditionally.

After you apply the attributes to the specific elements in the document, you conditionally output the content in your document depending on how you set up your DITAVAL file.

Creating a DITAVAL file to create conditional output

After setting up your content using condition attributes (audience, platform, product, and otherprops), you need to create a DITAVAL file. In a DITAVAL file, you define, based on an <attribute name> – <value> pair, the conditional processing of your document. For example, you can specify that content targeted at administrators must exclude from the output content targeted at end users or authors.

  1. Choose File > New > XML to open the New XML dialog.

  2. In the Structured Applications section, select DITA_<version>_DITAVAL and click OK.

    The top element of a DITAVAL file is the <val> element.

    To define conditions, you need to create <prop> elements.

  3. Add one or more <prop> elements:

    Choose View > Panels > Element Catalog to open the Elements catalog. Double-click the <prop> element in the Elements panel.

    Or press ctrl+1 to display the Smart Catalog. Select prop and press Enter.

    The Attributes for New Element dialog is displayed.
    Figure 1. Attributes for New Element dialog
    Attributes forNew Element dialog

  4. In the Attributes for New Element dialog, specify the following attributes:

    @action

    Choose to include or exclude the specified attribute (@att, below) from the output.

    @att

    The condition attribute name applied to the element in your document.

    Enter the attribute name exactly as it is defined in the document element.

    @val

    The condition attribute (@att) value as defined in the element.

    Enter the value exactly as you specify it for the attribute in the element.

    For example, say that you apply the @audience attribute to an element for conditional output and you set the value as admin.

    You need to enter audience in the @attr field for the prop element in the DITAVAL file.

    Also, you need to enter admin in the @val field.

    To exclude the element with the audience attribute set to admin, specify the @action as exclude.

  5. Click Insert Element and save the DITAVAL file.

  6. Save the document with the .ditaval extension.

Parent topic: DITAVAL
  • Applying condition attributes to elements
  • Creating a DITAVAL file to create conditional output


DITA Cross-References

Understand how to work with DITA cross-references in Adobe FrameMaker.

You can provide your readers with links to elements contained in the same topic or to elements in other topics. In FrameMaker, you can create links using DITA cross-references. A DITA cross-reference is based on the DITA ID attribute assigned to the target element. If the position of an element in the target topic changes, the link remains intact as long as the ID remains intact.

You can use direct referencing to point directly to the DITA topic (.xml file) containing the target topics or elements. Alternatively, you can use indirect referencing to point to keys defined in keyspaces.

You can create cross-references to almost any element in the DITA element catalog. You create cross-references to a DITA <topic> to make an entire topic reusable. You can also create a cross-reference to a section, complete lists or list items, table cells, paragraphs, or even a single word or number marked up with elements like <keyword> or <ph>. The only requirement to create a cross-reference is that the element must have an ID attribute.

  • Set up DITA topics to use Cross-References
    Understand how to set up topics to use DITA cross-references in Adobe FrameMaker.
  • DITA Cross-Reference dialog
    Understand how to use the DITA Cross-Reference dialog in Adobe FrameMaker.
  • Create a DITA Cross-Reference
    Learn how to set up reference content in a DITA topic to create a cross-reference in Adobe FrameMaker.
Parent topic: Structured authoring using DITA
  • DITA ID attribute
  • DITA referencing


Set up DITA topics to use Cross-References

Understand how to set up topics to use DITA cross-references in Adobe FrameMaker.

To create a cross-reference in your DITA topic, you first need to create a DITA topic (direct referencing) that contains the content that you plan to reuse. Alternatively, you can set up a DITA map that contains the content that you plan to reuse (indirect referencing).

For example, if you plan to reuse a table, an ordered list, and an image across multiple topics, you will need to add these elements to the source topic. If you are using indirect referencing, you need to add the topic to the DITA map. Also, to make an element reusable, you need to assign a unique identifier (ID) to the element.

Parent topic: DITA Cross-References
  • Set up reference content


DITA Cross-Reference dialog

Understand how to use the DITA Cross-Reference dialog in Adobe FrameMaker.

Use the DITA Cross-Reference dialog to add direct and indirect cross-references to DITA content.

Figure 1. DITA Cross-Reference dialog
Using the DITA Cross-Reference dialog to add direct and indirect cross-references to DITA content

A (DITA Element):

Choose the DITA element to use for the cross-reference. By default, the element is <xref>.

See the DITA specification on xref.

B (Target > File):

Select this option to insert a direct cross-reference.

C (Target > Key):

Select this option to create an indirect cross-reference. You can choose a key from the Key Settings drop-down list.

D (Target > Both):

Select this option to create a cross-reference using direct or indirect referencing.

E (File/Key Settings):

If the target is set to File, select a DITA topic from the list of currently opened topics for direct references. You can also browse to select a topic.

If the target is set to Key, select a key for indirect reference. You can also open the DITA Keyspace Manager dialog. In this dialog, you create a keyspace and set the default keyspace for the current topic.

F (Filter Text):

Search for the required topic or key that you want to create a cross-reference to. This smart search filters the elements as you start typing in the Filter Text box. You can filter content based on an element, ID, or text (content).

Once you have found the required topic, select an element to include as a cross-reference. The link element defines a relationship to another topic.

G (Display Text)

Specify the cross-reference text to display as a literal text.

H (Display Format)

Choose Format and select a display format from the drop-down list:

DITA Default Format

Display the title of the reference topic.

See_Title_and_Page

Display See <topic title> on <page number>.

Title_and_Page

Display <topic title> on <page>.

I (External Cross-reference)

Insert a cross-reference to an external (non-DITA) resource. In the DITA External Xref dialog, provide the source for the external link: Refer to Key or Xref Target (href). Optionally, you can specify a Link Text. If you do not specify a display text in the Link Text field, the link entered in the Xref Target (href) field is used for the link text.

You can also insert an external cross-reference through the main menu (Insert > External Reference) or the context menu.

Parent topic: DITA Cross-References
  • Create a DITA Cross-Reference
  • Create a keyspace


Create a DITA Cross-Reference

Learn how to set up reference content in a DITA topic to create a cross-reference in Adobe FrameMaker.

Remember: A cross-reference is an inline DITA element. You can insert inline elements only in a parent element. You can insert a cross-reference in parent elements such as paragraph (<p>) or list item (<li>).

To create a cross-reference from one DITA topic to another topic or map, you first need to set up the reference content in the target topic or map.

Next, you can insert a direct cross-reference or an indirect cross-reference to the target DITA content.

Create a direct reference to the target content

  1. Place the insertion point at the location to insert the cross-reference in a topic or map.

  2. Choose Insert > Cross-Reference. The DITA Cross-Reference dialog is displayed.

  3. Select Target: File.

  4. In the File Settings drop-down list, choose the DITA file that contains the target element. Select Current for elements available in the active document or select any other currently open DITA file.

    If the topic is not available in the list, click Browse... to open a DITA file.

  5. After you select the target DITA file, the Element list displays only the elements that have a unique identifier (ID). Check Show All to display all elements in the target document.

    The list also displays the ID and the contents (in the case of text elements) of the elements.

  6. Select an element to insert as a cross-reference.

  7. In the Display section, specify the text or format to display in the link.

  8. Click Insert.

Create an indirect reference to the target content

  1. Place the insertion point at the location to insert the cross-reference in a topic or map.

  2. Choose Insert > Cross-Reference. The DITA Cross-Reference dialog is displayed.

  3. Select Target: Key. After you select the key, the Element list displays the DITA topic types included in the keyspace.

    The Element list displays only the elements that have a unique identifier (ID). Check Show All to display all elements in the target document.

  4. In the Key Settings drop-down list, select the required key to insert as a cross-reference.

  5. In the Display section, specify the text or format to display in the link.

  6. Click Insert.

Note: If you make changes to a cross-reference element in the source topic, you will need to save the source topic and update the container topic to view the updates.
Parent topic: DITA Cross-References
  • Set up reference content
  • DITA Cross-Reference dialog
  • DITA referencing
  • Assign a unique ID to an element
  • Using keyspaces to manage DITA key references
  • Create a keyspace


DITA relationship tables

Understand the concepts of related topics in DITA, and how relationship tables are used to create links for related topics in Adobe FrameMaker.

Introduction

In a set of DITA topics, you often have topics that are related to each other. In this case, you might want to include a set of related (see also) links at the end of each topic. This provides your readers with further reading reference, if required.

For example, if you are covering the Save As options in FrameMaker as separate topics:

  • Save As

  • Save As PDF

  • Save As Review PDF

  • Save As XML

In this case, at the end of each of these topics, you might include related links to the other three topics.

Using DITA maps

Relationship tables in FrameMaker allow you to create related links in DITA topics. You use relationship tables in DITA maps. This implies that you need to create a DITA map and then include the topics in your topic set in the DITA map. You then add relationship tables to the map. In the relationship tables you define the related topics contained in the DITA map.

DITA types to add

You can add the following DITA topic types to a relationship table:

  • Topic

  • Task

  • Concept

  • Reference

  • Create a relationship table
    Learn how to create a relationship table in Adobe FrameMaker. See a sample relationship table workflow.
  • Test a relationship table with Save As PDF
    See how to test a relationship table output with Save As PDF in Adobe FrameMaker.
Parent topic: Structured authoring using DITA


Create a relationship table

Learn how to create a relationship table in Adobe FrameMaker. See a sample relationship table workflow.

In this topic

  • Create a relationship table

  • Adding a specific DITA topic type to a relationship table column

  • Adding a related topic to a relationship table cell

  • Adding related topics to a relationship table row

  • Specifying the order of related topics in a relationship table row

Create a relationship table

  1. In the Structure View of a DITA map, place the insertion point at the end of the topic and the same level as the topicref elements.

  2. To display the Smart Catalog, press ctrl+1 and select reltable.

    The Insert Table dialog is displayed.

  3. Specify the number of columns and rows.

    The number of columns depends on the number of related topics that you plan to group.

    The number of rows depends on the number of groups of related topics that you plan to create.

    You can also choose to create multiple relationship tables for multiple groups of related topics.

  4. Click Insert.

A relationship table is added to the DITA map.

To display the relationship table in a tabular view, go to the Document view.

While you can add topics to a relationship table from the Structure View, the tabular view provides a more convenient mode to work with.

Figure 1. Default relationship table (with 4 columns and 1 body row)
Default relationshiptable (with 4 columns and 1 body row) in Adobe FrameMaker

In each cell of the relationship table header, you specify the DITA topic type of the related topics that you plan to include in body cells of the column.

FrameMaker allows you to add the following DITA topic types to a relationship table:

  • Topic

  • Task

  • Concept

  • Reference

By default, FrameMaker supports the Topic type. So if you plan to only include topic types in the table, you do not need to set the type attribute.

Adding a specific DITA topic type to a relationship table column

To add a specific DITA topic type to a column in the relationship table:

  1. Place the insertion pointer in the table header cell.

  2. Open the Attributes dialog (Element > Edit Attributes).

  3. Set the @type attribute to the DITA topic type.

    Topic type → attribute value: topic

    Task type → attribute value: task

    Concept type → attribute value: concept

    Reference type → attribute value: reference

    CAUTION:
    The attribute values are case sensitive.

If you set @type attribute as described above, the column title is updated:

Figure 2. Updated type attributes
Relationshiptable with updated type attributes in FrameMaker

Adding a related topic to a relationship table cell

In each cell of a row in the relationship table, you add a topic reference to the related topics. This implies that one set of related topics need to be included in the cells of one row of the table.

To add topic references of related topics in the table body cells:

  1. Place the insertion point in a cell of a row. In the Elements catalog (Element > Element Catalog), double-click the topicref element to add it to the cell. The Insert Element dialog is displayed.

    You can also use the Smart Catalog to insert the topicref element.

    Press ctrl+1 to display the Smart Catalog. Select and add the topicref element.

  2. In the HRef field, enter the path to a topic file and click OK.

    Alternatively, use the Browse button to navigate to and select the topic.

    The topic reference is added to the table row.

  3. Add one topic reference (to a related topic) to each cell of the table row.

If the table included multiple rows, you can add multiple groups of related topics (references) to each row.

Tip: If you are unable to add a topic reference to a table cell, check the topic type specified in the column header.

Adding related topics to a relationship table row

To specify that two or more topics in a DITA map are related, you need to add these to a single row in a relationship table. For the steps to create a relationship table, see Create a relationship table.

For example, to specify that the topics Save As, Save As PDF, Save As Review PDF, and Save As XML are related topics:

Figure 3. Relationship table in Document view
Relationshiptable in Document view in Adobe FrameMaker

Note: A relationship table in FrameMaker, when viewed in the Document view, has the same appearance as a FrameMaker table that you include as part of your content.

You can add any number of rows to a relationship table. FrameMaker treats all topics in a row as related.

You can add any number of relationship tables to a DITA map. You might do this to group together sets of related topics.

Specifying the order of related topics in a relationship table row

The order of the related topics in a table row defines the sequence in which the topics display in the Related Links section of the DITA map output.

In the following example, the Related Links section of the Save As PDF topic will display as:

  • Save As

  • Save As Review PDF

  • Save As XML

Figure 4. Relationship table in Document view
Relationshiptable in Document view of FrameMaker

This implies that if you change the order of the topics in the table, the sequence in the Related Links section will display differently.

Parent topic: DITA relationship tables


Test a relationship table with Save As PDF

See how to test a relationship table output with Save As PDF in Adobe FrameMaker.

To test the output after you have created a relationship table in a DITA map, you can use the Save As PDF option in FrameMaker.

  1. Ensure that the DITA map is selected.

  2. Choose File > Save As PDF.

  3. In the Save Document dialog select an output location, click Save.

The PDF output of the DITA map displays the Related Links sections for the topics that you include in the cells of the relationship tables in the DITA map.

Note: The PDF Save As functionality is used in this section as an example. You can also publish the DITA map to the output formats available in FrameMaker’s multi-channel publishing feature.

The topics display in the same order as which you specify them in the cells of the table row.

Also, the Related Topics section does not include the current topic. Given the following sample relationship table:

Figure 1. Relationship table in Document view
Relationship table in Document view in FrameMaker

The Related Links section displays:

  • Save As PDF

  • Save As Review PDF

  • Save As XML

It does not display the Save As (current) topic.

Parent topic: DITA relationship tables


DITA publishing

See how you can use the publishing processes to generate output for your DITA content with Adobe FrameMaker.

In this topic

  • Save as PDF

  • Multi-channel publishing

Save as PDF

The FrameMaker Save As PDF feature allows you to output a DITA topic or DITA map (including bookmap) as a PDF. The PDF output that is created uses the display of the WYSIWYG view. This means that the Structured Application formatting rules applied to the topic or map are output to the PDF.

To create a PDF output of a DITA topic, choose File > Save As PDF.

If you use the Save As PDF feature to create a PDF output of a map, in the Save Document dialog, you can choose the option Prompt For DitaVal File.

You can use the DITAVAL feature to conditionally output the contents of the topics in the map. For details, see DITAVAL.

Multi-channel publishing

The multi-channel publishing feature of FrameMaker allows you to output DITA topic or map to the following output formats:

  • Responsive HTML 5

  • Mobile App

  • EPUB

  • Kindle

  • Microsoft HTML Help

  • Basic HTML

Parent topic: Structured authoring using DITA


DITA Open Toolkit

Understand what the DITA Open Toolkit is, and how you can generate output using DITA Open Toolkit in FrameMaker.

The DITA Open Toolkit (DITA-OT) is a set of Java-based, open source tools that provide processing for DITA maps and topic content. FrameMaker has out-of-the-box support for DITA Open Toolkit 3.3 (default), 3.0, and 2.3. DITA-OT transforms DITA content (maps and topics) into deliverable formats.

By default, FrameMaker allows you to publish your DITA content into the following output formats:

  1. PDF2

  2. XHTML

  3. CHM (Install HTML Help Workshop to generate CHM)

  4. Custom

You can also generate output for formats such as Docbook, Java help, and RTF. To enable other output formats, see Customize available DITA Open Toolkit output types.

  • Generate output using the DITA Open Toolkit
    Learn how to publish DITA files with DITA Open Toolkit and Adobe FrameMaker.
  • Customize available DITA Open Toolkit output types
    Learn how to publish DITA files with DITA Open Toolkit and Adobe FrameMaker.
  • Use a different DITA-OT package
    Learn how to publish DITA files with DITA Open Toolkit and Adobe FrameMaker.
Parent topic: Structured authoring using DITA


Generate output using the DITA Open Toolkit

Learn how to publish DITA files with DITA Open Toolkit and Adobe FrameMaker.

  1. With the appropriate DITA file in focus, choose Structure > DITA > Generate DITA-OT Output.

    The Generate DITA-OT Output dialog is displayed.

    Figure 1. Generate DITA-OT Output dialog
    Generate DITA-OT Output dialog in FrameMaker

  2. Select an output type.

  3. Select View Log File option if you want to launch the log file after publishing completes.

    By default, the DITA-OT is installed when you install FrameMaker. However, if you have separately installed the toolkit, you can specify the install location in the DITA-OT Directory field. To change the default directory, see Use a different DITA-OT package.

  4. Select Open Output Folder option to open the output folder in Windows explorer. The output folder is shown in Windows explorer after publishing completes.

  5. Select Keep This Dialog Open After Build option to keep this dialog open even after publishing completes.

  6. Choose a DITAVAL file to specify conditional filtering of content using attribute-value pairs defined in the DITAVAL file. For more information on using DITAVAL files, see DITAVAL.

    If you plan to use the same DITAVAL file when generating output for multiple documents, you can specify the file name and location in the ditafm.ini. In this case, you do not need to choose a DITAVAL file every time you generate the output.

    Note: If you specify a DITAVAL file in both locations (ditafm.ini and Generate DITA-OT dialog), the file chosen in the Generate DITA-OT Output dialog takes precedence.

  7. Click Build.

FrameMaker invokes DITA-OT and generates the output in the same folder as the source topic or map.

Parent topic: DITA Open Toolkit


Customize available DITA Open Toolkit output types

Learn how to publish DITA files with DITA Open Toolkit and Adobe FrameMaker.

By default, FrameMaker allows you to use the DITA Open Toolkit to generate output for PDF2, XHTML, and HTML help. However, you can use the DITA-OT to generate output for a number of other formats. To generate output in other formats, you need to update the ditafm.ini.

Important: The following procedure requires changes to the ditafm.ini file. Before making any changes, you are recommended to take a backup of this file.

  1. Open the ditafm.ini file in the current user folder: %appdata%\Adobe\FrameMaker\17\ditafm.ini

  2. Locate the following text in the file:

    Count=3
1=xhtml
2=htmlhelp
3=pdf
    Note: The numbered list above is the same as the list of output formats available in the Generate DITA-OT Output dialog.

  3. To add or remove output types from the Generate DITA-OT Output dialog, you need to specify the Count as the number of types to display in the list.

  4. The following list is the list of all available output types that you can include. To include one or more of the following types, you need to add these to the numbered list and ensure that the number sequence is maintained:

    • docbook

    • eclipsecontent

    • eclipsehelp

    • htmlhelp

    • javahelp

    • net.sourceforge

    • html

    • odt

    • pdf

    • tocjs

    • troff

    • wordrtf

    • xhtml

    Note: The output type entries in the ditafm.ini file are case-sensitive. You need to make the entries as list above.

    The following example adds the Eclipse help and Word RTF formats to the existing list.

    Count=5
1=xhtml
2=htmlhelp
3=pdf2
4=eclipsehelp
5=wordrtf
    Note: You can completely change the list to include any set of output types.

  5. Restart FrameMaker for the changes to take effect.

Parent topic: DITA Open Toolkit


Use a different DITA-OT package

Learn how to publish DITA files with DITA Open Toolkit and Adobe FrameMaker.

Bu default, FrameMaker uses DITA Open Toolkit 3.3. However, DITA-OT 3.0 and 2.3 packages are also installed when you install FrameMaker. If you already have a different version of DITA Open Toolkit installed, you can customize the DITA Open Toolkit path by either editing the dita initialization file or from Customize DITA-OT dialog.

For a one-time change, you can change the directory path when you generate the output using the DITA Open Toolkit.

To change the FrameMaker default DITA-OT directory through the dita initialization file:

  1. Open the ditafm.ini file in the current user profile folder:

    %appdata%\Adobe\FrameMaker\17\ditafm.ini

  2. Locate the following text in the file:

    DitaDir=%FMHOME%\fminit\ditafm\DITA-OT

  3. Modify the value of DitaDir to point to the alternative DITA-OT folder.

    For example:

    DitaDir=C:\DITA-OT_3.2.1

  4. Restart FrameMaker.

    The new DITA OT path is populated in the DITA Generate Output dialog.

To change the FrameMaker default DITA-OT directory through Customize DITA-OT dialog:

  1. Choose Structure > DITA > Generate DITA-OT Output to pen the Generate DITA-OT Output dialog.

  2. Click the Customize button to open Customize DITA-OT dialog.

  3. Change the parameters as per your configuration and click OK.

Figure 1. Customize DITA-OT dialog
Customize DITA-OT dialog in FrameMaker

The following parameters can be specified in the Customize DITA-OT dialog:

DITA-OT Directory (%DITA_DIR%)

Specify the path to the custom DITA-OT. You can use the %FMHOME% variable, which refers to the FrameMaker install location. This path is saved in DITA_DIR variable, which can be used to specify the path of other related folders.

Ant Command

Specify the path of the Ant script folder. This path is relative to the DITA-OT directory on your file system.

Ant Home

Specify the path of the Ant installation folder.

Classpath

Specify the path of the Java libraries.

Build File

Specify the path of the Ant Build script file build.xml. This path is relative to the DITA-OT directory.

Extra Params

Specify any additional parameters required by your custom DITA-OT plug-in.

Parent topic: DITA Open Toolkit


DITA specialization

Learn to use DITA specialization dialog to automatically convert base files to specialized files using specialized DTD.

FrameMaker facilitates automatic conversion of base files to specialized files, after the user inputs the specialized DTD. To perform the conversion:

  1. Choose Structure > DITA > DITA Specialization. The conversion dialog is displayed as follows:

    Figure 1. DITA Specialization dialog
    Using DITA Specialization dialog for automatic conversion of base files to specialized files

  2. Specify the source files (Read/Write Rules, EDD and Template File). Specifying these files is optional. However, for proper specialization, specify these files.

  3. Specify a Public ID as desired. Specifying a Public ID is optional.

    Note: If you do not provide a Public ID, the XML files created from these specialized files may not be portable to other systems. The XML files will contain the absolute path of the DTD that may not be available on other systems.

  4. Specify the destination folder and the names of the corresponding output files and click OK.

The conversion can take a couple of minutes depending on the size of the input files.

Note: When you select the Create New Structured Application option, the system opens the Structured Application dialog. The user selects the desired base application. The system then automatically adds the document types and advanced settings to the new application.
Note: Logs are generated and shown on screen during the conversion process.
Parent topic: Structured authoring using DITA
Related information
  • Integrating DITA Specialization with FrameMaker


DITA Options

Use the DITA Options dialog in FrameMaker to configure and customize various options for DITA topics.

The DITA Options dialog in FrameMaker allows you to configure options such as the DITA version and auto-load settings to open DITA topic files.

Use the DITA Options dialog to set general, import, and export-related DITA options. DITA options are global settings for the authoring environment. This means that changes to the option affect all DITA files that you work on.

Choose Structure > DITA > DITA Options to open the DITA Options dialog

Figure 1. DITA Options dialog
Configuring options in the DITA Options dialog in FrameMaker

DITA Version

By default, FrameMaker is set to use DITA 1.3. With this option, you can open and work on documents created with earlier version DITA. However, if you add any elements or attributes that are available only with DITA 1.3 and save the topic, the topic is converted to DITA 1.3. If you open that topic later with an earlier version of DITA, you will get validation errors.

New Type

You can set the default file type that FrameMaker will use when you create a new topic. The default ‘New’ Type specifies the filename extension for a new topic (.xml or .dita). This extension is applied only if you do not specify an extension for the new file.

ID Prefix

If the Auto-Add IDs If Required By Element option is checked, you can specify a prefix to the topic ID that is auto-generated by FrameMaker. By default, FrameMaker adds @id as the prefix to the topic ID.

Auto-Load Topicrefs On File Open

Load the topicrefs in a DITA map when you open the file in FrameMaker.

Auto-Load Conrefs On File Open

Load the conrefs in a topic when you open the file in FrameMaker.

Auto-Load Xrefs On File Open

Load the cross-references in a topic when you open the file in FrameMaker.

Auto-Load Graphics (Documentum Only)

Load the images in a topic when you open the file in FrameMaker.

Conditionalize Prolog On File Open

Conditionally show or hide the prolog elements in a DITA topic. When you check this option, the next time FrameMaker launches, the DITA-Prolog conditional tag is applied to the <prolog> elements. The DITA-Prolog conditional tag is then set to hide.

In addition, the conditionalized text is saved (exported) regardless of whether it is showing (“OutputAllTextWithoutPIs”). If, on import, no associated conditional tag is found in the structured template, the conditional tags are added and set to Show (in red).

If the Conditionalize option is not selected, all <prolog> elements are imported and displayed using the formatting from the EDD and structured template with no conditional tags applied.

Conditionalize Comments On File Open

Conditionally show or hide the comment elements in a DITA topic. When you check this option, the next time FrameMaker launches, the DITA-Comment conditional tag is applied to the comment elements. The DITA-Comment conditional tag is then set to hide.

In addition, the conditionalized text is saved (exported) regardless of whether it is showing (“OutputAllTextWithoutPIs”). If, on import, no associated conditional tag is found in the structured template, the conditional tags are added and set to Show (in red).

If the Conditionalize option is not selected, all <comment> elements are imported and displayed using the formatting from the EDD and structured template with no conditional tags applied.

Auto-Add IDs If Required By Element

By default, FrameMaker assigns a unique ID when an element is added if the ID attribute on the element is mandatory. You can deselect this option and later assign IDs to all instances of an element.

Always Update Navtitle While Updating TopicRef

If the <navtitle> element is defined for a DITA topic and the topic is referenced in a DITA map, update the title when the updating references in the selected topic or DITA map.

Always Display Navtitle On File Open

If the <navtitle> element is defined for a DITA topic, display the element when the topic is opened.

Indexterm To Index Marker Conversion

Ensures FrameMaker converts the <indexterm> elements in a DITA file to FrameMaker index maker entries when opening a DITA file. FrameMaker then converts the markers back to <indexterm> elements when exporting the FrameMaker document to DITA file.

URI notation for paths

If you specify external references, cross-references or conrefs, select this option to use the forward slash character as the directory delimiter in the path.

Parent topic: Structured authoring using DITA
  • ditamaps
  • Working with DITA conrefs
  • Cross-References
  • Assign IDs to all instances of an element


Print and publish

Know the various output formats that you can create using the powerful print and publish feature in FrameMaker.

FrameMaker provides you with a number of options to create output for the documents and books that you author. You can choose from any of the following output formats:

  • PDF

  • Responsive HTML5

  • Mobile App

  • EPUB

  • Kindle

  • Microsoft HTML Help

  • Basic HTML

When authoring in XML, you can use XSL Transformations to generate XML or HTML output.

FrameMaker also provides a number of options and settings for Print output.

  • PDF output
    See how you can generate PDF output for topics and books in FrameMaker
  • Multichannel publishing
    Learn how Adobe FrameMaker allows you to generate outputs for multitude of devices (e.g., desktop, tablet, and mobile) using the multi-channel publishing feature.
  • Print output
    Learn how to prepare your book for commercial printing, print a book or selected book components, and print into a PostScript file.


PDF output

See how you can generate PDF output for topics and books in FrameMaker

PDF is one of the most widely used output formats in technical publication. You can create PDF from FrameMaker with just a single click. You can configure the PDF setting using the Publish Settings dialog. Once configured, the settings are stored in the setting file (.sts), which can then be used to generate the PDF output.

You can also export these PDF settings and use them on another system to generate the desired PDF output. Once the PDF settings are in place, you can generate multiple PDF outputs using the same settings directly from the File > Save As PDF menu.

  • PDF settings
    Learn how to configure PDF settings in Adobe FrameMaker, and how to update general settings and import PDF settings.
  • Optimize files created in previous versions
    Learn how to optimize files created in previous versions in the latest version of FrameMaker.
  • Generate a PDF
    Understand the Save as PDF functionality in Adobe FrameMaker.
  • PDF conversion guidelines
    Understand the PDF conversion guidelines in Adobe FrameMaker.
Parent topic: Print and publish


PDF settings

Learn how to configure PDF settings in Adobe FrameMaker, and how to update general settings and import PDF settings.

In Adobe FrameMaker, you can customize PDF output settings such as page size, marks and bleeds, document security, template, and DITA options in the Publish Settings dialog.

Perform the following steps to access the Publish Settings dialog:

  1. Choose File > Publish.

    The Publish panel is displayed. The Publish panel allows you to publish FrameMaker content to one or more of the available output formats.

    Note: When you open the Publish panel, the drop-down list defaults to currently opened document or the book/DITA map file. Keep in mind that if you change the focus to another file (book, DITA map, or document) in your workspace, the newly selected file is selected and published.
    Figure 1. Publish panel
    Generatingoutput using the default publish settings

    A (Source Document)
    Select the document or book to publish.
    B (Generate Selected Output)
    The output is generated in the selected output format.
    C (Generate Multiple Outputs)
    Open the Generate Multiple Outputs dialog and select one or more formats to publish simultaneously.
    Figure 2. Generate Multiple Outputs options
    Generate Multiple Outputsdialog showing output formats available in Adobe FrameMaker

    D (Publish to Server)
    Publish Responsive HTML5 output to RoboHelp Server. This button is active only when you select Responsive HTML5 as the output format and have configured RoboHelp Server connection parameters.
    E (View Output)
    If you have previously generated output, clicking the View Output icon opens the last published output for the selected format.
    F (Output format list)
    List of available output formats in FrameMaker.
    G (Settings File)
    The name of the settings file where all publish settings are saved. When you hover over the Settings File field, the tooltip displays the complete path of the settings file.
    H (Settings)
    The Settings drop-down list provide options that allow you to edit, create, and browse publish settings. For details, see Configure publish settings.
    The drop-down list also provides an option to import an ISF file. For details, see Use the RoboHelp settings (isf) file.
    I (Output Folder)
    Enter or choose a location to save the published output.
    J (DITAVAL)
    Available when the Source Document is a DITA map file. Click the DITAVAL button to open the DITAVAL dialog wherein you can choose a DITAVAL file to publish conditional output.

  2. Right-click on the PDF option and choose Edit Settings.

    The Publish Settings dialog opens up wherein you can configure publish settings for PDF or any other output format.

    In the Publish Settings dialog, choose the PDF output format to configure settings for the PDF output. The settings for PDF output are available under the following tabs:

    • General tab, see General settings for details about the general settings.

    • Marks and Bleeds tab, see Marks and Bleeds for configuring marks and bleeds.

    • DITA Template tab, see DITA Templates for customizing DITA templates to use for publishing PDF output.

    • DITA Options tab, see DITA Options for customizing output while generating PDF via book with components route.

  • General settings
    Learn how to create PDF/A- and PDF/X-compliant PDFs, define PDF viewing options and page sizes, create tagged PDF for better accessibility, and convert all colors to RGB for online PDFs with Adobe FrameMaker.
  • Marks and Bleeds
    Learn how to create PDFs with crop marks, bleed marks, registration marks, color bars, and define bleed and slug areas with Adobe FrameMaker.
  • DITA Templates
    Learn how to publish your DITA map to PDF with Adobe FrameMaker and define which templates FrameMaker should use.
  • DITA Options
    Learn how to define which book components Adobe FrameMaker should generate when publishing a DITA map to PDF with the “Book with components route.”
  • Bookmarks and tags
    Learn how to create PDFs with bookmarks and tags with Adobe FrameMaker.
  • Import PDF Settings
    Learn how to import PDF bookmarks and PDF tag settings from one document into another document with Adobe FrameMaker.
Parent topic: PDF output


General settings

Learn how to create PDF/A- and PDF/X-compliant PDFs, define PDF viewing options and page sizes, create tagged PDF for better accessibility, and convert all colors to RGB for online PDFs with Adobe FrameMaker.

In the General tab of the PDF Publish Settings dialog, you can customize settings such as PDF presets, viewing options, page size, optimization, tagging, and more.

Figure 1. General settings in the PDF Settings dialog of Adobe FrameMaker

Settings available in the General tab is explained below:

Preset Name

The PDF publish settings are mostly derived from the pre-configured or your custom .joboptions file. The .joboptions file is created using Acrobat Distiller. The Preset Name drop-down list picks up all pre-configured .joboptions from the default C:\ProgramData\Adobe\Adobe PDF\Settings location. You can also add your own custom .joboptions file by clicking the browse icon next to the Preset Name drop-down list and selecting the desired .joboptions file.

Note: When you click the browse icon, the location of the currently selected preset is opened by default.

FrameMaker also provides some additional presets that you can use to generate the PDF output. These presets are not included in the default preset location. However, you can add them to the default location to start using them. The additional presets are available at the following location:

C:\Users\<username>\AppData\Roaming\Adobe\FrameMaker\17\Additional_PDF_Settings

In the above location, you will find the .joboptions for LiquidMode PDF, Mobile PDF, and other PDF standards. You need to copy the desired .joboptions file to following location:

C:\Users\<username>\AppData\Roaming\Adobe\Adobe PDF\Settings

Once the required .joboptions files are copied, they will start showing up in the Preset Name drop-down list.

For more details about the pre-configured PDF presets and their usage, see Adobe PDF presets in the Acrobat documentation.

Open PDF Document on Page

Specify a page number to open the generated PDF at the specified page.

At Zoom

Choose the zoom level at which the PDF is opened. You can choose to zoom in to show the entire page, zoom at width or height, or choose from 10% to 400% zoom levels.

Layout

Choose the page layout to display the PDF. You can choose to display only a single page, two pages in a continuous flow, or any other option from the available list.

Primary Output Purpose

Choose the primary purpose of the PDF (online or print). If you select Print, then a high-quality PDF is created that is suitable for printing. If you select the Online option, a lightweight PDF is created that loads quickly on the web. In case of the Online option, the Page Size values are not relevant and are not made available for editing.

Page Range

Specify a page range to create PDF output for all the pages or a range of pages in the source.

Page Size

Specify the page’s width and height for a PDF that’s created for printing purpose. You can also choose a unit of inches or millimeters for the width and height values.

Create Tagged PDF

Tags improve the accessibility of a PDF document. FrameMaker uses a predefined mechanism to create tags based on the content. If you select this option, the PDF is created with those predefined tags. See Use the default route to create a tagged PDF for more details.

Note: If you are generating PDF using the LiquidModePDF preset, then the Create Tagged PDF option is selected by default.
Use Acrobat Distiller for PDF Generation

Select this option to use Acrobat Distiller to generate a PDF instead of direct PDF generation. This is recommended when you are using pdfmarks in your documents.

Choose Format > Document > PDF Setup > Tags (Distiller) to manually specify the tagging structure for your PDF by configuring it in the PDF Setup dialog. See Use the Distiller route to create a tagged PDF for more details.

Convert Text and Graphic Colors to RGB

This option is selected by default. This option ensures that the colors that you have used to create text, shapes, and table borders are printed as is in the published PDF. The colors used in images (RGB or CYMK) are rendered as is.

Marks and bleeds are primarily meant for printing documents and a PDF with marks and bleed settings is published in CMYK. However, if you choose the Convert Text and Graphic Colors to RGB option, then even marks and bleeds are published in the RGB color space. Therefore, if you want to publish a PDF for printing (with marks and bleeds), then you must deselect this option.

Parent topic: PDF settings


Marks and Bleeds

Learn how to create PDFs with crop marks, bleed marks, registration marks, color bars, and define bleed and slug areas with Adobe FrameMaker.

When you prepare a document for printing, a number of marks are needed to help the printer determine where to trim the paper, align separation films when producing proofs, measure film for correct calibration and dot density, and so on. Selecting any page-mark option expands the page boundaries to accommodate printer’s marks, bleed (the parts of text or objects that extend past the page boundary to account for slight inaccuracy when trimming), or slug area (an area outside the page and bleed that contains printer instructions or job sign-off information).

The Marks and Bleed tab in the PDF Publish Settings dialog box lets you specify the extent of the bleed and add a variety of printer’s marks to the generated PDF.

Note: If you are generating a PDF for printing, then ensure that you deselected the Convert Text and Graphic Colors to RGB option in the General settings.

Marks and bleeds tab in PDFOutput Options dialog

Setting available in the Marks and Bleed tab are explained below:

All Printer’s Marks

Selects all printer’s marks including crop marks, bleed marks, registration marks, color bars, and page information.

Crop Marks

Adds fine (hairline) horizontal and vertical rules that define where the page should be trimmed. Crop marks can also help register (align) one color separation to another. By using together with bleed marks, you can select overlapped marks.

Bleed Marks

Adds fine (hairline) rules that define the amount of extra area to image outside the defined page size.

Registration Marks

Adds small “targets” outside the page area for aligning the different separations in a color document.

Color Bars

Adds small squares of color representing the CMYK inks and tints of gray (in 10% increments). Your service provider uses these marks to adjust ink density on the printing press.

Page Information

Prints the filename, page number, current date and time, and color separation name in the lower-left corner of each page of the PDF.

Weight

Select the weights for crop and bleed mark lines.

Offset

Specifies how far from the edge of the page (not the bleed) FrameMaker will draw printer’s marks. To avoid drawing printer’s marks on the bleed area, be sure to enter an Offset value greater than the Bleed value. The value is specified in Pica. The following example shows the conversion between Inches and Pica:

  • 1 inch = 6p or 6p0 (6 picas and zero points)

  • ½ inch = 3p or 3p0 (3 picas and zero points)

  • ¼ inch = 1p6 (1 pica and 6 points)

  • 1/8 inch = 0p9 (9 points)

Bleed (Inside, Outside, Top, Bottom)

Select the Bleed option ans specify values for Inside, Outside, Top, and Bottom area.

Include Slug Area

Select Include Slug Area to print objects using the slug area.

Parent topic: PDF settings


DITA Templates

Learn how to publish your DITA map to PDF with Adobe FrameMaker and define which templates FrameMaker should use.

A DITA map in Adobe FrameMaker can be converted into PDF via two routes. First, as a single composite document and other as a book with related components.

If you choose to save your DITA map as a composite document, then FrameMaker uses the default DITA base template to generate the PDF.

If you choose the Save PDF via Book With Components route in the DITA Options tab, then the DITA map file is converted into a .book file. All other referenced topic files are converted into .fm files before the final PDF is generated.

The DITA base template generates a basic PDF without any title, list of figures or tables, table of contents, and other components. However, if you choose to generate the PDF through book with FrameMaker components route, then you get the title page, front matter, back matter, list of figures or tables, table of contents and other book components. Depending on your requirements, you can choose to generate a PDF using any of the available routes.

The DITA Template tab contains the templates that you can customize and use to generate a PDF for a DITA map. If you want to customize a template, export the required template, make changes to it, and import it back. The settings icons next to each template gives you the option to export and import a template.

Note: By default, FrameMaker stores all publishing templates in the <Fm_install_location>\Structure\xml\DITA\outputTemplates folder.

DITA TemplatetabinPDFOutputOptions dialog of Adobe FrameMaker

Adobe FrameMaker uses the following templates to generate a PDF through the composite document route:

DITA Base

This template is used to generate a PDF through the composite document route.

The following templates are used to generate a PDF through the book with FrameMaker components route:

Appendix

This template defines the styling for appendices in your book. This is a single composite template that contains the master pages for left, right, left section, right section, left subsection, and right subsection.

Back Matter

This template defines the styling for back matter in your book. This is a single composite template that contains the master pages for left, right, left section, right section, left subsection, and right subsection.

Book Title

This template defines the styling for the book’s title page.

Chapter Output

This template defines the styling for the chapter contents. Chapters are essentially DITA topic and concept type documents.

Chapter Title

This template defines the styling for the chapter’s title page.

Front Matter

This template defines the styling for front matter in your book. This is a single composite template that contains the master pages for left, right, left section, right section, left subsection, and right subsection.

Index

This template defines the styling for an index.

List of Figures

This template defines the styling for the list of figures.

List of Tables

This template defines the styling for the list of tables.

Section Output

This template defines the styling for the section within a chapter.

Section Title

This template defines the styling for the section’s title page.

Subsection Output

This template defines the styling for the subsection.

Subsection Title

This template defines the styling for the subsection’s title page

TOC

This template defines the styling for the table of contents.

Import DITA templates from a folder

The DITA Templates tab allows you to export the desired template one at a time. Once you have customized these templates, you can import them individually or together as a batch. To import a single template at a time, click the settings icons next to the template and choose Import. You can then browse to the location where the template file is stored, select the file, and click Open to import the desired template file.

If you have multiple template files to import, then you can simply provide the folder location and FrameMaker imports all templates from the given folder. To import multiple templates files from a folder, click the icon next to the Import From Folder field and then browse to the location where your template files are stored.

While customizing the template files, ensure that you do not rename the files. You must save your customized templates with the original file name, else FrameMaker will not be able to import the template files. It is not mandatory to have all template files available at the given location. You can choose to customize one or multiple files as per your requirements. FrameMaker imports only those files that it is able to locate in the given folder. The remaining files are skipped.

Parent topic: PDF settings


DITA Options

Learn how to define which book components Adobe FrameMaker should generate when publishing a DITA map to PDF with the “Book with components route.”

The DITA Options tab contains setting for you to configure PDF generation through the book with FrameMaker components route.

DITA Options tab in PDF Output Options dialog

Setting available in the DITA Options tab are explained below:

Apply As Condition

In case your DITA topics contain conditional content, you can enter a value in the Apply As Condition field to highlight the conditional content in the published PDF. In the publishing process, the entire content (conditional and unconditional) is published. However, content belonging to a condition marked as exclude in the DITAVAL file is published with strike-through formatting. In case you do not specify any value in this field, content is published as per the DITAVAL file settings.

Save PDF via Book With Components Route

Select this option if you want to generate a PDF using the book with components route. On selecting this option, you can further choose options to generate the PDF as required.

Generate Flat Book hierarchy

Select this option to generate a flat book from a DITA map where all <topicrefs> are flattened at the chapter level.

Generate Table of Contents

Select this option to include a table of contents in the generated PDF.

Generate index

Select this option to include an index in the generated PDF.

Generate List of Figures

Select this option to include a list of figures in the generated PDF.

Generate List of Tables

Select this option to include a list of tables in the generated PDF.

Generate Book Title Page

Select this option to include a title page in the generated PDF.

Generate Folder Title Page

Select this option to include a title page for the folder in the generated PDF.

Apply Output Templates

Select this option to apply output templates configured in the DITA Template element to generate respective content.

Optimize PDF Post Process

Select this option to optimize the post-processing by keeping the intermediate files opened while generating the PDF.

Parent topic: PDF settings


Bookmarks and tags

Learn how to create PDFs with bookmarks and tags with Adobe FrameMaker.

You can customize the way PDF bookmarks and PDF tags are generated in the PDF output of a FrameMaker document or book. Use the PDF Setup dialog to configure the bookmarks and tags.

To access the PDF Setup dialog, click Format > Document > PDF Setup.

Configure bookmarks

The Bookmarks tab in the PDF Setup dialog box allows you to configure the bookmarks to include in the PDF.

Figure 1. PDF Setup dialog box
Customizing PDF bookmarks in Bookmarks tab ofthe PDF Setup dialog

Generate PDF Bookmarks

Choose to generate bookmarks in the output PDF.

Bookmarks Expanded through Level

Specify the level to which the bookmarks are expanded when the PDF is opened. You can choose from the following options:

  • Select Default to open the PDF with the bookmarks expanded using the default setting of the PDF reader.

  • Select All to open the PDF with all bookmarks expanded.

  • Select None to open the PDF with all bookmarks collapsed.

  • You can also enter a number to open the PDF with bookmarks expanded to the specific level.

Bookmark source

Select Paragraphs for FrameMaker documents and Elements for Structured FrameMaker documents.

Bookmark Level

Use the double-arrow buttons below the Include Paragraphs list to increase or decrease the indentation of the bookmarks.

Include Paragraph or Elements in Bookmark Text

Move paragraphs or elements between the Include and Don’t Include list to specify the paragraphs or elements to include in the bookmarks.

To move all paragraphs or elements from one list to the other, hold the Shift key and click the arrow.

Articles

Set up article threading:

Thread by Text Frame: For a reading order of text frame to text frame, select Articles and select Thread by Text Frame from the drop-down list. This setting is usually the most appropriate in single-column formats.

Thread by Column: To have the reading order of each article follow the same order that the insertion point moves, select Articles and select Thread by Column from the drop-down list. This setting is usually the most appropriate in multicolumn formats.

Tagged PDF output

The tagged PDF feature creates PDF files from FrameMaker with logical document structure and extensive metadata for repurposing content. Logical structure refers to the organization of the document, such as the title page, chapters, sections, and subsections.

The default PDF generation process in FrameMaker creates tags based on the settings configured in the Tags tab of the PDF Setup dialog. If you want to use the Distiller route, then configure the structure of tags from the Tags (Distiller) tab.

Tagged PDF provides the following capabilities:

  • Ensures that information is in the correct reading order on a page

  • Includes paragraph attributes used to correctly re-flow the document contents into different-sized devices, such as eBook reading devices

  • Ensures the reliable translation of text into Unicode. This approach recognizes ligatures and hyphens, so that a Windows screen reader can correctly read all characters and words

  • Recognizes alternative text descriptions for graphics in anchored frames

  • Enables the document to be exported more reliably to Rich Text Format (RTF) and XML from Adobe Acrobat for reuse in other documents

Tagged Adobe PDF files include author content, such as pages, articles, paragraphs, tables, and graphics in anchored frames.

Tagged PDF files do not include the following information found in standard PDF files:

  • Comments, such as online notes, graphic markups, and text markups

  • Pagination artifacts, including all content that comes from master pages (such as page numbers and running headers), and any graphic objects outside anchored frames

  • Layout and typographic artifacts, such as colored bars between columns of text, horizontal lines separating footnotes from text, and table borders

  • Printing artifacts, such as crop marks, registration marks, and page information printed outside the crop marks

Use the default route to create a tagged PDF

The default route to generate PDF in FrameMaker uses a machine-learning algorithm to generate a fully compliant tagged PDF. You can also choose to manually configure tags as per the paragraph styles created in your book or document. Use the Tags tab in the PDF Setup dialog to configure the tags you want in your published PDF.

Figure 2. PDF Setup Tags options

Configure the following options on the Tags tab:

PDF Tags

Select an option from the PDF Tag list and map it with the corresponding paragraph Style used in your book or document.

For example, select the First Level Headings option from the PDF Tag drop-down and map it with the first-level paragraph Style used in your book or document. You can choose to specify a mapping for the first, second, and third level headings, table title, table of contents, and lists.

Style

The Style drop-down list contains all styles found in your book or document.

Begins With or Ends With

In case of styles that have multiple occurrences in your book, you can specify the beginning or ending characters of the style name. For example, if your table of contents style is named TOC_abc and TOC_def, then select TOC in the PDF Tag list, and enter TOC in the Begins With field. The PDF generating engine will pick all paragraph styles beginning with TOC and assign them with the TOC tag.

Get Default

FrameMaker uses machine-learning algorithm to create a mapping between the tags and paragraph styles. Click on the Get Defaults button to auto-assign styles for first, second, and third-level headings. The TOC styles are simply mapped with all paragraph styles that end with TOC. There is no mapping done for the Table Title and List tags.

Use the Distiller route to create a tagged PDF

The Tags (Distiller) tab in the PDF Setup dialog allows you to configure settings to generate a tagged PDF through the distiller route. The PDF generated through the distiller route generates a tagged PDF, but it is not a fully compliant tagged PDF.

Figure 3. PDF Setup Distiller Tags options

Configure the following options on the Tags (Distiller) tab:

Generate Tagged PDF

Check this option to generate a tagged PDF through the distiller route.

Include Paragraphs

To indicate the paragraphs to include in the PDF structure, move paragraph styles between scroll lists. The paragraphs in the Include Paragraphs scroll list are used to define the structural relationship between FrameMaker paragraph styles in the PDF file. To move a style between scroll lists, select the style and click an arrow or double-click the style.

Logical Structure Level

To change structure levels for the included paragraphs, select a paragraph style and click a Logical Structure Level arrow. To change the level of all items by one level, Shift-click a Logical Structure Level arrow. If the indent for a style exceeds six levels, n> precedes the paragraph style, where n is the indentation level of the paragraph style.

Parent topic: PDF settings


Import PDF Settings

Learn how to import PDF bookmarks and PDF tag settings from one document into another document with Adobe FrameMaker.

If you have customized the bookmark and tag settings for a document, you can import these settings into one or more documents.

  1. Open the source document with the preferred PDF output settings.

  2. Open the document or book into which you want to import the preferred settings.

    If you are importing the settings into:

    • A single document, ensure the document is currently active.

    • All documents in a book, ensure the book is selected in the Resource Manager.

    • Some of the documents in a book, ensure the documents are selected in the Resource Manager.

  3. Choose File > Import > Formats.

    The Import Formats dialog is displayed.

  4. In the Import Formats dialog, click Deselect All and check Document Properties.

  5. To import the formats into the selected documents or book, click Import.

Parent topic: PDF settings


Optimize files created in previous versions

Learn how to optimize files created in previous versions in the latest version of FrameMaker.

You can create named destinations only for paragraphs referenced in hypertext links or cross-references, thereby reducing file size. However, documents created in versions of FrameMaker earlier than 6.0 undergo a special conversion to take advantage of this method of marking.

The Optimization Options changes the default optimization options, which remain in effect until you change them, even if you exit and restart FrameMaker. The Select File to Optimize for PDF Size dialog uses the settings specified in the Optimization Options dialog box to prepare your documents for reducing PDF file size.

Note: To open the Select File to Optimize for PDF Size dialog, enter “Select PDF” in the Command Search.

Optimization Options

To open the Optimization Options dialog, use the shortcut keys Esc+ o+ d+ o.

Figure 1. Optimization Options dialog in FrameMaker
Optimization Options dialog in FrameMaker

In the Optimization Options dialog, configure the following options:

Optimize Size Of

Choose to optimize the size of All Linked Documents or Specified Documents Only.

Force Optimization

For a previously optimized document, select Force Optimization to re-optimize.

Optionally, select Clear Existing Optimization Info to remove previous optimization changes.

Prompt When Opening

Prompt to open linked files.

Prompt When Saving

Prompt to save a linked document opened for optimization.

Also, prompt to save every or only previously optimized files.

Optimized Files

Specify whether to overwrite existing files (recommended), or to write files to a folder you specify (for testing).

Click Browse to select a target folder for the optimized files.

Cancel On Error

To stop the optimization process in case of an error, select Cancel on Error.

Parent topic: PDF output


Generate a PDF

Understand the Save as PDF functionality in Adobe FrameMaker.

There are two ways of generating PDF in Adobe FrameMaker—using the Publish panel or the File > Save As PDF menu. Both these options allow you to generate a PDF from the selected FrameMaker document or book. Additionally, FrameMaker uses the PDF setting defined in the PDF Publish Settings dialog to generate the PDF. However, in case of Save As PDF, you are given an option to specify the publish location and filename for your PDF. If you use the Publish panel, the location is specified in the Output Folder field, and the PDF filename is the name of your book or document.

Perform the following steps to generate a PDF using the Publish panel:

  1. Ensure that the required book or document is selected in the Source Document list.

  2. From the list of output formats, select PDF.

  3. Configure PDF generation settings (Settings icon > Edit).

  4. In the Output Folder location, browse to a location where you want to save the PDF.

  5. Click the Generate Selected Output icon to generate the PDF.

Perform the following steps to generate a PDF using the Save As PDF menu:

  1. Ensure that the required book or document is selected in the Book window.

  2. Choose File > Save As PDF.

    The Save Document dialog appears.

  3. Browse to a location where you want to generate the PDF and provide the File Name.

  4. Click Save.

    A message containing the location of the Settings Files is displayed. If you want to make changes to the settings, use the Publish Settings dialog to do so.

  5. Click OK.

Note: When you generate the PDF output for a document with page size bigger than A4, some content may not fit on the page and not get published properly. To prevent the loss of content, you need to add the flag UsePDFResolution=300 in the maker.ini file under the folder <%appdata%\Adobe\FrameMaker\17>. To know more about PDF output see, Change page size.
Parent topic: PDF output


PDF conversion guidelines

Understand the PDF conversion guidelines in Adobe FrameMaker.

Follow these guidelines to manage PDF conversion issues such as performance, broken links, image content:

  • For the best display of bitmap graphics, import them into the FrameMaker document at a dpi value that divides evenly into the resolution of the intended display device.

  • To improve the display performance of PDF files, avoid using complex master pages that contain multiple complex graphics. You can also improve graphics display and reduce file size by selecting Optimize when saving a PDF file in Acrobat.

  • To convert a book that has a table of contents or an index, include the TOC or index file in the book file before you save as PDF.

  • If performance is slow when viewing a large document converted to PDF, reopen the FrameMaker document or book and deselect Articles. Then convert to PDF again.

  • To print a book as separate files, all PDF files are created in the same folder, regardless of the location of the original documents. For this reason, give all the original documents in the separate folders unique names before saving as PDF. Otherwise, some files overwrite others.

  • Do not create hypertext links to filenames that use accented characters in their names. Such filenames can change when you save as PDF, causing the hypertext links to fail.

  • To include image content in tagged Adobe PDF files, place graphic objects in anchored frames. Add alternate text descriptions for the graphics.

Parent topic: PDF output


Multichannel publishing

Learn how Adobe FrameMaker allows you to generate outputs for multitude of devices (e.g., desktop, tablet, and mobile) using the multi-channel publishing feature.

Today, users consume content on an increasing number and variety of devices—desktop computers, laptops, tablets, smartphones, eBook readers, embedded screens in cars or machines, or even smartwatches. Content authors need to write and publish content that is readable across these devices.

To enable its users to write once and publish to multiple formats, Adobe FrameMaker provides a stand-alone multi-channel, multi-device publishing solution. This solution allows you to publish to the following output formats—providing your readers with access to your content across different devices and different form factors.

Available output formats

FrameMaker offers the following output formats:

  • PDF

  • Responsive HTML5

  • Mobile App

  • EPUB

  • Kindle

  • Microsoft HTML Help

  • Basic HTML

When you publish your FrameMaker content to one or more of the output formats, the styles and settings of the published output is defined by the FrameMaker template and content that you use. For example, the style of the Heading1 format in your FrameMaker template might be mapped to an <H1> element in HTML5 and an associated CSS definition. In Adobe FrameMaker any kind of output can be highly customized.

Customize Output Styles and Settings

The Adobe FrameMaker publishing solution allows you to easily customize the output styles and settings on-the-fly from the same publishing interface.

Multi-channel publishing workflow in Adobe FrameMaker

  • Generate output using the default publish settings
    Understand how you can generate output using the default publishing settings, know the Publish dialog box in Adobe FrameMaker.
  • Configure publish settings
    Understand how you can configure various publish settings for variety of output options in Adobe FrameMaker, understand style mapping and output settings.
  • Use the RoboHelp settings (isf) file
    Know how you can use the RoboHelp Import Settings (.isf) file that defines project-wide settings for each FrameMaker document.
  • HTML output
    Know about the HTML output in Adobe FrameMaker.
  • HTML page templates
    Understand how the Adobe FrameMaker publishing solution allows you to create an HTML page template to customize your page layout.
  • Microsoft HTML Help distribution
    Understand how you can distribute Microsoft HTML help content to your users using Microsoft HTML Help distribution in FrameMaker.
  • Dynamic Content
    Understand Dynamic Content, learn how to tag content, and how to create Dynamic Content Filters in Adobe FrameMaker. Understand how the Dynamic Content Filtering mechanism works with two example scenarios.
  • Format the Table of Contents for publishing
    Learn how to format the Table of Contents (TOC) for the published output in Adobe FrameMaker to show correct indentation of topics.
Parent topic: Print and publish


Generate output using the default publish settings

Understand how you can generate output using the default publishing settings, know the Publish dialog box in Adobe FrameMaker.

The FrameMaker publishing solution allows you to publish content (.ditamap, .xml, .book, .fm, .mif) to any of the available output formats.

Choose File > Publish to display the Publish panel. The Publish panel allows you to publish FrameMaker content to one or more of the available output formats.

When you open the Publish panel, the drop-down list defaults to the currently active document or the book/ditamap file.

You can publish the content to a single output format or multiple output formats.

Publish content to a single output format

To publish content to a single output format, do the following:

  1. Select the format in the list. Click Generate Selected Output.

    Alternatively, double-click the required output format.

    When the publish process is complete, the Publish Result dialog displays the location of the output.

  2. You can view the output in the default application (Adobe Acrobat for PDF, a web browser for Responsive HTML5, or an eBook reader) or you can view the log details of the process.

You can also directly open your eBook in Kindle Previewer. Click View Output in the Publish Result dialog box to directly open your eBook in Kindle Previewer.

Suppose you see an error while opening a .mobi file directly in Kindle using this feature. In that case, you may need to modify your system’s registry to map .mobi files with the Kindle Previewer application.

For doing so, please refer to Register an Application to Handle Arbitrary File Types

in Microsoft documentation.

Publish content to multiple output formats

To publish content to multiple output formats, do the following:

  1. Click Generate Multiple Outputs.

    In the Generate Multiple Outputs dialog:

    • The Last Generated column displays the last generated date of the specific format

    • The Status column displays whether or not the specific format has been published

  2. Select the output format to publish. Click Generate.

    As soon as the Progress dialog closes, notice that the Status column of the selected formats is now set to Generated.

  3. To view the output in the default applications (for example HTML in a browser) for the selected formats, click View.

Parent topic: Multichannel publishing


Configure publish settings

Understand how you can configure various publish settings for variety of output options in Adobe FrameMaker, understand style mapping and output settings.

When you publish content, the style settings such as heading and body, are defined by the Adobe FrameMaker template that is associated with the published document. Also, the output format settings such as the favicon and the search options are defined for each output format. However, the publishing solution provides a number of options to customize the style mapping and output format settings for the publish output.

You can customize the output settings from the Publish dialog, which is accessible from the main menu (File > Publish).

To customize the output settings:

  1. Choose File > Publish to open the Publish dialog. Click Settings.

    In the Settings drop-down button, choose:

  2. Select Edit.

    In the Publish Settings dialog, the Style Mapping tab provides the options to customize the mapping of source FrameMaker styles and the styles for the selected output. By default, the style mapping is obtained from the associated FrameMaker template.

    In the Style Mapping tab, you can customize:

    • Paragraph Styles

    • Character Styles

    • Table Styles

    • Cross Reference styles

    • Image Settings

    • General Settings

    Important: The Style Mappings options are available only for unstructured documents. For the structured documents, the style are mapped from the CSS file.

  3. For unstructured documents: The FrameMaker template for the selected document defines the default styles for the publish output.

    To use the styles from any other FrameMaker template, click the Select button adjacent to the Use Template label.

    Important: Ensure that the template is currently selected.

    In the Manage Publish Settings Template dialog, select the alternate FrameMaker template.

    Tip: If you print a book that contains multiple documents, choose the template in this option to ensure that all the documents use the same style mapping.
    Note: The template that you select is used by the publish process. This means that the styles and settings of the FrameMaker source remains unchanged. The FrameMaker source continues to use the previously assigned template.

  4. For unstructured documents: Use the options in the Manage CSS drop-down list to export or import the styles used for style mapping to or from an external style sheet (.css file).

    The file defines a set of CSS styles that map to the output styles as defined in the Styles option in the Publish Settings dialog.

    Important: The styles that you have customized in the Publish Settings dialog are defined as overriding styles at the end of the .css file. Each overriding style is defined with a FM_ prefix. The Output Style displayed is appended with an asterisk (*) to indicate a customization to the selected style.

  5. To configure Output settings, go to the Outputs tab. This tab provides options to customize settings for the following output formats:

    • Responsive HTML5

    • Mobile App

    • EPUB

    • Kindle

    • Microsoft HTML Help

    • Basic HTML

  6. After you complete the style mapping and output setting customizations, save the updated settings to a STS Settings File (.sts).

    Important: The settings file is a FrameMaker-specific file. This means that you cannot edit this file in any other program.
  • Style mapping
    Learn how to map the styles in your (unstructured) FrameMaker documents to HTML elements and CSS classes when publishing to HTML5.
  • Output settings
    Learn how to customize the publish output format settings like title, favicon, layout, responsive design, table of contents and much more when publishing to HTML5 with Adobe FrameMaker.
Parent topic: Multichannel publishing


Style mapping

Learn how to map the styles in your (unstructured) FrameMaker documents to HTML elements and CSS classes when publishing to HTML5.

You can define style mappings only for the FrameMaker documents. The Style Mapping WYSIWYG editor, allows you to map the formats that are available in the current document template to alternative output styles. For example, from the available paragraph styles, you select Heading1. In the FrameMaker template the heading is associated with a specific style. You can then associate Heading1 with alternative output styles.

Note: When you associate a template format with an alternative output style, the source document style remains unaffected.

To customize style settings:

  1. In the Style Mapping tab of the Publish Settings dialog, select the style you want to customize (paragraph, character, table, cross reference, image or general).

  2. Configure the desired options for the selected style.

    Note: The options available for each type of style that you can customize are explained in the following (Style Mapping) tables.

  3. Click Save.

The following Style Mapping tables describe all options available in the Style Mapping tab.

Option

Description

Available in

Automap <Available in> Style

Select Automap <Available in> Styles to map the styles in the selected content to the styles defined in the CSS selected for style mapping.

  • Paragraph

  • Character

  • Table

Style Preview

The Style Preview allows you to compare the source style (defined in the Output style list prior to any customization) with the custom style (defined in the Output style list, and displayed with an appending asterisk, after customization using the CSS Rule definition dialog).

  • Paragraph

  • Character

  • Table

  • Cross Reference

Output

To customize the output style for the selected format, choose an alternative style from the Output Style list.

  • Paragraph

  • Character

  • Table

  • Cross Reference

Remove Overrides

Revert any style changes applied to the source format.

  • Paragraph

  • Character

Edit Style

Click the Edit Style button to open the CSS Rule definition dialog and customize the output style.

If we map a style to a default document style (for example, Heading1) from the Output Style list, and then edit the mapped default style through the Edit Style dialog, then the document style (DocumentName.css) is given precedence over the edited style (editstyle.css). In the published output, the selected content is displayed as per the Heading1 style of the document.
Note: Say, the selected Output Style is [Source] and you use the CSS Rule definition dialog to customize the style. In this case, the Output Style displayed is appended with an asterisk (*) to indicate customization to the selected style.

  • Paragraph

  • Character

Exclude Form Output

Exclude the selected style from the generated output.

  • Paragraph

  • Character

Split Into Topics Based on This Style

Create a Help topic at each occurrence of the selected paragraph style. For example, if you select Heading 1 and Pagination (Split into topics based on this style), FrameMaker starts a new topic at every instance of Heading 1.

  • Paragraph

Map to HTML tag

Select or enter a user-defined HTML element for the selected style.

For example: A paragraph with style ParaStyleOne is imported in FrameMaker as:

<p class="ParaStyleOne">Paragraph Text</p>

Specifying this string as <pre> for the style ParaStyleOne causes FrameMaker to import the paragraphs with the style ParaStyleOne as:

<pre>Paragraph Text</pre>

  • Paragraph

  • Character

Autonumber

Specify a way to handle auto-numbering text. Available options are:

  • Ignore: Choose this option if the autonumber text is relevant only in print format. The converted paragraph does not contain autonumbering. For example, suppose you ignore autonumbering for the FrameMaker paragraph style “Section2 Level.” In this case, “Section 1.1: System Requirements” in the source appears as “System Requirements” in the published output.

  • Convert to List (Using CSS Autonumbering): Convert the autonumber to HTML lists using CSS counters :: before and :: after.
  • Convert to Text: Retain the appearance of the FrameMaker numbered lists. The autonumber part loses its sequencing properties and appears as part of the paragraph text in FrameMaker topic.

  • Paragraph

Table styles

The following table describes additional options that are available in the Table Styles.

Option

Description
Table Properties

Caption Style

Select the Caption Style name to map to the selected table format caption. Or select [User Source Style].

FrameMaker retains the appearance of the table caption in the online Help format. You can also select [Automap] for an individual table caption style.

Table Size

Specify a preferred table width and / or height (in px).
Cell Size

Preferred Column Width/Row Height

Specify a preferred column width and / or row height (in px).

Cross reference style

The following table describes an additional option that is available in the Cross Reference style.

Option

Description

Building Blocks

To build the cross reference format, place the cursor in the Output Style box and double-click on a format in the Building Blocks table.

The available formats are called building blocks, because you create a custom format by using any combination of the available formats. To do this, double-click a building block to place the format in the Output Style list. You can then keep adding to the format by placing the insertion point before or after any selected building block.

Image settings

The following table describes the options that are available in the Image Settings.

Option

Description

Import Reference Page Images

Select this option to import images embedded in the reference pages of FrameMaker documents.

Preserve Original Image Dimensions

Select this option to maintain the original dimensions of the image in the generated output.

Margins

Set the margins for the images as:

  • Set equal margins on all sides by setting the margin in All Sides.

  • To set margins on individual sides, set the margins on each side.

Borders

Set a border for the images as:

  • To set a uniform border on all sides, select All from the Border drop-down list. Alternatively, you can specify the side on which you want the border to appear from the drop-down list.

  • To set the border style, select the style from the Style drop-down list.

  • To set the border color, select the color from the Color drop-down list.

  • To set the border width, select it in, in points, from the Width menu.

General settings

The following table describes the options that are available in the General Settings.

Option

Description
Topic Settings

Split Into Topics Using Marker

Specify a marker that is used in the FrameMaker document for pagination.

Cleanup Inline HTML Styles

Specifies whether inline styles from your source documents are included in the published output or not.

Topic Name Pattern

Specify the topic name pattern for topics generated from the added FrameMaker document.

Use Only ASCII Characters in Generated Filenames

Specify whether to allow non-ASCII characters in the generated topic filenames or automatically convert to ASCII characters.
Glossary

Style

Specify how glossary terms display:

  • Hyperlink: Display as a hyperlink and navigates the user to the definition in the glossary.

  • Pop-up: Displays a pop-up on the page.

  • Expanding Text: Displays in-line expanding text on the page.

  • Tooltip: Displays as a tooltip if the user hovers the mouse over the term.

    Note: For details on creating a FrameMaker glossary, see Glossaries.

Marker Type

Keeping the marker text as same, apply glossary marker to the glossary definition paragraph in the document and Glossary Term marker to glossary term instance in text.
DHTML Effects
Create Drop Down | Define DHTML effect to be applied to the drop-down list in the Responsive HTML5 output.
Create Expanding Text | Define DHTML effect to be applied to the expanding text in the Responsive HTML5 output.
Parent topic: Configure publish settings


Output settings

Learn how to customize the publish output format settings like title, favicon, layout, responsive design, table of contents and much more when publishing to HTML5 with Adobe FrameMaker.

Introduction

The Outputs tab of the Publish Settings dialog provides options to customize publish output format settings such as the title, favicon, layout, and table of contents (for eBook output formats).

The following tables describe all options available in the Outputs tab.

Note: To generate the Mobile App output, see Generate mobile apps using Apache Cordova and Upload your mobile app to the app store articles.

General tab

The following options are available in the General tab.

Option

Description

Available in

Title

Specify a title for your output. You can use variables to dynamically generate titles. For example, you can use the variables as:

<OutputName>

(Default) Name of the output being published.

<SourceFilename>

Name of the FM file/book being published.

<$VarName>

Value of variable VarName as defined in the FrameMaker source document/book.

Note: VarName cannot contain the / (front-slash) character.

  • Responsive HTML5

  • EPUB

  • Kindle

  • Microsoft HTML Help

Favicon

Specify an icon to associate with the output. The icon appears in the browser tab or the address bar depending on the browser being used.

  • Responsive HTML5

Language

Specify the output language for the layout if the language is different from the language of the project. FrameMaker uses this language setting for the UI strings and language-related UI elements in the preview and generated output.

  • Responsive HTML5

  • EPUB

  • Kindle

  • Microsoft HTML Help

Encoding

Specify the character encoding format if the web server to which you are publishing has character encoding different from UTF-8.

  • Responsive HTML5

Manage layout

Customize or use an existing layout for the published output. The drop-down list provides the following options:

  • Edit: Customize the current layout. For more information about customizing layout, see Customize layout.

  • New: Select New to open the Choose Screen Layout dialog to select a new layout. In the Choose Screen Layout dialog:

    a) Select a screen layout from the available list in the Gallery.

    b) Click OK to select a new screen layout for your output.

  • Import: Import a screen layout file (.slz).

  • Export: Export the current screen layout as a .slz file. You can use this layout in other FrameMaker or RoboHelp projects.

  • Responsive HTML5

Use HTML Page Template

Import a .htt, .htm, or .html template file to define and create a mini TOC in the published output.

For details on how to define the HTML page template, see HTML page templates.

  • Responsive HTML5

  • EPUB

  • Kindle

  • Microsoft HTML Help

Override Styles for This Output

Import a .css file to override the defined output styles.

  • Responsive HTML5

  • EPUB

  • Kindle

  • Microsoft HTML Help

Enable Browse Sequence

Specify whether the output should display browse sequences.

  • Responsive HTML5

  • Microsoft HTML Help

Use Dynamic Content Filter in the Output:

Assign a dynamic content filter to the current output.

For details on how to create a user dynamic content filters, see Dynamic Content.

  • Responsive HTML5

Table of Content Settings

A table of content to display in the generated Help. You can choose Index, Glossary, or both. Also, you can specify the positioning of Index and Glossary in the published output.

  • EPUB

  • Kindle

Validate EPUB 3 Output

Set FrameMaker to validate the EPUB output using the standard EPUB validation tool EpubCheck. EpubCheck requires Java Runtime 1.5 or above installed on the computer.

Note: If the EpubCheck.jar file is not available on your computer, download it from the link provided in the EPUB Validation dialog box. Validation messages are available only in English.

  • EPUB

Embed Fonts

Embed the selected fonts into the eBook.

Use this option, if you are creating content that includes uncommon fonts, or if you are using custom fonts that may not be available on the end-users’ environment. Since the fonts will be included as part of the eBook output, the user experience will be uniform even if some users do not have the font installed.

When you check this option, the Embed Font dialog is displayed. In this dialog, you can choose to embed fonts that are currently included in your RoboHelp project. You can also choose embed system fonts that are not currently included.

Click the Manage button to open the Embed Fonts dialog to make changes to the currently embedded fonts.

  • EPUB

Show KindleGen Logs

Select to display the errors, warnings, and status messages generated by the KindleGen converter in the Output View panel.

  • Kindle
KindleGen Path
  • As KindleGen is obsolete, you can download the most current Kindle Previewer. You can download Kindle Previewer from Publish Settings, Outputs, General, KindleGen Path.
  • Before publishing any document/book in Kindle format, set the path of on your system. The default path of kindlegen.exe is \Users\Administrator\AppData\Local\Amazon\Kindle Previewer 3\lib\fc\bin. If your organization supports LDAP authentication, your path could be in the folder named with your LDAP instead of the Administrator folder.

  • Kindle

Add Breadcrumbs Links

Add breadcrumbs in the topic pages.

  • Microsoft HTML Help

Optimize CHM File Size

Reduces the size of the CHM file.

  • Microsoft HTML Help

TOC/Index Settings

Open the HTML Help – Advanced Settings dialog and configure the following settings:

In the Index tab:

  • Default Window: To display the topic in a custom window, select the window name.

  • Default Frame: To display the topic in a custom frame, select the frameset name.

  • Font: Use Select Font to choose a font. Click Default Font to set the selected font as the default font.

The TOC Styles tab has the following options in addition to the options available in the Index tab:

  • Border: Add a border around the table of contents.

  • Dialog Frame: Add a frame around the table of contents.

  • Lines From Root: Displays lines connecting books and pages starting at root.

  • Plus/Minus Squares: Display plus and minus icons that open and close books.

  • Always Show Selection: Display the topic selected from the Contents tab (even if this tab is not the left-pane focus).

  • Folders Instead Of Books: Display folder icons instead of book icons.

  • Lines Between Items: Add lines between books and pages.

  • Single-Click To Open Book: Enable books to open with one click.

  • Raised Edge or Sunken Edge: Create a three-dimensional appearance.

  • Binary TOC: Create a binary TOC. The binary TOC option is recommended only for large Help systems. It requires compiled HTML Help and does not support customization or external TOC files.

  • Microsoft HTML Help

Optimization tab

The following options are available in the Optimization tab.

Option

Description

Available in

Convert Absolute Image Size to Relative Image Size

Convert the actual width and height of images into percentages. In this way, you can make images used in your project device-friendly and adapt to different device sizes.

  • Responsive HTML5

  • EPUB (General tab)

  • Kindle (General tab)

Convert Absolute Table Size to Relative Table Size

Convert the actual width and height of tables into percentages. By allowing FrameMaker to optimize the tables in this way, you ensure that the tables adapt to different device sizes.

  • Responsive HTML5

  • EPUB (General tab)

  • Kindle (General tab)

Enable Zoom On iOS Devices

Enable or disable pinch zoom on the iPad and the iPhone. When this option is enabled, users can zoom in on a FrameMaker output displayed on an iPad or iPhone by pinching the device screen.

  • Responsive HTML5

Convert SVG to Raster Image

Convert the SVG images in the document to rasterized images. By default, FrameMaker embeds the entire SVG code in the final Responsive HTML5 output. SVG images retain their image quality regardless of the screen size and resolution of the device on which they are being viewed.

  • Responsive HTML5

Additional notes on handling image references

Original image referencing: FrameMaker maintains all image formats supported on web pages in your unstructured documents as-is in the HTML5 output for them. The images do not undergo any conversion process and the quality and specified size of your images is maintained. Other image formats that are not supported on web pages like .bmp and .tiff are converted to .jpg, but the image quality is improved for them. The original names of the referenced images are retained as-is when they are published into the HTML5 format.

Search tab

The following options are available in the Search tab.

Option

Description

Available in

Enable Substring Search

If you enable this feature, a search for “log” returns topics containing the words “catalog” and “logarithm.”

Substring search takes longer than whole-string search.

  • Responsive HTML5

Show Context in Search Results

Select to have the search results displayed along with the first specified number of characters of the topic.

  • Responsive HTML5

Number of Characters in Search Context

Number of characters to display as defined in Show Context in Search Results.

  • Responsive HTML5

Number of Results on a Page

The number of search results to display on each page.

  • Responsive HTML5

Generate XML Sitemap

Select to generate a sitemap for your published output.

In the published output, you will find the sitemap.xml file, which contains the sitemap of your published output. You can submit the sitemap.xml file to your search engine to improve the search results for your site. As different search engines use different process for sitemap.xml submission, ensure you follow the correct process as described in the search engine’s documentation.

  • Responsive HTML5

Base URL of the Help System

Specify the base URL of your site where you plan to host the published output.

If your base URL is different from your primary domain, then you must add the location of the sitemap.xml file in the robots.txt file. For example, if your site's primary domain is www.example.com and you plan to keep the sitemap.xml file at the www.example.com/ProductName/help/ location, then you must add an entry of the sitemap.xml file in the robots.txt file. Else, if the sitemap.xml file is saved at the same location as robots.txt, then you do not need to make any changes in the robots.txt file.

  • Responsive HTML5

Content Change Frequency

Select the frequency at which you intend to update your help system or website. Search engines can use this information to revisit your site for indexing updated content.

  • Responsive HTML5

Server tab

The following options are available in the Server tab of the Responsive HTML5 output.

Option

Description

Servers

Click New to add details of the RoboHelp Server where you want to publish your project. In the New Destination dialog, specify the following details:

  • Descriptive Name: Enter a descriptive name to identify the RoboHelp Server configuration.

  • Server Name: Specify the RoboHelp Server URL in the format http://<servername>:<port number>/<context-name>/server

  • User ID and Password: Specify the user ID and password of the user account that has publishing rights on RoboHelp Server.

  • Save Password: Select this option to save the user credentials.

  • Help Area: Click the refresh button to get a list of areas defined on the RoboHelp Server. Select an area name from the drop-down list to publish your project to the selected area. If you don’t select any area, then your project is published on to the default area.

Click Edit to make changes to an existing RoboHelp Server configuration.

Click Delete to remove the saved configuration.

Check for Deleted files

When selected, FrameMaker checks for files that have been deleted from the destination location and republishes them.

Prompt before Overwriting files (no overwriting when batch generating)

When selected, FrameMaker prompts before overwriting files. However, it will not overwrite files in case you are generating the output using the batch generate feature.

Republish All

Select this option to republish all files at the destination, overwriting existing files.

Note: If you have updated any document in your book, you will have to regenerate the updated content locally. However, only the updated documents are published on RoboHelp Server.

Meta Information tab

The following options are available in the Meta Information tab of the EPUB and Kindle output formats.

Option

Description

Author(s)

The name of the author. To specify multiple author names, use comma as the separator.

Publisher(s)

The name of the entity responsible for making the output available, for example, the author or the organization.

Rights

A statement about rights, for example, a copyright notice.

Description

A description of the content.

Publication Identifier

An identifier conforming to specifications, such as ISBN.

Publish Date

The date of publishing the output. Follow the format specified in Dublin Core™ Metadata Element Set and W3C Date and Time Formats.

Cover Image

Specify the path for a JPG, JPEG, or PNG image that you want to use as the cover page of the eBook and the dimensions. Use percentage values to allow browsers to optimize display for different-sized screens.

You can also specify a GIF image. However, in the case of a GIF animation, only the first frame is used as the cover page.

Note: If you do not specify a cover image, FrameMaker uses the first topic in the TOC as the cover page.

Custom Metadata

Specify additional EPUB 3-specific metadata in XML format. For more information on specifying metadata for EPUB, refer to section The metadata Element in the EPUB Publications 3.0 specification.

For example, if you want to add the identifier type (ISBN, UUID, DOI, etc.) for a Publication Identifier, you can use the XML format below:

<dc:identifier id="pub-id">urn:doi:10.1016/j.iheduc.2008.03.001</dc:identifier>
<meta
   refines="#pub-id"
   property="identifier-type"
   scheme="onix:codelist5">06</meta>
  • Customize layout
  • Upload your mobile app to the app store
  • Publish Responsive HTML5 output on RoboHelp Server
Parent topic: Configure publish settings


Customize layout

To customize the layout in Responsive HTML5 or Mobile App output, do the following:

  1. In the Manage Layout area, click the Settings button and select Edit.

    The Layout Customization dialog displays a preview of the layout.

  2. Select a layout component from the Layout Components list.

    Each component has a set of customizable properties associated with the component.

  3. To edit a property, go to the property value in the Properties pane and edit it.

    You can go to a property in the Properties pane by clicking the property and editing the value of the property.

    Alternatively, notice the Component preview pane displays the preview of the component. In addition, the preview pane displays buttons pointing to each property in the preview pane.

    You can click a property button in the preview pane to go to the property in the Properties pane.

    This will allow you to identify (from the preview) the property that you are editing.

  4. Click Save to save the updates.

  5. To reset all the component properties, click Reset component.

  6. To reset a specific component property, select the component (either from the Properties pane or from the preview pane). Click Reset property.

  7. Click Close.

Parent topic: Output settings


Upload your mobile app to the app store

To upload the app on Apple or Android app stores, follow the instructions in the following articles:

  • Android Developer Console

  • Submitting Your App to the Apple App Store

Parent topic: Output settings


Publish Responsive HTML5 output on RoboHelp Server

To publish Responsive HTML5 output on RoboHelp Server, do the following:

Note: Before performing the steps in this procedure, ensure that your RoboHelp Server is up and running.

  1. Select the document file (.fm or .xml) or book file (.book or .ditamap) that you want to publish.

  2. Choose File > Publish.

  3. In the Publish panel, right-click Responsive HTML5 and select Edit Settings.

    The Outputs tab appears with the Responsive HTML5 selected by default.

  4. Select the Server tab.

  5. Click New to create a RoboHelp Server destination to publish projects. In the New Destination dialog, provide Descriptive Name, Server Name, User ID, and Password to connect and authenticate to the RoboHelp Server.

  6. Click the Refresh button to refresh the list of areas from the server. If you do not select an area, the project is published in the default area.

    Note: To publish to the default context (robohelp), enter the server name in the http://<server-name>:<port-number> format. FrameMaker appends /robohelp/server to it. Else, to publish to a context other than the default context (robohelp), specify complete URL in the format http://<server-name>:<port-number>/<context- name>/server.

  7. Click OK to save the server configurations and close the New Destination dialog.

    The new server destination can be seen in the Servers dialog.

  8. Click Save and Close to close the Publish Settings dialog.

  9. To publish the project to the server, right-click Responsive HTML5 in the Publish panel and select Publish to Server.

  10. Click Publish in the Result dialog.

    You can view the files published on the server in the Statistics window.

Note: To view the project on the server, go to RoboHelp Server Web Administrator and in the Projects tab, select the area where you have published the projects.
Parent topic: Output settings


Use the RoboHelp settings (isf) file

Know how you can use the RoboHelp Import Settings (.isf) file that defines project-wide settings for each FrameMaker document.

You can use the RoboHelp Import Settings (.isf) file that defines project-wide settings for each FrameMaker document. To apply these settings in your FrameMaker publish output, export the settings file from RoboHelp. Then use the defined settings in your FrameMaker published output by importing the ISF file.

When you export an ISF file from RoboHelp, the file includes the following settings:

  • Cascading style sheets (CSS) for RoboHelp projects

  • Style mapping between FrameMaker styles and RoboHelp styles

  • Style conversion and other settings

  • FrameMaker Template

For more details on FrameMaker to RoboHelp conversion, see FrameMaker document components converted to RoboHelp in the Using RoboHelp guide.

Important: When you import an ISF file, the RoboHelp settings included in the file overwrite the corresponding FrameMaker STS file settings.

To import an ISF file:

  1. In the Publish dialog, click the Settings button and select Import ISF File.

  2. In the Select ISF File dialog, choose the settings file.

    When you import an ISF file, the settings contained in this file are imported into the publish settings (.sts) file.

  3. You are prompted to import the ISF settings into the current settings file or create a new settings file.

    The Publish Settings dialog displays the imported ISF settings.

  4. In the previous step if you chose to import the ISF settings into a new publish settings file, specify a location for the new file.

    If you chose to import the ISF settings into the existing publish settings file, save the updated publish settings.

Parent topic: Multichannel publishing


HTML output

Know about the HTML output in Adobe FrameMaker.

FrameMaker allows you to save the book and FM files in multiple formats by using the multichannel publishing feature. You can define the conversion and pagination settings in FrameMaker, and then save the entire book or a document as HTML, and other supported formats. The HTML output created can be navigated through the links created from the source document.

If you are publishing the content authored into online Help formats other than HTML, such as EclipseHelp or Adobe AIR-based Help, you can use Adobe RoboHelp as the publishing tool. In addition, for enterprise-level publishing, you can use Adobe FrameMaker Publishing Server to publish content in multiple channels and on devices.

  • Preparing documents for conversion to HTML
    Know about HTML documents and how to prepare documents for conversion to HTML, conversion of text and graphics in Adobe FrameMaker.
  • Set up and adjust HTML mappings
    Know how to modify and set up adjust HTML mappings, auto level mappings and mappings for formats in FrameMaker.
  • Save a document in HTML format
    Know how to save a document in HTML format in Adobe FrameMaker
  • HTML conversion macros
    Learn how to use HTML conversion macros in Adobe FrameMaker
  • Customize titles in HTML output
    Know about the HTML output in Adobe FrameMaker.
  • Insert special HTML code into HTML output
    Learn to insert HTML code to convert document to HTML in Adobe FrameMaker.
  • Convert books to HTML files
    Learn how to convert Adobe FrameMaker books to HTML.
  • Troubleshooting and tips on HTML conversion
    Learn how to troubleshoot HTML conversion, tips on HTML conversion in Adobe FrameMaker.
  • Saving structured documents as HTML with Adobe FrameMaker
    Learn how to save and publish structured documents as HTML in Adobe FrameMaker.
  • Optimized image quality in HTML output
Parent topic: Multichannel publishing


Preparing documents for conversion to HTML

Know about HTML documents and how to prepare documents for conversion to HTML, conversion of text and graphics in Adobe FrameMaker.

HTML provides a set of elements that describe how each part of a document is used. For example, the <p> (paragraph) element is a normal body paragraph; the <h1> element is a first-level heading.

HTML elements are conceptually similar to Adobe FrameMaker formats. For example, HTML documents contain body paragraph elements and heading elements, while FrameMaker documents contain paragraphs that use formats designed for body paragraphs and headings.

However, HTML elements differ from FrameMaker formats in the following ways:

  • HTML documents use a standard set of elements, while FrameMaker documents can contain any number of formats and use any names for the formats.

  • HTML elements describe the structure of a document, not its format. A web browser such as Google Chrome or Microsoft Edge displays each element in a predefined format. Two browsers may display the same element in different ways.

HTML documents can contain hypertext links to locations in the same file, or to other files anywhere on the internet or on an intranet. Most of the FrameMaker hypertext commands are automatically converted to HTML hypertext commands when you save a document as HTML.

Parent topic: HTML output

HTML conversion overview

HTML is an online format optimized only for certain kinds of presentation. For this reason, do not expect your HTML documents to look identical to your FrameMaker document. If design items in your documents have no acceptable equivalents in HTML, consider converting to PDF instead of HTML. For information, see Save as PDF.

What is converted

When you save a document as HTML, FrameMaker converts only the contents of the main text flow (the flow tagged A). Make sure the text in flow A is the one you want and that all of flow A is connected. (See Connect text frames.)

Tip: If your document has multiple flows that you want preserved, consider saving as PDF instead. See PDF output. When you save as PDF, each flow can be converted to an Acrobat article thread.

The contents of anchored frames in the flow are converted to graphics (including the text within anchored frames). Graphics and text not in the main flow whether they appear on master pages (such as headers and footers) or directly on body pages (such as graphics placed directly on the page) are not converted to HTML. If you want to duplicate the effect of headers so that text or graphics appear at the top of every HTML document (for example, text for a logo or navigation buttons), use macros.

Some FrameMaker hypertext commands convert to equivalent HTML links.

HTML export issues

When you export to HTML, note the following issues:

  • Vector graphics and text frames in anchored frames are converted to bitmaps. If the text in the converted graphic is greeked, you can change the Greek Text Smaller Than setting in the Preferences dialog box.

  • If you scale or crop GIF graphics that have been imported by reference, these settings will be lost when converted to HTML.

  • HTML files produced by FrameMaker do not display line breaks when opened in Windows Notepad. To view the HTML file correctly, use FrameMaker, an advanced text editor, or a browser that lets you view the source code.

  • If the document uses paragraph or character style names that contain accented characters, you may have problems viewing the characters with some browsers. To avoid this problem, rename paragraph or character styles to use unaccented characters, or delete the cascading style sheet (.css) file that was created with the HTML file.

Using templates that map well to HTML

To minimize fine-tuning when you save documents as HTML, create your documents from one of the supplied FrameMaker templates. The formats of these templates map easily to HTML equivalents.

Figure 1. Sample chapter template before and after HTML conversion
Samplefromoneofthesupplied FrameMaker chapter templates before andafterHTMLconversion.

Using web-safe colors

The Online color library provides 216 web-safe colors that have a consistent appearance on all platforms when viewed with a web browser.

Related information
  • Hypertext commands
  • Colors

Preserve the FrameMaker look by using style sheets

HTML was designed not as a formatting language but as a way of presenting the structure of a document (its semantics). In some cases, however, you may be concerned with the format of a document as well as its semantics. You may want to preserve the look of your FrameMaker document more than is possible with regular HTML elements alone.

For example, suppose you have a document that uses blue 20-point type for the first letter of a chapter. An HTML style sheet can preserve unique formatting of this kind.

An HTML cascading style sheet is created for you with the same name as the main HTML file but with an extension of .css. It is a standardized file format that many Web browsers can use and interpret. A .css style sheet contains formatting specifications that can duplicate the font, style, size, indents, spacing, and margins of the original document.

The HTML file contains a reference to a .css style sheet. If the browser finds the style sheet, it uses the information to format the Web page. If the browser does not support style sheets, it uses only the built-in formatting defined for each HTML element.

  1. Save your document as HTML. A .css file is automatically created in the same folder as the HTML file.

  2. Copy the HTML style sheet (.css file) to the web server in the same folder as your HTML files.

Note: Style sheets are sometimes called “cascading” because their format rules can overlap-and collide-with rules in other style sheets, such as a personal style sheet set up by someone viewing your converted document. The style sheet that FrameMaker creates takes precedence over other style sheets.
Related information
  • Saving structured documents as HTML with Adobe FrameMaker

Format overrides

Changes tracked as format overrides

FrameMaker treats changes in text, character, and table properties that differ from the definitions as overrides. In addition, if the current document does not have a definition of the format, it is considered an override, such as when you copy and paste text from other documents.

The following cases are considered overrides:

  • When you apply formatting using the toolbar such as applying bold, underline, or italics.

  • When you edit the paragraph, character, or table style in the Designer and then applying only to the selection, without updating the format definition.

  • When you copy content from another document with a different template, the content copied retains the formatting, but the definitions are not present in the current document.

For example, consider a character style named Error, with text color as Red and Weight as As Is. If you change the text color from Red to Black, then it is an override. However, if Weight is change from Regular to Bold, it is not an override (no deviation from definition). However, if a format that had a property set as As Is is changed, it is not tracked as an override.

Note: If properties of table cells are changed from Table > Format > Custom Ruling and Shading, then it is not flagged as a table format override.

Managing format overrides for content conversion

Accurate conversion depends on the consistent use of formats in your FrameMaker documents. Results will not be as good if your documents use format overrides instead of defined formats stored in the catalogs. For example, a document that uses a Body format for both regular paragraphs and headings will not convert to HTML accurately. If your documents use overrides extensively, you should do one of the following:

Search and remove format overrides

You can search and remove paragraph, character, and table format overrides in a book or document.

  1. Choose Edit > Find, and from the Find drop-down list, select the format override type.

  2. In the Change drop-down list, select Remove Override.

  3. Click Find, and then click Change for each instance of the format override.

Create and apply a new set of formats based on the overrides

You can let FrameMaker automatically analyze the document for format overrides, and create new formats. Any format used in the document but not stored in a catalog is added to the catalog. Also, if the document uses a format with a format override, a separate format based on the override is added to the catalog.

For example, if a document contains a Body paragraph with an override (for example, a left indent), that paragraph will be tagged Body1.

If another override is used for Body (for example, a default font change), any paragraph using that override will be tagged Body2. You may want to rename some formats to make them easier to interpret. For example, you could rename Body1 to BodyIndent.

  • Choose File > Utilities > Create And Apply Formats, and then click Continue.

Add links to URLs

A uniform resource locator (URL) is the location of a document anywhere on the Internet or on an intranet. You can embed a special marker in a FrameMaker document that becomes a link to a URL when the document is saved as HTML or PDF.

  1. Select the text you want to be linked to a URL and apply a character style to it. For example, you might apply an underline format to the words Click here for more information.

  2. Click in the formatted area, and choose Insert > Hypertext.

  3. Choose Message Client from the Command drop-down list and enter the following in the Syntax text box:

     message URLurl_name

    Replace url_name with the URL you want to link to. For example, to link to the Adobe Systems home page, you would enter the following:

     message URL http://www.adobe.com

  4. Click New Hypertext Marker. When the document is converted to HTML, XML, or PDF, clicking the formatted text displays the location specified by the URL.

    Note: While creating a Hypertext Marker, it is recommended not to add the link of a PDF that has an ampersand (&) in the URL. It may cause a broken link in the Responsive HTML5 output.
Related information
  • Define an active area in a document

Create links that simulate a TOC

You can convert a large file into a series of small HTML subdocuments that are linked to one parent document. The parent document can then function as a linked table of contents for the subdocuments.

Figure 2. FrameMaker document and the simulated TOC in a Web page
FrameMaker document and thesimulatedtableofcontents for the subdocuments

Subdocuments are automatically named sequentially. For example, when you save MyDoc to HTML, the parent document is called MyDoc.html, the first subdocument is MyDoc.1.html, the second one is MyDoc.2.html, and so on. Do not rename the files; otherwise, the links will become invalid.

The hierarchy of heading levels in the subdocuments is controlled by the Headings table.

  1. Adjust your document mappings so that a heading starts a new file. Do this by using the Start New, Linked Web Page option in the HTML Setup dialog box.

    Note: Look for a heading whose contents are neither too large nor too small. (Readers might get lost if they have to do too much scrolling or might be frustrated if the page they jump to has only one paragraph.) Also, you may want to make sure some text appears before the first instance of the heading you choose so that there is an introduction to the list of links.

  2. Give readers an easy way to return from the linked subdocuments to the parent document by defining the EndOfSubDoc or StartOfSubDoc system macro. The text or graphics defined by this macro will appear at the end or the start of each linked Web page as in the following example.

    Macro Name

    Replace With

    EndOfSubDoc

    <div>
<p><a href="<$parentdoc>">Return to main page</a></p>
<p><a href="<$prevsubdoc>">Go to previous page</a></p>
<p><a href="<$nextsubdoc>">Go to next page</a></p>
</div>

  3. Save the file or book as HTML. The parent document will contain the linked table of contents.

Related information
  • Set up and adjust HTML mappings

Setting up links for image maps

Image maps on a web page are graphics with areas defined as links. Image maps can add visual interest to otherwise plain text-only links to web pages.

When you convert a FrameMaker document to HTML or XML, graphics in the main text flow are automatically converted to image maps if you have set them up correctly. They convert in these cases:

  • When a graphic in an anchored frame has one or more text frames on top of the graphic, and these text frames have valid hypertext markers in them.

  • When a graphic in an anchored frame has a rectangular matrix of links over it.

Specifying graphics conversion

When you save documents as HTML, all graphic files imported by copying into anchored frames are converted to GIF format unless you specify that all the graphics be saved to another format. Each graphic is saved to a separate file. Text in anchored frames is also converted to GIF.

Graphic files imported by reference are left in their original locations unless you specify that copies should be made. In that case, the formats are inspected and converted as needed (preserving the dpi scaling of a graphic). The new files are created in the same folder as the HTML document.

Specify the file format for converted graphics

  1. Choose File > Utilities > HTML Setup and click Options.

    Figure 3. HTML Options
    FrameMaker HTML Options dialog

  2. Specify the graphic file format you want. You can choose from the following formats:

    • GIF is best used for non-photographic images with no more than 256 colors.

    • JPEG format is best used for images with a wide range of color, such as a 24-bit photograph.

    • PNG format is a public-domain format that is becoming more widespread on the Web. Like GIF, it is best used for images with no more than 256 colors.

  3. Click OK.

Specify that graphics imported by reference be copied and converted

To specify that graphics imported by reference will be copied to the target destination:

  1. Choose File > Utilities > HTML Setup and click Options.

  2. Select Copy Files Imported by Reference.


Set up and adjust HTML mappings

Know how to modify and set up adjust HTML mappings, auto level mappings and mappings for formats in FrameMaker.

You can change the following HTML mappings:

  • Paragraph styles map to HTML elements to define paragraph-level formatting (including styles for body paragraphs and headings).

  • Character styles map to HTML elements to define character-level formatting (including common mappings for bold or emphasized text).

  • Cross-reference styles map to HTML conversion macros to specify how cross-references will be displayed in HTML.

After you save a document in HTML format, you may want to refine the mappings.

Note: A few mappings cannot be changed. For example, a FrameMaker table always converts to an HTML table, and an anchored frame always becomes an image with an IMG tag.
Parent topic: HTML output

Set up or modify HTML mappings

  1. Choose File > Utilities > HTML Setup. The HTML Setup dialog is displayed.

    Figure 1. HTML Setup dialog
    FrameMaker HTML Setup dialog

    FrameMaker either loads the current mappings into the HTML Setup dialog box or, if no mappings have been created yet, creates default mappings.

  2. From the Map drop-down list, choose the type of formats to map (Character Formats, Paragraph Formats, or Cross-Reference Formats).

  3. Specify a mapping by choosing a FrameMaker format from the From: drop-down list and an HTML element or macro from the To: drop-down list.

    Tip: You can click in the document to select a format to adjust. The HTML Setup dialog box immediately shows the current mapping for the format you click.

  4. Choose from the following options:

    • If you are mapping paragraph styles and want to include the paragraph autonumber in the converted text, click Include Autonumber. (You do not have to include an autonumber for items in a list.)

    • If you are mapping to Heading (AutoLevel) and want to start a new Web page whenever this format is found, click Start New, Linked Web Page.

      Use this option to break up a long FrameMaker document into several HTML files, each linked to a single file. Whenever the specified format is found, FrameMaker leaves the heading in the original file (the parent file) and makes it a link to a subdocument whose content starts at the heading format and continues until the next instance of the format. For information on using this setting to simulate a table of contents, see Create links that simulate a TOC.

    • If you are mapping to the List Item element for either a bulleted or numbered list, and want to specify how many levels deep the item is (which usually translates as how much the item should be indented), enter a Nest List at Depth value.

  5. Click Change to accept the mapping.

  6. Repeat steps 2 through 5 as needed.

  7. When you finish specifying mappings, close the dialog box and save the document as HTML.

If you want to edit the mapping tables on the HTML reference page, be sure to close the HTML Setup dialog box first. Keeping the dialog box open results in an error when you try to edit the tables on that page.

Autolevel mappings for headings

HTML supports six levels of headings. You can convert any FrameMaker paragraph style to a heading by mapping it to Heading (Autolevel). With this special mapping, headings in the document are mapped to H1, H2, and so on, according to their relative levels and based on the highest-level mapping in that file. The advantage of this method is that if the document is broken into separate HTML files, each will always have an H1 mapping and an appropriate hierarchy of headings under that H1.

For example, suppose your document uses Title1, Title2, and Title3 formats. When you convert to HTML, you might want to break up the document into two files, and the second file might contain only instances of Title2 and Title3. The autolevel feature ensures that Title2 maps to H2 in the first file but maps to H1 in the second file.

For more information on how the autolevel headings work, when you choose to split a document into separate HTML files, see Use the Headings reference page.

If you want to fine-tune the autolevel mechanism or override the autolevel function and make mappings to specific heading levels, you must edit special tables on reference pages of the FrameMaker document. For more information, see Edit the HTML Mapping table.

Mappings for lists

FrameMaker automatically maps bulleted lists to HTML unordered lists and numbered lists to HTML ordered lists. If you want to override the automatic mapping, you must edit a table on the HTML reference page of the FrameMaker document. (See Edit the HTML Mapping table.)

In the HTML Setup dialog box, you can define the level of a list by specifying a value for Nest List at Depth. Typically, a browser displays different levels with different amounts of indentation.

You can include a FrameMaker autonumber in the converted text by choosing Include Autonumber. However, most browsers provide their own bullet characters and numbers with lists, so you are unlikely to use this option when converting lists.

The following table shows paragraph-based HTML elements.

Mapping name in the HTML Setup dialog box | Equivalent HTML element | Recommended use and typical appearance in a Web browser
Heading (AutoLevel) | H1, H2, H3, H4, H5, H6 | Six levels of headings, with H1 the largest and most prominent
Paragraph | P | Normal body paragraphs
Preformatted Text | PRE | Text that closely matches the original’s line breaks and spacing; usually achieved by using multiple spaces and a fixed-width font
Address | ADDRESS | Text set off from the rest denoting an e-mail address or the like; usually indented or italicized
Block Quote | BLOCKQUOTE, BQ | A quotation set off by indenting
List Item | LI | Item preceded by a bullet character when it is part of an unordered list (UL), or by a sequential number when it is part of an ordered list (OL)
List Item (Continued) | P | Body paragraph within a list (not preceded by a bullet or number)
Data Term | DT | Item (such as a term in a glossary) that is to be defined by a DD element
Data Definition | DD | Definition of a term (a DT), such as in a glossary item
Data Definition (Continued) | P | Body paragraph within a data definition
Throw Away | None | Discarded during conversion to HTML

The following table shows character-based HTML elements.

Mapping name in the HTML Setup dialog box | Equivalent HTML element | Recommended use and typical appearance in a Web browser
Citation | CITE | A citation, usually displayed in italics or underlined
Code | CODE | Computer-program code, usually displayed in a fixed-width font such as Courier
Definition | DFN | Definition of a term, usually displayed in italics
Emphasis | EM | Emphasized text, usually displayed in italics or underlined
Keyboard | KBD | Text that a user types, usually displayed in a fixed-width font such as Courier
Sample | SAMP | Text that appears in a fixed-width font such as Courier
Short Quotation (Intl) | Q | Quotation of less than a full paragraph, usually displayed in quotation marks (may not be recognized by all browsers)
Span (CSS) | SPAN | Text that is displayed as specified in an HTML style sheet (by browsers that recognize style sheets) or without special formatting (by other browsers). For use when no other mapping is appropriate for example, for a drop cap.
Strong | STRONG | Emphasized text, displayed in bold
Typewriter | TT | Text in a fixed-width font such as Courier
Variable | VAR | A special term or, in programming contexts, the name of a variable, displayed in italics or bold italics
Plain Text | None | Text that cancels any previous character mapping, displayed as appropriate for the paragraph mapping
Throw Away | None | Discarded during conversion to HTML

Mappings for cross-reference formats

A typical cross-reference in a printed document such as “See Syntax on page 8 for more information” loses its meaning in HTML documents, which do not use page numbers. For this reason, cross-references are mapped by default to a predefined cross-reference conversion macro called See Also. The See Also macro changes the cross-reference so that it refers to the text of the paragraph but not to the page number (for example, “See Syntax for more information”). The cross-reference text in the original document becomes an HTML link in the converted document regardless of what format is used.

You can modify the See Also macro, or you can create your own macros and then map cross-reference formats to them.

When you first map a cross-reference, the See Also macro is the only macro in the To drop-down list in the HTML Setup dialog box. If you create other conversion macros, they will appear in this menu as well. For information on how to create and edit cross-reference macros, see HTML conversion macros.

Two other choices in the To: drop-down list let you map a cross-reference in other ways:

  • Choose Original Cross-Reference Format to leave the text of the cross-reference unchanged.

  • Choose Throw Away to delete the text of the cross-reference.

Fine-tuning mappings by editing reference pages

You can fine-tune the HTML conversion by editing tables on two special FrameMaker reference pages: the Headings page and the HTML page. If you are converting a book, the reference pages are BookHeadings and BookHTML. (See Convert books to HTML files.) For general information on reference pages, see Reference pages.

Note: Do not edit the information on the HTML reference page unless you are familiar with HTML coding. Most users will not need to edit the tables on this page.

The reference-page tables are set up automatically the first time you save as HTML or the first time you choose File > Utilities > HTML Setup. The Headings reference page contains one table, the Headings table. The HTML reference page contains the following tables:

  • The HTML Mapping table. (See Edit the HTML Mapping table.)

  • The HTML Options table, which contains the settings you make in the Options dialog box. (See Specifying graphics conversion.)

  • The HTML System Macros table, the HTML Cross-Reference Macros table, and the HTML General Macros table. (See HTML conversion macros.)

  • The HTML Character Macros table. (See Convert special characters.)

If the tables are large, the HTML reference page will continue on for as many pages as needed.

Use the Headings reference page

The Headings table on the Headings reference page identifies which tags should be used for headings and what their hierarchy is.

Figure 2. The Headings Table sets up the relative hierarchy of the headings.
Setting up the hierarchy of the headings in the Headings table on the Headings Reference page.

Using this table, you can modify the mappings for headings and the relative levels of those headings.

To Help you identify heading formats, text appears in the same font and point size as the headings do on the body pages of the document.

Edit the Headings table

  1. Choose View > Reference Pages and display the Headings page. The Headings page will not exist until you save the document as HTML, or choose File > Utilities > HTML Setup.

  2. Edit the table by doing the following:

    • To map a different paragraph style to a heading level, change the paragraph style in the second column but do not change the heading level number. For example, if a Tip format is mapped to a level-6 heading but you want the Warning style to be mapped at that level instead, just change Tip to Warning in the second column.

    • To change the relative levels of headings, change the numbers in the Heading Level column. For example, to promote the Warning style to a higher heading level, change the 6 to a 5 in the Heading Level column. (You do not have to change the order of the rows when you do this, but you might want to so that the table is easier to read.)

    • To map several styles to a single level of heading, use the same number in the Heading Level column. For example, the Note and Warning formats are both level-6 headings in the following Headings table.

      Heading Level

      Paragraph Style

      Comment

      6

      Note

      6

      Warning

    • To add a format to the Headings table, press Ctrl+Return to add a row and then fill in the Heading Level and Paragraph Style columns.

  3. If you removed or added formats in the Headings table, change their mappings in the HTML Mapping table as well. For example, you might change the entry of a SubHead style from H* to P in the HTML Mapping table. For more information on editing this table, see the next section.

Edit the HTML Mapping table

The HTML Mapping table on the HTML reference page contains the mappings you assign using the HTML Setup dialog box. (Mappings for headings appear here too, as well as in the Headings table.) You usually do not need to edit this table directly, but you might want to edit it in the following situations:

  • To bypass the autolevel mapping of headings and instead map a format explicitly to a heading level such as H1 or H2. (See Autolevel mappings for headings.)

  • To change many mappings quickly or globally by using Edit > Find/Change.

  • To change a bulleted list to a numbered list, or the reverse.

  • To use an HTML element that is not available through the HTML Setup dialog box.

  • To document the mappings in the Comments column of the table.

The first column of the Mapping table contains a FrameMaker source item prefixed with a letter that indicates the type of item: P for paragraph style, C for character style, or X for cross-reference format. The second column can contain the name of an HTML element or an HTML conversion macro name.

Figure 3. The HTML Mapping table on the HTML reference page
Using the HTML Mapping table on the HTML reference page

For information on defining macros, see HTML conversion macros.

Edit a mapping using the HTML Mapping table

  1. Choose View > Reference Pages and display the HTML page.

  2. Locate the Mapping table on that page, and find the format whose mapping you want to change.

  3. Make the following changes as needed:

    • In the Element column, enter the name of the HTML element or conversion macro that the format is to be mapped to. If you are not sure of the correct HTML element name, see the tables in Mappings for lists. Enter H* to map to an autolevel heading.

    • In the New Web Page column, enter Y for Yes to create a separate HTML document whenever this format is found. Otherwise, enter N for No.

    • In the Include Auto# column, enter Y or Yes to include the full autonumber text of this format in the conversion. Otherwise, enter N or No.

    • In the Comments column, enter any text to document the purpose of the mapping, special cases, and so on. You can leave this column blank.

    An edited row might look like this.

    FrameMaker Source Item

    HTML Element

    New Web Page?

    Include Auto#?

    Comments

    P:Fnote

    FOOTNOTE

    N

    N

    Will not work in all browsers

Convert special characters

The FrameMaker character set and the character set used by HTML and the Web are not identical. Because of this, some characters are mapped to substitutions when converted to HTML. Some mappings are internal and rely on special HTML codes called entities. (For example, curved quotation marks are changed to the entity for straight ones.) Other substitutions are defined in the Character Macros table. For example, an em dash is defined as two hyphens. If no mapping exists, the character is ignored.

The following characters either have special predefined mappings or are treated specially.

Character | Default mapping | Where defined
… (ellipsis) | ... (three periods) | Character Macros table
— (em dash) | -- (two hyphens) | Character Macros table
– (en dash) | - (one hyphen) | Character Macros table
¢ (cent) | &#162; (HTML character reference) | Character Macros table
© (copyright) | &#169; (HTML character reference) | Character Macros table
® (registered) | &#174; (HTML character reference) | Character Macros table
° (degree symbol) | &#176; (HTML character reference) | Character Macros table
< and > (angle brackets) | &lt; and &gt; (HTML entities) | Internal
" | &quot; (HTML entity for ") | Internal
& (ampersand) | &amp; (HTML entity) | Internal

You can add or change mappings for characters by adding or editing entries in the Character Macros table. As the previous table illustrates, you can map characters to text or to HTML character and entity references (which begin with an ampersand and end with a semicolon).

  1. Choose View > Reference Pages and display the Character Macros table on the HTML page.

  2. Edit a mapping, or create a new row (by pressing Ctrl+Return) and enter a new mapping.

If you are unsure how to type a special character in the first column, look up its keystroke.

For example, to set up mappings for the dagger character, the trademark symbol, and the ae ligature, you could add the following rows.

Character | Replace With | Comments
‡ | * | Dagger symbol
™ | (tm) | Trademark symbol
æ | &aelig; | ae maps to the HTML entity reference for that symbol


Save a document in HTML format

Know how to save a document in HTML format in Adobe FrameMaker

To convert a FrameMaker document to HTML, simply save it as an HTML file. Saving as HTML sets up definitions for how each FrameMaker format will convert, or map, to an HTML element. You can also save a whole book as HTML. (See Convert books to HTML files.)

FrameMaker automatically creates the mappings of formats to HTML elements upon initial conversion to HTML, but you can fine-tune them, and make further customizations, by creating conversion macros. For information, see Set up and adjust HTML mappings and Fine-tuning mappings by editing reference pages.

Even if you plan to fine-tune the conversion, you should begin by saving as HTML. You can then fine-tune the automatic mappings as needed.

  1. Choose File > Save As and choose HTML from the drop-down list.

  2. Give the filename an extension of .html, specify the file location, and click Save. The converted file is saved where you specified.

  3. Open the HTML file in a Web browser to examine the converted file. If it meets with your approval, you are done.

To refine some mappings, continue by following the steps in Set up and adjust HTML mappings.

Parent topic: HTML output


HTML conversion macros

Learn how to use HTML conversion macros in Adobe FrameMaker

In this topic

  • Introduction

  • Create or edit an HTML conversion macro

  • Use building blocks in HTML conversion macros

  • Redefining HTML system macros

Introduction

You can use the following tables on the HTML reference page to define HTML conversion macros:

  • The HTML System Macros table, which contains eight predefined macro names you can use to perform special functions at the start or end of Web pages.

  • The HTML Cross-Reference Macros table, which contains replacement text for FrameMaker cross-references.

  • The HTML General Macros table, which contains general-purpose macros that you define (for example, the title of the converted document).

Note: You cannot alter the System or General HTML macros in the HTML Setup dialog box.

After a macro is defined, you can use it by name in other macros, or you can map to it in the HTML Mapping table. The macro name appears in the To drop-down list in the HTML Setup dialog box, so you can map a format to it without editing the Mapping table directly.

For examples of HTML conversion macros, see the reference pages of the templates that are included with FrameMaker.

Create or edit an HTML conversion macro

  1. Choose View > Reference Pages to display the HTML page.

  2. Edit a macro in a table, or create a row (by pressing Ctrl+ Return) and enter a new macro starting with a macro name. (You cannot add macros to the HTML System Macros table; you can only edit their replacement text.)

Replacement text can contain any mixture of text, HTML codes, and FrameMaker building blocks. Be sure that you enter valid HTML code; FrameMaker does not check the HTML syntax.

Use building blocks in HTML conversion macros

You can use the following building blocks in HTML conversion macros to include special types of text.

Building block | Description
<$paratext> <$paratag> <$paranum> <$paranumonly> | See “Including source information in cross references” and “Including character styles in cross-references” for details.
<$variable[varname]> | Contains the text of the variable
<$defaulttitle> | Contains the text of the first heading that appears in the current document
<$nextsubdoc> | Contains the URL of the next HTML subdocument
<$prevsubdoc> | Contains the URL of the previous HTML subdocument
<$parentdoc> | Contains the URL of the parent HTML document

Building blocks are enclosed in angle brackets (< >) and begin with a dollar sign ($). Enter these building blocks in all lowercase letters.

Note: The General Macros table has a column labeled “Head.” Use this column to define a title or to include special, advanced information about the HTML document (such as keywords that a search engine might use). To fill in this column, you need to know the HTML elements that are permitted in the HEAD section of an HTML document.

Redefining HTML system macros

HTML system macros are a special case because you can redefine them, but you cannot add new ones.

These macros are especially useful when splitting up documents into separate HTML files. For example, you can define the StartOfSubDoc macro so that your company logo appears at the top of every new Web page.

In these descriptions, the parent document refers to the first Web page and subdocument refers to a document linked to the parent document.

System macro | Use
StartOfDoc | Inserts text at the top of the topmost Web page
EndOfDoc | Inserts text at the end of the topmost Web page
StartOfSubDoc | Inserts text at the top of each subdocument except the first and last
EndOfSubDoc | Inserts text at the end of each subdocument except the first and last
StartOfFirstSubDoc | Inserts text at the top of only the first subdocument created
EndOfFirstSubDoc | Inserts the replacement text at the end of only the first subdocument
StartOfLastSubDoc | Inserts the replacement text at the top of only the last subdocument created
EndOfLastSubDoc | Inserts the replacement text at the end of only the last subdocument
Parent topic: HTML output


Customize titles in HTML output

Know about the HTML output in Adobe FrameMaker.

The title of an HTML document appears in the window’s title bar. When you add a bookmark to that page, it also appears in the bookmark list. Initially, the <$defaulttitle> building block is used for the title, which uses the first heading in an HTML file as the title for that file. Usually, the default titles are satisfactory. However, you can specify a different title by editing macro tables on the HTML reference page.

System macros and general macros can define two sets of replacement text: one that appears in the body of the code and one that is inserted in the head area.

You can modify the default title, or you can remove the default title and set up your own titles. You can also automatically pick and use map titles on the HTML pages

Modify the default titles

  1. Choose View > Reference Pages and display the HTML reference page.

  2. In the HTML System Macros table, locate the four system macros that set up the default titles. Initially, they use the <$defaulttitle> building block to assign the first heading in the file as the title. You can change any or all of them.

    Macro Name

    Replace With

    Head

    Comments

    StartOfDoc

    <title><$defaulttitle></title>

  3. Change the default macro for Head. For example, the following macro changes the text of the title to static text.

    Macro Name

    Replace With

    Head

    Comments

    StartOfDoc

    <title>My Book</title>

Set up your own titles

To set up your own titles, do the following:

  1. Choose View > Reference Pages and display the HTML reference page.

  2. Remove the four default title replacement texts from the HTML System Macros table.

  3. In the HTML General Macros table, define a macro that uses the <TITLE> HTML element in the third column, the Replace With (in HEAD) column. For example, the following macro uses a paragraph autonumber and text for the title, and also as paragraph text in the document.

    Macro Name

    Replace With

    Head

    Comments

    MyTitle

    <p><$paranum><$paratext></p>

    <title><$paranum><$paratext>

    </title>

  4. Map the macro to the format that you are splitting the HTML document on.

Auto-pick map title as title in STS settings file

FrameMaker provides the feature to automatically pick and use map titles on the HTML pages. Using this feature, you can publish multiple DITA maps using a single .sts file, and all the maps will have their default titles on HTML5 pages.

To customize the output settings and auto-pick up the map title as the title on HTML pages:

  1. Choose File > Publish to open the Publish dialog. Click Settings.
  2. In the Settings drop-down button, select Edit.
  3. Mention <$title> in the Title field.
  4. Click Save and Close.

When you publish the HTML 5 page, it will pick the default map title mentioned in the File> File Info dialog.

Note: You can also add a text string along with the <$title>. For example, if you add 'Title of the page:' <$title> in the .sts file and the File Info contains the title 'Tips to make your content engaging', the HTML page displays the title as 'Title of the page: Tips to make your content engaging'.
Parent topic: HTML output


Insert special HTML code into HTML output

Learn to insert HTML code to convert document to HTML in Adobe FrameMaker.

You may want to insert special HTML code into your document (for example, the code that defines a Java applet).

  1. Choose View > Reference Pages to display the HTML reference page.

  2. In the HTML General Macros table, define a macro whose content is the HTML code.

  3. Choose View > Body Pages and place the insertion point where you want to insert the HTML code.

  4. Choose Insert > Marker and choose HTML Macro as the marker type.

  5. Enter the name of the general macro as the marker text and click New Marker.

For example, you could enter the following Java code as a macro definition.

Macro Name

Replace With

MyCode

<applet code="bullets.class" width="600" height="6" codebase="classes/bullets/">
   <param name="bgColor" value="White">
</applet>

Where you want to insert this applet, you insert a marker whose marker type is HTML Macro and whose marker text is MyCode.

Parent topic: HTML output


Convert books to HTML files

Learn how to convert Adobe FrameMaker books to HTML.

You follow the same basic procedure to save a book in HTML format that you use to save a single document. When FrameMaker maps the files in the book, it stores the mappings on reference pages added to the first file in the book. You can edit the tables on the reference pages in the same way you edit the tables on reference pages of individual documents.

The files in a book may not remain separate files when the book is saved as HTML. To break up a book file into separate HTML files, use the Start New, Linked Web Page option.

  1. Open the book file and choose File > Save Book As.

  2. Choose HTML from the drop-down list.

  3. Give the filename an extension of .html and click Save. The converted files of the book are saved where you specified.

  4. Examine the converted files by opening them in a web browser. If they meet with your approval, you are done.

  5. To refine some mappings, open the first file in the book file and display its BookHeadings or BookHTML reference page. Edit the tables there. Then save the file and save the book file as HTML again.

Tip: If you fine-tuned the mappings for a document and want to use these mappings for a whole book, remove the tables on the BookHeadings and BookHTML reference pages in the book file’s first file. Then copy the tables on the document’s Headings and HTML reference pages and paste them onto the BookHeadings and BookHTML reference pages.
Parent topic: HTML output
Related information
  • Saving structured documents as HTML with Adobe FrameMaker
  • Create links that simulate a TOC
  • Fine-tuning mappings by editing reference pages


Troubleshooting and tips on HTML conversion

Learn how to troubleshoot HTML conversion, tips on HTML conversion in Adobe FrameMaker.

Follow these guidelines to ensure a smooth conversion to HTML:

  • When converting a book, open all documents before starting. This ensures that there will be no error messages that might interrupt the conversion process.

  • Make sure the table formats you use have regular ruling lines defined for at least one body row. Otherwise, the HTML tables will have no lines around table cells.

  • Make sure that your documents contain no unresolved cross-references before you save as HTML. Unresolved cross-references appear as broken links in HTML.

  • If text or graphics do not convert when they should, make sure they are on body pages and not master pages, that they are part of the main text flow (flow A), and that they are in anchored frames.

  • If you want to import the HTML conversion settings from one document to another, use the File > Import > Formats command to copy reference pages.

Parent topic: HTML output
Related information
  • Resolve cross-references
  • Import formats from a template or document


Saving structured documents as HTML with Adobe FrameMaker

Learn how to save and publish structured documents as HTML in Adobe FrameMaker.

Introduction

The procedures for saving structured documents as HTML are the same as for unstructured documents, with the exception of mappings. In structured documents, all mappings are based on elements and attributes, rather than character, paragraph, and cross-reference formats. Structured FrameMaker elements map to HTML elements to define formats for containers. Structured FrameMaker attributes map to HTML attributes to define cross-references, cascading style sheets, languages, and alt-text for images.

Publishing options for online output formats

In addition to saving FrameMaker documents as HTML from FrameMaker, you can use any of the enterprise-class publishing options provided by Adobe.

  • Use Adobe RoboHelp to publish FrameMaker content into various formats in addition to the ones supported by FrameMaker’s multichannel publishing. In this approach, you define the style mapping and other conversion settings, and import the FrameMaker content into a RoboHelp project. Later, you can publish the required online output formats using RoboHelp features. See Adobe RoboHelp Help.

  • Use the Adobe FrameMaker Publishing Server and Adobe RoboHelp Server for enterprise-level, automated publishing into multi-channel, multi-device output formats.

Parent topic: HTML output


Optimized image quality in HTML output

Starting from Update 4, FrameMaker provides an improved quality HTML 5 output for the image formats that are not supported on web pages - .eps, .ai, .pdf, .dib, .bmp, and .tiff.

From Update4, these formats are converted to .png which provides the following advantages:
  • This is a lossless conversion process and handles detailed and high-contrast images well. The images are clear and support transparency.
  • The conversion of an image is done only once, and if required, the same converted image can be referenced at multiple instances in a document. This helps you in saving space.
  • For images in an anchored frame, SVG wrapper element is used which helps in dynamic resizing and handles the rotation and cropping scenarios.
Figure 1. HTML5 output of a sample (.eps) image in Update 3
Figure 2. HTML5 output of a sample (.eps) image in Update 4

Starting from Update3, FrameMaker gives a better quality HTML5 output for image formats that are supported on web pages (like the .png, .svg, .jpg, or .gif). These image formats do not undergo the conversion process. The scaling of the images is rendered by the browser, and specified size of the images is maintained. You can also play .gif animations in your HTML5 output and make your content more engaging.

Figure 3. HTML5 output of a sample (.png) image in Update 2
Figure 4. HTML5 output of a sample (.png) image in Update 3
Parent topic: HTML output


HTML page templates

Understand how the Adobe FrameMaker publishing solution allows you to create an HTML page template to customize your page layout.

In this topic

  • Introduction

  • Create an HTML page template

  • Define a mini TOC

  • Define a breadcrumb navigation

  • Define a header and footer

  • Define the body content

  • Sample HTML page template

Introduction

The Adobe FrameMaker publishing solution allows you to create an HTML page template to customize your page layout. The page template allows you to add the following components to the published output:

Mini TOC

Add a table of contents of the sections within the current topic.

Breadcrumb

Add a navigation trail of the current topic.

Header and footer

Add headers and footers that contain dynamic content defined by variables in the FrameMaker source.

To try out the examples in this topic, create a FrameMaker document using the standard template. This template uses the paragraph styles and variables used in the samples in this topic.

After you create the HTML page template, you can set the HTML Page template in the Output tab for any of the available outputs (see Output settings).

Important: All the components in the HTML page template are optional. You can define a page template with any combination of the components.

Create an HTML page template

  1. To create a page template, create a file with a .htt, .htm, or .html extension and open the file in any text editor.

  2. Paste the following HTML content into the text file:

    <!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<body>
</body>
</html>

  3. To add dynamic content to a page header, specify the HTML page template attribute @data-type as fm_variable.

    To define a header that uses the FrameMaker user-defined variable Chapter Title Name, add the following <p> element after the opening <body> element:

    <p data-type="fm_variable">Chapter Title Name</p>

    The HTML page template attribute @data-type is used to identify the type of content described by the enclosing element. In the above example, the <p> element contains a FrameMaker variable.

  4. To add a navigation trail to the output, specify the HTML page template attribute data-type as breadcrumbs.

    Add the following after the opening <body> tag:

    <p data-type="breadcrumbs">
<a data-type="home_link" href="#">Home</a>
<span data-type="separator">:&gt;</span>
</p>

    In the above example, specify the character (in this case, the greater than symbol written as the HTML entity &gt;) that separates each item of the breadcrumb. The other parts of the definition are required by the publishing solution to create the breadcrumb.

    For details and more options in the breadcrumb, see Define a breadcrumb navigation.

  5. To define a mini TOC, add the following after the breadcrumb described in the previous step:

    <div data-type="minitoc">
  <p data-type="minitoc-level1">
    <span data-type="minitoc-selector">'H1_Heading1'</span>
  </p>
  <p data-type="minitoc-level2">
    <span data-type="minitoc-selector">'H2_Heading2'</span>
  </p>
</div>

    To define the mini TOC, specify the data-type attribute as minitoc. For each level, use the attribute @data-type for the specific level. Specify the required FrameMaker paragraph style name to display at the corresponding level of the min TOC.

    You can create multi-level mini TOCs of up to 20 levels. For more details, see Define a mini TOC.

  6. To specify the location where the FrameMaker source content is displayed, use a <div> element with the @data-type attribute set to body. Add the following after the mini TOC:

    <div data-type="body"></div>

  7. To define a footer, add the following before the closing tag </body>:

    <p data-type="fm_variable">Creation Date (Long)</p>

    Creation Date (Long) is the name of a variable defined in the document. For more details, see Define a header and footer.

  8. After you create the page template, you need to include the template in the Outputs tab of the Publish Settings dialog. The publish procedure then creates the mini TOC in the specified output.

Important: All page template components are defined within HTML tags. This means that you can add CSS styling (using the style or class tags) to any of the components.

Define a mini TOC

To define a mini TOC, use a <div> element with the @data-type attribute with value minitoc:

<div data-type="minitoc"></div>

Use the @data-type-after attribute to specify the location of the mini TOC in the published output. For example, the following @data-type-after definition specifies that the mini TOC will appear after the first occurrence of a H1_Heading paragraph in the published output.

<div data-type="minitoc" data-type-after="H1_Heading1"></div>

Specify multiple paragraphs in the @data-type-after attribute for a mini TOC. The following sample will publish the mini TOC after the first occurrence of an H1_Heading1 style or H2_Heading2 style, whichever appears first in the source. Define multiple paragraphs if, for example, the book contains multiple documents. Where documents can start with a different heading paragraph style.

<div data-type="minitoc"
     data-type-after="H1_Heading1 H2_Heading2">
</div>

To specify data-type-after paragraphs:

  • Enclose the paragraph(s) in double quotes

  • Separate multiple paragraphs with commas or spaces

  • Use the backslash escape character if a paragraph name contains a single of double quote.

  • If a paragraph and a character style have the same name, fully qualify the style name using p and span, respectively.

    <div data-type="minitoc"
     data-type-after="p.H1_Heading1 p.H2_Heading2">
</div>
Note: The data-type-after attribute is optional. If you do not specify the attribute, the mini TOC appears at the point in the output where it is defined in the template.

To define an element in the mini TOC, add a <p> or <div> element with the attribute @data-type to specify the level of the element inside the element <div>.

For example, to define a two-level mini TOC:

<div data-type="minitoc">
  <p data-type="minitoc-level1"></p>
  <p data-type="minitoc-level2"></p>
</div>

You can create a multi-level mini TOC of up to 20 levels. Also, the levels in the mini TOC must be placed in ascending order.

You can add a caption at the top of the mini TOC that contains a specific literal value. To add the caption “This section covers the following:”, add a <p> or <div> element with @data-type minitoc-caption at the top of the mini TOC definition:

<div data-type="minitoc">
  <p data-type="minitoc-caption">This section covers the following:</p>
  <p data-type="minitoc-level1"></p>
  <p data-type="minitoc-level2"></p>
  <p data-type="minitoc-level3"></p>
</div>

To specify the paragraph to be displayed at a level of the mini TOC, add an element with the data-type attribute and the value minitoc-selector:

<div data-type="minitoc">
  <p data-type="minitoc-caption">
     This section covers the following:
  </p>
  <p data-type="minitoc-level1">
     <span data-type="minitoc-selector">'H2_Heading2'</span>
  </p>
  <p data-type="minitoc-level2">
     <span data-type="minitoc-selector">'H3_Heading3'</span>
  </p>
  <p data-type="minitoc-level3">
     <span data-type="minitoc-selector">'H4_Heading4'</span>
  </p>
</div>

You can specify multiple paragraphs at the same level of the mini TOC:

<p data-type="minitoc-level1">
<span data-type="minitoc-selector">'H2_Heading2' 'H3_Heading3'</span>
</p>

If you specify multiple paragraphs at the same level of the mini TOC:

  • The published content displays the paragraph that was found.

  • If multiple paragraphs are found, the published content displays the paragraphs at the same level.

Important: Add CSS styles to any of the HTML tags used in the mini TOC definition by using the style of class attributes.

Define a breadcrumb navigation

To define a breadcrumb, use the data-type attribute as breadcrumbs. For example:

<p data-type="breadcrumbs"></p>

You can add static text to display at the start of the breadcrumb. For example, to display “Start of Breadcrumb: ”:

<p data-type="breadcrumbs">Start of Breadcrumb: </p>

Use the anchor (a) element to specify the home location of the breadcrumb. You can specify any static text as anchor text.

<p data-type="breadcrumbs">Start of Breadcrumb: <a data-type="home_link" href="#">Home</a></p>

Besides the text of the anchor, the other attributes and values must be added as they are defined above. The publisher uses the exact attributes and values to create the breadcrumb.

Define the separator character to display between the elements of the breadcrumb using the data-type attribute as separator. In the following sample, the separator is the greater than (>) symbol.

<p data-type="breadcrumbs">Start of Breadcrumb: <a data-type="home_link" href="#">Home</a>
<span data-type="separator">:&gt;</span></p>

Like the text at the start, you can also add a static text at the end of the breadcrumb. For example, to display “ :End of Breadcrumb”:

<p data-type="breadcrumbs">Start of Breadcrumb: <a data-type="home_link" href="#">Home</a>
<span data-type="separator">:&gt;</span> :End of Breadcrumb</p>

Define a header and footer

Use FrameMaker variables to define headers and footers in the HTML output.

To define a header or footer, use an HTML element with the attribute @data-type with the value fm_variable. For example, to define a header with the Chapter Title Name variable:

<p data-type="fm_variable">Chapter Title Name</p>

You can also mix static text and variables in a header or footer. The following example displays the last modified date of the current document.

<p>Last modified date: <span data-type="fm_variable">Modification Date (Short)</span></p>

Define the body content

To place the FrameMaker topic content dynamically in the published output, define an element <div> and with the attribute @data-type with the value body. For example, to create a template with a header, the body, and then a footer:

<p data-type="fm_variable">Chapter Title Name</p>
<div data-type="body">[The FrameMaker topic content will be placed here]</div>
<p>Last modified date: <span data-type="fm_variable">Modification Data (Short)</span></p>

Sample HTML page template

The following sample HTML page template defines the following components:

  • A header at the top of the page body

  • A breadcrumb trail

  • A mini TOC

  • The topic content

  • A footer after the topic content

To try out this sample, create a document using the Reference Card standard FrameMaker template.

<html>
<body>
<!-- Header using FM variable -->
<p data-type="fm_variable">Chapter Title Name</p>
<!-- Breadcrumb -->
<p data-type="breadcrumbs">Start of Breadcrumb:
<a data-type="home_link" href="#">Home</a>
<span data-type="separator">:&gt;</span></p>
<!-- mini TOC -->
<div data-type="minitoc">
  <p data-type="minitoc-caption">This section covers the following:</p>
  <p data-type="minitoc-level1"><span data-type="minitoc-selector">'H2_Heading2'</span></p>
  <p data-type="minitoc-level2"><span data-type="minitoc-selector">'H3_Heading3'</span></p>
  <p data-type="minitoc-level3"><span data-type="minitoc-selector">'H4_Heading4'</span></p>
</div>
<!-- Footer using FM variable -->
<p>Last modified date: <span data-type="fm_variable">Modification Date (Short)</span></p>
</body>
</html>
Parent topic: Multichannel publishing


Microsoft HTML Help distribution

Understand how you can distribute Microsoft HTML help content to your users using Microsoft HTML Help distribution in FrameMaker.

If you publish your output to Microsoft HTML Help, use the following instructions to distribute your help to your end users.

What you deliver to the developer

Distribute the following system Help files to the developer for installation with the program executable (EXE) file. Or, distribute the files for stand-alone use.

Note: Users can run stand-alone Microsoft HTML Help by double-clicking the CHM file in Windows Explorer.
CHM

A single distributed Help system in a single Help file, in addition to any CHM files for sub-projects to the master project. These child CHM files are not compiled into the master CHM.

HLP, CNT

If the project includes links to topics in a compiled WinHelp file, distribute the HLP and CNT files. They are not compiled into the master CHM file.

DOC, PDF, XLS

If the project include links to external files, distribute the external files. They are not compiled into the master CHM file unless they are added to the Baggage Files folder.

What the developer has to do

The application developer distributes the following support files, depending on the features used in the project and the versions of Windows that users have.

  • Microsoft HTML Help Support Files Built-in components.

  • HHActiveX.DLL is an Adobe ActiveX control that provides support for online glossaries and browse sequences. Install and register the HHActiveX.DLL file on user systems. Copy this file from the appropriate location into the same folder as the CHM.

    For 32 bit systems:<Fm_install_location>\fminit\Publisher\Redist\32bit

    For 64 bit systems:<Fm_install_location>\fminit\Publisher\Redist\64bit

  • If the Help system includes third-party ActiveX controls, install and register the component support files on the user systems. Users copy the ActiveX control files into a custom folder, placing the path of the alternate folder before the .ocx or .dll extension, and then register the files.

Note: The Adobe licensing agreement lets you redistribute Microsoft HTML Help and Internet Explorer files with the HTML Help output.

Register ActiveX controls

If the project provides ActiveX controls, provide these instructions to users so they can register the controls that you distribute with the Help system.

  1. Click Start and type cmd in the search box.

  2. In the search results, select Run as administrator.

    Note: If you get the User Account Control prompt, click Yes to continue.

  3. To register the HHActiveX.DLL file, type the following command in the command prompt, specifying the HHActiveX.DLL path, and press Enter:

    regsvr32 [path] hhactivex.dll

  4. To register third-party ActiveX controls, type the following command and press Enter:

    regsvr32 [activex_name.dll or activex_name.ocx]

  5. Close the command prompt window.

Parent topic: Multichannel publishing


Dynamic Content

Understand Dynamic Content, learn how to tag content, and how to create Dynamic Content Filters in Adobe FrameMaker. Understand how the Dynamic Content Filtering mechanism works with two example scenarios.

In this topic
  • Introduction
  • Tagging your content
  • Create a Dynamic Content Filter
  • Use Dynamic Content Filters in the published output

Introduction

In Adobe FrameMaker, the Dynamic Content feature allows you to publish content that your users can easily filter based on parameters that you define. For example, you can create Dynamic Content Filters to filter content by region (e.g., “USA”, “CANDA” and “UK”), by audience (e.g., “Administrator” and “End User”) or by content delivery platform (e.g., “Web”, “App”, or “Print”). Dynamic Content also allows you to easily single-source content. To define filter criterion, you can use Conditional Tags or element attributes.

When you publish to Responsive HTML and Mobile App output, a filter tab is displayed that allows users to filter the contents based on the criterion selected. If the user applies a filter, the search limits the results to the filtered content.

Dynamic Content Filters can be applied to Responsive HTML5 and Mobile App outputs.

Tagging your content

To create Dynamic Content Filters in your published output generated with Adobe FrameMaker, you need to tag your content with Conditional Tags or element attributes. Tagged content can then be filtered in the published output.

  • Unstructured content can be tagged with Conditional Text.

  • Structured content can be tagged with element attributes. In DITA, you can use attributes like @audience, @otherprops, @platform, @product, and @rev.

You can apply multiple Conditional Tags to the same content. For example:

  • For one paragraph, create a Conditional Expression “USA AND CANADA” and then provide a filter criterion “North America” in the published output, which combines both.

  • For another paragraph with a variation of the same content, create a Conditional Expression “UK AND GERMANY” and then provide a filter criterion “Europe” in the published output, which combines both.

In the published output, a user then has the option to filter content based on the region. You could also create another Conditional Expression such as “US AND UK” to create a filter criterion titled “English Speaking Markets”.

Also, you can apply Conditional Tags to content in any combination. For this reason, you need to keep in mind how the output will display based on the output filtering mechanism. For an example of how filtering works, see Use Dynamic Content Filters in the published output.

When you use Dynamic Content Filters, you are not required to tag all your content. Any untagged content is regarded as unconditional. Unconditional content will always display to the user regardless of the filter applied.

Create a Dynamic Content Filter

You can create one dynamic filter for each content delivery channel.

To create a Dynamic Content Filter in Adobe FrameMaker, do the following:

  1. Open the document, book, or DITA map that you want to publish.

  2. Choose File > Publish to open the Publish panel.

  3. Right-click on the content delivery channel Responsive HTML5 or Mobile App and select Edit Settings from the context menu. The Publish Settings dialog is displayed.

  4. In the Publish Settings dialog, select the tab General. Select Use Dynamic Content Filter in the output. Click Customize. The Dynamic Content Filter dialog is displayed.

  5. In the Dynamic Content Filter dialog, click the Add New Group icon to create a filter criteria group.

    Define a display name for this criteria group.

  6. Click the Add Criteria icon to create a new filter criterion. Adobe FrameMaker automatically recognizes if you are editing the settings for unstructured or structured content.

    • For unstructured content, the Tags and Expressions dialog is displayed. The available Conditional Tags and Conditional Expressions are displayed.

      Select the Conditional Tags or Conditional Expressions to include in the criteria group.

      Click OK to close the Tags and Expressions dialog.

    • For structured content, the Select Conditional Attribute dialog is displayed.

      Select one of the available element attributes from the Attribute drop-down list.

      In the Attribute Value text field, define the attribute value that will be used to filter the content.

      In the Display in Output as text field, define the name that will be displayed in the published output for this criterion.

      Click OK to close the Select Conditional Attribute dialog.

  7. Define if you want to filter content by default in the published output. To set the default filter criterion, right-click the filter criterion. Select Select by default.

  8. To change the display name of a filter criterion or a filter criteria group, right-click on the display name. Select Rename from the context menu.

  9. To allow your users to select multiple filter criteria, select Allow Multiple Selection in a Group.

  10. Use the navigation arrows to move the filter criteria group groups and the filter criterion within a filter. For example, to move a filter criterion out of a group, click the left arrow. This moves the filter criterion to the same level as the containing group and just above the group. Use the right arrow to move a filter criterion that is outside any group into the available next group below it. You can also move the filter criterion up and down within one filter criteria group.

  11. Click Save.

  12. In the Publish Settings dialog, click Save and Close.

Note: The display names of a Filter criteria group must be unique. Also, filter criterion display names within a filter criteria group must be unique. The validation of the uniqueness of a display name is case-insensitive. For example, you cannot create two display names End-User and END-USER within the same group.
Note: You can include special characters in the display name filter criterion. However, the following characters are not allowed: colon (:), semi-colon (;) comma (,), percent (%), ampersand (&), hash (#), and equals (=)
Note: If no content is tagged with a Conditional Tag or an element attribute, the filter criterion is not displayed in the published output. If none of the filter criteria within a filter criteria group can be displayed, the whole filter criteria group is not displayed. Also, if a Conditional Tag is not used in the filter (as Conditional Tag or as part of an Conditional Expression), then this Conditional Tag is removed from the content it is applied on in the project.

Use Dynamic Content Filters in the published output

After you have defined a Dynamic Content Filter, you can generate the output.

The published output contains a filter icon in the function bar (navigation area). Click the filter icon to display the Dynamic Content Filters available.

To filter the contents, select the filter criteria groups or a specific filter criterion within a filter criteria group.

The following sections explain for two scenarios the possible results of applied filters to describe how the Dynamic Content Filtering mechanism works:

Select one criterion in a filter criteria group

In the “Region” filter, if you select “US”:

  • All content marked only with “US” displays.

  • All content marked with a combination of “US” and any other criterion displays.

    Content marked with “US” and “UK” displays, but content marked only with “UK” is hidden. Also, content marked with “UK” and “CANADA” will be hidden.

  • All content marked with Conditional Tags or element attributes in the filter criteria group “Audience” is not displayed unless the content is combined with “US”.

    Content marked with “US” and “PDF” will display. But content marked only with “PDF” is hidden. Also, content marked with the Conditional Tags “UK” and “Print” is hidden.

  • All untagged content displays.

Select one criterion in one filter criteria group and another criterion in a second filter criteria group

If you select “US” in the “Region” group and “Print” in the “Platform” group:

  • All content marked with only “US” displays.

  • All content marked with only “PDF” displays.

  • All content marked with any other Conditional Tag or element attribute or combination of other Conditional Tags is hidden.

  • All content marked with a combination of the Conditional Tags “US” and “PDF” displays.

  • Content marked with a combination of “US” with any other condition is hidden.

  • Content marked with a combination of “PDF” and any other conditional is hidden.

  • Content marked with “US”, “Print”, and “Online” displays.

  • Content marked with “US” and “Online” or “Print” and “Online” is hidden.

  • All untagged content displays.

Parent topic: Multichannel publishing


Format the Table of Contents for publishing

Learn how to format the Table of Contents (TOC) for the published output in Adobe FrameMaker to show correct indentation of topics.

In this topic

  • Introduction

  • Indent TOC items in a book

  • Specify number of TOC items in a DITA map

Introduction

In an Adobe FrameMaker book or a DITA map, you can define a table of contents (TOC). You can then use multichannel publishing to display this TOC in any of the available output formats. For example, on a Responsive HTML5 desktop layout the TOC is displayed on the left, by default.

ResponsiveHTML5 desktop layout of a Table of Contents

When displaying a TOC in the published output, the different levels of paragraphs should ideally display with appropriate indentation. For example, the heading What is FrameMaker should display indented to the right of the chapter title Getting Started. This provides a clear indicator to a reader regarding the level of the specific heading in the TOC.

Indent TOC items in a book

FrameMaker indents the items in the TOC, based on any one of the values of the following paragraph style properties:

  • First indent (Format > Paragraphs > Paragraph Designer > Basic)

  • Font size (Format > Paragraphs > Paragraph Designer > Font)

  • Font Weight (Format > Paragraphs > Paragraph Designer > Font)

When you define the headings in the document template, you need to ensure that the first indent, font size, or font weight values for each of the TOC headings that appear in the published TOC appropriately set.

The following example, shows a list of possible values for the headings in a template. FrameMaker uses any one of the above properties to indent the TOC items:

Heading1TOC
First Indent: 0.0"
OR
Font Size: 16 px
OR
Font Weight: Bold
Heading2TOC
First Indent: 0.5"
OR
Font Size: 14 px
OR
Font Weight: Regular

Specify number of TOC items in a DITA map

When you publish a DITA map, by default, the TOC displays up to four levels of TOC headings:

title.0|title.1|title.2|title.3|title-index.

You can change this to specify the number TOC headings that you want to display in the TOC. You can specify from 1 (title.0|title-index) through 5 (title.0|title.1|title.2|title.3|title.4|title-index) headings.

To display 5 headings in the output TOC:

  1. Open the ditafm-output.ini file in a text editor and locate the BookWithFM-TOC section.

    The ParaTags setting controls the number of headings to display in the output TOC.

    [BookWithFM-TOC]
Template=TOCTpl.fm
ElementTags=
ParaTags=title.0|title.1|title.2|title.3|title-index

  2. To change the number of headings, update the ParaTags setting. For example, to display 5 headings in the TOC:

    ParaTags=title.0|title.1|title.2|title.3|title.4|title-index
Parent topic: Multichannel publishing
  • Add generated files to a book


Print output

Learn how to prepare your book for commercial printing, print a book or selected book components, and print into a PostScript file.

  • Prepare color documents for output
    Understand how to use color separation for commercial printing with Adobe FrameMaker.
  • Print a document
    Understand how to print a document and the various print options available in Adobe FrameMaker.
  • Print a book
    Know how to print a book or selected book components with Adobe FrameMaker and understand the different printing options available.
  • Create a PostScript file
    Know how to print a complete book or a single document into a PostScript file with Adobe FrameMaker.
Parent topic: Print and publish


Prepare color documents for output

Understand how to use color separation for commercial printing with Adobe FrameMaker.

Prepare color documents for commercial printing

You can print each page of a document as a series of color separations. Color separation splits color images into several pages. Each page contains one component color. A commercial printer uses the separations to make printing plates, one for each color.

You can also print mirror and negative images, which is sometimes required when commercially printing to film.

If color objects overlap in your document, you can overprint. Overprinting prints an object (most often a dark one) on top of another color object. You can also create a knockout, in which the top color is printed but colors behind it are not. You can use trapping to ensure that no gap exists between objects.

Print color separations

When you print color separations, choose which colors to print as spot colors, which to print as process colors, and which not to print at all. Text and graphic objects are printed in black for each separation, with shades of gray indicating the percentages of color saturation. The color name of each separation is printed outside the registration marks (if registration marks are on and if there is room on the page).

Note: For best results, print CMYK colors as process rather than spot-color inks. You can check plate assignments in the Separations Setup dialog box (File > Print and click Separations Setup).

Graphic illustrating Compositeimage, Black separation, and Spot color separation

A. Composite image B. Black separation C. Spot color separation

Imported color graphics are separated if they are in CMYK, TIFF, DCS, or EPS line art format. Also, bitmap images in EPS graphics can be separated as long as they can also be separated in Adobe Illustrator.

You can also separate a document by printing to a single PostScript file and then having a commercial printer separate the file for you.

Make sure that spot colors with identical definitions have the same names. Spot colors with the same definition but with different names appear on different plates when you print color separations.

Process color separations are printed using grids of black dots for each color the larger the dots, the more color is printed. The halftone screen settings control how close together the dots appear, the orientation of the grid (the screen angle), and the dot shape. For information, consult your printer documentation and your commercial printer.

To create color separations, do the following:

  1. Make sure that you have not set colors to print as black and white instead of shades of gray.

  2. Choose File > Print.

  3. Choose an option from the Registration Marks drop-down list.

  4. To print all pages for one plate and then all pages for the next plate, deselect Collate. Select Collate to print all plates for one page before printing all plates for the next page, and so on.

  5. Click Separations Setup.

    Figure 1. Set Print Separations dialog in Adobe FrameMaker
    Thescreenshot shows the “Set Print Separations” dialog in Adobe FrameMaker

    If necessary, move the color names to the appropriate scroll lists and click Set. To move a color, double-click the color. To move all colors, select a color in the list, hold the Shift key and click an arrow.

    Tints do not appear in this dialog box; they print on the same plate as the base color.

    If your printer cannot print process color separations, the dialog box contains only the Print As Spot and Don’t Print scroll lists. The scroll list where each color appears by default depends on how the color was defined on its Print As setting.

  6. To specify halftone screen settings, click Halftone Screens.

    Figure 2. Halftone Screens dialog in Adobe FrameMaker
    Thescreenshot shows the “Halftone Screens” dialog in Adobe FrameMaker

    In the Halftone Screens dialog, adjust the settings and click Set.

  7. In the Print dialog box, select Print Separations, set the remaining print options as necessary, and then click Print.

Knock out and overprint colors

When one color object overlaps another, FrameMaker normally knocks out the overlapped portion so that it does not print in a color separation. It appears as the color of the paper. If you are producing color separations and printing commercially, registration errors sometimes occur, and small gaps between colors appear.

Figure 3. Accurate and inaccurate registration
Illustrationshowing accurate and inaccurate registration

To avoid gaps between colors, you can apply overprinting to the top object so that the overlapped portion is not knocked out.

Figure 4. Knocked out (left) and overprinted (right)
Illustration showing Knocked out (left) andoverprinted (right)

Figure 5. You can also use overprinting to combine two colors for special effects.
Usingoverprinting to combine two colors for special effects

To knock out or overprint all objects of a particular color, do the following:

  1. Define a color.

  2. To make this color print on top of other colors when printing separations, do one of the following:

    • To have any object that uses this color overprint, select Overprint.

    • To have any object that uses this color knock out, select Knock Out.

To apply knock out or overprint to objects, do the following:

  1. Select the object and open the Tools palette or choose Graphics > Object Properties. Select Fill in the properties dialog.

  2. Choose one of the following options for Overprint:

    • To have this object knock out objects beneath it, select Knock Out.

    • To have this object overprint objects beneath it, select Overprint.

    • To have this object use the overprint setting defined for the color, select From Color. This option is the recommended setting.

To overprint images created in other applications, do the following:

If you want images created in other applications to overprint other objects when printed from Adobe FrameMaker, note these special cases:

  • CMYK TIFF files overprint objects on spot color plates under all of the following conditions: if printed as separations, if their Overprint attribute is set to True, and if their Fill property is set to None.

  • EPS files do not overprint other objects when printed as separations.

Print negative and mirror images

Your commercial printer sometimes asks you to print negative images in which all text and objects are inverted when you submit printing files on film. Sometimes you print flipped images with the emulsion side down. Emulsion is the photosensitive substance on the film surface. These flipped images mirror the normal appearance of the pages.

Note: Sometimes the settings differ depending on the printer driver you are using, and are unavailable with non-PostScript printer drivers.

  1. Choose File > Print Setup. Click Properties to access the printer driver options. Locate and set the options that control negative and mirror images.

Trap objects

In commercial printing, overprinting to compensate for registration errors sometimes produces unacceptable color mixing. In this case, perhaps you trap the object instead of overprinting it. A trap is a line bordering the object on top. It is wide enough to fill the color gap and to overprint the other object along the border of its cutout.

Figure 6. Without trapping and with trapping
Illustration showing objectwithout trapping and with trapping

Having a commercial printer trap your documents saves you the effort of hand-trapping each object individually. Also, manual trapping sometimes must be undone if you later decide to have a commercial printer do the trapping.

  1. Create a border for the object on top by duplicating the object and setting the duplicate fill pattern to None. Be sure that the duplicated object is exactly over the original.

  2. Set the line width of the border as appropriate. Consider the size and contour of the object, the type of printing paper, and the accuracy of the printing press. Consult your commercial printer for information on suitable line widths for trapping.

    The stroke of a line is always centered on an object edge. Therefore, double the line width specification that the commercial printer gives you.

  3. Select the border and select Overprint from the Tools palette.

Processing color documents using OPI

You can have a document color separated, or have all objects in a document or book trapped by printing to a PostScript file. Then have a commercial printer process the PostScript file for you. Creating a PostScript file in this way embeds instructions in the file. These instructions conform to the Adobe Document Structuring Convention (DSC). DSC enhances the performance of postprocessing products that perform trapping and imposition. DSC also lets you take full advantage of products that support Open Prepress Interface (OPI) version 1.3. OPI reduces the hardware overhead for working with high-resolution color images.

OPI-enhanced PostScript files contain information that the commercial printer software uses to match the placeholder images with the high-resolution ones at print time.

Note: Before beginning, ask your commercial printer for any special instructions for producing PostScript files.

  1. Ask your service bureau or commercial printer to make high-quality scans of your artwork and keep the high-resolution images. You take the OPI-ready low resolution EPS or TIFF versions of the images to work with.

  2. Import (by reference or by copying) the low resolution images into your document.

  3. Create a print file, or a series of print files for a book.

Print to Linotronic typesetters

Here are some tips for printing to Linotronic typesetters:

  • Some Linotronic typesetters automatically place registration marks on the page. Check with your service bureau to see whether to use the Registration Marks setting when you print.

  • Not all Linotronic models support thumbnails. Test various thumbnail settings to find the optimum setting. Some Linotronic models print 1×2 thumbnails correctly, but not 2×2 thumbnails.

  • Some Linotronic drivers fail to let you enter a custom paper size even after you have chosen User Defined Size in the Paper Size drop-down list. To enter a custom paper size, right-click the Linotronic driver and select Properties. Click the Paper tab, and then select the custom paper size icon from the scroll list of icons.

Parent topic: Print output


Print a document

Understand how to print a document and the various print options available in Adobe FrameMaker.

In this topic

  • Introduction

  • Print to a desktop printer

  • Print options

Introduction

In Adobe FrameMaker you can print a document to any printer you have installed. When you print a document, you can specify options such as how many copies to print and whether to print crop marks and registration marks. The available options vary slightly with the printer you are using. You can also print a book made up of several documents.

If you have turned off graphics in the View Options dialog box, graphics do not appear in the printed document.

Remember: In structured documents, element boundaries (either as brackets or as tags) are printable characters. Hide these boundaries before you print.
Note: For PostScript printing, use a PostScript Level 2 or higher output device and make sure that you use a print driver and PPD for such a device.

Print to a desktop printer

You can print each page of a document as a composite. A composite page contains all the colors on the page. You print a composite color document when printing to a desktop color printer.

To print to a FrameMaker document desktop printer, do the following:

  1. Choose File > Print.

  2. Specify the page range that you want to print.

  3. Make sure that Print Separations is unselected.

  4. Set the remaining print options as necessary and click Print.

Print options

The following print options are available for all printers. All these options are in the Print dialog box. For information on additional options available for your printer, see your printer documentation.

Note: Adobe FrameMaker has no control over the abilities or limitations of any printer driver. FrameMaker can only support printer drivers that have been approved for use in the version of Windows, where FrameMaker is running. If you are using an outdated printer driver, you may experience problems, such as lost graphics and characters, and the inability to open documents. See the Adobe website for information on installing the latest PostScript drivers.
Collating

To print one complete copy before printing the next copy, select Collate when you are printing multiple copies. Printing might be slower when Collate is selected.

Printing double-sided

To print a double-sided document, print the odd-numbered pages, turn the paper over and reinsert them into the printer, and print the even-numbered pages. Depending on how your printer produces pages, you may need to select Last Sheet First before you click Print. Turning the paper over in the printer may reverse the page order.

Changing page order

To print a document starting with the last page, select Last Sheet First.

Printing more quickly

To print a document more quickly, select Low-Resolution Images. The imported images are printed as gray boxes.

Printing crop marks and registration marks

To print a document with crop marks and registration marks, choose an option from the Registration Marks drop-down list. You may need to scale down the printed page or choose a larger page size so that crop marks and registration marks fit on the page.

You can choose between Western and Tombo (Japanese) crop marks.

Figure 1. Western and Tombo crop marks
Printing Western andTombo crop marks

Reducing or enlarging the page image

To print a reduced or enlarged page image centered on the page, enter a percentage in the Scale box.

Printing thumbnails

To print thumbnails (small images of several pages on one page), enter values in the Thumbnails text boxes. In the Rows box, enter the number of thumbnails you want to print down the page. In the Cols box, enter the number of thumbnails you want to print across the page.

Skipping blank pages

To prevent printing blank pages, select Skip Blank Pages.

Printing colors in black and white

To ensure that colored objects (FrameMaker illustrations and text) are printed in black and white rather than in shades of gray, select Spot Color As Black/White.

Feeding paper manually

To print the document on paper that is not in your printer paper cassette, choose File > Print Setup. Select Manual Feed from the Source drop-down list, and click OK.

Note: The Print Document dialog box in FrameMaker contains some options that may also appear in the Windows printer properties, such as the number of copies. When you print a document, FrameMaker printer settings override Windows printer settings.
Parent topic: Print output
Related information
  • Element boundaries
  • Print a book
  • Prepare color documents for output


Print a book

Know how to print a book or selected book components with Adobe FrameMaker and understand the different printing options available.

In this topic

  • Introduction

  • Print a complete FrameMaker book

  • Print specific files of a FrameMaker book

Introduction

When you print a document, you can specify options such as how many copies to print and whether to print crop marks and registration marks. The available options vary slightly with the printer you are using.

If you have turned off graphics in the View Options dialog box, graphics do not appear in the printed document.

Tip: Before printing, update the book. Choose Edit > Update Book to update numberings, text insets, cross-references, OLE links, and Mini TOCs, the table of contents, indexes, and other generated lists, and optionally re-apply master pages.
Remember: In structured documents, element boundaries (either as brackets or as tags) are printable characters. Hide these boundaries before you print.

Print a complete FrameMaker book

To print a complete FrameMaker book, do the following:

  1. Open the book you want to print.

  2. Choose File > Print Book.

  3. Specify the printing options. Click Print.

Print specific files of a FrameMaker book

To print a only specific files of a FrameMaker book, do the following:

  1. Open the book you want to print.

  2. In the book panel, select the file or files you want to print.

  3. Choose File > Print Selected Files.

  4. Specify the printing options. Click Print.

Parent topic: Print output
Related information
  • Print a document


Create a PostScript file

Know how to print a complete book or a single document into a PostScript file with Adobe FrameMaker.

In this topic
  • Introduction
  • Create a print file from a document
  • Create a single print file from a book
  • Create a single print file for selected book components
  • Create separate print files for all book components
  • Create separate print files for selected book components

Introduction

With Adobe FrameMaker, you can print a document or a complete book into a single PostScript file (also called a “print file”). You can also print all book components into a series of print files. Also, you can also print only selected book components into a single print file or a series of print files.

You can download the created PostScript print file to a PostScript printer or send it to a print service provider. You can also use Adobe Acrobat Distiller to convert the PostScript print file into a PDF.

Note: For PostScript printing, use a PostScript Level 2 or higher output device and make sure that you use a print driver and PPD for such a device.

Create a print file from a document

To create a print file from a FrameMaker document, do the following:

  1. Open the document you want to print.

  2. Choose File > Print.

  3. Select Print to File and enter the path and filename in the text box or click Browse to select a folder and filename.

  4. Click Print.

Create a single print file from a book

To create a single print file from a FrameMaker book, do the following:

  1. Open the book you want to print.

  2. Choose File > Print Book.

  3. In the Print Book dialog, select Print to File and enter the path and filename in the text box or click Browse and select a folder and filename.

  4. Select Single File from the Save Books As drop-down list.

  5. Click Print.

Create a single print file for selected book components

To create a single print file for selected FrameMaker book componentes, do the following:

  1. Open the book you want to print.

  2. In the book panel, select the book components you want to print.

  3. Choose File > Print Selected Files.

  4. In the Print Selected Files in Book dialog, select Print to File and enter the path and filename in the text box or click Browse and select a folder and filename.

  5. Select Single File from the Save Selected Files As drop-down list.

  6. Click Print.

Create separate print files for all book components

To create a series of print files for all FrameMaker book componentes, do the following:

  1. Open the book you want to print.

  2. Choose File > Print Book.

  3. In the Print Book dialog, select Print to File and enter the path and filename in the text box or click Browse and select a folder and filename.

  4. Select Separate File for Each Document from the Save Book As drop-down list.

  5. Click Print.

Create separate print files for selected book components

To create separate print files for selected FrameMaker book components, do the following:

  1. Open the book you want to print.

  2. In the book panel, select the book components you want to print.

  3. Choose File > Print Selected Files.

  4. In the Print Selected Files in Book dialog, select Print to File and enter the path and filename in the text box or click Browse and select a folder and filename.

  5. Select Separate File for Each Document from the Save Selected Files As drop-down list.

  6. Click Print.

Parent topic: Print output
Related information
  • Save as PDF


Translation

Learn how Adobe FrameMaker can help you prepare your content for translation.

FrameMaker supports converting FrameMaker documents, books, DITA content, and any other XML content into the XML Localization Interchange File Format (XLIFF). XLIFF is an open XML-based format that is used to standardize the data transfer between various tools used in the content translation process. XLIFF provides elements and attributes that allow for content translation and stores the translated content in a Translation Memory (TM).

FrameMaker creates XLIFF files compliant to the XLIFF 1.2 standards that can be processed in any translation tool that supports XLIFF 1.2. Also, you can share the XLIFF files for Machine Translation (MT) or Human Translation (HT), reviews, QA checks between any of such tools. This makes both the content owner as well as the translator independent from the tools used in the translation process.

  • Export files to XLIFF
    Learn how to export Adobe FrameMaker documents, structured FrameMaker documents, DITA, and any other XML-based content to XLIFF for translation.
  • XLIFF Conversion Report
    Understand the XLIFF Conversion Report that is generated post XLIFF conversion.
  • Advanced configurations for XLIFF conversion
    Learn how to configure settings for XLIFF conversion process.
  • Import XLIFF files
    Learn how to import translated XLIFF files back into Adobe FrameMaker.
Related information
  • XLIFF Version 1.2


Export files to XLIFF

Learn how to export Adobe FrameMaker documents, structured FrameMaker documents, DITA, and any other XML-based content to XLIFF for translation.

To export your document to XLIFF, perform the following steps:

  1. Open the document that you want to export.

  2. Select File > Translation > Export to XLIFF 1.2.

    Depending upon the type of document you are exporting, one of the following dialogs will appear.

    The following dialog appears when you are exporting an FrameMaker book or document.

    Figure 1. XLIFF Export Settings dialog when exporting FrameMaker documents

    The following dialog appears when you are exporting a structured map or topic.

    Figure 2. XLIFF Export Settings dialog when exporting structured documents

  3. In the XLIFF Export Settings dialog, configure the translation settings:

    Package Filename

    By default, the name of the source file is used to create the package ZIP. The package file contains the converted XLIFF files. You can change the filename and location by clicking the browse icon.

    XTS File

    All settings in the XLIFF Export Settings dialog are saved in a .xts file. This file can then be reused for subsequent translation projects.

    Select an existing XLIFF Translation Settings (XTS) file to use or use the default settings file available at the following location:

    C:\Program Files\Adobe\Adobe FrameMaker 2022\Translation\XLIFF\config\default.xts

    For more information about configuring XTS file, see Advanced configurations for XLIFF conversion.

    Note: Ensure that the XTS file location does not contain any Unicode character, else the export process might not work as expected.
    Source Language

    Select the source language of your document that you are converting.

    Embed Skeleton to XLIFF (recommended)

    A Skeleton file is the original source document, embedded or linked in the XLIFF header. This helps to ensure that the file can be converted back after translation. Embedding is recommended, so that the XLIFF file can always be converted back even if the original files are lost.

    Apply XLIFF Segmentation Rules

    Segmentation is a process of breaking down content into smaller translatable segments. Segmentation is used to split a longer text passage, such as a paragraph consisting of multiple sentences, into multiple segments to get smaller, and therefore better reusable translation units. You can define rules to create segments at a sentence, paragraph, or a phrase level. Use this option to apply the segmentation rules defined in the SRX in your XTS configuration file.

    The following additional settings are available when exporting FrameMaker or custom structured (non-DITA) documents:

    Expose Text on Reference Pages

    Select this option to include text from the reference pages.

    Expose Text on Master Pages

    Select this option to include text from the master pages.

    Expose Hidden Conditional Text

    Select this option to include conditional text that is currently hidden in the document.

    Expose Text in Insets

    If you have text insets, you can select this option to include the text of those insets, which are copied into the document. This does not include the referenced text insets.

    Expose Document Information

    Select this option to include document information or metadata.

    Expose Variable Format Definitions

    Choose the variable formats that you want to include. You can choose to omit all formats, include all formats, or include only those variable formats that are used in the document.

    Expose Cross-Reference Format Definitions

    Choose the cross-reference formats that you want to include. You can choose to omit all formats, include all formats, or include only those cross-reference formats that are used in the document.

    Expose Content of External Cross-References

    Select this option to include any external cross-reference that you have used in your document.

    Expose Numbering Styles

    Choose the numbering styles that you want to include. You can choose to omit all numbering styles, include all numbering styles, or include only those numbering styles that are used in the document.

    Expose Prefix/Suffix Rules

    Select this option to include the prefix or suffix rules that you have used in your structured documents.

    Expose Attribute Values
    Select this option to include attribute names and their values.
    Remove Discretionary Hyphen

    Select this option to remove discretionary hyphens that you have added manually to enforce a certain hyphenation. These discretionary hyphens usually are interpreted differently in different languages.

    Split Multilevel Index Markers

    Select this option to split index markers with multiple levels or multiple index entries into separated segments and translation units.

    Move Index Markers to Beginning of Paragraph

    Select this option to move all index markers from the respective word/phrase to the beginning of the paragraph.

    You should only use this option if you have index marker with index entries. Do not use this option if you are using empty index markers, as the index generation depends on the position of the index marker in front of a word/phrase.

    Process Soft Returns

    Choose how to process soft returns in your content. You can choose to process them as line feed characters, inline tags, or segmenting hard returns.

  4. Click Export.

FrameMaker now converts the documents into XLIFF and creates the translation package (ZIP). On completion of the process, FrameMaker displays the XLIFF Conversion Report.

Note: Click Save Settings to save the XLIFF export settings you have configured in the XLIFF Export Settings dialog. You can reuse these settings for subsequent translation.
Parent topic: Translation
Related information
  • Segmentation
  • SRX 2.0 Specification


XLIFF Conversion Report

Understand the XLIFF Conversion Report that is generated post XLIFF conversion.

Once the XLIFF conversion is complete, FrameMaker displays the XLIFF Conversion Report in a panel. The conversion report contains the following sections and information:

Figure 1. XLIFF Conversion Report

Information such as unique job ID for the XLIFF translation, a title based on the document name are shown in the first section of the report.

The Logfile Errors/Warnings section contains the number of errors, warnings, and information messages logged for the conversion process. All errors and warning messages are listed in a separate table in this section.

The Log Complete section contains information about the overall export process.

Parent topic: Translation


Advanced configurations for XLIFF conversion

Learn how to configure settings for XLIFF conversion process.

The default XLIFF conversion settings are good for most of the basic translation jobs. However, as an advanced user, you can configure and customize settings relevant to your translation job by making changes in the configuration files. The translation configuration files are bundled in the XLIFF Translation Settings (.xts) file. You need to take the default settings file, make changes to it, and then use the updated file for the conversion process.

To extract the configuration files from the default (.xts) settings file, perform the following steps:

  1. Use the XLIFF Export Settings dialog to configure your basic settings.

  2. Click Save Settings in the XLIFF Export Settings dialog and save the settings file.

  3. Rename the settings file extension from.xts to .zip.

  4. Use any archiving tool, which can handle ZIP files, and extract the contents of your settings file.

    The following screenshot displays the extracted contents of the default .xts file:

    Figure 1. Contents of the XTS file

    The XLIFF configuration files are explained below:

    dita
    The dita folder contains the Internationalization Tag Set (ITS) rules for DITA 1.3 to XLIFF 1.2 conversion. You need to define your rules in the itsrules_overrides.xml file.
    Note: You will also find an itsrules.xml file in the same folder. It is recommended not to make any changes in the itsrules.xml file. Changes in the itsrules_overrides.xml file get higher priority and override rules defined in the itsrules.xml file.
    mif
    The mif folder contains the ITS rules for MIF 2022 to XLIFF 1.2 conversion. You need to define your rules in the itsrules_overrides.xml file.
    Note: You will also find an itsrules.xml file in the same folder. It is recommended not to make any changes in the itsrules.xml file. Changes in the itsrules_overrides.xml file get higher priority and override rules defined in the itsrules.xml file.
    xml
    The xml folder contains the ITS rules for custom XML to XLIFF 1.2 conversion. You need to define your rules in the itsrules.xml file.
    srx
    The srx folder contains the Segmentation Rules eXchange (SRX) file. Use the srxrules.xml file to defines segmentation rules for XLIFF 1.2 content.
    catalog.xml
    The catalog.xml file contains redirects DocTypes (DTD) und public IDs (RelaxNG) to its XSD representation. If you are using specialized DITA, then you need to add a mapping for your DTD/RelaxNG and their XSD.
    root_catalog.xml
    The root_catalog.xml file contains the path to the default DITA 1.3 implementation shipped out-of-the-box in FrameMaker. The default path points to <FrameMaker_Install_Location>\fminit\ditafm\ditaot location. If your DTD/RelaxNG/XSD are available at a different location, then you must update the path in this file.
    xliffsettings.xml
    The xliffsettings.xml file contains the settings configured through the XLIFF Export Settings dialog.

  5. Once you have made changes to the settings file, use any archiving utility to package all files into a ZIP file.

  6. Change the .zip extension to .xts.

Your updated settings file is now ready. Specify the path of this file in the XTS File location setting in the XLIFF Export Settings dialog.

Parent topic: Translation
Related information
  • Segmentation
  • SRX 2.0 Specification


Import XLIFF files

Learn how to import translated XLIFF files back into Adobe FrameMaker.

Once you share the XLIFF file with your translation service provider, the translator processes the file, extracts translatable content, and finally translates the content. This could go through multiple iterations before the final set of translated content is made available. Once the translated content is ready, the translation service provider gives the translated XLIFF files back to you. FrameMaker allows you to easily import the translated XLIFF file back in FrameMaker and you can publish it in the desired output format.

To import the XLIFF file, perform the following steps :

  1. Go to File > Translation > Import XLIFF.

    Figure 1. XLIFF Import Settings dialog

  2. In the XLIFF Import Settings dialog, specify the Package Filename that you have received from your translation service provider.

  3. Specify an Output Directory to extract the file contents.

    Note: It is recommended to use an empty Output Directory. If you are using a directory where you had extracted the XLIFF files earlier, then those files will get overwritten.

On successful execution of the import process, a success message is displayed along with the XLIFF (import) Conversion Report.

Parent topic: Translation


Content Management Systems

See how you can collaborate with various content management systems in FrameMaker.

When working with documents, you often find the need to maintain versions of documents. This is helpful to manage content, compare changes across document versions. Also, maintaining versions is relevant and imperative in a collaborative authoring environment. In a collaborative environment, more than one writer can be working on the same document. Often even on same parts of one document. To allow you to work in this type of an environment, FrameMaker ships with connectors to the following content management systems (CMS):

  • Adobe Experience Manager

  • Documentum, Microsoft SharePoint, and DitaExchange

  • WebDAV

  • Adobe Experience Manager
    Know what Adobe Experience Manager is and how you can work with Adobe Experience Manager in FrameMaker.
  • Documentum, Microsoft SharePoint, and DitaExchange
    Learn how Adobe FrameMaker provides connectors that enable integration with Documentum, Microsoft SharePoint, and DitaExchange.
  • WebDAV
    Learn about WebDAV servers and WebDAV URLs and how you can collaborate with WebDAV in Adobe FrameMaker.


Adobe Experience Manager

Know what Adobe Experience Manager is and how you can work with Adobe Experience Manager in FrameMaker.

Built atop the industry-leading JSR-283-compliant CRX content repository, Adobe Experience Manager (AEM and formerly CQ) provides a complete suite of applications for the Web Experience Management (WEM) of organizations. FrameMaker ships with an out-of-the-box connector to Adobe Experience Manager. FrameMaker also provides you with an easy-to-use interface that allows you to maintain versions of your documents in a distributed and collaborative environment.

  • Set up the Adobe Experience Manager connector
    Learn to set up an Adobe Experience Manager connection in Adobe FrameMaker.
  • Repository Manager
    Learn how to work with Repository Manager in FrameMaker.
  • Working with Adobe Experience Manager CRX folders
    Understand how you can create a CRX folder and upload files from Adobe FrameMaker to Adobe Experience Manager. See the various other operations that you can perform on the folder.
  • Working with files
    After you upload a file to the repository, you can perform CMS file operations on the file such as check-out, open read-only, check-in, view dependents, and more.
  • Searching in an Adobe Experience Manager repository
    Understand how you can perform intuitive search in the Adobe Experience Manager repository.
  • Reviews with Adobe Experience Manager Guides and FrameMaker
    Know how you can perform AEM Guides based review and work with review comments in FrameMaker.
  • XMP Metadata in FrameMaker and Adobe Experience Manager
    See how you can work with XMP Metadata in FrameMaker and Adobe Experience Manager.
  • Edit the Adobe Experience Manager preferences in the CQPreference.xml file
    Know how you can edit the preferences of the Adobe Experience Manager connector in Adobe FrameMaker using the CQPreference.xml file.
Parent topic: Content Management Systems


Set up the Adobe Experience Manager connector

Learn to set up an Adobe Experience Manager connection in Adobe FrameMaker.

Adobe Experience Manager (AEM) is a Web content management system that allows you to store digital assets in its DAM (Digital Asset Management) repository. The AEM connector allows you to manage your FrameMaker documents using the DAM.

Note: You can choose to store your documents in any AEM folder. If you use the AEM DAM, you will be able to take advantage of the DAM features such as searching for digital assets.

Before you begin

Install Java Runtime on the system and set JAVA_HOME environment variable.

Note: AEM connector supports the cipher suites provided by Java for TLS handshake in HTTPS connection.

Connection Manager dialog

Figure 1. Connection Manager dialog in FrameMaker
Connection Manager dialoginFrameMaker
Name

A friendly name for your FrameMaker – Adobe Experience Manager connection.

Server

The AEM server location in the following syntax:

http://<server-name>:<port-number>/crx/server

Use Single Sign-On (SSO)

If your organization uses SSO for AEM server authentication, then select this option. When you select this option, the password field will be removed from the interface.

User Name and Password

Specify the User Name and Password to connect to the AEM server. Select the Save Password option to save the password.

Workspace

Adobe Experience Manager workspace.

Default workspace: crx.default.

You are recommended to create a folder within the DAM workspace. However, you can create a folder at any location in the repository.

Local Folder

Local folder location to save files from AEM.

The default location is C:\Users\<usernname>\Documents. You can change the default location by clicking the Browse button.

FrameMaker always creates the local download folder in lower case, irrespective of the connection title provided in the Connection Manager dialog.

Client authentication on AEM server

FrameMaker has the feature to validate the client authentication configured in the AEM server for your organization. Support for client authentication during TLS handshake is added to the AEM connector. Due to this, when you try to connect to a server with client authentication enabled, FrameMaker prompts you to select a certificate. Once you choose a certificate, TLS handshake proceeds with this certificate. After the client certificate is validated on the server, the login process begins and establishes the connection to the AEM repository.

You can override the client certificate to be used by adding a setting in the CQPreference.xmlfile and providing the alias name of the certificate. For example, you can add the following setting where "Adobe" represents the alias name of your client certificate:

<ClientCertificateAliasOverride value="Adobe"/>
FrameMaker then picks the certificate mentioned in the setting for login and does not prompt for certificate selection.
Note: For the changes to take effect, you need to restart FrameMaker.

Setting up the Adobe Experience Manager connector

Note: The Adobe Experience Manager settings in the Preferences dialog provide some more options to specify proxy server to connect with an AEM server. See CMS > Adobe Experience Manager for more details.

  1. Choose File > CMS > Connection Manager.

    The Connection Manager dialog is displayed.

  2. In the Choose Connection drop-down, select Adobe Experience Manager.

  3. Enter a friendly name and server location.

  4. If your organization uses SSO-based authentication, then select the Use Single Sign-On (SSO) option.

    Else, enter the User Name and Password for regular authentication.

  5. Specify the Adobe Experience Manager Workspace or use the default (crx.default) workspace.

  6. Select a Local Folder path.

  7. Click Connect to set up the FrameMaker – Adobe Experience Manager connector.

    Note: If you are using SSO-based authentication, then a popup window might appear and take you through your organization’s SSO-based authentication process. You must close the window after completing the login process.

    On successful login, the Repository Manager window is displayed.

Note: In the Connection Manager dialog, click Clear if you want to clear the entries. It clears out all entered values and resets the Workspace and Local Folder fields to their default values.
Note: In the Connection Manager dialog, click Remove to remove the connection from Connect to a Favorite list.

Enable UUID-based files support

Adobe Experience Manager Guides (referred to as AEM Guides later in this guide), Adobe's DITA CCMS, supports Universally Unique Identifier (UUID) based file referencing system. Using AEM, you can download files that use UUID-based file referencing system through the AEM Connector. UUID files are downloaded as flat files without any hierarchical folder structure. Each file has a unique UUID, which helps identify it in the file system. Once you have downloaded the files from AEM onto your system, you can edit and publish them in FrameMaker.

Note:
  • If you use AEM Guides as a Cloud Service (January 2022 release and later), you can author and publish your UUID-based files in FrameMaker.
  • If you use AEM Guides, you can publish your UUID-based files in FrameMaker.
The flat file hierarchy saves all referenced topics and media files in a single folder. As all the references in AEM Guides are UUID-based, the flat hierarchy helps maintain the references. These references do not change even when you move the files from one location to another.
The following screenshots display UUID-based files opened in FrameMaker for editing. The Book window displays the UUIDs of files that are a part of the DITA map. When you open a file, the UUID is displayed as the title of the document window.
Figure 2. UUID flat hierarchy
Figure 3. References in a UUID-based file
Authoring UUID files is an enhanced feature in FrameMaker, and supports various file operations such as Checkout, Check-in, Refresh, and so on. For more details on file operations, refer to Working with files.
To use the feature, do the following:
  1. Choose Edit > Preferences > CMS > Adobe Experience Manager.
  2. Select Use UUID Based Referencing. This option is not checked by default.
    Figure 4. UUID-based referencing option in the Preferences dialog

  3. Download files that use UUID-based file referencing from AEM.
  4. Publish the files using the publish functionality.

Additional notes on SSO-based authentication

You must consider the following points while using SSO-based authentication with AEM Connector:

  • Internet Explorer 11 or higher must be installed on your system.

  • The Security settings in IE should be set to low.

  • FrameMaker must have the read access on browser cookies.

Parent topic: Adobe Experience Manager


Repository Manager

Learn how to work with Repository Manager in FrameMaker.

The Repository Manager window lists the files and folders from the Adobe Experience Manager repository. You can perform various functions on the available files and folders from the Repository Manager window.

Given below is a schematic representation of the tasks that you can perform from Repository Manager:

A: Enter the search term

B: Basic repository search

C: Advanced repository search

D: Name of the currently active AEM connection

E: Delete the selected item

F: Check-in, check-out, or cancel the check-out for selected item

G: Select an item from the Recent or Favourite list

H: Explore the contents of the DAM

I: Access the Review Comments panel

J: Add a new connection

K: Close the connection

Parent topic: Adobe Experience Manager


Working with Adobe Experience Manager CRX folders

Understand how you can create a CRX folder and upload files from Adobe FrameMaker to Adobe Experience Manager. See the various other operations that you can perform on the folder.

You have the option of adding files at any level of the content folder hierarchy. However, to take advantage of the Adobe Experience Manager's Digital Asset Management (DAM) functionality, you are recommended to a create folder within the dam folder. After you have created a folder, you can then upload files and folders to the repository.

  1. To create a sub folder within the dam folder, right-click on the dam folder and select New Folder.

  2. Enter the new folder name. Click OK.

    Before you can start working with files in the repository, you need to first upload the files.

    You can choose to upload a file or upload a folder. If you upload a folder, all the sub-folders and files within the selected folder are uploaded.

  3. To upload a file, right-click on the folder into which you want to upload, and choose one of the following:

    Important: To be able to upload files, you must have the WebDAV support enabled on your AEM server.
    Upload File

    Upload a single file without its dependencies.

    Important: Ensure that your file name does not contain any special characters like *, /, :, [, \, ], |, #, %.
    Upload File With Dependents

    Upload a single file with the following dependencies:

    • Content references

    • Cross references

    • Graphics

    Upload Folder

    Upload a folder and its contents.

  4. Choose the file or folder to upload. Click Select.

    The file or folder is uploaded within the selected folder in the AEM repository.

Note: When you upload an asset (file/folder) already present in DAM, FrameMaker creates a minor version of the asset. This happens only if the present asset in DAM is not locked by a user.

Other operations on the folder

Besides creating a folder and uploading files/folders to a folder in the AEM repository, you can also perform the following operations at a folder level:

Delete:

Delete a folder and its contents.

Explore
Locate the physical destination of the folder on the local machine. This is available only for those files that have been checked out once.
Open on Server
Open the selected asset in default browser.
Checkout Files
Checkout all files in the folder
Checkin Files
Checkin all checked out files in the folder.
Cancel Checked Out Files
Cancel files checked out in the folder.
Show Checked out Files

Display the list of checked out files in the folder.

View Properties

Display properties of the folder.

Refresh

Refresh the contents of the folder and reflect all changes from the server.

Parent topic: Adobe Experience Manager


Working with files

After you upload a file to the repository, you can perform CMS file operations on the file such as check-out, open read-only, check-in, view dependents, and more.

Note: The Adobe Experience Manager settings in the Preferences dialog provide some more options to automatically checkout and checkin files. See CMS > Adobe Experience Manager for more details.

Check out a file

To check out a file, right-click on a file and select Checkout. The file is checked out and opened for editing in FrameMaker.

When the file is successfully checked out, a check indicator appears on the file icon in the Repository Manager.

Check in a file

After you are done with making changes to a checked out file, check the file back into the repository. Check in allows other users to work with the updated file.

To check in a file, right click on the file that you want to check in and select Checkin. In the Checkin dialog, you can add comments to describe the changes you have made in the document. If the file is open in FrameMaker, it is checked in and closed.

Note: You can also add labels when you check in your AEM Guides files from FrameMaker. For more details, refer Add labels while checking files in AEM.

Cancel Checkout of a file

After making changes to a checked out file, you can choose to not check these changes back into the repository. In this case, you can cancel the file check out and release the file for other users.

To cancel the file check out, right-click on a checked out file, and select Cancel Checkout.

The file check out is canceled and the latest copy of the file is downloaded from the server. Other users can now check out this file.

Other operations on a file

Besides for the operations described above, you can also perform the following operations on files in the AEM repository:

Open

Open the file in the read-only mode without checking out the file.

Checkout With Dependents
If the file that you want to checkout has dependents, you can choose Checkout With Dependents to checkout all files at once.
View Dependents

Display the list of dependent or missing files.

Dependents Resolution: Multi-Level or One Level
When you work with files that have dependents, you can choose how many level of dependent files should FrameMaker resolve. By default, multi-level dependent files are resolved. This means that all references or dependents in the file are resolved. For a file having a lot of references, this operation could be time consuming. If you choose to resolve only one-level references, then only the direct references up to one level are resolved by FrameMaker. This improves the performance while opening or checking out a file.
Delete

If the file is not checked out, delete the file from the repository.

Explore

Locate the physical destination of the file on the local machine. This is available for only those files that have been checked out once.

Open on Server
Open the selected file in default browser.
View Metadata

Display the metadata associated with the file. You can also associate XMP metadata with a FrameMaker file, for details see XMP Metadata in FrameMaker and Adobe Experience Manager.

View Versions

Display the list of versions available for the selected file in the repository. In the Versions dialog, you can right-click on any file and perform the following operations:

  • Compare any two versions of the file

  • Open any previous version of the file

View Properties

Display the list of file properties such as created date, created by, server path, and more.

Refresh:

Refresh the current state of the file. For example, if you view the file as checked out by another user, the user then checks the file in. Refresh the state of the file after the other user checked the file in.

Add labels while checking files in AEM

FrameMaker allows you to add labels when you check in your AEM Guides files from FrameMaker. These labels are already defined in AEM Guides and appear as a dropdown list in FrameMaker. For more details, refer to Add labels section in the AEM Guides User Guide.

To add labels while you check in your file, right-click on the file that you want to check-in and select Check-in.

If your labels are not defined in AEM Guides, then you can add them in the Version Label category separated by commas.

Note: The check-in labels are displayed in the version history of the document in the AEM Guides user interface.
Parent topic: Adobe Experience Manager


Searching in an Adobe Experience Manager repository

Understand how you can perform intuitive search in the Adobe Experience Manager repository.

The Adobe Experience Manager search functionality allows you to search for files in the selected folder. The functionality includes:

  • Repository search

  • Search by element attributes

  • Advanced Search

Repository search

To search for a file in the repository:

  1. Select a folder in which to search.

  2. Enter the search string in the Enter Search String text box in the Repository Manager.

    Figure 1. Repository Manager
    Repository search in the RepositoryManager

  3. Click the Search Repository icon.

    Based on the way your Adobe Experience Manager server is setup, the search results are displayed in either of the two formats:

    • Search Result dialog

      The Search Result dialog appears if your AEM server does not have Adobe Experience Manager Guides installed.

      The Search Result dialog displays the filename, server path, version, and date created for each file returned in the search results.

      Figure 2. Search Result dialog box
      SearchResultsdialog showing the search results

    • Repository Search panel

      The Repository Search panel appears if your AEM server has Adobe Experience Manager Guides installed.

      The Repository Search panel displays the filename, context where the search term is found, element hierarchy, author, review status, and places where the corresponding file is used.

      Figure 3. Repository Search panel
      Repository Search panel displayingthefilename and details where the search term is found

  4. In the search results, right-click on a file to perform the required operation on the file.

    For operations that you can perform on a file, see Working with files.

Search by element attributes

The Adobe Experience Manager search functionality also supports search by an element’s attribute. To search by attribute, type the search string as Attribute name = Value and click the search icon. The search results are displayed in the Repository Search panel.

For example, if you want to search for an image that has the width of 200, then specify the search string as: width=200

Advanced Search

Understand Advanced Search in FrameMaker and learn how to perform advanced search.

Advanced search allow users to perform a search based on criteria like name, path, modified date, file type, and tags. Such functionality is useful when you have a large number and variety of files in your repository.

Note: Advanced Search is disabled when you have Adobe Experience Manager Guides installed on your Adobe Experience Manager server.

To perform an advanced search for files in the Adobe Experience Manager repository:

  1. Click the Advanced Search button on the Repository Manager.

    Figure 4. Adobe Experience Manager Advanced Search dialog
    Adobe Experience Manager Advanced Search dialoginthe Repository Manager

    Important: None of the search fields in the Advanced Search dialog are mandatory. Also, if you specify a search filter for more than one field, the search uses the AND criteria to perform the search.

  2. In the Full Text box, enter the search string.

  3. The Path box displays the name of the currently selected folder. Use the Browse button to choose an alternative AEM folder to search.

  4. Click the Modified check box to enable the From and To fields.

    Use the Calendar controls in these fields to specify the file modified date range to search.

  5. Click the File Types check box to enable the file type fields.

    You can choose to include (check) or exclude (uncheck) the file type from the search.

    • FrameMaker Files

    • Images

    • Multimedia

    • Documents

    For each of the above file type groups, click the Browser button and choose the file types to include or exclude. For example, from the FrameMaker Files list, you can choose to include or exclude FrameMaker Documents, FrameMaker MIF, and XML.

    You can also enter a file type not defined above in the Other Types box.

    To define other files type, you will need to specify the mime type of the file. Also, you can specify multiple file types separated by comma.

  6. Click the Tags check box to enable the metatag fields.

    You can choose to include (check) or exclude (uncheck) the metatag from the search.

    • Business

    • Industry

    • Lifestyle

    • Nature

    • Illustrations/Vectors

    For each of the above metatag groups, click the Browser button and choose the metatag to include or exclude. For example, from the Business element group, you can choose to include or exclude business-related metatags such as Business Abstract, Business Backgrounds, Business Concept.

    You can also enter a metatag not defined above in the Other Tags box.

    To define multiple metatags, you can specify the metatags separated by comma.

  7. Click the Search.

    The Search Result dialog displays the file name, server path, version, and date created for each file returned in the search results.

  8. Right-click a file to perform the required operation on the file.

    For operations that you can perform on a file see, Working with files.

Parent topic: Adobe Experience Manager


Reviews with Adobe Experience Manager Guides and FrameMaker

Know how you can perform AEM Guides based review and work with review comments in FrameMaker.

The review functionality allows you to sync, view and reply to comments received from reviewers. For this functionality to work, you must have AEM Guides installed on your AEM server.

Using the review feature provided in AEM Guides, an author can initiate a document review from AEM. Multiple reviewers can review a single topic and share their comments. The comments can then be viewed and managed from the Review Comments panel in FrameMaker.

Note: You cannot initiate a review task from FrameMaker, but you can post comments on the topics. They are reflected in AEM when you sync the same topic in AEM.
Figure 1. Review Comments panel
Review Comments dialog ofXML Documentation for Adobe Experience Manager

From the Review Comments panel, you can:

A: Filter comments by choosing reviewers from Reviewers list. See all comments by clicking on Show All Comments.

B: Mark the status for each comment. Choose from None, Accepted or Rejected.

C: Post a reply for a comment.

To access the Review Comments panel and manage comments, perform the following steps:

  1. Open the topic for which you want to view the comments.

  2. Click Review Comments icon to open the Review Comments panel from the Repository Manager window.

  3. In the Review Comments panel, click Sync Comments.

    You can see a list of comments for the currently open topic.

  4. Manage your comments by either posting a reply, or changing the status of the comment.

Parent topic: Adobe Experience Manager


XMP Metadata in FrameMaker and Adobe Experience Manager

See how you can work with XMP Metadata in FrameMaker and Adobe Experience Manager.

FrameMaker provides you support for editing and updating Adobe Experience Manager metadata of DAM FrameMaker assets, which simplifies file and version management. XMP metadata is platform independent and you can customize it to meet your CMS needs. For more information about XMP metadata, see Extensible Metadata Platform (XMP).

Both FrameMaker and Adobe Experience Manager support XMP. When you upload a FrameMaker binary file (.fm, .mif, or .book) to the AEM repository using DAM, the FrameMaker file information (File > File Info) is added to the AEM metadata of the file.

If you right-click and select Show Metadata on a file in the AEM repository, you can view the XMP metadata associated with the file.

Parent topic: Adobe Experience Manager


Edit the Adobe Experience Manager preferences in the CQPreference.xml file

Know how you can edit the preferences of the Adobe Experience Manager connector in Adobe FrameMaker using the CQPreference.xml file.

You can manage the preferences of the Adobe FrameMaker connector for Adobe Experience Manager using the CQPreference.xml (located in the FrameMaker installation directory).

To update the preferences, open the XML file in an XML or text editor and make change to the following properties, as needed:

Element/Attribute

Values

Default

<ShowOnlyDam>

@value

@folders

value="true" displays only the DAM related folders/assets for which you have read permissions in the Repository Manager.

value="false" displays all the folders in the Repository Manager.

For example, if @value is set to true, and @folders is set to content,apps FrameMaker displays only two folders in the content repository: content and apps. If @value is set to true and @folders is set to content/dam the content repository displays content as top level folder and dam as a sub-folder.

value="true"

<SetUserArea>

@folders

Specify the AEM application folder where all the FrameMaker files are downloaded from AEM to the local disk.

This field is blank by default. When you do not edit this field and keep it blank, the default folder is: %APPDATA%\ Adobe\Frame Maker\CQ

<SuppressAlert>

@value

value="true" suppresses the alert messages, such as missing dependent file alerts while uploading, checking in, and checking out files, and displays the message content in the FrameMaker console window file.

value="false" does not suppress the alert messages.

value="false"

<FileNameRestrictions>

@anychar

anychar="true" allows all the characters and special characters in the filenames in the repository.

anychar="false" lets you specify the allowed characters in the repository filenames using AlphaNumeric and SpecialChars values.

Note: By default, Unicode is not supported in filenames. To enable Unicode characters in new folder and filenames, switch off the restrictions. Set FileNameRestrictions anychar=true.

value="false"

<AlphaNumeric>

true allows alphanumeric characters in filenames.

This preference is relevant only when <FileNameRestrictions> @anychar is set to false.

true

<SpecialChars>

@value

List the other characters that are allowed. For example, to allow “-” and “:” in the repository filenames set the value if this field to: “-:”.

This preference is relevant only when the @anychar attribute for <FileNameRestrictions> is set to false.

none

<ShowProgressBar>

@value

value="true" shows a progress bar for indicating the progress of operations, such as check in, check out, and download.

value="false" does not display the progress bar.

value="false"

<AddHiddenDependencies>

@value

value="true" uploads dependencies, such as cross-references, text inset, graphics, hidden through conditional text or filter attribute while uploading a file.

value="false" ignores all hidden dependencies while uploading a file

value="false"

<ManageReferences>

@value

value="true" allows you to customize reference handling with menu and UI options

value="false" maintains existing behavior

value="true"

<AutoRefreshParent>

@value

value="true" refreshes the parent node (file or folder) in the Repository Manager after each operation, such as check out.

value="false" does not refresh the parent node automatically.

Set @value to false, if better performance is required.

value="true"
Parent topic: Adobe Experience Manager


Documentum, Microsoft SharePoint, and DitaExchange

Learn how Adobe FrameMaker provides connectors that enable integration with Documentum, Microsoft SharePoint, and DitaExchange.

Adobe FrameMaker provides connectors that enable integration with the following content management systems (CMS):

  • OpenText Documentum 7.2

  • Microsoft SharePoint Server 2016, 2013, and 2010

  • Microsoft SharePoint Online

  • DitaExchange

Once configured, Adobe FrameMaker allows you to perform search, read, write, delete, update, check in, and check out operations on the configured CMS repository.

Note: FrameMaker also provides Microsoft SharePoint support for claim-based authentication.
  • Set default file versioning
    Understand the default file versioning scheme when uploading files to a Documentum, Microsoft SharePoint, or DitaExchange repository with Adobe FrameMaker.
  • Setup and configure the Documentum connector
    Understand how to setup and configure the Adobe FrameMaker Documentum connector.
  • Connect to a Content Management System
    Understand how you can connect to a content management system with Adobe FrameMaker using the Connection Manager dialog
  • Using the Repository Manager
    Understand the Adobe FrameMaker Repository Manager.
  • Upload files and folders
    Learn how to upload files and folders to a Documentum, Microsoft SharePoint, Microsoft SharePoint Online, or DitaExchange server using Adobe FrameMaker.
  • Manage resources
    Learn how to manage resources with Adobe FrameMaker, such as cabinets (Documentum), folders, and files, of your configured Documentum, Microsoft SharePoint, or DitaExchange server.
  • Add custom CMS attributes
    Learn how to add custom CMS attributes to your unique requirements in Microsoft SharePoint or Documentum.
  • Search files in a CMS
    Learn how to execute basic and advanced searches with Adobe FrameMaker in the configured Documentum, Microsoft SharePoint, and DitaExchange repositories.
Parent topic: Content Management Systems


Set default file versioning

Understand the default file versioning scheme when uploading files to a Documentum, Microsoft SharePoint, or DitaExchange repository with Adobe FrameMaker.

You can specify the versioning scheme to be applied when you use Adobe FrameMaker to upload a document that exists in a Documentum, Microsoft SharePoint, or DitaExchange repository. The document is overwritten and the specified file versioning settings are applied to the document.

To specify the versioning scheme to be applied when uploading files to a CMS, do the following:

  1. Choose Edit > Preferences.

  2. In CMS, ensure that Overwrite Existing Object And Save As is selected.

  3. Select the versioning option per your requirement. You can choose to have the same (Documentum only), next major, or next minor version for the uploaded document.

  4. Click OK.

Parent topic: Documentum, Microsoft SharePoint, and DitaExchange


Setup and configure the Documentum connector

Understand how to setup and configure the Adobe FrameMaker Documentum connector.

In this topic

  • Configure the Repository Manager view

  • Download the Powerlink SDK

  • Define the DFS SDK path

  • Add the FrameMaker file types on the Documentum Server using the .dar file

  • Set up sample Adobe FrameMaker DITA Applications for Documentum Server

Configure the Repository Manager view

To configure the Repository Manager view in Adobe FrameMaker for Documentum, do the following:

  1. Choose Edit > Preferences.

  2. In CMS > Documentum, select Show Hidden Objects to view the hidden files (contained in a repository) in the Repository Manager window.

  3. Select Show Private Cabinets to view the private cabinets (contained in a repository) in the Repository Manager window.

  4. Click OK.

Download the Powerlink SDK

Download the Documentum Foundation Services SDK from the EMC website.

Note: You need an EMC powerlink login to download the SDK.

Define the DFS SDK path

To define the path to the Documentum Foundation Services (DFS) SDK in the Adobe FrameMaker CMS Connector for Documentum, do the following:

  1. Download the Documentum Foundation Services (DFS) SDK from the EMC website.

  2. Extract the .zip file.

  3. Choose Edit > Preferences.

  4. Choose CMS > Documentum > DFS SDK Path. Click Browse.

  5. In the Browse For Folder window, navigate to the SDK (e.g. emc-dfs-sdk-6.5) folder.

  6. Click OK in the Browse For Folder window.

  7. Click OK in the CMS Preferences window.

    A message box prompts you to restart FrameMaker.

  8. Restart Adobe FrameMaker.

Add the FrameMaker file types on the Documentum Server using the .dar file

To be able to work with the file types supported by Adobe FrameMaker, you must add the FrameMaker file types and formats on the Content server using a .dar file.

To add the Adobe FrameMaker types on the Content server, you need “Administrator” or “Create Type” privileges.

  1. You would need the .dar file to add the FrameMaker types on the Server. Contact your administrator or Adobe Customer Support for help.

  2. Run the .dar file installation utility shipped with FrameMaker. The default location of this utility is <Fm-install-location>\FmDctmSetup.exe.

    Note: You can also use the default darinstaller.exe utility shipped with EMC Documentum Composer.
    Figure 1. Connection Information dialog of the .dar file installation utility
    Connection Informationdialogofthe.darfileinstallation utility in Adobe FrameMaker

  3. In the Connection Information dialog, provide the following information:

    Server: Path of the Documentum server.

    Port: Port at which the Documentum server is listening. Default value is 1489.

    UserName and Password: The user name and password of the user with administrative privileges to install the .dar file.

    Repository: Name of the repository where you want to install the .dar file.

    DFS SDK Path: Specify the path of the Documentum Foundation Services (DFS) SDK.

  4. Click Create Types.

Set up sample Adobe FrameMaker DITA Applications for Documentum Server

A FrameMaker sample application pack includes an indicative set of applications to help content administrators configure Adobe FrameMaker to author files on Documentum server. You should download and install the sample application pack to avoid the warnings and XML parser logs when you work with XML files from Documentum server. Contact your administrator or Adobe Customer Support for help to download the pack.

Parent topic: Documentum, Microsoft SharePoint, and DitaExchange


Connect to a Content Management System

Understand how you can connect to a content management system with Adobe FrameMaker using the Connection Manager dialog

Out of the box, Adobe FrameMaker comes with CMS connectors for Adobe Experience Manager, DitaExchange, Documentum, Microsoft SharePoint or SharePoint Online.

To configure the CMS connector for your CMS, do the following:

  1. In Adobe FrameMaker, choose File > CMS > Connection Manager.

  2. Choose the connection type — Adobe Experience Manager, DitaExchange, Documentum, Microsoft SharePoint or SharePoint Online.

  3. Specify the connection details, such as server name, user name, and password to connect to your CMS. Also, specify a unique name for the connection.

    Note: The value in the Name field uniquely identifies each connection. All connections are added to the favorites list. The list can store a maximum of sixteen favorites. If you try to store the seventeenth connection, the first connection on the list is removed to accommodate it. The connection list works in a first in, first out manner.
    Note: To delete a listed connection, select it from the list. Click Remove.

  4. Documentum only: Specify the name of the Documentum repository to which FrameMaker will connect using this connection.

  5. Click Connect.

    The Repository Manager lists the contents of the selected server.

Parent topic: Documentum, Microsoft SharePoint, and DitaExchange


Using the Repository Manager

Understand the Adobe FrameMaker Repository Manager.

Choose File > CMS > Open Repository to view the Repository Manager window. Use the Repository Manager to:

  • Switch between repositories

  • Browse files within a repository

  • Manage resources

Parent topic: Documentum, Microsoft SharePoint, and DitaExchange


Upload files and folders

Learn how to upload files and folders to a Documentum, Microsoft SharePoint, Microsoft SharePoint Online, or DitaExchange server using Adobe FrameMaker.

In this topic

  • Introduction

  • Upload an open file to a CMS

  • Upload a closed file to a CMS

  • Upload a folder

Introduction

In Adobe FrameMaker, you can upload XML, DITA, FM, MIF, and book files to a CMS and complete folders.

The DitaExchange connector, supports two custom document libraries: Map and Topic.

Note: If you are using Documentum or Microsoft SharePoint, ensure that the required applications are configured on the CMS server to upload DITA and XML files. If DITA applications are not available on your CMS, contact your Administrator.

Upload an open file to a CMS

To upload an open file to a CMS in Adobe FrameMaker, do the following:

  1. Select the server from the Repository Manager window.

  2. Switch between the open documents to select the document to upload.

  3. Choose File > CMS > Upload Active Document.

    The Select CMS Item window is displayed.

  4. Specify the upload location.

  5. Click OK.

    The selected document and its direct dependencies are uploaded. A message is displayed when the file is successfully uploaded.

  6. Click OK.

Note: Save the file before uploading. If the file is not saved, the dependencies list may not be correctly updated.

Upload a closed file to a CMS

To upload a closed file to a CMS in Adobe FrameMaker, do the following:

  1. Select the server from the Repository Manager window.

  2. Do one of the following:

    • Right-click a list or folder for Microsoft SharePoint or DitaExchange.

    • Right-click a cabinet or folder for Documentum.

  3. Select Upload Document.

    The Select the file to upload window displays.

  4. Specify the file to upload.

  5. Click Select.

    The selected file and its direct dependencies are uploaded. A message is displayed when the file is successfully uploaded.

  6. Click OK.

Note: The uploaded file remains on the disk and a copy of it is uploaded to the server. To work on the file again, first check out the file from the server.

Upload a folder

To upload a folder to a CMS in Adobe FrameMaker, do the following:

  1. Select the server from the Repository Manager window.

  2. Do one of the following:

    • Right-click a cabinet or folder for Documentum.

    • Right-click a list or folder for Microsoft SharePoint or DitaExchange.

  3. Select Upload Folder.

    The Browse For Folder window displays.

  4. Navigate and select the folder to upload.

  5. Click OK.

    The selected folder and all its dependencies are uploaded. A message is displayed when the directory is successfully uploaded.

  6. Click OK.

Parent topic: Documentum, Microsoft SharePoint, and DitaExchange


Manage resources

Learn how to manage resources with Adobe FrameMaker, such as cabinets (Documentum), folders, and files, of your configured Documentum, Microsoft SharePoint, or DitaExchange server.

In this topic

  • Manage Documentum cabinets, folders, and files

  • Checkout files

  • Checkin files

  • Manage files

Manage Documentum cabinets, folders, and files

You can perform the following operations on your CMS resources.

Add a cabinet

Right-click the root node of the Documentum server and select New Cabinet.

Delete a resource

Right-click a cabinet (Documentum only), folder, or file and select Delete.

When deleting a file in Documentum, a dialog prompts you to delete just the file, all versions of the file, or the file and all its dependencies.

When deleting a file in Microsoft SharePoint, a dialog prompts you to keep just the current version of the file and delete all other versions, or to delete all the versions of the file.

Upload a file

Right-click a cabinet, list, or folder and select Upload Document. FrameMaker uploads the file and all its dependencies, if any.

Upload a folder

Right-click a cabinet, list, or folder and select Upload Folder.

Add a folder

Right-click a cabinet, list, or folder select New Folder.

Show checked out files

Right-click a cabinet, site, list, or folder and select Show Checkout Files.

View attributes

Right-click a cabinet, site, list, or folder and select Properties. The Attributes panel is displayed.

The dialog allows you to modify the value of an attribute. To modify a value, click the value of the desired attribute and modify it.

Click OK to save the modified value.

Refresh the view

Right-click a cabinet, site, list, folder, or the root node and select Refresh.

Checkout files

  1. In the Repository Manager dialog, select the repository.

  2. Right-click the file and do one of the following:

  3. Select Checkout and Edit to check out and open the file.

    Select Checkout to check out the file.

  4. Specify whether to check out all dependent files.

  5. Click OK.

The Checkout all dependent files option in the confirmation dialog box is synced to the Checkout Dependent Files by Default option in the Preferences dialog.

To select the Checkout Dependent Files by Default option, do the following:
  1. Choose Edit > Preferences > Microsoft SharePoint.
  2. Select Checkout Dependent Files by Default.

If you select the Checkout Dependent Files by Default option, the Checkout all dependent files option in the confirmation dialog box is also checked by default.

For example, in the Preferences dialog, if you have not selected the Checkout Dependent Files by Default option, the Checkout all dependent files option in the confirmation dialog box is also not checked by default.

Note: DitaExchange server maintains the http references in Dita files as the full http path. This connector has special handling to support http paths for dependencies when you check-out a file. If you check-out a DITA Topic file that contains an image with an href reference that is pointing to HTTP path, the referenced image will also be checked out.
Note: Also, if you cancel the check-out of a DITA Topic file that contains an image with an href reference that is pointing to HTTP path, the check-out on the referenced image will also be canceled.

Checkin files

  1. In the Repository Manager dialog, select the repository.

  2. Right-click the file and select Checkin.

  3. Specify the version details.

  4. Click OK.

Note: Select Cancel Checkout to undo the checkout and discard changes made to the file. For Microsoft SharePoint or DitaExchange, check out of all dependent files will also be automatically canceled.
Note: Save the file before checking in to ensure that all the changes are uploaded correctly. If a file is checked out with its dependents, then all dependent files will also be automatically checked in.
Note: DitaExchange server maintains the http references in DITA files as the full http path. This connector has special handling to support http paths for dependencies when you check-in a file. If you check-in a DITA Topic file that contains an image with an href reference that is pointing to HTTP path, the referenced image will also be checked in.

Manage files

Using Adobe FrameMaker you can manage XML, DITA, FM, MIF, and book files. In addition to checking out and checking in files, you can perform the following tasks:

Open a file

Right-click and select Open (read only) to view the file in read-only mode. If the file is not checked out, double-clicking or pressing Enter on the file, opens the file in read-only mode, and also downloads all the dependents of the file.

Note: DitaExchange server maintains the http references in DITA files as the full http path. This connector has special handling to support http paths for dependencies when you open a file in read-only mode. If you open a DITA Topic file that contains an image with an href reference that is pointing to HTTP path, the referenced image is also opened in read-only mode.
Delete a file

Right-click, select Delete.

Select Delete all versions to delete all versions of the file.

View various versions

Right-click and select Show Versions.

View dependencies

Right-click and select Show Dependents.

Note: View dependencies is only valid for virtual documents in the case of Documentum.
View properties

Right-click and select Properties.

Refresh the view

Right-click and select Refresh.

Parent topic: Documentum, Microsoft SharePoint, and DitaExchange


Add custom CMS attributes

Learn how to add custom CMS attributes to your unique requirements in Microsoft SharePoint or Documentum.

In this topic

  • Introduction

  • Add a custom property for Documentum

  • Add a custom property for Microsoft SharePoint

Introduction

You may need to create custom attributes according to your unique requirements in Microsoft SharePoint or Documentum. Once you have created these custom attributes, you can provide support for them in Adobe FrameMaker. You can add the custom attributes in FrameMaker that exist on your Documentum or Microsoft SharePoint CMS. You can add the following attribute types in FrameMaker CMS preferences for Microsoft SharePoint:

  • Text

  • Note

  • Number

  • Currency

  • Integer

  • Boolean

  • DateTime

  • Lookup

  • Choice

  • URL

  • User

You can add the following data types for Documentum:

  • Boolean

  • Integer

  • String

  • Double

  • Time

  • ID

On file upload, the attributes specified in the CMS preferences are populated in connection manager and search.

Figure 1. Adding custom properties in Microsoft SharePoint
Addingcustom properties in Microsoft SharePoint

A. Properties added in SharePoint using the Preferences dialog of FrameMaker B. Adding custom properties in FrameMaker (SingleLine, MultiLine, and curr)

Add a custom property for Documentum

To add a custom property for Documentum:

  1. Choose Edit > Preferences.

  2. In the Preferences dialog, expand CMS and select Documentum.

  3. In List of Attributes, enter the name of the new property. Click Add. Repeat to add more properties.

  4. Click OK.

    To view the added property, right-click a folder or document within the relevant cabinet. Also, when you use Advanced Search, the Add Criteria area has the new property listed in the Property drop-down.

Add a custom property for Microsoft SharePoint

To add a custom property for SharePoint:

  1. Choose Edit > Preferences.

  2. In the Preferences dialog, expand CMS and select Microsoft SharePoint and enter the following:

    Name: Enter a name for the new property.

    Data Type: Enter data type of the new property: Boolean, Date, Double, Integer, or String.

    Attribute Type: Enter one of the following: Text, Note, Number, Currency, Integer, Boolean, DateTime, Lookup, Choice, URL, or User.

  3. Click OK.

Parent topic: Documentum, Microsoft SharePoint, and DitaExchange


Search files in a CMS

Learn how to execute basic and advanced searches with Adobe FrameMaker in the configured Documentum, Microsoft SharePoint, and DitaExchange repositories.

Adobe FrameMaker allows you to perform basic and advanced search in the configured Documentum, Microsoft SharePoint, and DitaExchange repositories.

Basic search

Basic search searches on the name of the file. To perform a basic search:

  1. In the Repository Manager, select the repository.

  2. Enter the search term in the search field and click the search icon.

The results are displayed in the search results window.

Note: Basic search searches the selected item in the repository. If the selected item is a top-level container, then all files and sub-containers within the main container are searched.

Advanced search in Microsoft SharePoint or DitaExchange

To perform an advanced search on a Microsoft SharePoint or DitaExchange repository:

  1. In the Repository Manager, select the repository.

  2. Click the advanced search icon. The advanced search window is displayed as follows:

    Figure 1. Microsoft SharePoint Advanced Search window
    Microsoft SharePoint Advanced Search window

  3. Enter the search term in the search pane.

  4. The condition builder allows you to perform complex searches by combining two or more search criteria.

    1. Build a criteria by selecting the property (for example, Created By), the relevant condition (for example, =), and specify a value (for example, Jones).

      Click Add.

    2. Build another criteria by selecting the operator (AND or OR), the property (for example, File Type), the desired condition (for example, =), and specify a value (for example PDF).

  5. Click Search.

Search results are displayed based on the specified search criteria. In this example, the PDF files created by Jones are displayed.

Filter files by attributes in DitaExchange

The DitaExchange connector allows you to filter the files in the Browse File(s) and File Open dialog. You can filter the files in these dialogs by any of the available file attributes. For example, you can filter the files by file type or by the author. In a large list of files, this can narrow down the list and make it much easier to find the file or files you are looking for.

  1. In the Repository Manager, right-click on a list or folder and select Browse File(s).

  2. The Browse File(s) dialogs displays the list of files in the selected list or folder.

    For each file, the list also displays all the associated attributes mentioned in the View.

    Important: In DitaExchange, if you update the attributes associated with a file on the DitaExchange server, the attributes are dynamically updated in the Browse File(s) or File Open dialogs. This behavior is specific to DitaExchange.

  3. To filter the list of files by a specific attribute, hover the mouse pointer over the attribute title.

    A pop-up arrow is displayed to the right of the title name.

  4. Click the pop-up arrow.

    The Filter – <Attribute name> dialog is displayed.

  5. To define a filter for the files in the Browse File(s) dialog, do one of the following:

    • Use the checkboxes to the left of the entires in the list. For example, in the above dialog, you can choose to filter the list to display only files modified by the administrator by unchecking the other two options.

    • Filter the list by the text entered in the text box. For example, type ad to filter the list by entries that contain the text ad.

  6. Click OK.

    The list of files is filtered by the conditions that you have set in the Filter dialog.

    Note that in the Browse File(s) dialog, an asterisk appears to the right of the attribute title on which the filter is applied.

    Important: The filter applied on a specific list or folder is retained for the current DitaExchange session. This implies that if you later open the Browse File(s) dialog for the specific list or folder, the file list will be filtered by the conditions that you previously applied.

You can clear the filters that you have applied in the Browse File(s) dialog at two levels:

  • Filters applied to a specific attribute

  • Filters applied to all attributes

  1. In the Repository Manager, right-click on a list or folder and select Browse Fils(s).

    In the Browse File(s) dialog, notice the asterisk that appears to the right of some of the attribute titles. This is provided by the connector as an indicator for the attributes on which filter are applied.

  2. To clear the filter on a specific attribute, hover the mouse pointer over the attribute title and click the pop-up arrow.

  3. In the Filter – <Attribute name> dialog, click Clear Filter.

  4. The filter is cleared from the file list in the Browse File(s) dialog.

    Also notice the asterisk is not displayed to the right of the attribute title.

  5. To clear the filter applied to all attributes, in the Browse File(s) dialog, click Clear All Filters.

Advanced search in Documentum

To perform an advanced search on a Documentum repository:

  1. In the Repository Manager, select the repository.

  2. Click the Advanced Search icon. The Advanced Search dialog is displayed.

  3. Enter the search term.

  4. Select the location, file type, date, and file size values as required.

  5. The condition builder allows you to perform complex searches by combining two or more search criteria.

    Build a criteria by selecting the property (for example, Title) and the condition (for example, begins with), and specify a keyword (for example, Troubleshooting). Click Add.

    Build another criteria by selecting the operator (AND or OR), property (for example Modified By), condition (for example, begins with), and specify a keyword (for example, “Daniel”).

  6. Click Search.

Search results are displayed based on the specified criteria. In this example, elements that have their titles beginning with Troubleshooting and are modified by users that have their names beginning with “Daniel” are displayed.

Parent topic: Documentum, Microsoft SharePoint, and DitaExchange


WebDAV

Learn about WebDAV servers and WebDAV URLs and how you can collaborate with WebDAV in Adobe FrameMaker.

WebDAV technology enables you to read and write files over a modified hypertext transfer protocol. Files reside on the server within a directory structure and are checked out to your local machine. Your local machine has a directory structure that mirrors the WebDAV server structure, so when you check out files, the files are downloaded to your machine and placed in the mirrored folder.

Adobe FrameMaker has built-in support for Web Distributed Authoring and Versioning (WebDAV) server technology. WebDAV is a standard protocol that is supported by most Content Management Systems (CMS). Use WebDAV to download and upload documents, and lock documents so others cannot modify them at the same time as you do. Use a WebDAV enabled CMS to work in a collaborative environment without worrying about version control.

In FrameMaker, you can author and edit XML files, FrameMaker books and files, and MIF files, located on the WebDAV server.

For more information about WebDAV, visit www.webdav.org.

WebDAV server

A server implementing the WebDAV protocol. You can store and access files on any WebDAV server using FrameMaker and a WebDAV client, assuming you have login access to the server.

URL

In the context of WebDAV, URL refers to the path to a file (asset) on a WebDAV server. You can open any file on a WebDAV server by specifying its URL in the Browse URL dialog box.

WebDAV offers distinct advantages over traditional file servers.

Multiple users can download copies of a file managed by a WebDAV server, but only one user at a time can check-out the file. Users who check out a file can share their work with other users while keeping a file checked-out by updating the file on the server. However, other users can’t change a checked-out file until it is checked in. This check out/check in system allows multiple users to access the same file but prevents users from overwriting each other’s work.

Because WebDAV works over web accessible networks, location doesn’t matter. Team members can share files regardless of their proximity.

  • Getting started with WebDAV
    Learn how you can get started with WebDAV and understand the advantages of using browse URL.
  • Using the WebDAV Browse URL workflow in Adobe FrameMaker
    Learn how to use the Browse URL workflow in Adobe FrameMaker and how to manage various files and folders in WebDAV.
Parent topic: Content Management Systems


Getting started with WebDAV

Learn how you can get started with WebDAV and understand the advantages of using browse URL.

You can directly open, update, and save files to the server by specifying the URL of a file.

Advantages of using Browse URL

  • You don't have to explicitly set up the server connection.

  • You don't have to explicitly download all linked and associated files, such as referenced images when you download a file.

  • You don't have to download all book components or files associated with a .xml, such as schema, DTD, or EDD.

  • You don't have to explicitly update or upload a file. A file is automatically updated on the server when you save it and checked-in to the server when you close it.

The Browse URL workflow is also Unicode and IPv6 compliant and integrated with all FrameMaker workflows.

Parent topic: WebDAV


Using the WebDAV Browse URL workflow in Adobe FrameMaker

Learn how to use the Browse URL workflow in Adobe FrameMaker and how to manage various files and folders in WebDAV.

You can access the Browse URL dialog box with the Browse URL button on the Welcome Screen and from and a few dialogs related to file management.

Figure 1. Browse URL
Browse URL window and its workflow

A. Store the URL path by specifying a nickname to the server B. Delete the stored URL path C. Look In list displays the recently accessed file D. Move up one folder level E. Create a folder on the server F. Rename a file or folder G. Delete selected file or folder H. Stored server name I. File details that you can sort according to any column J. Specify the complete URL for a file

New

You can specify the HTTP URL of the template you want to use for a new document. You can either type the complete URL of the template in the New dialog box or use the Browse URL dialog box to select the template.

Open

You can open any HTTP file on a server by typing its URL in the filename of the file Open dialog box. You can open all the FrameMaker file types supported through local file paths using HTTP paths. These file types include .fm, .book, .mif, .xml, .ditamap, and .bookmap. You can also open text files, Microsoft Office documents, such as DOC, DOCX, and RTF.

Import

You can import files by specifying their HTTP paths. You can import them by reference or copy them into your document. You can import an HTTP text inset, add a cross-reference to an HTTP file, import graphics, or U3D objects files by specifying their HTTP paths.

Save

You can specify a URL in the Save As dialog to upload the file to a WebDAV enabled server. You can save a file in all FrameMaker formats.

Note: You cannot do a batch conversion of documents for HTTP WebDAV directories.

Save a WebDAV server connection

When working with Browse URL you don’t have to explicitly set up a server. If a WebDAV server has an authentication process setup, you need to provide login credentials the first time you access a file on the server. If you work frequently with a server, you can save the server connection in the Browse URL for quicker access.

  1. Access the Browse URL dialog box and type the HTTP path to the WebDAV enabled server in the filename box.

  2. If prompted, specify your Login ID and Password.

  3. To save the server connections, click the Store URL icon.

  4. Specify a nickname for the server connection. Click OK.

Once saved, the server connection is displayed each time you access the Browse URL dialog box.

To delete a saved server connection, click the Remove URL icon.

Setting WebDAV preferences

Choose Edit > Preferences and set the following options.

Checkout HTTP Files On Open

Clear this option if you do not want to check out a file from a WebDAV server when opening the file.

Upload HTTP Files On Save

Clear this option if you want to check in a file only once when you close the file.

Using HTTP paths to open files

You can open any file on a WebDAV server by specifying its URL.

For XML files, FrameMaker silently downloads all HTTP references, such as the xml schema or the DTDs associated with the XML file. Other references, such as text or graphic insets or cross-referenced files are also downloaded.

You can also reference or import graphic file objects in your documents by specifying their URLs. You can include links to documents by specifying their HTTP paths in hypertext markers.

Create, open, import and save documents

You can create, open, import, and save files directly from a WebDAV server by specifying the file URL.

Note: If you selected the Checkout HTTP Files On Open option from the Preferences dialog box, a file is automatically locked and checked-out when you download it. An asterisk symbol appears against the filename indicating that it is checked-out.

To create a document on a WebDAV server:

  1. Choose File > New > Document. Click the Browse URL icon.

  2. Select the server name from the right panel or specify the HTTP path to the server.

  3. Specify a filename.

  4. Click OK.

To create a DITA topic, DITA map, or a bookmap on a WebDAV server:

  1. Choose DITA > New DITA File and select any option from the menu.

  2. Click the Browse URL icon in the new file dialog boxes to create a DITA file on a WebDAV server.

To open an unstructured FrameMaker file from a WebDAV server:

  1. Choose File > Open. Click the Browse URL icon.

  2. Select the server name from the right panel, navigate to the folder, and double-click the file to open it.

    Alternatively, specify the complete HTTP path to the file. Click Open.

To open a DTD from a WebDAV server:

  1. Choose Structure > DTD > Open DTD. Click the Browse URL icon.

  2. Select the server name from the right panel, navigate to the folder, and double-click the file to open it.

    Alternatively, specify the complete HTTP path to the DTD file. Click Open.

To open an XML Schema from a WebDAV server:

  1. Choose Structure > Schema > Open Schema and click the Browse URL icon.

  2. Select the server name from the right panel, navigate to the folder, and double-click the file to open it.

    Alternatively, specify the complete HTTP path to the schema file and click Open.

To save a file on a WebDAV server:

You can automatically upload changes to the WebDAV server. To do so, ensure that you have selected the Upload HTTP Files On Save option in the Preferences dialog box.

  1. Choose File > Save As. Click the Browse URL icon.

  2. Select the server name from the right panel and navigate to the folder. Click Save.

To save a DTD:

  1. Choose Structure > DTD > Save As DTD. Click the Browse URL icon.

  2. Select the server name from the right panel and navigate to the folder. Click Save.

To import a file from a WebDAV server:

Import a file:

Choose File > Import > File. Click the Browse URL icon.

Import a DTD:

Choose Structure > DTD > Import DTD. Click the Browse URL icon.

Import a schema:

Choose Structure > Schema > Import Schema. Click the Browse URL icon.

Import a CSS file:

Choose Structure > Import CSS Styles. Click the Browse URL icon.

To close a file opened from a WebDAV server:

By default, when you close a file the file is automatically checked-in.

Associate a template with a book folder (WebDAV)

You can specify the HTTP path of the template when associating it with a folder in a hierarchical book.

  1. In the book window, right-click the folder for which you want to define a template. Click Properties. The Container Properties dialog is displayed.

  2. Select the Template Path option and click the Add Template ("...") button to browse for a file.

  3. Specify the complete HTTP path in the filename box or click Browse URL to locate the file on the server.

  4. Click OK, Open, and Set to associate a template for the selected folder.

Parent topic: WebDAV


Scripting in FrameMaker

Understand how to create and execute ExtendScript scripts to automate repetitive tasks in Adobe FrameMaker.

In this topic

  • What is scripting?

  • Why use scripting?

  • Getting started with scripting

  • Create scripts

  • Run scripts

What is scripting?

Scripting is a powerful tool to control and automate many features of Adobe FrameMaker. Scripting in FrameMaker is based on Adobe ExtendScript. It is a dialect of the ECMAScript 3 standard and, therefore, similar to JavaScript.

Why use scripting?

Your work is characterized by creativity, but many of the actual hands-on tasks are anything but creative. Most likely, you spend much time doing the same or similar procedures over and over again. Would it not be great to have an assistant—one that happily does the mind-numbing tasks, follows your instructions with perfect and predictable consistency, is available any time you need help, works at lightning speed, and never even sends an invoice? Scripting can be that assistant. With a small investment of time, you can learn to script the simple but repetitive tasks that eat up your time. However, while it’s easy to get started, FrameMaker scripts provide the necessary depth to handle sophisticated jobs. As your scripting skills grow, you may move on to more complex scripts that work all night while you’re sleeping.

Getting started with scripting

A script is a series of statements that tell an application to perform a set of tasks. The trick is writing the statements in a language that the applications understand. FrameMaker supports ExtendScript as its scripting language.

There are two ways of running scripts: from within FrameMaker and by using the ExtendScript Toolkit (ESTK).

Create scripts

FrameMaker includes a menu entry that makes it easy to create a script with the ExtendScript Toolkit (ESTK).

To create a script:

  1. Click File > Script > New Script.

  2. Compose your script in the ExtendScript Toolkit (ESTK) that is opened.

  3. Save the script. Either run the script from within ESTK or run it from within FrameMaker.

Run scripts

FrameMaker includes a menu entry that makes it easy to run scripts.

To run a script:

  1. Click File > Script > Run. The Choose Script... dialog is displayed.

  2. In the Choose Script... dialog, select the script type ( *.jsx, *.js, *.jsxbin) to be displayed in the file list.

  3. Select the script that you want to run.

  4. Click Open. FrameMaker runs the script.

  • Managing scripts
    Understand how to manage scripts in Adobe FrameMaker.
  • Using ExtendScript Toolkit
    Learn how to use ExtendScript ToolKit (ESTK) to develop and debug scripts in FrameMaker.


Managing scripts

Understand how to manage scripts in Adobe FrameMaker.

In this topic

  • #topic_managing-scripts__section_introduction

  • Manage favorite scripts

  • Manage AutoRun scripts

  • Manage registered (notification) scripts

  • View and delete broken scripts

  • Select, edit, and run a script from the catalog

FrameMaker includes a script catalog that allows you to easily manage your scripts.

Choose File > Script > Catalog to open the Script Library.

Figure 1. Script Library
Managing scripts in FrameMaker using the Script Library

The catalog lets you manage favorite scripts, AutoRun scripts, and registered (notification) scripts.

Select the Favorites option in the catalog to manage your favorite scripts.

You can perform the following operations from this screen:

  • To add a script as a favorite, click Add. Select the script from the script browser and click Select. The script is then added as a favorite.

  • To remove a script from the Favorites list, select the script and then click Remove.

  • Click Refresh to refresh the list of favorite scripts.

  • To mark a script as an AutoRun script, select the script and click Move To AutoRun. FrameMaker copies the script from its exiting location into the FrameMaker user startup folder (%appdata%\Adobe\FrameMaker\xx\startup\).

Manage favorite scripts

Select the Favorites option in the catalog to manage your favorite scripts.

You can perform the following operations from this screen:

  • To add a script as a favorite, click Add. Select the script from the script browser and click Select. The script is then added as a favorite.

  • To remove a script from the Favorites list, select the script and then click Remove.

  • Click Refresh to refresh the list of favorite scripts.

  • To mark a script as an AutoRun script, select the script and click Move To AutoRun. FrameMaker copies the script from its exiting location into the FrameMaker user startup folder (%appdata%\Adobe\FrameMaker\xx\startup\).

Manage AutoRun scripts

Select the AutoRun option in the catalog to manage your AutoRun scripts.

AutoRun scripts are run automatically each time FrameMaker is launched. Any script that is placed in the following directories, becomes an AutoRun script.

  • <Fm_install_location>\startup

  • %appdata%\Adobe\FrameMaker\xx\startup

All scripts are run in alphabetical order.

You can perform the following operations:

  • To add a script as an AutoRun script, click Add. Select the script from the script browser and click Select. FrameMaker copies the script from its exiting location into the FrameMaker user startup folder (%appdata%\Adobe\FrameMaker\xx\startup\) and adds the script to the AutoRun list.

  • To delete a script from the AutoRun list, select the script and click Delete.

  • Click Refresh to refresh the list of favorite scripts.

Manage registered (notification) scripts

Select the Registered option in the catalog to manage your registered scripts. Registered scripts are also called as notification scripts. These scripts are run when the events for which they are registered are triggered.

Notification is the internal mechanism through which a script registered for a particular event is run when the event is triggered.

Any script that is registered to run when an event is triggered is displayed in the notifications list in the catalog.

To unregister a notification script, select the script and click Unregister. The script is then unregistered. Once a script is unregistered, the script is not run, when the event for which it was previously registered is triggered.

Note: To add a notification script, see the section on notifications in the appendix.

View and delete broken scripts

When a script that has already been added to the catalog is moved or deleted from its current location in the file system, it is termed as a broken script.

To view such scripts, select the Show Broken Only option in the catalog. The catalog then displays all the scripts that are broken.

You can then delete such scripts from the catalog. When you delete a script, it is only deleted from the catalog and not from its location in the file system.

Select, edit, and run a script from the catalog

To run a script from within the catalog, select the script from the list and click Run.

To edit a script from within the catalog, select the script from the list and click Edit. The script is opened in the ExtendScript Toolkit editor.

To run a new script (not added to the catalog yet), select the option marked New and click Run. Then, select the script from the script browser and click Open.

Parent topic: Scripting in FrameMaker


Using ExtendScript Toolkit

Learn how to use ExtendScript ToolKit (ESTK) to develop and debug scripts in FrameMaker.

FrameMaker includes the ExtendScript ToolKit (ESTK). The ESTK is a development and debugging tool for ExtendScript scripts.

The ESTK has many features that make it easier to use than a text editor, including a built-in syntax checker that identifies where the problems are in your script and tries to explain how to fix them, and the ability to run your scripts right from the ESTK without saving the file.

All ExtendScript scripts are JavaScripts. The ESTK also includes a JavaScript debugger that allows you to:

  • Single-step through JavaScript scripts (JS or JSX files) inside an application.

  • Inspect all data for a running script.

  • Set and execute breakpoints.

Note: For more information on ESTK, see ExtendScript API Reference.
Parent topic: Scripting in FrameMaker


Appendix

Know FrameMaker's keyboard shortcuts, how to edit content in Adobe FrameMaker.

  • Keyboard shortcuts
  • Character sets
    Understand the support for character sets in Adobe FrameMaker.
  • Additional resources
    This appendix lists additional resources that help you learn more about specific areas in Adobe FrameMaker.


Keyboard shortcuts

  • About keyboard shortcuts
  • Navigating through documents
  • Book commands
  • Documents
  • Dialog boxes
  • Document design
  • Document utilities
  • Drawing
  • Adding color
  • Editing objects
  • Editing text
  • Entering special characters
  • Equations
  • Filter By Attribute
  • Find and change
  • Function keys
  • Hierarchical element insert
  • Markers and variables
  • Menu commands
  • Screen modes
  • Selection
  • Tables
  • Text
  • Text formatting
  • Track Text Edit
  • Views
  • Working with structure
  • Other useful shortcuts
Parent topic: Appendix


About keyboard shortcuts

You can perform many tasks by using keyboard shortcuts.

The plus sign (“+”) indicates that each key must be pressed simultaneously. For example, ctrl+z means to press the “Control” key and the “z” key simultaneously.

If the shortcut keystroke does not contain the plus sign (+), press each key in the order the shortcut states. For example, esc m+p means to press and release the “Escape” key, then the “m” key, and then the “p” key.

  • Conventions and function keys
Parent topic: Keyboard shortcuts


Conventions and function keys

When you use keyboard shortcuts, Caps Lock must be off and, unless otherwise noted, a document window must be active.

The following table lists the terms used for special keys:

Notation | Press
arrow key | Up, down, right or ← keys
esc | The key labeled esc
ctrl | The key labeled ctrl or Control
alt | The key labeled alt
shift | The key labeled shift
F2 | The function key labeled F2
space | The space bar
+ | The key labeled with a plus sign (+)
- | The key labeled with a hyphen (-)
. | The key labeled with a period (.)
, | The key labeled with a comma (,)
0 | The key labeled with the numeral 0
1 | The key labeled with the numeral 1
win | The key with the Windows logo
  • Keyboard shortcut sequences
  • Function keys
  • Mouse
Parent topic: About keyboard shortcuts


Keyboard shortcut sequences

The following table explains the conventions for showing key sequences and key combinations. When an uppercase letter appears in a shortcut, use the shift key when typing the letter.

When one or more shortcuts accomplish the same action, the shortcuts are separated by commas; for example: ctrl+n, shift+↓. You can use either ctrl+n or shift+↓ to accomplish the same action.

Keyboard shortcut sequence | Action
esc shift+t r | Press and release these keys in succession: the esc key, the uppercase letter T, and the letter r.
ctrl+e | Press ctrl and type the letter e
ctrl+shift+- | Press shift and ctrl and type a -
Parent topic: Conventions and function keys


Function keys

This table shows the result of pressing a function key or pressing a function key and either the ctrl, shift, or alt key simultaneously.

Key | Function | ctrl | shift | alt
F1 | Help | Align top |  |
F2 | Plain text | Align middle |  |
F3 | Underline | Align bottom | Overline |
F4 | Bold |  | Cascade | Exit
F5 | Italic |  | Tile |
F6 | Repeat Last Operation |  |  |
F7 | Open Command Search |  |  |
F8 | Choose character style by typing |  | Change dialog box settings to As Is |
F9 | Choose paragraph style by typing | Transpose characters | Change dialog box settings to match current text |
F10 |  |  | Display context menu |
Parent topic: Conventions and function keys


Mouse

The following table lists the terms used for mouse actions.

Instruction | Action
Click | Click the mouse button.
Right-click | Click the right mouse button.
Double-click | Click the mouse button twice rapidly without moving the mouse.
Triple-click | Click the mouse button three times rapidly without moving the mouse.
shift-click | Hold down shift and click the mouse button.
Parent topic: Conventions and function keys


Navigating through documents

To go to | Keyboard shortcut
Last viewed and open document | ctrl+Tab
Previous page | esc p p Pg Up
Next page | esc p n Pg Dn
First page | esc p f alt+Pg Up shift and click the Previous Page button
Last page | esc p l alt+Pg Dn shift and click the Next Page button
Go To Page dialog box | esc v p, ctrl+g
Source of a cross-reference | alt+ctrl and click an active area
A specific page | Press ctrl+g or click the Page Status area and then type the page number
Page containing the insertion point | Press ctrl+g or click the Page Status area and then click Page Containing the Insertion Point.
Start of a word | ctrl+←
End of a word | ctrl+→
Start of the next word | esc b w
Start of a sentence | ctrl+Home
End of a sentence | ctrl+End
Start of a paragraph | ctrl+↑
End of the current paragraph | ctrl+↓
Start of the next paragraph | esc b p
Top of a column | ctrl+Pg Up
Bottom of a column | ctrl+Pg Dn
Start of a flow | alt+shift+Pg Up
End of a flow | alt+shift+Pg Dn
Start of a line | ctrl+Pg Up
End of a line | ctrl+Pg Dn
Parent topic: Keyboard shortcuts


Book commands

Task | Keyboard shortcut
New Book | esc f shift+n
Save Book | esc f s ctrl+s
Rename File | esc f e F2
Update Book | esc e shift+u esc f g
Display filenames (in book window) | esc shift+v shift+m
Display paragraph headings (in book window) | esc shift+v shift+x
Delete File from Book | esc f x
Select All Files | esc e a
Save all files in book | esc f shift+s
Close all files in book | esc f shift+c
Select All FrameMaker Files | esc e shift+a shift+f
Select All Non-Generated FrameMaker Files | esc e shift+a shift+n
Select All Generated FrameMaker Files | esc e shift+a shift+g
Select a range of files | shift+click
Select discontiguous files | ctrl+click
Move up a file in book | esc m u
Move a file down in book | esc m d
Print Book | esc f p ctrl+p
Print Selected Files in Book | esc f shift+f
Parent topic: Keyboard shortcuts


Documents

  • Help
  • Open
  • Save and Close
  • Cancel and Undo
  • Navigation within a document
  • Document redisplay
  • Zoom
  • Hypertext documents
Parent topic: Keyboard shortcuts


Help

Task | Keyboard shortcut
Display online Help | esc f h F1
Adobe Online | esc w w w
Display Help on using the templates provided with FrameMaker | Press ctrl+n and click Explore Standard Templates.
Parent topic: Documents


Open

Open | Keyboard shortcut
A document in a book file | Double-click the filename in the book window
All files in an active book window | esc f shift+o Or choose File > Open All Files in Book from the menu.
A MIF or an MML file as a text file | Press ctrl and click Open in the Open dialog box
Parent topic: Documents


Save and Close

Task | Keyboard shortcut
Display the Save Document dialog box | esc f a
Save a document or book | esc f s ctrl+s
Save all open files | esc f shift+s Or choose File > Save All Open Files from the menu.
Save all open files in an active book window in a book | esc f shift+s Or choose File > Save All Files in Book from the menu.
Close all open files | esc f shift+c Or choose File > Close All Open Files from the menu.
Close all open files in an active book window in a book | esc f shift+c Or press and choose File > Close All Files in Book from the menu.
Parent topic: Documents


Cancel and Undo

Task | Keyboard shortcut
Cancel some FrameMaker commands | esc
Undo some FrameMaker commands | esc e u ctrl+z
Parent topic: Documents


Navigation within a document

Display | Keyboard shortcut
Previous page | esc p p Page Up
Next page | esc p n Page Down
First page | esc p f alt+Page Up Or press and click the Previous Page button.
Last page | esc p l, alt+Page Down Or press and click the Next Page button.
Go to Page dialog box | ctrl+g
Parent topic: Documents


Document redisplay

Task | Keyboard shortcut
Redisplay a document | esc w r ctrl+l
Parent topic: Documents


Zoom

Zoom | Keyboard shortcut
In one zoom setting | esc z i
Out one zoom setting | esc z o
To fit page in window | esc z p
To fit window to page | esc z w
To fit window to text frame | esc z f
To 100 percent | esc z z
Parent topic: Documents


Hypertext documents

Task | Keyboard shortcut
Go to previous location on the hypertext stack | esc v shift+p
Go to next location on the hypertext stack | esc v shift+n
Activate a hypertext command without locking a document | Press ctrl+alt and click an active area
Lock or unlock a document | esc shift+f l k
Open Hypertext dialog box | esc s h
Move focus to Hypertext dialog box | esc shift+f i h
Close Hypertext dialog box | esc shift+c h
Validate a hypertext command | esc v h
Toggle FluidView locked format | esc shift+v shift+f
Parent topic: Documents


Dialog boxes

  • Typing in dialog boxes
  • Window manipulation
  • Display and activation
  • Navigation within dialog boxes
  • Command buttons
  • Radio buttons and checkboxes
  • Pop-up menus
  • Scroll lists
  • Custom menus
Parent topic: Keyboard shortcuts


Typing in dialog boxes

In some cases, you must type a character sequence beginning with a backslash (\) to enter a character in a dialog box. The sequence appears in the dialog box, but the character appears correctly in the document. The following table shows the sequences to type in a dialog box.

All key sequences described here begin with a backslash (\). To indicate a literal backslash in a dialog box, enter two backslashes (\\). In a few cases, you can choose between two backslash sequences for a character. In these cases, the sequences are separated by a comma.

Character name | Graphic | Backslash sequence
Bullet |  | \b
Circumflex |  | \@
Dagger | † | \d
Dagger (double) | ‡ | \shift+d
Dash (em) |  | \m
Dash (en) |  | \=
Ellipsis | … | \e
Florin | ƒ | \shift+f
Forced return |  | \r
Fraction | ∕ | \ /
Grave | ` | \{
Guilsingl left | ‹ | \(
Guilsingl right | › | \)
Hungarumlaut | ˝ | \&
Hyphen (discretionary) | - | \-
Hyphen (nonbreaking) | - | \+
OE ligature | Œ | \shift+o shift+e
oe ligature | œ | \oe
Per thousand | ‰ | \%
Quote (base single) | ‘ | \ ,
Quote (base double) | „ | \g
Quote (double left) | “ | \`
Quote (double right) | ” | \'
Quote (single) | ’ | \"
Space (em) |  | \sm \ shift+m
Space (en) |  | \sn \ shift+n
Space (nonbreaking) |  | \space
Space (numeric) |  | \s#, \#
Space (thin) |  | \st, \i
Suppress hyphention |  | \_ (underscore)
Tab |  | \t
Trademark serif |  | \ shift+t shift+m
Y dieresis |  | \ shift+y :
Parent topic: Dialog boxes


Window manipulation

To use these shortcuts, click in any FrameMaker window.

Task | Keyboard shortcut
Redisplay a document window | esc w r ctrl+l
Close the active window or modeless dialog box | alt+F4
Close the document window | esc f q esc f c ctrl+F4 ctrl+w ctrl+shift+w
Minimize the document window | esc w c
Parent topic: Dialog boxes


Display and activation

Use these shortcuts to display a window or dialog box and make it active. If it is already open but is behind another window, these shortcuts bring it to the front.

To display this window and make it active | Keyboard shortcut
Current document window | esc shift+f i d shift+F7
Find/Change | esc shift+f i f
Hypertext | esc shift+f i h
Marker | esc shift+f i m
Spelling Checker | esc shift+f i s
Paragraph Designer | esc shift+f i p
Character Designer | esc shift+f i o
Conditional Text | esc shift+f i o
Custom Ruling and Shading | esc shift+f i r
Table Designer | esc shift+f i t
Structure View | esc shift+f i v
Element Validation | esc shift+f i w
Parent topic: Dialog boxes


Navigation within dialog boxes

Use these shortcuts to move to settings within dialog boxes and panels. When you use a keyboard shortcut in a window or dialog box, the shortcut’s effect depends on the active setting. The active setting is highlighted, has a dotted rectangle around it, or both.

Task | Keyboard shortcut
Move to the next setting | tab
Move to the previous setting | shift+tab
Parent topic: Dialog boxes


Command buttons

Task | Keyboard shortcut
Click the default button | return
Click the active button | space
Cancel a dialog box (but not a window) | esc
Parent topic: Dialog boxes


Radio buttons and checkboxes

Task | Keyboard shortcut
Navigate through a group of radio buttons to turn on a radio button | arrow keys
Cycle through checkbox states (off, on, As Is) | space
Parent topic: Dialog boxes


Pop-up menus

Task | Keyboard shortcut
Move to the previous menu item | ↑
Move to the next menu item | ↓
Search forward and select an item starting with a typed letter | Unshifted key
Parent topic: Dialog boxes


Scroll lists

Task | Keyboard shortcut
Move to the previous item in a list | ↑
Move to the next item in a list | ↓
Search forward and select an item starting with a typed letter | Unshifted key
Move an item in a scroll list to the opposite scroll list | Double-click the item
Move all items in a scroll list to the opposite scroll list | Press and click arrow between scroll lists
Parent topic: Dialog boxes


Custom menus

Task | Keyboard shortcut
Display a custom menu bar | esc v m u
Parent topic: Dialog boxes


Document design

  • Master and reference pages
  • Page layout
  • Import formats
  • Side-head area
  • Text flows
Parent topic: Keyboard shortcuts


Master and reference pages

Task | Keyboard shortcut
Rename a master or reference page (display the master or reference page before using this shortcut) | esc p shift+n
Create a master page (display a body or master page before using this shortcut) | esc o m p esc p m
Parent topic: Document design


Page layout

Task | Keyboard shortcut
Update page layouts (display a body page before using this shortcut) | esc o u p
Parent topic: Document design


Import formats

Task | Keyboard shortcut
Import the formats from another document | esc f i o
Parent topic: Document design


Side-head area

Task | Keyboard shortcut
Turn side-head area on or off | esc j p shift+s
Parent topic: Document design


Text flows

Task | Keyboard shortcut
Split a text frame below the insertion point | esc shift+c shift+s
Disconnect the text frame with the insertion point from the previous frame in a flow | esc shift+c shift+p
Disconnect the text frame with the insertion point from the next frame in a flow | esc shift+c shift+n
Disconnect the text frame with the insertion point from both the previous and next frames | esc shift+c shift+b
Connect two selected text frames | esc shift+c shift+c
Parent topic: Document design


Document utilities

  • Spelling Checker
  • Thesaurus
  • Document comparison
  • Document reports
  • HTML and PDF export
  • Reference Updating
Parent topic: Keyboard shortcuts


Spelling Checker

Task | Keyboard shortcut
Check selected text or a word containing the insertion point | esc l s Or press ctrl and click Start Checking in the Spelling Checker dialog box
Check the entire document | esc l e
Check the current page | esc l p
Correct a word | esc l c w
Add a word to your personal dictionary (learn) | esc l a p
Add a word to the document dictionary | esc l a d
Add a word to automatic corrections | esc l a c
Delete a word from your personal dictionary (unlearn) | esc l x p
Delete a word from the document dictionary | esc l x d
Clear automatic corrections | esc l c a
Display the Spelling Checker Options dialog box | esc l shift+o
Display the Dictionary Functions dialog box | esc l c d
Create a file of unknown words | esc l b
Mark all paragraphs for rechecking | esc l r
Show a word’s -ation | esc l -
Re-ate a document | esc l shift+r
Replace a questioned word | Double-click the word in the Correction scroll list in the Spelling Checker dialog box
Parent topic: Document utilities


Thesaurus

To use this shortcut, the document window, not the Thesaurus, must be active.

Task | Keyboard shortcut
Replace a selection with the Thesaurus selection | esc shift+t r
Parent topic: Document utilities


Document comparison

Task | Keyboard shortcut
Display the Compare Documents dialog box | esc f t c
Parent topic: Document utilities


Document reports

Task | Keyboard shortcut
Display the Document Reports dialog box | esc f t r
Parent topic: Document utilities


HTML and PDF export

Task | Keyboard shortcut
Create and apply formats | esc f t f
Open the HTML Setup dialog box | esc f t h
Open the PDF Setup dialog box | esc o d a
Parent topic: Document utilities


Reference Updating

Task | Keyboard shortcut
Display the Suppress Automatic Reference Updating dialog box | esc e shift+s
Parent topic: Document utilities


Drawing

Tool | Keyboard shortcut
Arc | esc 1 a
Graphic Frame | esc 1 m
Adobe FreeHand | esc 1 f
Last tool selected | esc 1 1
Line | esc 1 l
Object Selection | esc 1 o
Oval | esc 1 e
Polygon | esc 1 p g
Polyline | esc 1 p l
Rectangle | esc 1 r
Rounded Rectangle | esc 1 shift+r
Smart Selection | esc 1 s
Text Frame | esc 1 t f
Text Line | esc 1 t l
Vertical, horizontal, or diagonal line | Press shift and draw a line
Square | Press shift and draw a rectangle
Circle | Press shift and draw an oval
Circular arc | Press shift and draw an arc
Display the Tools palette | esc 1 w esc g shift+t
Keep a tool active after use | Press shift and click a drawing tool
Return to the Object Selection tool after drawing | Press shift and click the Object Selection tool
  • Pen patterns
  • Fill patterns
  • Line widths
  • Line styles
Parent topic: Keyboard shortcuts


Pen patterns

“First,” “last,” “next,” and “previous” refer to positions in the Pen drop-down list.

To change pattern to | Keyboard shortcut
First pen pattern (solid) | esc 0 p
Last pen pattern (none) | esc 9 p
Next pen pattern (if at the last pattern, this does nothing) | esc + p
Previous pen pattern (if at the first pattern, this does nothing) | esc - p
Parent topic: Drawing


Fill patterns

“First,” “last,” “next,” and “previous” refer to positions in the Fill drop-down list.

To change pattern to | Keyboard shortcut
First fill pattern (solid) | esc 0 f
Last fill pattern (none) | esc 9 f
Next fill pattern (if at the last pattern, this does nothing) | esc + f
Previous fill pattern (if at the first pattern, this does nothing) | esc - f
Parent topic: Drawing


Line widths

“Next” and “previous” refer to positions in the Line Widths drop-down list.

To change width to | Keyboard shortcut
Thinnest line width | esc 0 w
Thickest line width | esc 9 w
Next line width | esc + w
Previous line width | esc - w
Parent topic: Drawing


Line styles

To change an object’s line style, select the style from the Line Styles drop-down list.

To change the current dashed line style, choose a pattern in the Dashed Line Options dialog box. “First,” “last,” “next,” and “previous” refer to positions in this dialog box.

Task | Keyboard shortcut
Apply the solid line style to an object | esc 1 d s
Apply the dashed line style to an object | esc 1 d d
Display the Dashed Line Options dialog box | esc 1 d i
Change to the first dashed line pattern | esc 0 d
Change to the last dashed line pattern | esc 9 d
Change to the next dashed line pattern (if at the last pattern, this does nothing) | esc + d
Change to the previous dashed line pattern (if at the first pattern, this does nothing) | esc - d
Parent topic: Drawing


Adding color

  • Color selection
  • Color views
Parent topic: Keyboard shortcuts


Color selection

Task | Keyboard shortcut
Keep a color selected after use | Press shift and choose a color from the Color drop-down list
Assign a color to all objects in a document, including text | Press alt+shift and choose a color from the Color drop-down list in the Tools palette
Display the Color Definitions dialog box | Press esc v c d
Parent topic: Adding color


Color views

Task | Keyboard shortcut
Display Define Color Views dialog box | Press esc v c v
Choose view number (1, 2, 3, 4, 5, or 6) from the Define Color Views dialog box | Press esc v and then the number
Parent topic: Adding color


Editing objects

  • Object selection
  • Object manipulation
  • Object movement
  • Object alignment
  • Object rotation
  • Graphic frames
Parent topic: Keyboard shortcuts


Object selection

Use these shortcuts to select objects on the current page.

Task | Keyboard shortcut
Select a text line or text frame | Press ctrl and click the text line or text frame
Extend or shorten the selection | Press and click an object
Force selection border to appear (when dragging from outside all objects is not possible) | Press ctrl+ and drag diagonally
Select the first object in the draw order | esc o shift+f
Select the next object in the draw order | esc o n
Extend the selection to the next object in the draw order | esc o e
Deselect a text frame or text line and put the insertion point inside it instead | Double-click in the text frame or text line
Parent topic: Editing objects


Object manipulation

Task | Keyboard shortcut
Move an object horizontally or vertically | Press and drag the object
Maintain an object’s proportions while resizing | Press and drag a corner handle
Pick up the properties of the currently selected object in the Tools palette | esc g shift+o Or press and choose Pick up Object Properties from the Graphics menu
Display the reshape handle and control points for the line, polyline, polygon, or freehand curve currently selected | esc g r ctrl+r ctrl+shift+r
Move the control point horizontally or vertically | Press and drag the control point
Change the curve on only one side of a reshape handle (crimp curve) | Drag the control point with the right mouse button
Run text around the contour of a selected graphic | esc g w
Run text around the bounding box of a selected graphic | esc g shift+w
Turn text runaround off for a selected graphic | esc g q
Quick-copy a selected object | Press alt and drag the object
Turn display of graphics off or on | esc v v
Add a reshape handle and control points | Press ctrl and click a line, polyline, polygon, or freehand curve with reshape handles and control points currently displayed
Delete a reshape handle | Press ctrl and click the reshape handle
Drag and drop between open or applications | Drag (ctrl-drag to copy)
Parent topic: Editing objects


Object movement

Use these shortcuts to move selected objects.

To move objects | Keyboard shortcut
One point in specified direction (at 100 percent zoom setting) | alt+arrow key
Six points in specified direction (at 100 percent zoom setting) | alt+shift+arrow key
Parent topic: Editing objects


Object alignment

If only one object is selected, the object is aligned to the page or to the anchored or graphic frame that encloses the object.

To align object along | Keyboard shortcut
Tops | esc j t ctrl+F1
Top/bottom centers | esc j m ctrl+F2
Bottoms | esc j b ctrl+F3
Left sides | esc j l
Left/right centers | esc j c
Right sides | esc j r
Parent topic: Editing objects


Object rotation

Task | Keyboard shortcut
Rotate 90 degrees clockwise | esc g +
Rotate 90 degrees counterclockwise | esc g -
Rotate precisely by using the Rotate Selected Objects dialog box | esc g t
Rotate again | esc g x
Return object to its unrotated orientation (zero degrees) | esc g 0
Rerotate object from its unrotated orientation to its previous orientation | esc g 1
Set the current orientation of an object as the new unrotated orientation | esc g 9
Rotate an object arbitrarily | Press alt and drag a corner or reshape handle
Constrain rotation to 45-degree increments | Press alt and drag a corner or reshape handle
Rotate a page clockwise | esc p shift+o
Rotate a page counterclockwise | esc p o
Unrotate a page | esc p shift+u
Parent topic: Editing objects


Graphic frames

Task | Keyboard shortcut
Shrink-wrap an anchored frame (shrink the frame to an object and position the frame at the insertion point) | esc m p
Unwrap an anchored frame (enlarge the frame) | esc m e
Rename a selected reference frame | Click frame name in status bar
Parent topic: Editing objects


Editing text

Task | Keyboard shortcut
Cut | esc e x shift+del ctrl+x
Copy | esc e c ctrl+c
Paste | esc e p ctrl+y ctrl+v
Undo/Redo | esc e u ctrl+shift+z ctrl+z
Quick-copy text | Click where you want to put the copied text and then press alt and drag through the text
Transpose characters | Click between characters and then press ctrl+F9
Make selected text lowercase | alt+ctrl+l
Make selected text uppercase | alt+ctrl+u
Make selected text initial caps | alt+ctrl+c
Select a word | Double-click it
Select a word, then next words | Double-click it and drag, double-click it and shift-click
Select current sentence, then next | Press esc h s Press ctrl+shift+end
Select current sentence, then previous | Press esc shift+h shift+s Press ctrl+ shift+home
Select a paragraph | Triple-click it
Select a paragraph, then next paragraphs | Triple-click it and drag, triple-click it and shift-click
Delete previous character | backspace
Delete backward to start of the previous word | esc k b
Delete backward to end of the previous sentence | esc k a
Delete next character | del
Delete forward to end of a word | esc k f ctrl+del
Delete forward to end of a line | ctrl+shift+del
Delete forward to start of the next sentence | esc k s
Parent topic: Keyboard shortcuts


Entering special characters

Character | Keyboard shortcut
(bullet) | ctrl+q %
† (dagger) | ctrl+q space
‡ (double dagger) | ctrl+q `
™ (trademark) | ctrl+q *
© (copyright) | ctrl+q )
® (registered trademark) | ctrl+q (
¶ (paragraph symbol) | ctrl+q &
§ (section symbol) | ctrl+q $
… (ellipsis) | ctrl+q shift+i
(em dash) | ctrl+q shift+q
(en dash) | ctrl+q shift+p
‘ | ctrl+'
" | esc "
(with Smart Quotes off) | ctrl+q shift+t
(with Smart Quotes off) | ctrl+q shift+u
(with Smart Quotes off) | ctrl+q shift+r alt+ctrl+´
(with Smart Quotes off) | ctrl+q shift+s alt+ctrl+'
Em space | esc space m ctrl+shift+space
Insert | Keyboard shortcut
En space | esc space n alt+ctrl+space
Nonbreaking space | esc space h ctrl+space
Numeric space | esc space 1
Thin space | esc space t
Nonbreaking Hyphen | esc - h
Suppress Hyphenation symbol | esc n s
Discretionary Hyphen | esc - shift+d ctrl+-
Forced return | shift+return
Accent | Press esc, then type this | Followed by one of these | Example
´ (acute) | ' (apostrophe) | a, A, e, E, i, I, o, O, u, U | É, é
` (grave) | ` (left quote) | a, A, e, E, i, I, o, O, u, U | È, è
˜ (tilde) | ~ (tilde) | a, A, n, N, o, O | Ñ, ñ
¨ (dieresis) | % (percent) | a, A, e, E, i, I, o, O, u, U, y, Y | Ü, ü
ˆ (circumflex) | ^ (caret) | a, A, e, E, i, I, o, O, u, U | Ê, ê
° (ring) | * (asterisk) | a, A | Å, å
¸ (cedilla) | , (comma) | c, C | Ç, ç
Parent topic: Keyboard shortcuts


Equations

  • Equations drop-down list
  • Symbols page
  • Operators page
  • Large page
  • Delimiters page
  • Relations page
  • Calculus page
  • Matrices page
  • Functions page
  • Positioning pages
  • Navigating in an equation
Parent topic: Keyboard shortcuts


Equations drop-down list

Command | Keyboard Shortcut
New Small Equation | esc m s
New Medium Equation | esc m m
New Large Equation | esc m l
Shrink-Wrap Equation | esc m p
Unwrap Equation | esc m e
Equation Sizes | esc p e
Equation Fonts | esc m f
Insert Math Element | esc m i
Add Definition to Catalog | esc m c
Update Definition | esc m shift+u
Parent topic: Equations


Symbols page

Greek letters

Press Return to end the backslash sequence shown in the third column.

Element | Keyboard shortcut | Backslash sequence
 | ctrl+alt+a | \alpha
 | ctrl+alt+b | \beta
 | ctrl+alt+shift+g | \Gamma
 | ctrl+alt+g | \gamma
 | ctrl+alt+shift+d | \Delta
 | ctrl+alt+d | \delta
 | ctrl+alt+e | \epsilon
 | ctrl+alt+z | \zeta
 | ctrl+alt+h | \eta
 | ctrl+alt+shift+q | \Theta
 | ctrl+alt+q | \theta
 | ctrl+alt+shift+j | \vartheta
 | ctrl+alt+i | \iota
 | ctrl+alt+k | \kappa
 | ctrl+alt+shift+l | \Lambda
 | ctrl+alt+l | \lambda
 | ctrl+alt+m | \mu
 | ctrl+alt+n | \nu
 | ctrl+alt+shift+x | \Xi
 | ctrl+alt+x | \\x
 | ctrl+alt+shift+p | \Pi
 | ctrl+alt+p | \pi
 | ctrl+alt+r | \rho
 | ctrl+alt+shift+s | \Sigma
 | ctrl+alt+s | \sigma
 | ctrl+alt+shift+e | \varsigma
 | ctrl+alt+t | \tau
 | ctrl+alt+shift+u | \Upsilon
 | ctrl+alt+u | \upsilon
 | ctrl+alt+shift+f | \Phi
 | ctrl+alt+f | \phi
 | ctrl+alt+j | \varphi
 | ctrl+alt+x | \chi
 | ctrl+alt+shift+y | \Psi
 | ctrl+alt+y | \psi
 | ctrl+alt+shift+o | \Omega
 | ctrl+alt+o | \omega
 | ctrl+alt+shift+i | \varpi
 | ctrl+alt+7 | \cpartial

Other special symbols

Press Return to end the backslash sequence shown in the third column.

Element | Keyboard shortcut | Backslash sequence
 | ctrl+alt+1 | \infty
 | ctrl+alt+2 | \bot
... | ctrl+g . | \ldots
 | ctrl+alt+3 | \aleph
 | ctrl+alt+4 | \Im
 | ctrl+m $ | \Re
 | ctrl+alt+5 | \wp
 | ctrl+alt+0 | \emptyset
 | ctrl+alt+6 | \nabla
° | ctrl+m ) | \degree
‘ | ctrl+alt+` | \prime
“ | ctrl+m " | \pprime

Strings

Command | Keyboard shortcut
Start String | ' or "
End String | return

Diacritical marks

Element | Keyboard shortcut
 | `
 | ~
 | ctrl+g -
 | ctrl+alt+shift+v
 | ctrl+g ^
 | .
 | ctrl+g ~
 | ctrl+g _
 | ctrl+g →
 | ctrl+g @
Parent topic: Equations


Operators page

Press Return to end the backslash sequence shown in the third column.

Element or command | Keyboard shortcut | Backslash sequence
+ | + | \plus
_ | - (after an operand) |
?x? | ctrl+m * | \cross
 | ctrl+m . | \cdot
 | ctrl+8 | \bullet
Toggle Format | ctrl+shift+t esc m T |
 | ctrl+alt+/ | \fract
 | ctrl+m / | \div
 | / | \over
?=? | = | \equal
 | ctrl+g = | \uequal
 | ctrl+j | \jotdot
?,? | , | \comma
 | <Use the Backslash sequence> | \otimes
 | <Use the Backslash sequence> | \oplus
 | <Use the Backslash sequence> | \wedge
 | <Use the Backslash sequence> | \vee
 | ctrl+m i | \cap
 | ctrl+m u | \cup
 | ctrl+m , | \ucomma
 | ; | \semicolon
 | ctrl+m n | \neg
- | ctrl+- | \minus
 | ctrl+m 1 | \mp
 | ctrl+q 1 | \pm
 | <Use the Backslash sequence> | \grad
 | ctrl+q shift+q (and add operand) |
 | ctrl+m ctrl+d | \change
 | ctrl+m x | \box
 | ctrl+m o | \boxdot
 | ctrl+m 2 | \box2
 | ctrl+m m | \forall
 | ctrl+m e | \exist
 | ctrl+m t | \therefore
 | ctrl+a esc m v l | \atop (lowercase L)
 | ctrl+m ; | \list esc m h l
 | * | \times
 | ctrl+g | (bar) | \abs
 | esc m ^ |
 | esc m ctrl+shift - |
 | ctrl+m ctrl+^ |
 | ctrl+m ctrl+ shift - |
 | ctrl+r | \sqrt
 | ctrl+r (and add operand) |
 | ctrl+shift+e | \sn
 | ^ | \power
 | ctrl+m d | \dagger
 | ! | \fact
 | ctrl+m s | \ast
 | ctrl+q shift+p | \angle
Parent topic: Equations


Large page

Press Return to end the backslash sequence shown in the third column.

Use these shortcuts to type each element on the Large page with only one operand. Then use Add Operand and Toggle Format as needed.

Element or command | Keyboard shortcut | Backslash sequence
 | ctrl+shift+s | \sum
 | ctrl+shift+p | \prod
 | ctrl+i | \int
 | NA | \oint
 | ctrl+m shift+i | \bigcap
 | ctrl+m shift+u | \bigcup
Add Operand | ctrl+shift+n esc m n |
Toggle Format | ctrl+shift+t esc m shift+t |
Parent topic: Equations


Delimiters page

Press Return to end the backslash sequence shown in the third column.

Element or command | Shortcut | Backslash sequence
( ? ) | ( | \id
[ ? ] | [ (left bracket) |
? } | { (left brace) |
? | | | (bar) | \substitution
< ? > | ctrl+m < | \dangle
|?| | ctrl+g | (bar) | \abs
( ? | ctrl+m ( | \lparen
[ ? | ctrl+m [ (left bracket) |
{ ? | ctrl+m { (left brace) |
? | | | (bar) (and add operand) |
|? > | ctrl+m k | \ket
||?|| | ctrl+m | (bar) | \norm
? ) | ) | \rparen
? ] | ] (right bracket) |
? } | } (right brace) |
? | | | (bar) (and add two operands) |
< ? | | ctrl+m b | \bra
 | ctrl+q i | \ceil
( ?, ? ) | ctrl+m shift+n | \inprod
[ ?, ? ] | ctrl+m shift+c | \cmut
{ ?, ? } | ctrl+m shift+a | \acmut
 | _ (underline) | \overline
< ? | ?> | ctrl+m shift+c | \bket
 | ctrl+q k | \floor
 | ctrl+m h | \choice
 | ctrl+m shift+d | \downbrace
 | ctrl+m shift+p | \upbrace
Toggle Format | ctrl+shift+t esc m T |
Remove Parentheses | esc m r p |
Parent topic: Equations


Relations page

Press Return to end the backslash sequence shown in the third column.

Element | Shortcut | Backslash sequence
? < ? | < | \lessthan
? > ? | > | \greaterthan
? = ? | = | \equal
? ~ ? | ctrl+m ~ | \sim
 | ctrl+q shift+l | \subset
 | ctrl+q shift+i | \supset
 | ctrl+q , | \leftarrow
 | ctrl+q . | \rightarrow
 | ctrl+q + | \lrarrow
 | ctrl+m r | \perp
 | ctrl+g < | \leq
 | ctrl+g > | \geq
 | ctrl+q : | \equiv
 | ctrl+q ; | \approx
 | ctrl+q shift+j | \subseteq
 | ctrl+q shift+m | \supseteq
 | ctrl+q \ | \Leftarrow
 | ctrl+q ^ | \Rightarrow
 | ctrl+q [ | \LRarrow
 | ctrl+m p | \parallel
 | ctrl+q l | \ll
 | ctrl+q g | \gg
 | ctrl+q = | \notequal
 | @ | \cong
 | ctrl+q shift+n | \in
 | ctrl+' | \ni
 | ctrl+q shift+o |
= ? | ctrl+g = | \uequal
 | ctrl+q shift+k | \notsubset
 | ctrl+q 5 | \propto
Parent topic: Equations


Calculus page

Press Return to end the backslash sequence shown in the third column.

Use these shortcuts to type each element on the Large page with only one operand. Then use Add Operand and Toggle Format as needed.

Element or command | Shortcut | Backslash sequence
 | ctrl+i | \int
 | ctrl+shift+i | \oint
Add Operand | ctrl+shift+n esc m n |
Toggle Format | ctrl+shift+t esc m T |
 | ctrl+g t | \optotal
 | ctrl+g shift+t |
 | ctrl+g p | \oppartial
 | ctrl+g shift+p |
 | ctrl+g t (and add operand) |
 | ctrl+g shift+t (and add operand) |
 | ctrl+g p (and add operand) |
 | ctrl+g shift+p (and add operand) |
 | ctrl+alt+d | \var
 | ctrl+q shift+q | \grad
 | ctrl+d | \diff
 | ctrl+m c | \curl
 | ctrl+shift+d | \partial
 | ctrl+m v | \diver
 | ctrl+shift+l | \lim
 | ctrl+m l | \lap
Parent topic: Equations


Matrices page

To insert a matrix of any size, first insert a 1 by 1 matrix. Then add rows and columns one at a time.

Command | Shortcut
Add/Remove Brackets | ctrl+shift+t

Matrix commands drop-down list

Command | Shortcut
Create 1 x 1 Matrix | esc x m
Add Row | esc x r
Add Column | esc x c ctrl+shift+c
Matrix Transpose | esc x t
Matrix Algebra | esc x a

Matrix row height drop-down list

Command | Shortcut
Toggle fixed/proportional | esc m t r

Matrix column width drop-down list

Command | Shortcut
Toggle fixed/proportional | esc m t c
Parent topic: Equations


Functions page

To insert each function (except the general function and limit) from the keyboard, type its name as shown.

Element | Shortcut | Backslash sequence
? ( ? ) | ctrl+f | \function
 | ctrl+shift+l | \lim

Addition drop-down list

Command | Shortcut
Add Fractions | esc m a a
Order Sum | esc m a o
Order Sum Reverse | esc m a shift+o

Multiplication drop-down list

Command | Keyboard shortcut
Factor | esc m u f
Factor Some | esc m u shift+f
Multiply Out | esc m u m
Multiply Out Once | esc m u shift+m
Distribute | esc m u d
Distribute Over Equality | esc m u shift+d

Division drop-down list

Command | Keyboard shortcut
Long Division | esc m d l
Remove Division | esc m d d
Remove Division 1 Level | esc m d shift+d
Remove Negative Powers | esc m d n
Remove Negative Powers 1 Level | esc m d shift+n

Evaluation drop-down list

Command | Keyboard shortcut
Number Crunch | esc m v n
Show All Digits | esc m c .
Evaluate | esc m v e
Evaluate Substitution | esc m v s
Evaluate Integrals | esc m v i
Evaluate Derivatives | esc m v d
Evaluate Derivatives 1 Level | esc m v shift+d

Rules drop-down list

Command | Keyboard shortcut
Enter Rule | esc m r e
Apply Rule | esc m r a
Designate Dummy | esc m r d

Other rewrites drop-down list

Command | Keyboard shortcut
Simplify | esc m o s
Simplify Some | esc m o shift+s
Isolate Term | esc m o i
Expand First Term | esc m o e
Expand All Terms | esc m o shift+e
Parent topic: Equations


Positioning pages

Micropositioning

The number of points shown in the following table is based on a zoom setting of 100 percent.

Task | Keyboard shortcut
Move up 1 point | alt+↑
Move down 1 point | alt+↓
Move left 1 point | alt+←
Move right 1 point | alt+→
Move up 6 points | alt+shift+↑
Move down 6 points | alt+shift+↓
Move left 6 points | alt+shift+←
Move right 6 points | alt+shift+→
Remove micropositioning | alt+home

Left/right (alignment) drop-down list

Command | Keyboard shortcut
Left | esc m a l
Center | esc m a c
Right | esc m a r
Left of = | esc m a +
Right of = | esc m a =
Set Manual | esc m a s
Clear Manual | esc m a d
Reset Alignment | esc m a shift+r

Up/down (alignment) drop-down list

Command | Keyboard shortcut
Top | esc m a t
Baseline | esc m a shift+b
Bottom | esc m a b

Line breaking drop-down list

Command | Keyboard Shortcut
Set Manual | esc m b s
Clear Manual | esc m b c
Parent topic: Equations


Navigating in an equation

Moving the insertion point

Move | Keyboard shortcut
Left | ←
Right | →
From beside a fraction to the numerator | ↓

Changing the selection

Task | Keyboard shortcut
Select next prompt | tab
Increase scope of selection | space
Select next element to the left | ←
Select next element to the right | →

Moving math elements while retaining algebraic equivalency

Move | Keyboard shortcut
Left | shift+←
Right | shift+→
Up | shift+↑
Down | shift+↓
To far left | ctrl+alt+←
To far right | ctrl+alt+→
Left into expression | ctrl+shift+←
Right into expression | ctrl+shift+→

Moving math elements without retaining algebraic equivalency

Swap | Keyboard shortcut
With element on left | ctrl+m ctrl+←
With element on right | ctrl+m ctrl+→
Parent topic: Equations


Filter By Attribute

Task | Keyboard shortcut
Open the Manage Attribute Expressions dialog box | esc a c
Parent topic: Keyboard shortcuts


Find and change

Task | Keyboard shortcut
Search forward | esc f i n esc e shift+f ctrl+shift+f alt+ctrl+s
Search backward | esc f i p alt+ctrl+f alt+ctrl+r
Change current selection | esc r o
Change all occurrences of Find text in document | esc r g
Change and search again | esc r a
Change settings to As Is in Find Character Format and Change To Character Format dialogs | shift+F8
Change settings to match selected text in the Find Character Format and Change To Character Format dialogs | shift+F9
Display Set Find/Change Parameters dialog box | esc f i s
Find | Text string
Tab symbol | \t
Forced return | \r
End-of-paragraph symbol | \p
Start of paragraph | \P
Nonbreaking space | \ (space)
Thin space | \i, \st
Find | Text string
En space | \N, \sn
Em space | \M, \sm
Numeric space | \#, \s#
End-of-flow symbol | \f
` (grave) | \{
\ (backslash) | \\
Discretionary hyphen | \-
Nonbreaking hyphen | \+
Suppress hyphenation symbol | \_
Start of word | \<
End of word | \>
With Use Wildcards turned on …
Any number of characters | *
Spaces or punctuation | | (bar)
Any one character | ?
The beginning of a line | ^
The end of a line | $
Any one of the bracketed characters ab | [ab]
Any character except ab | [^ab]
Any character from a to f | [a-f]
Parent topic: Keyboard shortcuts


Function keys

Key | Function | Control | Shift | Alt
F1 | Help | Align top |  |
F2 | Plain text | Align middle |  |
F3 | Underline | Align bottom | Overline |
F4 | Bold |  | Cascade | Exit
F5 | Italic |  | Tile |
F6 |  |  |  |
F7 |  |  | Point on document window |
F8 | Choose character style by typing |  | Change dialog box settings to As Is |
F9 | Choose paragraph style by typing | Transpose characters | Change dialog box settings to match current text |
F10 |  |  | Display context menu |
Parent topic: Keyboard shortcuts


Hierarchical element insert

Key/Key action | Type of navigation/action
Place cursor in an element and hit Enter | Display the quick catalog
→ | Display the elements available within the selected element
← | Hide one level hierarchy of elements
tab | scroll down
shift+tab | scroll up
Alphabets/combination of alphabets | Type an alphabet or combination of alphabets to select an element. For example, press B to select Body and Type T, O to go to Topic.
Parent topic: Keyboard shortcuts


Markers and variables

  • Marker insertion
  • Variable insertion
Parent topic: Keyboard shortcuts


Marker insertion

Task | Keyboard shortcut
Insert a marker | esc m k
Insert a hypertext marker | esc m h
Open the Edit Marker Types dialog box | esc e m t
Parent topic: Markers and variables


Variable insertion

Task | Keyboard shortcut
Insert a variable by typing the first characters of its name and pressing Return | esc q v ctrl+0
Parent topic: Markers and variables


Menu commands

  • Context menus
  • File menu (document window)
  • File menu (book window)
  • Edit menu (document window)
  • Edit menu (book window)
  • Add menu (book window)
  • Element menu
  • Format menu
  • View menu (document window)
  • View menu (book window)
  • Special menu
  • Graphics menu
  • Table menu
  • Structure menu
  • DITA menu
  • Window menu
Parent topic: Keyboard shortcuts


Context menus

Task | Action
Display a drop-down list of commands that apply to the current selection or context | Right-click on an object, in a document margin, or in a book window
Parent topic: Menu commands


File menu (document window)

Task | Keyboard shortcut
New>Document | esc f n ctrl+n
New>Book | esc f shift+n
Open | esc f o ctrl+o
Close | esc f c esc f q ctrl+w ctrl+F4 ctrl+shift+w
Close All | esc f shift+c esc f shift+q
Save | esc f s ctrl+s
Save All | esc f shift+s
Save As | esc f a
Save As PDF | esc f w p
Save As XML | esc f w x
Revert to Saved | esc f r
Import>File | esc f i f
Import>Formats | esc f i o
Import>Object | esc f i b
Import>Element Definitions | esc f i e
Print | esc f p ctrl+p
Print Setup | ctrl+ shift+p
Send | esc f m
Send All Open Files | esc f shift+m
Utilities>Compare Documents | esc f t c
Utilities>Document Reports | esc f t r
Utilities>HTML Setup | esc f t h
Utilities>Create and Apply Formats | esc f t f
Utilities>Hex Input | win h
Utilities>Character Palette | win i
Preferences | esc f shift+p
Exit | alt+F4
Parent topic: Menu commands


File menu (book window)

Task | Keyboard shortcut
New Document | esc f n ctrl+n
New Book | esc f shift+n
Open | esc f o ctrl+o
Open All Files in Book | esc f shift+o
Close Book | esc f c ctrl+w
Close All Files in Book | esc f shift+s
Save Book | esc f s ctrl+s
Save All Files in Book | esc f shift+s
Save Book As | esc f a
Revert to Saved Book | esc f r
Import>Formats | esc f i o
Import>Element Definitions | esc f i e
Print Selected Files | esc f shift+f
Print Book | esc f p ctrl+p
Print Setup | ctrl+ shift+p
Utilities>Compare Books | esc f b
Preferences | esc f shift+p
Exit | alt+F4
Parent topic: Menu commands


Edit menu (document window)

Task | Keyboard shortcut
Undo/Redo | esc e u ctrl+z ctrl+shift+z
Cut | esc e x ctrl+x shift+del
Copy | esc e c ctrl+c ctrl+ins
Paste | esc e p ctrl+v shift+ins
Paste Special | ctrl+ shift+v
Clear | esc e b
Copy Special>Attribute Values | esc e y a
Copy Special>Paragraph Format | esc e y p
Copy Special > Character Format | esc e y c
Copy Special>Conditional Text Settings | esc e y d
Copy Special>Table Column Width | esc e y w
Select All in Flow | esc e a ctrl+a
Find/Change | esc e f ctrl+f
Find Next | esc f i n esc e shift+f ctrl+shift+f
Spelling Checker | esc e s
Thesaurus | esc e t
Text Inset Properties | esc e i
Update References | esc e shift+u
History | ctrl+K esc e h
Auto Spell Check On/Off | esc a u s
Repeat | F6
Links | esc e k
Object | (No shortcut available)
Parent topic: Menu commands


Edit menu (book window)

Task | Keyboard shortcut
Undo/Redo | esc e u ctrl+z ctrl+shift+z
History | esc e h
Cut | esc e x ctrl+x shift+del
Copy | esc e c ctrl+c
Paste | esc e p ctrl+v
Clear | esc e b
Copy Special>Attribute Values | esc e y a
Select>All | esc e a
Select>Generated Files | esc e shift+a shift+g
Select>Nongenerated Files | esc e shift+a shift+n
Select>FrameMaker Files | esc e shift+a shift+f
Select>Excluded Components | esc e shift+a shift+e
Select>Non-Excluded Components | esc e shift+n shift+e
Select>Chapter Components | esc c l
Select>Section Components | esc s l
Select>Sub-Section Components | esc s s l
Find/Change | esc e f ctrl+f
Find Next | esc f i n esc e shift+f ctrl+shift+f
Spelling Checker | esc e s
Set Up Generated File | esc f d
Rename | esc f e F2
Delete | esc f x
Suppress Automatic Reference Updating | esc e shift+s
Update Book | esc e shift+u esc f g
Parent topic: Menu commands


Add menu (book window)

Menu command | Keyboard shortcut
Files | esc f f
Table of Contents | esc t o c
List of>Figures | esc l o f
List of>Tables | esc l o t
List of>Elements & Paragraphs | esc l o p
List of>Elements & Paragraphs (Alphabetical) | esc l o shift+p
List of>Markers | esc l o m
List of>Markers (Alphabetical) | esc l o shift+m
List of>References | esc l o r
Standard Index of Authors | esc i x
Index of>Authors | esc i o a
Index of>Subjects | esc i o s
Index of>Markers | esc i o m
Index of>References | esc i o r
Parent topic: Menu commands


Element menu

Task | Keyboard shortcut
Insert Element | ctrl+1
Wrap Element | ctrl+2
Change Element | ctrl+3
Unwrap | esc+E+u
Edit Attributes | esc+E+A
Namespaces | esc+E+N
Merge | esc+E+m
Merge Into Last | esc+E+M
Split | esc+E+s
Promote Element | esc+E+P
Demote Element | esc+E+D
Toggle Element Collapse | esc+E+x
Toggle Element Collapse All Siblings | esc+E+X
Transpose With Previous | esc+E+T
Transpose With Next | esc+E+t
Repeat Last Element Command | esc+e+e
Move To Next Element | esc+s+D
Move To Previous Element | esc+s+U
Move Into Next Child | esc+s+N
Move To Start of Element | esc+s+S
Move To End of Element | esc+s+E
Move To Before Element | esc+s+B
Launch Config File Maker | esc+C+F+M
Attribute Display Options | esc+v+A
Set Available Elements | esc+E+O+C
New Element Options | esc+E+O+I
Parent topic: Menu commands


Format menu

Menu command | Keyboard shortcut
Font | (No shortcut available)
Size | (No shortcut available)
Style>Plain | esc c p F2
Style>Bold | esc c b F4 ctrl+b ctrl+shift+b
Style>Italic | esc c i F5 ctrl+i
Style>Underline | esc c u ctrl+u ctrl+shift+u
Style>Double Underline | esc c d
Style>Overline | esc c o
Style>Strikethrough | esc c s ctrl+/
Style>Change Bar | esc c h ctrl+shift+h
Style>Superscript | esc c +
Style>Subscript | esc c -
Style>Small Caps | esc c m ctrl+e
Characters>Designer | esc o c d ctrl+d
Characters>Catalog | esc o c c
Characters>Default Paragraph Font | esc o c p
Paragraphs>Designer | esc o p d ctrl+m ctrl+shift+m
Paragraphs>Catalog | esc o p c
Page Layout>Column Layout | esc o c l
Page Layout>Line Layout | esc o l l
Page Layout> Page Size | esc o p s
Page Layout>Pagination | esc o p i
Page Layout>Master Page Usage | esc o m u
Page Layout>New Master Page | esc o m p
Page Layout>Update Column Layout | esc o u p
Customize Layout>Customize Text Frame | esc o c f
Customize Layout>Connect Text Frames | esc shift+c shift+c
Customize Layout>Disconnect Previous | esc shift+c shift+p
Customize Layout>Disconnect Next | esc shift+c shift+n
Customize Layout> Disconnect Both | esc shift+c shift+b
Customize Layout> Split Text Frame | esc shift+c shift+s
Customize Layout>Rotate Page Clockwise | esc p shift+o
Customize Layout>Rotate Page Counterclockwise | esc p o
Customize Layout>Unrotate Page | esc p shift+o u
Customize Layout>Combined Fonts | esc o c o
Document>Numbering | esc o d n esc e n
Document>Change Bars | esc o b
Document>Footnote Properties | esc o f
Document>Text Options | esc o t o
Document>PDF Setup | esc o d a
Document>Rubi Properties | esc o r
Headers & Footers>Insert Page # | esc o h p
Headers & Footers>Insert Page Count | esc o h c
Headers & Footers>Insert Current Date | esc o h d
Headers & Footers>Insert Other | esc o h o
Parent topic: Menu commands


View menu (document window)

Menu command | Keyboard shortcut
QuickAccess Bar | esc v q
Paragraph Formatting Bar | esc V p a
Text Formatting Bar | esc V t e
Table Formatting Bar | esc V t a
Object Alignment | esc V o a
Object Properties Bar | esc V o p
Track Text Edit Bar | esc shift+v e
Borders | esc v b
Text Symbols | esc v t
Rulers | esc v r
Grid Lines | esc v g
Element Boundaries | esc v shift+e
Element Boundaries (as Tags) | esc v shift+t
Options | esc v o
Attribute Display Options | esc v shift+a
Go to Page | esc v p ctrl+g ctrl+shift+g
Body Pages | esc v shift+b
Master Pages | esc v shift+m
Reference Pages | esc v shift+r
Color>Views | esc v c v
Color>Definitions | esc v c d
Menus>Quick | esc v m q
Menus>Complete | esc v m c
Menus>Modify | esc v m m
Parent topic: Menu commands


View menu (book window)

Menu command | Keyboard shortcut
QuickAccess Bar | esc v q
Text Formatting | esc V t e
Table Formatting | esc V t a
Paragraph Formatting | esc V p a
Object Alignment | esc V o a
Object Properties | esc V o p
Track Text Edit | esc shift+v e
Borders | esc shift+v b s
Hide Borders | esc shift+v b h
Show Text Symbols | esc shift+v t s
Hide Text Symbols | esc shift+v t h
Show Rulers | esc shift+v r s
Hide Rulers | esc shift+v r h
Show Grid Lines | esc shift+v g s
Hide Grid Lines | esc shift+v g h
Show Graphics | esc shift+v v s
Hide Graphics | esc shift+v v h
Filter By Attribute | esc a c
Show Element Boundaries | esc shift+v shift+e s
Hide Element Boundaries | esc shift+v shift+e h
Show Element Boundaries (as Tags) | esc shift+v shift+t s
Options | esc v o
Attribute Display Options | esc v shift+a
Zoom>Larger | esc z i
Zoom>Smaller | esc z o
Zoom>Default | esc z z
Color>Views | esc v c v
Color>Definitions | esc v c d
Menus>Quick | esc v m q
Menus>Complete | esc v m c
Menus>Modify | esc v m m
Parent topic: Menu commands


Special menu

Menu command | Keyboard shortcut
Page Break | esc s p b
Anchored Frame | esc s a
Footnote | esc s f
Cross‑Reference | esc s c
Variable | esc s v
Hypertext | esc s h
Marker | esc s m
Equations | esc s e
Filter By Attribute | esc a c
Conditional Text | esc s shift+c
Manage Conditional Text | esc m shift+c
Apply Conditional Text | esc s shift+c
Show/Hide Conditional Text | esc v shift+c
Show Condition Indicator | esc shift+v shift+o s
Hide Condition Indicator | esc shift+v shift+o h
Toggle Conditional Indicators On/Off | esc v shift+o
Show One Conditional Text Tag | esc q shift+s
Select Same Condition Tags | esc h shift+c
View the condition applied to the text where the cursor is placed | esc q shift+c
Focus in Conditional Text | esc shift+f i o
Close Conditional Text dialog box | esc shift+c o
Turn on or off the Track Text Edit feature | esc s t o
Show Next | esc s t n
Show Previous | esc s t p
Accept Edit | esc s t a
Reject Edit | esc s t r
Accept All | esc s t shift+a
Reject All | esc s t shift+r
Preview Final | esc s t shift+f
Preview Original | esc s t shift+o
Preview Off | esc s p o
Rubi | esc s r
Table of Contents | esc t o c
List of>Figures | esc l o f
List of>Tables | esc l o t
List of>Elements & Paragraphs | esc l o p
List of>Elements & Paragraphs (Alphabetical) | esc l o shift+p
List of>Markers (Alphabetical) | esc l o m
List of>Markers | esc l o shift+m
List of>References | esc l o r
Standard Index | esc i x
Index of>Authors | esc i o a
Index of>Subjects | esc i o s
Index of>Markers | esc i o m
Index of>References | esc i o r
Add Disconnected Pages | esc s p a
Delete Pages | esc s p d
Remove Structure from Flow | esc s s f
Parent topic: Menu commands


Graphics menu

Menu command | Keyboard shortcut
Tools | esc g shift+t esc 1 w
Group | esc g g
Ungroup | esc g u
Bring to Front | esc g f
Send to Back | esc g b
Align | esc g a
Distribute | esc g d
Reshape | esc g r
Smooth | esc g s
Unsmooth | esc g m
Flip Up/Down | esc g v
Flip Left/Right | esc g h
Rotate | esc g t
Scale | esc g z
Set # Sides | esc g n
Join | esc g j
Object Properties | esc g o
Pick up Properties | esc g shift+o
Runaround Properties | esc g shift+r
Gravity | esc g y
Snap | esc g p
3D Menu Background Color option | alt+g+e+b
3D Menu Lighting option | alt+g+e+l
Lights From File | alt+g+e+l+l+l
No Lights | alt+g+e+l+n
White Lights | alt+g+e+l+w
Day Lights | alt+g+e+l+d
Bright Lights | alt+g+e+l+b
Primary Color Lights | alt+g+3+l+p
Night Lights | alt+g+3+l+i
Blue Lights | alt+g+3+l+u
Red Lights | alt+g+3+l+r
Cube Lights | alt+g+3+l+c
CAD Optimized Lights | alt+g+3+l+o
Headlamp | alt+g+3+l+h
Show Existing Views | alt+g+3+s
Render Mode option | alt+g+3+r
Bounding Box | alt+g+3+r+b
Transparent Bounding Box | alt+g+3+r+t
Transparent Bounding Box Outline | alt+g+3+r+o
Vertices | alt+g+3+r+v
Shaded Vertices | alt+g+3+r+s
Wireframe | alt+g+3+r+w
Shaded Wireframe | alt+g+3+r+h
Solid | alt+g+3+r+l
Transparent | alt+g+3+r+r
Solid Wireframe | alt+g+3+r+i
Transparent Wireframe | alt+g+3+r+a
Illustration | alt+g+3+r+d
Solid Outline | alt+g+3+r+d
Shaded Illustration | alt+g+3+r+e
Hidden Wireframe | alt+g+3+r+n
Parent topic: Menu commands


Table menu

Task | Keyboard shortcut
Insert Table | esc t i
Table Designer | esc t d ctrl+t ctrl+shift+t
Row Format | esc t r
Custom Ruling & Shading | esc t x
Add Rows or Columns | esc t a
Resize Columns | esc t z
Straddle/Unstraddle | esc t l
Convert to Table/Convert to Paragraphs | esc t v
Sort | esc t s
Parent topic: Menu commands


Structure menu

Menu command | Keyboard shortcut
Structure>Set Structured Application | esc f+shift+a alt+r+u
Structure>Utilities | alt+r+l
Structure>Utilities>Convert Structured Documents | esc f+t+s alt+r+l+c
Structure>Utilities>Convert Documents to Structured Format | esc f+t+d alt+r+l+d
Structure>Utilities>Structure Current Document | esc f+t+shift+x alt+r+l+s
Structure>Utilities>Structure Documents | esc f+t+shift+d alt+r+l+t
Structure>New EDD | esc f shift+d shift+n
Structure>Export Element Catalog as EDD | esc f shift+d shift+x
Structure>Import CSS Styles | esc f shift+d shift+j
Structure>Show Element context | esc f shift+d shift+e
Structure>Open DTD | esc f shift+d shift+o
Structure>Import DTD | esc f shift+d shift+m
Structure>Save as DTD | esc f shift+d shift+s
Structure>Open Schema | esc f shift+d shift+y
Structure>Import Schema | esc f shift+d shift+z
Structure>Edit Application Definitions | esc f shift+d shift+a
Structure>Read Application Definitions | esc f shift+d shift+r
Structure>New read/write Rules | esc f shift+d shift+w
Structure>Check read/write Rules | esc f shift+d shift+c
Structure>Parse Structured Document | esc f shift+d shift+p
Structure>Generate Conversion Table | esc f shift+d shift+g
Structure>Generate CSS2 | esc f shift+d shift+h
Parent topic: Menu commands


DITA menu

Menu command | Keyboard shortcut
File>New>DITA><map> <map> refers to an element whose class attribute starts with map/map and can vary from 1 to i. | esc shift+n shift+m i
File>New>DITA><topic> File>New>DITA><concept> File>New>DITA><task> File>New>DITA><reference> <topic> refers to an element whose class attribute starts with topic/topic. | esc shift+n shift+t 1 esc shift+n shift+t 2 esc shift+n shift+t i
DITA>New DITA File>Refresh Menu | esc shift+r shift+m
DITA>Insert Conref | esc shift+i shift+c
DITA>Assign ID to Element | esc shift+a shift+i
DITA>Update References | esc shift+u shift+r
DITA>Open all Topicrefs | esc shift+o shift+a
DITA>Insert Topicref | esc shift+i shift+t
DITA>Build FM Document From DITA Map | esc shift+g shift+d
DITA>DITA Options | esc shift+d shift+o
Parent topic: Menu commands


Window menu

Menu command | Keyboard shortcut
Cascade | shift+F4
Tile | shift+F5
Consolidate | shift+F6
Refresh | ctrl+l
Parent topic: Menu commands


Screen modes

Task | Keyboard shortcut
Standard screen mode | esc S M s
Full screen with user interface | esc S M u
Full screen mode | esc S M f
Toggle screen mode | esc S M t
Parent topic: Keyboard shortcuts


Selection

Use these shortcuts to select objects on the current page.

Task | Keyboard shortcut
Select a text line or text frame | Press ctrl and click the text line or text frame
Extend or shorten the selection | Press shift and click an object
Force selection border to appear (when dragging from outside all objects is not possible) | Press ctrl+shift and drag diagonally
Select the first object in the draw order | esc o shift+f
Select the next object in the draw order | esc o n
Extend the selection to the next object in the draw order | esc o e
Deselect a text frame or text line and put the insertion point inside it instead | Double-click in the text frame or text line
Parent topic: Keyboard shortcuts


Tables

  • Selection in tables
  • Navigating through tables
  • Tab characters in cells
  • Row and column manipulation
  • Row and column replacement
  • Vertical alignment in cells
  • Column width
  • Table Designer
  • Table formats
Parent topic: Keyboard shortcuts


Selection in tables

To select | Keyboard shortcut
A cell | Press ctrl and click the cell
A row | Press ctrl and double-click column (vertical) border in the row
A column | Press ctrl and double-click row (horizontal) border in the row
Text in the cell above the current cell | esc t m u a
Text in the cell below the current cell | esc t m d a
All text in current cell | esc t h a
Current cell, then next cell | esc t h e
Current row, then next row | esc t h r
Current column, then next column | esc t h c
Body cells in current column, then next body cells | esc t h b
Current table | esc t h t Or press ctrl and triple-click a cell.
Extend or shorten the election | Press ctrl + - and click the last cell you want in the selection
Parent topic: Tables


Navigating through tables

Use these shortcuts to move to the indicated cell.

To move to the | Keyboard shortcut
Cell to the right | esc t m r
Cell to the left | esc t m l
Cell below | esc t m d
Cell above | esc t m u
Rightmost cell in the current row | esc t m e
Leftmost cell in the current row | esc t m a
Top cell in the current column | esc t m t
Bottom cell in the current column | esc t m b
Top-left selected cell | esc t m s esc t h 0
Top-left cell | esc t m shift+t
Beginning of cell | ctrl+Pg Up
End of cell | ctrl+Pg Dn
Next cell and select all text in cell | tab esc t m n
Previous cell and select all text in cell | shift+tab esc t m p
Cell below and select all text in cell | ctrl+alt+tab
Cell above and select all text in cell | ctrl+alt+shift+tab
Anchor point of a table | esc t shift+i
Parent topic: Tables


Tab characters in cells

To | Keyboard shortcut
Type a tab character in a cell | esc tab
Parent topic: Tables


Row and column manipulation

FrameMaker adds or deletes as many rows or columns as are currently selected.

Task | Keyboard shortcut
Add rows above top selected row | esc t shift+r a
Add rows below bottom selected row | esc t shift+r b ctrl+return ctrl+j
Add columns to left of leftmost selected column | esc t c l
Add columns to right of rightmost selected column | esc t c r
Delete contents of selected rows or columns, but leave cells in table | esc t c e
Delete selected rows or columns from table | esc t c x
Sort rows and columns | esc t s
Parent topic: Tables


Row and column replacement

If the Clipboard doesn’t contain whole rows or columns, these shortcuts always replace the selected cells.

To paste whole rows or columns | Keyboard shortcut
By replacing selected rows or columns | esc t p r
Before current selection (above top selected row or to left of leftmost selected column) | esc t p b
After current selection (below bottom selected row or to right of rightmost selected column) | esc t p a
Parent topic: Tables


Vertical alignment in cells

To use these shortcuts, click in the first paragraph in a cell.

Alignment | Keyboard shortcut
Top alignment | esc j t ctrl+F1
Middle alignment | esc j m ctrl+F2
Bottom alignment | esc j b ctrl+F3
Parent topic: Tables


Column width

To resize | Keyboard shortcut
Columns so no paragraphs in selected cells wrap | esc t w
Selected column without changing table’s width | Press alt and drag selected cell’s handle
Copy column width to Clipboard | esc e y w
Parent topic: Tables


Table Designer

To use these shortcuts, click in the Table Designer.

Task | Keyboard shortcut
Change all settings to As Is | shift+F8
Change all settings to match the selected table | shift+F9
Display previous page of properties | Page Up
Display next page of properties | Page Down
Apply only the current group of properties | Press ctrl and click Apply
Parent topic: Tables


Table formats

Task | Keyboard shortcut
Apply the current table’s format to the catalog and to all tables that have the same tag | esc t u t
Display the Edit Ruling Style dialog box | esc t e
Parent topic: Tables


Text

  • Insertion point movement
  • Insertion point placement
  • Text selection
  • Text editing
  • Asian text
  • Text deletion
  • Capitalization
Parent topic: Keyboard shortcuts


Insertion point movement

Use these shortcuts to move the insertion point.

To move to | Keyboard shortcut
Next character | →
Previous character | ←
Beginning of a word | ctrl+←
End of a word | ctrl+→
Beginning of the next word | esc b w
Beginning of a line | home
End of a line | end
Previous line | ↑
Next line | ↓
Beginning of a sentence | ctrl+home
End of a sentence | ctrl+end
Beginning of the next sentence | esc b s
Beginning of a paragraph | ctrl+↑
End of the current paragraph | ctrl+↓
Beginning of the next paragraph | esc b p
Top of a column | ctrl+Pg Up
Bottom of a column | ctrl+Pg Dn
Beginning of a flow | alt+shift+Pg Up
End of a flow | alt+shift+Pg Dn
Start of first visible text flow | ctrl+shift+i
Parent topic: Text


Insertion point placement

Use these shortcuts to put the insertion point in an unrotated text frame on the current page. The draw order is the order in which FrameMaker displays objects on a page; the first object in the draw order is the one at the back.

To put the insertion point in the | Keyboard shortcut
First column of the first text frame in the draw order | esc b f
Next column, traversing text frames in the draw order | esc b n
Parent topic: Text


Text selection

Click in text before using these shortcuts. If you use a shortcut with text already selected, FrameMaker extends the selection.

To select | Keyboard shortcut
Next character | esc h c esc shift+h c shift+→
Previous character | esc shift+h shift+c shift+←
Current word, then next word | esc h w esc shift+h w ctrl+shift+→
Current word, then previous word | esc shift+h shift+w ctrl+shift+←
Current sentence, then next sentence | esc h s esc shift+h s ctrl+shift+end
Current sentence, then previous sentence | esc shift+h shift+s ctrl+shift+home
Current line, then next line | esc shift+h l esc h l
Current line, then previous line | esc shift+h shift+l
Current paragraph, then next paragraph | esc h p esc shift+h p ctrl+shift+↓
Current paragraph, then previous paragraph | esc shift+h shift+p ctrl+shift+↑
One line width of text, starting at insertion point | esc h d shift+↓
One line width of text, ending at insertion point | esc h u shift+↑
To top of a column | esc h t shift+Pg Up
To bottom of a column | esc h m shift+Pg Dn
To beginning of flow | esc h g ctrl+shift+Pg Up
To end of flow | esc h n ctrl+shift+Pg Dn
All text around the insertion point that has the same character style | esc h+shift+f
To shift the selection | Keyboard shortcut
Right one character | esc h f
Left one character | esc h b
To select | Keyboard shortcut
Extend or shorten a text selection | Press and click where you want the selection to begin or end
Remove highlighting | esc h 0
Select a word | Double-click the word
Select a word, then next words | Double-click the word and then drag
Deselect a text frame or text line and place the insertion point in it | Double-click in the text frame or text line
Parent topic: Text


Text editing

To | Keyboard shortcut
Select a paragraph | Triple-click the paragraph
Select a paragraph, then next paragraphs | Triple-click the paragraph and then drag
Transpose characters | ctrl+F9
Cut | esc e x ctrl+x shift+del
Copy | esc e c ctrl+c
Paste text that you cut or copied | esc e p ctrl+v ctrl+y
Quick-copy text | Click where you want to place the copied text. Then press alt and drag through the text you want to copy.
Parent topic: Text


Asian text

To | Keyboard shortcut
Type rubi text | esc s r
Display the Rubi Properties dialog box | esc o r
Define a combined font of Western and Japanese characters | esc o c o
Parent topic: Text


Text deletion

To delete | Keyboard shortcut
Previous character | Backspace
Backward to the end of the previous word | ctrl+h
Backward to the end of the previous sentence | esc k a
Next character | del
Forward to the end of a word | esc k f ctrl+del
Forward to the end of a line | ctrl+shift+del
Forward to the start of the next sentence | esc k s
Parent topic: Text


Capitalization

Use these shortcuts to change the capitalization of selected text.

Task | Keyboard shortcut
Change the current word to all lowercase | ctrl+alt+l ctrl+alt+shift+l
Change the current word to all uppercase | ctrl+alt+u ctrl+alt+shift+u
Change the current word to initial caps | ctrl+alt+c
Display the Capitalization dialog box | esc e shift+c
Parent topic: Text


Text formatting

  • Character and Paragraph Designers
  • Paragraph formatting
  • Character formats
  • Object styles
Parent topic: Keyboard shortcuts


Character and Paragraph Designers

Task | Keyboard shortcut
Change all settings to As Is | shift+F8
Change all settings to match selected text | shift+F9
Display the previous set of properties | Pg Up
Display the next set of properties | Pg Dn
Apply only the current group of properties | Press ctrl and click Apply
Parent topic: Text formatting


Paragraph formatting

Use these shortcuts to format selected paragraphs or the paragraph containing the insertion point.

Task | Keyboard shortcut
Apply a paragraph style by typing the first characters of its name and pressing Return | esc q p F9 ctrl+9
Center a paragraph | esc j c
Left-align a paragraph | esc j l
Right-align a paragraph | esc j r
Justify a paragraph (left and right) | esc j f
Position the current paragraph in the column, removing any straddling or run-in formatting | esc j p n
Change current paragraph to a run-in head | esc j p r
Change current paragraph to a side head | esc j p s
Make current paragraph straddle all columns | esc j p t
Make current paragraph straddle both the side-head area and columns | esc j p shift+t
Change line spacing to single spacing | esc j 1
Change line spacing to 1½ spacing | esc j /
Change line spacing to double spacing | esc j 2
Change line spacing to fixed (default font size plus leading) | esc j x
Change line spacing to floating (largest font size plus leading) | esc j o
Increase line spacing 1 point | esc j + esc + 1
Decrease line spacing 1 point | esc j - esc - 1
Make paragraphs with the current paragraph’s style and the Paragraph Catalog definition match the current paragraph’s format (unify) | esc j shift+u
Start a paragraph anywhere | esc j shift+j
Start a paragraph at the top of a column | esc j shift+c
Start a paragraph at top of a page | esc j shift+jp
Start a paragraph at the top of a left page | esc j shift+l
Start a paragraph at the top of a right page | esc j shift+r
Turn on Hyphenation | esc j h
Turn off Hyphenation | esc j n
Repeat last paragraph-related command | esc j j
Display Paragraph Catalog | esc o p c
Display Update Paragraph Format dialog box | esc o p u
Display Space Between Paragraphs dialog box | esc j w
Display Custom Line Spacing dialog box | esc j u
Parent topic: Text formatting


Character formats

Use these shortcuts to change the character style of selected text or of text you are about to type.

Task | Keyboard shortcut
Apply a character style by typing the first characters of its style name and pressing Return | esc q c F8 ctrl+8
Change text to default paragraph font; remove character style from text in a text line | esc o c p
Turn bold on or off | esc c b F4 ctrl+b ctrl+shift+b
Turn italic on or off | esc c i F5 ctrl+i
Turn underline on or off | esc c u F3 ctrl+u ctrl+shift+u
Turn double underline on or off | esc c d
Turn numeric underline on or off | esc c 2
Turn strikethrough on or off | esc c s ctrl+/
Turn overline on or off | esc c o shift+F3
Change text to plain | esc c p F2
Turn superscript on or off | esc c +
Turn subscript on or off | esc c -
Put text on baseline | esc c =
Change text to small caps | esc c m ctrl+e
Turn change bars on or off | esc c h ctrl+shift+h
Turn pair kerning on or off | esc c k
Manually kern text 1 point in specified direction (at 100 % zoom setting) | alt+arrow key
Manually kern text 6 points in specified direction (at 100 % zoom setting) | alt+shift+arrow key
Remove all manual kerning | alt+home
Increase size 1 point | esc F5 ]
Decrease size by 1 point | esc c [
Squeeze 20 % of an em space | esc [ shift+d
Spread 20 % of an em space | esc [ shift+c
Set font stretch to 100 % | esc [ n
Reduce font stretch by 5 % | esc [ c
Increase font stretch by 5 % | esc [ e
Repeat the last font-related command | esc c c
Toggle Tsume | esc c t
Display the Character Catalog | esc o c c
Parent topic: Text formatting


Object styles

Action | Shortcut
Launch the Object Style designer with all the properties, while maintaining selection Launch the Object Style designer with just the object properties. The Object Style designer does not display the object style. The Object Style drop-down is disabled. | esc g o
Launch the Object Style designer with just the style associated with the selected object | esc g i ctrl y
Display style catalog | esc g e
Parent topic: Text formatting


Track Text Edit

Task | Keyboard shortcut
Turn on or off the Track Text Edit feature | esc s t o
Show Next Text Edit | esc s t n
Show Previous Text Edit | esc s t p
Accept Edit | esc s t a
Reject Edit | esc s t r
Accept All | esc s t shift+a
Reject All | esc s t shift+r
Preview Final | esc s t shift+f
Preview Original | esc s t shift+o
Preview Off | esc s p o
  • Conditional text display
  • Conditional text window
  • Condition tags
Parent topic: Keyboard shortcuts


Conditional text display

Task | Keyboard shortcut
Display the Show/Hide Conditional Text dialog box | esc v shift+c
Turn condition indicators on or off | esc v shift+o
Select all text around the insertion point that has the same conditional tag settings | esc v shift+c
Parent topic: Track Text Edit


Conditional text window

To use these shortcuts, click in the Conditional Text window.

Task | Keyboard shortcut
Move all conditional tags to the As Is scroll list | shift+F8
Change the scroll lists to match the conditional tag settings of selected text | shift+F9
Move a conditional tag between the In and the Not In scroll lists | Double-click the tag
Move a conditional tag from the As Is to the In scroll list | Double-click the tag in the As Is scroll list
Parent topic: Track Text Edit


Condition tags

Use these shortcuts to change the conditional tag settings of selected text or table rows.

Task | Keyboard shortcut
Apply a conditional tag to selected text by typing the first characters of the tag and then pressing Return | esc q shift+c ctrl+4
Remove a conditional tag from selected text by typing the first characters of the tag and then pressing Return | esc q shift+d ctrl+5
Make the selected text unconditional | esc q shift+u ctrl+6
Parent topic: Track Text Edit


Views

Display | Keyboard shortcut
WYSIWYG view | esc S 1
XML view | esc S 3
Parent topic: Keyboard shortcuts


Working with structure

Move the insertion point | Keyboard shortcut
To start of the current element | esc s shift+s
To end of the current element | esc s shift+e
After the next element | esc s shift+d alt+ctrl+↓
Before the previous element | esc s shift+u alt+ctrl+↑
Before the current element’s parent | esc s shift+b alt+ctrl+←
To start of the next element’s contents | esc s shift+n alt+ctrl+→
Select | Keyboard shortcut
Current element | esc h shift+e
Next element | esc h shift+n alt+ctrl+shift+↓
Previous element | esc h shift+p alt+ctrl+shift+↑
Siblings of the current element | esc h shift+s
Parent of the current element | esc h e shift+p alt+ctrl+shift+←
Up by one element | alt+ctrl+shift+↑
Down by one element | alt+ctrl+↓
Structure view | Keyboard shortcut
Expand/Collapse all elements under the selected element | esc E r
Expand/Collapse selected element | esc E x
Expand/Collapse all sibling elements | esc E X
Task | Keyboard shortcut
To include the parent | alt+ctrl+shift+←
Insert element | esc shift+e i ctrl+1
Wrap element | esc shift+e w ctrl+2
Unwrap element | esc shift+e u
Change element | esc shift+e c ctrl+3
Merge into first element | esc shift+e m
Merge into last element | esc shift+e shift+m
Move element up one level | esc shift+e shift+p
Move element down one level | esc shift+e shift+d
Transpose element with previous element | esc shift+e shift+t
Transpose element with next element | esc shift+e t
Split element | esc shift+e s
Edit attribute value | ctrl+7
Repeat last Element Catalog command | esc e e
Toggle display of element boundaries (as brackets) | esc v shift+e
Toggle display of element boundaries (as tags) | esc v shift+t
Validate a document | esc shift+e v
Display Structure View | esc shift+e shift+v
Parent topic: Keyboard shortcuts


Other useful shortcuts

Task | Keyboard shortcut
Redraw the document display | ctrl+l
Quick-copy a selected object | alt and drag the object
Rotate an object arbitrarily | alt and use the left or right mouse button to drag a corner or reshape handle
Move an object along vertical or horizontal axis | shift and drag object
Nudge an object 1 point/6 points | alt+arrow key alt+shift+arrow key
Fit page in window | esc z p
Fit window to page | esc z w
Zoom to 100 % | esc z z
Lock or unlock a document or book | esc shift+f l k
Parent topic: Keyboard shortcuts


Character sets

Understand the support for character sets in Adobe FrameMaker.

FrameMaker supports the Unicode Character Set and uses UTF-8 encoding to provide Unicode support. For information about Unicode character sets, see www.unicode.org.

When working with a FrameMaker document, you can insert characters in different languages by using the Input Method Editor (IME) of the relevant language. To insert a specific character you can use:

  • Character palette utility (Select File > Utilities > Character palette)
  • Hex Input palette (Select File > Utilities > Hex Input)
  • Windows Character Map utility (Select Programs > Accessories > System Tools > Character Map)

If a character glyph is not available for the selected font, FrameMaker displays a question mark (?) in its place. However, because FrameMaker preserves the original code point, the glyph is displayed when you apply the correct font.

Important: To type characters in the Symbol or Dingbats font, select the desired font, and type the content.

Because some special characters can no longer be represented by their character names in MIF documents, you must enter the UTF-8 code points of such characters. For more information, see the FrameMaker MIF Reference Guide or the FDK Programmer’s Guide.

FrameMaker uses code points below ‘\x20’ (referred to as control codes) for internal purpose. Control codes specify how the surrounding text is formatted.

  • Keyboard shortcut support
    Understand the keyboard shortcut support in Adobe FrameMaker.
  • Using key sequences
    Understand how to use key sequences to insert special characters in Adobe FrameMaker.
  • Windows character sets
    Understand how to use key sequences to insert special characters in Adobe FrameMaker.
  • Standard character set
  • Symbol and ZapfDingbats character sets
  • Support for FrameMaker 7.x character set
Parent topic: Appendix


Keyboard shortcut support

Understand the keyboard shortcut support in Adobe FrameMaker.

Standard character set

All keyboard shortcuts are supported in FrameMaker 9 and above.

Symbol and Dingbats character sets

Keyboard shortcuts with a Hex code below 127 are supported in FrameMaker 9 and above. Keyboard shortcuts with Hex code above 127 are not supported in FrameMaker 9 and above.

Note: For more information, see Standard character set and Symbol and ZapfDingbats character sets.
Parent topic: Character sets


Using key sequences

Understand how to use key sequences to insert special characters in Adobe FrameMaker.

Many characters are generated by a key sequence. This key sequence often uses the ctrl, Esc, or Meta key. This document uses the following conventions for key sequences:

Example | Action
ctrl+q | Hold down ctrl while pressing the lowercase letter q.
ctrl+q Shift+a | Hold down ctrl while pressing the letter q, then release both keys, and then hold down Shift while pressing the letter a.
Esc ~ Shift+a | Press and release Esc, then press and release ~ (tilde), then hold down Shift while pressing the letter a.

On Windows, you can also type a character in a document by using its ANSI number as described below:

  1. Press the Num Lock to activate the numeric keypad.

  2. Hold down the Alt key while typing the ANSI number (including the leading zero) using the keys on the numeric keypad.

For example, to enter the “questiondown” character (¿) using its ANSI number, hold down Alt while typing 0191 from the numeric keypad, and then release Alt. Be sure to include the leading zero.

Parent topic: Character sets


Windows character sets

Understand how to use key sequences to insert special characters in Adobe FrameMaker.

The Windows character set is based on the ANSI character set, and includes some additional characters not in the ANSI set.

The tables in this section list the supported character sets, and the unsupported keyboard shortcuts in FrameMaker 7.x and FrameMaker 8 and above.

Standard character set for hyphens, spaces, returns, undisplayed characters

The following table lists the special hyphens, spaces, returns, and undisplayed characters supported in FrameMaker 7.x and above.

Special hyphens, spaces, returns, and undisplayed characters
Standard character set |  |  |  | Symbol and Dingbats character sets
Hex code | Key or key sequence | Standard character set: graphic and name |  | Hex code | Key or key sequence | Standard character set: graphic and name |  | ZapfDingbats: graphic
\x04 | Esc - Shift+d or ctrl+- |  | discretionary hyphen | \x04 | Esc - Shift+d or ctrl+- |  | discretionary hyphen |
\x05 | Esc n s |  | suppress hyphenation | \x05 | Esc n s |  | suppress hyphenation |
\x15 | Esc - h |  | nonbreaking hyphen | \x15 | Esc - h |  | nonbreaking hyphen |
\x08 | Tab |  | tab | \x08 | Tab |  | tab |
\x09 | Shift+Return |  | forced return | \x09 | Shift+Return |  | forced return |
\x0a | Return |  | end of paragraph | \x0a | Return |  | end of paragraph |
\x10 | Esc space 1 |  | numeric space | \x10 | Esc space 1 |  | numeric space |
\x11 | Esc space h or ctrl+space |  | nonbreaking space | \x11 | Esc space h or ctrl+space |  | nonbreaking space |
\x12 | Esc space t |  | thin space | \x12 | Esc space t |  | thin space |
\x13 | Esc space n or Alt+ctrl+space |  | en space | \x13 | Esc space n or Alt+ctrl+space |  | en space |
\x14 | Esc space m or ctrl+Shift+space |  | em space | \x14 | Esc space m or ctrl+Shift+space |  | em space |
\x27 | ctrl+' | ' | quotesingle | \x27 | ctrl+' |  | ‘ such that | '
\x60 | ctrl+` | ` | grave | \x60 | ctrl+' |  | ‘ radiclex | `
\xda | ctrl+q Shift+z | / | fraction | \xda |  |  |  |
\xde | ctrl+q Shift+w | Þ | Reserved | \xde |  |  |  |
\xdf | ctrl+q ´ | ß | Reserved | \xdf |  |  |  |
\xf5 | ctrl+q Shift+m | õ | Reserved | \xf5 |  |  |  |
\xf9 | ctrl+q t | ù | Reserved | \xf9 |  |  |  |
\xfa | ctrl+q r | ú | Reserved | \xfa |  |  |  |
\xfe | ctrl+q Shift+j | þ | Reserved | \xfe |  |  |  |
\xfd | ctrl+q Shift+f | ý | hungarumlaut | \xfd |  |  |  |
Parent topic: Character sets


Standard character set

The following table lists the supported standard character set:

Note: The list is sorted by the ANSI number.
Standard character set
ANSI no. | Hex code | Key or key sequence | Standard character set: graphic and name
032 | \x20 | space |  | space
033 | \x21 | ! | ! | exclaim
034 | \x22 | " (Smart Quotes off ) | " | quotedbl
035 | \x23 | # | # | numbersign
036 | \x24 | $ | $ | dollar
037 | \x25 | % | % | percent
038 | \x26 | & | & | ampersand
040 | \x28 | ( | ( | parenleft
041 | \x29 | ) | ) | parenright
042 | \x2a | * | * | asterisk
043 | \x2b | + | + | plus
044 | \x2c | , (comma) | , | comma
045 | \\ | - (hyphen) | - | hyphen
046 | \x2e | . (period) | . | period
047 | \x2f | / | / | slash
048 | \x30 | 0 | 0 | zero
049 | \x31 | 1 | 1 | one
050 | \x32 | 2 | 2 | two
051 | \x33 | 3 | 3 | three
052 | \x34 | 4 | 4 | four
053 | \x35 | 5 | 5 | five
054 | \x36 | 6 | 6 | six
055 | \x37 | 7 | 7 | seven
056 | \x38 | 8 | 8 | eight
057 | \x39 | 9 | 9 | nine
058 | \x3a | : | : | colon
059 | \x3b | ; | ; | semicolon
060 | \x3c | < | < | less
061 | \x3d | = | = | equal
062 | \x3e | > | > | greater
063 | \x3f | ? | ? | question
064 | \x40 | @ | @ | at
065 | \x41 | A | A | A
066 | \x42 | B | B | B
067 | \x43 | C | C | C
068 | \x44 | D | D | D
069 | \x45 | E | E | E
070 | \x46 | F | F | F
071 | \x47 | G | G | G
072 | \x48 | H | H | H
073 | \x49 | I | I | I
074 | \x4a | J | J | J
075 | \x4b | K | K | K
076 | \x4c | L | L | L
077 | \x4d | M | M | M
078 | \x4e | N | N | N
079 | \x4f | O | O | O
080 | \x50 | P | P | P
081 | \x51 | Q | Q | Q
082 | \x52 | R | R | R
083 | \x53 | S | S | S
084 | \x54 | T | T | T
085 | \x55 | U | U | U
086 | \x56 | V | V | V
087 | \x57 | W | W | W
088 | \x58 | X | X | X
089 | \x59 | Y | Y | Y
090 | \x5a | Z | Z | Z
091 | \x5b | [ | [ | bracketleft
092 | \x5c | \ | \ | backslash
093 | \x5d | ] | ] | bracketright
094 | \x5e | ^ | ^ | asciicircum
095 | \x5f | _ (underline) | _ | underscore
097 | \x61 | a | a | a
098 | \x62 | b | b | b
099 | \x63 | c | c | c
0100 | \x64 | d | d | d
0101 | \x65 | e | e | e
0102 | \x66 | f | f | f
0103 | \x67 | g | g | g
0104 | \x68 | h | h | h
0105 | \x69 | i | i | i
0106 | \x6a | j | j | j
0107 | \x6b | k | k | k
0108 | \x6c | l | l | l
0109 | \x6d | m | m | m
0110 | \x6e | n | n | n
0111 | \x6f | o | o | o
0112 | \x70 | p | p | p
0113 | \x71 | q | q | q
0114 | \x72 | r | r | r
0115 | \x73 | s | s | s
0116 | \x74 | t | t | t
0117 | \x75 | u | u | u
0118 | \x76 | v | v | v
0119 | \x77 | w | w | w
0120 | \x78 | x | x | x
0121 | \x79 | y | y | y
0122 | \x7a | z | z | z
0123 | \x7b | { | { | braceleft
0124 | \x7c | | | | | bar
0125 | \x7d | } | } | braceright
0126 | \x7e | ~ | ~ | asciitilde
0130 | \xe2 | ctrl+q ~ | ‚ | quotesinglbase
0131 | \xc4 | ctrl+q Shift+d | ƒ | florin
0132 | \xe3 | ctrl+q c | „ | quotedblbase
0133 | \xc9 | ctrl+q Shift+i) | … | ellipsis
0134 | \xa0 | ctrl+q space | † | dagger
0135 | \xe0 | ctrl+q ` | ‡ | daggerdbl
0136 | \xf6 | ctrl+q v | ˆ | circumflex
0137 | \xe4 | ctrl+q d | ‰ | perthousand
0138 | \xb3 | ctrl+q 3 | š | Reserved
0139 | \xdc | ctrl+q \ | ‹ | guilsinglleft
0140 | \xce | ctrl+q } Shift+n | Œ | OE
0145 | \xd4 | ctrl+q Shift+t or ` | ‘ | quoteleft
0146 | \xd5 | ctrl+q Shift+u | ’ | quoteright
0147 | \xd2 | Alt+ctrl+` or ctrl+q Shift+r | “ | quotedblleft
0148 | \xd3 | ctrl+Alt+' or ctrl+q Shift+s | ” | quotedblright
0149 | \xa5 | ctrl+q % | • | bullet
0150 | \xd0 | ctrl+q Shift+p | – | endash
0151 | \xd1 | ctrl+q Shift+q | — | emdash
0152 | \xf7 | ctrl+q w | ~ | tilde
0153 | \xaa | ctrl+q * | ™ | trademarkserif
0154 | \xf0 | ctrl+q p | š | Reserved
0155 | \xdd | ctrl+q ] | › | guilsinglright
0156 | \xcf | ctrl+q Shift+o | œ | oe
0159 | \xd9 | Esc % Shift+y | Ÿ | Ydieresis
0161 | \xc1 | ctrl+q Shift+a | ¡ | exclamdown
0162 | \xa2 | ctrl+q " | ¢ | cent
0163 | \xa3 | ctrl+q # | £ | sterling
0164 | \xdb | ctrl+q [ | ¤ | currency
0165 | \xb4 | ctrl+q 4 | ¥ | yen
0166 | \xad | ctrl+q - | ¦ | pipe
0167 | \xa4 | ctrl+q $ | § | section
0168 | \xac | ctrl+q , | ¨ | dieresis
0169 | \xa9 | ctrl+q ) | © | copyrightserif
0170 | \xbb | ctrl+q ; | ª | ordfeminine
0171 | \xc7 | ctrl+q Shift+g | « | guillemetleft
0172 | \xc2 | ctrl+q Shift+b | ¬ | logicalnot
0173 | \x2d | - | - | hyphen
0174 | \xa8 | ctrl+q ( | ® | registerserif
0175 | \xf8 | ctrl+q x | ¯ | macron
0176 | \xfb | ctrl+q { | ° | ring
0177 | \xb1 | ctrl+q 1 | ± | plusminus
0178 | \xb7 | ctrl+q 7 | 2 | Reserved
0179 | \xb8 | ctrl+q 8 | 3 | Reserved
0180 | \xab | ctrl+q + | ´ | acute
0181 | \xb5 | ctrl+q 5 | µ | Reserved
0182 | \xa6 | ctrl+q & | ¶ | paragraph
0183 | \xe1 | ctrl+q a | · | periodcentered
0184 | \xfc | ctrl+q ¦ | ¸ | cedilla
0185 | \xb6 | ctrl+q 6 | 1 | Reserved
0186 | \xbc | ctrl+q < | º | ordmasculine
0187 | \xc8 | ctrl+q Shift+h | » | guillemetright
0188 | \xb9 | ctrl+q 9 | ¼ | Reserved
0189 | \xba | ctrl+q : | ½ | Reserved
0190 | \xbd | ctrl+q = | ¾ | Reserved
0191 | \xc0 | ctrl+q @ | ¿ | questiondown
0192 | \xcb | Esc ` Shift+a | À | Agrave
0193 | \xe7 | Esc ' Shift+a | Á | Aacute
0194 | \xe5 | Esc ^ Shift+a | Â | Acircumflex
0195 | \xcc | Esc ~ Shift+a | Ã | Atilde
0196 | \x80 | Esc % Shift+a | Ä | Adieresis
0197 | \x81 | Esc * Shift+a | Å | Aring
0198 | \xae | ctrl+q . | Æ | AE
0199 | \x82 | Esc , Shift+c | Ç | Ccedilla
0200 | \xe9 | Esc ` Shift+e | È | Egrave
0201 | \x83 | Esc ' Shift+e | É | Eacute
0202 | \xe6 | Esc ^ Shift+e | Ê | Ecircumflex
0203 | \xe8 | Esc % Shift+e | Ë | Edieresis
0204 | \xed | Esc ` Shift+i | Ì | Igrave
0205 | \xea | Esc i Shift+i | Í | Iacute
0206 | \xeb | Esc ^ Shift+i | Î | Icircumflex
0207 | \xec | Esc % Shift+i | Ï | Idieresis
0208 | \xc3 | ctrl+q Shift+c | Ð | Reserved
0209 | \x84 | Esc ~ Shift+n | Ñ | Ntilde
0210 | \xf1 | Esc ` Shift+o | Ò | Ograve
0211 | \xee | Esc ' Shift+o | Ó | Oacute
0212 | \xef | Esc ^ Shift+o | Ô | Ocircumflex
0213 | \xcd | Esc ~ Shift+o | Õ | Otilde
0214 | \x85 | Esc % Shift+o | Ö | Odieresis
0215 | \xb0 | ctrl+q 0 | × | Reserved
0216 | \xaf | ctrl+1 / | Ø | Oslash
0217 | \xf4 | Esc ` Shift+u | Ù | Ugrave
0218 | \xf2 | Esc ' Shift+u | Ú | Uacute
0219 | \xf3 | Esc ^ Shift+u | Û | Ucircumflex
0220 | \x86 | Esc % Shift+u | Ü | Udieresis
0221 | \xc5 | ctrl+q Shift+e | Ý | Reserved
0222 | \xd7 | ctrl+q Shift+w | Þ | Reserved
0223 | \xa7 | ctrl+q ' | ß | germandbls
0224 | \x88 | Esc ` a | à | agrave
0225 | \x87 | Esc ' a | á | aacute
0226 | \x89 | Esc ^ a | â | acircumflex
0227 | \x8b | Esc ~ a | ã | atilde
0228 | \x8a | Esc % a | ä | adieresis
0229 | \x8c | Esc * a | å | aring
0230 | \xbe | ctrl+q > | æ | ae
0231 | \x8d | Esc , c | ç | ccedilla
0232 | \x8f | Esc ` e | è | egrave
0233 | \x8e | Esc ' e | é | eacute
0234 | \x90 | Esc ^ e | ê | ecircumflex
0235 | \x91 | Esc % e | ë | edieresis
0236 | \x92 | Esc ` i | ì | igrave
0237 | \x93 | Esc ' i | í | iacute
0238 | \x94 | Esc ^ i | î | icircumflex
0239 | \x95 | Esc % i | ï | idieresis
0240 | \xb2 | ctrl+q 2 | ð | Reserved
0241 | \x96 | Esc ~ n | ñ | ntilde
0242 | \x98 | Esc ` o | ò | ograve
0243 | \x97 | Esc ' o | ó | oacute
0244 | \x99 | Esc ^ o | ô | ocircumflex
0245 | \x9b | Esc ~ o | õ | otilde
0246 | \x9a | Esc % o | ö | odieresis
0247 | \xd6 | ctrl+q Shift+v | ÷ | Reserved
0248 | \xbf | ctrl+q ? | ø | oslash
0249 | \x9d | Esc ` u | ù | ugrave
0250 | \x9c | Esc ' u | ú | uacute
0251 | \x9e | Esc ^ u | û | ucircumflex
0252 | \x9f | Esc % u | ü | udieresis
0253 | \xc6 | ctrl+q Shift+f | ý | Reserved
0254 | \xca | ctrl+q Shift+j | þ | Reserved
0255 | \xd8 | Esc % y | ÿ | ydieresis
Parent topic: Character sets


Symbol and ZapfDingbats character sets

The following table lists the Symbol and Dingbats character set supported in older versions of FrameMaker as well as FrameMaker 9 and heigher in their Hex order.

Symbol and ZapfDingbats character sets
ANSI no. | Hex code | Key or key sequence | Symbol set: graphic and name |  | ZapfDingbats: graphic
032 | \x20 | space |  | space |
033 | \x21 | Shift+! | ! | exclaim | ✁
034 | \x22 | Shift+" | ∀ | universal | ✂
035 | \x23 | Shift+# | # | numbersign | ✃
036 | \x24 | Shift+$ | ∃ | existential | ✄
037 | \x25 | Shift+% | % | percent | ☎
038 | \x26 | Shift+& | & | ampersand | ✆
040 | \x28 | Shift+( | ( | parenleft | ✈
041 | \x29 | Shift+) | ) | parenright | ✉
042 | \x2a | Shift+* | ∗ | asteriskmath | ☛
043 | \x2b | Shift++ | + | plus | ☞
044 | \x2c | , | , | comma | ✌
045 | \x2d | - (hyphen) | − | minus | ✍
046 | \x2e | . (period) | . | period | ✎
047 | \x2f | / | / | slash | ✏
048 | \x30 | 0 | 0 | zero | ✐
049 | \x31 | 1 | 1 | one | ✑
050 | \x32 | 2 | 2 | two | ✒
051 | \x33 | 3 | 3 | three | ✓
052 | \x34 | 4 | 4 | four | ✔
053 | \x35 | 5 | 5 | five | ✕
054 | \x36 | 6 | 6 | six | ✖
055 | \x37 | 7 | 7 | seven | ✗
056 | \x38 | 8 | 8 | eight | ✘
057 | \x39 | 9 | 9 | nine | ✙
058 | \x3a | : | : | colon | ✚
059 | \x3b | ; | ; | semicolon | ✛
060 | \x3c | , | < | less | ✜
061 | \x3d | = | = | equal | ✝
062 | \x3e | > | > | greater | ✞
063 | \x3f | ? | ? | question | ✟
064 | \x40 | @ | ≅ | congruent | ✠
065 | \x41 | A | Α | Alpha | ✡
066 | \x42 | B | Β | Beta | ✢
067 | \x43 | C | Χ | Chi | ✣
068 | \x44 | D | Δ | Delta | ✤
069 | \x45 | E | Ε | Epsilon | ✥
070 | \x46 | F | Φ | Phi | ✦
071 | \x47 | G | Γ | Gamma | ✧
072 | \x48 | H | Η | Eta | ★
073 | \x49 | I | Ι | Iota | ✩
074 | \x4a | J | ϑ | theta1 | ✪
075 | \x4b | K | Κ | Kappa | ✫
076 | \x4c | L | Λ | Lambda | ✬
077 | \x4d | M | Μ | Mu | ✭
078 | \x4e | n | Ν | Nu | ✮
079 | \x4f | O | Ο | Omicron | ✯
080 | \x50 | P | Π | Pi | ✰
081 | \x51 | Q | Θ | Theta | ✱
082 | \x52 | R | Ρ | Rho | ✲
083 | \x53 | S | Σ | Sigma | ✳
084 | \x54 | T | Τ | Tau | ✴
085 | \x55 | U | Υ | Upsilon | ✵
086 | \x56 | V | ς | sigma1 | ✶
087 | \x57 | W | Ω | Omega | ✷
088 | \x58 | X | Ξ | Xi | ✸
089 | \x59 | Y | Ψ | Psi | ✹
090 | \x5a | Z | Ζ | Zeta | ✺
091 | \x5b | [ | [ | bracketleft | ✻
092 | \x5c | \ | ∴ | therefore | ✼
093 | \x5d | ] | ] | bracketright | ✽
094 | \x5e | ^ | ⊥ | perpendicular | ✾
095 | \x5f | _ | _ | underscore | ✿
097 | \x61 | a | α | alpha | ❁
098 | \x62 | b | β | beta | ❂
099 | \x63 | c | χ | chi | ❃
100 | \x64 | d | δ | delta | ❄
101 | \x65 | e | ε | epsilon | ❅
102 | \x66 | f | φ | phi | ❆
103 | \x67 | g | γ | gamma | ❇
104 | \x68 | h | η | eta | ❈
105 | \x69 | i | ι | iota | ❉
106 | \x6a | j | ϕ | phil | ❊
107 | \x6b | k | κ | kappa | ❋
108 | \x6c | l | λ | lambda | ●
109 | \x6d | m | μ | mu | ❍
110 | \x6e | n | ν | nu | ■
111 | \x6f | o | ο | omicron | ❏
112 | \x70 | p | π | pi | ❐
113 | \x71 | q | θ | theta | ❑
114 | \x72 | r | ρ | rho | ❒
115 | \x73 | s | σ | sigma | ▲
116 | \x74 | t | τ | tau | ▼
117 | \x75 | u | υ | upsilon | ◆
118 | \x76 | v | ϖ | omega1 | ❖
119 | \x77 | w | ω | omega | ◗
120 | \x78 | x | ξ | xi | ❘
121 | \x79 | y | ψ | psi | ❙
122 | \x7a | z | ζ | zeta | ❚
123 | \x7b | { | { | braceleft | ❛
124 | \x7c | | | | | bar | ❜
125 | \x7d | } | } | braceright | ❝
126 | \x7e | ~ | ∼ | similar | ❞

Unsupported keyboard shortcuts for the Symbol and Dingbats character set

The following table lists the Symbol and Dingbats character set supported in older versions of FrameMaker. In FrameMaker 9, you can insert the corresponding Unicode characters, but the keyboard shortcuts are no longer supported:

Symbol and Dingbats character set
ANSI no. | Hex code | Key or key sequence | Symbol set: graphic and name |  | Dingbats: graphics
0130 |  |  |  | Reserved |
0131 |  |  |  | Reserved |
0132 |  |  |  | Reserved |
0133 |  |  |  | Reserved |
0134 |  |  |  | Reserved |
0135 |  |  |  | Reserved |
0136 |  |  |  | Reserved |
0137 |  |  |  | Reserved |
0138 |  |  |  | Reserved |
0139 |  |  |  | Reserved |
0140 |  |  |  | Reserved |
0145 |  |  |  | Reserved |
0146 |  |  |  | Reserved |
0147 |  |  |  | Reserved |
0148 |  |  |  | Reserved |
0149 |  |  |  | Reserved |
0150 |  |  |  | Reserved |
0151 |  |  |  | Reserved |
0152 |  |  |  | Reserved |
0153 |  |  |  | Reserved |
0154 |  |  |  | Reserved |
0155 |  |  |  | Reserved |
0156 |  |  |  | Reserved |
0157 |  |  |  | Reserved |
0158 |  |  |  | Reserved |
0159 |  |  |  | Reserved |
0161 | \xa1 | ctrl+q ! | ϒ | Upsilon1 | ❡
0162 | \xa2 | ctrl+q " | ′ | minute | ❢
0163 | \xa3 | ctrl+q # | ≤ | lessequal | ❣
0164 | \xa4 | ctrl+q $ | ⁄ | fraction | ❤
0165 | \xa5 | ctrl+q % | ∞ | infinity | ❥
0166 | \xa6 | ctrl+q & | ƒ | florin | ❦
0167 | \xa7 | ctrl+q ' | ♣ | club | ❧
0168 | \xa8 | ctrl+q ( | ♦ | diamond | ♣
0169 | \xa9 | ctrl+q ) | ♥ | heart | ♦
0170 | \xaa | ctrl+q * | ♠ | spade | ♥
0171 | \xab | ctrl+q + | ↔ | arrowboth | ♠
0172 | \xac | ctrl+q , | ← | arrowleft | ①
0173 | \xad | ctrl+q - | ↑ | arrowup | ②
0174 | \xae | ctrl+q - | → | arrowright | ③
0175 | \xaf | ctrl+q / | ↓ | arrowdown | ④
0176 | \xb0 | ctrl+q 0 | ° | degree | ⑤
0177 | \xb1 | ctrl+q 1 | ± | plusminus | ⑥
0178 | \xb2 | ctrl+q 2 | ″ | second | ⑦
0179 | \xb3 | ctrl+q 3 | ≥ | greaterequal | ⑧
0180 | \xb4 | ctrl+q 4 | × | multiply | ⑨
0181 | \xb5 | ctrl+q 5 | ∝ | proportional | ⑩
0182 | \xb6 | ctrl+q 6 | ∂ | partialdiff | ⑩
0183 | \xb7 | ctrl+q 7 | • | bullet | ❷
0184 | \xb8 | ctrl+q 8 | ÷ | divide | ❸
0185 | \xb9 | ctrl+q 9 | ≠ | notequal | ❹
0186 | \xba | ctrl+q : | ≡ | equivalence | ❺
0187 | \xbb | ctrl+q ; | ≈ | approxequal | ❻
0188 | \xbc | ctrl+q < | … | ellipsis | ❼
0189 | \xbd | ctrl+q = |  | arrowvertex | ❽
0190 | \xbe | ctrl+q > |  | arrowhorizex | ❾
0191 | \xbf | ctrl+q ? | ↵ | carriagereturn | ❿
0192 | \xc0 | ctrl+q @ | ℵ | aleph | ➀
0193 | \xc1 | ctrl+q Shift+a | ℑ | Ifraktur | ➁
0194 | \xc2 | ctrl+q Shift+b | ℜ | Rfraktur | ➂
0195 | \xc3 | ctrl+q Shift+c | ℘ | weierstrass | ➃
0196 | \xc4 | ctrl+q Shift+d | ⊗ | circlemultiply | ➄
0197 | \xc5 | ctrl+q Shift+e | ⊕ | circleplus | ➅
0198 | \xc6 | ctrl+q Shift+f | ∅ | emptyset | ➆
0199 | \xc7 | ctrl+q Shift+g | ∩ | intersection | ➇
0200 | \xc8 | ctrl+q Shift+h | ∪ | union | ➈
0201 | \xc9 | ctrl+q Shift+i | ⊃ | propersuperset | ➉
0202 | \xca | ctrl+q Shift+j | ⊇ | reflexsuperset | ➊
0203 | \xcb | Esc ` Shift+a | ⊄ | notsubset | ➋
0204 | \xcc | Esc ~ Shift+a | ⊂ | propersubset | ➌
0205 | \xcd | Esc ~ Shift+o | ⊆ | reflexsubset | ➍
0206 | \xce | ctrl+q Shift+n | ∈ | element | ➎
0207 | \xcf | ctrl+q Shift+o | ∉ | notelement | ➏
0208 | \xd0 | ctrl+q Shift+p | ∠ | angle | ➐
0209 | \xd1 | ctrl+q Shift+q | ∇ | gradient | ➑
0210 | \xd2 | ctrl+q Shift+r | ® | registerserif | ➒
0211 | \xd3 | ctrl+q Shift+s | © | copyrightserif | ➓
0212 | \xd4 | ctrl+q Shift+t | ™ | trademarkserif | ➔
0213 | \xd5 | ctrl+q Shift+u | ∏ | product | →
0214 | \xd6 | ctrl+q Shift+v | √ | radical | ↔
0215 | \xd7 | ctrl+q Shift+w | ⋅ | dotmath | ↕
0216 | \xd8 | Esc % y | ¬ | logicalnot | ➘
0217 | \xd9 | Esc % Shift+y | ∧ | logicaland | ➙
0218 | \xda | ctrl+q Shift+z | ∨ | logicalor | ➚
0219 | \xdb | ctrl+q [ | ⇔ | arrowdblboth | ➛
0220 | \xdc | ctrl+q \ | ⇐ | arrowdblleft | ➜
0221 | \xdd | ctrl+q ] | ⇑ | arrowdblup | ➝
0222 | \xde | ctrl+q ^ | ⇒ | arrowdblright | ➞
0223 | \xdf | ctrl+q _ | ⇓ | arrowdbldown | ➟
0224 | \xe0 | ctrl+q ` | ⋄ | lozenge | ➠
0225 | \xe1 | ctrl+q a | 〈 | angleleft | ➡
0226 | \xe2 | ctrl+q b |  | registersans | ➢
0227 | \xe3 | ctrl+q c |  | copyrightsans | ➣
0228 | \xe4 | ctrl+q d |  | trademarksans | ➤
0229 | \xe5 | Esc ^ Shift+a | ∑ | summation | ➥
0230 | \xe6 | Esc ^ Shift+e |  | parenlefttp | ➦
0231 | \xe7 | Esc ' Shift+a |  | parenleftex | ➧
0232 | \xe8 | Esc % Shift+e |  | parenleftbt | ➨
0233 | \xe9 | Esc ` Shift+e |  | bracketlefttp | ➩
0234 | \xea | Esc ' Shift+i |  | bracketleftex | ➪
0235 | \xeb | Esc ^ Shift+i |  | bracketleftbt | ➫
0236 | \xec | Esc % Shift+i |  | bracelefttp | ➬
0237 | \xed | Esc ` Shift+i |  | braceleftmid | ➭
0238 | \xee | Esc ' Shift+o |  | braceleftbt | ➮
0239 | \xef | Esc ^ Shift+o |  | braceex | ➯
0240 | \xf0 |  |  | Reserved |
0241 | \xf1 | Esc ` Shift+o | 〉 | angleright | ➱
0242 | \xf2 | Esc ' Shift+u | ∫ | integral | ➲
0243 | \xf3 | Esc ^ Shift+u | ⌠ | integraltp | ➳
0244 | \xf4 | Esc ` Shift+u |  | integralex | ➴
0245 | \xf5 | ctrl+q u | ⌡ | integralbt | ➵
0246 | \xf6 | ctrl+q v |  | parenrighttp | ➶
0247 | \xf7 | ctrl+q w |  | parenrightex | ➷
0248 | \xf8 | ctrl+q x |  | parenrightbt | ➸
0249 | \xf9 | ctrl+q y |  | bracketrighttp | ➹
0250 | \xfa | ctrl+q z |  | bracketrightex | ➺
0251 | \xfb | ctrl+q { |  | bracketrightbt | ➻
0252 | \xfc | ctrl+q ¦ |  | bracerighttp | ➼
0253 | \xfd | ctrl+q } |  | bracerightmid | ➽
0254 | \xfe | ctrl+q ~ |  | bracerightbt | ➾
0255
Parent topic: Character sets


Support for FrameMaker 7.x character set

When you open a FrameMaker 7.x document in FrameMaker 8 or above, font encoding is used to convert the characters to Unicode encoding.

In FrameMaker 7.x or earlier, if you open a document on a platform (operating system and locale) that is different from the one used to create it, a rectangular box appears for characters that are not available in the ANSI character set. However, because FrameMaker preserves the character codes, the correct characters appear when you re-open the document on the platform that was used to create it.

If you open a FrameMaker 7.x or earlier document in FrameMaker 9 or above, it converts the unavailable characters to Unicode and assumes that the converted characters are displayed correctly.

FrameMaker versions 9 and above support three character sets: ZapfDingbats (Dingbats), Symbol, and Standard (the platform-dependent legacy character set). Some of the keyboard shortcuts used to enter the characters from these sets continue to be supported in FrameMaker 9 and above.

This document provides tables for each character set to list the supported keyboard shortcuts. The tables also provide hexadecimal code values. “Hex code” is used to represent each character internally.

Instructions for typing quotation marks and apostrophes assume that Smart Quotes is off. For information about Smart Quotes, see the FrameMaker User Guide.

Parent topic: Character sets


Additional resources

This appendix lists additional resources that help you learn more about specific areas in Adobe FrameMaker.

In this topic

  • Structured authoring

  • FrameMaker Publishing Server

  • INI and MIF Reference

  • Programming and scripting

Structured authoring

Resource | URL
Integrating DITA Specialization with FrameMaker | http://help.adobe.com/en_US/framemaker/dita/index.html
Developing Structured Applications with FrameMaker (PDF) | http://help.adobe.com/en_US/framemaker/pdfs/fm-structure-app-dev-guide.pdf
Structured Application Developer’s Reference Guide (PDF) | https://help.adobe.com/en_US/framemaker/pdfs/fm-structure-app-dev-reference.pdf
Getting Started with LwDITA | https://help.adobe.com/en_US/framemaker/pdfs/fm-lwdita-user-guide.pdf
Customizing DITA | https://help.adobe.com/en_US/framemaker/pdfs/fm-customizing-dita.pdf

FrameMaker Publishing Server

Resource | URL
FrameMaker Publishing Server Help | https://help.adobe.com/en_US/framemaker/server/index.html

INI and MIF Reference

Resource | URL
INI Reference Guide | https://help.adobe.com/en_US/framemaker/ini/index.html
MIF Reference Guide (PDF) | https://help.adobe.com/en_US/framemaker/pdfs/fm-mif-reference.pdf

Programming and scripting

Resource | URL
FDK Installation Guide (PDF) | http://help.adobe.com/en_US/framemaker/pdfs/fdk-install-guide.pdf
FDK Programmer’s Guide (PDF) | http://help.adobe.com/en_US/framemaker/pdfs/fdk-programmer-guide.pdf
FDK Programmer’s Reference (PDF) | https://help.adobe.com/en_US/framemaker/pdfs/fdk-reference.pdf
FrameMaker Scripting Guide | https://help.adobe.com/en_US/framemaker/pdfs/fm-scripting-guide.pdf
FrameMaker Developer Center | https://developer.adobe.com/console/servicesandapis
Parent topic: Appendix


Legal notices

For legal notices, visit the Legal Notices page.


PDF output

See how you can generate PDF output for topics and books in FrameMaker

PDF is one of the most widely used output formats in technical publication. You can create PDF from FrameMaker with just a single click. You can configure the PDF setting using the Publish Settings dialog. Once configured, the settings are stored in the setting file (.sts), which can then be used to generate the PDF output.

You can also export these PDF settings and use them on another system to generate the desired PDF output. Once the PDF settings are in place, you can generate multiple PDF outputs using the same settings directly from the File > Save As PDF menu.


Markers

Know what are markers in FrameMaker.

FrameMaker markers provide you multiple ways in which you can mark your documents. You can choose from pre-defined markers, such as Author, Comment, Conditional Tags, ContextString, Cross-Ref, Equation, Glossary; or create custom markers.

The Markers panel makes it easier to work with and troubleshoot hundreds of markers in a long document or book files. You can display all the markers in the current document, all open documents, selected file, or a book.

Add a marker

For example, to add a marker of Comment type:

  1. Place the cursor in the document where you want to insert a comment.

  2. Choose View > Panels > Markers to display the Markers panel if not already open.

  3. Click the Insert icon.

  4. Choose Comment from the Marker type box.

  5. Type your comment in the Marker Text text box and click New Marker.

  6. Save document.

Note: You can enter a tab character in marker text by typing either \t or the hexadecimal code \x08. However, if you generate a list of markers, only tabs entered as hexadecimal codes appear. If you generate an index of markers, only tabs entered as \t appear.

To add a marker to a structured document:

  1. Choose Insert > Marker.

  2. Select a marker element in the Element Catalog and click Insert.

  3. Choose a marker type from the drop-down list. You can use any predefined marker type except Conditional Tags. You can also define your own marker types.

    Note: For structured documents, consult your developer before changing a marker type. Your document may have a separate element defined for each marker type you’ll need.

  4. If the Attributes for New Element dialog box appears, enter attribute values for the marker element and click Insert Element.

    If no marker element is available at the location you want, you might use an invalid element. After inserting the element, talk to your developer about making the element valid at this location.

Generate a list of markers

Understand how to generate a list of markers in FrameMaker.

For example, to generate a list of all your Comment markers:

  1. Choose Insert > List Of > Markers.

  2. Choose whether you want to create a standalone list of markers or add it to book.

  3. In the Set Up List of Markers dialog box, select the Comment marker type from the right drop-down list and click the left arrow to transfer it into the Include list on the left.

  4. Check the Create Hypertext Links check-box.

  5. Click OK. All your Comment type markers are listed in a separate window.

Delete a marker

Learn how to delete a marker in FrameMaker.

Select the marker from the Markers panel and click the Delete icon. The marker is deleted from the document.

Create a custom marker

Learn how to create custom marker in FrameMaker.

You can also define custom markers for single-sourcing or automation. For example, you can use custom markers to mark text that can be extracted into a separate reference guide. You can mark graphic objects that require special processing, such as conversion from one format to another. You can then use a script to automatically extract all those graphics marked with the custom marker for further processing.

  1. Choose View > Panels > Markers.

  2. Click the Insert icon.

  3. From the Marker Type combo box, select Edit.

  4. Type a name for the custom marker in the Edit Custom Marker Type box.

  5. Click Add and click Done. The new Marker type is added to the list of markers.

Add a custom marker to your document

Know how to add a custom marker in a document in FrameMaker.

  1. From the Markers panel, click Insert.

  2. Select the custom marker type.

  3. Type the marker text and click New Marker. A custom marker gets added to your document.

Publish options

When you use the multi-channel publishing feature of FrameMaker, you get several options that enable you to streamline online Help publishing.

Pagination with Page Break marker

Using the options in the Publish Options menu, you can avoid the traditional ways of having to define custom markers for pagination and topic naming.

You can add Page Break markers to denote the topics that should be converted as separate Help topics, and define their topic names.

Add Page Break marker

  1. Click the heading text, and choose Insert > Publish Markers > Apply Page Break Marker.

  2. In the Page Break Marker dialog box, enter the topic title. The file name is automatically populated based on the title text that you enter.

    For example, if you enter the topic title as FrameMaker Publish options, the file is named FrameMaker_Publish_options.htm.

    However, you have the option to change the file name in the Filename text box.

Apply No Page Break Marker

You can also specify a marker to enforce that a page does not break at a defined location. For example, you require to keep two closely related headings on the same page. In this case, you specify a No Page Break Marker at the top of the second heading.

  1. Click the heading text of the second heading.

  2. Choose Insert > Publish Markers > Apply No Page Break Marker.

The marker text for the newly created marker is <NoSplit>. This indicates that the selected heading will appear on the same page as the previous heading.

Remove all Page Break markers

You can remove all the Page Break markers in a document.

  1. Open the document from which you need to remove all the page break markers.

  2. Choose Insert > Publish Markers > Remove All Page Break Markers.

Context-sensitive Help marker

To create context-sensitive Help, you need to add markers in your documentation that the product developers can link to from the corresponding parts of the product. The CSH (context-sensitive help) Marker feature in FrameMaker allows you to apply TopicAlias markers in your documentation. The CSH markers are then used by the publisher to add anchors in the publish output. The publisher also creates a map file that the product developers use to link to the anchors in the documentation.

Note: For best results, ensure that you are applying the map IDs to heading styles that you identified for pagination.

Context-sensitive Help markers are used in the following publish output formats:

  • Responsive HTML5

  • Microsoft HTML Help

Apply a context-sensitive Help marker

  1. Click to place the mouse cursor at the start of a paragraph text to insert the context-sensitive Help marker.

  2. Choose Insert > Publish Markers > Apply CSH Marker.

  3. Enter the map ID and click OK.

When you create a CSH marker in a document, FrameMaker creates a TopicAlias marker with the marker text as the map ID that you specify.

Important: You cannot use whitespaces or the following special characters for the marker text of a CSH marker: ~!@#$%^&*()+-={}|[]\\:\";'<>?,./

Creating and using a Context-sensitive Help map file

You apply CSH markers to specify context specific help location in your FrameMaker document. Next, you need to create a Help map file (with a .h extension). Your application developers use the map file to hook the specific parts of the application (for example, dialog boxes or menu items) to the corresponding help topics.

  1. Add the CSH markers in the FrameMaker source.

  2. Create a text file in any text editor and name the file as:

    <source book or document name>.h

  3. Place the map file in the FrameMaker source folder.

  4. For each CSH marker that you apply in your document, you need to create one line item in the map file as follows:

    #define <map ID> <map number>
    map ID

    Name that you specify for the CSH marker

    map number

    Unique numeric identifier that will be provided by the application developers. However, as a placeholder, you can provide any random number.

    For reference, the FrameMaker publish procedure also creates a sample map file:

    1. Run the publish procedure for your document.

    2. In Windows Explorer, go to the output folder.

      If your source content has CSH markers defined, a <source book or document name>.h file is created at the same folder level as the output folder.

      Example: For the output of a book named framemaker-publisher.book, the map file is framemaker-publisher.h.

    You can use this .h file as a reference to create your map file.

    You need to create your map file in the same format as this .h file.

    Important: The <source book or document name>.h file is created at the same level as the output folder and not inside the output folder.

  5. After you have added all the CSH markers to your map file, provide the map file to the product development team.

    The product development team can use the unique identifiers that you have included in the file. Alternatively, the product team can change the identifiers, as required, and return the updated file.

  6. Copy the updated map file to the FrameMaker source folder.

    Ensure that the name of the file is <source book or document name>.h.

  7. Run the publish procedure.

    The CSH markers are now included as anchors in the published output. You can now test the product context-sensitive Help functionality.

To implement context-sensitive Help in an application, you need to include the CSH markers in the documentation as described above. In addition, your product team will also need to add functionality in the application. For a detailed description on how to include context-sensitive Help functionality in an application, see Context-sensitive Help information for developers in the Using RoboHelp guide.

Apply index markers

  1. Click on the paragraph text that you want to insert the index marker.

  2. Choose Insert > Publish Markers > Apply Index Marker.

  3. Enter the index entry and click OK.

Important: You cannot use whitespaces or the following special characters for the marker text of an index marker: ~!@#$%^&*()+-={}|[]\\:\";'<>?,./

Create Dynamic HTML effects

You can create dynamic HTML effects such as drop-down text and expanding text in your FrameMaker documents if you want to have the published online Help formats to have these options.

Use the drop-down text effect to provide alternative task options and basic conceptual topics, summarize the questions on an FAQ, and shorten nested procedures. Text that you mark as drop-down body is displayed in your PDF output. But the text appears online only when the user clicks the drop-down text caption on the Help page.

Similarly, you can use expanding text DHTML effect to display expanded definitions, key terms, or links to overview topics embedded in a paragraph. Expanding text requires an expanding text caption that contains the link and expanding text body that is displayed when a user clicks the expanding text link. Expanding text body is not displayed in PDF. It appears only in the Help page when a user clicks the text that contains the expanding text link.

These DHTML effects require two components: a caption and body. You apply the drop-down text effects to paragraphs and the expanding text effect to characters. When the drop-down text effect is created, two paragraph styles, DropDownCaption and DropDownBody, are added to the FrameMaker document. When the expanding text effect is created, the two character styles ”ExpandingTextCaption” and ”ExpandingTextBody” are added. These formats are imported to the RoboHelp project when you import the FrameMaker documents. The effects are visible in the created HTML topics.

If the HTML topic generated contains only the captions without the accompanying body formats, links are generated and visible in the HTML topic. If the HTML topic generated contains a text body without the corresponding captions, no links are generated. In addition, if a paragraph to which the drop-down text body format is applied is also specified for conversion to an autonumbered list, the list conversion is ignored.

Create drop-down text in a FrameMaker document

  1. Select the text or paragraph on which you want to place the drop-down text caption.

  2. Choose Insert > Dynamic HTML Effects > Drop Down Caption.

  3. Select the text that should appear as drop-down text in your online Help page.

  4. Choose Insert > Dynamic HTML Effects > Drop Down Body.

Create expanding text in a FrameMaker document

  1. Select the term or phrase on which you want to place the expanding text caption.

  2. Choose Insert > Dynamic HTML Effects > Expanding Text Caption.

  3. Select the text that should appear as expanding text in your online Help page.

  4. Choose Insert > Dynamic HTML Effects > Expanding Text Body.

Customize DHTML effects for HTML5 output

You can customize the drop-down text and expanding text effects for an unstructured FrameMaker document that is published in HTML5 output format. To customize the output settings:
  1. Choose File > Publish to open the Publish dialog.
  2. Click Change Settings.
  3. In the Settings drop-down button, select Edit.
  4. In the Style Mapping tab, select the DHTML Effects options from the General Settings.

  • If the first option is selected, the text which has a drop-down text effect will appear as drop-down text on your online Help page.
  • Similarly, if the second option is selected, the text which has an expanding text effect will appear as expanding text on your online Help page.
  • If the DHTML options are deselected, the HTML5 output will not show the DHTML effects, and the text will appear as plain text without any dropdown or expanding effects.
You can also change the Twisties that appear as icons with the DHTML effects. From the Select Twisties Images dialog, choose the icons to appear as you open and close the dropdown or expanding text. You can also select the placement of the icons.


Cascading of metadata attributes in a DITA map

Certain map-level attributes cascade throughout a map, which facilitates attribute and metadata management. When attributes cascade, they apply to the elements that are children of the element where the attributes were specified. Cascading applies to a containment hierarchy, as opposed to a element-type hierarchy.

The following attributes cascade when set on the <map> element or when set within a map:

  • @audience, @platform, @product, @otherprops, @rev
  • @props and any attribute specialized from @props
  • @linking, @toc, @print, @search
  • @format, @scope, @type
  • @xml:lang, @dir, @translate
  • @processing-role
  • @cascade
Cascading is additive for attributes that accept multiple values, except when the @cascade attribute is set to avoid adding values to attributes. For attributes that take a single value, the closest value defined on a containing element takes effect. In a relationship table, row-level metadata is considered more specific than column-level metadata, as shown in the following containment hierarchy:
  • <map> (most general)
    • <topicref> container (more specific)
      • <topicref> (most specific)
    • <reltable> (more specific)
      • <relcolspec> (more specific)
        • <relrow> (more specific)
          • <topicref> (most specific)

Merging of cascading attributes

The @cascade attribute can be used to modify the additive nature of attribute cascading (though it does not turn off cascading altogether). The attribute has two predefined values: "merge" and "nomerge".

cascade="merge"
The metadata attributes cascade; the values of the metadata attributes are additive. This is the processing default for the @cascade attribute and was the only defined behavior for DITA 1.2 and earlier.
cascade="nomerge"
The metadata attributes cascade; however, they are not additive for <topicref> elements that specify a different value for a specific metadata attribute. If the cascading value for an attribute is already merged based on multiple ancestor elements, that merged value continues to cascade until a new value is encountered (that is, setting cascade="nomerge" does not undo merging that took place on ancestors).

Implementers MAY define their own custom, implementation-specific tokens. To avoid name conflicts between implementations or with future additions to the standard, implementation-specific tokens SHOULD consist of a prefix that gives the name or an abbreviation for the implementation followed by a colon followed by the token or method name.

For example, a processor might define the token "appToken:audience" in order to specify cascading and merging behaviors for only the @audience attribute. The following rules apply:
  • The predefined values for the @cascade attribute MUST precede any implementation-specific tokens, for example, cascade="merge appToken:audience".
  • Tokens can apply to a set of attributes, specified as part of the @cascade value. In that case, the syntax for specifying those values consists of the implementation-specific token, followed by a parenthetical group that uses the same syntax as groups within the @audience, @platform, @product, and @otherprops attributes. For example, a token that applies to only @platform and @product could be specified as cascade="appname:token(platform product)".

Examples of the @cascade attribute in use

Consider the following code examples:

Figure 1. Map A
<map audience="a b" cascade="merge">
     <topicref href="topic.dita" audience="c"/>
</map>
Figure 2. Map B
<map audience="a b" cascade="nomerge">
     <topicref href="topic.dita" audience="c"/>
</map>

For map A, the values for the attribute are merged, and the effective value of the @audience attribute for topic.dita is "a b c". For map B, the values for the attribute are not additive, and the effective value of the @audience attribute for topic.dita is "c".

In the following example, merging is active at the map level but turned off below:

Figure 3. Map C
<map platform="a" product="x" cascade="merge">
  <topicref href="one.dita" platform="b" product="y">
    <topicref href="two.dita" cascade="nomerge" product="z"/>
  </topicref>
</map>

In map C, the reference to one.dita has effective merged values of "a b" for @platform and "x y" for @product.

The reference to two.dita turns off merging, so the explicit @product value of "z" is used (it does not merge with ancestor values). The @platform attribute is not present, so the already-merged value of "a b" continues to cascade and is the effective value of @platform on this reference.

Order for processing cascading attributes in a map

When determining the value of an attribute, processors MUST evaluate each attribute on each individual element in a specific order; this order is specified in the following list. Applications MUST continue through the list until a value is established or until the end of the list is reached (at which point no value is established for the attribute). In essence, the list provides instructions on how processors can construct a map where all attribute values are set and all cascading is complete.

For example, in the case of <topicref toc="yes">, applications MUST stop at item 2 in the list; a value is specified for @toc in the document instance, so @toc values from containing elements will not cascade to that specific <topicref> element. The toc="yes" setting on that <topicref> element will cascade to contained elements, provided those elements reach item 5 below when evaluating the @toc attribute.

For attributes within a map, the following processing order MUST occur:
  1. The @conref and @keyref attributes are evaluated.
  2. The explicit values specified in the document instance are evaluated. For example, a <topicref> element with the @toc attribute set to "no" will use that value.
  3. The default or fixed attribute values are evaluated. For example, the @toc attribute on the <reltable> element has a default value of "no".
  4. The default values that are supplied by a controlled values file are evaluated.
  5. The attributes cascade.
  6. The processing-supplied default values are applied.
  7. After the attributes are resolved within the map, they cascade to referenced maps.
    Note: The processing-supplied default values do not cascade to other maps. For example, most processors will supply a default value of toc="yes" when no @toc attribute is specified. However, a processor-supplied default of toc="yes" MUST not override a value of toc="no" that is set on a referenced map. If the toc="yes" value is explicitly specified, is given as a default through a DTD, XSD, RNG, or controlled values file, or cascades from a containing element in the map, it MUST override a toc="no" setting on the referenced map. See Map-to-map cascading behaviors for more details.
  8. Repeat steps 1 to 4 for each referenced map.
  9. The attributes cascade within each referenced map.
  10. The processing-supplied default values are applied within each referenced map.
  11. Repeat the process for maps referenced within the referenced maps.


Chunking

Content can be chunked (divided or merged into new output documents) in different ways for the purposes of delivering content and navigation. For example, content best authored as a set of separate topics might need to be delivered as a single Web page. A map author can use the @chunk attribute to split up multi-topic documents into component topics or to combine multiple topics into a single document as part of output processing.

The @chunk attribute is commonly used for the following use cases.

Reuse of a nested topic
A content provider creates a set of topics as a single document. Another user wants to incorporate only one of the nested topics from the document. The new user can reference the nested topic from a DITA map, using the @chunk attribute to specify that the topic should be produced in its own document.
Identification of a set of topics as a unit
A curriculum developer wants to compose a lesson for a SCORM LMS (Learning Management System) from a set of topics without constraining reuse of those topics. The LMS can save and restore the learner's progress through the lesson if the lesson is identified as a referenceable unit. The curriculum developer defines the collection of topics with a DITA map, using the @chunk attribute to identify the learning module as a unit before generating the SCORM manifest.


Example: How key scopes affect key precedence

For purposes of key definition precedence, the scope-qualified key definitions from a child scope are considered to occur at the location of the scope-defining element within the parent scope.

Within a single key scope, key precedence is determined by which key definition comes first in the map, or by the depth of the submap that defines the key. This was true for all key definitions prior to DITA 1.3, because all key definitions were implicitly in the same key scope. Scope-qualified key names differ in that precedence is determined by the location where the key scope is defined.

This distinction is particularly important when key names or key scope names contain periods. While avoiding periods within these names will avoid this sort of issue, such names are legal so processors will need to handle them properly.

The following root map contains one submap and one key definition. The submap defines a key named "sample".

Figure 1. Root map
<map>
  <!-- The following mapref defines the key scope "scopeName" -->
  <mapref href="submap.ditamap" keyscope="scopeName"/>

  <!-- The following keydef defines the key "scopeName.sample" -->
  <keydef keys="scopeName.sample" href="losing-key.dita"/>

  <!-- Other content, key definitions, etc. -->
</map>
Figure 2. Submap
<map>
  <keydef keys="sample" href="winning-key.dita"/>
  <!-- Other content, key definitions, etc. -->
</map>

When determining precedence, all keys from the key scope "scopeName" occur at the location of the scope-defining element -- in this case, the <mapref> element in the root map. Because the <mapref> comes first in the root map, the scope-qualified key name "scopeName.sample" that is pulled from submap.ditamap occurs before the definition of "scopeName.sample" in the root map. This means that in the context of the root map, the effective definition of "scopeName.sample" is the scope-qualified key definition that references winning-key.dita.

The following illustration shows a root map and several submaps. Each submap defines a new key scope, and each map defines a key. In order to aid understanding, this sample does not use valid DITA markup; instead, it shows the content of submaps inline where they are referenced.

Figure 3. Complex map with multiple submaps and scopes
<map>   <!-- Start of the root map -->

  <mapref href="submapA.ditamap" keyscope="scopeA">
    <!-- Contents of submapA.ditamap begin here -->
    <mapref href="submapB.ditamap" keyscope="scopeB">
      <!-- Contents of submapB.ditamap: define key MYKEY -->
      <keydef keys="MYKEY" href="example-ONE.dita"/>
    </mapref>
    <keydef keys="scopeB.MYKEY" href="example-TWO.dita"/>
    <!-- END contents of submapA.ditamap -->
  </mapref>

  <mapref href="submapC.ditamap" keyscope="scopeA.scopeB">
    <!-- Contents of submapC.ditamap begin here -->
    <keydef keys="MYKEY" href="example-THREE.dita"/>
  </mapref>

  <keydef keys="scopeA.scopeB.MYKEY" href="example-FOUR.dita"/>
</map>

The sample map shows four key definitions. From the context of the root scope, all have key names of "scopeA.scopeB.MYKEY".

  1. submapB.ditamap defines the key "MYKEY". The key scope "scopeB" is defined on the <mapref> to submapB.ditamap, so from the context of submapA.ditamap, the scope-qualified key name is "scopeB.MYKEY". The key scope "scopeA" is defined on the <mapref> to submapA.ditamap, so from the context of the root map, the scope-qualified key name is "scopeA.scopeB.MYKEY".
  2. submapA.ditamap defines the key "scopeB.MYKEY". The key scope "scopeA" is defined on the <mapref> to submapA.ditamap, so from the context of the root map, the scope-qualified key name is "scopeA.scopeB.MYKEY".
  3. submapC.ditamap defines the key "MYKEY". The key scope "scopeA.scopeB" is defined on the <mapref> to submapC.ditamap, so from the context of the root map, the scope-qualified key name is "scopeA.scopeB.MYKEY".
  4. Finally, the root map defines the key "scopeA.scopeB.MYKEY".

Because scope-qualified key definitions are considered to occur at the location of the scope-defining element, the effective key definition is the one from submapB.ditamap (the definition that references example-ONE.dita).


Attribute generalization

DITA provides a syntax to generalize attributes that have been specialized from the @props or @base attribute. Specialization-aware processors SHOULD process both the specialized and generalized forms of an attribute as equivalent in their values.

When a specialized attribute is generalized to an ancestor attribute, the value of the ancestor attribute consists of the name of the specialized attribute followed by its specialized value in parentheses. For example, if @jobrole is an attribute specialized from @person, which in turn is specialized from @props:

  • jobrole="programmer" can be
        generalized to person="jobrole(programmer)" or to
          props="jobrole(programmer)"
  • props="jobrole(programmer)" can
        be respecialized to person="jobrole(programmer)" or to
          jobrole="programmer"

In this example, processors performing generalization and respecialization can use the @domains attribute to determine the ancestry of the specialized @jobrole attribute, and therefore the validity of the specialized @person attribute as an intermediate target for generalization.

If more than one attribute is generalized, the value of each is separately represented in this way in the value of the ancestor attribute.

Generalized attributes are typically not expected to be authored or edited directly. They are used by processors to preserve the values of the specialized attributes during the time or in the circumstances in which the document is in a generalized form.

Note: The @audience, @platform, @product, and @otherprops attributes allow grouped values that reuse the generalized syntax described here; however, these attributes are not specialized or specializeable. For these attributes, it can be typical to author or edit the grouped values directly.
A single element MUST NOT contain both generalized and specialized values for the same attribute. For example, the following <p> element provides two values for the @jobrole attribute, one in a generalized syntax and the other in a specialized syntax:
<p person="jobrole(programmer)" jobrole="admin">
    <!-- ... -->
</p>
This is an error condition, since it means the document has been only partially generalized, or that the document has been generalized and then edited using a specialized document type.


Processing xrefs and conrefs within a conref

When referenced content contains a content reference or cross reference, the effective target of the reference depends on the form of address that is used in the referenced content. It also might depend on the map context, especially when key scopes are present.

Direct URI reference (but not a same-topic fragment identifier )
When the address is a direct URI reference of any form other than a same-topic fragment identifier, processors MUST resolve it relative to the source document that contains the original URI reference.
Same-topic fragment identifier
When the address is a same-topic fragment identifier, processors MUST resolve it relative to the location of the content reference (referencing context).
Key reference
When the address is a key reference, processors MUST resolve it relative to the location of the content reference (referencing context).

When resolving key references or same-topic fragment identifiers, the phrase location of the content reference means the final resolved context. For example, in a case where content references are chained (topic A pulls from topic B, which in turn pulls a reference from topic C), the reference is resolved relative to the topic that is rendered. When topic B is rendered, the reference is resolved relative to the content reference in topic B; when topic A is rendered, the reference is resolved relative to topic A. If content is pushed from topic A to topic B to topic C, then the same-topic fragment identifier is resolved in the context of topic C.

The implication is that a content reference or cross reference can resolve to different targets in different use contexts. This is because a URI reference that contains a same-topic fragment identifier is resolved in the context of the topic that contains the content reference, and a key reference is resolved in the context of the key scope that is in effect for each use of the topic that contains the content reference.

Note: In the case of same-topic fragment identifiers, it is the responsibility of the author of the content reference to ensure that any element IDs that are specified in same-topic fragment identifiers in the referenced content will also be available in the referencing topic at resolution time.

Example: Resolving conrefs to elements that contain cross references

Consider the following paragraphs in paras-01.dita that are intended to be used by reference from other topics:

<topic id="paras-01"><title>Reusable paragraphs</title>
    <body>
        <p id="p1">See <xref href="#paras-01/p5"/>.</p>
        <p id="p2">See <xref href="topic-02.dita#topic02/fig-01"/>.</p>
        <p id="p3">See <xref href="#./p5"/>.</p>
        <p id="p4">See <xref keyref="task-remove-cover"/>.</p>
        <p id="p5">Paragraph 5 in paras-01.</p>
    </body>
</topic>

The paragraphs are used by content reference from other topics, including the using-topic-01.dita topic:

<topic id="using-topic-01"><title>Using topic one</title>
    <body>
        <p id="A" conref="paras-01.dita#paras-01/p1"/>
        <p id="B" conref="paras-01.dita#paras-01/p2"/>
        <p id="C" conref="paras-01.dita#paras-01/p3"/>
        <p id="D" conref="paras-01.dita#paras-01/p4"/>
        <p id="p5">Paragraph 5 in using-topic-01</p>
    </body>
</topic>

Following resolution of the content references and processing of the <xref> elements in the referenced paragraphs, the rendered cross references in using-topic-01.dita are shown in the following table.

Paragraph | Value of @id attribute on conrefed paragraph | <xref> within conrefed paragraph | Resolution
A | p1 | <xref href="#paras-01/p5"/> | The cross reference in paragraph p1 is a direct URI reference that does not contain a same-topic fragment identifier. It can be resolved only to paragraph p5 in paras-01.dita, which contains the content "Paragraph 5 in paras-01".
B | p2 | <xref href="topic-02.dita#topic02/fig-01"/> | The cross reference in paragraph p2 is a direct URI reference. It can be resolved only to the element with id="fig-01" in topic-02.dita.
C p3 <xref href="#./p5"/>

The cross reference in paragraph p3 is a direct URI reference that contains a same-topic fragment identifier. Because the URI reference contains a same-topic fragment identifier, the reference is resolved in the context of the referencing topic (using-topic-01.dita).

If using-topic-01.dita did not contain an element with id="p5", then the conref to paragraph p3 would result in a link resolution failure.
D | p4 | <xref keyref="task-remove-cover"/> | The cross reference in paragraph p4 is a key reference. It is resolved to whatever resource is bound to the key name "task-remove-cover" in the applicable map context.

Example: Resolving conrefs to elements that contain key-based cross references

Consider the following map, which uses the topics from the previous example:

<map>
  <topicgroup keyscope="product-1">
    <topicref keys="task-remove-cover" href="prod-1-task-remove-cover.dita"/>
    <topicref href="using-topic-01.dita"/>
  </topicgroup>
  <topicgroup keyscope="product-2">
    <topicref keys="task-remove-cover" href="prod-2-task-remove-cover.dita"/>
    <topicref href="using-topic-01.dita"/>
  </topicgroup>
</map>

The map establishes two key scopes: "product-1" and "product-2". Within the map branches, the key name "task-remove-cover" is bound to a different topic. The topic using-topic-01.dita, which includes a conref to a paragraph that includes a cross reference to the key name "task-remove-cover", is also referenced in each branch. When each branch is rendered, the target of the cross reference is different.

In the first branch with the key scope set to "product-1", the cross reference from paragraph p4 is resolved to prod-1-task-remove-cover.dita. In the second branch with the key scope set to "product-2", the cross reference from paragraph p4 is resolved to prod-2-task-remove-cover.dita.


Indirect key-based addressing

DITA keys provide an alternative to direct addressing. The key reference mechanism provides a layer of indirection so that resources (for example, URIs, metadata, or variable text strings) can be defined at the DITA map level instead of locally in each topic.

For information about using keys to define and reference controlled values, see Subject scheme maps and their usage.

Note: The material in this section of the DITA specification is exceptionally complex; it is targeted at implementers who build processors and other rendering applications.


Core concepts for working with keys

The concepts described below are critical for a full understanding of keys and key processing.

The use of the phases "<map> element" or "<topicref> element" should be interpreted as "<map> element and any specialization of <map> element " or " <topicref> element or any specialization of <topicref> element."

Definitions related to keys

resource
For the purposes of keys and key resolution, one of the following:
  • An object addressed by URI
  • Metadata specified on a resource, such as a @scope or @format attribute
  • Text or metadata located within a <topicmeta> element
key
A name for a resource. See Using keys for addressing for more information.
key definition
A <topicref> element that binds one or more key names to zero or more resources.
key reference
An attribute that references a key, such as @keyref or @conkeyref.
key space
A list of key definitions that are used to resolve key references.
effective key definition
The definition for a key within a key space that is used to resolve references to that key. A key might have multiple definitions within a key space, but only one of those definitions is effective.
key scope
A map or section of a map that defines its own key space and serves as the resolution context for its key references.

Key definitions

A key definition binds one or more keys to zero or more resources. Resources can be:

  • Any URI-addressed resource that is referenced directly by the @href attribute or indirectly by the @keyref attribute on the key definition. References to the key are considered references to the URI-addressed resource.
  • (If the key definition contains a child <topicmeta> element) The child elements of the <topicmeta> element. The content of those elements can be used to populate the content of elements that reference the key.

If a key definition does not contain a <topicmeta> element and does not refer to a resource by @href or @keyref, it is nonetheless a valid key definition. References to the key definition are considered resolvable, but no linking or content transclusion occurs.

Key scopes

All key definitions and key references exist within a key scope. If the @keyscope attribute is never specified within the map hierarchy, all keys exist within a single, default key scope.

Additional key scopes are created when the @keyscope attribute is used. The @keyscope attribute specifies a name or names for the scope. Within a map hierarchy, key scopes are bounded by the following:

  • The root map.
  • The root element of submaps when the root elements of the submaps specify the @keyscope attribute
  • Any <topicref> elements that specify the @keyscope attribute

Key spaces

The key space associated with a key scope is used to resolve all key references that occur immediately within that scope. Key references in child scopes are resolved using the key spaces that are associated with those child scopes.

A key scope is associated with exactly one key space. That key space contains all key definitions that are located directly within the scope; it might also contain definitions that exist in other scopes. Specifically, the key space associated with a key scope is comprised of the following key definitions, in order of precedence:

  1. All key definitions from the key space associated with the parent key scope, if any.
  2. Key definitions within the scope-defining element, including those defined in directly-addressed, locally-scoped submaps, but excluding those defined in child scopes. (Keys defined in child scopes cannot be addressed without qualifiers.)
  3. The key definitions from child scopes, with each key prepended by the child scope name followed by a period. If a child scope has multiple names, the keys in that scope are addressable from the parent scope using any of the scope names as a prefix.
Note: Because of rules 1 and 3, the key space that is associated with a child scope includes the scope-qualified copies of its own keys that are inherited from the key space of the parent scope, as well as those from other "sibling" scopes.

Effective key definitions

A key space can contain many definitions for a given key, but only one definition is effective for the purpose of resolving key references.

When a key has a definition in the key space that is inherited from a parent scope, that definition is effective. Otherwise, a key definition is effective if it is first in a breadth-first traversal of the locally-scoped submaps beneath the scope-defining element. Put another way, a key definition is effective if it is the first definition for that key name in the shallowest map that contains that key definition. This allows higher-level map authors to override keys defined in referenced submaps.

Note: A key definition that specifies more than one key name in its @keys attribute might be the effective definition for some of its keys but not for others.

Within a key scope, keys do not have to be defined before they are referenced. The key space is effective for the entire scope, so the order of key definitions and key references relative to one another is not significant. This has the following implications for processors:

  • All key spaces for a root map must be determined before any key reference processing can be performed.
  • Maps referenced solely by key reference have no bearing on key space contents.

For purposes of key definition precedence, the scope-qualified key definitions from a child scope are considered to occur at the location of the scope-defining element within the parent scope. See Example: How key scopes affect key precedence for more information.


Map-to-map cascading behaviors

When a DITA map (or branch of a DITA map) is referenced by another DITA map, by default, certain rules apply. These rules pertain to the cascading behaviors of attributes, metadata elements, and roles assigned to content (for example, the role of "Chapter" assigned by a <chapter> element). Attributes and elements that cascade within a map generally follow the same rules when cascading from one map to another map, but there are some exceptions and additional rules that apply.


@class attribute rules and syntax

The specialization hierarchy of each DITA element is declared as the value of the @class attribute. The @class attribute provides a mapping from the current name of the element to its more general equivalents, but it also can provide a mapping from the current name to more specialized equivalents. All specialization-aware processing can be defined in terms of @class attribute values.

The @class attribute tells a processor what general classes of elements the current element belongs to. DITA scopes elements by module type (for example topic type, domain type, or map type) instead of document type, which lets document type developers combine multiple module types in a single document without complicating transformation logic.

The sequence of values in the @class attribute is important because it tells processors which value is the most general and which is most specific. This sequence is what enables both specialization aware processing and generalization.

Syntax

Values for the @class attribute have the following syntax requirements:
  • An initial "-" or "+" character followed by one or more spaces. Use "-" for element types that are defined in structural vocabulary modules, and use "+" for element types that are defined in domain modules.
  • A sequence of one or more tokens of the form "modulename/typename", with each token separated by one or more spaces, where modulename is the short name of the vocabulary module and typename is the element type name. Tokens are ordered left to right from most general to most specialized.

    These tokens provide a mapping for every structural type or domain in the ancestry of the specialized element. The specialization hierarchy for a given element type must reflect any intermediate modules between the base type and the specialization type, even those in which no element renaming occurs.

  • At least one trailing space character (" "). The trailing space ensures that string matches on the tokens can always include a leading and trailing space in order to reliably match full tokens.

Rules

When the @class attribute is declared in an XML grammar, it MUST be declared with a default value. In order to support generalization round-tripping (generalizing specialized content into a generic form and then returning it to the specialized form) the default value MUST NOT be fixed. This allows a generalization process to overwrite the default values that are defined by a general document type with specialized values taken from the document being generalized.

A vocabulary module MUST NOT change the @class attribute for elements that it does not specialize, but simply reuses by reference from more generic levels. For example, if <task>, <bctask>, and <guitask> use the <p> element without specializing it, they MUST NOT declare mappings for it.

Authors SHOULD NOT modify the @class attribute.

Example: DTD declaration for @class attribute for the <step> element

The following code sample lists the DTD declaration for the @class attribute for the <step> element:

<!ATTLIST step         class  CDATA "- topic/li task/step ">

This indicates that the <step> element is specialized from the <li> element in a generic topic. It also indicates explicitly that the <step> element is available in a task topic; this enables round-trip migration between upper level and lower level types without the loss of information.

Example: Element with @class attribute made explicit

The following code sample shows the value of the @class attribute for the <wintitle> element:

<wintitle class="+ topic/keyword ui-d/wintitle ">A specialized keyword</wintitle>

The @class attribute and its value is generally not surfaced in authored DITA topics, although it might be made explicit as part of a processing operation.

Example: @class attribute with intermediate value

The following code sample shows the value of a @class attribute for an element in the guitask module, which is specialized from <task>. The element is specialized from <keyword> in the base topic vocabulary, rather than from an element in the task module:

<windowname class="- topic/keyword task/keyword guitask/windowname ">...</windowname>

The intermediate values are necessary so that generalizing and specializing transformations can map the values simply and accurately. For example, if task/keyword was missing as a value, and a user decided to generalize this guitask up to a task topic, then the transformation would have to guess whether to map to keyword (appropriate if task is more general than guitask, which it is) or leave it as windowname (appropriate if task were more specialized, which it isn't). By always providing mappings for more general values, processors can then apply the simple rule that missing mappings must by default be to more specialized values than the one we are generalizing to, which means the last value in the list is appropriate. For example, when generalizing <guitask> to <task>, if a <p> element has no target value for <task>, we can safely assume that <p> does not specialize from <task> and should not be generalized.


@domains attribute rules and syntax

The @domains attribute enables processors to determine whether two elements or two documents use compatible domains. The attribute is declared on the root element for each topic or map type. Each structural, domain, and constraint module defines its ancestry as a parenthesized sequence of space-separated module names; the effective value of the @domains attribute is composed of these parenthesized sequences.

Document type shells collect the values that are provided by each module to construct the effective value of the @domains attribute. Processors can examine the collected values when content from one document is used in another, in order to determine whether the content is compatible.

For example, when an author pastes content from one topic into another topic within an XML editor, the application can use the @domains attribute to determine if the two topics use compatible domains. If not, copied content from the first topic might need to be generalized before it can be placed in the other topic.

The @domains attribute serves the same function when an element uses the @conref attribute to reference a more specialized version of the element. For example, a <note> element in a concept topic conrefs a <hazardstatement> element in a reference document. If the hazard statement domain is not available in the concept topic, the <hazardstatement> element is generalized to a <note> element when the content reference is resolved.

Syntax and rules

Each domain and constraint module MUST provide a value for use by the @domains attribute. Each structural vocabulary module SHOULD provide a value for use by the @domains attribute, and it MUST do so when it has a dependency on elements from any module that is not part of its specialization ancestry.

Values provided for the @domains attribute values are specified from root module (map or topic) to the provided module.

structural modules

The value of the @domains attribute includes each module in the specialization ancestry:

 '(', topic-or-map, (' ', module)+, ')'

For example, consider the <glossentry> specialization, in which the topic type is specialized to the concept type, and the concept type is specialized to glossentry. The structural module contribution to the value of the @domains attribute for the glossentry structural module is (topic concept glossentry).

structural modules with dependencies

Structural modules can directly reference or specialize elements from modules that are outside of their specialization ancestry. They also can define specialized elements that reference specialized attributes. In these cases the structural module has a dependency on the non-ancestor module, and the structural module contribution to the value of the @domains attribute MUST include the names of each dependent, non-ancestor module.

Dependencies are included in the value of the @domains attribute following the name of the structural module with the dependency on the non-ancestor module. Domain or attribute modules are appended to the name of the structural module with the dependency on the non-ancestor module, or to previous dependencies, separated by "+". Dependencies on structural specialization modules are appended to the name of the structural module with the dependency on the non-ancestor module, or to previous dependencies, separated by "++". The syntax is the same as for other structural modules, except that added modules can include these dependencies:
 '(', topic-or-map, (' ', module-plus-optional-dependency-list)+, ')'

When the structural module is included in a document-type shell, all dependency modules also are included along with their own @domains values.

For example, the cppAPIRef structural module is specialized from reference, which is specialized from topic. The cppAPIRef module has a dependency on the cpp-d element domain and on the compilerTypeAtt-d attribute domain. The dependencies are listed after the name of cppApiref:
(topic reference cppApiRef+cpp-d+compilerTypeAtt-d)
Similarly, a codeChecklist structural module is specialized from reference, which is specialized from topic. The codeChecklist module has a dependency on the pr-d domain and on the task structural specialization. Again, the dependencies are listed after the name of codeChecklist. The pr-d domain and the task module each contribute their own values, so taken together these modules contribute the following values:
(topic reference codeChecklist+pr-d++task) (topic pr-d) (topic task)
element domains

The value includes the structural type ancestry and, if applicable, the domain module ancestry from which the domain is specialized:

 '(', topic-or-map, (' ', domain-module)+, ')'
For example, the highlighting domain (specialized from topic) supplies the following value: (topic hi-d). A CPP domain that is specialized from the programming domain, which in turn is specialized from topic, supplies the following value: (topic pr-d cpp-d).
structural constraint modules

The value includes the structural type ancestry followed by the name of the constraint domain:

 '(', inheritance-hierarchy qualifierTagname-c, ')'

where:

  • inheritance-hierarchy is the specialization hierarchy, for example, topic task.
  • qualifier is a string that is specific to the constraints module and characterizes it, for example, "strict" or "requiredTitle" or "myCompany-".
  • Tagname is the element type name with an initial capital, for example, "Taskbody" or "Topic".
  • The literal "-c" indicates that the name is the name of a constraint.

For example, the strictTaskbody constraint applies to the task module, which is specialized from topic, resulting in the following value: (topic task strictTaskbody-c).

Optionally, a domains contribution can indicate a strong constraint by preceding the domains contribution with the letter "s". For example, s(topic task strictTaskbody-c) indicates a strong constraint.

domain constraint modules

The value includes the specialization ancestry followed by the name of the constraint domain:

 '(', inheritance-hierachy qualifierdomainDomain-c ')'

where:

  • inheritance-hierarchy is the specialization hierarchy, for example, topic hi-d.
  • qualifier is a string that is specific to the constraints module and characterizes it, for example, "noSyntaxDiagram" or "myCompany-".
  • domain is the name of the domain to which the constraints apply, for example, "Highlighting" or "Programming".
  • The literal "-c" indicates that the name is the name of a constraint.

For example, a domain constraint module that restricts the highlighting domain includes a value like the following: (topic hi-d basic-HighlightingDomain-c)

attribute domains

The value uses an "a" before the initial parenthesis to indicate an attribute domain. Within the parenthesis, the value includes the attribute specialization hierarchy, starting with @props or @base:

 'a(', props-or-base, (' ', attname)+, ')'

For example, the @mySelectAttribute specialized from @props results in the following value: a(props mySelectAttribute)

Example: Task with multiple domains

In this example, a document-type shell integrates the task structural module and the following domain modules:

Domain | Domain short name
User interface | ui-d
Software | sw-d
Programming | pr-d

The value of the @domains attribute includes one value from each module; the effective value is the following:

domains="(topic task) (topic ui-d) (topic sw-d) (topic pr-d)"

If the document-type shell also used a specialization of the programming domain that describes C++ programming (with a short name of "cpp-d"), the new C++ programming domain would add an additional value to the @domains attribute:

domains="(topic task) (topic ui-d) (topic sw-d) (topic pr-d) (topic pr-d cpp-d)"

Note that the value for the @domains attribute is not authored; Instead, the value is defaulted based on the modules that are included in the document type shell.


Subject scheme maps and their usage

Subject scheme maps can be used to define controlled values and subject definitions. The controlled values can be bound to attributes, as well as element and attribute pairs. The subject definitions can contain metadata and provide links to more detailed information; they can be used to classify content and provide semantics that can be used in taxonomies and ontologies.

A DITA map can reference a subject scheme map by using a <mapref> element. Processors also MAY provide parameters by which subject scheme maps are referenced.


Using keys for addressing

For topic references, image references, and other link relationships, resources can be indirectly addressed by using the @keyref attribute. For content reference relationships, resources can be indirectly addressed by using the @conkeyref attribute.

Syntax

For references to topics, maps, and non-DITA resources, the value of the @keyref attribute is simply a key name (for example, keyref="topic-key").

For references to non-topic elements within topics, the value of the @keyref attribute is a key name, a slash ("/"), and the ID of the target element (for example, keyref="topic-key/some-element-id".)

Example

For example, consider this topic in the document file.dita:
<topic id="topicid">
 <title>Example referenced topic</title>
 <body>
  <section id="section-01">Some content.</section>
 </body>
</topic>
and this key definition:
<map>
  <topicref keys="myexample"
    href="file.dita"
  />
</map>

A cross reference of the form keyref="myexample/section-01" resolves to the <section> element in the topic. The key reference is equivalent to the URI reference xref="file.dita#topicid/section-01".


Architectural attribute group

The architectural attributes group includes a set of attributes defined for document level elements such as <topic> and <map>. These attributes are intended to provide information about the DITA namespace, what level of DITA is in use, and what vocabulary modules are in use.

@DITAArchVersion
Designates the version of the architecture that is in use. The default value will increase with each release of DITA. This attribute is in the namespace "http://dita.​oasis-open.​org/​architecture/​2005/". This attribute is defined with the XML data type CDATA, but uses a default value of the current version of DITA. The current default is "1.3".
@xmlns:ditaarch
Declares the default DITA namespace. Although this is technically a namespace rather than an attribute, it is included here because it is specified as an attribute in the DTD grammar files distributed by OASIS. The value is fixed to "http://dita.​oasis-open.​org/​architecture/​2005/".
@domains
Indicates the specialized domains that are included in the DTD or Schema. This attribute is defined with the XML data type CDATA, and each new document type SHOULD specify a default. The value will differ depending on what domains are included in the current DTD or Schema; a sample value is "(topic ui-d) (topic hi-d) (topic pr-d) (topic sw-d) (topic ut-d) (topic indexing-d)".


Other common attributes

These common attributes are used across a wide variety of elements, with the common definition included below. These attributes are not defined as a group, and many elements only specify one or two from this list.

@keyref
@keyref provides a redirectable reference based on a key defined within a map. See The keyref attribute for information on using this attribute.
@outputclass
Names a role that the element is playing. The role must be consistent with the basic semantic and expectations for the element. In particular, the @outputclass attribute can be used for styling during output processing; HTML output will typically preserve @outputclass for CSS processing.
@compact
Indicates close vertical spacing between list items. Expanded spacing is the processing default. The output result of compact spacing depends on the processor or browser. Allowable values are:
yes
Indicates compact spacing.
no
Indicates expanded spacing.
-dita-use-conref-target
See Using the -dita-use-conref-target value for more information.
@xml:space
This attribute is provided on <pre>, <lines>, and on elements specialized from those. It ensures that parsers in editors and transforms respect the white space, including line-end characters, that is part of the data in those elements. It is intended to be part of the default properties of these elements, and not for authors to change or delete. When defined, it has a fixed value of "preserve".
@anchorref
Identifies a location within another map file where this map will be anchored at runtime. Resolution of the map is deferred until the final step in the delivery of any rendered content. For example, anchorref="map1.ditamap/a1" causes this map to be pulled into the location of the anchor point "a1" inside map1.ditamap when map1.ditamap is rendered for delivery.
@mapkeyref
Identifies the map, if any, from which the contained links or metadata are derived. This value might be automatically generated by a process that creates the links or metadata based on map context, as a way to identify which map the material came from. If the <linklist>, or <linkpool>, or metadata is manually created by an author, there is no need to use this attribute. Note that this attribute is not related to the @keyref attribute, and is not used for key based processing.


Attributes common to many map elements

This attribute group collects several attributes that are used on a variety of map elements. For a few elements, the group is modified slightly to remove an attribute such as @toc or @format; in those cases the element definition will clarify that the element does not use this full set. That is generally done in order to specify a default for one attribute, such as defaulting @format to "ditamap" on the <mapref> element.

@cascade
Controls how metadata attributes cascade within a map. There are two defined values that should be supported: "merge" and "nomerge". If no value is set, and no value cascades from an ancestor element, processors SHOULD assume a default of "merge". See Cascading of metadata attributes in a DITA map for more information about how this attribute interacts with metadata attributes.
@collection-type
Collection types describe how links relate to each other. The processing default is "unordered", although no default is specified in the DTD or Schema. Allowable values are:
unordered
Indicates that the order of the child topics is not significant.
sequence
Indicates that the order of the child topics is significant; output processors will typically link between them in order.
choice
Indicates that one of the children should be selected.
family
Represents a tight grouping in which each of the referenced topics not only relates to the current topic but also relate to each other.
-dita-use-conref-target
See Using the -dita-use-conref-target value for more information.

Usage of the @collection-type attribute on <reltable> and <relcolspec> is currently undefined and reserved for future use.

@processing-role
Describes the processing role of the referenced topic. The processing default is "normal". If no value is specified, but the attribute is specified on an ancestor within a map or within the related-links section, the value will cascade from the closest ancestor. Allowable values are:
normal
Normal topic that is a readable part of the information.
resource-only
The topic is used as a resource for processing purposes. This topic should not be included in a rendered table of contents, and the topic should not be rendered on its own.
-dita-use-conref-target
See Using the -dita-use-conref-target value for more information.
@locktitle
If the @locktitle attribute is set to "yes", the content of the <navtitle> element or @navtitle attribute is used for a navigation title, if it is present. If the @locktitle attribute is not present or set to "no", the content of the <navtitle> element or @navtitle attribute is ignored, and the title of the referenced topic is used as a navigation title.
Note: The @navtitle attribute is deprecated in favor of the <navtitle> element. When both a <navtitle> element and a @navtitle attribute are specified, the <navtitle> element should be used.
Allowable values for @locktitle are:
yes
The content of the <navtitle> element or @navtitle attribute is used for a navigation title.
no
The content of the <navtitle> element or @navtitle attribute is ignored. This is the processing default.
-dita-use-conref-target
See Using the -dita-use-conref-target value for more information.
@linking
Defines some specific linking characteristics of a topic's current location in the map. If the value is not specified locally, the value might cascade from another element in the map (for cascade rules, see Cascading of metadata attributes in a DITA map). Allowable values are:
targetonly
A topic can only be linked to and cannot link to other topics.
sourceonly
A topic cannot be linked to but can link to other topics.
normal
A topic can be linked to and can link to other topics. Use this to override the linking value of a parent topic.
none
A topic cannot be linked to or link to other topics.
-dita-use-conref-target
See Using the -dita-use-conref-target value for more information.
@toc
Specifies whether a topic appears in the table of contents (TOC). If the value is not specified locally, the value might cascade from another element in the map (for cascade rules, see Cascading of metadata attributes in a DITA map). Allowable values are:
yes
The topic appears in a generated TOC.
no
The topic does not appear in a generated TOC.
-dita-use-conref-target
See Using the -dita-use-conref-target value for more information.
@print
Specifies whether the topic should be included in a print-specific rendition, such as PDF. The processing default is "yes". If the value is not specified locally, the value might cascade from another element in the map (for cascade rules, see Cascading of metadata attributes in a DITA map).
Note: Beginning with DITA 1.3, the @print attribute is deprecated. It is replaced with a conditional processing attribute: @deliveryTarget. See @deliveryTarget for more details.
Allowable values are:
yes
Include the topic in the print-oriented file.
no
Do not include the topic in a print-oriented file.
printonly
Only include the topic when rendering the DITA content in a print-oriented context; the topic is not appropriate for other contexts, such as when rendering as HTML.
-dita-use-conref-target
See Using the -dita-use-conref-target value for more information.
@search
Describes whether the target is available for searching. If the value is not specified locally, the value might cascade from another element in the map (for cascade rules, see Cascading of metadata attributes in a DITA map). Allowable values are:
yes
no
-dita-use-conref-target
@chunk
When a set of topics is transformed using a map, the @chunk attribute allows multi-topic documents to be broken into smaller files and multiple individual topics to be combined into larger combined documents.

For a detailed description of the @chunk attribute and its usage, see Chunking.

@keyscope
Specifies that the element marks the boundaries of a key scope. See The keyscope attribute for details on how to use the @keyscope attribute.


Data element attributes group

The data element attributes group includes attributes that are defined for the <data> element, and are reused on most or all specializations of the <data> element.

@name
Defines a unique name for the object.
@datatype
Describes the type of data contained in the @value attribute or within the <data> element. A typical use of @datatype will be the identifying URI for an XML Schema datatype.
@value
Specifies a value associated with the current property or element.


Display attribute group

The display attribute group includes attributes whose values can be used for affecting the display of many elements.

@expanse
Determines the horizontal placement of the element. Allowable values are:
page
Places the element on the left page margin for left-to-right presentation, or right page margin for right-to-left presentation.
column
Aligns the element with the current column margin
textline
Aligns the element with the left (for left to right presentation) or right (for right to left presentation) margin of the current text line and takes indention into account.
spread
Indicates that, if possible, the object should be rendered across a multi-page spread. If the rendition target does not have anything corresponding to spreads then spread has the same meaning as "page".
-dita-use-conref-target
See Using the -dita-use-conref-target value for more information.

In DITA tables, in place of the @expanse attribute used by other DITA elements, the @pgwide attribute is used in order to conform to the OASIS Exchange Table Model. The @pgwide attribute has a similar semantic (1=page width; 0=resize to galley or column).

Some DITA processors or output formats might not be able to support all values.

@frame
Specifies which portion of a border should surround the element. Allowable values are:
top
Draw a line before the element
bottom
Draw a line after the element
topbot
Draw a line both before and after the element
all
Draw a box around the element
sides
Draw a line at each side of the element
none
Don't draw any lines around this element
-dita-use-conref-target
See Using the -dita-use-conref-target value for more information.

Some DITA processors or output formats might not be able to support all values.

@scale
Specifies a percentage, selected from an enumerated list, that is used to resize fonts in relation to the normal text size. This attribute is primarily useful for print-oriented display.

The @scale attribute provides an acknowledged style-based property directly on DITA elements. For the <table> and <fig> elements, the intent of the property is to allow authors to adjust font sizes on the content of the containing element, primarily for print accommodation. An <image> in these contexts is to be scaled only by its own direct scale property. If not specifically scaled, such an <image> is unchanged by the scale property of its parent <table> or <fig>.

Allowable values are 50, 60, 70, 80, 90, 100, 110, 120, 140, 160, 180, 200, and -dita-use-conref-target. Some DITA processors or output formats might not be able to support all values.


Using the -dita-use-conref-target value

The value -dita-use-conref-target is available on enumerated attributes and can also be specified on other attributes. When an element uses @conref to pull in content, for any of its attributes assigned a value of "-dita-use-conref-target", the resulting value for those attributes is also pulled in from the referenced element.

Ordinarily, when an element uses @conref, any other attributes specified locally will be preserved when the reference is resolved. This causes problems when attributes are required, because required attributes must be specified regardless of whether the @conref attribute is present. The purpose of the -dita-use-conref-target value is to allow the author to specify a value for a required attribute while still allowing the conref resolution process to use the matching attribute from the referenced element. The value has the same result when the attribute is not required.

The -dita-use-conref-target token is allowed on any attribute where it is not prohibited by the XML grammar files or by the specification. For example, while @cols on the <tgroup> element is defined as being a number, this token is implicitly allowed in order to support conref processing for <tgroup>. However, the token is not allowed for the @id attribute on the <topic> element, because "-dita-use-conref-target" does not fit the syntax required by the XML grammar files.

This example shows a map where the <topichead> element uses @conref. It specifies the @navtitle attribute as well as the @toc attribute. In the resolved element, @navtitle from the referencing element is not preserved because it uses -dita-use-conref-target. The @toc attribute from the referencing element overrides the @toc attribute on the referenced element using normal conref resolution rules.

Note: In earlier versions of DITA, @navtitle was required on the <topichead> element. While it is no longer required, the example still illustrates the expected processing for both required and non-required attributes.
Figure 1. Pre-resolution
<map><title>Conref demonstration</title>
  <topichead id="heading"
             navtitle="This is a heading"
             toc="yes"
             linking="normal">
    <topicref href="topic.dita" navtitle="content"/>
  </topichead>

  <topichead conref="#heading"
             navtitle="-dita-use-conref-target"
             toc="no">
  </topichead>
</map>
Figure 2. Effective result post-resolution
<map><title>Conref demonstration</title>
  <topichead id="heading"
             navtitle="This is a heading"
             toc="yes"
             linking="normal">
    <topicref href="topic.dita" navtitle="content"/>
  </topichead>

  <topichead navtitle="This is a heading"
             toc="no"
             linking="normal">
    <topicref href="topic.dita" navtitle="content"/>
  </topichead>
</map>


Link relationship attribute group

The link relationship attribute group includes attributes whose values can be used for representing navigational relationships. These attributes occur only on elements that represent relationships among DITA elements or between DITA elements and non-DITA resources.

@href
Provides a reference to a resource. See The href attribute for detailed information on supported values and processing implications..
@format
The @format attribute identifies the format of the resource being referenced. See The format attribute for details on supported values.
@scope
The @scope attribute identifies the closeness of the relationship between the current document and the target resource. Allowable values are local, peer, external, and -dita-use-conref-target; see The scope attribute for more information on these values.
@type
Describes the target of a reference. See The type attribute for detailed information on supported values and processing implications.


Metadata attribute group

The metadata attribute group includes common metadata attributes, several of which support conditional processing (filtering and flagging) or the creation of new attribute domain specializations.

@props
Root attribute from which new metadata attributes can be specialized. This is a property attribute which supports conditional processing for filtering or flagging. If no value is specified, but the attribute is specified on an ancestor within a map or within the related-links section, the value will cascade from the closest ancestor.
@base
A generic attribute that has no specific purpose. It is intended to act as a base for specialized attributes that have a simple value syntax like the conditional processing attributes (one or more alphanumeric values separated by whitespace), but is not itself a filtering or flagging attribute.

The @props and @base attributes each take a space-delimited set of values. However, when acting as a container for generalized attributes, the attribute values will be more complex; see Attribute generalization for more details.

@platform
Indicates operating system and hardware. If no value is specified, but the attribute is specified on an ancestor within a map or within the related-links section, the value will cascade from the closest ancestor.
@product
Contains the name of the product to which the element applies. If no value is specified, but the attribute is specified on an ancestor within a map or within the related-links section, the value will cascade from the closest ancestor.
@audience
Indicates the intended audience for the element. If no value is specified, but the attribute is specified on an ancestor within a map or within the related-links section, the value will cascade from the closest ancestor.
@otherprops
This attribute can be used for any other properties that might be needed to describe an audience, or to provide selection criteria for the element. Alternatively, the @props attribute can be specialized to provide a new metadata attribute instead of using the general @otherprops attribute. If no value is specified, but the attribute is specified on an ancestor within a map or within the related-links section, the value will cascade from the closest ancestor.

The @audience, @platform, @product, and @otherprops attributes are property attributes which support conditional processing for filtering or flagging. Each takes a space-delimited set of values, with optional groups of space-delimited properties. Although these attributes are not specialized and not specializeable, the group syntax matches that for generalized attributes in Attribute generalization.

@deliveryTarget
The intended delivery target of the content, for example "html", "pdf", or "epub". This attribute is a replacement for the now deprecated @print attribute.

The @deliveryTarget attribute is specialized from the @props attribute. It is defined in the deliveryTargetAttDomain, which is integrated into all OASIS-provided document-type shells. If this domain is not integrated into a given document-type shell, the @deliveryTarget attribute will not be available.

@importance
A range of values that describe an importance or priority attributed to an element. For example, in steps of a task, the attribute indicates whether a step is optional or required. This attribute is not used for DITAVAL-based filtering or flagging; applications might use the importance value to highlight elements. Allowable values are: obsolete, deprecated, optional, default, low, normal, high, recommended, required, urgent, and -dita-use-conref-target.
@rev
Indicates a revision level of an element that identifies when the element was added or modified. It can be used to flag outputs when it matches a run-time parameter; it cannot be used for filtering. It is not sufficient to be used for version control. If no value is specified, but the attribute is specified on an ancestor within a map or within the related-links section, the value will cascade from the closest ancestor.
@status
The modification status of the current element. Allowable values are: new, changed, deleted, unchanged, and -dita-use-conref-target.


Simpletable attribute group

The simpletable attribute group includes several attributes that are defined on the <simpletable> element and <simpletable> specializations. These attributes are not defined for the OASIS exchange table (<table>).

@keycol
Defines the column that contains headings for each row. No value indicates no key column. When present, the numerical value causes the specified column to be treated as a vertical header.
@relcolwidth
Specifies the width of each column in relationship to the width of the other columns. The value is a space separated list of relative column widths; each column width is specified as a positive integer or decimal number followed by an asterisk character.

For example, the value relcolwidth="1* 2* 3*" gives a total of 6 units across three columns. The relative widths are 1/6, 2/6, and 3/6 (16.7%, 33.3%, and 50%). Similarly, the value relcolwidth="90* 150*" causes relative widths of 90/240 and 150/240 (37.5% and 62.5%).

@refcols
The @refcols attribute is currently undefined, and is reserved for future use.


Specialization attributes group

These attributes are designed to be used by specializers, and are not intended for direct use by authors.

@specentry
The specialized entry attribute allows architects of specialized types to define a fixed or default header title for a specialized <stentry> element. Not intended for direct use by authors.
@spectitle
The specialized title attribute allows architects of specialized types to define a fixed or default title for a specialized element. Not intended for direct use by authors.


The @keyscope attribute

The @keyscope attribute consists of one or more space-separated key scope names. Map authors define the boundaries for key scopes by specifying the @keyscope attribute on <map> elements, <topicref> elements, or elements that are specializations of <map> or <topicref>. Such elements, their contents, and any locally-scoped content referenced from within the element, are considered to be part of the scope. Keys defined within a scope are only directly referenceable from within the same scope. They can be referenced from the parent scope using the scope's name, followed by a period, followed by the key name.

All key scopes are contiguous and non-intersecting. Within a root map, two distinct key scopes with the same name have no relationship with each other aside from that implied by their relative locations in the key scope hierarchy. They do not, for example, share key definitions. The only processing impact of a key scope's names is in defining the prefixes used when contributing qualified key names to the parent scope. For example, consider the following map segment:

<map>
  <topicgroup keyscope="xyz" id="scope1">
    <keydef keys="a" id="def1"/>
    <!-- other topic references -->
  </topicgroup>
  <topicgroup keyscope="xyz" id="scope2">
    <keydef keys="a" id="def2"/>
    <!-- other topic references -->
  </topicgroup>
  <!-- lots of other content -->
</map>

This map creates two distinct scopes that happen to use the same name (xyz). This results in the following:

  • Each <topicgroup> sets a scope of "xyz" and includes a key "a". From outside of those two scopes, references to keyref="xyz.a" (key "a" within the scope "xyz") will always resolve to the first instance of that value, which is in the first <topicgroup>.
  • Within the first <topicgroup>, content uses keyref="a" will resolve to the key in that branch (defined on the element with id="def1").
  • Within the second <topicgroup>, content uses keyref="a" will resolve to the key in that branch (defined on the element with id="def2").


The @format attribute

The @format attribute identifies the format of the resource that is referenced. If no value is specified, but the attribute is specified on an ancestor within a map or within the related-links section, the value will cascade from the closest ancestor.

The following values for @format have special processing implications:

dita
The destination uses DITA topic markup or markup specialized from a DITA topic. Unless otherwise specified, when @format is set to "dita", the value for the @type attribute will be treated as "topic".
ditamap
The linked-to resource is a DITA map. It represents the referenced hierarchy at the current point in the referencing map. References to other maps can occur at any point in a map, but because relationship tables are only valid as children of a map, referenced relationship tables are treated as children of the referencing map.
Note: If a <topicref> element that references a map contains child <topicref> elements, the processing behavior regarding the child <topicref> elements is undefined.
(no value)
The processing default is used. The processing default for the @format attribute is determined by inspecting the value of the @href attribute. If the @href attribute specifies a file extension, the processing default for the @format attribute is that extension, after conversion to lower-case and with no leading period. The only exception to this is if the extension is "xml", in which case the default format is "dita". If there is no extension, but the @href value is an absolute URI whose scheme is "http" or "https", then the processing default is "html". In all other cases where no extension is available, the processing default is "dita".

If the actual format of the referenced content differs from the effective value of the @format attribute, and a processor is capable of identifying such cases, it MAY recover gracefully and treat the content as its actual format, but SHOULD also issue a message.

For other formats, using the file extension without the "." character typically represents the format. For example, the following values are all possible values for @format:

html
The format of the linked-to resource is HTML or XHTML.
pdf
The format of the linked-to resource is PDF.
txt
The format of the linked-to resource is a text file.


The @href attribute

The @href attribute is used to reference another DITA topic or map, a specific element inside a DITA topic or map, an external Web page, or another non-DITA resource.

The value of a DITA @href attribute must be a valid URI reference [RFC 3986]. It is an error if the value is not a valid URI reference. An implementation MAY generate an error message; it MAY recover from this error condition by attempting to convert the value to a valid URI reference. Note that the path separator character in a URI is the forward slash (/); the backward slash character (\) is not permitted unescaped within URIs.

When an @href attribute references a DITA resource, an @href value that consists of a URI without a fragment identifier resolves to the document element in the referenced document. For the purposes of rendering, such as when a <topicref> reference to a DITA document is used to render the content as HTML, this means that all topics (and topic specializations) in the target document are included in the reference. For the purpose of linking, the reference resolves to the first (or only) topic (or topic specialization) in the document.

An @href value that consists of a URI with a fragment identifier must have a DITA local identifier as the portion after the hash. A DITA local identifier consists of topicID/elementID for a subelement of a topic, and of elementID for topics, maps, and subelements of a map. If the topic referenced by a DITA local identifier is for the same topic, then topicID can be replaced by a period; see Processing xrefs and conrefs within a conref for more information on how this syntax relates to conref resolution.

Note that certain characters - including but not limited to the hash sign ("#"), question mark ("?"), back slash ("\"), and space - are not permitted unescaped within URIs. Such characters must be percent-encoded. Also note that the ampersand ("&") and less than (<) characters are not permitted in XML attribute values; they must be represented by appropriate character or entity references. Some tools might perform this encoding automatically, while other tools might require that users either avoid the special characters or manually insert the encoding.

Example: Common syntax for the @href attribute

The following table includes some examples of common @href syntax. Note that these examples represent only a few common scenarios and are not all inclusive.

Target | Syntax
The first topic in a DITA document | href="file.dita"
A specific topic in a DITA document | href="file.dita#topicid"
A non-topic element inside a DITA topic | href="#topicid/elementid"
A non-topic element inside the same DITA topic as the reference | href="#./elementid"
An element in a DITA map | href="myMap.ditamap#map-branch"
An image | href="exampleImage.jpg"
An external resource | href="http://www.example.org"

where:

  • topicid is the value of the @id attribute on the DITA topic.
  • elementid is the value of the @id attribute on the (non-topic) DITA element.
  • map-branch is the value of the @id attribute on the DITA map element.


The @keyref attribute

The @keyref attribute provides an indirect, late-bound reference to topics, to collections of topics (ditabase), to maps, to referenceable portions of maps, to non-DITA documents, to external URIs, or to XML content contained within a key definition topic reference. When the DITA content is processed, the key references are resolved using key definitions from DITA maps.

For elements that only refer to topics or non-DITA resources, the value of the @keyref attribute is a key name. For elements that can refer to elements within maps or topics, the value of the @keyref attribute is a key name, a slash ("/"), and the ID of the target element, where the key name must be bound to either the map or topic that contains the target element.


The @keys attribute

A @keys attribute consists of one or more space-separated keys. Map authors define keys using a <topicref> or <topicref> specialization that contains the @keys attribute. Each key definition introduces an identifier for a resource referenced from a map. Keys resolve to the resources given as the @href value on the key definition <topicref> element, to content contained within the key definition <topicref> element, or both.

The @keys attribute uses the following syntax:
  • The value of the @keys attribute is one or more space-separated key names.
  • Key names consist of characters that are legal in a URI. The case of key names is significant.
  • The following characters are prohibited in key names: "{", "}", "[", "]", "/", "#", "?", and whitespace characters.

A key cannot resolve to sub-topic elements, although a @keyref attribute can do so by combining a key with a sub-topic element id.


The @scope attribute

The @scope attribute identifies the closeness of the relationship between the current document and the target resource.

  • Set @scope to "local" when the resource is part of the current set of content.
  • Set @scope to "peer" when the resource is part of the current set of content but might not accessible at build time, or for maps to be treated as root maps for the purpose of creating map-to-map key references (peer maps). An implementation might open such resources in the same browser window to distinguish them from those with @scope set to "external".
  • Set @scope to "external" when the resource is not part of the current information set and should open in a new browser window.
  • See Using the -dita-use-conref-target value for more information on -dita-use-conref-target.

If no value is specified, but the attribute is specified on an ancestor within a map or within the related-links section, the value will cascade from the closest ancestor. The processing default is determined by the value of the @href attribute. In most cases, the processing default is "local". However the processing default is "external" whenever the absolute URI in the @href attribute begins with one of the following schemes:

  • http
  • https
  • ftp
  • mailto

Processors can consider additional URI schemes as "external" by default. Processors MUST always consider relative URIs as "local" by default.


The @type attribute

The @type attribute is used on linking elements to describe the target of a cross-reference. It also is used on the <note> element to describe the note type, as well as on several other elements for varying purposes.

The descriptions for the @type attribute on linking elements and on <note> are included in this section; for other elements, such as <audience>, <copyright>, and <object>, the description can be found with the topic for the specific element.

Using @type on a linking element

The @type attribute describes the target of a cross-reference and might generate cross-reference text based on that description. Only the <xref> element can link to content below the topic level: other types of linking can target whole topics, but not parts of topics. Typically <xref> should also be limited to topic-level targets, unless the output is primarily print-oriented. Web-based referencing works best at the level of whole topics, rather than anchor locations within topics.

If not explicitly specified on an element, the @type attribute value cascades from the closest ancestor element. If there is no explicit value for the @type attribute on any ancestor, a default value of topic is used. During output processing for references to DITA topics (format="dita"), it is an error if the actual type of a DITA topic and the explicit, inherited, or default value for the @type attribute are not the same as or a specialization of the @type attribute value. In this case, an implementation MAY give an error message, and MAY recover from this error condition by using the @type attribute value. During output processing for references to non-DITA objects (that is, either scope is “external" or format is neither dita nor ditamap) or other cases where the type of the referenced item cannot be determined from the item itself, the explicit, inherited, or default value for the @type attribute is used without any validation. When a referencing element is first added to or updated in a document, DITA aware editors MAY set the @type attribute value based on the actual type of a referenced DITA topic.

If the @type attribute is specified when referencing DITA content, it should match one of the values in the referenced element's @class attribute. The @type value can be an unqualified local name (for example, "fig") or a qualified name exactly as specified in the @class attribute (for example, "mymodule/mytype"). Processors might ignore qualified names or consider only the local name.

For example, if the value is set to type="topic", the link could be to a generic topic, or any specialization of topic, including concept, task, and reference. Applications MAY issue a warning when the specified or inherited @type attribute value does not match the target (or a specialization ancestor of the target).

Some possible values for use on the <xref> element and its specializations include:

fig
Indicates a link to a figure.
table
Indicates a link to a table.
li
Indicates a link to an ordered list item.
fn
Indicates a link to a footnote.
section
Indicates a link to a section.

Other values thatcan be used on any linking element include:

concept, task, reference, topic
Cross-reference to a topic type.
(no value)
The processor should retrieve the actual type from the target if available. If the type cannot be determined, the default should be treated as "topic".
-dita-use-conref-target
See Using the -dita-use-conref-target value for more information.

Other values can be used to indicate other types of topics or elements as targets. Processing is only required to support the above list or specializations of types in that list. Supporting additional types as targets might require the creation of processing overrides.

Using @type in a <note> element

In a <note> element, this defines the type of note. For example, if the note is a tip, the word Tip might be used to draw the reader's attention to it. The values danger, warning, and notice have meanings that are based on ANSI Z535 and ISO 3864 regulations.

If @type is set to "other", the value of the @othertype attribute can be used. If you use @othertype, many processors will require additional information on how to process the value. Allowable values for the @type attribute are:

note
This is just a note.
attention
Please pay extra attention to this note.
caution
Care is required when proceeding.
danger
Important! Be aware of this before doing anything else. When used with the <hazardstatement> element, this indicates an imminently hazardous situation which, if not avoided, will result in death or serious injury.
fastpath
This note will speed you on your way.
important
This note is important.
notice
Indicates a potential situation which, if not avoided, might result in an undesirable result or state.
remember
Don't forget to do what this note says.
restriction
You can't do what this note says.
tip
This is a fine little tip.
warning
Indicates a potentially hazardous situation. When used with the <hazardstatement> element, this indicates a situation which, if not avoided, could result in death or serious injury.
trouble
Provides information about how to remedy a trouble situation.
other
This is something other than a normal note.
-dita-use-conref-target
See Using the -dita-use-conref-target value for more information.


Topicref element attributes group

The topicref element attributes group includes attributes that are defined for the <topicref> element, and are reused on most or all specializations of the <topicref> element.

@copy-to
Use the @copy-to attribute on the <topicref> element to provide a different resource name for a particular instance of a resource referenced by the <topicref> (for example, to separate out the different versions of the topic, rather than combining them on output). If applicable, the @copy-to value can include path information. The links and navigation associated with that instance will point to a copy of the topic with the file name you specified. Applications MAY support @copy-to for references to local non-DITA resources. The @copy-to attribute is not supported for references to resources where the effective value for @scope is "peer" or "external".

Use the <linktext> and <shortdesc> in the <topicref>'s <topicmeta> to provide a unique name and short description for the new copy.

@navtitle
Specifies the title of the topic as it will appear in the navigation or tables of contents that are generated from the map. Beginning with DITA 1.2, the preferred way to specify the navigation title in a map is with the <navtitle> element, available inside the <topicmeta> element.
@query (DEPRECATED)
This attribute is deprecated. It might be removed in the future.


Universal attribute group

The universal attribute group defines a set of common attributes available on most DITA elements. The universal attribute group includes all attributes from the metadata, ID, localization, and debug attribute groups, plus the @class attribute.

Note: Earlier versions of the DITA specification grouped some attributes under names taken directly from parameter entities in the standard DTD implementation of DITA. These groups used names such as "univ-atts", which had no meaning outside the context of a DTD module. In DITA 1.3, these groups are restructured and renamed in the specification document for greater clarity, and no longer have a connection to the DTD. For example, this grouping of "Universal attributes" was previously referred to as "univ-atts"; the updated group includes several universal attributes that are not part of the univ-atts group in the DTD.
@class (Not for use by authors)
This attribute is not for use by authors. If an editor displays @class attribute values, do not edit them. The @class attribute supports specialization. Its predefined values allow DITA tools to work correctly with ranges of related content. In a generalized DITA document the @class attribute value in the generalized instance might differ from the default value for the @class attribute for the element as given in the DTD or schema. See class attribute rules and syntax for more information. This attribute is specified on every element except for the <dita> container element. It is always specified with a default value, which varies for each element.


<longdescref>

The <longdescref> element supports a reference to a text description of the graphic or object. This element replaces the deprecated @longdescref attribute on <image> and <object> elements.

Content models

See appendix for information about this element in OASIS document type shells.

Inheritance

- topic/longdescref

Example

Figure 1. <longdescref> which references a local DITA description
<image href="llama.jpg">
  <alt>Llama picture</alt>
  <longdescref href="my-pet-llama.dita"/>
</image>
Figure 2. <longdescref> which references an external description
<image href="puffin.jpg">
  <alt>Puffin pigure</alt>
  <longdescref href="http://www.example.org/birds/puffin.html"
               scope="external"
               format="html"/>
</image>

Attributes

The following attributes are available on this element: Universal attribute group, Link relationship attribute group, outputclass, and @keyref.


<appendices>

The <appendices> element is an optional wrapper for <appendix> elements within a bookmap.

Content models

See appendix for information about this element in OASIS document type shells.

Inheritance

- map/topicref bookmap/appendices

Example

<appendices toc="yes" print="no">
  <topicmeta>
    <navtitle>Appendices</navtitle>
  </topicmeta>
  <appendix href="return-codes.dita"/>
  <appendix href="messages.dita"/>
  <appendix href="extra-info.dita"/>
</appendices>

Attributes

The following attributes are available on this element: Universal attribute group, Link relationship attribute group (with a narrowed definition of @href, given below), Attributes common to many map elements, @navtitle and @copy-to from Topicref element attributes group, outputclass, and @keyref.

@href
A pointer to the resource represented by the <topicref>. See The href attribute for detailed information on supported values and processing implications. References to DITA content cannot be below the topic level: that is, you cannot reference individual elements inside a topic. References to content other than DITA topics should use the @format attribute to identify the kind of resource being referenced.


<appendix>

The <appendix> element references a topic as a appendix within a book.

Content models

See appendix for information about this element in OASIS document type shells.

Inheritance

- map/topicref bookmap/appendix

Example

Appendix topics that include subtopics:
<appendix href="intro.dita">
 <topicref href="caring.dita"/>
 <topicref href="feeding.dita"/>
</appendix>
<appendix href="setup.dita">
 <topicref href="prereq.dita"/>
 <topicref href="download.dita"/>
</appendix>
Appendix that references a ditamap of content:
<appendix href="intro.ditamap" format="ditamap"/>

Attributes

The following attributes are available on this element: Universal attribute group, Link relationship attribute group (with a narrowed definition of @href, given below), Attributes common to many map elements, @navtitle and @copy-to from Topicref element attributes group, outputclass, and @keyref.

@href
A pointer to the resource represented by the <topicref>. See The href attribute for detailed information on supported values and processing implications. References to DITA content cannot be below the topic level: that is, you cannot reference individual elements inside a topic. References to content other than DITA topics should use the @format attribute to identify the kind of resource being referenced.


<backmatter>

The <backmatter> element contains the material that follows the main body of a document and any appendices. It might include items such as a colophon, legal notices, and various types of book lists such as a glossary or an index.

Content models

See appendix for information about this element in OASIS document type shells.

Inheritance

- map/topicref bookmap/backmatter

Example

See the example in bookmap.

Attributes

The following attributes are available on this element: Universal attribute group, Attributes common to many map elements, outputclass, @keyref, and @query from Topicref element attributes group. This element also uses @scope, @format, and @type from Link relationship attribute group.


<bookmap>

The <bookmap> element is a map specialization used to describe the relationships among a set of DITA topics intended to be configured as a traditional book. Bookmaps consist of references to topics organized as book content. The topic references therefore are labeled according to the book components they point to, such as book title, front matter, chapter, and appendix.

Content models

See appendix for information about this element in OASIS document type shells.

Inheritance

- map/map bookmap/bookmap

Example

<bookmap xml:lang="en-us">
  <booktitle>
    <booklibrary>Books about stuff</booklibrary>
    <mainbooktitle>A book about one thing</mainbooktitle>
  </booktitle>
  <bookmeta>
    <bookrights>
      <copyrfirst><year>1994</year></copyrfirst>
      <copyrlast><year>2006</year></copyrlast>
      <bookowner>OASIS</bookowner>
    </bookrights>
  </bookmeta>
  <frontmatter>
    <booklists>
      <toc/>
      <figurelist/>
      <tablelist/>
    </booklists>
    <bookabstract href="MyBookAbstract.dita"/>
    <preface href="preface.dita"></preface>
  </frontmatter>
  <chapter href="chapter1.dita">
    <topicref href="subchap1.dita"></topicref>
  </chapter>
  <chapter href="chapter2.dita">
    <topicref href="subchap2.dita"></topicref>
  </chapter>
  <appendix href="app1.dita">
    <topicref href="insideApp1.dita"></topicref>
  </appendix>
  <appendix href="app2.dita">
    <topicref href="insideApp2.dita"></topicref>
  </appendix>
  <backmatter>
    <amendments href="updatesToTheBook.dita"/>
    <booklists>
      <trademarklist href="listoftrademarks.dita"/>
      <indexlist/>
    </booklists>
  </backmatter>
</bookmap>

Attributes

The following attributes are available on this element: Universal attribute group (with a narrowed definition of @id, given below), Attributes common to many map elements, Architectural attribute group, outputclass, and the attributes defined below. This element also uses @type, @scope, and @format from Link relationship attribute group.

@id
Allows an ID to be specified for the map. Note that maps do not require IDs (unlike topics), and the map ID is not included in references to elements within a map. This attribute is defined with the XML Data Type ID.
@anchorref
Identifies a location within another map document where this map will be anchored. Resolution of the map is deferred until the final step in the delivery of any rendered content. For example, anchorref="map1.ditamap#a1" allows the map with @anchorref to be pulled into the location of the anchor point "a1" inside map1.ditamap when map1.ditamap is rendered for delivery.


<frontmatter>

The <frontmatter> element contains the material that precedes the main body of a document. It might include items such as an abstract, a preface, and various types of book lists such as a <toc>, <tablelist>, or <figurelist>.

Content models

See appendix for information about this element in OASIS document type shells.

Inheritance

- map/topicref bookmap/frontmatter

Example

See the example in bookmap.

Attributes

The following attributes are available on this element: Universal attribute group, Attributes common to many map elements, outputclass, @keyref, and @query from Topicref element attributes group. This element also uses @scope, @format, and @type from Link relationship attribute group.


File naming conventions

The DITA OASIS Technical Committee uses certain conventions for the names of XML grammar files. We suggest using these conventions as a best practice to facilitate interchange of grammar files.

Globally unique identifiers

Vocabulary modules that are intended for use outside of a narrowly-restricted context should have one or more associated, globally-unique names by which the modules can be referenced without regard to their local storage location. The globally-unique names can be public identifiers, URNs, or absolute URLs.

Document type shells

Document type shells should be given a name that distinguishes their name, owner, or purpose; for example, acme-concept.dtd. The document type shells that are provided by the DITA Technical Committee use the root element of the primary specialization as the basis for the file name.

Module names

Each vocabulary module has a short name that is used to construct entity names and other names that are used in associated declarations. Modules also can have abbreviated names that further shorten the short name, for example "sw-d" for the "software" domain, where "software" is the short name and "sw-d" is the abbreviated name.

For structural modules, the module name should be the element type name of the top-level topic or map type defined by the module, such as "concept" or "bookmap".

For element domain modules, the module name should be a name that reflects the subject domain to which the domain applies, such as "highlight" or "software". Domain module names should be sufficiently unique that they are unlikely to conflict with any other domains.

DTD-based specialization modules

Use the following file-naming conventions for DTD-based specialization modules.

Module type | File name (entities) | File name (elements) | Example
Structural | ModuleName.ent | ModuleName.mod | concept.ent or concept.mod
Element domain | DomainNameDomain.ent | DomainNameDomain.mod | highlightDomain.ent or highlightDomain.mod
Attribute domain | AttributeNameAttDomain.ent | Not applicable | deliveryTargetAttDomain.ent

where:

  • ModuleName is the name of the element type, such as "concept" or "glossentry".
  • DomainName is the name of the domain, for example, "highlight" or "utilities".
  • AttributeName is the name of the specialized attribute, for example, "deliveryTarget".

RELAX NG-based specialization modules

Use the following file-naming conventions for RELAX NG-based specialization modules.

Module type | File name | Example
Structural | ModuleNameMod.rng | conceptMod.rng
Element domain | DomainNameDomainMod.rng | highlightDomainMod.rng
Attribute domain | AttributeNameAttDomain.rng | deliveryTargetAttDomainMod.rng

where:

  • ModuleName is the name of the element type, such as "concept" or "glossentry".
  • DomainName is the name of the domain, for example, "highlight" or "utilities".
  • AttributeName is the name of the specialized attribute, for example, "deliveryTarget".

XSD-based specialization modules

Use the following file-naming conventions for XSD-based specialization modules.

Module | File name | Example
Structural modules: Element groups | ModuleNameGrp.xsd | conceptGrp.xsd
Structural modules: All other declarations | ModuleNameMod.xsd | conceptMod.xsd
Domain modules | DomainName.xsd | highlightDomain.xsd
Attribute domain | AttributeNameAttDomain.xsd | deliveryTargetAttDomain.xsd

where:

  • ModuleName is the name of the element type, such as "concept" or "glossentry".
  • DomainName is the name of the domain, for example, "highlight" or "utilities".
  • AttributeName is the name of the specialized attribute, for example, "deliveryTarget".

Constraint modules

Use the following file-naming conventions for constraint modules.

Structural modules

Structural constraint modules should be named using the following format:

DTD | qualifierTagnameConstraint.mod
RELAX NG | qualifierTagnameConstraintMod.rng
XSD | qualifierTagnameConstraintMod.xsd

where:

  • qualifier is a string that is specific to the constraints module and characterizes it, for example, "strict" or "requiredTitle" or "myCompany-".
  • Tagname is the element type name with an initial capital, for example, "Taskbody" or "Topic".

For example, the file names for the constraint that is applied to the general task to create the strict task are strictTaskbodyConstraint.mod, strictTaskbodyConstraintMod.rng, or strictTaskbodyConstraintMod.xsd.

Domain modules

Domain constraint modules should be named using the following format:

DTD | qualifierdomainDomainConstraint.ent
RELAX NG | qualifierdomainDomainConstraintMod.rng
XSD | qualifierdomainDomainConstraintMod.xsd

where:

  • qualifier is a string that is specific to the constraints module and characterizes it, for example, "noSyntaxDiagram" or "myCompany-".
  • domain is the name of the domain to which the constraints apply, for example, "Highlighting" or "Programming".

For example, the file name for a constraint module that removes the syntax diagram from the programming domain might be noSyntaxDiagramProgrammingDomainConstraint.ent.

Because of restrictions on the redefine feature of XML Schema, it is sometimes necessary to use an intermediate level of redefinition, which requires a separate XSD document. In that case, the intermediate XSD document should be named qualifierdomainDomainConstraintsInt.xsd.


Cross-references

See what are cross-references and learn to use cross-reference panel in FrameMaker.

You can provide your readers with links from one document to another or from within one part of a document to another. In FrameMaker, you can create links using cross-references. Since cross-references in FrameMaker are based on markers, if the position of a cross-reference in the document changes, the link remains intact as long as the marker remains intact. For example, say you create a cross-reference to a heading in a document and then include or remove content before the heading. The cross-reference remains intact, even though the location of the destination header has changed.

To open the Cross-References panel:

  • From the View menu, choose Panels > Cross-References.

Cross-References panel
Cross-References panel in FrameMaker

The Cross-References panel displays the list of cross-references in the current document.

To sort the list, click a column header in the list. The list is sorted by the header that you click.

To resize a column:

  1. Hover the mouse between two columns until the cursor is a bi-directional arrow.

  2. Hold down the left mouse button, drag, and release the mouse button when the column is sized as required.

Use the Cross-References panel to:

A (Search text):

Search for cross-references in the list. The SAYT (search as you type) functionality works on all the columns in the list.

B (Insert):

Insert a cross-reference in the document. See Insert cross-references.

C (Edit):

Open the Cross-Reference dialog to edit a cross-reference. See Editing cross-references in a document.

D (Delete):

Delete a selected cross-reference. See Deleting cross-references in a document.

E (Go to Location):

Go to the selected cross-reference in the current document.

F (Convert To Text):

Convert the selected cross-reference to editable text.

Note: The visible text of the cross-reference is converted to editable text. For example, if you choose to include the page number in the cross reference text, this will be retained as editable text. For details on cross-reference formats, see Managing cross-reference formats.
G (Filter):

Filter the cross-references on the basis of document or type of references. From the Document list, select from the following options:

  • Current

  • All Open Docs

  • Choose a document from the list

For the type of References, select from the following options:

  • All Cross-References

  • External Cross-References. See Deleting cross-references in a document.

  • Unresolved Cross-References. See Managing unresolved cross-references

H (Refresh):

Refresh the list of available cross-references.

Insert cross-references

Understand how to insert cross-reference in FrameMaker documents.

You can insert cross-reference in a document to point to another section of the current document or you can point to a section in another document. You can Insert cross-references in documents or Insert a cross-reference to an element in structured documents.

Cross-Reference dialog

You use the Cross-Reference dialog to insert a cross-reference in a document.

Cross-reference dialog
Inserting cross-referenceusingtheCross-References dialog

In the Cross-Reference dialog:

Document

Select the document containing the destination location for the cross-reference.

Note: If the cross-reference is pointing to location in another document, you need to open the document.
Go to Source

Navigate to the location of the cross-reference. If the cross-reference is located in another document, open the document and navigate to the selected paragraph tag.

Source Type

Choose the type of content of the destination location:

Paragraph

To Insert a cross-reference to a paragraph in a document

Cross-Reference Markers

To Insert a cross-reference to a Cross-Ref marker in a document

Elements Listed in Order / Elements Sorted by ID

To Insert a cross-reference to an element in structured documents.

You can choose to list the elements in the document by the order in which the elements appear in the document. Alternatively, you can list the elements by the unique ID applied to each element.

Source Type lists

Depending on the source type selected above, the list on the left below display the paragraph tags, cross-references, or element types in the selected document.

The list box on the right displays the specific paragraphs, cross-references, or elements.

Element Tag

Choose the element tag (for example XRef) to use for the cross-reference. For details, see Insert a cross-reference to an element in structured documents.

Format

Choose a format to display the cross-reference in the current document. For details, see Managing cross-reference formats.

Edit Format

By default, FrameMaker provides a list of cross-reference formats. Choose this option to add, edit, or delete from this list. For details, see Managing cross-reference formats.

Convert to Text

Displays the Convert Cross-Reference to Text dialog.

In this dialog, you can convert to editable text:

  • selected cross-references

  • cross-references with a specific Format

  • cross-references with a specific Element tag

  • all cross-references in the current document

Insert / Replace

Insert a cross-reference at the specific location. See Insert cross-references in documents. If you select an existing cross-reference, the Replace option is available to update the cross-reference. See Updating cross-references in a document.

Insert cross-references in documents

In documents, you can insert a cross-reference to a paragraph (for example, headings) in a document or a text inset within the document.

You can also insert a cross-reference to a word or phrase in a document. In structured document, you can also insert cross-references to elements in the structured hierarchy.

Insert a cross-reference to a paragraph in a document

  1. Place the insertion point at the location in the current document where you want to insert the cross-reference.

  2. Click Insert on the Cross-References panel.

    Alternatively, you can choose Cross-Reference from the Insert menu.

    The Cross-Reference dialog is displayed.

  3. In the Document drop-down list, select the document containing the destination paragraph.

    Important: To insert a cross-reference to another document, you need to open the destination document in FrameMaker.

  4. Select the paragraph type and the specific paragraph.

  5. From the Format list, choose the format to display the cross-reference.

    For example, the See Heading & Page format displays as:

    See “Creating cross-references” on page 1

  6. Click Insert.

If you move the paragraph from one document to another, FrameMaker uses the marker Resolve unresolved cross-references in a document.

Tip: To maintain cross-references that you move across document, you need to also move the Cross-Ref markers.
Important: If the destination paragraph exists in a separate document, you need to ensure that you have write-permissions on that document. For example, if you are using a content management system, you might be required to check-out both the source and destination documents.

Insert cross-reference to a paragraph in a text inset

If you have a document that includes a text inset reference to another document, you can insert a cross-reference to paragraphs that are contained in the text inset. If a user follows the cross-reference link in the main document, the user is directed to the text inset within the document itself.

  1. Place the insertion point at the location in the current document where you want to insert the cross-reference.

  2. Click Insert on the Cross-References panel.

    Alternatively, you can choose Cross-Reference from the Insert menu.

    The Cross-Reference dialog is displayed.

  3. In the Document drop-down list, select the document that is referenced in the text inset that contains the destination paragraph.

    Important: To insert a cross-reference to another document, you need to open the destination document in FrameMaker.

  4. Select the paragraph type and the specific paragraph.

  5. From the Format list, choose the format to display the cross-reference.

    For example, the See Heading & Page format displays:

    See “Creating cross-references” on page 1

  6. Click Insert.

If you insert a paragraph cross-reference to a text inset, the cross-reference marker is sometimes lost when the text inset is updated. To prevent the marker from being lost, first insert a cross-reference to the paragraph in the text inset’s source document.

  1. Open the source of the inset by double-clicking the inset and then clicking Open Source from the Text Inset Properties panel.

  2. Insert a cross-reference to the paragraph anywhere in the source document.

  3. Delete the cross-reference text. The marker remains.

  4. Save the source document, and then in the document that contains the text inset, update the text inset by choosing Edit > Update References.

  5. Insert a spot cross-reference, this time in the document that contains the inset. The cross-reference uses the marker in the updated inset.

Insert a cross-reference to a Cross-Ref marker in a document

You can insert a cross-reference to any location in a document by using the Cross-Ref type marker. Using the Cross-Ref marker, you can link to a word or phrase in a paragraph or to an anchored frame. You even can link to the text in a cell in a table. You can link to any location in a document where you can insert a Cross-Ref marker.

  1. Place the insertion point at the destination location and open the Marker dialog (Insert > Marker).

  2. In the Marker dialog, choose the Cross-Ref marker type.

  3. Specify a marker text and click New Marker.

    The marker text can be any name that you specify for the name. You will select this in the Cross-Reference dialog when you insert the cross-reference.

    A new marker is inserted at the destination location.

  4. Place the insertion point at the location to create the cross-reference.

    Note: The cross-reference and the marker locations can be in the same or separate documents.

  5. Open the Cross-Reference dialog.

  6. In the Source Type drop-down list, choose Cross-Reference Markers.

  7. In the Maker Type list, choose Cross-Ref.

  8. In the Cross-References Markers list, choose the marker (by name) that you created in Steps 1 through 3.

To insert the cross-reference perform the remainder of the steps as per the procedure in Insert a cross-reference to a paragraph in a document.

Important: If the destination cross-reference exists in a separate document, you need to ensure that you have write-permissions on that document. For example, if you are using a content management system, you might be required to check-out both the source and destination documents.

Insert a cross-reference to an element in structured documents

In structured document, besides cross-references to paragraphs and Cross-ref markers, you can also insert cross-references to elements in the current or other structured documents.

  1. Place the insertion point at the location in the current document where you want to insert the cross-references.

  2. Click Insert on the Cross-References panel.

    Alternatively, you can choose Cross-Reference from the Insert menu.

    The Insert Cross Reference dialog is displayed.

    InsertCrossReferencedialog in FrameMaker

  3. Select the DITA Element to use for inserting the cross-reference.

    Note: The items in this list depend on the cross-reference elements that are defined in the structured app.

  4. In the Target area, choose whether the File, Key space, or Both contains the destination element.

    Note: If you choose File, then select the file that contains the target destination. If you choose Key, then select the target Key. If you choose Both, then you need to select the source for your cross-reference in the Setting For drop-down list. You can also search for the required element by typing in the Filter Text box.

  5. Choose the target element from the list.

    The list provides information about the element type, ID, and content where the element is used.

  6. In the Display area, either provide the text for the cross-reference or choose the format from the drop-down list.

    For example, the See_Title_and_Page format displays:

    See “Creating cross-references” on page 1

  7. Click Insert.

When you insert a cross-reference to an element in a structured document, FrameMaker user the ID and IDRef attributes of the destination and source elements, respectively.

If you insert a cross-reference to an element whose ID attribute is not currently assigned a value, FrameMaker assigns a unique value to the attribute. However, if the ID attribute is not read-only, you can manually set the attribute value.

You need to ensure that the destination element has the ID attribute defined. Else, you need to use another element or the structured app definition will need to be changed.

Important: If the destination element exists in a separate document, you need to ensure that you have write-permissions on that document. For example, if you are using a content management system, you might be required to check-out both the source and destination documents.

Manage cross-references

Learn how to manage, edit, delete and update cross-references in FrameMaker, work with cross-reference formats and identify and manage unresolved cross-references.

You can edit (see Editing cross-references in a document) or delete (see Deleting cross-references in a document existing cross-references in a document. You can also, edit the cross-reference formats to change the way the cross-reference displays in the document output. For example, you can choose to only display the heading text, and not include the page number in the cross-reference. For details, see Managing cross-reference formats. You can update the cross-references in a document. For example, if the destination content is changed. See Updating cross-references in a document. Also, changes in the destination content can cause the cross-references in the current document to be broken. To identify and handle unresolved cross-references, see Managing unresolved cross-references.

Editing cross-references in a document

You can change any of the properties associated with an existing cross-reference, including the destination of the cross-reference, using the Cross-Reference dialog.

Edit the cross-reference in a document

  1. For an existing cross-reference, double-click the cross-reference in the document.

    Alternatively, open the Cross-References panel (View > Panels > Cross-References), select the cross-reference in the panel and click Edit.

    The Cross-Reference dialog is displayed.

  2. In the Cross-Reference dialog, you can update:

    • The destination document and paragraph, cross-reference, or element

    • Element Tag - If the cross-reference is an element in a structured document

    • The format of the cross-reference

      Click Edit Format to open the Edit Cross-Reference Format dialog. Use this dialog to add, edit, or delete cross-reference formats. For details, see Managing cross-reference formats.

    • Convert the cross-references in the document to text.

  3. To update the cross-reference, click Replace.

Deleting cross-references in a document

If you delete a cross-reference in a document, the cross-reference as well as the associated text is deleted. For example, if the following cross-reference is inserted in a document:

See “Creating cross-references” on page 1

If you delete the cross-reference, the cross-reference is removed from the document catalog and the text “See “Creating cross-references” on page 1” is deleted from the document.

Delete a cross-reference in a document

  1. Open the Cross-References panel (View > Panels > Cross-References).

  2. Select the cross-reference in the panel and click Delete.

You can also, select the cross-reference in the document and press the Delete key on the keyboard. However, in this case, you might inadvertently also delete any adjoining text.

Managing cross-reference formats

When you insert a cross-reference in a document, you need to select a format to associated with the document.

For example, the See Heading & Page format displays:

See “Creating cross-references” on page 1

The Format drop-down list display the available formats. You can choose any of the formats when you insert a cross-reference in a document. Alternatively, you can edit these formats or create new formats. Cross-reference formats are specific to a FrameMaker document. However, you can use the updated formats in another document, by, Importing cross-reference formats.

Edit Cross-Reference Format dialog

Use the Edit Cross-Reference Format dialog to create, edit, or delete cross-reference formats in the current document.

Edit Cross-Reference Format dialog
Edit Cross-Reference Format dialog in FrameMaker

Use the Edit Cross-Reference dialog to:

Name:

Update the name of an existing format or specify a name for a new format.

Definition:

Define the cross-reference format.

To define a format, you can enter any fixed text - for example, Figure that will display as you specify the text in the definition. You can also use the definitions Building Blocks list to display contextual information.

For example, the default Heading & Page format is defined as:

“<$paratext>” on page\ <$pagenum>

The building block parts of the definition are included in angle brackets (<>) and preceded by a dollar ($) sign. When FrameMaker encounters this nomenclature in a cross-reference format, it interprets this according to the building block definitions. In the above example, FrameMaker interprets:

<$paratext>

Paragraph text of the cross-referenced paragraph

<$pagenum>

Page number of the cross-referenced paragraph

The resulting cross-reference is displayed as:

“Inserting cross-references” on page 25

For details, see Cross-reference format building blocks.

If the definition contains characters that are not as per the building block nomenclature, these characters are displayed as they are written in the definition. Say in the above example, you defined the Heading and Page format as:

“<$paratext>” on page\ <$PageNum>

The resulting cross-reference is displayed as:

“Inserting cross-references” on page <$PageNum>
Add

Create a format. See Creating cross-reference formats.

Change

Edit an existing format. See Editing cross-reference formats.

Delete

Delete an existing format. See Deleting cross-reference formats.

Creating cross-reference formats

You can create cross-reference formats and then use these in the current document. To use the new formats in another document, see Importing cross-reference formats.

  1. In the Edit Cross-Reference Format dialog, enter a name the cross-reference in the Name field.

  2. In the Definition field, define the cross-reference format.

    To define the format, you can enter any text (letters, characters, or numbers) that display as they are in the cross-reference.

    Use the building blocks to display contextual information in the cross-reference.

    To add a building block to the definition, place the insertion point at the appropriate location and click the definition in the Building Blocks list.

    You can also, type the building block definition by including the definition in angle brackets (<>) and preceding the definition by a dollar ($) sign.

    For details, see Cross-reference format building blocks.

  3. To create a cross-reference format, click Add.

Editing cross-reference formats

You can change existing cross-reference formats and then use these in the current document. To use the updated formats in another document, see Importing cross-reference formats.

  1. In the Edit Cross-Reference Format dialog, select an existing format from the Formats list.

    Note: You can edit the name of the format in the name field.

  2. In the Definition field, edit the cross-reference format definition.

    You can enter any text (letters, characters, or numbers) that display as they are in the cross-reference.

    Use the building blocks to display contextual information in the cross-reference.

    To add a building block to the definition, place the insertion point at the appropriate location and click the definition in the Building Blocks list.

    You can also, type the building block definition by including the definition in angle brackets (<>) and preceding the definition by a dollar ($) sign.

    For details, see Cross-reference format building blocks.

  3. Click Change and to update the selected cross-reference format, click Done.

    The Update Cross-References dialog is displayed.

  4. If you update the format definition, you need to choose to update the references:

    • In the current document

    • In all open documents that are referenced by the cross-references in the current document

    • In all documents that are referenced by the cross-references in the current document

    Or click Cancel to not reflect the format changes in any cross-references.

Deleting cross-reference formats

You can choose to delete cross-reference formats that are not used in the document. You can also choose to delete cross-reference formats that are currently used. If you delete a cross-reference format that is used in the current document, you are prompted that all cross-references that use the format will be converted to editable text.

  1. In the Edit Cross-Reference Format dialog, select an existing format from the Formats list.

  2. Click Delete and to remove the selected cross-reference format from the document catalog, click Done.

    You are prompted to change all cross-references that use the deleted format to editable text.

Importing cross-reference formats

The cross-reference formats that you add or edit are available for use in the current document. To make these formats available in other documents you need to import the formats.

  1. Open the document containing the cross-reference format to be imported into other documents.

  2. Open the document into which you need to import the formats.

    Ensure that the document into which you need to import the formats is currently selected.

  3. Open Import Formats dialog (File > Import > Formats).

  4. In the Import from Document drop-down list, choose the source document and ensure that only the Cross-Reference Formats check box is checked.

    You can use the Deselect All button to first uncheck all the boxes and then check Cross-Reference Formats check box.

  5. To import the cross-reference formats, click Import.

Cross-reference format building blocks

When you add or edit cross-reference format, you can choose to use building blocks to display contextual information in the cross-reference. The following sections describe the building blocks that you can use to create cross-reference formats.

Source file information building blocks

The following building blocks provide information about the source file of the document containing the cross-reference:

Building block | Description
<$filename> | The name of the source document
<$fullfilename> | The full path of the source document
<$volnum> | The volume number of the document that includes the source paragraph
<$chapnum> | The chapter number of the document that includes the source paragraph
Source paragraph

The following building blocks provide information about the source paragraph referenced by the cross-reference:

Building block | Description
<$pagenum> | The page number of the source paragraph
<$paratext> | The text of the source paragraph, excluding its autonumber (If the character format of text in the source paragraph was changed by applying a Character Catalog format, the font family, superscript, and subscript properties are preserved in the text of the cross-reference.)
<$paratag> | The tag of the source paragraph
<$paranum> | The source paragraph’s entire autonumber, including any text in the autonumber format
<$paranumonly> | The source paragraph’s autonumber counters, including any characters between them
Paragraph preceding the source paragraph

A cross-reference to a subsection often identifies the section that contains it. For example, this cross-reference to a subheading identifies the main heading under which it is found: See “Types of Plate Boundaries” in “Plate Tectonics.” In the example, Types of Plate Boundaries is the source paragraph, and Plate Tectonics is the main heading under which the source paragraph appears.

In each of the building blocks, replace tag (in brackets) with the tag of the paragraph to which you want to refer, but don’t delete the brackets. For example, if you want to refer to the text of the preceding paragraph tagged Head1, use <$paratext[Head1]>.

Building block | Description
<$pagenum[tag]> | The page number of the preceding paragraph with the specified tag
<$paratext[tag]> | The text of the preceding paragraph with the specified tag, excluding its autonumber (If the character format of text in the source paragraph was changed by applying a Character Catalog format, the font family, superscript, and subscript properties are preserved in the text of the cross-reference.)
<$paratag[tag]> | The tag of the preceding paragraph with the specified tag
<$paranum[tag]> | The entire autonumber of the preceding paragraph with the specified tag, including any text in the autonumber format
<$paranumonly[tag]> | The autonumber counters of the preceding paragraph with the specified tag, including any characters between them
Important: Don’t use a paragraph tag that includes brackets ([ ]).
Structured document elements

Use the following building blocks to create cross-reference formats that refer to structured document elements

Building block | Description
<$elempagenum> | The page number of the source element
<$elemtext> | The text of the source element (up to the first paragraph break), excluding its autonumber, but including any prefix and suffix specified in the element definition
<$elemtextonly> | The text of the source element (up to the first paragraph break), excluding its autonumber and any prefix and suffix specified in the element definition
<$elemtag> | The tag of the source element
<$elemparanum> | The entire autonumber of the source element’s first paragraph (or of the paragraph containing the source element), including any text in the autonumber format
<$elemparanumonly> | The autonumber counters of the source element’s first paragraph (or of the paragraph containing the source element), including any characters between the counters
<$attribute[name]> | The value of the attribute with the specified name (or, if no value is specified, the default value)

Updating cross-references in a document

If the source content of cross-references is updated, you need to update the cross-references in the current document. For example, if you create a paragraph cross-reference to a heading and then change the heading text, you will need to update the cross-reference in the document containing the cross-reference.

The cross-references in the document are updated every time the document is opened. Alternatively, you can manually update the references in an already opened document. Also, you can prevent FrameMaker from updating the cross-references in a document every time it is opened.

Update the cross-references in a document

  1. From the Edit menu, choose Update References.

  2. In the Update References dialog, check All Cross-References and click Update.

If FrameMaker cannot resolve the cross-references, the Update Unresolved cross-references dialog box appears. For details on unresolved cross-references, see Managing unresolved cross-references.

Suppress automatic cross-reference updating

By default, FrameMaker updates the cross-references in a document every time the document is opened. However, if a document contains a large number of cross-references, the validation for the cross-references in the document can cause a sufficient delay in the document load time.

To stop FrameMaker from updating cross-references when a document is opened:

  1. Choose Edit > Update References.

  2. In the Update References dialog, open the Commands drop-down in the upper right corner and select Suppress Automatic Updating.

  3. In the Suppress Automatic Reference Updating dialog, check Suppress Automatic Updating of All Cross-References and click Set.

Managing unresolved cross-references

If the source of a cross-reference is changed and FrameMaker is unable to update the reference in the destination, FrameMaker reports the cross-reference as unresolved. This can happen, for example, if the source document or content is deleted.

FrameMaker reports a cross-reference as unresolved if:

  • The marker or source of the cross-reference has been moved to a different file, or the file itself has been moved or renamed.

  • The source has been deleted, or if the source is a paragraph or Cross-Ref marker, the marker indicating the source has been deleted.

  • The file containing the marker is currently open by another user.

  • The value for the source element ID attribute or the cross-reference ID Reference attribute (@IDRef) has been changed or deleted.

Identify unresolved cross-references in a document

You can view the list of unresolved cross-references in a document in the:

  1. Open the Cross-References panel (View > Panel > Cross-References).

  2. In the References drop-down list, choose Unresolved Cross-References.

The list displays the unresolved cross-references. Use the Update References dialog to Resolve unresolved cross-references in a document.

You can also generate a list of unresolved cross-references in a document:

  1. Choose Insert > List Of > References.

  2. Choose to create the list as standalone index of references or include the index in a new book.

  3. Move the Unresolved Cross-Refs to the Include References list and click Set.

The generated list includes the page number of each unresolved cross-reference and indicates whether each missing source is internal (in the current document) or external (in a different document). The list includes additional information – for example, the tag and text of the source paragraph (unstructured documents), or the ID, element tag, and text of the source element (structured documents). For Cross-Ref marker cross-references, the list includes the marker text.

Note: The tag and text are not always accurate because they are not updated after you initially insert the cross-reference.

Resolve unresolved cross-references in a document

To resolve unresolved external cross-references in a document:

  1. Open the Update References dialog (Edit > Update References).

  2. Click the Commands drop-down list and select Update Unresolved Cross-References.

    Update Unresolved Cross-References dialog is displayed.

  3. In the Total of Unresolved cross-references scroll list, select the file that previously contained the source of the unresolved cross-reference. The text below the scroll list indicates how many cross-references to the selected file are unresolved.

  4. Navigate to and select the alternate document containing the cross-reference.

  5. To resolve cross-references to any other file listed in the Total of Unresolved cross-references scroll list, repeat steps 3 and 4. Then click Done.

To resolve cross-references to Cross-Ref markers, you need to re-create the Cross-Ref marker and the cross-reference. For details, see Insert a cross-reference to a Cross-Ref marker in a document.

Similarly, to resolve cross-references to elements in structured documents, you need to re-create the cross-reference. For details, see Insert a cross-reference to an element in structured documents.


Structured authoring using DITA

Understand how structured authoring enforces a structure to a document you are authoring in FrameMaker.

Structured authoring enforces structure to the authoring of documents. When you create a structured document in FrameMaker, you are required to select a structured application on which you want to base the document. The structured application defines the structure and formatting rules that are enforced when creating your document. The Darwin Information Typing Architecture (DITA) is an open XML standard for structured authoring. When authoring in DITA, you can also use the DITA Open Toolkit (DITA-OT) to publish output. See DITA Open Toolkit.

DITA Topics

DITA topics are the most granular units of DITA content. Each topic should be authored around a single subject of content. For details, see DITA topics.

See the specifications on DITA topics.

Information typing

Information typing is the practice of identifying types of topics that contain distinct kinds of information, such as concepts, tasks, and reference information. Topics that answer different kinds of questions can be categorized as different information types. The base topic types provided by DITA (a generic topic, plus concept, task, and reference) provide a usable starter set that can be adopted for immediate authoring. For details, see DITA topics.

See the specifications on Information typing.

DITA Maps

The DITA map is like a table of contents listing and linking the topics for a specific output. DITA maps assemble topics into sequence and hierarchy tailored to specific delivery requirements. You can have multiple maps, each one arranging the topics for different requirements, such as a reference manual, a tutorial, or online Help. A DITA map file has the extension .ditamap.

For details, see DITA maps.

See the specifications on DITA maps.

Bookmaps

A bookmap is a specialization of a DITA map. You can save a DITA map as a bookmap. In a bookmap, highest-level <topicref> elements in your DITA map become chapters in the FrameMaker book, containing any nested <topicref> elements. Formatting is determined according to which structured application you have selected for books in the DITA Options dialog box.

For details, see DITA bookmaps.

See the specifications on Bookmaps.


DITA bookmaps

Know what are Bookmaps in FrameMaker and how it helps to organize and print DITA topics as books.

A bookmap is a specialized DITA map that allows you to organize and print your DITA topics as a book. A bookmap defines elements such as <chapter> and <appendix>. A DITA map does not impose structural rules with regards to the sequence of the topic references. However, to maintain a book structure, the bookmap defines rules such as disallowing a chapter element after the appendix element.

See the specifications on Bookmaps.

The FrameMaker user interface elements for a bookmap are identical to the elements for a DITA map. For example, by default, the bookmap opens in the Resource Manager.

  1. Choose File > New > DITA > <bookmap>.

  2. The <chapter>, <part>, <appendix>, and <appendices> elements are referenced elements.

    To add these elements, follow the procedure used to Insert topicref elements in a DITA map.

  3. You can include relationship tables in a bookmap.

    For details on relationship tables, see DITA relationship tables.


DITA content references

Know what are content reference in a structured document and how they can be used to create a reference to content from another DITA topic.

A content reference (conref) is used to create a reference to content (elements) from a DITA topic or DITA map in another DITA topic. Using a conref you can reuse content (elements) across DITA topics. A conref is based on the DITA ID attribute assigned to the element. This implies that if the position of an element in the topic changes, the reference remains intact as long as the ID remains intact.

You can use direct referencing to point directly to the DITA topic (.xml file) containing the target topics or elements. Alternatively, you can use indirect referencing to point to keys defined in keyspaces. For more details, see DITA referencing.

You can create conrefs for almost any element in the DITA element catalog. You create conrefs for a DITA topic to make an entire topic reusable. You can also create a conref for a <keyword> or <ph> element to reuse a <term> or even word. The only requirement to create a conref is that the element must define the DITA ID attribute.

Set up a topic to use conrefs

Learn to set up a topic to use conref in FrameMaker.

To create a conref in your DITA topics, you first need to create a DITA topic (direct referencing) or a DITA map (indirect referencing) that contains the content (elements) that you plan to reuse. For example, say you plan to reuse a table, an ordered list, and an image across multiple topics. You will need to add these elements to the source topic. If you are using indirect referencing, the topic is then added to the DITA map. Also, to make an element reusable, you need to assign a unique identifier to the element. For details, on how to make DITA content reusable, see Set up reference content.

DITA Conref dialog

Learn to set up a topic tLearn to use DITA conref dialog to add direct and indirect conrefs to DITA content in FrameMakero use conref in FrameMaker.

Use the DITA Conref dialog to add direct and indirect conrefs to DITA content.

To open the DITA conref dialog:

  • Choose Insert > Conref.

DITA conref dialog
Using the DITA Conref dialog to add direct and indirect conrefs to DITA content

Use the DITA Conref dialog to:

A (Target > File):

Select this option to insert a conref using DITA referencing. See Create a conref.

B (Target > Key):

Select this option to insert a conref using DITA referencing. See Create a DITA link.

C (Target > Both):

Check this option to create a link using direct or indirect referencing.

D (File/Key Settings):

If the target is set to File, select a DITA topic from the list of currently opened topics for direct references. You can also browse to select a topic that is not currently opened.

If the target is set to Key, select a key for indirect reference. You can also open the DITA Keyspace Manager dialog. In this dialog, you Create a keyspace and set the default keyspace for the current topic.

E (Filter Text):

Search for the required topic or key that you want to create a link to. This smart search filters the elements as you start typing in the Filter Text box. You can filter content on the basis of the element tag, ID, or text (content).

Once you have found the required topic, select an element to include as a link. The link element defines a relationship to another topic.

F (Conref End Element):

Select an element as the last element in the range of elements to conref. For details, see Creating a conref to a range of elements.

Working with conrefs

See how you can work with conrefs, create and update conrefs in FrameMaker.

You can create a conref in a DITA topic or map using the DITA Conref dialog.

This section covers the following topics:

  • Create a conref

  • Creating a conref to a range of elements

  • Updating conrefs

Create a conref

To create a conref to a DITA topic or map in your current topic or map, you first need to Set up reference content in the target topics or maps

Next, you create a direct or indirect reference to the target DITA content.

  1. Place the insertion point at the location to insert the conref in a topic or map.

    To insert a conref at a location in the topic, you need to place the insertion point relevant to the conref element:

    An <li> (list item) conref element must be placed in an <ol> or <ul> list.

    A table <row> must be placed in a <table> or <simpletable>.

    In the case of a table <entry>, you cannot place the insertion point in the table <row>; you need to select the existing <entry> that you want to replace.

  2. Choose Insert > Conref.

    The DITA Conref dialog is displayed.

  3. You can choose to add a link as a direct or indirect reference to the target content. For details, see DITA referencing.

    To create a direct reference to the target content:

    1. Select the File option for the Target and choose the file containing the reference topic.

    2. You can select a reference topic from the current topic, any currently opened topic, or use the browse button to select an unopened topic.

    3. After you select the DITA topic, the element list displays the elements to which unique identifiers are assigned.

      The elements in the DITA topic of the selected element tag that are assigned a unique identifier are displayed in the elements list. If an element is not assigned a unique ID, you can Assign a unique ID to an element.

    4. Select an element to insert as a conref in the current topic.

      The list also displays the ID and the contents (in the case of text elements) of the elements.

    If you make changes to a <conref> element in the source topic, you will need to save the source topic and update the container topic to view the updates.

    To create an indirect reference to the target content:

    1. Select the Key option for the Target and click Keyspace Manager.

    2. In the DITA Keyspace Manager dialog, select the key in the defined keys list and click OK.

      For details on how to add key references, see Using keyspaces to manage DITA key references.

      After you select the key, the element tags list displays the DITA topic types included in the keyspace. You can read more on how to Create a keyspace.

    3. Select an element tag.

      The elements in the DITA topic of the selected element tag that are assigned a unique identifier are displayed in the elements list. If an element is not assigned a unique ID, you can Assign a unique ID to an element.

    4. Select an element to insert as a conref and click OK.

  4. Click Insert.

Creating a conref to a range of elements

You can create a conref to a range of elements. For example, say you have number of <p> (paragraphs) elements that you want to conref in a range. You can create one conref to all the <p> elements.

Note: To specify a range for the content reference, the elements within the range must be of the same type. At least the start and end elements must have unique identifiers.

  1. To select the first element in the range perform steps in the section Create a conref but do not click <Insert>.

  2. In the Conref End Element drop-down list, choose the last element in the range to include in the conref.

  3. Click Insert.

Updating conrefs

If you update a reusable element after you reference it in another topic, you need to update the conrefs in the topic to view the updates.

To update the conrefs in a topic:

  1. Choose Structure > DITA > Update References.

    The DITA Update References dialog is displayed.

  2. Check Update All Conrefs in File.

  3. Click OK.

All the conrefs in the current topic are updated.


DITA maps

Know what DITA maps are and how to work with them in FrameMaker.

A DITA map allows you to organize DITA topics in a hierarchical structure. You can then create output for your organized content using different output formats.

Using DITA maps to organize DITA topics in a hierarchical structure

For details on generating DITA output, see DITA publishing.

You can also use DITA maps to create keyspaces that you can use for indirect referencing.

See Using keyspaces to manage DITA key references.

See the specifications on DITA maps.

Create a DITA map

See how you can create a DITA map in FrameMaker

  1. Choose File > New > DITA > <map>.

    Alternatively, choose File > New > XML. In the New XML dialog, go to the DITA tab and choose map.

  2. By default, a DITA map is opened in the Resource Manager.

    You can use the Resource Manager to:

    • Insert topics in the DITA map

    • Save the DITA map

    • Switch to the Document view to display the DITA map contents.

  3. You can use the available FrameMaker tools, such as the Structure View and Elements panel, to work with a DITA map.

  4. You can also include relationship tables to a DITA map.

    For details, see DITA relationship tables.

Insert topicref elements in a DITA map

Understand how you can insert topicref elements in a DITA map.

You can add topics to a DITA map by using the <topicref> elements in the Elements catalog. You can also add topics using Insert Child in the Resource Manager.

FrameMaker supports the following <topicref> elements that you can insert in a DITA map:

topicref

Identifies topics such as dita, topic, concept, task, reference, glossary entry, and glossary group. A topicref element can also contain other topicref elements to create a hierarchal structure.

See the specifications on topicref elements.

mapref

A convenience element that is equivalent to a <topicref> element with the format attribute set to “ditamap”.

See the specifications on mapref elements.

topicset

A set of <topicref> elements that can be reused in DITA maps and other topicset elements.

See the specifications on topicset elements.

keydef

A convenience element that is used to define keys without any of the other effects that occur when using a <topicref> element: no content is included in output, no title is included in the table of contents, and no linking or other relationships are defined.

See the specifications on keydef elements.

topicsetref

References a <topicset> element.

See the specifications on topicsetref elements.

To insert a <topicref> element in a DITA map:

  1. Place the insertion point at the root level of the map element, in the Structure View.

  2. Choose Structure > DITA > Insert Topicref.

  3. If you select topicref, mapref, topicset, or keydef, the Insert Element dialog appears:

    Inserting elements in a DITA map using the Insert Element dialog
    Inserting elements in a DITA map using the Insert Element dialog

  4. To use the inserted topicref as a key reference, enter a key name.

    For details, see Using keyspaces to manage DITA key references.

  5. In the HRef box, enter the location of the topic to reference. Or click Browse to navigate and select the topic. The topic is added as a direct reference.

    Alternatively, if you have defined a keyspace for the current topic, you can select a key reference in the KeyRef drop-down list. The topic is added as an indirect reference.

    For details on key references and indirect referencing, see Using keyspaces to manage DITA key references.

Display DITA map content

Understand how you can display DITA map content using FrameMaker, show or hide the preview of topicref elements

After you have inserted one or more topicref elements in a DITA map, you can choose to view the content of the referenced topics in the Document view.

You can also open the referenced DITA topics as separate documents in FrameMaker.

Show or hide the preview of topicref elements content

  1. To preview the contents on a single reference element, select the topicref element in the Structure View.

    To preview the contents of all reference elements, click anywhere in the topic but ensure that no element is selected. You are prompted to show content for all topicrefs. Also, you can choose to display referenced child maps.

  2. To preview the content, choose Structure > DITA > Resolve Topicref (s) > Show Content.

  3. To hide the preview, Structure > DITA > Resolve Topicref (s) > Hide Content.

Tip: To show or hide the preview for a single element, you can also right-click the element and choose Resolve Topicref (s) > Show Content or Resolve Topicref (s) > Hide Content.
Note:

If a DITA map includes references to child maps, the Show and Hide options in the DITA map will show or hide the topics referenced in the child maps.

In the Document view, FrameMaker displays > to denote that a topic is a top-level topic in the DITA map. >> denotes a topic is a second-level topic and >>> denotes the topic is at level 3 (and beyond) in the DITA map.

Topic levels as denoted by >, >>, and >>>
Topic levels as denoted by >, >>, and >>> in the Document view

Open all topics referenced in a DITA map

If a DITA map contains references to one or more topics, you can open all the referenced topics in FrameMaker.

  1. Ensure the DITA map is selected.

  2. Press the Shift key and choose File > Open All Files in Ditamap.

    Alternatively, in the DITA map, choose Structure > DITA > Open All Topicrefs.

    To close all topic references, press the Shift key and choose File > Close All Files in Ditamap.

Note: To open a single topic, double-click the topic in the DITA map.

Save a DITA map

Learn to save a DITA map in FrameMaker

The Save Ditamap As functionality in FrameMaker (File > Save Ditamap As) allows you to save the DITA map to multiple outputs. When you save a DITA map as a book, you can take advantage of the FrameMaker book hierarchical features such as folders and groups. You can use FrameMaker book functionality such as page numbering and table of contents.

The following list of outputs, provide specific functionality:

Composite Document <Version> (*.fm)

A single self-contained FrameMaker document file (.fm). The document contains all the content from the DITA map. For example, the topic references. The topic references are embedded within the document. This implies that any changes to the topic files are not reflected in the composite document. If you share this document with another author, the author does not require the referenced topic documents. However, you can continue to work on the composite document using the available structure tools in FrameMaker.

Book <Version> (*.book)

The DITA map is saved as a .book file that includes each referenced topic file as a document within the book.

Book <Version> with fm components (*.book)

The DITA map is saved as a .book file. Each referenced topic file is converted to a .fm file.

When you save a DITA map as a composite document or book with FrameMaker components, you can use the DITAVAL conditional output functionality. In the Save Document dialog, if you check the Prompt For DitaVal File option, you are prompted for a DITAVAL file that you can use to conditionally output the contents to the selected output format. For details on DITAVAL, see DITAVAL.

Important: You cannot round-trip the DITA map to book conversion. This implies that any changes that you make in the book cannot be cycled back to the DITA map.

DITA referencing

Understand DITA referencing in FrameMaker, learn to set up reference content and update DITA references

DITA referencing (also known as DITA addressing) provides the capability to reference or link among DITA elements and between DITA elements and non-DITA resources.

You reference DITA content by DITA content references. You create links to DITA or non-DITA resources, by Using DITA cross-references to single source content. You can also use DITA links to Add links to related content.

The DITA specifications define two types of referencing:

Direct referencing (URI-based addressing)

References are established by pointing direct to the target. For example, in FrameMaker, when you create a conref using direct referencing, you navigate to and choose the DITA topic (.xml file). Similarly, you point directly to the DITA topic (.xml file) to create a DITA link or a DITA cross-reference. Direct referencing requires authors to explicitly choose the file containing the content to reference or link. This can be cumbersome and confusing if you have a large set of related content. Direct referencing is preferred if you do not have a large set of documents that reference or link to.

See the specifications on URI-based (direct) addressing.

Indirect referencing (key-based addressing)

References are established globally at the DITA map level using keys. For example, in FrameMaker, when you create a conref using indirect referencing, you do not point directly to the DITA topic. Instead, you point to a key that is defined Using keyspaces to manage DITA key references. Indirect referencing requires authors to choose user-defined keys when creating references or links. When setting up the keyspaces, a well defined nomenclature should be used to name keys. Indirect referencing is recommended if you are authoring in a large set of related content.

See the specifications on Key-based addressing.

Set up reference content

To create a conref in your DITA topics, you first need to create a DITA topic (direct referencing) or a DITA map (indirect referencing) that contains the content (elements) that you plan to reuse. For example, say you plan to reuse a table, an ordered list, and an image across multiple topics. You will need to add these elements to the source topic. If you are using indirect referencing, the topic is then added to the DITA map. For details, see Using keyspaces to manage DITA key references.

To make an element reusable, you need to assign a unique identifier to the element. For details, see DITA ID attribute. FrameMaker uses this unique identifier to differentiate the conref elements. For example, if you update the source element, FrameMaker uses the unique identifier to identify the elements in the container topics that need to be updated.

DITA ID attribute

The DITA ID attribute provides a method to uniquely identify content (topics or elements) to reference.

In a DITA topic, you can assign a unique ID to an element to use the element when you are creating a conrefs (DITA content references) or cross-references (Cross-references) to the element from another topic. By default, FrameMaker assigns a unique ID to the topic, when you Create a DITA topic.

See the specifications on ID attribute.

Assign a unique ID to an element

  1. In the Structure View, select an element in the source topic.

  2. Choose Structure > Assign ID to Element.

    Alternatively, right-click on the element and choose Assign ID to Element from the pop-up menu.

To check if an element has an ID assigned to it, in the Structure View, click arrow sign to the right of the element.

Unique ID assigned to entry (table cell) element
Assigning a unique ID to an element

If you assign a unique ID to an element to which an ID is previously assigned, you will be prompted to replace the existing ID.

Assign IDs to all instances of an element

  1. Select an instance of the element for which you want to assign IDs.

  2. Select Structure > Assign ID to Elements to open the Assign ID dialog.

    1. By default, the element selected before selecting Assign ID to Elements is selected in the drop-down.

    2. Select Include specializations to assign IDs to specializations of the selected element. If you are in a DITA map, select Process Topicrefs in Ditamap to assign IDs to all instances of the selected element in the topics in the DITA map.

    3. If you have multiple files open, select All open files to assign IDs to all the instances of the selected element in all the open files.

    4. Click Assign.

Using keyspaces to manage DITA key references

In a DITA topic, you can directly reference content by specifying the DITA topic file (.xml). For example, to add links in the related links section, of a DITA topic, you can choose the topic files to reference (see Add links to related content).

However, DITA also provides the specifications for using keys to indirectly reference content. See the specifications on Key-based addressing.

Using keys, adds a degree of indirection to the referenced content. When working with keys, the author does not reference topic files directly. The author is provided with a keyspace, a collection of user-defined keys to reference. The keyspace internally references any number of topics. The author is then concerned only with the keys in the provided keyspaces. Also, since the keys are user-defined, they can be named appropriately to allow author to easily recognize them.

The keydef elements are used to create keymaps since, by default, these elements are not generated in DITA output.

Create a keyspace

A keyspace is created using a DITA map. To create a DITA map to use as a keyspace, you need to add keydef elements to the DITA map.

  1. Create a DITA map.

  2. Add <keydef> elements to the DITA map. For details, see Insert topicref elements in a DITA map.

    The keys attribute is used to identify a specific keydef in a keyspace. Since the @keys attribute is mandatory for a <keydef> element, you can specify the attribute value in the Attributes for New Elements dialog or in the Key Name field in the Insert Element dialog.

    An author using the keyspace then will only refer to the key names and not directly to the associated DITA topics. For this reason, you should specify key values that are clearly indicative of the referenced (underlying) topic content.

  3. Save the DITA map.

Manage keyspaces

To use a key reference in your DITA topic, you need to load the container keyspaces in FrameMaker authoring environment.

  1. Open the DITA Keyspace Manager dialog (Structure > DITA > Manage Keyspaces).

    DITA Keyspace Manager dialog
    Manage key spaces using the DITA Keyspace Manager dialog

  2. From the Keyspace drop-down list, select a DITA map that is defined as a keyspace. For details, see Create a keyspace.

    By default, the first key in the list is always selected. DITA maps that are open in the current session are displayed in the Keyspace drop-down list. You can search for a keyspace by entering the first few characters of the key.

    If the required DITA map is not available in the list, click Load Keyspace and select the DITA map file. The key references defined in the keyspace are displayed in the defined keys list.

    If you make changes to the keyspace (DITA map) after loading the keyspace in the current environment, click the Refresh icon to view changes to the key references.

    Click OK to apply the selected keyspace across all open DITA maps.

    To select a different keyspace for a particular document, use the set keyspace manager. You can set keyspace from multiple paths, such as, DITA cross-references, DITA links, and insert conrefs.

Update DITA references

You can create references in DITA topics or maps, by any of the following methods:

  • Conrefs (See DITA content references)

  • Cross-references (See Cross-references)

  • Topicrefs (See Insert topicref elements in a DITA map)

If you update the referenced content, the references in the current topic are not immediately updated. For example, if a DITA map references a specific topic and the title of the topic is changed, the updated title does not immediately display in the DITA map.

To update the references in a selected topic or map, use the DITA Update References dialog:

  1. Choose Structure > DITA > Update References.

    The DITA Update References dialog is displayed:

    DITA Update References dialog
    Update DITA references using DITA Update References dialog

  2. To update the references in the current topic or map, check the specific options and click OK.

Find References

You can search through a document or recursively through multiple files in a folder for links such as conref, topicref, link, or xref. By default, the Find References dialog box populates the ID of the current topic and element, if any is selected. Typically, you select the element which is referenced elsewhere, and then call this option.

  1. Select Structure > DITA > Find References. Or, to find the reference of the current element, right-click within the element, and select Find References. The element ID is populated automatically.

  2. In the Find References dialog, enter the ID of the element, if necessary.

  3. Optionally, to limit the search within a keyspace, select the keyspace for the current document.

  4. Set the search scope. If you select a folder, you can recursively search for references to the element in all the files in the folder.

  5. Click Search.


DITA topics

Understand what are DITA topics in FrameMaker

DITA uses a topic-based approach to authoring. A topic in DITA is the most granular entity of information. According to the DITA specifications, a topic should be short enough to be easily readable, but long enough to make sense on its own.

To cover separate content such as concepts, tasks, reference, the DITA standard specifies different information types. Each information type defines structured elements that aid in authoring the relevant content. For example, the task type defines elements such as <context>, <example>, <steps>, and <result>.

Create a DITA topic

Learn how to create a DITA topic in FrameMaker, manage a DITA topic in FrameMaker

  1. On the File menu, go to New > DITA.

    The DITA sub-menu displays the types of DITA topics and map types that you can create.

    FrameMaker supports the following DITA topic types:

    topic

    For specific content, use task, concept, reference, glossentry, glossgroup types.

    See the specifications on DITA topics.

    task

    For task related content such as how-to or procedures.

    See the specifications on Task topics.

    concept

    For content such as “what is?”. It covers conceptual information about a feature or function.

    See the specifications on Concept topics.

    reference

    For reference content. For example, product specifications, API reference, and equipment or part lists.

    See the specifications on Reference topics.

    glossentry

    For a single glossary term and definition.

    See the specifications on Glossary Entry topics.

    glossgroup

    For a group of glossentry elements.

    The glossgroup can also contain other glossgroup elements to create a hierarchical glossary structure.

    See the specifications on Glossary Group topics.

    ditabase

    A top-level container element that can include the topic types described above.

    See the specifications on DITA container.

  2. Select a topic type.

  3. To view the hierarchical structure of the created topic, choose Structure > Structure View.

  4. A DITA topic is a structured document. This means that in FrameMaker you work with the DITA topic structure in the same way that you work with the structured documents based on other structured applications.

    For details on how to create content in a structured topic, see frm_structauth_sa.html#WS053b9687b4c35b124e2fd7a146eb68148c-8000.

Add links to related content

See how you can add links to related content using DITA link dialog in FrameMaker

DITA Link dialog

Use the DITA Link dialog to insert direct and indirect link to DITA content.

Dita Link dialog
Using the DITA Link dialog to insert direct and indirect link to DITA content

Use the DITA Link dialog to:

A (DITA Element):

Choose the link element to use.

By default, the element is <link>.

See the specifications on link.

B (Target > File):

Check this option to create a link using direct referencing.

See Create a DITA link.

C (Target > Key):

Check this option to create a link using indirect referencing and choose a key from the Key Settings drop-down list.

See Create a DITA link.

D (Target > Both):

Check this option to create a link using direct or indirect referencing.

E (File/Key Settings):

If the target is set to File, select a DITA topic from the list of currently opened topics for direct references. You can also browse to select a topic that is not currently opened.

If the target is set to Key, select a key for indirect reference. You can also open the DITA Keyspace Manager dialog. In this dialog, you Create a keyspace and Set the default keyspace for the current topic.

F (Filter Text):

Search for the required topic or key that you want to create a link to. This smart search filters the elements as you start typing in the Filter Text box. You can filter content on the basis of the element tag, ID, or text (content).

Once you have found the required topic, select an element to include as a link. The link element defines a relationship to another topic.

G (Display Using):

Choose the element that provides the literal label or line of text for a link.

By default, the element is <linktext>.

See the specifications on linktext.

H (Display Using):

Choose the element that provides the literal label or line of text for a link.

By default, the element is <linktext>.

See the specifications on linktext.

H (Text)

Specify the link text to display as literal text.

I (Format)

Choose Format and select a link format from the drop-down list:

DITA Default Format

Display the title of the reference topic.

See_Title_and_Page

Display See <topic title> on <page number>.

Title_and_Page

Display <topic title> on <page>

J (External Link)

Insert a link to an external (non-DITA) resource. In the DITA External Link dialog, provide the source for the external link - Refer to Key or Link Target (href) field.

Optionally, you can specify a link text. Else, the link entered in the Link Target (href) field is used for the link text. You can also insert an external link through the main menu Insert > External Reference or the context menu.

Create a DITA link

  1. If you are inserting the first link in the related-links element, place the insertion point to the right of the related-links element.

    Place insertion point to the right of related-links element
    Placing the insertion point to the right of the related-links element

  2. From the Elements panel (View > Panels > Element Catalog), insert the <link> element.

    The DITA Link dialog is displayed.

  3. Choose the DITA link Element to use.

  4. Choose a link target.

    You can choose to add a link as a direct or indirect reference to the target content. For details, see DITA referencing.

    To add a direct link, you choose the DITA topic (.xml file) to which you want to create the link:

    1. Select the File option for the Target and choose the file containing the reference topic.

      You can select a reference topic from the current topic, any currently opened topic, or use the browse button to select an unopened topic.

    2. In the element list, select the topic to reference.

    To add an indirect link, you need to use DITA key-references. For more details on key-references, see Using keyspaces to manage DITA key references.

    1. Select the Key option for the Target and click Keyspace Manager.

    2. In the DITA Keyspace Manager dialog, select the key in the defined keys list and click OK.

  5. In the Display Using drop-down, choose the element to display the link text.

  6. Specify the text or format to display in the link.

  7. Click Insert.


DITAVAL

Understand what is DITAval in FrameMaker and how it is used to generate conditional output in FrameMaker.

In FrameMaker, you use a DITAVAL file to generate conditional output. You write a single document with conditional content (using element attributes).

You then create a DITAVAL file in which you specify the content to create multiple outputs versions of the document based on the applied attributes.

Set up DITA topics to use DITAVAL

See how you can setup DITA topics to use DITAval and apply conditional attributes to elements.

You can make elements in a DITA document conditional by applying condition attributes to the elements. You then define, in a DITAVAL file, the elements to exclude or include in the output based on the condition attributes.

Before you create documents with conditional content, you need to first plan the criteria for the output. For example, say that a document has content that is conditionally targeted at administrators and end users. In the document, you apply condition attributes based on the target audience of the content (see Applying condition attributes to elements). You then create a DITAVAL file in which you specify the elements to include and exclude based on the attribute value defined in the document. See Creating a DITAVAL file to create conditional output.

Applying condition attributes to elements

To allow FrameMaker to conditionally process elements in a DITA document, you need to specify the elements to include or exclude for the output. In the document, you apply one or more of the following conditional attributes to the elements that you need to conditionally process:

audience:

Example: administrators, authors, or end users.

platform:

Example: Windows, MAC, or Linux

product:

Example: FrameMaker, RoboHelp, or Captivate.

otherprops:

Use this attribute to define any other property that you need to use to enable conditional processing for the document. A few examples:

delivery

Example: Print, PDF, or Web

model

hatchback or sedan

You can apply multiple attributes to an element. For example, you can apply @audience="administrator" and @platform="windows" to an element. You can also add multiple values (each separated by a space) to a single attribute. For example, you can set @platform="windows linux" for content targeted at both Windows and Linux.

Important: The attributes listed above are recommended for use when working with DITAVAL to single-source content. However, you are not restricted to only using these attributes. You can use any attribute defined for the selected element in a document.

To apply condition attributes to an element

  1. Select an element in the Structure View of the document.

  2. Open the Attributes panel (Element > Edit Attributes).

    Update one or more of the following attributes:

    • audience

    • platform

    • product

    • otherprops

  3. Specify the above condition for each of the element in the document that needs to be processed conditionally.

After you apply the attributes to the specific elements in the document, you conditionally output the content in your document depending on how you set up your DITAVAL file.

Creating a DITAVAL file to create conditional output

After setting up your content using condition attributes (audience, platform, product, and otherprops) to define the elements that FrameMaker conditionally processes for output, you need to create a DITAVAL file. In a DITAVAL file, you define, based on an <attribute name> - <value> pair, the conditional processing of your document. For example, you can specify that content targeted at administrators must exclude from the output content targeted at end users or authors.

To create a DITAVAL file:

  1. Open the New XML dialog (File > New > XML).

  2. In the Structured Applications section, select DITA_<version>_DITAVAL and click OK.

    The top element of a DITAVAL file is the <val> element.

    To define conditions, you need to create <prop> elements.

  3. Add one or more <prop> elements:

    Double-click the <prop> element in the Element panel (View > Panels > Element Catalog).

    Or press Ctrl+1 to display the Smart Catalog and choose prop and press Enter.

    The Attributes for New Element dialog is displayed.
    Attributes for New Element dialog
    Attributes for New Element dialog in the Elements Catalog panel

  4. In the Attributes for New Element dialog, specify the following attributes:

    @action

    Choose to include or exclude the specified attribute (@att, below) from the output.

    @att

    The condition attribute name applied to the element in your document.

    Enter the attribute name exactly as it is defined in the document element.

    @val

    The condition attribute (@att) value as defined in the element.

    Enter the value exactly as you specify it for the attribute in the element.

    For example, say that you apply the @audience attribute to an element for conditional output and you set the value as admin. You need to enter audience in the @attr field for the prop element in the DITAVAL file. Also, you need to enter admin in the @val field. To exclude the element with the audience attribute set to admin, specify the @action as exclude.

  5. Click Insert Element and save the DITAVAL file.

  6. Save the document with the .ditaval extension.

Generate conditional output

Know how you can generate conditional output for DITA topics in FrameMaker.

This section covers, with a sample use case, the steps to generate a PDF output containing conditional content.

Note: The sample used in this section includes content only in paragraph (p) tags. You can, however, create conditional output from any DITA element in a document.

  1. Create a DITA topic with four paragraph (<p>) elements:

    1. Content ONLY for administrators.

      Set the @audience attribute to admin.

    2. Content ONLY for authors.

      Set the @audience attribute to author.

    3. Content for administrators and authors

      Set the @audience attribute to admin author.

    4. Content for end users and authors.

      Set the @audience attribute to end_user author.

  2. Save the document.

  3. Create DITAVAL file with four prop elements:

    1. @attr: audience

      @val: admin

      @action: include

    2. @attr:audience

      @val:author

      @action: exclude

    3. @attr:audience

      @val:end_user

      @action: exclude

    The above DITAVAL will output all content targeted at administrators.

  4. Create a DITA map and include the above document and save the DITA map as a PDF (File > Save As PDF).

  5. In the Save Document dialog, check the Prompt For DitaVal File option and click Save.

    The Choose DitaVal File dialog appears.

  6. Select the DITAVAL file created in step 4 and click Choose.

    The Apply As Condition option will output the entire contents. However, the contents that is marked as excluded in the DITAVAL file is output with a strike-through. You choose this option for document review. For example, use this option to indicate to a reviewer the contents that is marked as excluded.

  7. In the PDF Setup dialog, click Set.

The output PDF file includes and excludes content based on the attributes that are set up in the document and the corresponding DITAVAL file.


DITA publishing

See how from FrameMaker you can use the publishing processes to generate output for your DITA content.

From FrameMaker you can use the following processes to generate output for your DITA content.

  • Save as PDF

  • Multi-channel publishing

  • DITA Open Toolkit

Save as PDF

See how FrameMaker Save As PDF feature allows you to output a DITA topic or DITA map (including bookmap) as a PDF.

The FrameMaker Save As PDF feature allows you to output a DITA topic or DITA map (including bookmap) as a PDF. The PDF output that is created uses the display of the WYSIWYG view. This means that the structured application formatting rules applied to the topic or map are output to the PDF.

To create a PDF output of a DITA topic, choose File > Save As PDF.

If you use the Save As PDF feature to create a PDF output of a map, in the Save Document dialog, you can choose the option Prompt For DitaVal File.

You can use the DITAVAL feature to conditionally output the contents of the topics in the map. For details, see DITAVAL.

Multi-channel publishing

Understand how multi-channel publishing feature of FrameMaker allows you to output DITA topic or map to a number of output formats.

The multi-channel publishing feature of FrameMaker allows you to output DITA topic or map to the following output formats:

  • Responsive HTML 5

  • Mobile App

  • EPUB

  • Kindle

  • Microsoft HTML Help

  • Adobe Experience Manager Mobile

  • Basic HTML

DITA Open Toolkit

Understand what is DITA Open Toolkit and how you can generate output using DITA Open Toolkit in FrameMaker.

The DITA Open Toolkit (DITA-OT) is a set of Java-based, open source tools that provide processing for DITA maps and topic content. FrameMaker has out-of-the-box support for DITA Open Toolkit 3.0 and 2.3. DITA-OT transforms DITA content (maps and topics) into deliverable formats.

By default, FrameMaker allows you to publish your DITA content into the following output formats:

  1. PDF2

  2. XHTML

  3. CHM (Install HTML Help Workshop to generate CHM)

  4. Custom

You can also generate output for formats such as Docbook, Java help, and RTF. To enable other output formats, see Change the output type list.

Generate output using DITA OT

  1. With the appropriate DITA file in focus, select Structure > DITA > Generate DITA-OT Output.

    The Generate DITA-OT Output dialog is displayed.

    Generate DITA-OT Output dialog
    Generate DITA-OT Output dialog in FrameMaker

  2. Select an output type.

  3. Select View Log File option if you want to launch the log file after publishing completes.

    By default, the DITA-OT is installed when you install FrameMaker. However, if you have separately installed the toolkit, you can specify the install location in the DITA-OT Directory field. The change to the field is only applicable for the current output. The next time you open the Generate DITA-OT Output dialog, the directory is reset to the FrameMaker default. To change the default directory, see Use a different DITA-OT package.

  4. Select Open Output Folder option to open the output folder in Windows explorer. The output folder is shown in Windows explorer after publishing completes.

  5. Select Keep This Dialog Open After Build option to keep this dialog open even after publishing completes.

  6. Choose a DITAVAL file to specify conditional filtering of content using attribute-value pairs defined in the DITAVAL file. For more information on using DITAVAL files, see DITAVAL.

    If you plan to use the same DITAVAL file when generating out for multiple documents, you can specify the file name and location in the ditafm.ini. In this case, you do not need to choose a DITAVAL file every time you generate the output.

    Note: If you specify a DITAVAL file in both locations (ditafm.ini and Generate DITA-OT dialog), the file chosen in the Generate DITA-OT output dialog takes precedence.

  7. Click Build.

FrameMaker invokes DITA-OT and generates the output in the same folder as the source topic or map.

Change the output type list

By default, FrameMaker allows you to use the DITA-OT to generate output for PDF2, XHTML, and HTML help. However, you can use the toolkit to generate output for a number of other formats. To generate output in other formats, you need to update the ditafm.ini.

Important: The following procedure requires changes to the ditafm.ini file. Before making any changes, you are recommended to take a backup of this file.

  1. Open the ditafm.ini file in the current user AppData folder: %appdata%\Adobe\FrameMaker\xx\ditafm.ini

  2. Locate the following text in the file:

    Count=3
1=xhtml
2=htmlhelp
3=pdf
    Note: The numbered list above is the same as the list of output formats available in the Generate DITA-OT Output dialog.

  3. To add or remove output types from the Generate DITA-OT Output dialog, you need to specify the Count as the number of types to display in the list.

  4. The following list is the list of all available output types that you can include. To include one or more of the following types, you need to add these to the numbered list and ensure that the number sequence is maintained:

    • docbook

    • eclipsecontent

    • eclipsehelp

    • htmlhelp

    • javahelp

    • net.sourceforge

    • html

    • odt

    • pdf

    • tocjs

    • troff

    • wordrtf

    • xhtml

    Note: The output type entries in the ditafm.ini file are case-sensitive. You need to make the entries as list above.

    The following example adds the Eclipse help and Word RTF formats to the existing list.

    Count=5
1=xhtml
2=htmlhelp
3=pdf2
4=eclipsehelp
5=wordrtf
    Note: You can completely change the list to include any set of output types.

  5. Restart FrameMaker for the changes to take effect.

Use a different DITA-OT package

FrameMaker has integrated DITA Open Toolkit 2.3. If you already have a different version of DITA Open Toolkit installed, you can customize the DITA Open Toolkit path by wither editing the dita initialization file or from Customize DITA-OT dialog.

For a one-time change, you can change the directory path when you generate the output using the DITA Open Toolkit.

To change the FrameMaker default DITA-OT directory through dita initialization file:

  1. Open the ditafm.ini file in the current user AppData folder:

    %appdata%\Adobe\FrameMaker\xx\ditafm.ini

  2. Locate the following text in the file:

    DitaDir=%FMHOME%\fminit\ditafm\DITA-OT

  3. Modify the value of DitaDir to point to the alternative DITA-OT folder.

    For example, C:\DITA-OT_3.1.2.

  4. Restart FrameMaker.

    The new DITA OT path is populated in the DITA Generate Output dialog.

To change the FrameMaker default DITA-OT directory through Customize DITA-OT dialog:

  1. Choose Structure > DITA > Generate DITA-OT Output to pen the Generate DITA-OT Output dialog.

  2. Click the Customize button to open Customize DITA-OT dialog.

    Customize DITA-OT dialog
    Customize DITA-OT dialog in FrameMaker

  3. Provide the following details on this dialog:

    DITA-OT Directory

    Specify the path where the custom DITA-OT.zip file is stored. You can use the %FMHOME% variable, which refers to the FrameMaker install location. This path is saved in DITA_DIR variable, which can be used to specify the path of other related folders.

    Ant Command

    Specify the path of the Ant script folder. This path is relative to the DITA-OT directory on your file system.

    Ant Home

    Specify the path of the Ant installation folder.

    Classpath

    Specify the path of the Java libraries.

    Build File

    Specify the path of the Ant Build script file build.xml. This path is relative to the DITA-OT directory.

    Extra Params

    Specify any additional parameters required by your custom DITA-OT plug-in.


DITA relationship tables

Understand the concepts of related topics in a structured document, how is a relationship table used to create links for the related topics in FrameMaker.

In a set of DITA topics, you often have topics that are related to each other. In this case, you might want to include a set of related (see also) links at the end of each topic. This provides your readers with further reading reference, if required.

For example, if you are covering the Save As options in FrameMaker as separate topics:

  • Save As

  • Save As PDF

  • Save As Review PDF

  • Save As XML

In this case, at the end of each of these topics, you might include related links to the other three topics.

Using DITA maps

Relationship tables in FrameMaker allow you to create related links in DITA topics. You use relationship tables in DITA maps. This implies that you need to create a DITA map and then include the topics in your topic set in the DITA map. You then add relationship tables to the map. In the relationship tables you define the related topics contained in the DITA map.

DITA types to add

You can add the following DITA topic types to a relationship table:

  • Topic

  • Task

  • Concept

  • Reference

Adding related topics to a relationship table row

To specify that two or more topics in a DITA map are related, you need to add these to a single row in a relationship table. For the steps to create a relationship table, see Create a relationship table.

For example, to specify that the topics Save As, Save As PDF, Save As Review PDF, and Save As XML are related topics:

Relationship table in Document view

Note: A relationship table in FrameMaker, when viewed in the Document view has the same appearance as a FrameMaker table that you include as part of your content.

You can add any number of rows to a relationship table. FrameMaker treats all topics in a row as related.

You can add any number of relationship tables to a DITA map. You might do this to group together sets of related topics.

Specifying the order of related topics in a relationship table row

The order of the related topics in a table row defines the sequence in which the topics display in the Related Links section of the DITA map output.

In the following example, the Related Links section of the Save As PDF topic will display as:

  • Save As

  • Save As Review PDF

  • Save As XML

Relationship table in Document view
Relationship table in Document view of FrameMaker

This implies that if you change the order of the topics in the table, the sequence in the Related Links section will display differently.

Create a relationship table

Learn how to create a relationship table in FrameMaker, see a sample relationship table workflow.

  1. In the Structure View of a DITA map, place the insert point at end of the topic and at the same level as the topicref elements.

  2. To display the Smart Catalog, press Ctrl + 1 and choose reltable.

    The Insert Table dialog is displayed.

  3. Specify the number of columns and rows.

    The number of columns depends on the number of related topics that you plan to group together.

    The number of rows depends on the number of groups of related topics that you plan to create.

    Note: You can also choose to create multiple relationship tables for multiple groups of related topics.

  4. Click Insert.

    A relationship table is added to the DITA map.

  5. To display the relationship table in a tabular view, go to the Document view.

    While you can add topics to a relationship table from the Structure View, the tabular view provides a more convenient mode to work with.

    Default relationship table (with 4 columns and 1 body row)
    Default relationship table (with 4 columns and 1 body row) in FrameMaker

    In each cell of the relationship table header, you specify the DITA topic type of the related topics that you plan to include in body cells of the column.

    FrameMaker allows you to add the following DITA topic types to a relationship table:

    • Topic

    • Task

    • Concept

    • Reference

    Note: By default, FrameMaker supports the Topic type. So if you plan to only include topic types in the table, you do not need to set the type attribute.

  6. To add a specific DITA topic type to a column in the table:

    1. Place the insertion pointer in the table header cell.

    2. Open the Attributes dialog (Element > Edit Attributes).

    3. Set the @type attribute to the DITA topic type:

      Topic type - attribute value: topic

      Task type - attribute value: task

      Concept type - attribute value: concept

      Reference type - attribute value: reference

      Important: The attribute values are case-sensitive.

      If you set type attribute as described above, the column title is updated:

      Updated type attributes

  7. In each cell of a row in the relationship table, you add a topic reference of the related topics. This implies that, one set of related topics need to be included in the cells of one row of the table.

    To add topic references of related topics in the table body cells:

    1. Place the insertion point in the a cell of a row, in the Elements catalog (Element > Element Catalog), double-click the topicref element to add it to the cell.

      The Insert Element dialog is displayed.

      You can also use the Smart Catalog to insert the topicref element.

      Press Ctrl+1 to display the Smart Catalog. Select and add the topicref element.

    2. In the HRef field, enter the path to a topic file and click OK.

      Alternatively, use the Browse button to navigate to and select the topic.

      The topic reference is added to the table row.

      Tip: If you are unable to add a topic reference to a table cell, check the topic type specified in the column header.

    3. Add one topic reference (to a related topic) to each cell of the table row.

If the table included multiple rows, you can add multiple groups of related topics (references) to each row.

Sample relationship table workflow

To test the output after Create a relationship table in a DITA map, you can use the Save As PDF option in FrameMaker.

  1. Ensure that the DITA map is selected.

  2. Choose File > Save As PDF.

  3. In the PDF Setup dialog, click Set.

The PDF output of the DITA map displays the Related Links sections for the topics that you include in the cells of the relationship tables in the DITA map.

Important: The PDF Save As functionality is used in this section as an example. You can also publish the DITA map to the output formats available in FrameMaker’s Multi-Channel publishing feature.

The topics display in the same order as which you specify them in the cells of the table row.

Also, related topics that display do not include the current topic. In the sample relationship table described below:

Relationship table in Document view
Relationship table in Document view in FrameMaker

The Save As topic Related Links section displays:

  • Save As PDF

  • Save As Review PDF

  • Save As XML

It does not display the Save As (current) topic.